require "BuildingObjects/ISBuildingObject"
NecroSpirit = ISBuildingObject:derive("NecroSpirit");

-- Renders Ghost Tile for Tile/Object Clone Brush (Tile and/or Overlays) + Floor Helper
function NecroSpirit:initialise()
end

function NecroSpirit:new(sprite, x, y, z, player, square, renderFloor, renderSprite, renderOverlays, overlays, renderTempOverlays)
    local o = {}
    setmetatable(o, self)
    self.__index = self
	o.sprite = sprite;
	o.x = x
	o.y = y
	o.z = z
	o.square = square
	o.player = player
	o.renderFloor = renderFloor
	o.renderSprite = renderSprite
	o.renderOverlays = renderOverlays
	o.renderTempOverlays = renderTempOverlays
	o.overlays = overlays
	o.haveMaterial = true
    return o
end

function NecroSpirit:isValid(square, north)
	return true;
end

function NecroSpirit:rotateKey()

end

function NecroSpirit:render(x, y, z, square)
	if self.renderFloor then
		local NecroFloor = IsoSprite.new()
		NecroFloor:LoadFramesNoDirPageSimple("carpentry_02_56")
		NecroFloor:RenderGhostTile(self.x, self.y, self.z)
	end
	if self.renderSprite then
		local NecroGhostTile = IsoSprite.new()
		NecroGhostTile:LoadFramesNoDirPageSimple(self.sprite)
		NecroGhostTile:RenderGhostTile(self.x, self.y, self.z)
	end
	if self.renderOverlays or self.renderTempOverlays then
		for k, v in pairs (self.overlays) do
			local sprite = v;
			local NecroOverlaySprite = IsoSprite.new()
			NecroOverlaySprite:LoadFramesNoDirPageSimple(sprite)
			NecroOverlaySprite:RenderGhostTile(self.x, self.y, self.z)
		end
	end
	return true;
end