------------------------------------------------------------------------------------------------------------------
-- Notes:
-- All Mod Items should appear in "Mods" Category. 
-- Until they get their own Buttons, they get a Prefix in name.
-- Mod Item Icons - keep the "media/textures/Item_IconName.png" format, it's good for performance.
------------------------------------------------------------------------------------------------------------------
-- {"Category Name" x 3, "Display Name", "Module.ItemID", "Item_(Icon)", R, G, B, Function, State, Extra, X, Y, Z}
------------------------------------------------------------------------------------------------------------------
-- Plug-In Code based on NF Plug-In code by blindcoder.
------------------------------------------------------------------------------------------------------------------
-- Supported Mods: By Mod ID
-- ORGM, spraypaint, SVGLitteringME, rodjah'shomepub, OZMeds, Hydrocraft
------------------------------------------------------------------------------------------------------------------

local function ModCheck(mod)
	local mods = getActivatedMods();
	for i=0, mods:size()-1, 1 do
		if mods:get(i) == mod then
			return true;
		end
	end
	return false;
end

Events.OnGameStart.Add( function ()
	if NecroList then
		print ("[NecroForge] - Plug-In Active - Checking if Vehicle Build");
		if (BaseVehicle ~= nil) then
		print ("[NecroForge] - Vehile Build Detected - Adding Vehicle Items/Functions to NecroForge");
		-- NecroList AutoGen v.0.3 -- 13 October 2017 --
		NecroList.Items.VehItem1 = {"Vehicles", nil, nil, "Big Seat Type Standard", "Base.BigCarSeat1", "Item_CarSeat", nil, nil, nil}
		NecroList.Items.VehItem2 = {"Vehicles", nil, nil, "Big Seat Type Heavy-Duty", "Base.BigCarSeat2", "Item_CarSeat", nil, nil, nil}
		NecroList.Items.VehItem3 = {"Vehicles", nil, nil, "Big Seat Type Sport", "Base.BigCarSeat3", "Item_CarSeat", nil, nil, nil}
		NecroList.Items.VehItem4 = {"Vehicles", nil, nil, "Big Gas Tank Type Standard", "Base.BigGasTank1", "Item_CarGastank", nil, nil, nil}
		NecroList.Items.VehItem5 = {"Vehicles", nil, nil, "Big Gas Tank Type Heavy-Duty", "Base.BigGasTank2", "Item_CarGastank", nil, nil, nil}
		NecroList.Items.VehItem6 = {"Vehicles", nil, nil, "Big Gas Tank Type Sport", "Base.BigGasTank3", "Item_CarGastank", nil, nil, nil}
		NecroList.Items.VehItem7 = {"Vehicles", nil, nil, "Big Trunk Type Standard", "Base.BigTrunk1", "Item_CarTrunk", nil, nil, nil}
		NecroList.Items.VehItem8 = {"Vehicles", nil, nil, "Big Trunk Type Heavy-Duty", "Base.BigTrunk2", "Item_CarTrunk", nil, nil, nil}
		NecroList.Items.VehItem9 = {"Vehicles", nil, nil, "Big Trunk Type Sport", "Base.BigTrunk3", "Item_CarTrunk", nil, nil, nil}
		NecroList.Items.VehItem10 = {"Vehicles", nil, nil, "Battery Type Standard", "Base.CarBattery1", "Item_CarBattery", nil, nil, nil}
		NecroList.Items.VehItem11 = {"Vehicles", nil, nil, "Battery Type Heavy-Duty", "Base.CarBattery2", "Item_CarBattery", nil, nil, nil}
		NecroList.Items.VehItem12 = {"Vehicles", nil, nil, "Battery Type Sport", "Base.CarBattery3", "Item_CarBattery", nil, nil, nil}
		NecroList.Items.VehItem13 = {"Vehicles", nil, nil, "Engine Door Type Standard", "Base.EngineDoor1", "Question_On", nil, nil, nil}
		NecroList.Items.VehItem14 = {"Vehicles", nil, nil, "Engine Door Type Heavy-Duty", "Base.EngineDoor2", "Question_On", nil, nil, nil}
		NecroList.Items.VehItem15 = {"Vehicles", nil, nil, "Engine Door Type Sport", "Base.EngineDoor3", "Question_On", nil, nil, nil}
		NecroList.Items.VehItem16 = {"Vehicles", nil, nil, "Front Door Type Standard", "Base.FrontCarDoor1", "Item_CarDoorFront", nil, nil, nil}
		NecroList.Items.VehItem17 = {"Vehicles", nil, nil, "Front Door Type Heavy-Duty", "Base.FrontCarDoor2", "Item_CarDoorFront", nil, nil, nil}
		NecroList.Items.VehItem18 = {"Vehicles", nil, nil, "Front Door Type Sport", "Base.FrontCarDoor3", "Item_CarDoorFront", nil, nil, nil}
		NecroList.Items.VehItem19 = {"Vehicles", nil, nil, "Front Window Type Standard", "Base.FrontWindow1", "Item_SideWindow", nil, nil, nil}
		NecroList.Items.VehItem20 = {"Vehicles", nil, nil, "Front Window Type Heavy-Duty", "Base.FrontWindow2", "Item_SideWindow", nil, nil, nil}
		NecroList.Items.VehItem21 = {"Vehicles", nil, nil, "Front Window Type Sport", "Base.FrontWindow3", "Item_SideWindow", nil, nil, nil}
		NecroList.Items.VehItem22 = {"Vehicles", nil, nil, "Glove Box Type Standard", "Base.GloveBox1", "Question_On", nil, nil, nil}
		NecroList.Items.VehItem23 = {"Vehicles", nil, nil, "Glove Box Type Standard", "Base.GloveBox2", "Question_On", nil, nil, nil}
		NecroList.Items.VehItem24 = {"Vehicles", nil, nil, "Glove Box Type Sport", "Base.GloveBox3", "Question_On", nil, nil, nil}
		NecroList.Items.VehItem25 = {"Vehicles", nil, nil, "Modern Brake Type Standard", "Base.ModernBrake1", "Item_CarBrakes", nil, nil, nil}
		NecroList.Items.VehItem26 = {"Vehicles", nil, nil, "Modern Brake Type Heavy-Duty", "Base.ModernBrake2", "Item_CarBrakes", nil, nil, nil}
		NecroList.Items.VehItem27 = {"Vehicles", nil, nil, "Modern Brake Type Sport", "Base.ModernBrake3", "Item_CarBrakes", nil, nil, nil}
		NecroList.Items.VehItem28 = {"Vehicles", nil, nil, "Modern Tire Type Standard", "Base.ModernTire1", "Item_CarTire", nil, nil, nil}
		NecroList.Items.VehItem29 = {"Vehicles", nil, nil, "Modern Tire Type Heavy-Duty", "Base.ModernTire2", "Item_CarTire", nil, nil, nil}
		NecroList.Items.VehItem30 = {"Vehicles", nil, nil, "Modern Tire Type Sport", "Base.ModernTire3", "Item_CarTire", nil, nil, nil}
		NecroList.Items.VehItem31 = {"Vehicles", nil, nil, "Standard Brake Type Standard", "Base.NormalBrake1", "Item_CarBrakes", nil, nil, nil}
		NecroList.Items.VehItem32 = {"Vehicles", nil, nil, "Standard Brake Type Heavy-Duty", "Base.NormalBrake2", "Item_CarBrakes", nil, nil, nil}
		NecroList.Items.VehItem33 = {"Vehicles", nil, nil, "Standard Brake Type Sport", "Base.NormalBrake3", "Item_CarBrakes", nil, nil, nil}
		NecroList.Items.VehItem34 = {"Vehicles", nil, nil, "Standard Seat Type Standard", "Base.NormalCarSeat1", "Item_CarSeat", nil, nil, nil}
		NecroList.Items.VehItem35 = {"Vehicles", nil, nil, "Standard Seat Type Heavy-Duty", "Base.NormalCarSeat2", "Item_CarSeat", nil, nil, nil}
		NecroList.Items.VehItem36 = {"Vehicles", nil, nil, "Sports Seat Type Sport", "Base.NormalCarSeat3", "Item_CarSeat", nil, nil, nil}
		NecroList.Items.VehItem37 = {"Vehicles", nil, nil, "Standard Gas Tank Type Standard", "Base.NormalGasTank1", "Item_CarGastank", nil, nil, nil}
		NecroList.Items.VehItem38 = {"Vehicles", nil, nil, "Standard Gas Tank Type Heavy-Duty", "Base.NormalGasTank2", "Item_CarGastank", nil, nil, nil}
		NecroList.Items.VehItem39 = {"Vehicles", nil, nil, "Standard Gas Tank Type Sport", "Base.NormalGasTank3", "Item_CarGastank", nil, nil, nil}
		NecroList.Items.VehItem40 = {"Vehicles", nil, nil, "Standard Tire Type Standard", "Base.NormalTire1", "Item_CarTire", nil, nil, nil}
		NecroList.Items.VehItem41 = {"Vehicles", nil, nil, "Standard Tire Type Heavy-Duty", "Base.NormalTire2", "Item_CarTire", nil, nil, nil}
		NecroList.Items.VehItem42 = {"Vehicles", nil, nil, "Standard Tire Type Sport", "Base.NormalTire3", "Item_CarTire", nil, nil, nil}
		NecroList.Items.VehItem43 = {"Vehicles", nil, nil, "Standard Trunk Type Standard", "Base.NormalTrunk1", "Item_CarTrunk", nil, nil, nil}
		NecroList.Items.VehItem44 = {"Vehicles", nil, nil, "Standard Trunk Type Heavy-Duty", "Base.NormalTrunk2", "Item_CarTrunk", nil, nil, nil}
		NecroList.Items.VehItem45 = {"Vehicles", nil, nil, "Standard Trunk Type Sport", "Base.NormalTrunk3", "Item_CarTrunk", nil, nil, nil}
		NecroList.Items.VehItem46 = {"Vehicles", nil, nil, "Vintage Brake Type Sport", "Base.OldBrake1", "Item_CarBrakes", nil, nil, nil}
		NecroList.Items.VehItem47 = {"Vehicles", nil, nil, "Vintage Brake Type Heavy-Duty", "Base.OldBrake2", "Item_CarBrakes", nil, nil, nil}
		NecroList.Items.VehItem48 = {"Vehicles", nil, nil, "Vintage Brake Type Sport", "Base.OldBrake3", "Item_CarBrakes", nil, nil, nil}
		NecroList.Items.VehItem49 = {"Vehicles", nil, nil, "Vintage Tire Type Standard", "Base.OldTire1", "Item_CarTire", nil, nil, nil}
		NecroList.Items.VehItem50 = {"Vehicles", nil, nil, "Vintage Tire Type Heavy-Duty", "Base.OldTire2", "Item_CarTire", nil, nil, nil}
		NecroList.Items.VehItem51 = {"Vehicles", nil, nil, "Vintage Tire Type Sport", "Base.OldTire3", "Item_CarTire", nil, nil, nil}
		NecroList.Items.VehItem52 = {"Vehicles", nil, nil, "Rear Door Type Standard", "Base.RearCarDoor1", "Item_CarDoorRear", nil, nil, nil}
		NecroList.Items.VehItem53 = {"Vehicles", nil, nil, "Rear Door Type Heavy-Duty", "Base.RearCarDoor2", "Item_CarDoorRear", nil, nil, nil}
		NecroList.Items.VehItem54 = {"Vehicles", nil, nil, "Rear Door Type Sport", "Base.RearCarDoor3", "Item_CarDoorRear", nil, nil, nil}
		NecroList.Items.VehItem55 = {"Vehicles", nil, nil, "Double Rear Door Type Standard", "Base.RearCarDoorDouble1", "Item_CarDoorRear", nil, nil, nil}
		NecroList.Items.VehItem56 = {"Vehicles", nil, nil, "Double Rear Door Type Heavy-Duty", "Base.RearCarDoorDouble2", "Item_CarDoorRear", nil, nil, nil}
		NecroList.Items.VehItem57 = {"Vehicles", nil, nil, "Double Rear Door Type Sport", "Base.RearCarDoorDouble3", "Item_CarDoorRear", nil, nil, nil}
		NecroList.Items.VehItem58 = {"Vehicles", nil, nil, "Rear Window Type Standard", "Base.RearWindow1", "Item_SideWindow", nil, nil, nil}
		NecroList.Items.VehItem59 = {"Vehicles", nil, nil, "Rear Window Type Heavy-Duty", "Base.RearWindow2", "Item_SideWindow", nil, nil, nil}
		NecroList.Items.VehItem60 = {"Vehicles", nil, nil, "Rear Window Type Sport", "Base.RearWindow3", "Item_SideWindow", nil, nil, nil}
		NecroList.Items.VehItem61 = {"Vehicles", nil, nil, "Rear Windshield Type Standard", "Base.RearWindshield1", "Item_CarWindshield", nil, nil, nil}
		NecroList.Items.VehItem62 = {"Vehicles", nil, nil, "Rear Windshield Type Heavy-Duty", "Base.RearWindshield2", "Item_CarWindshield", nil, nil, nil}
		NecroList.Items.VehItem63 = {"Vehicles", nil, nil, "Rear Windshield Type Sport", "Base.RearWindshield3", "Item_CarWindshield", nil, nil, nil}
		NecroList.Items.VehItem64 = {"Vehicles", nil, nil, "Small Gas Tank Type Standard", "Base.SmallGasTank1", "Item_CarGastank", nil, nil, nil}
		NecroList.Items.VehItem65 = {"Vehicles", nil, nil, "Small Gas Tank Type Heavy-Duty", "Base.SmallGasTank2", "Item_CarGastank", nil, nil, nil}
		NecroList.Items.VehItem66 = {"Vehicles", nil, nil, "Small Gas Tank Type Sport", "Base.SmallGasTank3", "Item_CarGastank", nil, nil, nil}
		NecroList.Items.VehItem67 = {"Vehicles", nil, nil, "Small Trunk Type Standard", "Base.SmallTrunk1", "Item_CarTrunk", nil, nil, nil}
		NecroList.Items.VehItem68 = {"Vehicles", nil, nil, "Small Trunk Type Heavy-Duty", "Base.SmallTrunk2", "Item_CarTrunk", nil, nil, nil}
		NecroList.Items.VehItem69 = {"Vehicles", nil, nil, "Small Trunk Type Sport", "Base.SmallTrunk3", "Item_CarTrunk", nil, nil, nil}
		NecroList.Items.VehItem70 = {"Vehicles", nil, nil, "Wrench", "Base.Spanner", "Item_Wrench", nil, nil, nil}
		NecroList.Items.VehItem71 = {"Vehicles", nil, nil, "Sports Seat Type Standard", "Base.SportCarSeat1", "Item_CarSeat", nil, nil, nil}
		NecroList.Items.VehItem72 = {"Vehicles", nil, nil, "Sports Seat Type Heavy-Duty", "Base.SportCarSeat2", "Item_CarSeat", nil, nil, nil}
		NecroList.Items.VehItem73 = {"Vehicles", nil, nil, "Standard Seat Type Sport", "Base.SportCarSeat3", "Item_CarSeat", nil, nil, nil}
		NecroList.Items.VehItem74 = {"Vehicles", nil, nil, "Windshield Type Standard", "Base.Windshield1", "Item_CarWindshield", nil, nil, nil}
		NecroList.Items.VehItem75 = {"Vehicles", nil, nil, "Windshield Type Heavy-Duty", "Base.Windshield2", "Item_CarWindshield", nil, nil, nil}
		NecroList.Items.VehItem76 = {"Vehicles", nil, nil, "Windshield Type Sport", "Base.Windshield3", "Item_CarWindshield", nil, nil, nil}
		-- Functions
		NecroList.Items.VehicleRandom = {"Vehicle Debug", nil, nil, "Function - Debug Spawn Random", "NecroForge.NecroFunction", "Item_ToyCar", nil, nil, nil, true, "VehicleSpawn"}
		NecroList.Items.VehicleReload = {"Vehicle Debug", nil, nil, "Function - Debug Reload Script", "NecroForge.NecroFunction", "Item_Remote", nil, nil, nil, true, "Vehicle", "VehicleReload"}
		NecroList.Items.VehicleRefuel = {"Vehicle Debug", nil, nil, "Function - Debug Refuel", "NecroForge.NecroFunction", "Item_Petrol", nil, nil, nil, true, "Vehicle", "VehicleRefuel"}
		NecroList.Items.VehicleEngineFix = {"Vehicle Debug", nil, nil, "Function - Debug Engine Fix", "NecroForge.NecroFunction", "media/textures/Item_NFVehicleWrench.png", nil, nil, nil, true, "Vehicle", "VehicleEngineFix"}
		NecroList.Items.VehicleUnlock = {"Vehicle Debug", nil, nil, "Function - Debug Door Unlock", "NecroForge.NecroFunction", "media/textures/Item_NFUnlock.png", nil, nil, nil, true, "Vehicle", "VehicleUnlock"}
		NecroList.Items.VehicleLock = {"Vehicle Debug", nil, nil, "Function - Debug Door Lock", "NecroForge.NecroFunction", "media/textures/Item_NFLock.png", nil, nil, nil, true, "Vehicle", "VehicleLock"}
		NecroList.Items.VehicleKey = {"Vehicle Debug", nil, nil, "Function - Debug Create Key", "NecroForge.NecroFunction", "Item_Key1", nil, nil, nil, true, "Vehicle", "VehicleKey"}
		NecroList.Items.VehicleSkinNext = {"Vehicle Debug", nil, nil, "Vehicle - Skin Next", "NecroForge.NecroFunction", "Item_Hairspray", nil, nil, nil, true, "Vehicle", "VehicleSkinNext"}
		NecroList.Items.VehicleSkinPrev = {"Vehicle Debug", nil, nil, "Vehicle - Skin Previous", "NecroForge.NecroFunction", "Item_Hairspray", nil, nil, nil, true, "Vehicle", "VehicleSkinPrev"}
		NecroList.Items.Vehicle01 = {"Vehicle Debug", nil, nil, "Vehicle - Swap CarNormal", "NecroForge.NecroFunction", "media/textures/Item_NFVehicleSwap.png", nil, nil, nil, true, "Vehicle", "VehicleSwap", "Base.CarNormal"}
		NecroList.Items.Vehicle02 = {"Vehicle Debug", nil, nil, "Vehicle - Swap CarStationWagon", "NecroForge.NecroFunction", "media/textures/Item_NFVehicleSwap.png", nil, nil, nil, true, "Vehicle", "VehicleSwap", "Base.CarStationWagon"}
		NecroList.Items.Vehicle03 = {"Vehicle Debug", nil, nil, "Vehicle - Swap CarLights", "NecroForge.NecroFunction", "media/textures/Item_NFVehicleSwap.png", nil, nil, nil, true, "Vehicle", "VehicleSwap", "Base.CarLights"}
		NecroList.Items.Vehicle04 = {"Vehicle Debug", nil, nil, "Vehicle - Swap Van", "NecroForge.NecroFunction", "media/textures/Item_NFVehicleSwap.png", nil, nil, nil, true, "Vehicle", "VehicleSwap", "Base.Van"}
		NecroList.Items.Vehicle05 = {"Vehicle Debug", nil, nil, "Vehicle - Swap VanSeats", "NecroForge.NecroFunction", "media/textures/Item_NFVehicleSwap.png", nil, nil, nil, true, "Vehicle", "VehicleSwap", "Base.VanSeats"}
		NecroList.Items.Vehicle06 = {"Vehicle Debug", nil, nil, "Vehicle - Swap VanRadio", "NecroForge.NecroFunction", "media/textures/Item_NFVehicleSwap.png", nil, nil, nil, true, "Vehicle", "VehicleSwap", "Base.VanRadio"}
		NecroList.Items.Vehicle07 = {"Vehicle Debug", nil, nil, "Vehicle - Swap StepVan", "NecroForge.NecroFunction", "media/textures/Item_NFVehicleSwap.png", nil, nil, nil, true, "Vehicle", "VehicleSwap", "Base.StepVan"}
		NecroList.Items.Vehicle08 = {"Vehicle Debug", nil, nil, "Vehicle - Swap PickUpVan", "NecroForge.NecroFunction", "media/textures/Item_NFVehicleSwap.png", nil, nil, nil, true, "Vehicle", "VehicleSwap", "Base.PickUpVan"}
		NecroList.Items.Vehicle09 = {"Vehicle Debug", nil, nil, "Vehicle - Swap PickUpTruck", "NecroForge.NecroFunction", "media/textures/Item_NFVehicleSwap.png", nil, nil, nil, true, "Vehicle", "VehicleSwap", "Base.PickUpTruck"}
		NecroList.Items.Vehicle10 = {"Vehicle Debug", nil, nil, "Vehicle - Swap PickUpTruckLights", "NecroForge.NecroFunction", "media/textures/Item_NFVehicleSwap.png", nil, nil, nil, true, "Vehicle", "VehicleSwap", "Base.PickUpTruckLights"}
		NecroList.Items.Vehicle11 = {"Vehicle Debug", nil, nil, "Vehicle - Swap SportsCar", "NecroForge.NecroFunction", "media/textures/Item_NFVehicleSwap.png", nil, nil, nil, true, "Vehicle", "VehicleSwap", "Base.SportsCar"}
		NecroList.Items.Vehicle12 = {"Vehicle Debug", nil, nil, "Vehicle - Swap SmallCar", "NecroForge.NecroFunction", "media/textures/Item_NFVehicleSwap.png", nil, nil, nil, true, "Vehicle", "VehicleSwap", "Base.SmallCar"}
		NecroList.Items.Vehicle13 = {"Vehicle Debug", nil, nil, "Vehicle - Swap VanSpecial", "NecroForge.NecroFunction", "media/textures/Item_NFVehicleSwap.png", nil, nil, nil, true, "Vehicle", "VehicleSwap", "Base.VanSpecial"}
		NecroList.Items.Vehicle14 = {"Vehicle Debug", nil, nil, "Vehicle - Swap VanAmbulance", "NecroForge.NecroFunction", "media/textures/Item_NFVehicleSwap.png", nil, nil, nil, true, "Vehicle", "VehicleSwap", "Base.VanAmbulance"}
		NecroList.Items.Vehicle15 = {"Vehicle Debug", nil, nil, "Vehicle - Swap SUV", "NecroForge.NecroFunction", "media/textures/Item_NFVehicleSwap.png", nil, nil, nil, true, "Vehicle", "VehicleSwap", "Base.SUV"}
		NecroList.Items.Vehicle16 = {"Vehicle Debug", nil, nil, "Vehicle - Swap CarTaxi", "NecroForge.NecroFunction", "media/textures/Item_NFVehicleSwap.png", nil, nil, nil, true, "Vehicle", "VehicleSwap", "Base.CarTaxi"}
		NecroList.Items.Vehicle17 = {"Vehicle Debug", nil, nil, "Vehicle - Swap SmallCar02", "NecroForge.NecroFunction", "media/textures/Item_NFVehicleSwap.png", nil, nil, nil, true, "Vehicle", "VehicleSwap", "Base.SmallCar02"}
		NecroList.Items.Vehicle18 = {"Vehicle Debug", nil, nil, "Vehicle - Swap ModernCar", "NecroForge.NecroFunction", "media/textures/Item_NFVehicleSwap.png", nil, nil, nil, true, "Vehicle", "VehicleSwap", "Base.ModernCar"}
		NecroList.Items.Vehicle19 = {"Vehicle Debug", nil, nil, "Vehicle - Swap ModernCar02", "NecroForge.NecroFunction", "media/textures/Item_NFVehicleSwap.png", nil, nil, nil, true, "Vehicle", "VehicleSwap", "Base.ModernCar02"}
		NecroList.Items.Vehicle20 = {"Vehicle Debug", nil, nil, "Vehicle - Swap CarLightsPolice", "NecroForge.NecroFunction", "media/textures/Item_NFVehicleSwap.png", nil, nil, nil, true, "Vehicle", "VehicleSwap", "Base.CarLightsPolice"}
		NecroList.Items.Vehicle21 = {"Vehicle Debug", nil, nil, "Vehicle - Swap PickUpTruckLightsPolice", "NecroForge.NecroFunction", "media/textures/Item_NFVehicleSwap.png", nil, nil, nil, true, "Vehicle", "VehicleSwap", "Base.PickUpTruckLightsPolice"}
		else
		print ("[NecroForge] - Vehicle Build Not Detected");
		NecroList.Items.Placeholder1 = {"Vehicles", nil, nil, "Placeholder Spiffo", "NecroForge.NecroFunction", "Item_PlushSpiffo", nil, nil, nil, true}
		NecroList.Items.Placeholder1a = {"Vehicles", nil, nil, "Vehicles Unavailable", "NecroForge.NecroFunction", "Item_ToyCar", nil, nil, nil, true}
		NecroList.Items.Placeholder2 = {"Vehicle Debug", nil, nil, "Placeholder Spiffo", "NecroForge.NecroFunction", "Item_PlushSpiffo", nil, nil, nil, true}
		NecroList.Items.Placeholder2a = {"Vehicle Debug", nil, nil, "Vehicles Unavailable", "NecroForge.NecroFunction", "Item_ToyCar", nil, nil, nil, true}
		end
		print ("[NecroForge] - Plug-In Active - Searching for Supported Mods");
		if (ModCheck("Survivors")) then
		print ("[NecroForge] - Adding Survivor Spawner Brushes to NecroForge");
		NecroList.Items.SurvSpwn01 = {"Brushes", nil, nil, "Brush - Spawn Survivor [M]", "NecroForge.NecroFunction", "media/textures/Item_NFVehicleSwap.png", nil, nil, nil, true, "Brush", "Spawn Survivor"}
		NecroList.Items.SurvSpwn02 = {"Brushes", nil, nil, "Brush - Spawn Survivor Hostile [M]", "NecroForge.NecroFunction", "media/textures/Item_NFVehicleSwap.png", nil, nil, nil, true, "Brush", "Spawn Hostile Survivor"}
		end
		if (ModCheck("ORGM")) then
		print ("[NecroForge] - Adding ORGM to NecroForge");
		NecroList.Items.ORGM1 = {"Mods", "ORGM", nil, "ORGM - 7.62x39mm rounds", "ORGM.762Rounds", "media/textures/Item_762Rounds.png", nil, nil, nil};
		NecroList.Items.ORGM2 = {"Mods", "ORGM", nil, "ORGM - 7.62x39mm Box", "ORGM.762Box", "media/textures/Item_762Box.png", nil, nil, nil};
		NecroList.Items.ORGM4 = {"Mods", "ORGM", nil, "ORGM - 9x19mm Parabellum rounds", "ORGM.9mmRounds", "media/textures/Item_9mmRounds.png", nil, nil, nil};
		NecroList.Items.ORGM5 = {"Mods", "ORGM", nil, "ORGM - 9x19mm Box", "ORGM.9mmBox", "media/textures/Item_9mmBox.png", nil, nil, nil};
		NecroList.Items.ORGM7 = {"Mods", "ORGM", nil, "ORGM - 12 Gauge shells", "ORGM.12gRounds", "media/textures/Item_12gRounds.png", nil, nil, nil};
		NecroList.Items.ORGM8 = {"Mods", "ORGM", nil, "ORGM - 12 Gauge Box", "ORGM.12gBox", "media/textures/Item_12gBox.png", nil, nil, nil};
		NecroList.Items.ORGM10 = {"Mods", "ORGM", nil, "ORGM - 12 Gauge Slug shells", "ORGM.12gSlugRounds", "media/textures/Item_12gSlugRounds.png", nil, nil, nil};
		NecroList.Items.ORGM11 = {"Mods", "ORGM", nil, "ORGM - 12 Gauge Slug Box", "ORGM.12gSlugBox", "media/textures/Item_12gSlugBox.png", nil, nil, nil};
		NecroList.Items.ORGM13 = {"Mods", "ORGM", nil, "ORGM - 22 LR rounds", "ORGM.22Rounds", "media/textures/Item_22Rounds.png", nil, nil, nil};
		NecroList.Items.ORGM14 = {"Mods", "ORGM", nil, "ORGM - 22 LR Box", "ORGM.22Box", "media/textures/Item_22Box.png", nil, nil, nil};
		NecroList.Items.ORGM16 = {"Mods", "ORGM", nil, "ORGM - 38 Special rounds", "ORGM.38Rounds", "media/textures/Item_38Rounds.png", nil, nil, nil};
		NecroList.Items.ORGM17 = {"Mods", "ORGM", nil, "ORGM - 38 Special Box", "ORGM.38Box", "media/textures/Item_38Box.png", nil, nil, nil};
		NecroList.Items.ORGM19 = {"Mods", "ORGM", nil, "ORGM - 40 S&W rounds", "ORGM.40Rounds", "media/textures/Item_40Rounds.png", nil, nil, nil};
		NecroList.Items.ORGM20 = {"Mods", "ORGM", nil, "ORGM - 40 S&W Box", "ORGM.40Box", "media/textures/Item_40Box.png", nil, nil, nil};
		NecroList.Items.ORGM21 = {"Mods", "ORGM", nil, "ORGM - 44 Magnum rounds", "ORGM.44Box", "media/textures/Item_44Rounds.png", nil, nil, nil};
		NecroList.Items.ORGM22 = {"Mods", "ORGM", nil, "ORGM - 44 Magnum Box", "ORGM.44Box", "media/textures/Item_44Box.png", nil, nil, nil};
		NecroList.Items.ORGM23 = {"Mods", "ORGM", nil, "ORGM - 45 ACP rounds", "ORGM.45Rounds", "media/textures/Item_45Rounds.png", nil, nil, nil};
		NecroList.Items.ORGM24 = {"Mods", "ORGM", nil, "ORGM - 45 ACP Box", "ORGM.45Box", "media/textures/Item_45Box.png", nil, nil, nil};
		NecroList.Items.ORGM25 = {"Mods", "ORGM", nil, "ORGM - 38 Super rounds", "ORGM.38SRounds", "media/textures/Item_38SRounds.png", nil, nil, nil};
		NecroList.Items.ORGM26 = {"Mods", "ORGM", nil, "ORGM - 38 Super Box", "ORGM.38SBox", "media/textures/Item_38SBox.png", nil, nil, nil};
		NecroList.Items.ORGM27 = {"Mods", "ORGM", nil, "ORGM - 357 Magnum rounds", "ORGM.357Rounds", "media/textures/Item_357Rounds.png", nil, nil, nil};
		NecroList.Items.ORGM28 = {"Mods", "ORGM", nil, "ORGM - 357 Magnum Box", "ORGM.357Box", "media/textures/Item_357Box.png", nil, nil, nil};
		NecroList.Items.ORGM29 = {"Mods", "ORGM", nil, "ORGM - 223 Remington rounds", "ORGM.223Rounds", "media/textures/Item_223Rounds.png", nil, nil, nil};
		NecroList.Items.ORGM30 = {"Mods", "ORGM", nil, "ORGM - 223 Remington Box", "ORGM.223RemBox", "media/textures/Item_223Box.png", nil, nil, nil};
		NecroList.Items.ORGM31 = {"Mods", "ORGM", nil, "ORGM - 5.56x45mm NATO rounds", "ORGM.556Rounds", "media/textures/Item_556Rounds.png", nil, nil, nil};
		NecroList.Items.ORGM32 = {"Mods", "ORGM", nil, "ORGM - 5.56x45mm NATO Box", "ORGM.556Box", "media/textures/Item_556Box.png", nil, nil, nil};
		NecroList.Items.ORGM33 = {"Mods", "ORGM", nil, "ORGM - 30-06 Springfield rounds", "ORGM.3006Rounds", "media/textures/Item_3006Rounds.png", nil, nil, nil};
		NecroList.Items.ORGM34 = {"Mods", "ORGM", nil, "ORGM - 30-06 Springfield Box", "ORGM.3006Box", "media/textures/Item_3006Box.png", nil, nil, nil};
		NecroList.Items.ORGM35 = {"Mods", "ORGM", nil, "ORGM - 30-30 Springfield rounds", "ORGM.3030Rounds", "media/textures/Item_3030Rounds.png", nil, nil, nil};
		NecroList.Items.ORGM36 = {"Mods", "ORGM", nil, "ORGM - 30-30 Springfield Box", "ORGM.3030Box", "media/textures/Item_3030Box.png", nil, nil, nil};
		NecroList.Items.ORGM37 = {"Mods", "ORGM", nil, "ORGM - 308 Winchester rounds", "ORGM.308Rounds", "media/textures/Item_308Rounds.png", nil, nil, nil};
		NecroList.Items.ORGM38 = {"Mods", "ORGM", nil, "ORGM - 308 Winchester Box", "ORGM.308wBox", "media/textures/Item_308Box.png", nil, nil, nil};
		NecroList.Items.ORGM39 = {"Mods", "ORGM", nil, "ORGM - 7.62x51 rounds", "ORGM.762x51Rounds", "media/textures/Item_762x51Rounds.png", nil, nil, nil};
		NecroList.Items.ORGM40 = {"Mods", "ORGM", nil, "ORGM - 7.62x51 Box", "ORGM.762x51Box", "media/textures/Item_762x51Box.png", nil, nil, nil};
		NecroList.Items.ORGM41 = {"Mods", "ORGM", nil, "ORGM - 7.62x54R rounds", "ORGM.762x54Rounds", "media/textures/Item_762x54Rounds.png", nil, nil, nil};
		NecroList.Items.ORGM42 = {"Mods", "ORGM", nil, "ORGM - 7.62x54R Box", "ORGM.762x54Box", "media/textures/Item_762x54Box.png", nil, nil, nil};
		NecroList.Items.ORGM43 = {"Mods", "ORGM", nil, "ORGM - 454 Casull rounds", "ORGM.454Rounds", "media/textures/Item_454Rounds.png", nil, nil, nil};
		NecroList.Items.ORGM44 = {"Mods", "ORGM", nil, "ORGM - 454 Casull Box", "ORGM.454Box", "media/textures/Item_454Box.png", nil, nil, nil};
		NecroList.Items.ORGM45 = {"Mods", "ORGM", nil, "ORGM - 50 AE rounds", "ORGM.50AERounds", "media/textures/Item_50AERounds.png", nil, nil, nil};
		NecroList.Items.ORGM46 = {"Mods", "ORGM", nil, "ORGM - 50 AE Box", "ORGM.50AEBox", "media/textures/Item_50AEBox.png", nil, nil, nil};
		NecroList.Items.ORGM47 = {"Mods", "ORGM", nil, "ORGM - 117 caliber BBs", "ORGM.BBs", "media/textures/Item_BBs.png", nil, nil, nil};
		NecroList.Items.ORGM48 = {"Mods", "ORGM", nil, "ORGM - 117 caliber BBs Box", "ORGM.BBCan", "media/textures/Item_BBCan.png", nil, nil, nil};
		NecroList.Items.ORGM49 = {"Mods", "ORGM", nil, "ORGM - 5.7x28mm rounds", "ORGM.57Rounds", "media/textures/Item_57Rounds.png", nil, nil, nil};
		NecroList.Items.ORGM50 = {"Mods", "ORGM", nil, "ORGM - 5.7x28mm Box", "ORGM.57Box", "media/textures/Item_57Box.png", nil, nil, nil};
		NecroList.Items.ORGM51 = {"Mods", "ORGM", nil, "ORGM - 10mm Auto rounds", "ORGM.10mmRounds", "media/textures/Item_10mmRounds.png", nil, nil, nil};
		NecroList.Items.ORGM52 = {"Mods", "ORGM", nil, "ORGM - 10mm Auto Box", "ORGM.10mmBox", "media/textures/Item_10mmBox.png", nil, nil, nil};
		NecroList.Items.ORGM53 = {"Mods", "ORGM", nil, "ORGM - 45 Colt rounds", "ORGM.45ColtRounds", "media/textures/Item_45ColtRounds.png", nil, nil, nil};
		NecroList.Items.ORGM54 = {"Mods", "ORGM", nil, "ORGM - 45 Colt Box", "ORGM.45ColtBox", "media/textures/Item_45ColtBox.png", nil, nil, nil};
		NecroList.Items.ORGM55 = {"Mods", "ORGM", nil, "ORGM - 380 ACP rounds", "ORGM.380Rounds", "media/textures/Item_380Rounds.png", nil, nil, nil};
		NecroList.Items.ORGM56 = {"Mods", "ORGM", nil, "ORGM - 380 ACP Box", "ORGM.380Box", "media/textures/Item_380Box.png", nil, nil, nil};
		NecroList.Items.ORGM57 = {"Mods", "ORGM", nil, "ORGM - 32 ACP rounds", "ORGM.32Rounds", "media/textures/Item_32Rounds.png", nil, nil, nil};
		NecroList.Items.ORGM58 = {"Mods", "ORGM", nil, "ORGM - 32 ACP Box", "ORGM.32Box", "media/textures/Item_32Box.png", nil, nil, nil};
		-- Mods
		NecroList.Items.ORGM59 = {"Mods", "ORGM", nil, "ORGM - Scope; 2x", "ORGM.2xScope", "media/textures/Item_2xScope.png", nil, nil, nil};
		NecroList.Items.ORGM60 = {"Mods", "ORGM", nil, "ORGM - Scope; 4x", "ORGM.4xScope", "media/textures/Item_4xScope.png", nil, nil, nil};
		NecroList.Items.ORGM61 = {"Mods", "ORGM", nil, "ORGM - Scope; 8x", "ORGM.8xScope", "media/textures/Item_8xScope.png", nil, nil, nil};
		NecroList.Items.ORGM62 = {"Mods", "ORGM", nil, "ORGM - Fiberoptic Sights", "ORGM.FibSig", "media/textures/Item_FibSig.png", nil, nil, nil};
		NecroList.Items.ORGM63 = {"Mods", "ORGM", nil, "ORGM - Foregrip", "ORGM.Foregrip", "media/textures/Item_Foregrip.png", nil, nil, nil};
		NecroList.Items.ORGM64 = {"Mods", "ORGM", nil, "ORGM - Full Choke", "ORGM.FullCh", "media/textures/Item_FullCh.png", nil, nil, nil};
		NecroList.Items.ORGM65 = {"Mods", "ORGM", nil, "ORGM - Half Choke", "ORGM.HalfCh", "media/textures/Item_HalfCh.png", nil, nil, nil};
		NecroList.Items.ORGM66 = {"Mods", "ORGM", nil, "ORGM - Pistol Laser Sight", "ORGM.PistolLas", "media/textures/Item_PistolLas.png", nil, nil, nil};
		NecroList.Items.ORGM67 = {"Mods", "ORGM", nil, "ORGM - Pistol Tactical Light", "ORGM.PistolTL", "media/textures/Item_PistolTL.png", nil, nil, nil};
		NecroList.Items.ORGM68 = {"Mods", "ORGM", nil, "ORGM - Red Dot Sight", "ORGM.RDS", "media/textures/Item_RDS.png", nil, nil, nil};
		NecroList.Items.ORGM69 = {"Mods", "ORGM", nil, "ORGM - Recoil Pad", "ORGM.Recoil", "media/textures/Item_Recoil.png", nil, nil, nil};
		NecroList.Items.ORGM70 = {"Mods", "ORGM", nil, "ORGM - Reflex Sight", "ORGM.Reflex", "media/textures/Item_Reflex.png", nil, nil, nil};
		NecroList.Items.ORGM71 = {"Mods", "ORGM", nil, "ORGM - Rifle Laser Sight", "ORGM.RifleLas", "media/textures/Item_RifleLas.png", nil, nil, nil};
		NecroList.Items.ORGM72 = {"Mods", "ORGM", nil, "ORGM - Rifle Tactical Light", "ORGM.RifleTL", "media/textures/Item_RifleTL.png", nil, nil, nil};
		NecroList.Items.ORGM73 = {"Mods", "ORGM", nil, "ORGM - Rifle Sling", "ORGM.Rifsling", "media/textures/Item_RifSling.png", nil, nil, nil};
		NecroList.Items.ORGM74 = {"Mods", "ORGM", nil, "ORGM - Skeletal Stock", "ORGM.SkeletalStock", "media/textures/Item_SkeletalStock.png", nil, nil, nil};
		NecroList.Items.ORGM75 = {"Mods", "ORGM", nil, "ORGM - Collapsing Stock", "ORGM.CollapsingStock", "media/textures/Item_CollapsingStock.png", nil, nil, nil};
		-- Pistols
		NecroList.Items.ORGM76 = {"Mods", "ORGM", nil, "ORGM - Beretta 92FS", "ORGM.Ber92", "media/textures/Item_Ber92.png", nil, nil, nil};
		NecroList.Items.ORGM77 = {"Mods", "ORGM", nil, "ORGM - Bren Ten", "ORGM.BrenTen", "media/textures/Item_BrenTen.png", nil, nil, nil};
		NecroList.Items.ORGM78 = {"Mods", "ORGM", nil, "ORGM - Browning Hi-Power", "ORGM.BrownHP", "media/textures/Item_BrownHP.png", nil, nil, nil};
		NecroList.Items.ORGM79 = {"Mods", "ORGM", nil, "ORGM - Colt Delta Elite", "ORGM.ColtDelta", "media/textures/Item_ColtDelta.png", nil, nil, nil};
		NecroList.Items.ORGM80 = {"Mods", "ORGM", nil, "ORGM - Glock 20", "ORGM.Glock20", "media/textures/Item_ColtDelta.png", nil, nil, nil};
		NecroList.Items.ORGM81 = {"Mods", "ORGM", nil, "ORGM - Daisy Powerline Model 201", "ORGM.BBPistol", "media/textures/Item_BBPistol.png", nil, nil, nil};
		NecroList.Items.ORGM82 = {"Mods", "ORGM", nil, "ORGM - FN Five-seven", "ORGM.FN57", "media/textures/Item_FN57.png", nil, nil, nil};
		NecroList.Items.ORGM83 = {"Mods", "ORGM", nil, "ORGM - Glock 17", "ORGM.Glock17", "media/textures/Item_Glock17.png", nil, nil, nil};
		NecroList.Items.ORGM84 = {"Mods", "ORGM", nil, "ORGM - Springfield 1911 9mm", "ORGM.Spr19119", "media/textures/Item_Spr19119mm.png", nil, nil, nil};
		NecroList.Items.ORGM85 = {"Mods", "ORGM", nil, "ORGM - Walther PPK", "ORGM.WaltherPPK", "media/textures/Item_WaltherPPK.png", nil, nil, nil};
		NecroList.Items.ORGM86 = {"Mods", "ORGM", nil, "ORGM - Taurus Milliennium P132", "ORGM.TaurusP132", "media/textures/Item_TaurusP132.png", nil, nil, nil};
		NecroList.Items.ORGM87 = {"Mods", "ORGM", nil, "ORGM - Kel-Tec P-32", "ORGM.KTP32", "media/textures/Item_KTP32.png", nil, nil, nil};
		NecroList.Items.ORGM88 = {"Mods", "ORGM", nil, "ORGM - Glock 22", "ORGM.Glock22", "media/textures/Item_Glock22.png", nil, nil, nil};
		NecroList.Items.ORGM89 = {"Mods", "ORGM", nil, "ORGM - CZ 75", "ORGM.CZ75", "media/textures/Item_CZ75.png", nil, nil, nil};
		NecroList.Items.ORGM90 = {"Mods", "ORGM", nil, "ORGM - Glock 21", "ORGM.Glock21", "media/textures/Item_Glock21.png", nil, nil, nil};
		NecroList.Items.ORGM91 = {"Mods", "ORGM", nil, "ORGM - H&K Mark 23", "ORGM.HKMK23", "media/textures/Item_HKMK23.png", nil, nil, nil};
		NecroList.Items.ORGM92 = {"Mods", "ORGM", nil, "ORGM - M1911", "ORGM.M1911", "media/textures/Item_M1911.png", nil, nil, nil};
		NecroList.Items.ORGM93 = {"Mods", "ORGM", nil, "ORGM - Ruger MKII", "ORGM.RugerMKII", "media/textures/Item_RugerMKII.png", nil, nil, nil};
		NecroList.Items.ORGM94 = {"Mods", "ORGM", nil, "ORGM - SIG P226", "ORGM.SIGP226", "media/textures/Item_SIGP226.png", nil, nil, nil};
		NecroList.Items.ORGM95 = {"Mods", "ORGM", nil, "ORGM - Walther P22", "ORGM.WaltherP22", "media/textures/Item_WaltherP22.png", nil, nil, nil};
		NecroList.Items.ORGM96 = {"Mods", "ORGM", nil, "ORGM - Colt Commander Super 38", "ORGM.Colt38S", "media/textures/Item_Colt38S.png", nil, nil, nil};
		NecroList.Items.ORGM97 = {"Mods", "ORGM", nil, "ORGM - Taurus PT38S", "ORGM.Taurus38", "media/textures/Item_Taurus38.png", nil, nil, nil};
		NecroList.Items.ORGM98 = {"Mods", "ORGM", nil, "ORGM - IMI Desert Eagle .44", "ORGM.DEagle", "media/textures/Item_DEagle.png", nil, nil, nil};
		NecroList.Items.ORGM99 = {"Mods", "ORGM", nil, "ORGM - RugerSR9", "ORGM.RugerSR9", "media/textures/Item_RugerSR9.png", nil, nil, nil};
		NecroList.Items.ORGM100 = {"Mods", "ORGM", nil, "ORGM - Kahr CT-40", "ORGM.KahrCT40", "media/textures/Item_KahrCT40.png", nil, nil, nil};
		NecroList.Items.ORGM101 = {"Mods", "ORGM", nil, "ORGM - Springfield XD-40", "ORGM.XD40", "media/textures/Item_XD40.png", nil, nil, nil};
		NecroList.Items.ORGM102 = {"Mods", "ORGM", nil, "ORGM - Kahr P-380", "ORGM.KahrP380", "media/textures/Item_KahrP380.png", nil, nil, nil};
		NecroList.Items.ORGM103 = {"Mods", "ORGM", nil, "ORGM - IMI Desert Eagle XIX .50", "ORGM.DEagleXIX", "media/textures/Item_DEagleXIX.png", nil, nil, nil};
		NecroList.Items.ORGM104 = {"Mods", "ORGM", nil, "ORGM - AMT Automag V", "ORGM.AutomagV", "media/textures/Item_AutomagV.png", nil, nil, nil};
		-- Repair Items
		NecroList.Items.ORGM105 = {"Mods", "ORGM", nil, "ORGM - WD-40", "ORGM.WD40", "media/textures/Item_WD40.png", nil, nil, nil};
		NecroList.Items.ORGM106 = {"Mods", "ORGM", nil, "ORGM - Gun Brush Kit", "ORGM.Brushkit", "media/textures/Item_Brushkit.png", nil, nil, nil};
		NecroList.Items.ORGM107 = {"Mods", "ORGM", nil, "ORGM - Gun Maintenance Kit", "ORGM.Maintkit", "media/textures/Item_Maintkit.png", nil, nil, nil};
		-- Revolvers
		NecroList.Items.ORGM108 = {"Mods", "ORGM", nil, "ORGM - Colt Anaconda", "ORGM.ColtAnac", "media/textures/Item_ColtAnac.png", nil, nil, nil};
		NecroList.Items.ORGM109 = {"Mods", "ORGM", nil, "ORGM - Colt Python", "ORGM.ColtPyth", "media/textures/Item_ColtPyth.png", nil, nil, nil};
		NecroList.Items.ORGM111 = {"Mods", "ORGM", nil, "ORGM - Ruger Alaskan", "ORGM.RugAlas", "media/textures/Item_RugAlas.png", nil, nil, nil};
		NecroList.Items.ORGM113 = {"Mods", "ORGM", nil, "ORGM - Colt Single Action Army", "ORGM.ColtSAA", "media/textures/Item_ColtSAA.png", nil, nil, nil};
		NecroList.Items.ORGM114 = {"Mods", "ORGM", nil, "ORGM - Ruger Blackhawk", "ORGM.RugBH", "media/textures/Item_RugBH.png", nil, nil, nil};
		NecroList.Items.ORGM116 = {"Mods", "ORGM", nil, "ORGM - Ruger GP100", "ORGM.RugGP100", "media/textures/Item_RugGP100.png", nil, nil, nil};
		NecroList.Items.ORGM118 = {"Mods", "ORGM", nil, "ORGM - Ruger Security Six", "ORGM.RugSec6", "media/textures/Item_RugSec6.png", nil, nil, nil};
		NecroList.Items.ORGM119 = {"Mods", "ORGM", nil, "ORGM - S&W Model 10", "ORGM.SWM10", "media/textures/Item_SWM10.png", nil, nil, nil};
		NecroList.Items.ORGM120 = {"Mods", "ORGM", nil, "ORGM - S&W Model 25-2", "ORGM.SWM252", "media/textures/Item_SWM252.png", nil, nil, nil};
		NecroList.Items.ORGM121 = {"Mods", "ORGM", nil, "ORGM - S&W Model 19", "ORGM.SWM19", "media/textures/Item_SWM19.png", nil, nil, nil};
		NecroList.Items.ORGM123 = {"Mods", "ORGM", nil, "ORGM - S&W Model 29", "ORGM.SWM29", "media/textures/Item_SWM29.png", nil, nil, nil};
		NecroList.Items.ORGM124 = {"Mods", "ORGM", nil, "ORGM - S&W Model 36 Chief's Special", "ORGM.SWM36", "media/textures/Item_SWM36.png", nil, nil, nil};
		NecroList.Items.ORGM125 = {"Mods", "ORGM", nil, "ORGM - S&W Model 610", "ORGM.SWM610", "media/textures/Item_SWM610.png", nil, nil, nil};
		NecroList.Items.ORGM126 = {"Mods", "ORGM", nil, "ORGM - Taurus Raging Bull 454", "ORGM.Taurus454", "media/textures/Item_Taurus454.png", nil, nil, nil};
		-- SMGs
		NecroList.Items.ORGM128 = {"Mods", "ORGM", nil, "ORGM - H&K MP5", "ORGM.HKMP5", "media/textures/Item_HKMP5.png", nil, nil, nil};
		NecroList.Items.ORGM129 = {"Mods", "ORGM", nil, "ORGM - H&K UMP-45", "ORGM.HKUMP", "media/textures/Item_HKUMP.png", nil, nil, nil};
		NecroList.Items.ORGM130 = {"Mods", "ORGM", nil, "ORGM - FN P90", "ORGM.FNP90", "media/textures/Item_FNP90.png", nil, nil, nil};
		NecroList.Items.ORGM131 = {"Mods", "ORGM", nil, "ORGM - M1A1 Thompson", "ORGM.M1A1", "media/textures/Item_M1A1.png", nil, nil, nil};
		NecroList.Items.ORGM132 = {"Mods", "ORGM", nil, "ORGM - American-180", "ORGM.AM180", "media/textures/Item_AM180.png", nil, nil, nil};
		NecroList.Items.ORGM133 = {"Mods", "ORGM", nil, "ORGM - Kriss Vector CRB", "ORGM.Kriss", "media/textures/Item_Kriss.png", nil, nil, nil};
		NecroList.Items.ORGM134 = {"Mods", "ORGM", nil, "ORGM - Kel-Tec PLR-16", "ORGM.KTPLR", "media/textures/Item_KTPLR.png", nil, nil, nil};
		NecroList.Items.ORGM135 = {"Mods", "ORGM", nil, "ORGM - Mac-11", "ORGM.Mac11", "media/textures/Item_Mac11.png", nil, nil, nil};
		NecroList.Items.ORGM136 = {"Mods", "ORGM", nil, "ORGM - Uzi", "ORGM.Uzi", "media/textures/Item_Uzi.png", nil, nil, nil};
		NecroList.Items.ORGM137 = {"Mods", "ORGM", nil, "ORGM - Mac-10", "ORGM.Mac10", "media/textures/Item_Mac10.png", nil, nil, nil};
		NecroList.Items.ORGM138 = {"Mods", "ORGM", nil, "ORGM - Glock 18C", "ORGM.Glock18", "media/textures/Item_Glock18.png", nil, nil, nil};
		NecroList.Items.ORGM139 = {"Mods", "ORGM", nil, "ORGM - Beretta 93R", "ORGM.Ber93R", "media/textures/Item_Ber93R.png", nil, nil, nil};
		NecroList.Items.ORGM140 = {"Mods", "ORGM", nil, "ORGM - Skorpion vz. 61", "ORGM.Skorpion", "media/textures/Item_Skorpion.png", nil, nil, nil};
		-- Shotguns
		NecroList.Items.ORGM141 = {"Mods", "ORGM", nil, "ORGM - Benelli M3 Super 90", "ORGM.BenelliM3", "media/textures/Item_BenelliM3.png", nil, nil, nil};
		NecroList.Items.ORGM142 = {"Mods", "ORGM", nil, "ORGM - Benelli XM1014", "ORGM.BenelliXM1014", "media/textures/Item_BenelliXM1014.png", nil, nil, nil};
		NecroList.Items.ORGM143 = {"Mods", "ORGM", nil, "ORGM - Benelli M3 Super 90 Sawn-off", "ORGM.BenelliM3SO", "media/textures/Item_BenelliM3SO.png", nil, nil, nil};
		NecroList.Items.ORGM146 = {"Mods", "ORGM", nil, "ORGM - Ithaca Model 37", "ORGM.Ithaca37", "media/textures/Item_Ithaca37.png", nil, nil, nil};
		NecroList.Items.ORGM147 = {"Mods", "ORGM", nil, "ORGM - Ithaca Model 37 Sawn-off", "ORGM.Ithaca37SO", "media/textures/Item_Ithaca37SO.png", nil, nil, nil};
		NecroList.Items.ORGM148 = {"Mods", "ORGM", nil, "ORGM - Mossberg 590", "ORGM.Moss590", "media/textures/Item_Moss590.png", nil, nil, nil};
		NecroList.Items.ORGM149 = {"Mods", "ORGM", nil, "ORGM - Mossberg 590 Sawn-off", "ORGM.Moss590SO", "media/textures/Item_Moss590SO.png", nil, nil, nil};
		NecroList.Items.ORGM150 = {"Mods", "ORGM", nil, "ORGM - Remington 870", "ORGM.Rem870", "media/textures/Item_Rem870.png", nil, nil, nil};
		NecroList.Items.ORGM151 = {"Mods", "ORGM", nil, "ORGM - Remington 870 Sawn-off", "ORGM.Rem870SO", "media/textures/Item_Rem870SO.png", nil, nil, nil};
		NecroList.Items.ORGM152 = {"Mods", "ORGM", nil, "ORGM - Beretta Model 471 Silverhawk", "ORGM.Silverhawk", "media/textures/Item_Silverhawk.png", nil, nil, nil};
		NecroList.Items.ORGM153 = {"Mods", "ORGM", nil, "ORGM - Beretta Model 471 Silverhawk Sawn-off", "ORGM.SilverHawkSO", "media/textures/Item_SilverhawkSO.png", nil, nil, nil};
		NecroList.Items.ORGM154 = {"Mods", "ORGM", nil, "ORGM - Spas-12", "ORGM.Spas12", "media/textures/Item_Spas12.png", nil, nil, nil};
		NecroList.Items.ORGM156 = {"Mods", "ORGM", nil, "ORGM - Stevens 320 Pump", "ORGM.Stevens320", "media/textures/Item_Stevens320.png", nil, nil, nil};
		NecroList.Items.ORGM157 = {"Mods", "ORGM", nil, "ORGM - VEPR-12 MOLOT", "ORGM.VEPR12", "media/textures/Item_VEPR12.png", nil, nil, nil};
		NecroList.Items.ORGM158 = {"Mods", "ORGM", nil, "ORGM - SRM Arms Model 1216", "ORGM.M1216", "media/textures/Item_M1216.png", nil, nil, nil};
		NecroList.Items.ORGM159 = {"Mods", "ORGM", nil, "ORGM - Hawk Model 982 Defense", "ORGM.Hawk982", "media/textures/Item_Hawk982.png", nil, nil, nil};
		NecroList.Items.ORGM160 = {"Mods", "ORGM", nil, "ORGM - Armsel Striker", "ORGM.Striker", "media/textures/Item_Striker.png", nil, nil, nil};
		NecroList.Items.ORGM161 = {"Mods", "ORGM", nil, "ORGM - Winchester Model 1887", "ORGM.Win1887", "media/textures/Item_Win1887.png", nil, nil, nil};
		NecroList.Items.ORGM162 = {"Mods", "ORGM", nil, "ORGM - Winchester Model 1887 Sawn-off", "ORGM.Win1887SO", "media/textures/Item_Win1887SO.png", nil, nil, nil};
		-- Rifles
		NecroList.Items.ORGM163 = {"Mods", "ORGM", nil, "ORGM - Norinco AKM", "ORGM.AKM", "media/textures/Item_AKM.png", nil, nil, nil};
		NecroList.Items.ORGM164 = {"Mods", "ORGM", nil, "ORGM - AKM", "ORGM.AKMSA", "media/textures/Item_AKM2.png", nil, nil, nil};
		NecroList.Items.ORGM165 = {"Mods", "ORGM", nil, "ORGM - AR-10", "ORGM.AR10SA", "media/textures/Item_AR10.png", nil, nil, nil};
		NecroList.Items.ORGM166 = {"Mods", "ORGM", nil, "ORGM - Remington R25", "ORGM.R25", "media/textures/Item_R25.png", nil, nil, nil};
		NecroList.Items.ORGM167 = {"Mods", "ORGM", nil, "ORGM - FSL LSR", "ORGM.FNFAL", "media/textures/Item_FNFAL.png", nil, nil, nil};
		NecroList.Items.ORGM168 = {"Mods", "ORGM", nil, "ORGM - AR-15", "ORGM.AR15", "media/textures/Item_AR15.png", nil, nil, nil};
		NecroList.Items.ORGM169 = {"Mods", "ORGM", nil, "ORGM - FN FAL", "ORGM.FNFALSA", "media/textures/Item_FNFALA.png", nil, nil, nil};
		NecroList.Items.ORGM170 = {"Mods", "ORGM", nil, "ORGM - H&K 91", "ORGM.HK91", "media/textures/Item_HK91.png", nil, nil, nil};
		NecroList.Items.ORGM171 = {"Mods", "ORGM", nil, "ORGM - H&K G3", "ORGM.HKG3SA", "media/textures/Item_HKG3.png", nil, nil, nil};
		NecroList.Items.ORGM172 = {"Mods", "ORGM", nil, "ORGM - M1 Garand", "ORGM.Garand", "media/textures/Item_Garand.png", nil, nil, nil};
		NecroList.Items.ORGM173 = {"Mods", "ORGM", nil, "ORGM - M 16", "ORGM.M16", "media/textures/Item_M16.png", nil, nil, nil};
		NecroList.Items.ORGM174 = {"Mods", "ORGM", nil, "ORGM - SIG SG550", "ORGM.SIG550", "media/textures/Item_SIG550.png", nil, nil, nil};
		NecroList.Items.ORGM175 = {"Mods", "ORGM", nil, "ORGM - M21 Sniper Weapon System", "ORGM.M21", "media/textures/Item_M21.png", nil, nil, nil};
		NecroList.Items.ORGM176 = {"Mods", "ORGM", nil, "ORGM - Lee Enfield No. 4", "ORGM.LENo4", "media/textures/Item_LENo4.png", nil, nil, nil};
		NecroList.Items.ORGM177 = {"Mods", "ORGM", nil, "ORGM - M4 Carbine", "ORGM.M4C", "media/textures/Item_M4C.png", nil, nil, nil};
		NecroList.Items.ORGM178 = {"Mods", "ORGM", nil, "ORGM - SIG SG551", "ORGM.SIG551", "media/textures/Item_SIG551.png", nil, nil, nil};
		NecroList.Items.ORGM179 = {"Mods", "ORGM", nil, "ORGM - Red Ryder BB Gun", "ORGM.BBGun", "media/textures/Item_BBGun.png", nil, nil, nil};
		NecroList.Items.ORGM180 = {"Mods", "ORGM", nil, "ORGM - Remington 700", "ORGM.Rem700", "media/textures/Item_Rem700.png", nil, nil, nil};
		NecroList.Items.ORGM181 = {"Mods", "ORGM", nil, "ORGM - Ruger 10/22", "ORGM.Rug1022", "media/textures/Item_Rug1022.png", nil, nil, nil};
		NecroList.Items.ORGM182 = {"Mods", "ORGM", nil, "ORGM - Ruger Mini-14", "ORGM.Mini14", "media/textures/Item_Mini14.png", nil, nil, nil};
		NecroList.Items.ORGM183 = {"Mods", "ORGM", nil, "ORGM - SKS", "ORGM.SKS", "media/textures/Item_SKS.png", nil, nil, nil};
		NecroList.Items.ORGM184 = {"Mods", "ORGM", nil, "ORGM - Winchester Model 70", "ORGM.WinM70", "media/textures/Item_WinM70.png", nil, nil, nil};
		NecroList.Items.ORGM185 = {"Mods", "ORGM", nil, "ORGM - Browning BLR", "ORGM.BLR", "media/textures/Item_BLR.png", nil, nil, nil};
		NecroList.Items.ORGM186 = {"Mods", "ORGM", nil, "ORGM - Henry Big Boy", "ORGM.HenryBB", "media/textures/Item_HenryBB.png", nil, nil, nil};
		NecroList.Items.ORGM187 = {"Mods", "ORGM", nil, "ORGM - AI-AW .308", "ORGM.AIAW308", "media/textures/Item_AIAW308.png", nil, nil, nil};
		NecroList.Items.ORGM188 = {"Mods", "ORGM", nil, "ORGM - L96", "ORGM.L96", "media/textures/Item_L96.png", nil, nil, nil};
		NecroList.Items.ORGM189 = {"Mods", "ORGM", nil, "ORGM - Dragunov SVD", "ORGM.SVD", "media/textures/Item_SVD.png", nil, nil, nil};
		NecroList.Items.ORGM190 = {"Mods", "ORGM", nil, "ORGM - Mosin Nagant", "ORGM.Mosin", "media/textures/Item_Mosin.png", nil, nil, nil};
		NecroList.Items.ORGM191 = {"Mods", "ORGM", nil, "ORGM - L85A2", "ORGM.SA80", "media/textures/Item_SA80.png", nil, nil, nil};
		NecroList.Items.ORGM192 = {"Mods", "ORGM", nil, "ORGM - H&K SL8", "ORGM.HKSL8", "media/textures/Item_HKSL8.png", nil, nil, nil};
		NecroList.Items.ORGM193 = {"Mods", "ORGM", nil, "ORGM - Marlin Model 60", "ORGM.Marlin60", "media/textures/Item_Marlin60.png", nil, nil, nil};
		NecroList.Items.ORGM194 = {"Mods", "ORGM", nil, "ORGM - Winchester Model 1894", "ORGM.WinM94", "media/textures/Item_WinM94.png", nil, nil, nil};
		NecroList.Items.ORGM195 = {"Mods", "ORGM", nil, "ORGM - Remington 788", "ORGM.Rem788", "media/textures/Item_Rem788.png", nil, nil, nil};
		NecroList.Items.ORGM196 = {"Mods", "ORGM", nil, "ORGM - KAC SR-25", "ORGM.SR25", "media/textures/Item_SR25.png", nil, nil, nil};
		NecroList.Items.ORGM197 = {"Mods", "ORGM", nil, "ORGM - M249", "ORGM.M249", "media/textures/Item_M249.png", nil, nil, nil};
		end
		if (ModCheck("SVGLitteringME")) then
		print ("[NecroForge] - Adding SVGLitteringME to NecroForge");
		NecroList.Items.LME001 = {"Mods", "Littering", nil, "LME - Cigarette", "littering.Cigarette", "media/textures/Item_SVGCigarette.png", nil, nil, nil};
		NecroList.Items.LME002 = {"Mods", "Littering", nil, "LME - Cigarette Lite", "littering.CigaretteL", "media/textures/Item_SVGCigaretteL.png", nil, nil, nil};
		NecroList.Items.LME003 = {"Mods", "Littering", nil, "LME - Cigarette Menthol", "littering.CigaretteM", "media/textures/Item_SVGCigaretteM.png", nil, nil, nil};
		NecroList.Items.LME004 = {"Mods", "Littering", nil, "LME - Cigarettes Menthol", "littering.CigarettesM", "media/textures/Item_SVGIckySticksMenthol.png", nil, nil, nil};
		NecroList.Items.LME005 = {"Mods", "Littering", nil, "LME - Cigarettes Lite", "littering.CigarettesL", "media/textures/Item_SVGIckySticksLite.png", nil, nil, nil};
		NecroList.Items.LME006 = {"Mods", "Littering", nil, "LME - Energy Drink", "littering.EnergyDrink", "media/textures/Item_SVGEnergyDrink.png", nil, nil, nil};
		NecroList.Items.LME007 = {"Mods", "Littering", nil, "LME - Energy Drink", "littering.EnergyDrink2", "media/textures/Item_SVGEnergyDrink2.png", nil, nil, nil};
		NecroList.Items.LME008 = {"Mods", "Littering", nil, "LME - Vodka", "littering.VodkaFull", "media/textures/Item_SVGVodkaFull.png", nil, nil, nil};
		NecroList.Items.LME009 = {"Mods", "Littering", nil, "LME - Cola", "littering.ColaBottle", "media/textures/Item_SVGCola.png", nil, nil, nil};
		NecroList.Items.LME011 = {"Mods", "Littering", nil, "LME - Pack of Chewing Gum", "littering.GumPack", "media/textures/Item_SVGGumPack.png", nil, nil, nil};
		NecroList.Items.LME012 = {"Mods", "Littering", nil, "LME - Gummy Bears", "littering.GummyBears", "media/textures/Item_SVGGummyBears.png", nil, nil, nil};
		NecroList.Items.LME013 = {"Mods", "Littering", nil, "LME - Corn Candy", "littering.CornCandy", "media/textures/Item_SVGCandyCorn.png", nil, nil, nil};
		NecroList.Items.LME014 = {"Mods", "Littering", nil, "LME - Gummy Worms", "littering.GummyWorms", "media/textures/Item_SVGGummyWorms.png", nil, nil, nil};
		NecroList.Items.LME015 = {"Mods", "Littering", nil, "LME - Skil Candy", "littering.CandySkil", "media/textures/Item_SVGCandySkil.png", nil, nil, nil};
		NecroList.Items.LME016 = {"Mods", "Littering", nil, "LME - Mix Candy", "littering.MixCandy", "media/textures/Item_SVGCandyColors.png", nil, nil, nil};
		NecroList.Items.LME017 = {"Mods", "Littering", nil, "LME - Jelly Beans", "littering.JellyBeans", "media/textures/Item_SVGJellyBeans.png", nil, nil, nil};
		NecroList.Items.LME018 = {"Mods", "Littering", nil, "LME - Soda (Cherry)", "littering.Soda01", "media/textures/Item_SVGSoda01.png", nil, nil, nil};
		NecroList.Items.LME019 = {"Mods", "Littering", nil, "LME - Soda (Cola)", "littering.Soda02", "media/textures/Item_SVGSoda02.png", nil, nil, nil};
		NecroList.Items.LME020 = {"Mods", "Littering", nil, "LME - Soda (Cream)", "littering.Soda03", "media/textures/Item_SVGSoda03.png", nil, nil, nil};
		NecroList.Items.LME021 = {"Mods", "Littering", nil, "LME - Soda (Dr. Prepper)", "littering.Soda04", "media/textures/Item_SVGSoda04.png", nil, nil, nil};
		NecroList.Items.LME022 = {"Mods", "Littering", nil, "LME - Soda (Ginger Ale)", "littering.Soda05", "media/textures/Item_SVGSoda05.png", nil, nil, nil};
		NecroList.Items.LME023 = {"Mods", "Littering", nil, "LME - Soda (Grape)", "littering.Soda06", "media/textures/Item_SVGSoda06.png", nil, nil, nil};
		NecroList.Items.LME024 = {"Mods", "Littering", nil, "LME - Soda (Grapefruit)", "littering.Soda07", "media/textures/Item_SVGSoda07.png", nil, nil, nil};
		NecroList.Items.LME025 = {"Mods", "Littering", nil, "LME - Soda (Lemon Lime)", "littering.Soda08", "media/textures/Item_SVGSoda08.png", nil, nil, nil};
		NecroList.Items.LME026 = {"Mods", "Littering", nil, "LME - Soda (Pineapple)", "littering.Soda09", "media/textures/Item_SVGSoda09.png", nil, nil, nil};
		NecroList.Items.LME027 = {"Mods", "Littering", nil, "LME - Soda (Root Beer)", "littering.Soda10", "media/textures/Item_SVGSoda10.png", nil, nil, nil};
		NecroList.Items.LME028 = {"Mods", "Littering", nil, "LME - Soda (Orange)", "littering.Soda11", "media/textures/Item_SVGSoda11.png", nil, nil, nil};
		NecroList.Items.LME029 = {"Mods", "Littering", nil, "LME - Soda (Blueberry)", "littering.Soda12", "media/textures/Item_SVGSoda12.png", nil, nil, nil};
		NecroList.Items.LME030 = {"Mods", "Littering", nil, "LME - Canned Soup Classic", "littering.CannedSoupClassic", "media/textures/Item_SVGCannedSoupClassic.png", nil, nil, nil};
		NecroList.Items.LME031 = {"Mods", "Littering", nil, "LME - Pack of Chewing Gum (Fruit)", "littering.GumPack1", "media/textures/Item_SVGGumPack1.png", nil, nil, nil};
		NecroList.Items.LME032 = {"Mods", "Littering", nil, "LME - Pack of Chewing Gum (Mint)", "littering.GumPack2", "media/textures/Item_SVGGumPack2.png", nil, nil, nil};
		NecroList.Items.LME033 = {"Mods", "Littering", nil, "LME - Pop Lemon", "littering.PopLemon", "media/textures/Item_SVGPopLemon.png", nil, nil, nil};
		NecroList.Items.LME034 = {"Mods", "Littering", nil, "LME - Pop Orange", "littering.PopOrange", "media/textures/Item_SVGPopOrange.png", nil, nil, nil};
		NecroList.Items.LME035 = {"Mods", "Littering", nil, "LME - Energy Drink Bottle", "littering.EnergyDrinkBottle", "media/textures/Item_SVGEnergyDrinkBottle.png", nil, nil, nil};
		NecroList.Items.LME036 = {"Mods", "Littering", nil, "LME - Canned Meal", "littering.CannedMeal", "media/textures/Item_SVGTinCanGeneric.png", nil, nil, nil};
		NecroList.Items.LME037 = {"Mods", "Littering", nil, "LME - Lighter Fluid", "littering.LighterFluid", "media/textures/Item_SVGLighterFluid.png", nil, nil, nil};
		end
		if (ModCheck("rodjah'shomepub")) then
		print ("[NecroForge] - Adding rodjah'shomepub to NecroForge");
		NecroList.Items.RHP001 = {"Mods", "HomePub", nil, "RHP - Plate", "RHP.Plate", "media/textures/Item_RHP_KU01Plate.png", nil, nil, nil};
		NecroList.Items.RHP002 = {"Mods", "HomePub", nil, "RHP - Pile Of Plates", "RHP.PileOfPlates", "media/textures/Item_RHP_KU02PileOfPlates.png", nil, nil, nil};
		NecroList.Items.RHP003 = {"Mods", "HomePub", nil, "RHP - Crystal Glass", "RHP.Glass", "media/textures/Item_RHP_KU03Glass.png", nil, nil, nil};
		NecroList.Items.RHP004 = {"Mods", "HomePub", nil, "RHP - Glass of Water", "RHP.WaterGlass", "media/textures/Item_RHP_BD01WaterGlass.png", nil, nil, nil};
		NecroList.Items.RHP005 = {"Mods", "HomePub", nil, "RHP - Shaker", "RHP.Shaker", "media/textures/Item_RHP_KU07Shaker.png", nil, nil, nil};
		NecroList.Items.RHP006 = {"Mods", "HomePub", nil, "RHP - Cocktail Spoon", "RHP.CocktailSpoon", "media/textures/Item_RHP_KU08CocktailSpoon.png", nil, nil, nil};
		NecroList.Items.RHP007 = {"Mods", "HomePub", nil, "RHP - Ice Cubes", "RHP.IceCubes", "media/textures/Item_RHP_KI01IceCubes.png", nil, nil, nil};
		NecroList.Items.RHP008 = {"Mods", "HomePub", nil, "RHP - Melted Ice", "RHP.IceMelted", "media/textures/Item_RHP_KI02IceCubesMelted.png", nil, nil, nil};
		NecroList.Items.RHP009 = {"Mods", "HomePub", nil, "RHP - Green Olives", "RHP.GreenOlives", "media/textures/Item_RHP_KI04GreenOlives.png", nil, nil, nil};
		NecroList.Items.RHP010 = {"Mods", "HomePub", nil, "RHP - Vanila", "RHP.Vanila", "media/textures/Item_RHP_KI07Vanila.png", nil, nil, nil};
		NecroList.Items.RHP011 = {"Mods", "HomePub", nil, "RHP - Ginger Root", "RHP.Ginger", "media/textures/Item_RHP_KI08GingerRoot.png", nil, nil, nil};
		NecroList.Items.RHP012 = {"Mods", "HomePub", nil, "RHP - Lime", "RHP.Lime", "media/textures/Item_RHP_KI09Lime.png", nil, nil, nil};
		NecroList.Items.RHP013 = {"Mods", "HomePub", nil, "RHP - Mint", "RHP.Mint", "media/textures/Item_RHP_KI10Mint.png", nil, nil, nil};
		NecroList.Items.RHP014 = {"Mods", "HomePub", nil, "RHP - Camomile", "RHP.Camomile", "media/textures/Item_RHP_KI11Camomile.png", nil, nil, nil};
		NecroList.Items.RHP015 = {"Mods", "HomePub", nil, "RHP - Soda Bottle Empty", "RHP.SodaBottleEmpty", "media/textures/Item_RHP_KI13SodaBottleEmpty.png", nil, nil, nil};
		NecroList.Items.RHP016 = {"Mods", "HomePub", nil, "RHP - Soda Bottle", "RHP.SodaBottle", "media/textures/Item_RHP_KI13SodaBottleFull.png", nil, nil, nil};
		NecroList.Items.RHP017 = {"Mods", "HomePub", nil, "RHP - Soda Bottle Water", "RHP.WaterSodaBottle", "media/textures/Item_RHP_KI13WaterSodaBottle.png", nil, nil, nil};
		NecroList.Items.RHP018 = {"Mods", "HomePub", nil, "RHP - Waffles with Maple Syrup", "RHP.MapleWaffles", "media/textures/Item_RHP_KI18MapleWaffles.png", nil, nil, nil};
		NecroList.Items.RHP019 = {"Mods", "HomePub", nil, "RHP - Chocolate Cake Slice", "RHP.CakeSlice2", "media/textures/Item_RHP_KF02CakeSlice.png", nil, nil, nil};
		NecroList.Items.RHP020 = {"Mods", "HomePub", nil, "RHP - Good Cooking Magazine", "RHP.CookingMag3", "media/textures/Item_RHP_KM01FoodMagazine.png", nil, nil, nil};
		NecroList.Items.RHP021 = {"Mods", "HomePub", nil, "RHP - Croissant", "RHP.Croissant", "media/textures/Item_RHP_KF01Croissant.png", nil, nil, nil};
		NecroList.Items.RHP022 = {"Mods", "HomePub", nil, "RHP - Baking Mold", "RHP.BakingMold", "media/textures/Item_RHP_KU04BakingMold.png", nil, nil, nil};
		NecroList.Items.RHP023 = {"Mods", "HomePub", nil, "RHP - Cookie Mold", "RHP.CookieMold", "media/textures/Item_RHP_KU05CookieMold.png", nil, nil, nil};
		NecroList.Items.RHP024 = {"Mods", "HomePub", nil, "RHP - Grater", "RHP.Grater", "media/textures/Item_RHP_KU06Grater.png", nil, nil, nil};
		NecroList.Items.RHP025 = {"Mods", "HomePub", nil, "RHP - Garlic", "RHP.Garlic", "media/textures/Item_RHP_KI03Garlic.png", nil, nil, nil};
		NecroList.Items.RHP026 = {"Mods", "HomePub", nil, "RHP - Raisins", "RHP.Raisins", "media/textures/Item_RHP_KI05Raisins.png", nil, nil, nil};
		NecroList.Items.RHP027 = {"Mods", "HomePub", nil, "RHP - Almonds", "RHP.Almonds", "media/textures/Item_RHP_KI06Almonds.png", nil, nil, nil};
		NecroList.Items.RHP028 = {"Mods", "HomePub", nil, "RHP - Aloe Vera Leaves", "RHP.AloeVera", "media/textures/Item_RHP_KI12AloeVera.png", nil, nil, nil};
		NecroList.Items.RHP029 = {"Mods", "HomePub", nil, "RHP - Peeled Potatoes", "RHP.PeeledPotatoes", "media/textures/Item_RHP_KI14PeeledPotatoes.png", nil, nil, nil};
		NecroList.Items.RHP030 = {"Mods", "HomePub", nil, "RHP - Roasted Potatoes", "RHP.RoastedPotatoes", "media/textures/Item_RHP_KI14RoastedPotatoes.png", nil, nil, nil};
		NecroList.Items.RHP031 = {"Mods", "HomePub", nil, "RHP - Cheesy Potatoes", "RHP.CheesyPotatoes", "media/textures/Item_RHP_KI15CheesyPotatoes.png", nil, nil, nil};
		NecroList.Items.RHP032 = {"Mods", "HomePub", nil, "RHP - Pot With Potatoes", "RHP.PotWithPotatoes", "Item_Pot_Water", nil, nil, nil};
		NecroList.Items.RHP033 = {"Mods", "HomePub", nil, "RHP - Roasting Pan With Potatoes", "RHP.RoastingPanWithPotatoes", "media/textures/Item_RHP_KR11RoastingPanPotatoes.png", nil, nil, nil};
		NecroList.Items.RHP034 = {"Mods", "HomePub", nil, "RHP - Boiled Potatoes", "RHP.BoiledPotatoes", "media/textures/Item_RHP_KR14BoildedPotatoes.png", nil, nil, nil};
		NecroList.Items.RHP035 = {"Mods", "HomePub", nil, "RHP - Smashed Potatoes", "RHP.SmashedPotatoes", "media/textures/Item_RHP_KR15SmashedPotatoes.png", nil, nil, nil};
		NecroList.Items.RHP036 = {"Mods", "HomePub", nil, "RHP - Fish Meal", "RHP.RawFishMeal", "media/textures/Item_RHP_KI16RawItalianFish.png", nil, nil, nil};
		NecroList.Items.RHP037 = {"Mods", "HomePub", nil, "RHP - Italian Fish Meal", "RHP.ItalianFish", "media/textures/Item_RHP_KI16ItalianFish.png", nil, nil, nil};
		NecroList.Items.RHP038 = {"Mods", "HomePub", nil, "RHP - Baking Tray Grapes", "RHP.BakingTrayGrapes", "media/textures/Item_RHP_KR01BakingTrayGrapes.png", nil, nil, nil};
		NecroList.Items.RHP039 = {"Mods", "HomePub", nil, "RHP - Baking Tray Raisins", "RHP.BakingTrayRaisins", "media/textures/Item_RHP_KR02BakingTrayRaisins.png", nil, nil, nil};
		NecroList.Items.RHP040 = {"Mods", "HomePub", nil, "RHP - Cookie Dough", "RHP.CookieDough", "media/textures/Item_RHP_KR06CookieDough.png", nil, nil, nil};
		NecroList.Items.RHP041 = {"Mods", "HomePub", nil, "RHP - Baking Tray Raw Cookies", "RHP.BakingTrayRawCookies", "media/textures/Item_RHP_KR07BakingTrayCookiesRaw.png", nil, nil, nil};
		NecroList.Items.RHP042 = {"Mods", "HomePub", nil, "RHP - Baking Tray Cookies", "RHP.BakingTrayCookies", "media/textures/Item_RHP_KR08BakingTrayHomemadeCookies.png", nil, nil, nil};
		NecroList.Items.RHP043 = {"Mods", "HomePub", nil, "RHP - Homemade Cookies", "RHP.HomemadeCookies", "media/textures/Item_RHP_KR10HomemadeCookies.png", nil, nil, nil};
		NecroList.Items.RHP044 = {"Mods", "HomePub", nil, "RHP - Glass Bottle", "RHP.GlassBottle", "media/textures/Item_RHP_M01Bottle.png", nil, nil, nil};
		NecroList.Items.RHP045 = {"Mods", "HomePub", nil, "RHP - Aloe Vera Bottle", "RHP.AloeBottle", "media/textures/Item_RHP_M02AloeBottle.png", nil, nil, nil};
		NecroList.Items.RHP046 = {"Mods", "HomePub", nil, "RHP - Drinks Magazine", "RHP.DrinksMag1", "media/textures/Item_RHP_BM01DrinksMagazine.png", nil, nil, nil};
		NecroList.Items.RHP047 = {"Mods", "HomePub", nil, "RHP - Drinks Magazine", "RHP.DrinksMag2", "media/textures/Item_RHP_BM02DrinksMagazine.png", nil, nil, nil};
		NecroList.Items.RHP048 = {"Mods", "HomePub", nil, "RHP - Margarita Glass", "RHP.MargaritaGlass", "media/textures/Item_RHP_BG01MargaritaGlass.png", nil, nil, nil};
		NecroList.Items.RHP049 = {"Mods", "HomePub", nil, "RHP - Martini Glass", "RHP.MartiniGlass", "media/textures/Item_RHP_BG02MartiniGlass.png", nil, nil, nil};
		NecroList.Items.RHP050 = {"Mods", "HomePub", nil, "RHP - Homemade Energy Drink", "RHP.HomemadeEnergyDrink", "media/textures/Item_RHP_BD02HomemadeEnergyDrink.png", nil, nil, nil};
		NecroList.Items.RHP051 = {"Mods", "HomePub", nil, "RHP - Lemonade", "RHP.ClassicLemonade", "media/textures/Item_RHP_BD03ClassicLemonade.png", nil, nil, nil};
		NecroList.Items.RHP052 = {"Mods", "HomePub", nil, "RHP - Martini Cocktail", "RHP.MartiniCocktail", "media/textures/Item_RHP_BD04Martini.png", nil, nil, nil};
		NecroList.Items.RHP053 = {"Mods", "HomePub", nil, "RHP - Mojito Cocktail", "RHP.MojitoCocktail", "media/textures/Item_RHP_BD05Mojito.png", nil, nil, nil};
		NecroList.Items.RHP054 = {"Mods", "HomePub", nil, "RHP - Margarita Cocktail", "RHP.MargaritaCocktail", "media/textures/Item_RHP_BD06Margarita.png", nil, nil, nil};
		NecroList.Items.RHP055 = {"Mods", "HomePub", nil, "RHP - Cosmopolitan Cocktail", "RHP.CosmopolitanCocktail", "media/textures/Item_RHP_BD07Cosmopolitan.png", nil, nil, nil};
		NecroList.Items.RHP056 = {"Mods", "HomePub", nil, "RHP - Camomile Tea", "RHP.CamomileTea", "Item_MugFulll", nil, nil, nil};
		NecroList.Items.RHP057 = {"Mods", "HomePub", nil, "RHP - Mint Tea", "RHP.MintTea", "Item_MugFulll", nil, nil, nil};
		NecroList.Items.RHP058 = {"Mods", "HomePub", nil, "RHP - Gin Bottle", "RHP.Ginebra", "media/textures/Item_RHP_BA01Gin.png", nil, nil, nil};
		NecroList.Items.RHP059 = {"Mods", "HomePub", nil, "RHP - Dry Vermouth", "RHP.DryVermouth", "media/textures/Item_RHP_BA02DryVermouth.png", nil, nil, nil};
		NecroList.Items.RHP060 = {"Mods", "HomePub", nil, "RHP - White Rum Bottle", "RHP.WhiteRum", "media/textures/Item_RHP_BA03WhiteRum.png", nil, nil, nil};
		NecroList.Items.RHP061 = {"Mods", "HomePub", nil, "RHP - Rum Bottle", "RHP.Rum", "media/textures/Item_RHP_BA04Rum.png", nil, nil, nil};
		NecroList.Items.RHP062 = {"Mods", "HomePub", nil, "RHP - Agua Ardiente Bottle", "RHP.Aguaardiente", "media/textures/Item_RHP_BA05Aguaardiente.png", nil, nil, nil};
		NecroList.Items.RHP063 = {"Mods", "HomePub", nil, "RHP - Triple Sec Bottle", "RHP.TripleSec", "media/textures/Item_RHP_BA06TripleSec.png", nil, nil, nil};
		NecroList.Items.RHP064 = {"Mods", "HomePub", nil, "RHP - White Tequila Bottle", "RHP.WhiteTequila", "media/textures/Item_RHP_BA07WhiteTequila.png", nil, nil, nil};
		NecroList.Items.RHP065 = {"Mods", "HomePub", nil, "RHP - Vodka Bottle", "RHP.Vodka", "media/textures/Item_RHP_BA08Vodka.png", nil, nil, nil};
		NecroList.Items.RHP066 = {"Mods", "HomePub", nil, "RHP - Drinks Magazine", "RHP.DrinksMag3", "media/textures/Item_RHP_BM03DrinksMagazine.png", nil, nil, nil};
		NecroList.Items.RHP067 = {"Mods", "HomePub", nil, "RHP - Empty Bottle", "RHP.BeerBottleEmpty", "media/textures/Item_RHP_BA17CrystalBottle.png", nil, nil, nil};
		NecroList.Items.RHP068 = {"Mods", "HomePub", nil, "RHP - Empty Can", "RHP.BeerCanEmpty", "media/textures/Item_RHP_BA22Can.png", nil, nil, nil};
		NecroList.Items.RHP069 = {"Mods", "HomePub", nil, "RHP - Black Beer Bottle", "RHP.Beer1", "media/textures/Item_RHP_BA09Beer1.png", nil, nil, nil};
		NecroList.Items.RHP070 = {"Mods", "HomePub", nil, "RHP - Lemon Beer Bottle", "RHP.Beer2", "media/textures/Item_RHP_BA10Beer2.png", nil, nil, nil};
		NecroList.Items.RHP071 = {"Mods", "HomePub", nil, "RHP - Amber Beer Bottle", "RHP.Beer3", "media/textures/Item_RHP_BA11Beer3.png", nil, nil, nil};
		NecroList.Items.RHP072 = {"Mods", "HomePub", nil, "RHP - Black Beer Six Pack", "RHP.BeerSixPack1", "media/textures/Item_RHP_BA12Beersixpack1.png", nil, nil, nil};
		NecroList.Items.RHP073 = {"Mods", "HomePub", nil, "RHP - Lemon Beer Six Pack", "RHP.BeerSixPack2", "media/textures/Item_RHP_BA13Beersixpack2.png", nil, nil, nil};
		NecroList.Items.RHP074 = {"Mods", "HomePub", nil, "RHP - Amber Beer Six Pack", "RHP.BeerSixPack3", "media/textures/Item_RHP_BA14Beersixpack3.png", nil, nil, nil};
		NecroList.Items.RHP075 = {"Mods", "HomePub", nil, "RHP - Young Mead Bottle", "RHP.MeadBottle1", "media/textures/Item_RHP_BA15MeadBottle1.png", nil, nil, nil};
		NecroList.Items.RHP076 = {"Mods", "HomePub", nil, "RHP - Mead Bottle", "RHP.MeadBottle2", "media/textures/Item_RHP_BA16MeadBottle2.png", nil, nil, nil};
		NecroList.Items.RHP077 = {"Mods", "HomePub", nil, "RHP - Beer Can", "RHP.Beercan1", "media/textures/Item_RHP_BA18Beercan1.png", nil, nil, nil};
		NecroList.Items.RHP078 = {"Mods", "HomePub", nil, "RHP - Beer Can", "RHP.Beercan2", "media/textures/Item_RHP_BA19Beercan2.png", nil, nil, nil};
		NecroList.Items.RHP079 = {"Mods", "HomePub", nil, "RHP - Beer Can", "RHP.Beercan3", "media/textures/Item_RHP_BA20Beercan3.png", nil, nil, nil};
		NecroList.Items.RHP080 = {"Mods", "HomePub", nil, "RHP - Beer Can", "RHP.Beercan4", "media/textures/Item_RHP_BA21Beercan4.png", nil, nil, nil};
		end
		if (ModCheck("spraypaint")) then
		print ("[NecroForge] - Adding spraypaint to NecroForge");
		NecroList.Items.SPR001 = {"Mods", "Spraypaint", nil, "SPR - Spraycan (White)", "spraypaint.SpraycanWhite", "media/textures/Item_TZ_Spraycan_White.png", nil, nil, nil};
		NecroList.Items.SPR002 = {"Mods", "Spraypaint", nil, "SPR - Spraycan (Red)", "spraypaint.SpraycanRed", "media/textures/Item_TZ_Spraycan_Red.png", nil, nil, nil};
		NecroList.Items.SPR003 = {"Mods", "Spraypaint", nil, "SPR - Spraycan (Blue)", "spraypaint.SpraycanBlue", "media/textures/Item_TZ_Spraycan_Blue.png", nil, nil, nil};
		NecroList.Items.SPR004 = {"Mods", "Spraypaint", nil, "SPR - Spraycan (Green)", "spraypaint.SpraycanGreen", "media/textures/Item_TZ_Spraycan_Green.png", nil, nil, nil};
		NecroList.Items.SPR005 = {"Mods", "Spraypaint", nil, "SPR - Spraycan (Orange)", "spraypaint.SpraycanOrange", "media/textures/Item_TZ_Spraycan_Orange.png", nil, nil, nil};
		NecroList.Items.SPR006 = {"Mods", "Spraypaint", nil, "SPR - Spraycan (Yellow)", "spraypaint.SpraycanYellow", "media/textures/Item_TZ_Spraycan_Yellow.png", nil, nil, nil};
		NecroList.Items.SPR007 = {"Mods", "Spraypaint", nil, "SPR - Spraycan (Violet)", "spraypaint.SpraycanViolet", "media/textures/Item_TZ_Spraycan_Violet.png", nil, nil, nil};
		NecroList.Items.SPR008 = {"Mods", "Spraypaint", nil, "SPR - Spraycan (Black)", "spraypaint.SpraycanBlack", "media/textures/Item_TZ_Spraycan_Black.png", nil, nil, nil};
		NecroList.Items.SPR009 = {"Mods", "Spraypaint", nil, "SPR - Spraycan (Cyan)", "spraypaint.SpraycanCyan", "media/textures/Item_TZ_Spraycan_Cyan.png", nil, nil, nil};
		NecroList.Items.SPR010 = {"Mods", "Spraypaint", nil, "SPR - Chalk (White)", "spraypaint.ChalkWhite", "media/textures/Item_TZ_Chalk_White.png", nil, nil, nil};
		NecroList.Items.SPR011 = {"Mods", "Spraypaint", nil, "SPR - Chalk (Red)", "spraypaint.ChalkRed", "media/textures/Item_TZ_Chalk_Red.png", nil, nil, nil};
		NecroList.Items.SPR012 = {"Mods", "Spraypaint", nil, "SPR - Chalk (Blue)", "spraypaint.ChalkBlue", "media/textures/Item_TZ_Chalk_Blue.png", nil, nil, nil};
		NecroList.Items.SPR013 = {"Mods", "Spraypaint", nil, "SPR - Chalk (Green)", "spraypaint.ChalkGreen", "media/textures/Item_TZ_Chalk_Green.png", nil, nil, nil};
		NecroList.Items.SPR014 = {"Mods", "Spraypaint", nil, "SPR - Chalk (Orange)", "spraypaint.ChalkOrange", "media/textures/Item_TZ_Chalk_Orange.png", nil, nil, nil};
		NecroList.Items.SPR015 = {"Mods", "Spraypaint", nil, "SPR - Chalk (Yellow)", "spraypaint.ChalkYellow", "media/textures/Item_TZ_Chalk_Yellow.png", nil, nil, nil};
		NecroList.Items.SPR016 = {"Mods", "Spraypaint", nil, "SPR - Chalk (Violet)", "spraypaint.ChalkViolet", "media/textures/Item_TZ_Chalk_Violet.png", nil, nil, nil};
		NecroList.Items.SPR017 = {"Mods", "Spraypaint", nil, "SPR - Chalk (Cyan)", "spraypaint.ChalkCyan", "media/textures/Item_TZ_Chalk_Cyan.png", nil, nil, nil};
		end
		if (ModCheck("OZMeds")) then
		print ("[NecroForge] - Adding OZMeds to NecroForge");
		-- Automatically Generated -- 
		-- NecroList Entry Generator v.0.1 --
		NecroList.Items.OZMeds1 = {"Mods", "OZMeds", nil, "OZM - Ampoule of morphine 10mg", "OZMeds.MorphineAmpoule", "media/textures/Item_OZMoreMeds_1mlMorphineAmpoule.png", nil, nil, nil}
		NecroList.Items.OZMeds2 = {"Mods", "OZMeds", nil, "OZM - Opened ampoule of morphine 10mg", "OZMeds.MorphineAmpouleOpened", "media/textures/Item_OZMoreMeds_1mlMorphineAmpouleOpened.png", nil, nil, nil}
		NecroList.Items.OZMeds3 = {"Mods", "OZMeds", nil, "OZM - 10 ml ampoule of insulin (100U/ml)", "OZMeds.InsulinAmpoule", "media/textures/Item_OZMoreMeds_InsulinAmpouleRegular100mg.png", nil, nil, nil}
		NecroList.Items.OZMeds4 = {"Mods", "OZMeds", nil, "OZM - Ampoule of DiclophenacumSodium 3ml", "OZMeds.DiclophenacumSodiumAmpoule", "media/textures/Item_OZMoreMeds_DiclophenacumSodiumAmpoule.png", nil, nil, nil}
		NecroList.Items.OZMeds5 = {"Mods", "OZMeds", nil, "OZM - Opened ampoule of DiclophenacumSodium 3ml", "OZMeds.DiclophenacumSodiumAmpouleOpened", "media/textures/Item_OZMoreMeds_DiclophenacumSodiumAmpouleOpened.png", nil, nil, nil}
		NecroList.Items.OZMeds6 = {"Mods", "OZMeds", nil, "OZM - Ampoule of Metamizolum Sodium 2ml", "OZMeds.MetamizolumSodiumAmpoule", "media/textures/Item_OZMoreMeds_MetamizolumnatriumAmpoule.png", nil, nil, nil}
		NecroList.Items.OZMeds7 = {"Mods", "OZMeds", nil, "OZM - Opened ampoule of Metamizolum Sodium 2ml", "OZMeds.MetamizolumSodiumAmpouleOpened", "media/textures/Item_OZMoreMeds_MetamizolumnatriumAmpouleOpened.png", nil, nil, nil}
		NecroList.Items.OZMeds8 = {"Mods", "OZMeds", nil, "OZM - 10ml ampoule of Nitroglycerinum (5mg/mL)", "OZMeds.NitroglycerinumAmpoule", "media/textures/Item_OZMoreMeds_10mlNitroglycerinum50mg.png", nil, nil, nil}
		NecroList.Items.OZMeds9 = {"Mods", "OZMeds", nil, "OZM - 2ml ampoule of articaine + epinephrine (40mg/mL + 0.01mg/mL)", "OZMeds.ArticaineAmpoule", "media/textures/Item_OZMoreMeds_ArticaineAmpoule2ml.png", nil, nil, nil}
		NecroList.Items.OZMeds10 = {"Mods", "OZMeds", nil, "OZM - 3g bottle of potassium permanganate", "OZMeds.PotassiumPermanganateBottle", "media/textures/Item_OZMoreMeds_PotassiumPermanganateBottle.png", nil, nil, nil}
		NecroList.Items.OZMeds11 = {"Mods", "OZMeds", nil, "OZM - 3g bottle of potassium permanganate", "OZMeds.PotassiumPermanganateDummy", "media/textures/Item_OZMoreMeds_PotassiumPermanganateBottle.png", nil, nil, nil}
		NecroList.Items.OZMeds12 = {"Mods", "OZMeds", nil, "OZM - Full beaker with a solution of potassium permanganate", "OZMeds.BeakerPotassiumPermanganateDummy", "media/textures/Item_OZMoreMeds_BeakerPotassiumPermanganate.png", nil, nil, nil}
		NecroList.Items.OZMeds13 = {"Mods", "OZMeds", nil, "OZM - Full beaker with a solution of potassium permanganate", "OZMeds.BeakerPotassiumPermanganate", "media/textures/Item_OZMoreMeds_BeakerPotassiumPermanganate.png", nil, nil, nil}
		NecroList.Items.OZMeds14 = {"Mods", "OZMeds", nil, "OZM - Full beaker with a solution of potassium permanganate", "OZMeds.BeakerPotassiumPermanganateDes", "media/textures/Item_OZMoreMeds_BeakerPotassiumPermanganateDes.png", nil, nil, nil}
		NecroList.Items.OZMeds15 = {"Mods", "OZMeds", nil, "OZM - Full beaker with a solution of potassium permanganate", "OZMeds.BeakerPotassiumPermanganateDesDumy", "media/textures/Item_OZMoreMeds_BeakerPotassiumPermanganateDes.png", nil, nil, nil}
		NecroList.Items.OZMeds16 = {"Mods", "OZMeds", nil, "OZM - Full beaker with a solution of potassium permanganate", "OZMeds.BeakerPotassiumPermanganateP", "media/textures/Item_OZMoreMeds_BeakerPotassiumPermanganatePoison.png", nil, nil, nil}
		NecroList.Items.OZMeds17 = {"Mods", "OZMeds", nil, "OZM - Full beaker with a solution of potassium permanganate", "OZMeds.BeakerPotassiumPermanganatePDummy", "media/textures/Item_OZMoreMeds_BeakerPotassiumPermanganatePoison.png", nil, nil, nil}
		NecroList.Items.OZMeds18 = {"Mods", "OZMeds", nil, "OZM - 10ml bottle of iodine solution", "OZMeds.IodineBottle", "media/textures/Item_OZMoreMeds_IodineSolution10ml.png", nil, nil, nil}
		NecroList.Items.OZMeds19 = {"Mods", "OZMeds", nil, "OZM - Viride nitens 10ml", "OZMeds.VirideNitens", "media/textures/Item_OZMoreMeds_VirideNitens10ml.png", nil, nil, nil}
		NecroList.Items.OZMeds20 = {"Mods", "OZMeds", nil, "OZM - Ampoule of potassium cyanide 150mg", "OZMeds.Cyanide", "media/textures/Item_OZMoreMeds_CyanideAmpoule.png", nil, nil, nil}
		NecroList.Items.OZMeds21 = {"Mods", "OZMeds", nil, "OZM - 200ml bottle of chloroform", "OZMeds.ChloroformBottle", "media/textures/Item_OZMoreMeds_ChloroformBottle.png", nil, nil, nil}
		NecroList.Items.OZMeds22 = {"Mods", "OZMeds", nil, "OZM - Bottle of chloroform", "OZMeds.ChloroformBottleDummy", "media/textures/Item_OZMoreMeds_ChloroformBottle.png", nil, nil, nil}
		NecroList.Items.OZMeds23 = {"Mods", "OZMeds", nil, "OZM - Towel soaked in chloroform", "OZMeds.ChloroformTowel", "Item_Bathtowel", nil, nil, nil}
		NecroList.Items.OZMeds24 = {"Mods", "OZMeds", nil, "OZM - Bandage soaked in chloroform", "OZMeds.ChloroformBandage", "Item_Bandage", nil, nil, nil}
		NecroList.Items.OZMeds25 = {"Mods", "OZMeds", nil, "OZM - Rag soaked in chloroform", "OZMeds.ChloroformRag", "Item_Rag", nil, nil, nil}
		NecroList.Items.OZMeds26 = {"Mods", "OZMeds", nil, "OZM - 10g bottle of arsenic", "OZMeds.ArsenicBottle", "media/textures/Item_OZMoreMeds_ArsenicBottle.png", nil, nil, nil}
		NecroList.Items.OZMeds27 = {"Mods", "OZMeds", nil, "OZM - 10g bottle of arsenic", "OZMeds.ArsenicBottleDummy", "media/textures/Item_OZMoreMeds_ArsenicBottle.png", nil, nil, nil}
		NecroList.Items.OZMeds28 = {"Mods", "OZMeds", nil, "OZM - 2ml syringe with needle", "OZMeds.NeedleSyringe2ml", "media/textures/Item_OZMoreMeds_NeedleSyringe2mlEmpty.png", nil, nil, nil}
		NecroList.Items.OZMeds29 = {"Mods", "OZMeds", nil, "OZM - 5ml syringe with needle", "OZMeds.NeedleSyringe5ml", "media/textures/Item_OZMoreMeds_NeedleSyringe5mlEmpty.png", nil, nil, nil}
		NecroList.Items.OZMeds30 = {"Mods", "OZMeds", nil, "OZM - 50ml syringe with needle", "OZMeds.NeedleSyringe50ml", "media/textures/Item_OZMoreMeds_NeedleSyringe50mlEmpty.png", nil, nil, nil}
		NecroList.Items.OZMeds31 = {"Mods", "OZMeds", nil, "OZM - Empty 2ml syringe", "OZMeds.Syringe2ml", "media/textures/Item_OZMoreMeds_Syringe2ml.png", nil, nil, nil}
		NecroList.Items.OZMeds32 = {"Mods", "OZMeds", nil, "OZM - Empty 5ml syringe", "OZMeds.Syringe5ml", "media/textures/Item_OZMoreMeds_Syringe5ml.png", nil, nil, nil}
		NecroList.Items.OZMeds33 = {"Mods", "OZMeds", nil, "OZM - Empty 50ml syringe", "OZMeds.Syringe50ml", "media/textures/Item_OZMoreMeds_Syringe50ml.png", nil, nil, nil}
		NecroList.Items.OZMeds34 = {"Mods", "OZMeds", nil, "OZM - 2ml syringe of 1ml Articaine", "OZMeds.1mlArticaineSyringe2ml", "media/textures/Item_OZMoreMeds_1mlSyringe2ml.png", nil, nil, nil}
		NecroList.Items.OZMeds35 = {"Mods", "OZMeds", nil, "OZM - Full 2ml syringe of Articaine", "OZMeds.FullArticaineSyringe2ml", "media/textures/Item_OZMoreMeds_FullSyringe2ml.png", nil, nil, nil}
		NecroList.Items.OZMeds36 = {"Mods", "OZMeds", nil, "OZM - 5ml syringe of 1ml Articaine", "OZMeds.1mlArticaineSyringe5ml", "media/textures/Item_OZMoreMeds_1mlSyringe5ml.png", nil, nil, nil}
		NecroList.Items.OZMeds37 = {"Mods", "OZMeds", nil, "OZM - 5ml syringe of 2ml Articaine", "OZMeds.2mlArticaineSyringe5ml", "media/textures/Item_OZMoreMeds_2mlSyringe5ml.png", nil, nil, nil}
		NecroList.Items.OZMeds38 = {"Mods", "OZMeds", nil, "OZM - 5ml syringe of 3ml Articaine", "OZMeds.3mlArticaineSyringe5ml", "media/textures/Item_OZMoreMeds_3mlSyringe5ml.png", nil, nil, nil}
		NecroList.Items.OZMeds39 = {"Mods", "OZMeds", nil, "OZM - 5ml syringe of 4ml Articaine", "OZMeds.4mlArticaineSyringe5ml", "media/textures/Item_OZMoreMeds_4mlSyringe5ml.png", nil, nil, nil}
		NecroList.Items.OZMeds40 = {"Mods", "OZMeds", nil, "OZM - Full 5ml syringe of Articaine", "OZMeds.FullArticaineSyringe5ml", "media/textures/Item_OZMoreMeds_FullSyringe5ml.png", nil, nil, nil}
		NecroList.Items.OZMeds41 = {"Mods", "OZMeds", nil, "OZM - 2ml syringe of 1ml metamizolum sodium", "OZMeds.1mlMetamizolumSodiumSyringe2ml", "media/textures/Item_OZMoreMeds_1mlSyringe2ml.png", nil, nil, nil}
		NecroList.Items.OZMeds42 = {"Mods", "OZMeds", nil, "OZM - Full 2ml syringe of metamizolum sodium", "OZMeds.FullMetamizolumSodiumSyringe2ml", "media/textures/Item_OZMoreMeds_FullSyringe2ml.png", nil, nil, nil}
		NecroList.Items.OZMeds43 = {"Mods", "OZMeds", nil, "OZM - 5ml syringe of 1ml metamizolum sodium", "OZMeds.1mlMetamizolumSodiumSyringe5ml", "media/textures/Item_OZMoreMeds_1mlSyringe5ml.png", nil, nil, nil}
		NecroList.Items.OZMeds44 = {"Mods", "OZMeds", nil, "OZM - 5ml syringe of 2ml metamizolum sodium", "OZMeds.2mlMetamizolumSodiumSyringe5ml", "media/textures/Item_OZMoreMeds_2mlSyringe5ml.png", nil, nil, nil}
		NecroList.Items.OZMeds45 = {"Mods", "OZMeds", nil, "OZM - 5ml syringe of 3ml metamizolum sodium", "OZMeds.3mlMetamizolumSodiumSyringe5ml", "media/textures/Item_OZMoreMeds_3mlSyringe5ml.png", nil, nil, nil}
		NecroList.Items.OZMeds46 = {"Mods", "OZMeds", nil, "OZM - 5ml syringe of 4ml metamizolum sodium", "OZMeds.4mlMetamizolumSodiumSyringe5ml", "media/textures/Item_OZMoreMeds_4mlSyringe5ml.png", nil, nil, nil}
		NecroList.Items.OZMeds47 = {"Mods", "OZMeds", nil, "OZM - Full 5ml syringe of metamizolum sodium", "OZMeds.FullMetamizolumSodiumSyringe5ml", "media/textures/Item_OZMoreMeds_FullSyringe5ml.png", nil, nil, nil}
		NecroList.Items.OZMeds48 = {"Mods", "OZMeds", nil, "OZM - 2ml syringe of 1ml diclophenacum sodium", "OZMeds.1mlDiclophenacumSodiumSyringe2ml", "media/textures/Item_OZMoreMeds_1mlSyringe2ml.png", nil, nil, nil}
		NecroList.Items.OZMeds49 = {"Mods", "OZMeds", nil, "OZM - Full 2ml syringe of diclophenacum sodium", "OZMeds.FullDiclophenacumSodiumSyringe2ml", "media/textures/Item_OZMoreMeds_FullSyringe2ml.png", nil, nil, nil}
		NecroList.Items.OZMeds50 = {"Mods", "OZMeds", nil, "OZM - 5ml syringe of 1ml diclophenacum sodium", "OZMeds.1mlDiclophenacumSodiumSyringe5ml", "media/textures/Item_OZMoreMeds_1mlSyringe5ml.png", nil, nil, nil}
		NecroList.Items.OZMeds51 = {"Mods", "OZMeds", nil, "OZM - 5ml syringe of 2ml diclophenacum sodium", "OZMeds.2mlDiclophenacumSodiumSyringe5ml", "media/textures/Item_OZMoreMeds_2mlSyringe5ml.png", nil, nil, nil}
		NecroList.Items.OZMeds52 = {"Mods", "OZMeds", nil, "OZM - 5ml syringe of 3ml diclophenacum sodium", "OZMeds.3mlDiclophenacumSodiumSyringe5ml", "media/textures/Item_OZMoreMeds_3mlSyringe5ml.png", nil, nil, nil}
		NecroList.Items.OZMeds53 = {"Mods", "OZMeds", nil, "OZM - 5ml syringe of 4ml diclophenacum sodium", "OZMeds.4mlDiclophenacumSodiumSyringe5ml", "media/textures/Item_OZMoreMeds_4mlSyringe5ml.png", nil, nil, nil}
		NecroList.Items.OZMeds54 = {"Mods", "OZMeds", nil, "OZM - 2ml syringe of 1ml insulin", "OZMeds.1mlInsulinSyringe2ml", "media/textures/Item_OZMoreMeds_1mlSyringe2ml.png", nil, nil, nil}
		NecroList.Items.OZMeds55 = {"Mods", "OZMeds", nil, "OZM - Full 2ml syringe of insulin", "OZMeds.FullInsulinSyringe2ml", "media/textures/Item_OZMoreMeds_FullSyringe2ml.png", nil, nil, nil}
		NecroList.Items.OZMeds56 = {"Mods", "OZMeds", nil, "OZM - 5ml syringe of 1ml insulin", "OZMeds.1mlInsulinSyringe5ml", "media/textures/Item_OZMoreMeds_2mlSyringe5ml.png", nil, nil, nil}
		NecroList.Items.OZMeds57 = {"Mods", "OZMeds", nil, "OZM - 5ml syringe of 2ml insulin", "OZMeds.2mlInsulinSyringe5ml", "media/textures/Item_OZMoreMeds_3mlSyringe5ml.png", nil, nil, nil}
		NecroList.Items.OZMeds58 = {"Mods", "OZMeds", nil, "OZM - 5ml syringe of 3ml insulin", "OZMeds.3mlInsulinSyringe5ml", "media/textures/Item_OZMoreMeds_4mlSyringe5ml.png", nil, nil, nil}
		NecroList.Items.OZMeds59 = {"Mods", "OZMeds", nil, "OZM - 5ml syringe of 4ml insulin", "OZMeds.4mlInsulinSyringe5ml", "media/textures/Item_OZMoreMeds_FullSyringe5ml.png", nil, nil, nil}
		NecroList.Items.OZMeds60 = {"Mods", "OZMeds", nil, "OZM - 2ml syringe of 1ml Nitroglycerinum", "OZMeds.1mlNitroglycerinumSyringe2ml", "media/textures/Item_OZMoreMeds_1mlSyringe2ml.png", nil, nil, nil}
		NecroList.Items.OZMeds61 = {"Mods", "OZMeds", nil, "OZM - Full 2ml syringe of Nitroglycerinum", "OZMeds.FullNitroglycerinumSyringe2ml", "media/textures/Item_OZMoreMeds_FullSyringe2ml.png", nil, nil, nil}
		NecroList.Items.OZMeds62 = {"Mods", "OZMeds", nil, "OZM - 5ml syringe of 1ml Nitroglycerinum", "OZMeds.1mlNitroglycerinumSyringe5ml", "media/textures/Item_OZMoreMeds_1mlSyringe5ml.png", nil, nil, nil}
		NecroList.Items.OZMeds63 = {"Mods", "OZMeds", nil, "OZM - 5ml syringe of 2ml Nitroglycerinum", "OZMeds.2mlNitroglycerinumSyringe5ml", "media/textures/Item_OZMoreMeds_2mlSyringe5ml.png", nil, nil, nil}
		NecroList.Items.OZMeds64 = {"Mods", "OZMeds", nil, "OZM - 5ml syringe of 3ml Nitroglycerinum", "OZMeds.3mlNitroglycerinumSyringe5ml", "media/textures/Item_OZMoreMeds_3mlSyringe5ml.png", nil, nil, nil}
		NecroList.Items.OZMeds65 = {"Mods", "OZMeds", nil, "OZM - 5ml syringe of 4ml Nitroglycerinum", "OZMeds.4mlNitroglycerinumSyringe5ml", "media/textures/Item_OZMoreMeds_4mlSyringe5ml.png", nil, nil, nil}
		NecroList.Items.OZMeds66 = {"Mods", "OZMeds", nil, "OZM - Full 5ml syringe of Nitroglycerinum", "OZMeds.FullNitroglycerinumSyringe5ml", "media/textures/Item_OZMoreMeds_FullSyringe5ml.png", nil, nil, nil}
		NecroList.Items.OZMeds67 = {"Mods", "OZMeds", nil, "OZM - 2ml syringe of 1ml morphine", "OZMeds.1mlMorphineSyringe2ml", "media/textures/Item_OZMoreMeds_1mlSyringe2ml.png", nil, nil, nil}
		NecroList.Items.OZMeds68 = {"Mods", "OZMeds", nil, "OZM - Full 2ml syringe of morphine", "OZMeds.FullMorphineSyringe2ml", "media/textures/Item_OZMoreMeds_FullSyringe2ml.png", nil, nil, nil}
		NecroList.Items.OZMeds69 = {"Mods", "OZMeds", nil, "OZM - 5ml syringe of 1ml morphine", "OZMeds.1mlMorphineSyringe5ml", "media/textures/Item_OZMoreMeds_1mlSyringe5ml.png", nil, nil, nil}
		NecroList.Items.OZMeds70 = {"Mods", "OZMeds", nil, "OZM - 5ml syringe of 2ml morphine", "OZMeds.2mlMorphineSyringe5ml", "media/textures/Item_OZMoreMeds_2mlSyringe5ml.png", nil, nil, nil}
		NecroList.Items.OZMeds71 = {"Mods", "OZMeds", nil, "OZM - 5ml syringe of 3ml morphine", "OZMeds.3mlMorphineSyringe5ml", "media/textures/Item_OZMoreMeds_3mlSyringe5ml.png", nil, nil, nil}
		NecroList.Items.OZMeds72 = {"Mods", "OZMeds", nil, "OZM - 5ml syringe of 4ml morphine", "OZMeds.4mlMorphineSyringe5ml", "media/textures/Item_OZMoreMeds_4mlSyringe5ml.png", nil, nil, nil}
		NecroList.Items.OZMeds73 = {"Mods", "OZMeds", nil, "OZM - Full 5ml syringe of morphine", "OZMeds.FullMorphineSyringe5ml", "media/textures/Item_OZMoreMeds_FullSyringe5ml.png", nil, nil, nil}
		NecroList.Items.OZMeds74 = {"Mods", "OZMeds", nil, "OZM - Pack of 2ml syringes", "OZMeds.2mlSyringePack", "media/textures/Item_OZMoreMeds_SyringePack2ml.png", nil, nil, nil}
		NecroList.Items.OZMeds75 = {"Mods", "OZMeds", nil, "OZM - Pack of 5ml syringes", "OZMeds.5mlSyringePack", "media/textures/Item_OZMoreMeds_SyringePack5ml.png", nil, nil, nil}
		NecroList.Items.OZMeds76 = {"Mods", "OZMeds", nil, "OZM - Pack of 50ml syringes", "OZMeds.50mlSyringePack", "media/textures/Item_OZMoreMeds_SyringePack50ml.png", nil, nil, nil}
		NecroList.Items.OZMeds77 = {"Mods", "OZMeds", nil, "OZM - Pack of sterile 0.50x16 needles", "OZMeds.NeedlesPack050x16", "media/textures/Item_OZMoreMeds_NeedlePack0.50x16.png", nil, nil, nil}
		NecroList.Items.OZMeds78 = {"Mods", "OZMeds", nil, "OZM - Pack of sterile 0.80x40 needles", "OZMeds.NeedlesPack080x40", "media/textures/Item_OZMoreMeds_NeedlePack0.80x40.png", nil, nil, nil}
		NecroList.Items.OZMeds79 = {"Mods", "OZMeds", nil, "OZM - Pack of sterile 0.90x40 needles", "OZMeds.NeedlesPack090x40", "media/textures/Item_OZMoreMeds_NeedlePack0.90x40.png", nil, nil, nil}
		NecroList.Items.OZMeds80 = {"Mods", "OZMeds", nil, "OZM - Pack of sterile 1.20x40 needles", "OZMeds.NeedlesPack120x40", "media/textures/Item_OZMoreMeds_NeedlePack1.20x40.png", nil, nil, nil}
		NecroList.Items.OZMeds81 = {"Mods", "OZMeds", nil, "OZM - Pack of 10 ampoules of morphine", "OZMeds.MorphineAmpoulesPack", "media/textures/Item_OZMoreMeds_MorphineAmoulesPack100mg.png", nil, nil, nil}
		NecroList.Items.OZMeds82 = {"Mods", "OZMeds", nil, "OZM - Pack of 10 ampoules of insulin", "OZMeds.InsulinAmpoulesPack", "media/textures/Item_OZMoreMeds_InsulinAmpoulesPack100ml.png", nil, nil, nil}
		NecroList.Items.OZMeds83 = {"Mods", "OZMeds", nil, "OZM - Pack of 10 ampoules of Diclophenacum Sodium", "OZMeds.DiclophenacumSodiumAmpoulesPack", "media/textures/Item_OZMoreMeds_PackAmpoulesDiclophenacumSodium.png", nil, nil, nil}
		NecroList.Items.OZMeds84 = {"Mods", "OZMeds", nil, "OZM - Pack of 10 ampoules of Metamizolum Sodium", "OZMeds.MetamizolumSodiumAmpoulesPack", "media/textures/Item_OZMoreMeds_Metamizolum natriumAmpoulesPack.png", nil, nil, nil}
		NecroList.Items.OZMeds85 = {"Mods", "OZMeds", nil, "OZM - Pack of 5 ampoules of Nitroglycerinum", "OZMeds.NitroglycerinumAmpoulesPack", "media/textures/Item_OZMoreMeds_Nitroglycerinum5Ampoules10ml.png", nil, nil, nil}
		NecroList.Items.OZMeds86 = {"Mods", "OZMeds", nil, "OZM - Pack of 6 penals of nitroglycerinum", "OZMeds.NitroglycerinumPenalsPack", "media/textures/Item_OZMoreMeds_Pack5penal40pillsNitroglycerinum.png", nil, nil, nil}
		NecroList.Items.OZMeds87 = {"Mods", "OZMeds", nil, "OZM - Pack of 2 blisters of tetracycline", "OZMeds.TetracyclinePack", "media/textures/Item_OZMoreMeds_TetracyclinePack.png", nil, nil, nil}
		NecroList.Items.OZMeds88 = {"Mods", "OZMeds", nil, "OZM - Pack of 2 blisters of activated charcoal", "OZMeds.ActivatedCharcoalPack", "media/textures/Item_OZMoreMeds_ActivatedCharcoalPack.png", nil, nil, nil}
		NecroList.Items.OZMeds89 = {"Mods", "OZMeds", nil, "OZM - Pack of 2 blisters of fluoxetine", "OZMeds.FluoxetinePack", "media/textures/Item_OZMoreMeds_FluoxetinePack20mg.png", nil, nil, nil}
		NecroList.Items.OZMeds90 = {"Mods", "OZMeds", nil, "OZM - Pack of 10 ampoules of articaine + [epinephrine]", "OZMeds.ArticainePack", "media/textures/Item_OZMoreMeds_ArticainePack.png", nil, nil, nil}
		NecroList.Items.OZMeds91 = {"Mods", "OZMeds", nil, "OZM - Pack of blister of caffeine benzoate sodium", "OZMeds.CaffeineBenzoateSodiumPack", "media/textures/Item_OZMoreMeds_CaffeineBenzoateSodiumPack.png", nil, nil, nil}
		NecroList.Items.OZMeds92 = {"Mods", "OZMeds", nil, "OZM - Pack of 50 disposable surgical blue face mask", "OZMeds.PackOfFaceMaskSurgicalDisposableBlue", "media/textures/Item_OZMoreMeds_PackOfFaceMaskSurgicalDisposableBlue.png", nil, nil, nil}
		NecroList.Items.OZMeds93 = {"Mods", "OZMeds", nil, "OZM - Pack of 50 disposable surgical green face mask", "OZMeds.PackOfFaceMaskSurgicalDisposableGreen", "media/textures/Item_OZMoreMeds_PackOfFaceMaskSurgicalDisposableGreen.png", nil, nil, nil}
		NecroList.Items.OZMeds94 = {"Mods", "OZMeds", nil, "OZM - Pack of 50 disposable surgical white face mask", "OZMeds.PackOfFaceMaskSurgicalDisposableWhite", "media/textures/Item_OZMoreMeds_PackOfFaceMaskSurgicalDisposableWhite.png", nil, nil, nil}
		NecroList.Items.OZMeds95 = {"Mods", "OZMeds", nil, "OZM - Pack of 50 nitrile medical gloves", "OZMeds.PackOfNitrileMedicalGloves", "media/textures/Item_OZMoreMeds_PackOfNitrileMedicalGloves.png", nil, nil, nil}
		NecroList.Items.OZMeds96 = {"Mods", "OZMeds", nil, "OZM - Pack of 50 sterile replacement blades", "OZMeds.PackOfReplacementBlades", "media/textures/Item_OZMoreMeds_PackOfReplacementBlades.png", nil, nil, nil}
		NecroList.Items.OZMeds97 = {"Mods", "OZMeds", nil, "OZM - Pack of 50 ziplock bags", "OZMeds.ZipLockPack", "media/textures/Item_OZMoreMeds_ZipLockPack.png", nil, nil, nil}
		NecroList.Items.OZMeds98 = {"Mods", "OZMeds", nil, "OZM - Bag with 10 caffeine benzoate sodium pills", "OZMeds.CaffeineBenzoateSodiumPillBag", "media/textures/Item_OZMoreMeds_PillsPack.png", nil, nil, nil}
		NecroList.Items.OZMeds99 = {"Mods", "OZMeds", nil, "OZM - Sterile needle 0.50x16", "OZMeds.SterileNeedle050x16", "media/textures/Item_OZMoreMeds_Needle0.50x16.png", nil, nil, nil}
		NecroList.Items.OZMeds100 = {"Mods", "OZMeds", nil, "OZM - Sterile needle 0.80x40", "OZMeds.SterileNeedle080x40", "media/textures/Item_OZMoreMeds_Needle0.80x40.png", nil, nil, nil}
		NecroList.Items.OZMeds101 = {"Mods", "OZMeds", nil, "OZM - Sterile needle 0.90x40", "OZMeds.SterileNeedle090x40", "media/textures/Item_OZMoreMeds_Needle0.90x40.png", nil, nil, nil}
		NecroList.Items.OZMeds102 = {"Mods", "OZMeds", nil, "OZM - Bottle of aspirin pills (10mg/pill)", "OZMeds.AspirinBottle", "media/textures/Item_OZMoreMeds_Aspirin500mg.png", nil, nil, nil}
		NecroList.Items.OZMeds103 = {"Mods", "OZMeds", nil, "OZM - Pill of aspirin 10mg", "OZMeds.AspirinBottleDummy", "media/textures/Item_OZMoreMeds_AspirinPill10mg.png", nil, nil, nil}
		NecroList.Items.OZMeds104 = {"Mods", "OZMeds", nil, "OZM - Blister of activated charcoal pills (250mg/pill)", "OZMeds.ActivatedCharcoalBlister", "media/textures/Item_OZMoreMeds_ActivatedCharcoal20pills.png", nil, nil, nil}
		NecroList.Items.OZMeds105 = {"Mods", "OZMeds", nil, "OZM - Pill of activated charcoal 250mg", "OZMeds.ActivatedCharcoalDummy", "media/textures/Item_OZMoreMeds_ActivatedCoalPill250mg.png", nil, nil, nil}
		NecroList.Items.OZMeds106 = {"Mods", "OZMeds", nil, "OZM - Bottle of nitroglycerinum pills (0.4mg/pill)", "OZMeds.NitroglycerinumBottle", "media/textures/Item_OZMoreMeds_Nitroglycerinum40Pills.png", nil, nil, nil}
		NecroList.Items.OZMeds107 = {"Mods", "OZMeds", nil, "OZM - Pill of nitroglycerinum 0.4mg", "OZMeds.NitroglycerinumBottleDummy", "media/textures/Item_OZMoreMeds_AspirinPill10mg.png", nil, nil, nil}
		NecroList.Items.OZMeds108 = {"Mods", "OZMeds", nil, "OZM - Blister of tetracycline pills (100mg/pill)", "OZMeds.TetracyclinumBlister", "media/textures/Item_OZMoreMeds_Tetracycline10pills.png", nil, nil, nil}
		NecroList.Items.OZMeds109 = {"Mods", "OZMeds", nil, "OZM - Pill of tetracycline 100mg", "OZMeds.TetracyclinumBlisterDummy", "media/textures/Item_OZMoreMeds_TetracyclinePill100mg.png", nil, nil, nil}
		NecroList.Items.OZMeds110 = {"Mods", "OZMeds", nil, "OZM - Blister of fluoxetine pills (100mg/pill)", "OZMeds.FluoxetineBlister", "media/textures/Item_OZMoreMeds_FluoxetineBlister10pills.png", nil, nil, nil}
		NecroList.Items.OZMeds111 = {"Mods", "OZMeds", nil, "OZM - Pill of fluoxetine 20mg", "OZMeds.FluoxetineBlisterDummy", "media/textures/Item_OZMoreMeds_FluoxetinePill20mg.png", nil, nil, nil}
		NecroList.Items.OZMeds112 = {"Mods", "OZMeds", nil, "OZM - Blister of caffeine benzoate sodium (200mg/pill)", "OZMeds.CaffeineBenzoateSodiumBlister", "media/textures/Item_OZMoreMeds_CaffeineBenzoateSodiumBlister.png", nil, nil, nil}
		NecroList.Items.OZMeds113 = {"Mods", "OZMeds", nil, "OZM - Pill of caffeine benzoate sodium 200mg", "OZMeds.CaffeineBenzoateSodiumBlisterDummy", "media/textures/Item_OZMoreMeds_AspirinPill10mg.png", nil, nil, nil}
		NecroList.Items.OZMeds114 = {"Mods", "OZMeds", nil, "OZM - Bottle of ritalin pills (10mg/pill)", "OZMeds.RitalinBottle", "media/textures/Item_OZMoreMeds_RitalinBottle.png", nil, nil, nil}
		NecroList.Items.OZMeds115 = {"Mods", "OZMeds", nil, "OZM - Pill of ritalin 10mg", "OZMeds.RitalinBottleDummy", "media/textures/Item_OZMoreMeds_RitalinBottleDummy.png", nil, nil, nil}
		NecroList.Items.OZMeds116 = {"Mods", "OZMeds", nil, "OZM - Auto injector morphine Sulfat 5mg", "OZMeds.AutoInjectorMorphineSulfat5mg", "media/textures/Item_OZMoreMeds_injectorMorphine.png", nil, nil, nil}
		NecroList.Items.OZMeds117 = {"Mods", "OZMeds", nil, "OZM - Auto injector epinephrine 0.3mg", "OZMeds.AutoInjectorEpinephrine03mg", "media/textures/Item_OZMoreMeds_Epinephrine.png", nil, nil, nil}
		NecroList.Items.OZMeds118 = {"Mods", "OZMeds", nil, "OZM - Auto injector naloxone 0.4mg", "OZMeds.AutoInjectorNaloxone04mg", "media/textures/Item_OZMoreMeds_NaloxoneAutoInjector.png", nil, nil, nil}
		NecroList.Items.OZMeds119 = {"Mods", "OZMeds", nil, "OZM - Auto injector naloxone 0.4mg", "OZMeds.AutoInjectorNaloxone04mgDummy", "media/textures/Item_OZMoreMeds_NaloxoneAutoInjector.png", nil, nil, nil}
		NecroList.Items.OZMeds120 = {"Mods", "OZMeds", nil, "OZM - Auto injector diamorphine hydrochloride 0.4mg", "OZMeds.AutoInjectorDiamorphineHydrochloride", "media/textures/Item_OZMoreMeds_InjectorDiamorphineHydrochloride.png", nil, nil, nil}
		NecroList.Items.OZMeds121 = {"Mods", "OZMeds", nil, "OZM - Empty blood bag (750ml)", "OZMeds.BloodBagEmpty", "media/textures/Item_OZMoreMeds_Bloodbag750mlEmpty.png", nil, nil, nil}
		NecroList.Items.OZMeds122 = {"Mods", "OZMeds", nil, "OZM - Blood bag AB(IV) Rh pos. (Fresh)", "OZMeds.BloodBagIVP", "media/textures/Item_OZMoreMeds_Bloodbag750ml.png", nil, nil, nil}
		NecroList.Items.OZMeds123 = {"Mods", "OZMeds", nil, "OZM - Blood bag AB(IV) Rh neg. (Fresh)", "OZMeds.BloodBagIVN", "media/textures/Item_OZMoreMeds_Bloodbag750ml.png", nil, nil, nil}
		NecroList.Items.OZMeds124 = {"Mods", "OZMeds", nil, "OZM - Blood bag B(III) Rh pos. (Fresh)", "OZMeds.BloodBagIIIP", "media/textures/Item_OZMoreMeds_Bloodbag750ml.png", nil, nil, nil}
		NecroList.Items.OZMeds125 = {"Mods", "OZMeds", nil, "OZM - Blood bag B(III) Rh neg. (Fresh)", "OZMeds.BloodBagIIIN", "media/textures/Item_OZMoreMeds_Bloodbag750ml.png", nil, nil, nil}
		NecroList.Items.OZMeds126 = {"Mods", "OZMeds", nil, "OZM - Blood bag A(II) Rh pos. (Fresh)", "OZMeds.BloodBagIIP", "media/textures/Item_OZMoreMeds_Bloodbag750ml.png", nil, nil, nil}
		NecroList.Items.OZMeds127 = {"Mods", "OZMeds", nil, "OZM - Blood bag A(II) Rh neg. (Fresh)", "OZMeds.BloodBagIIN", "media/textures/Item_OZMoreMeds_Bloodbag750ml.png", nil, nil, nil}
		NecroList.Items.OZMeds128 = {"Mods", "OZMeds", nil, "OZM - Blood bag O(I) Rh pos. (Fresh)", "OZMeds.BloodBagIP", "media/textures/Item_OZMoreMeds_Bloodbag750ml.png", nil, nil, nil}
		NecroList.Items.OZMeds129 = {"Mods", "OZMeds", nil, "OZM - Blood bag O(I) Rh neg. (Fresh)", "OZMeds.BloodBagIN", "media/textures/Item_OZMoreMeds_Bloodbag750ml.png", nil, nil, nil}
		NecroList.Items.OZMeds130 = {"Mods", "OZMeds", nil, "OZM - IV", "OZMeds.IV", "media/textures/Item_OZMoreMeds_IV.png", nil, nil, nil}
		NecroList.Items.OZMeds131 = {"Mods", "OZMeds", nil, "OZM - I.V. Start Kit", "OZMeds.IVStartKit", "media/textures/Item_OZMoreMeds_IVStartKit.png", nil, nil, nil}
		NecroList.Items.OZMeds132 = {"Mods", "OZMeds", nil, "OZM - Blood Bag", "OZMeds.BloodBagDummy", "media/textures/Item_OZMoreMeds_Bloodbag750ml.png", nil, nil, nil}
		NecroList.Items.OZMeds133 = {"Mods", "OZMeds", nil, "OZM - IV with Blood bag AB(IV) Rh pos.", "OZMeds.IVBloodBagIVP", "media/textures/Item_OZMoreMeds_IVWithBloodbag.png", nil, nil, nil}
		NecroList.Items.OZMeds134 = {"Mods", "OZMeds", nil, "OZM - IV with Blood bag AB(IV) Rh neg.", "OZMeds.IVBloodBagIVN", "media/textures/Item_OZMoreMeds_IVWithBloodbag.png", nil, nil, nil}
		NecroList.Items.OZMeds135 = {"Mods", "OZMeds", nil, "OZM - IV with Blood bag B(III) Rh pos.", "OZMeds.IVBloodBagIIIP", "media/textures/Item_OZMoreMeds_IVWithBloodbag.png", nil, nil, nil}
		NecroList.Items.OZMeds136 = {"Mods", "OZMeds", nil, "OZM - IV with Blood bag B(III) Rh neg.", "OZMeds.IVBloodBagIIIN", "media/textures/Item_OZMoreMeds_IVWithBloodbag.png", nil, nil, nil}
		NecroList.Items.OZMeds137 = {"Mods", "OZMeds", nil, "OZM - IV with Blood bag A(II) Rh pos.", "OZMeds.IVBloodBagIIP", "media/textures/Item_OZMoreMeds_IVWithBloodbag.png", nil, nil, nil}
		NecroList.Items.OZMeds138 = {"Mods", "OZMeds", nil, "OZM - IV with Blood bag A(II) Rh neg.", "OZMeds.IVBloodBagIIN", "media/textures/Item_OZMoreMeds_IVWithBloodbag.png", nil, nil, nil}
		NecroList.Items.OZMeds139 = {"Mods", "OZMeds", nil, "OZM - IV with Blood bag O(I) Rh pos.", "OZMeds.IVBloodBagIP", "media/textures/Item_OZMoreMeds_IVWithBloodbag.png", nil, nil, nil}
		NecroList.Items.OZMeds140 = {"Mods", "OZMeds", nil, "OZM - IV with Blood bag O(I) Rh neg.", "OZMeds.IVBloodBagIN", "media/textures/Item_OZMoreMeds_IVWithBloodbag.png", nil, nil, nil}
		NecroList.Items.OZMeds141 = {"Mods", "OZMeds", nil, "OZM - Paramedical medkit", "OZMeds.Medkit", "media/textures/Item_OZMoreMeds_Medkit.png", nil, nil, nil}
		NecroList.Items.OZMeds142 = {"Mods", "OZMeds", nil, "OZM - Military medkit", "OZMeds.MilitaryMedkit1", "media/textures/Item_OZMoreMeds_MilitaryMedkit1.png", nil, nil, nil}
		NecroList.Items.OZMeds143 = {"Mods", "OZMeds", nil, "OZM - Individual military medkit", "OZMeds.MilitaryMedkit2", "media/textures/Item_OZMoreMeds_MilitaryMedkit2.png", nil, nil, nil}
		NecroList.Items.OZMeds144 = {"Mods", "OZMeds", nil, "OZM - Surgical instrument kit", "OZMeds.SurgicalKit", "media/textures/Item_OZMoreMeds_SurgicalKit.png", nil, nil, nil}
		NecroList.Items.OZMeds145 = {"Mods", "OZMeds", nil, "OZM - Tourniqet", "OZMeds.Tourniquet", "media/textures/Item_OZMoreMeds_tourniquet.png", nil, nil, nil}
		NecroList.Items.OZMeds146 = {"Mods", "OZMeds", nil, "OZM - Tourniqet (On right hand)", "OZMeds.TourniquetHR", "media/textures/Item_OZMoreMeds_tourniquet.png", nil, nil, nil}
		NecroList.Items.OZMeds147 = {"Mods", "OZMeds", nil, "OZM - Tourniqet (On left hand)", "OZMeds.TourniquetHL", "media/textures/Item_OZMoreMeds_tourniquet.png", nil, nil, nil}
		NecroList.Items.OZMeds148 = {"Mods", "OZMeds", nil, "OZM - Tourniqet (On right leg)", "OZMeds.TourniquetLR", "media/textures/Item_OZMoreMeds_tourniquet.png", nil, nil, nil}
		NecroList.Items.OZMeds149 = {"Mods", "OZMeds", nil, "OZM - Tourniqet (On left hand)", "OZMeds.TourniquetLL", "media/textures/Item_OZMoreMeds_tourniquet.png", nil, nil, nil}
		NecroList.Items.OZMeds150 = {"Mods", "OZMeds", nil, "OZM - Tourniqet (On neck)", "OZMeds.TourniquetN", "media/textures/Item_OZMoreMeds_tourniquet.png", nil, nil, nil}
		NecroList.Items.OZMeds151 = {"Mods", "OZMeds", nil, "OZM - Individual Bandage Package", "OZMeds.SterileBandage", "media/textures/Item_OZMoreMeds_Bandage.png", nil, nil, nil}
		NecroList.Items.OZMeds152 = {"Mods", "OZMeds", nil, "OZM - Tonometer", "OZMeds.Tonometer", "media/textures/Item_OZMoreMeds_Tonometer.png", nil, nil, nil}
		NecroList.Items.OZMeds153 = {"Mods", "OZMeds", nil, "OZM - Electronic tonometer", "OZMeds.ETonometer", "media/textures/Item_OZMoreMeds_ETonometer.png", nil, nil, nil}
		NecroList.Items.OZMeds154 = {"Mods", "OZMeds", nil, "OZM - Gemostop Powder", "OZMeds.GemostopPowder", "media/textures/Item_OZMoreMeds_GemostopPowder.png", nil, nil, nil}
		NecroList.Items.OZMeds155 = {"Mods", "OZMeds", nil, "OZM - Gemostop Powder", "OZMeds.GemostopPowderDummy", "media/textures/Item_OZMoreMeds_GemostopPowder.png", nil, nil, nil}
		NecroList.Items.OZMeds156 = {"Mods", "OZMeds", nil, "OZM - Collyrium 25ml", "OZMeds.Collyrium", "media/textures/Item_OZMoreMeds_Collyrium250mg.png", nil, nil, nil}
		NecroList.Items.OZMeds157 = {"Mods", "OZMeds", nil, "OZM - Nasal Drops 25ml", "OZMeds.NasalDrops", "media/textures/Item_OZMoreMeds_NasalDrops250mg.png", nil, nil, nil}
		NecroList.Items.OZMeds158 = {"Mods", "OZMeds", nil, "OZM - Blood testing kit", "OZMeds.BloodTestingKitDummy", "media/textures/Item_OZMoreMeds_BloodTestingKit.png", nil, nil, nil}
		NecroList.Items.OZMeds159 = {"Mods", "OZMeds", nil, "OZM - Blood testing kit", "OZMeds.BloodTestingKit", "media/textures/Item_OZMoreMeds_BloodTestingKit.png", nil, nil, nil}
		NecroList.Items.OZMeds160 = {"Mods", "OZMeds", nil, "OZM - Used blood testing kit (AB Rh. pos.)", "OZMeds.BloodTestingKitIVP", "media/textures/Item_OZMoreMeds_BloodTestingKit.png", nil, nil, nil}
		NecroList.Items.OZMeds161 = {"Mods", "OZMeds", nil, "OZM - Used blood testing kit (AB Rh. neg.)", "OZMeds.BloodTestingKitIVN", "media/textures/Item_OZMoreMeds_BloodTestingKit.png", nil, nil, nil}
		NecroList.Items.OZMeds162 = {"Mods", "OZMeds", nil, "OZM - Used blood testing kit (B Rh. pos.)", "OZMeds.BloodTestingKitIIIP", "media/textures/Item_OZMoreMeds_BloodTestingKit.png", nil, nil, nil}
		NecroList.Items.OZMeds163 = {"Mods", "OZMeds", nil, "OZM - Used blood testing kit (B Rh. neg.)", "OZMeds.BloodTestingKitIIIN", "media/textures/Item_OZMoreMeds_BloodTestingKit.png", nil, nil, nil}
		NecroList.Items.OZMeds164 = {"Mods", "OZMeds", nil, "OZM - Used blood testing kit (A Rh. pos.)", "OZMeds.BloodTestingKitIIP", "media/textures/Item_OZMoreMeds_BloodTestingKit.png", nil, nil, nil}
		NecroList.Items.OZMeds165 = {"Mods", "OZMeds", nil, "OZM - Used blood testing kit (A Rh. neg.)", "OZMeds.BloodTestingKitIIN", "media/textures/Item_OZMoreMeds_BloodTestingKit.png", nil, nil, nil}
		NecroList.Items.OZMeds166 = {"Mods", "OZMeds", nil, "OZM - Used blood testing kit (O Rh. pos.)", "OZMeds.BloodTestingKitIP", "media/textures/Item_OZMoreMeds_BloodTestingKit.png", nil, nil, nil}
		NecroList.Items.OZMeds167 = {"Mods", "OZMeds", nil, "OZM - Used blood testing kit (O Rh. neg.)", "OZMeds.BloodTestingKitIN", "media/textures/Item_OZMoreMeds_BloodTestingKit.png", nil, nil, nil}
		NecroList.Items.OZMeds168 = {"Mods", "OZMeds", nil, "OZM - Straight medical forceps", "OZMeds.StraightMedicalForceps", "media/textures/Item_OZMoreMeds_StraightMedicalForceps.png", nil, nil, nil}
		NecroList.Items.OZMeds169 = {"Mods", "OZMeds", nil, "OZM - Straight medical curved forceps", "OZMeds.StraightMedicalCurvedForceps", "media/textures/Item_OZMoreMeds_StraightMedicalCurvedForceps.png", nil, nil, nil}
		NecroList.Items.OZMeds170 = {"Mods", "OZMeds", nil, "OZM - Medical scissors", "OZMeds.MedicalScissors", "media/textures/Item_OZMoreMeds_MedicalScissors.png", nil, nil, nil}
		NecroList.Items.OZMeds171 = {"Mods", "OZMeds", nil, "OZM - Scalpel handle", "OZMeds.ScalpelHandle", "media/textures/Item_OZMoreMeds_ScalpelHandle.png", nil, nil, nil}
		NecroList.Items.OZMeds172 = {"Mods", "OZMeds", nil, "OZM - Scalpel", "OZMeds.Scalpel", "media/textures/Item_OZMoreMeds_Scalpel.png", nil, nil, nil}
		NecroList.Items.OZMeds173 = {"Mods", "OZMeds", nil, "OZM - Replacement blades", "OZMeds.ReplacementBlades", "media/textures/Item_OZMoreMeds_ReplacementBlades.png", nil, nil, nil}
		NecroList.Items.OZMeds174 = {"Mods", "OZMeds", nil, "OZM - Medical flashlight", "OZMeds.MedicalFlashlight", "media/textures/Item_OZMoreMeds_MedicalFlashlight.png", nil, nil, nil}
		NecroList.Items.OZMeds175 = {"Mods", "OZMeds", nil, "OZM - Medical flashlight", "OZMeds.MedicalFlashlightEmpty", "media/textures/Item_OZMoreMeds_MedicalFlashlight.png", nil, nil, nil}
		NecroList.Items.OZMeds176 = {"Mods", "OZMeds", nil, "OZM - Military antibacterial wipes", "OZMeds.MilitaryAntibacterialWipes", "media/textures/Item_OZMoreMeds_MilitaryAntibacterialWipes.png", nil, nil, nil}
		NecroList.Items.OZMeds177 = {"Mods", "OZMeds", nil, "OZM - Nitrile medical gloves", "OZMeds.NitrileMedicalGloves", "media/textures/Item_OZMoreMeds_NitrileMedicalGloves.png", nil, nil, nil}
		NecroList.Items.OZMeds178 = {"Mods", "OZMeds", nil, "OZM - Empty beaker", "OZMeds.BeakerEmpty", "media/textures/Item_OZMoreMeds_BeakerEmpty.png", nil, nil, nil}
		NecroList.Items.OZMeds179 = {"Mods", "OZMeds", nil, "OZM - Full beaker of water", "OZMeds.BeakerFull", "media/textures/Item_OZMoreMeds_BeakerFull.png", nil, nil, nil}
		NecroList.Items.OZMeds180 = {"Mods", "OZMeds", nil, "OZM - Cotton balls soaked in strong solution of potassium permanganate", "OZMeds.PotassiumPermanganateCottonBalls", "Item_CottonBalls", nil, nil, nil}
		NecroList.Items.OZMeds181 = {"Mods", "OZMeds", nil, "OZM - Bandage soaked in strong solution of potassium permanganate", "OZMeds.PotassiumPermanganateBandage", "Item_Bandage", nil, nil, nil}
		NecroList.Items.OZMeds182 = {"Mods", "OZMeds", nil, "OZM - Rag soaked in strong solution of potassium permanganate", "OZMeds.PotassiumPermanganateRippedSheets", "Item_Rag", nil, nil, nil}
		NecroList.Items.OZMeds183 = {"Mods", "OZMeds", nil, "OZM - Cotton balls soaked in very strong solution of potassium permanganate", "OZMeds.PotassiumPermanganateSCottonBalls", "Item_CottonBalls", nil, nil, nil}
		NecroList.Items.OZMeds184 = {"Mods", "OZMeds", nil, "OZM - Polycarbonate Eye Shield", "OZMeds.PolycarbonateEyeShield", "media/textures/Item_OZMoreMeds_PolycarbonateEyeShield.png", nil, nil, nil}
		NecroList.Items.OZMeds185 = {"Mods", "OZMeds", nil, "OZM - Stethoscope", "OZMeds.StethoscopeDummy", "media/textures/Item_OZMoreMeds_stethoscopes.png", nil, nil, nil}
		NecroList.Items.OZMeds186 = {"Mods", "OZMeds", nil, "OZM - Thermometer", "OZMeds.Thermometer", "media/textures/Item_OZMoreMeds_Thermometer.png", nil, nil, nil}
		NecroList.Items.OZMeds187 = {"Mods", "OZMeds", nil, "OZM - Thermometer (36.6)", "OZMeds.Thermometer1", "media/textures/Item_OZMoreMeds_Thermometer.png", nil, nil, nil}
		NecroList.Items.OZMeds188 = {"Mods", "OZMeds", nil, "OZM - Thermometer (37.1)", "OZMeds.Thermometer2", "media/textures/Item_OZMoreMeds_Thermometer.png", nil, nil, nil}
		NecroList.Items.OZMeds189 = {"Mods", "OZMeds", nil, "OZM - Thermometer (38.2)", "OZMeds.Thermometer3", "media/textures/Item_OZMoreMeds_Thermometer.png", nil, nil, nil}
		NecroList.Items.OZMeds190 = {"Mods", "OZMeds", nil, "OZM - Thermometer (39.2)", "OZMeds.Thermometer4", "media/textures/Item_OZMoreMeds_Thermometer.png", nil, nil, nil}
		NecroList.Items.OZMeds191 = {"Mods", "OZMeds", nil, "OZM - Thermometer (40.3)", "OZMeds.Thermometer5", "media/textures/Item_OZMoreMeds_Thermometer.png", nil, nil, nil}
		NecroList.Items.OZMeds192 = {"Mods", "OZMeds", nil, "OZM - Thermometer (35.8)", "OZMeds.Thermometer6", "media/textures/Item_OZMoreMeds_Thermometer.png", nil, nil, nil}
		NecroList.Items.OZMeds193 = {"Mods", "OZMeds", nil, "OZM - Thermometer (34.5)", "OZMeds.Thermometer7", "media/textures/Item_OZMoreMeds_Thermometer.png", nil, nil, nil}
		NecroList.Items.OZMeds194 = {"Mods", "OZMeds", nil, "OZM - Thermometer (33.2)", "OZMeds.Thermometer8", "media/textures/Item_OZMoreMeds_Thermometer.png", nil, nil, nil}
		NecroList.Items.OZMeds195 = {"Mods", "OZMeds", nil, "OZM - Thermometer (32.4)", "OZMeds.Thermometer9", "media/textures/Item_OZMoreMeds_Thermometer.png", nil, nil, nil}
		NecroList.Items.OZMeds196 = {"Mods", "OZMeds", nil, "OZM - Thermometer", "OZMeds.ThermometerDummy", "media/textures/Item_OZMoreMeds_Thermometer.png", nil, nil, nil}
		NecroList.Items.OZMeds197 = {"Mods", "OZMeds", nil, "OZM - Defibrillator without batteries", "OZMeds.DefibrillatorEmpty", "media/textures/Item_OZMoreMeds_Defibrillator.png", nil, nil, nil}
		NecroList.Items.OZMeds198 = {"Mods", "OZMeds", nil, "OZM - Defibrillator with dead batteries", "OZMeds.DefibrillatorEmptyBattery", "media/textures/Item_OZMoreMeds_Defibrillator.png", nil, nil, nil}
		NecroList.Items.OZMeds199 = {"Mods", "OZMeds", nil, "OZM - Charged defibrillator", "OZMeds.DefibrillatorCharged", "media/textures/Item_OZMoreMeds_Defibrillator.png", nil, nil, nil}
		NecroList.Items.OZMeds200 = {"Mods", "OZMeds", nil, "OZM - Charged defibrillator", "OZMeds.DefibrillatorDummy", "media/textures/Item_OZMoreMeds_Defibrillator.png", nil, nil, nil}
		NecroList.Items.OZMeds201 = {"Mods", "OZMeds", nil, "OZM - Accumulator", "OZMeds.Accumulator", "media/textures/Item_OZMoreMeds_Accumulator.png", nil, nil, nil}
		NecroList.Items.OZMeds202 = {"Mods", "OZMeds", nil, "OZM - Dead accumulator", "OZMeds.DeadAccumulator", "media/textures/Item_OZMoreMeds_Accumulator.png", nil, nil, nil}
		NecroList.Items.OZMeds203 = {"Mods", "OZMeds", nil, "OZM - Pack of emergency blanket", "OZMeds.EmergencyBlanketPack", "media/textures/Item_OZMoreMeds_EmergencyBlanket.png", nil, nil, nil}
		NecroList.Items.OZMeds204 = {"Mods", "OZMeds", nil, "OZM - Emergency blanket", "OZMeds.EmergencyBlanket", "media/textures/Item_OZMoreMeds_EmergencyBlanketUnpacked.png", nil, nil, nil}
		NecroList.Items.OZMeds205 = {"Mods", "OZMeds", nil, "OZM - Medical splint", "OZMeds.Splint", "media/textures/Item_OZMoreMeds_MedicalSplint.png", nil, nil, nil}
		NecroList.Items.OZMeds206 = {"Mods", "OZMeds", nil, "OZM - Medical splint (Used)", "OZMeds.SplintUsed", "media/textures/Item_OZMoreMeds_MedicalSplint.png", nil, nil, nil}
		NecroList.Items.OZMeds207 = {"Mods", "OZMeds", nil, "OZM - Inhaler with atomoxetine", "OZMeds.Inhaler", "media/textures/Item_OZMoreMeds_Inhalant.png", nil, nil, nil}
		NecroList.Items.OZMeds208 = {"Mods", "OZMeds", nil, "OZM - Inhaler with atomoxetine", "OZMeds.InhalerDummy", "media/textures/Item_OZMoreMeds_Inhalant.png", nil, nil, nil}
		NecroList.Items.OZMeds209 = {"Mods", "OZMeds", nil, "OZM - Surgical saw", "OZMeds.SurgicalSaw", "media/textures/Item_OZMoreMeds_SurgicalSaw.png", nil, nil, nil}
		NecroList.Items.OZMeds210 = {"Mods", "OZMeds", nil, "OZM - Enema", "OZMeds.Enema", "media/textures/Item_OZMoreMeds_Enema.png", nil, nil, nil}
		NecroList.Items.OZMeds211 = {"Mods", "OZMeds", nil, "OZM - Heated knife", "OZMeds.HeatedKnife1", "media/textures/Item_OZMoreMeds_HeatedKnife1.png", nil, nil, nil}
		NecroList.Items.OZMeds212 = {"Mods", "OZMeds", nil, "OZM - Heated knife", "OZMeds.HeatedKnife2", "media/textures/Item_OZMoreMeds_HeatedKnife2.png", nil, nil, nil}
		NecroList.Items.OZMeds213 = {"Mods", "OZMeds", nil, "OZM - Heated knife", "OZMeds.HeatedKnife3", "media/textures/Item_OZMoreMeds_HeatedKnife3.png", nil, nil, nil}
		NecroList.Items.OZMeds214 = {"Mods", "OZMeds", nil, "OZM - Ziplock bag", "OZMeds.ZipLockBag", "media/textures/Item_OZMoreMeds_ZipLockBag.png", nil, nil, nil}
		NecroList.Items.OZMeds215 = {"Mods", "OZMeds", nil, "OZM - Surgical shirt", "OZMeds.SurgicalShirtWhite", "media/textures/Item_OZMoreMeds_SurgicalShirtWhite.png", nil, nil, nil}
		NecroList.Items.OZMeds216 = {"Mods", "OZMeds", nil, "OZM - Surgical shirt", "OZMeds.SurgicalShirtBlue", "media/textures/Item_OZMoreMeds_SurgicalShirtBlue.png", nil, nil, nil}
		NecroList.Items.OZMeds217 = {"Mods", "OZMeds", nil, "OZM - Surgical shirt", "OZMeds.SurgicalShirtGreen", "media/textures/Item_OZMoreMeds_SurgicalShirtGreen.png", nil, nil, nil}
		NecroList.Items.OZMeds218 = {"Mods", "OZMeds", nil, "OZM - Medical gown", "OZMeds.MedicalGownWhite", "media/textures/Item_OZMoreMeds_MedicalGownWhite.png", nil, nil, nil}
		NecroList.Items.OZMeds219 = {"Mods", "OZMeds", nil, "OZM - Medical gown", "OZMeds.FemaleMedicalGownWhite", "media/textures/Item_OZMoreMeds_FemaleMedicalGownWhite.png", nil, nil, nil}
		NecroList.Items.OZMeds220 = {"Mods", "OZMeds", nil, "OZM - Shirt Paramedic", "OZMeds.ShirtParamedicBlack", "media/textures/Item_OZMoreMeds_ShirtParamedicBlack.png", nil, nil, nil}
		NecroList.Items.OZMeds221 = {"Mods", "OZMeds", nil, "OZM - Paramedic jacket", "OZMeds.ParamedicJacketBlue", "media/textures/Item_OZMoreMeds_ParamedicJacketBlue.png", nil, nil, nil}
		NecroList.Items.OZMeds222 = {"Mods", "OZMeds", nil, "OZM - Paramedic jacket", "OZMeds.ParamedicJacketRed", "media/textures/Item_OZMoreMeds_ParamedicJacketRed.png", nil, nil, nil}
		NecroList.Items.OZMeds223 = {"Mods", "OZMeds", nil, "OZM - Paramedic trousers", "OZMeds.ParamedicTrousersBlack", "media/textures/Item_OZMoreMeds_ParamedicTrousersBlack.png", nil, nil, nil}
		NecroList.Items.OZMeds224 = {"Mods", "OZMeds", nil, "OZM - Paramedic trousers", "OZMeds.ParamedicTrousersBlue", "media/textures/Item_OZMoreMeds_ParamedicTrousersBlue.png", nil, nil, nil}
		NecroList.Items.OZMeds225 = {"Mods", "OZMeds", nil, "OZM - Paramedic trousers", "OZMeds.ParamedicTrousersRed", "media/textures/Item_OZMoreMeds_ParamedicTrousersRed.png", nil, nil, nil}
		NecroList.Items.OZMeds226 = {"Mods", "OZMeds", nil, "OZM - Medical pants", "OZMeds.MedicalPantsWhite", "media/textures/Item_OZMoreMeds_MedicalPantsWhite.png", nil, nil, nil}
		NecroList.Items.OZMeds227 = {"Mods", "OZMeds", nil, "OZM - Medical pants", "OZMeds.MedicalPantsBlue", "media/textures/Item_OZMoreMeds_MedicalPantsBlue.png", nil, nil, nil}
		NecroList.Items.OZMeds228 = {"Mods", "OZMeds", nil, "OZM - Medical pants", "OZMeds.MedicalPantsGreen", "media/textures/Item_OZMoreMeds_MedicalPantsGreen.png", nil, nil, nil}
		NecroList.Items.OZMeds229 = {"Mods", "OZMeds", nil, "OZM - Surgical pants", "OZMeds.SurgicalPantsWhite", "media/textures/Item_OZMoreMeds_SurgicalPantsWhite.png", nil, nil, nil}
		NecroList.Items.OZMeds230 = {"Mods", "OZMeds", nil, "OZM - Surgical pants", "OZMeds.SurgicalPantsBlue", "media/textures/Item_OZMoreMeds_SurgicalPantsBlue.png", nil, nil, nil}
		NecroList.Items.OZMeds231 = {"Mods", "OZMeds", nil, "OZM - Surgical pants", "OZMeds.SurgicalPantsGreen", "media/textures/Item_OZMoreMeds_SurgicalPantsGreen.png", nil, nil, nil}
		NecroList.Items.OZMeds232 = {"Mods", "OZMeds", nil, "OZM - Medical shoe covers", "OZMeds.MedicalShoeCovers", "media/textures/Item_OZMoreMeds_MedicalShoeCovers.png", nil, nil, nil}
		NecroList.Items.OZMeds233 = {"Mods", "OZMeds", nil, "OZM - Paramedic vest", "OZMeds.ParamedicVestBlack", "media/textures/Item_OZMoreMeds_ParamedicVestBlack.png", nil, nil, nil}
		NecroList.Items.OZMeds234 = {"Mods", "OZMeds", nil, "OZM - Paramedic vest", "OZMeds.ParamedicVestBlue", "media/textures/Item_OZMoreMeds_ParamedicVestBlue.png", nil, nil, nil}
		NecroList.Items.OZMeds235 = {"Mods", "OZMeds", nil, "OZM - Paramedic vest", "OZMeds.ParamedicVestOrange", "media/textures/Item_OZMoreMeds_ParamedicVestOrange.png", nil, nil, nil}
		NecroList.Items.OZMeds236 = {"Mods", "OZMeds", nil, "OZM - Paramedic vest", "OZMeds.ParamedicVestYellow", "media/textures/Item_OZMoreMeds_ParamedicVestOYellow.png", nil, nil, nil}
		NecroList.Items.OZMeds237 = {"Mods", "OZMeds", nil, "OZM - Medical face mask", "OZMeds.MedicalFaceMaskBlue", "media/textures/Item_OZMoreMeds_MedicalFaceMaskBlue.png", nil, nil, nil}
		NecroList.Items.OZMeds238 = {"Mods", "OZMeds", nil, "OZM - Medical face mask", "OZMeds.MedicalFaceMaskGreen", "media/textures/Item_OZMoreMeds_MedicalFaceMaskGreen.png", nil, nil, nil}
		NecroList.Items.OZMeds239 = {"Mods", "OZMeds", nil, "OZM - Medical face mask", "OZMeds.MedicalFaceMaskWhite", "media/textures/Item_OZMoreMeds_MedicalFaceMaskWhite.png", nil, nil, nil}
		NecroList.Items.OZMeds240 = {"Mods", "OZMeds", nil, "OZM - Medical respirator", "OZMeds.MedicalRespirator", "media/textures/Item_OZMoreMeds_MedicalRespirator.png", nil, nil, nil}
		NecroList.Items.OZMeds241 = {"Mods", "OZMeds", nil, "OZM - Surgical cap", "OZMeds.SurgicalCapBlue", "media/textures/Item_OZMoreMeds_SurgicalCapBlue.png", nil, nil, nil}
		NecroList.Items.OZMeds242 = {"Mods", "OZMeds", nil, "OZM - Surgical cap", "OZMeds.SurgicalCapGreen", "media/textures/Item_OZMoreMeds_SurgicalCapGreen.png", nil, nil, nil}
		NecroList.Items.OZMeds243 = {"Mods", "OZMeds", nil, "OZM - Surgical cap", "OZMeds.SurgicalCapWhite", "media/textures/Item_OZMoreMeds_SurgicalCapWhite.png", nil, nil, nil}
		NecroList.Items.OZMeds244 = {"Mods", "OZMeds", nil, "OZM - Paramedic baseball cap", "OZMeds.ParamedicBaseballCapBlack", "media/textures/Item_OZMoreMeds_ParamedicBaseballCapBlack.png", nil, nil, nil}
		NecroList.Items.OZMeds245 = {"Mods", "OZMeds", nil, "OZM - Surgical apron", "OZMeds.SurgicalApronGreen", "media/textures/Item_OZMoreMeds_SurgicalApronGreen.png", nil, nil, nil}
		NecroList.Items.OZMeds246 = {"Mods", "OZMeds", nil, "OZM - Surgical apron", "OZMeds.SurgicalApronBlue", "media/textures/Item_OZMoreMeds_SurgicalApronBlue.png", nil, nil, nil}
		NecroList.Items.OZMeds247 = {"Mods", "OZMeds", nil, "OZM - Military medical backpack (Green)", "OZMeds.MilitaryMedBackpackGreen", "media/textures/Item_OZMoreMeds_MedkitGreen.png", nil, nil, nil}
		NecroList.Items.OZMeds248 = {"Mods", "OZMeds", nil, "OZM - Military medical backpack (Khaki)", "OZMeds.MilitaryMedBackpackKhaki", "media/textures/Item_OZMoreMeds_MedkitKhaki.png", nil, nil, nil}
		NecroList.Items.OZMeds249 = {"Mods", "OZMeds", nil, "OZM - No Result", "OZMeds.Nothing", "media/textures/Item_Nothing.png", nil, nil, nil}
		NecroList.Items.OZMeds250 = {"Mods", "OZMeds", nil, "OZM - Paramedic helmet", "OZMeds.ParamedicHelmet", "media/textures/Item_OZMoreMeds_ParamedicHelmet.png", nil, nil, nil}
		NecroList.Items.OZMeds251 = {"Mods", "OZMeds", nil, "OZM - Laboratory glasses", "OZMeds.LabGlasses", "media/textures/Item_OZMoreMeds_LabGlasses.png", nil, nil, nil}
		NecroList.Items.OZMeds252 = {"Mods", "OZMeds", nil, "OZM - Herbs", "OZMeds.HerbDummy", "media/textures/Item_OZMoreMeds_Melissa.png", nil, nil, nil}
		NecroList.Items.OZMeds253 = {"Mods", "OZMeds", nil, "OZM - Reishi mushroom", "OZMeds.ReishiMushroom", "media/textures/Item_OZMoreMeds_ReishiMushroom.png", nil, nil, nil}
		NecroList.Items.OZMeds254 = {"Mods", "OZMeds", nil, "OZM - Kettle of reishi tea", "OZMeds.ReishiTeaKettle", "Item_Kettle", nil, nil, nil}
		NecroList.Items.OZMeds255 = {"Mods", "OZMeds", nil, "OZM - Reishi tea", "OZMeds.ReishiTea", "Item_MugFulll", nil, nil, nil}
		NecroList.Items.OZMeds256 = {"Mods", "OZMeds", nil, "OZM - Kettle of rose hips tea", "OZMeds.RoseHipsKettle", "Item_Kettle", nil, nil, nil}
		NecroList.Items.OZMeds257 = {"Mods", "OZMeds", nil, "OZM - Rose hips tea", "OZMeds.RoseHipsTea", "Item_MugFulll", nil, nil, nil}
		NecroList.Items.OZMeds258 = {"Mods", "OZMeds", nil, "OZM - Kettle of herbal tea", "OZMeds.HerbalTeaKettle", "Item_Kettle", nil, nil, nil}
		NecroList.Items.OZMeds259 = {"Mods", "OZMeds", nil, "OZM - Herbal tea", "OZMeds.HerbalTea", "Item_MugFulll", nil, nil, nil}
		NecroList.Items.OZMeds260 = {"Mods", "OZMeds", nil, "OZM - Herbal tea", "OZMeds.TeaDummy", "Item_MugFulll", nil, nil, nil}
		NecroList.Items.OZMeds261 = {"Mods", "OZMeds", nil, "OZM - Moss", "OZMeds.Moss", "media/textures/Item_OZMoreMeds_Moss.png", nil, nil, nil}
		NecroList.Items.OZMeds262 = {"Mods", "OZMeds", nil, "OZM - Chamomile", "OZMeds.Chamomile", "media/textures/Item_OZMoreMeds_Chamomile.png", nil, nil, nil}
		NecroList.Items.OZMeds263 = {"Mods", "OZMeds", nil, "OZM - Melissa", "OZMeds.Melissa", "media/textures/Item_OZMoreMeds_Melissa.png", nil, nil, nil}
		NecroList.Items.OZMeds264 = {"Mods", "OZMeds", nil, "OZM - Lavender", "OZMeds.Lavender", "media/textures/Item_OZMoreMeds_Lavender.png", nil, nil, nil}
		NecroList.Items.OZMeds265 = {"Mods", "OZMeds", nil, "OZM - Roasting pan with rose hips (Uncooked)", "OZMeds.RosehipsRoastingPan", "media/textures/Item_OZMoreMeds_RosehipsRoastingPan.png", nil, nil, nil}
		NecroList.Items.OZMeds266 = {"Mods", "OZMeds", nil, "OZM - Roasting pan with dried rose hips", "OZMeds.DriedRosehipsRoastingPan", "media/textures/Item_OZMoreMeds_RosehipsRoastingPan.png", nil, nil, nil}
		NecroList.Items.OZMeds267 = {"Mods", "OZMeds", nil, "OZM - Dried rosehips", "OZMeds.DriedRosehips", "media/textures/Item_OZMoreMeds_DriedRosehips.png", nil, nil, nil}
		NecroList.Items.OZMeds268 = {"Mods", "OZMeds", nil, "OZM - Grinded dried rosehips", "OZMeds.GrindedDriedRosehips", "media/textures/Item_OZMoreMeds_GrindedRoseHips.png", nil, nil, nil}
		NecroList.Items.OZMeds269 = {"Mods", "OZMeds", nil, "OZM - Book of pharmacology", "OZMeds.PharmBook", "media/textures/Item_OZMoreMeds_PharmBook.png", nil, nil, nil}
		NecroList.Items.OZMeds270 = {"Mods", "OZMeds", nil, "OZM - Benzoid acid 25kg pack", "OZMeds.BenzoicAcid", "media/textures/Item_OZMoreMeds_BenzoicAcid.png", nil, nil, nil}
		NecroList.Items.OZMeds271 = {"Mods", "OZMeds", nil, "OZM - Potato starch 25kg pack", "OZMeds.PotatoStarch", "media/textures/Item_OZMoreMeds_PotatoStarch.png", nil, nil, nil}
		NecroList.Items.OZMeds272 = {"Mods", "OZMeds", nil, "OZM - Wheat starch 25kg pack", "OZMeds.WheatStarch", "media/textures/Item_OZMoreMeds_WheatStarch.png", nil, nil, nil}
		NecroList.Items.OZMeds273 = {"Mods", "OZMeds", nil, "OZM - Sodium benzoate 25kg pack", "OZMeds.SodiumBenzoate", "media/textures/Item_OZMoreMeds_SodiumBenzoate.png", nil, nil, nil}
		NecroList.Items.OZMeds274 = {"Mods", "OZMeds", nil, "OZM - Talc 25kg pack", "OZMeds.Talc", "media/textures/Item_OZMoreMeds_Talc.png", nil, nil, nil}
		NecroList.Items.OZMeds275 = {"Mods", "OZMeds", nil, "OZM - Microcrystalline cellulose powder 25kg pack", "OZMeds.MicrocrystallineCellulosePowder", "media/textures/Item_OZMoreMeds_MicrocrystallineCellulosePowder.png", nil, nil, nil}
		NecroList.Items.OZMeds276 = {"Mods", "OZMeds", nil, "OZM - Tablet press platform", "OZMeds.Platform", "media/textures/Item_OZMoreMeds_Platform.png", nil, nil, nil}
		NecroList.Items.OZMeds277 = {"Mods", "OZMeds", nil, "OZM - Cylinder with bore", "OZMeds.CylinderWithBore", "media/textures/Item_OZMoreMeds_CylinderWithBore.png", nil, nil, nil}
		NecroList.Items.OZMeds278 = {"Mods", "OZMeds", nil, "OZM - Tablet press metal rod", "OZMeds.MetalRod", "media/textures/Item_OZMoreMeds_MetalRod.png", nil, nil, nil}
		NecroList.Items.OZMeds279 = {"Mods", "OZMeds", nil, "OZM - Tablet press", "OZMeds.HandHeldManualTabletPress", "media/textures/Item_OZMoreMeds_HandHeldManualTabletPress.png", nil, nil, nil}
		NecroList.Items.OZMeds280 = {"Mods", "OZMeds", nil, "OZM - Pharmacy scales", "OZMeds.PharmacyScales", "media/textures/Item_OZMoreMeds_PharmacyScales.png", nil, nil, nil}
		NecroList.Items.OZMeds281 = {"Mods", "OZMeds", nil, "OZM - Measuring spoon", "OZMeds.MeasuringSpoon", "media/textures/Item_OZMoreMeds_MeasuringSpoon.png", nil, nil, nil}
		NecroList.Items.OZMeds282 = {"Mods", "OZMeds", nil, "OZM - Pharmacy measuring beaker", "OZMeds.PharmacyMeasuringBeaker", "media/textures/Item_OZMoreMeds_PharmacyMeasuringBeaker.png", nil, nil, nil}
		NecroList.Items.OZMeds283 = {"Mods", "OZMeds", nil, "OZM - Benzoic acid powder 100mg", "OZMeds.BenzoicAcidPowder", "media/textures/Item_OZMoreMeds_WhitePowder.png", nil, nil, nil}
		NecroList.Items.OZMeds284 = {"Mods", "OZMeds", nil, "OZM - Sodium benzoate powder 100mg", "OZMeds.SodiumBenzoatePowder", "media/textures/Item_OZMoreMeds_WhitePowder.png", nil, nil, nil}
		NecroList.Items.OZMeds285 = {"Mods", "OZMeds", nil, "OZM - Starch powder 10mg", "OZMeds.StarchPowder", "media/textures/Item_OZMoreMeds_WhitePowder.png", nil, nil, nil}
		NecroList.Items.OZMeds286 = {"Mods", "OZMeds", nil, "OZM - Cellulose powder 10mg", "OZMeds.CellulosePowder", "media/textures/Item_OZMoreMeds_WhitePowder.png", nil, nil, nil}
		NecroList.Items.OZMeds287 = {"Mods", "OZMeds", nil, "OZM - Cellulose and starch mixture 20mg", "OZMeds.CelluloseStarchMix", "media/textures/Item_OZMoreMeds_WhitePowder.png", nil, nil, nil}
		NecroList.Items.OZMeds288 = {"Mods", "OZMeds", nil, "OZM - Handcrafted powdered aspirin", "OZMeds.HandicraftAspirinPowdered", "media/textures/Item_OZMoreMeds_WhitePowder.png", nil, nil, nil}
		NecroList.Items.OZMeds289 = {"Mods", "OZMeds", nil, "OZM - Handcrafted aspirin pill", "OZMeds.HandicraftAspirinPill", "media/textures/Item_OZMoreMeds_AspirinPill10mg.png", nil, nil, nil}
		NecroList.Items.OZMeds290 = {"Mods", "OZMeds", nil, "OZM - Charcoal powder 250mg", "OZMeds.CharcoalPowder", "media/textures/Item_OZMoreMeds_BlackPowder.png", nil, nil, nil}
		NecroList.Items.OZMeds291 = {"Mods", "OZMeds", nil, "OZM - Bucket with charcoal", "OZMeds.CharcoalBucket", "media/textures/Item_OZMoreMeds_CharcoalBucket.png", nil, nil, nil}
		NecroList.Items.OZMeds292 = {"Mods", "OZMeds", nil, "OZM - Handcrafted charcoal pill", "OZMeds.HandicraftCharcoalPill", "media/textures/Item_OZMoreMeds_ActivatedCoalPill250mg.png", nil, nil, nil}
		NecroList.Items.OZMeds293 = {"Mods", "OZMeds", nil, "OZM - Calcium stearate bottle 250g", "OZMeds.CalciumStearate", "media/textures/Item_OZMoreMeds_CalciumStearate.png", nil, nil, nil}
		NecroList.Items.OZMeds294 = {"Mods", "OZMeds", nil, "OZM - Calcium stearate powder 0.25mg", "OZMeds.CalciumStearatePowder", "media/textures/Item_OZMoreMeds_WhitePowder.png", nil, nil, nil}
		NecroList.Items.OZMeds295 = {"Mods", "OZMeds", nil, "OZM - Calcium stearate and starch mixture", "OZMeds.CalciumStearateStarchMix", "media/textures/Item_OZMoreMeds_WhitePowder.png", nil, nil, nil}
		NecroList.Items.OZMeds296 = {"Mods", "OZMeds", nil, "OZM - Handcrafted caffeine benzoate sodium powder", "OZMeds.HandcraftedPowderedCaffeineBenzoateSodium", "media/textures/Item_OZMoreMeds_WhitePowder.png", nil, nil, nil}
		NecroList.Items.OZMeds297 = {"Mods", "OZMeds", nil, "OZM - Handcrafted caffeine benzoate sodium pill", "OZMeds.HandcraftedCaffeineBenzoateSodiumPill", "media/textures/Item_OZMoreMeds_AspirinPill10mg.png", nil, nil, nil}
		end
		if (ModCheck("Hydrocraft")) then
		print ("[NecroForge] - Adding Hydrocraft to NecroForge");
		-- Automatically Generated --
		-- NecroList AutoGen v.0.3 -- 13 October 2017 --
		NecroList.Items.HC1 = {"Mods", nil, nil, "HC - Set Bear Trap", "Hydrocraft.BearTrap", "media/textures/Item_Beartrap.png", nil, nil, nil}
		NecroList.Items.HC2 = {"Mods", nil, nil, "HC - Closed Bear Trap", "Hydrocraft.BearTrapClosed", "media/textures/Item_Beartrapclosed.png", nil, nil, nil}
		NecroList.Items.HC3 = {"Mods", nil, nil, "HC - Chain Saw", "Hydrocraft.ChainSaw", "media/textures/Item_ChainSaw.png", nil, nil, nil}
		NecroList.Items.HC4 = {"Mods", nil, nil, "HC - Chain Saw (No Gas)", "Hydrocraft.ChainSawNoGas", "media/textures/Item_ChainSaw.png", nil, nil, nil}
		NecroList.Items.HC5 = {"Mods", nil, nil, "HC - 100 Dollar Bill", "Hydrocraft.HC100dollarbill", "media/textures/Item_HC100dollarbill.png", nil, nil, nil}
		NecroList.Items.HC6 = {"Mods", nil, nil, "HC - 10 Dollar Bill", "Hydrocraft.HC10dollarbill", "media/textures/Item_HC10dollarbill.png", nil, nil, nil}
		NecroList.Items.HC7 = {"Mods", nil, nil, "HC - 1 Dollar Bill", "Hydrocraft.HC1dollarbill", "media/textures/Item_HC1dollarbill.png", nil, nil, nil}
		NecroList.Items.HC8 = {"Mods", nil, nil, "HC - 20 Dollar Bill", "Hydrocraft.HC20dollarbill", "media/textures/Item_HC20dollarbill.png", nil, nil, nil}
		NecroList.Items.HC9 = {"Mods", nil, nil, "HC - 2 Dollar Bill", "Hydrocraft.HC2dollarbill", "media/textures/Item_HC2dollarbill.png", nil, nil, nil}
		NecroList.Items.HC10 = {"Mods", nil, nil, "HC - 3D Glasses", "Hydrocraft.HC3Dglasses", "media/textures/Item_HC3Dglasses.png", nil, nil, nil}
		NecroList.Items.HC11 = {"Mods", nil, nil, "HC - 50 Dollar Bill", "Hydrocraft.HC50dollarbill", "media/textures/Item_HC50dollarbill.png", nil, nil, nil}
		NecroList.Items.HC12 = {"Mods", nil, nil, "HC - 5 Dollar Bill", "Hydrocraft.HC5dollarbill", "media/textures/Item_HC5dollarbill.png", nil, nil, nil}
		NecroList.Items.HC13 = {"Mods", nil, nil, "HC - Absinth", "Hydrocraft.HCAbsinth", "media/textures/Item_HCAbsinth.png", nil, nil, nil}
		NecroList.Items.HC14 = {"Mods", nil, nil, "HC - Acid Bath Empty", "Hydrocraft.HCAcidbathempty", "media/textures/Item_HCAcidbathempty.png", nil, nil, nil}
		NecroList.Items.HC15 = {"Mods", nil, nil, "HC - Acid Bath Muriatic Acid", "Hydrocraft.HCAcidbathmuriaticacid", "media/textures/Item_HCAcidbathmuriaticacid.png", nil, nil, nil}
		NecroList.Items.HC16 = {"Mods", nil, nil, "HC - Acorn", "Hydrocraft.HCAcorn", "media/textures/Item_HCAcorn.png", nil, nil, nil}
		NecroList.Items.HC17 = {"Mods", nil, nil, "HC - Soaked Acorn (Fresh)", "Hydrocraft.HCAcornsoaked", "media/textures/Item_HCAcornsoaked.png", nil, nil, nil}
		NecroList.Items.HC18 = {"Mods", nil, nil, "HC - Adrenalin", "Hydrocraft.HCAdrenalin", "media/textures/Item_HCAdrenalin.png", nil, nil, nil}
		NecroList.Items.HC19 = {"Mods", nil, nil, "HC - Bottle of Adrenalin", "Hydrocraft.HCAdrenalinbottle", "media/textures/Item_HCAdrenalinbottle.png", nil, nil, nil}
		NecroList.Items.HC20 = {"Mods", nil, nil, "HC - Box of Adrenalin", "Hydrocraft.HCAdrenalinbox", "media/textures/Item_HCAdrenalinbox.png", nil, nil, nil}
		NecroList.Items.HC21 = {"Mods", nil, nil, "HC - Adult Magazine", "Hydrocraft.HCAdultmagazine", "media/textures/Item_HCAdultmagazine.png", nil, nil, nil}
		NecroList.Items.HC22 = {"Mods", nil, nil, "HC - Agar", "Hydrocraft.HCAgar", "media/textures/Item_HCAgar.png", nil, nil, nil}
		NecroList.Items.HC23 = {"Mods", nil, nil, "HC - Empty Agar Jar", "Hydrocraft.HCAgarempty", "media/textures/Item_HCAgarempty.png", nil, nil, nil}
		NecroList.Items.HC24 = {"Mods", nil, nil, "HC - Cut Blue Agave", "Hydrocraft.HCAgavebluecut", "media/textures/Item_HCAgavebluecut.png", nil, nil, nil}
		NecroList.Items.HC25 = {"Mods", nil, nil, "HC - Blue Agave Seeds", "Hydrocraft.HCAgaveblueseeds", "media/textures/Item_HCAgaveblueseeds.png", nil, nil, nil}
		NecroList.Items.HC26 = {"Mods", nil, nil, "HC - Blue Agave Packet", "Hydrocraft.HCAgaveblueseedspacket", "media/textures/Item_HCAgaveblueseedspacket.png", nil, nil, nil}
		NecroList.Items.HC27 = {"Mods", nil, nil, "HC - Air Filter", "Hydrocraft.HCAirfilter", "media/textures/Item_HCAirfilter.png", nil, nil, nil}
		NecroList.Items.HC28 = {"Mods", nil, nil, "HC - Air Freshener", "Hydrocraft.HCAirfreshener", "media/textures/Item_HCAirfreshener.png", nil, nil, nil}
		NecroList.Items.HC29 = {"Mods", nil, nil, "HC - Alabaster", "Hydrocraft.HCAlabaster", "media/textures/Item_HCAlabaster.png", nil, nil, nil}
		NecroList.Items.HC30 = {"Mods", nil, nil, "HC - Albite Powder", "Hydrocraft.HCAlbitepowder", "media/textures/Item_HCAlbitepowder.png", nil, nil, nil}
		NecroList.Items.HC31 = {"Mods", nil, nil, "HC - Alder Bough", "Hydrocraft.HCAlderbough", "media/textures/Item_HCAlderbough.png", nil, nil, nil}
		NecroList.Items.HC32 = {"Mods", nil, nil, "HC - Ale Stein", "Hydrocraft.HCAlestien", "media/textures/Item_HCAlestien.png", nil, nil, nil}
		NecroList.Items.HC33 = {"Mods", nil, nil, "HC - Ale Stein with Water", "Hydrocraft.HCAlestienfull", "media/textures/Item_HCAlestien.png", nil, nil, nil}
		NecroList.Items.HC34 = {"Mods", nil, nil, "HC - Alfalfa", "Hydrocraft.HCAlfalfa", "media/textures/Item_HCAlfalfa.png", nil, nil, nil}
		NecroList.Items.HC35 = {"Mods", nil, nil, "HC - Alfalfa Seeds", "Hydrocraft.HCAlfalfaseeds", "media/textures/Item_HCAlfalfaseeds.png", nil, nil, nil}
		NecroList.Items.HC36 = {"Mods", nil, nil, "HC - Alfalfa Packet", "Hydrocraft.HCAlfalfaseedspacket", "media/textures/Item_HCAlfalfaseedspacket.png", nil, nil, nil}
		NecroList.Items.HC37 = {"Mods", nil, nil, "HC - Large Alice Pack", "Hydrocraft.HCAlicepack", "media/textures/Item_HCAlicepack.png", nil, nil, nil}
		NecroList.Items.HC38 = {"Mods", nil, nil, "HC - Medium Alice Pack", "Hydrocraft.HCAlicepack2", "media/textures/Item_HCAlicepack2.png", nil, nil, nil}
		NecroList.Items.HC39 = {"Mods", nil, nil, "HC - Fine Leather Alice Pack", "Hydrocraft.HCAlicepack3", "media/textures/Item_HCAlicepack3.png", nil, nil, nil}
		NecroList.Items.HC40 = {"Mods", nil, nil, "HC - Aluminium Bat", "Hydrocraft.HCAluminiumbat", "media/textures/Item_HCAluminiumbat.png", nil, nil, nil}
		NecroList.Items.HC41 = {"Mods", nil, nil, "HC - Aluminum Ingot", "Hydrocraft.HCAluminumingot", "media/textures/Item_HCAluminumingot.png", nil, nil, nil}
		NecroList.Items.HC42 = {"Mods", nil, nil, "HC - Aluminum Powder", "Hydrocraft.HCAluminumpowder", "media/textures/Item_HCAluminumpowder.png", nil, nil, nil}
		NecroList.Items.HC43 = {"Mods", nil, nil, "HC - Amazonite", "Hydrocraft.HCAmazonite", "media/textures/Item_HCAmazonite.png", nil, nil, nil}
		NecroList.Items.HC44 = {"Mods", nil, nil, "HC - Cut Amazonite", "Hydrocraft.HCAmazonitecut", "media/textures/Item_HCAmazonitecut.png", nil, nil, nil}
		NecroList.Items.HC45 = {"Mods", nil, nil, "HC - Amethyst", "Hydrocraft.HCAmethyst", "media/textures/Item_HCAmethyst.png", nil, nil, nil}
		NecroList.Items.HC46 = {"Mods", nil, nil, "HC - Cut Amethyst", "Hydrocraft.HCAmethystcut", "media/textures/Item_HCAmethystcut.png", nil, nil, nil}
		NecroList.Items.HC47 = {"Mods", nil, nil, "HC - Ammonal Bag", "Hydrocraft.HCAmmonal", "media/textures/Item_HCAmmonal.png", nil, nil, nil}
		NecroList.Items.HC48 = {"Mods", nil, nil, "HC - Ammonal Bomb Off", "Hydrocraft.HCAmmonalbomboff", "media/textures/Item_HCAmmonalbomboff.png", nil, nil, nil}
		NecroList.Items.HC49 = {"Mods", nil, nil, "HC - Ammonal Bomb On", "Hydrocraft.HCAmmonalbombon", "media/textures/Item_HCAmmonalbombon.png", nil, nil, nil}
		NecroList.Items.HC50 = {"Mods", nil, nil, "HC - Dry Ammonal", "Hydrocraft.HCAmmonaldry", "media/textures/Item_HCAmmonaldry.png", nil, nil, nil}
		NecroList.Items.HC51 = {"Mods", nil, nil, "HC - Ammonal Tray", "Hydrocraft.HCAmmonaltray", "media/textures/Item_HCAmmonaltray.png", nil, nil, nil}
		NecroList.Items.HC52 = {"Mods", nil, nil, "HC - Wet Ammonal Bag", "Hydrocraft.HCAmmonalwet", "media/textures/Item_HCAmmonalwet.png", nil, nil, nil}
		NecroList.Items.HC53 = {"Mods", nil, nil, "HC - Bottle of Ammonia", "Hydrocraft.HCAmmonia", "media/textures/Item_HCAmmonia.png", nil, nil, nil}
		NecroList.Items.HC54 = {"Mods", nil, nil, "HC - Blue Empty Ammonia Barrel", "Hydrocraft.HCAmmoniabarrelblueempty", "media/textures/Item_HCAmmoniabarrelblue.png", nil, nil, nil}
		NecroList.Items.HC55 = {"Mods", nil, nil, "HC - Blue Barrel with Ammonia", "Hydrocraft.HCAmmoniabarrelbluefull", "media/textures/Item_HCAmmoniabarrelblue.png", nil, nil, nil}
		NecroList.Items.HC56 = {"Mods", nil, nil, "HC - Empty Ammonia Barrel", "Hydrocraft.HCAmmoniabarrelempty", "media/textures/Item_HCAmmoniabarrelmetal.png", nil, nil, nil}
		NecroList.Items.HC57 = {"Mods", nil, nil, "HC - Metal Barrel with Ammonia", "Hydrocraft.HCAmmoniabarrelfull", "media/textures/Item_HCAmmoniabarrelmetal.png", nil, nil, nil}
		NecroList.Items.HC58 = {"Mods", nil, nil, "HC - Empty Ammonia Can", "Hydrocraft.HCAmmoniacanempty", "media/textures/Item_HCAmmoniacanempty.png", nil, nil, nil}
		NecroList.Items.HC59 = {"Mods", nil, nil, "HC - Ammonia", "Hydrocraft.HCAmmoniacanfull", "media/textures/Item_HCAmmoniacanfull.png", nil, nil, nil}
		NecroList.Items.HC60 = {"Mods", nil, nil, "HC - Amp", "Hydrocraft.HCAmp", "media/textures/Item_HCAmp.png", nil, nil, nil}
		NecroList.Items.HC61 = {"Mods", nil, nil, "HC - Anemone", "Hydrocraft.HCAnemome", "media/textures/Item_HCAnemome.png", nil, nil, nil}
		NecroList.Items.HC62 = {"Mods", nil, nil, "HC - Medium Animal Cage", "Hydrocraft.HCAnimalcage", "media/textures/Item_HCAnimalcage.png", nil, nil, nil}
		NecroList.Items.HC63 = {"Mods", nil, nil, "HC - Small Animal Cage", "Hydrocraft.HCAnimalcagesmall", "media/textures/Item_HCAnimalcagesmall.png", nil, nil, nil}
		NecroList.Items.HC64 = {"Mods", nil, nil, "HC - Raw Fur", "Hydrocraft.HCAnimalfur", "media/textures/Item_HCAnimalfur.png", nil, nil, nil}
		NecroList.Items.HC65 = {"Mods", nil, nil, "HC - Dried Fur", "Hydrocraft.HCAnimalfurdried", "media/textures/Item_HCAnimalfurdried.png", nil, nil, nil}
		NecroList.Items.HC66 = {"Mods", nil, nil, "HC - Limed Fur", "Hydrocraft.HCAnimalfurlime", "media/textures/Item_HCAnimalfurlime.png", nil, nil, nil}
		NecroList.Items.HC67 = {"Mods", nil, nil, "HC - Glass Animal Eye", "Hydrocraft.HCAnimalglasseye", "media/textures/Item_HCAnimalglasseye.png", nil, nil, nil}
		NecroList.Items.HC68 = {"Mods", nil, nil, "HC - Empty Ant Farm", "Hydrocraft.HCAntfarm", "media/textures/Item_HCAntfarm.png", nil, nil, nil}
		NecroList.Items.HC69 = {"Mods", nil, nil, "HC - Black Ant Farm", "Hydrocraft.HCAntfarmblack", "media/textures/Item_HCAntfarm2.png", nil, nil, nil}
		NecroList.Items.HC70 = {"Mods", nil, nil, "HC - Red Ant Farm", "Hydrocraft.HCAntfarmred", "media/textures/Item_HCAntfarm2.png", nil, nil, nil}
		NecroList.Items.HC71 = {"Mods", nil, nil, "HC - Anti-Depression Pills", "Hydrocraft.HCAntideppill", "media/textures/Item_HCAntideppill.png", nil, nil, nil}
		NecroList.Items.HC72 = {"Mods", nil, nil, "HC - Bottle of Anti-Depression Pills", "Hydrocraft.HCAntideppills", "media/textures/Item_HCAntideppills.png", nil, nil, nil}
		NecroList.Items.HC73 = {"Mods", nil, nil, "HC - Iron Anvil", "Hydrocraft.HCAnvil", "media/textures/Item_HCAnvil.png", nil, nil, nil}
		NecroList.Items.HC74 = {"Mods", nil, nil, "HC - Iron Anvil", "Hydrocraft.HCAnvil2", "media/textures/Item_HCAnvil.png", nil, nil, nil}
		NecroList.Items.HC75 = {"Mods", nil, nil, "HC - Lead Anvil", "Hydrocraft.HCAnvillead", "media/textures/Item_HCAnvillead.png", nil, nil, nil}
		NecroList.Items.HC76 = {"Mods", nil, nil, "HC - Lead Anvil", "Hydrocraft.HCAnvillead2", "media/textures/Item_HCAnvillead.png", nil, nil, nil}
		NecroList.Items.HC77 = {"Mods", nil, nil, "HC - Anvil Mold", "Hydrocraft.HCAnvilmold", "media/textures/Item_HCAnvilmold.png", nil, nil, nil}
		NecroList.Items.HC78 = {"Mods", nil, nil, "HC - Stone Anvil", "Hydrocraft.HCAnvilstone", "media/textures/Item_HCAnvilstone.png", nil, nil, nil}
		NecroList.Items.HC79 = {"Mods", nil, nil, "HC - Stone Anvil", "Hydrocraft.HCAnvilstone2", "media/textures/Item_HCAnvilstone.png", nil, nil, nil}
		NecroList.Items.HC80 = {"Mods", nil, nil, "HC - Apple Cider", "Hydrocraft.HCApplecider", "media/textures/Item_HCApplecider.png", nil, nil, nil}
		NecroList.Items.HC81 = {"Mods", nil, nil, "HC - Applejack", "Hydrocraft.HCApplejack", "media/textures/Item_HCApplejack.png", nil, nil, nil}
		NecroList.Items.HC82 = {"Mods", nil, nil, "HC - Apple Seeds", "Hydrocraft.HCAppleseeds", "media/textures/Item_HCAppleseeds.png", nil, nil, nil}
		NecroList.Items.HC83 = {"Mods", nil, nil, "HC - Apple Seeds Packet", "Hydrocraft.HCAppleseedspacket", "media/textures/Item_HCAppleseedspacket.png", nil, nil, nil}
		NecroList.Items.HC84 = {"Mods", nil, nil, "HC - Apricot (Fresh)", "Hydrocraft.HCApricot", "media/textures/Item_HCApricot.png", nil, nil, nil}
		NecroList.Items.HC85 = {"Mods", nil, nil, "HC - Apricot Seeds", "Hydrocraft.HCApricotseeds", "media/textures/Item_HCApricotseeds.png", nil, nil, nil}
		NecroList.Items.HC86 = {"Mods", nil, nil, "HC - Apricot Seeds Packet", "Hydrocraft.HCApricotseedspacket", "media/textures/Item_HCApricotseedspacket.png", nil, nil, nil}
		NecroList.Items.HC87 = {"Mods", nil, nil, "HC - Dead Armadillo (Fresh)", "Hydrocraft.HCArmadillodead", "media/textures/Item_HCArmadillodead.png", nil, nil, nil}
		NecroList.Items.HC88 = {"Mods", nil, nil, "HC - Armadillo (Female)", "Hydrocraft.HCArmadillofemale", "media/textures/Item_HCArmadillofemale.png", nil, nil, nil}
		NecroList.Items.HC89 = {"Mods", nil, nil, "HC - Armadillo (Male)", "Hydrocraft.HCArmadillomale", "media/textures/Item_HCBeavermale.png", nil, nil, nil}
		NecroList.Items.HC90 = {"Mods", nil, nil, "HC - Armadillo Carcass (Fresh)", "Hydrocraft.HCArmadillomeat", "media/textures/Item_HCArmadillomeat.png", nil, nil, nil}
		NecroList.Items.HC91 = {"Mods", nil, nil, "HC - Bamboo Arm Guards", "Hydrocraft.HCArmarmorbamboo", "media/textures/Item_HCArmarmorbamboo.png", nil, nil, nil}
		NecroList.Items.HC92 = {"Mods", nil, nil, "HC - Bone Arm Guards", "Hydrocraft.HCArmarmorbone", "media/textures/Item_HCArmarmorbone.png", nil, nil, nil}
		NecroList.Items.HC93 = {"Mods", nil, nil, "HC - Bronze Arm Guards", "Hydrocraft.HCArmarmorbronze", "media/textures/Item_HCArmarmorbronze.png", nil, nil, nil}
		NecroList.Items.HC94 = {"Mods", nil, nil, "HC - Bubble Wrap Arm Guards", "Hydrocraft.HCArmarmorbubblewrap", "media/textures/Item_HCArmarmorbubblewrap.png", nil, nil, nil}
		NecroList.Items.HC95 = {"Mods", nil, nil, "HC - Copper Arm Guards", "Hydrocraft.HCArmarmorcopper", "media/textures/Item_HCArmarmorcopper.png", nil, nil, nil}
		NecroList.Items.HC96 = {"Mods", nil, nil, "HC - Hardened Leather Arm Guards", "Hydrocraft.HCArmarmorhardenedleather", "media/textures/Item_HCArmarmorhardenedleather.png", nil, nil, nil}
		NecroList.Items.HC97 = {"Mods", nil, nil, "HC - Hide Arm Guards", "Hydrocraft.HCArmarmorhide", "media/textures/Item_HCArmarmorhide.png", nil, nil, nil}
		NecroList.Items.HC98 = {"Mods", nil, nil, "HC - Iron Arm Guards", "Hydrocraft.HCArmarmoriron", "media/textures/Item_HCArmarmoriron.png", nil, nil, nil}
		NecroList.Items.HC99 = {"Mods", nil, nil, "HC - Kevlar Arm Guards", "Hydrocraft.HCArmarmorkevlar", "media/textures/Item_HCArmarmorkevlar.png", nil, nil, nil}
		NecroList.Items.HC100 = {"Mods", nil, nil, "HC - Lamellar Arm Guards", "Hydrocraft.HCArmarmorlamellar", "media/textures/Item_HCArmarmorlamellar.png", nil, nil, nil}
		NecroList.Items.HC101 = {"Mods", nil, nil, "HC - Leather Arm Guards", "Hydrocraft.HCArmarmorleather", "media/textures/Item_HCArmarmorleather.png", nil, nil, nil}
		NecroList.Items.HC102 = {"Mods", nil, nil, "HC - Log Arm Guards", "Hydrocraft.HCArmarmorlog", "media/textures/Item_HCArmarmorlog.png", nil, nil, nil}
		NecroList.Items.HC103 = {"Mods", nil, nil, "HC - Padded Arm Guards", "Hydrocraft.HCArmarmorpadded", "media/textures/Item_HCArmarmorpadded.png", nil, nil, nil}
		NecroList.Items.HC104 = {"Mods", nil, nil, "HC - Paintball Arm Guards", "Hydrocraft.HCArmarmorpaintball", "media/textures/Item_HCArmarmorpaintball.png", nil, nil, nil}
		NecroList.Items.HC105 = {"Mods", nil, nil, "HC - Riot Arm Guards", "Hydrocraft.HCArmarmorriot", "media/textures/Item_HCArmarmorriot.png", nil, nil, nil}
		NecroList.Items.HC106 = {"Mods", nil, nil, "HC - Samurai Arm Guards", "Hydrocraft.HCArmarmorsamurai", "media/textures/Item_HCArmarmorsamurai.png", nil, nil, nil}
		NecroList.Items.HC107 = {"Mods", nil, nil, "HC - Steel Arm Guards", "Hydrocraft.HCArmarmorsteel", "media/textures/Item_HCArmarmorsteel.png", nil, nil, nil}
		NecroList.Items.HC108 = {"Mods", nil, nil, "HC - Studded Leather Arm Guards", "Hydrocraft.HCArmarmorstuddedleather", "media/textures/Item_HCArmarmorstuddedleather.png", nil, nil, nil}
		NecroList.Items.HC109 = {"Mods", nil, nil, "HC - SWAT Arm Guards", "Hydrocraft.HCArmarmorswat", "media/textures/Item_HCArmarmorswat.png", nil, nil, nil}
		NecroList.Items.HC110 = {"Mods", nil, nil, "HC - Tire Arm Guards", "Hydrocraft.HCArmarmortire", "media/textures/Item_HCArmarmortire.png", nil, nil, nil}
		NecroList.Items.HC111 = {"Mods", nil, nil, "HC - Clay Medium Animal Armature", "Hydrocraft.HCArmaturemediumanimalclay", "media/textures/Item_HCArmaturemediumanimalclay.png", nil, nil, nil}
		NecroList.Items.HC112 = {"Mods", nil, nil, "HC - Straw Medium Animal Armature", "Hydrocraft.HCArmaturemediumanimalstraw", "media/textures/Item_HCArmaturemediumanimalstraw.png", nil, nil, nil}
		NecroList.Items.HC113 = {"Mods", nil, nil, "HC - Wooden Medium Animal Armature", "Hydrocraft.HCArmaturemediumanimalwood", "media/textures/Item_HCArmaturemediumanimalwood.png", nil, nil, nil}
		NecroList.Items.HC114 = {"Mods", nil, nil, "HC - Clay Small Animal Armature", "Hydrocraft.HCArmaturesmallanimalclay", "media/textures/Item_HCArmaturesmallanimalclay.png", nil, nil, nil}
		NecroList.Items.HC115 = {"Mods", nil, nil, "HC - Straw Small AnimalArmature", "Hydrocraft.HCArmaturesmallanimalstraw", "media/textures/Item_HCArmaturesmallanimalstraw.png", nil, nil, nil}
		NecroList.Items.HC116 = {"Mods", nil, nil, "HC - Wooden Small Animal Armature", "Hydrocraft.HCArmaturesmallanimalwood", "media/textures/Item_HCArmaturesmallanimalwood.png", nil, nil, nil}
		NecroList.Items.HC117 = {"Mods", nil, nil, "HC - Bamboo Armor", "Hydrocraft.HCArmorbamboo", "media/textures/Item_HCArmorbamboo.png", nil, nil, nil}
		NecroList.Items.HC118 = {"Mods", nil, nil, "HC - Bone Armor", "Hydrocraft.HCArmorbone", "media/textures/Item_HCArmorbone.png", nil, nil, nil}
		NecroList.Items.HC119 = {"Mods", nil, nil, "HC - Bronze Armor", "Hydrocraft.HCArmorbronze", "media/textures/Item_HCArmorbronze.png", nil, nil, nil}
		NecroList.Items.HC120 = {"Mods", nil, nil, "HC - Bubble Wrap Armor", "Hydrocraft.HCArmorbubblewrap", "media/textures/Item_HCArmorbubblewrap.png", nil, nil, nil}
		NecroList.Items.HC121 = {"Mods", nil, nil, "HC - Chainmail Armor", "Hydrocraft.HCArmorchainmail", "media/textures/Item_HCArmorchainmail.png", nil, nil, nil}
		NecroList.Items.HC122 = {"Mods", nil, nil, "HC - Copper Armor", "Hydrocraft.HCArmorcopper", "media/textures/Item_HCArmorcopper.png", nil, nil, nil}
		NecroList.Items.HC123 = {"Mods", nil, nil, "HC - Hardened Leather Armor", "Hydrocraft.HCArmorhardenedleather", "media/textures/Item_HCArmorhardenedleather.png", nil, nil, nil}
		NecroList.Items.HC124 = {"Mods", nil, nil, "HC - Hide Armor", "Hydrocraft.HCArmorhide", "media/textures/Item_HCArmorhide.png", nil, nil, nil}
		NecroList.Items.HC125 = {"Mods", nil, nil, "HC - Iron Armor", "Hydrocraft.HCArmoriron", "media/textures/Item_HCArmoriron.png", nil, nil, nil}
		NecroList.Items.HC126 = {"Mods", nil, nil, "HC - Kevlar Armor", "Hydrocraft.HCArmorkevlar", "media/textures/Item_HCArmorkevlar.png", nil, nil, nil}
		NecroList.Items.HC127 = {"Mods", nil, nil, "HC - Lamelar Armor", "Hydrocraft.HCArmorlamelar", "media/textures/Item_HCArmorlamelar.png", nil, nil, nil}
		NecroList.Items.HC128 = {"Mods", nil, nil, "HC - Leather Armor", "Hydrocraft.HCArmorleather", "media/textures/Item_HCArmorleather.png", nil, nil, nil}
		NecroList.Items.HC129 = {"Mods", nil, nil, "HC - Leather Jacket", "Hydrocraft.HCArmorleatherjacket", "media/textures/Item_HCArmorleatherjacket.png", nil, nil, nil}
		NecroList.Items.HC130 = {"Mods", nil, nil, "HC - Light Jacket", "Hydrocraft.HCArmorlightjacket", "media/textures/Item_HCArmorlightjacket.png", nil, nil, nil}
		NecroList.Items.HC131 = {"Mods", nil, nil, "HC - Log Armor", "Hydrocraft.HCArmorlog", "media/textures/Item_HCArmorlog.png", nil, nil, nil}
		NecroList.Items.HC132 = {"Mods", nil, nil, "HC - Military Jacket", "Hydrocraft.HCArmormilitaryjacket", "media/textures/Item_HCArmormilitaryjacket.png", nil, nil, nil}
		NecroList.Items.HC133 = {"Mods", nil, nil, "HC - Padded Armor", "Hydrocraft.HCArmorpadded", "media/textures/Item_HCArmorpadded.png", nil, nil, nil}
		NecroList.Items.HC134 = {"Mods", nil, nil, "HC - Paintball Armor", "Hydrocraft.HCArmorpaintball", "media/textures/Item_HCArmorpaintball.png", nil, nil, nil}
		NecroList.Items.HC135 = {"Mods", nil, nil, "HC - Phone Book Armor", "Hydrocraft.HCArmorphonebooks", "media/textures/Item_HCArmorphonebooks.png", nil, nil, nil}
		NecroList.Items.HC136 = {"Mods", nil, nil, "HC - Riot Armor", "Hydrocraft.HCArmorriot", "media/textures/Item_HCArmorriot.png", nil, nil, nil}
		NecroList.Items.HC137 = {"Mods", nil, nil, "HC - Samurai Armor", "Hydrocraft.HCArmorsamurai", "media/textures/Item_HCArmorsamurai.png", nil, nil, nil}
		NecroList.Items.HC138 = {"Mods", nil, nil, "HC - Scalemail Armor", "Hydrocraft.HCArmorscalemail", "media/textures/Item_HCArmorscalemail.png", nil, nil, nil}
		NecroList.Items.HC139 = {"Mods", nil, nil, "HC - Steel Armor", "Hydrocraft.HCArmorsteel", "media/textures/Item_HCArmorsteel.png", nil, nil, nil}
		NecroList.Items.HC140 = {"Mods", nil, nil, "HC - Studded Leather Armor", "Hydrocraft.HCArmorstuddedleather", "media/textures/Item_HCArmorstuddedleather.png", nil, nil, nil}
		NecroList.Items.HC141 = {"Mods", nil, nil, "HC - SWAT Armor", "Hydrocraft.HCArmorswat", "media/textures/Item_HCArmorswat.png", nil, nil, nil}
		NecroList.Items.HC142 = {"Mods", nil, nil, "HC - Tire Armor", "Hydrocraft.HCArmortire", "media/textures/Item_HCArmortire.png", nil, nil, nil}
		NecroList.Items.HC143 = {"Mods", nil, nil, "HC - Arm Sling", "Hydrocraft.HCArmsling", "media/textures/Item_HCArmsling.png", nil, nil, nil}
		NecroList.Items.HC144 = {"Mods", nil, nil, "HC - Arrows", "Hydrocraft.HCArrow", "media/textures/Item_HCArrow.png", nil, nil, nil}
		NecroList.Items.HC145 = {"Mods", nil, nil, "HC - Arrowroot", "Hydrocraft.HCArrowroot", "media/textures/Item_HCArrowroot.png", nil, nil, nil}
		NecroList.Items.HC146 = {"Mods", nil, nil, "HC - Arrowwood Berry (Fresh)", "Hydrocraft.HCArrowwoodberry", "media/textures/Item_HCArrowwoodberry.png", nil, nil, nil}
		NecroList.Items.HC147 = {"Mods", nil, nil, "HC - Artichoke (Fresh)", "Hydrocraft.HCArtichoke", "media/textures/Item_HCArtichoke.png", nil, nil, nil}
		NecroList.Items.HC148 = {"Mods", nil, nil, "HC - Artichoke Seeds", "Hydrocraft.HCArtichokesseeds", "media/textures/Item_HCArtichokesseeds.png", nil, nil, nil}
		NecroList.Items.HC149 = {"Mods", nil, nil, "HC - Artichoke Packet", "Hydrocraft.HCArtichokesseedspacket", "media/textures/Item_HCArtichokesseedspacket.png", nil, nil, nil}
		NecroList.Items.HC150 = {"Mods", nil, nil, "HC - Asp (Fresh Uncooked)", "Hydrocraft.HCAsp", "media/textures/Item_HCAsp.png", nil, nil, nil}
		NecroList.Items.HC151 = {"Mods", nil, nil, "HC - Asparagus (Fresh)", "Hydrocraft.HCAsparagus", "media/textures/Item_HCAsparagus.png", nil, nil, nil}
		NecroList.Items.HC152 = {"Mods", nil, nil, "HC - Asparagus Seeds", "Hydrocraft.HCAsparagusseeds", "media/textures/Item_HCAsparagusseeds.png", nil, nil, nil}
		NecroList.Items.HC153 = {"Mods", nil, nil, "HC - Asparagus Packet", "Hydrocraft.HCAsparagusseedspacket", "media/textures/Item_HCAsparagusseedspacket.png", nil, nil, nil}
		NecroList.Items.HC154 = {"Mods", nil, nil, "HC - Auger", "Hydrocraft.HCAuger", "media/textures/Item_HCAuger.png", nil, nil, nil}
		NecroList.Items.HC155 = {"Mods", nil, nil, "HC - Avacado Seeds", "Hydrocraft.HCAvacadoseeds", "media/textures/Item_HCAvacadoseeds.png", nil, nil, nil}
		NecroList.Items.HC156 = {"Mods", nil, nil, "HC - Avacado Seeds Packet", "Hydrocraft.HCAvacadoseedspacket", "media/textures/Item_HCAvacadoseedspacket.png", nil, nil, nil}
		NecroList.Items.HC157 = {"Mods", nil, nil, "HC - Axe Handle", "Hydrocraft.HCAxehandle", "media/textures/Item_HCAxehandle.png", nil, nil, nil}
		NecroList.Items.HC158 = {"Mods", nil, nil, "HC - Axe Head", "Hydrocraft.HCAxehead", "media/textures/Item_HCAxehead.png", nil, nil, nil}
		NecroList.Items.HC159 = {"Mods", nil, nil, "HC - Blunt Axe Head", "Hydrocraft.HCAxeheadblunt", "media/textures/Item_HCAxehead.png", nil, nil, nil}
		NecroList.Items.HC160 = {"Mods", nil, nil, "HC - Worn Axe Head", "Hydrocraft.HCAxeheadworn", "media/textures/Item_HCAxehead.png", nil, nil, nil}
		NecroList.Items.HC161 = {"Mods", nil, nil, "HC - Azurite", "Hydrocraft.HCAzurite", "media/textures/Item_HCAzurite.png", nil, nil, nil}
		NecroList.Items.HC162 = {"Mods", nil, nil, "HC - Cut Azurite", "Hydrocraft.HCAzuritecut", "media/textures/Item_HCAzuritecut.png", nil, nil, nil}
		NecroList.Items.HC163 = {"Mods", nil, nil, "HC - Baby Bib", "Hydrocraft.HCBabybib1", "media/textures/Item_HCBabybib1.png", nil, nil, nil}
		NecroList.Items.HC164 = {"Mods", nil, nil, "HC - Baby Bib", "Hydrocraft.HCBabybib2", "media/textures/Item_HCBabybib2.png", nil, nil, nil}
		NecroList.Items.HC165 = {"Mods", nil, nil, "HC - Baby Bottle", "Hydrocraft.HCBabybottle", "media/textures/Item_HCBabybottle.png", nil, nil, nil}
		NecroList.Items.HC166 = {"Mods", nil, nil, "HC - Baby Rattle", "Hydrocraft.HCBabyrattle", "media/textures/Item_HCBabyrattle.png", nil, nil, nil}
		NecroList.Items.HC167 = {"Mods", nil, nil, "HC - Baby Teether", "Hydrocraft.HCBabyteether", "media/textures/Item_HCBabyteether.png", nil, nil, nil}
		NecroList.Items.HC168 = {"Mods", nil, nil, "HC - Baby Wipes", "Hydrocraft.HCBabywipes", "media/textures/Item_HCBabywipes.png", nil, nil, nil}
		NecroList.Items.HC169 = {"Mods", nil, nil, "HC - Backscratcher", "Hydrocraft.HCBackscratcher", "media/textures/Item_HCBackscratcher.png", nil, nil, nil}
		NecroList.Items.HC170 = {"Mods", nil, nil, "HC - Baked Potato (Fresh Uncooked)", "Hydrocraft.HCBakedpotato", "media/textures/Item_HCBakedpotato.png", nil, nil, nil}
		NecroList.Items.HC171 = {"Mods", nil, nil, "HC - Baking Tray with Chirstmas Cookies (Uncooked)", "Hydrocraft.HCBakingtraycookies", "media/textures/Item_HCBakingtrayhomemadecookies.png", nil, nil, nil}
		NecroList.Items.HC172 = {"Mods", nil, nil, "HC - Baking Tray with Dried Fruit (Uncooked)", "Hydrocraft.HCBakingtraydriedfruit", "media/textures/Item_HCBakingtraydriedfruit.png", nil, nil, nil}
		NecroList.Items.HC173 = {"Mods", nil, nil, "HC - Baking Tray with Chopped Fruit (Fresh Uncooked)", "Hydrocraft.HCBakingtrayfruit", "media/textures/Item_HCBakingtrayfruit.png", nil, nil, nil}
		NecroList.Items.HC174 = {"Mods", nil, nil, "HC - Baking Tray with Raw Christmas Cookies (Uncooked)", "Hydrocraft.HCBakingtrayrawcookies", "media/textures/Item_HCBakingtraycookiesraw.png", nil, nil, nil}
		NecroList.Items.HC175 = {"Mods", nil, nil, "HC - Box of Balloons", "Hydrocraft.HCBalloonbox", "media/textures/Item_HCBalloonbox.png", nil, nil, nil}
		NecroList.Items.HC176 = {"Mods", nil, nil, "HC - Bamboo", "Hydrocraft.HCBamboo", "media/textures/Item_HCBamboo.png", nil, nil, nil}
		NecroList.Items.HC177 = {"Mods", nil, nil, "HC - Bamboo Gutter", "Hydrocraft.HCBamboogutter", "media/textures/Item_HCBamboogutter.png", nil, nil, nil}
		NecroList.Items.HC178 = {"Mods", nil, nil, "HC - Bamboo Seeds", "Hydrocraft.HCBambooseeds", "media/textures/Item_HCBambooseeds.png", nil, nil, nil}
		NecroList.Items.HC179 = {"Mods", nil, nil, "HC - Bamboo Packet", "Hydrocraft.HCBambooseedspacket", "media/textures/Item_HCBambooseedspacket.png", nil, nil, nil}
		NecroList.Items.HC180 = {"Mods", nil, nil, "HC - Banana Seeds", "Hydrocraft.HCBananaseeds", "media/textures/Item_HCBananaseeds.png", nil, nil, nil}
		NecroList.Items.HC181 = {"Mods", nil, nil, "HC - Banana Seeds Packet", "Hydrocraft.HCBananaseedspacket", "media/textures/Item_HCBananaseedspacket.png", nil, nil, nil}
		NecroList.Items.HC182 = {"Mods", nil, nil, "HC - Bandage with Herbal Medicine", "Hydrocraft.HCBandageherb", "media/textures/Item_HCBandageherb.png", nil, nil, nil}
		NecroList.Items.HC183 = {"Mods", nil, nil, "HC - Bandanna", "Hydrocraft.HCBandanna", "media/textures/Item_HCBandanna.png", nil, nil, nil}
		NecroList.Items.HC184 = {"Mods", nil, nil, "HC - Banjo", "Hydrocraft.HCBanjo", "media/textures/Item_HCBanjo.png", nil, nil, nil}
		NecroList.Items.HC185 = {"Mods", nil, nil, "HC - Barbed Wire Barricade", "Hydrocraft.HCBarbedwirebarricade", "media/textures/Item_HCBarbedwirebarricade.png", nil, nil, nil}
		NecroList.Items.HC186 = {"Mods", nil, nil, "HC - Bark", "Hydrocraft.HCBark", "media/textures/Item_HCBark.png", nil, nil, nil}
		NecroList.Items.HC187 = {"Mods", nil, nil, "HC - Bark Strip", "Hydrocraft.HCBarkstrip", "media/textures/Item_HCBarkstrip.png", nil, nil, nil}
		NecroList.Items.HC188 = {"Mods", nil, nil, "HC - Barrel of Apple Mash", "Hydrocraft.HCBarrelapple", "media/textures/Item_HCWinebarrel.png", nil, nil, nil}
		NecroList.Items.HC189 = {"Mods", nil, nil, "HC - Barrel of Blue Agave Mash", "Hydrocraft.HCBarrelblueagave", "media/textures/Item_HCWinebarrel.png", nil, nil, nil}
		NecroList.Items.HC190 = {"Mods", nil, nil, "HC - Empty Blue Barrel", "Hydrocraft.HCBarrelblueempty", "media/textures/Item_HCBarrelblue.png", nil, nil, nil}
		NecroList.Items.HC191 = {"Mods", nil, nil, "HC - Barrel of Flour Mash", "Hydrocraft.HCBarrelflour", "media/textures/Item_HCWinebarrel.png", nil, nil, nil}
		NecroList.Items.HC192 = {"Mods", nil, nil, "HC - Barrel of Red Grape Juice", "Hydrocraft.HCBarrelgrape", "media/textures/Item_HCWinebarrel.png", nil, nil, nil}
		NecroList.Items.HC193 = {"Mods", nil, nil, "HC - Barrel of White Grape Juice", "Hydrocraft.HCBarrelgrapegreen", "media/textures/Item_HCWinebarrel.png", nil, nil, nil}
		NecroList.Items.HC194 = {"Mods", nil, nil, "HC - Barrel of Brewed Honey", "Hydrocraft.HCBarrelhoney", "media/textures/Item_HCWinebarrel.png", nil, nil, nil}
		NecroList.Items.HC195 = {"Mods", nil, nil, "HC - Barrel of Juniper Berry Mash", "Hydrocraft.HCBarreljuniper", "media/textures/Item_HCWinebarrel.png", nil, nil, nil}
		NecroList.Items.HC196 = {"Mods", nil, nil, "HC - Barrel of Mead", "Hydrocraft.HCBarrelmead", "media/textures/Item_HCWinebarrel.png", nil, nil, nil}
		NecroList.Items.HC197 = {"Mods", nil, nil, "HC - Metal Barrel with Ammonia", "Hydrocraft.HCBarrelmetalammonia", "media/textures/Item_HCBarrelmetal.png", nil, nil, nil}
		NecroList.Items.HC198 = {"Mods", nil, nil, "HC - Empty Metal Barrel", "Hydrocraft.HCBarrelmetalempty", "media/textures/Item_HCBarrelmetal.png", nil, nil, nil}
		NecroList.Items.HC199 = {"Mods", nil, nil, "HC - Metal Barrel with Gasoline", "Hydrocraft.HCBarrelmetalgasoline", "media/textures/Item_HCBarrelmetal.png", nil, nil, nil}
		NecroList.Items.HC200 = {"Mods", nil, nil, "HC - Metal Barrel with Methylamin", "Hydrocraft.HCBarrelmetalmethylamin", "media/textures/Item_HCBarrelmetal.png", nil, nil, nil}
		NecroList.Items.HC201 = {"Mods", nil, nil, "HC - Metal Barrel with Phenylacetic Acid", "Hydrocraft.HCBarrelmetalphenyl", "media/textures/Item_HCBarrelmetal.png", nil, nil, nil}
		NecroList.Items.HC202 = {"Mods", nil, nil, "HC - Metal Barrel with Phenylacetic Acid", "Hydrocraft.HCBarrelmetalsulfuricacid", "media/textures/Item_HCBarrelmetal.png", nil, nil, nil}
		NecroList.Items.HC203 = {"Mods", nil, nil, "HC - Barrel of Potato Mash", "Hydrocraft.HCBarrelpotato", "media/textures/Item_HCWinebarrel.png", nil, nil, nil}
		NecroList.Items.HC204 = {"Mods", nil, nil, "HC - Barrel of Pumpkin Mash", "Hydrocraft.HCBarrelpumpkin", "media/textures/Item_HCWinebarrel.png", nil, nil, nil}
		NecroList.Items.HC205 = {"Mods", nil, nil, "HC - Barrel of Rice Mash", "Hydrocraft.HCBarrelrice", "media/textures/Item_HCWinebarrel.png", nil, nil, nil}
		NecroList.Items.HC206 = {"Mods", nil, nil, "HC - Barrel of Sake", "Hydrocraft.HCBarrelsake", "media/textures/Item_HCWinebarrel.png", nil, nil, nil}
		NecroList.Items.HC207 = {"Mods", nil, nil, "HC - Barrel of vinegar", "Hydrocraft.HCBarrelvinegar", "media/textures/Item_HCWinebarrel.png", nil, nil, nil}
		NecroList.Items.HC208 = {"Mods", nil, nil, "HC - Barrel of Red Wine", "Hydrocraft.HCBarrelwine", "media/textures/Item_HCWinebarrel.png", nil, nil, nil}
		NecroList.Items.HC209 = {"Mods", nil, nil, "HC - Barrel of White Wine", "Hydrocraft.HCBarrelwinewhite", "media/textures/Item_HCWinebarrel.png", nil, nil, nil}
		NecroList.Items.HC210 = {"Mods", nil, nil, "HC - Basalt", "Hydrocraft.HCBasalt", "media/textures/Item_HCBasalt.png", nil, nil, nil}
		NecroList.Items.HC211 = {"Mods", nil, nil, "HC - Baseballbat with Barbed Wire", "Hydrocraft.HCBaseballbatbarbedwire", "media/textures/Item_HCBaseballbatbarbedwire.png", nil, nil, nil}
		NecroList.Items.HC212 = {"Mods", nil, nil, "HC - Baseballbat with Hedge Cutter Blade", "Hydrocraft.HCBaseballbatcutter", "media/textures/Item_HCBaseballbatcutter.png", nil, nil, nil}
		NecroList.Items.HC213 = {"Mods", nil, nil, "HC - Baseballbat with Hedge Trimmer Blade", "Hydrocraft.HCBaseballbattrimmer", "media/textures/Item_HCBaseballbattrimmer.png", nil, nil, nil}
		NecroList.Items.HC214 = {"Mods", nil, nil, "HC - Baseballbat with Wrench", "Hydrocraft.HCBaseballbatwrench", "media/textures/Item_HCBaseballbatwrench.png", nil, nil, nil}
		NecroList.Items.HC215 = {"Mods", nil, nil, "HC - Baseball Glove", "Hydrocraft.HCBaseballglove", "media/textures/Item_HCBaseballglove.png", nil, nil, nil}
		NecroList.Items.HC216 = {"Mods", nil, nil, "HC - Basic Marinade", "Hydrocraft.HCBasicmarinade", "media/textures/Item_HCMarinadfull.png", nil, nil, nil}
		NecroList.Items.HC217 = {"Mods", nil, nil, "HC - Basil", "Hydrocraft.HCBasil", "media/textures/Item_HCBasil.png", nil, nil, nil}
		NecroList.Items.HC218 = {"Mods", nil, nil, "HC - Basil Leaf (Fresh)", "Hydrocraft.HCBasilleaf", "media/textures/Item_HCBasilleaf.png", nil, nil, nil}
		NecroList.Items.HC219 = {"Mods", nil, nil, "HC - Basil Seeds", "Hydrocraft.HCBasilseeds", "media/textures/Item_HCBasilseeds.png", nil, nil, nil}
		NecroList.Items.HC220 = {"Mods", nil, nil, "HC - Basil Packet", "Hydrocraft.HCBasilseedspacket", "media/textures/Item_HCBasilseedspacket.png", nil, nil, nil}
		NecroList.Items.HC221 = {"Mods", nil, nil, "HC - Bronze Bastard Sword", "Hydrocraft.HCBastardswordbronze", "media/textures/Item_HCBastardswordbronze.png", nil, nil, nil}
		NecroList.Items.HC222 = {"Mods", nil, nil, "HC - Copper Bastard Sword", "Hydrocraft.HCBastardswordcopper", "media/textures/Item_HCBastardswordcopper.png", nil, nil, nil}
		NecroList.Items.HC223 = {"Mods", nil, nil, "HC - Bathroom Scale", "Hydrocraft.HCBathroomscale", "media/textures/Item_HCBathroomscale.png", nil, nil, nil}
		NecroList.Items.HC224 = {"Mods", nil, nil, "HC - Dirty Bath Towel", "Hydrocraft.HCBathtoweldirty", "media/textures/Item_HCBathtoweldirty.png", nil, nil, nil}
		NecroList.Items.HC225 = {"Mods", nil, nil, "HC - Police Baton", "Hydrocraft.HCBaton", "media/textures/Item_HCBaton.png", nil, nil, nil}
		NecroList.Items.HC226 = {"Mods", nil, nil, "HC - 9 Volt Battery", "Hydrocraft.HCBattery9volt", "media/textures/Item_HCBattery9volt.png", nil, nil, nil}
		NecroList.Items.HC227 = {"Mods", nil, nil, "HC - Dead 9 Volt Battery", "Hydrocraft.HCBattery9voltdead", "media/textures/Item_HCBattery9volt.png", nil, nil, nil}
		NecroList.Items.HC228 = {"Mods", nil, nil, "HC - Battery Array", "Hydrocraft.HCBatteryarray", "media/textures/Item_HCBatteryarray.png", nil, nil, nil}
		NecroList.Items.HC229 = {"Mods", nil, nil, "HC - Battery Case", "Hydrocraft.HCBatterycase", "media/textures/Item_HCBatterycase.png", nil, nil, nil}
		NecroList.Items.HC230 = {"Mods", nil, nil, "HC - Dead Battery", "Hydrocraft.HCBatterydead", "media/textures/Item_HCBatterydead.png", nil, nil, nil}
		NecroList.Items.HC231 = {"Mods", nil, nil, "HC - Huge Battery", "Hydrocraft.HCBatteryhuge", "media/textures/Item_HCBatteryhuge.png", nil, nil, nil}
		NecroList.Items.HC232 = {"Mods", nil, nil, "HC - Huge Battery Case", "Hydrocraft.HCBatteryhugecase", "media/textures/Item_HCBatteryhugecase.png", nil, nil, nil}
		NecroList.Items.HC233 = {"Mods", nil, nil, "HC - Dead Huge Battery", "Hydrocraft.HCBatteryhugedead", "media/textures/Item_HCBatteryhugedead.png", nil, nil, nil}
		NecroList.Items.HC234 = {"Mods", nil, nil, "HC - Large Battery", "Hydrocraft.HCBatterylarge", "media/textures/Item_HCBatterylarge.png", nil, nil, nil}
		NecroList.Items.HC235 = {"Mods", nil, nil, "HC - Large Battery Case", "Hydrocraft.HCBatterylargecase", "media/textures/Item_HCBatterylargecase.png", nil, nil, nil}
		NecroList.Items.HC236 = {"Mods", nil, nil, "HC - Dead Large Battery", "Hydrocraft.HCBatterylargedead", "media/textures/Item_HCBatterylargedead.png", nil, nil, nil}
		NecroList.Items.HC237 = {"Mods", nil, nil, "HC - Medium Battery", "Hydrocraft.HCBatterymedium", "media/textures/Item_HCBatterymedium.png", nil, nil, nil}
		NecroList.Items.HC238 = {"Mods", nil, nil, "HC - Medium Battery Case", "Hydrocraft.HCBatterymediumcase", "media/textures/Item_HCBatterymediumcase.png", nil, nil, nil}
		NecroList.Items.HC239 = {"Mods", nil, nil, "HC - Dead Medium Battery", "Hydrocraft.HCBatterymediumdead", "media/textures/Item_HCBatterymediumdead.png", nil, nil, nil}
		NecroList.Items.HC240 = {"Mods", nil, nil, "HC - Small Battery", "Hydrocraft.HCBatterysmall", "media/textures/Item_HCBatterysmall.png", nil, nil, nil}
		NecroList.Items.HC241 = {"Mods", nil, nil, "HC - Small Battery Case", "Hydrocraft.HCBatterysmallcase", "media/textures/Item_HCBatterysmallcase.png", nil, nil, nil}
		NecroList.Items.HC242 = {"Mods", nil, nil, "HC - Dead Small Battery", "Hydrocraft.HCBatterysmalldead", "media/textures/Item_HCBatterysmalldead.png", nil, nil, nil}
		NecroList.Items.HC243 = {"Mods", nil, nil, "HC - Bronze Battleaxe", "Hydrocraft.HCBattleaxebronze", "media/textures/Item_HCBattleaxebronze.png", nil, nil, nil}
		NecroList.Items.HC244 = {"Mods", nil, nil, "HC - Copper Battleaxe", "Hydrocraft.HCBattleaxecopper", "media/textures/Item_HCBattleaxecopper.png", nil, nil, nil}
		NecroList.Items.HC245 = {"Mods", nil, nil, "HC - Iron Battleaxe", "Hydrocraft.HCBattleaxeiron", "media/textures/Item_HCBattleaxeiron.png", nil, nil, nil}
		NecroList.Items.HC246 = {"Mods", nil, nil, "HC - Steel Battleaxe", "Hydrocraft.HCBattleaxesteel", "media/textures/Item_HCBattleaxesteel.png", nil, nil, nil}
		NecroList.Items.HC247 = {"Mods", nil, nil, "HC - Bauxite Ore", "Hydrocraft.HCBauxiteore", "media/textures/Item_HCBauxiteore.png", nil, nil, nil}
		NecroList.Items.HC248 = {"Mods", nil, nil, "HC - Bay Leaves", "Hydrocraft.HCBayleaves", "media/textures/Item_HCBayleaves.png", nil, nil, nil}
		NecroList.Items.HC249 = {"Mods", nil, nil, "HC - BBs", "Hydrocraft.HCBB", "media/textures/Item_HCBB.png", nil, nil, nil}
		NecroList.Items.HC250 = {"Mods", nil, nil, "HC - Box of BBs", "Hydrocraft.HCBBbox", "media/textures/Item_HCBBbox.png", nil, nil, nil}
		NecroList.Items.HC251 = {"Mods", nil, nil, "HC - BBQ Chicken (Fresh Uncooked)", "Hydrocraft.HCBBQchicken", "media/textures/Item_HCBBQchicken.png", nil, nil, nil}
		NecroList.Items.HC252 = {"Mods", nil, nil, "HC - BBQ Duck (Fresh Uncooked)", "Hydrocraft.HCBBQduck", "media/textures/Item_HCBBQduck.png", nil, nil, nil}
		NecroList.Items.HC253 = {"Mods", nil, nil, "HC - BBQ Goose (Fresh Uncooked)", "Hydrocraft.HCBBQgoose", "media/textures/Item_HCBBQgoose.png", nil, nil, nil}
		NecroList.Items.HC254 = {"Mods", nil, nil, "HC - BBQ Rat (Fresh Uncooked)", "Hydrocraft.HCBBQrat", "media/textures/Item_HCBBQrat.png", nil, nil, nil}
		NecroList.Items.HC255 = {"Mods", nil, nil, "HC - BBQ Salmon (Fresh Uncooked)", "Hydrocraft.HCBBQsalmon", "media/textures/Item_HCBBQsalmon.png", nil, nil, nil}
		NecroList.Items.HC256 = {"Mods", nil, nil, "HC - BBQ Sauce", "Hydrocraft.HCBBQsauce", "media/textures/Item_HCBBQsaucefull.png", nil, nil, nil}
		NecroList.Items.HC257 = {"Mods", nil, nil, "HC - Bowl of BBQ Sauce (Fresh)", "Hydrocraft.HCBBQsaucebowl", "media/textures/Item_HCBBQsaucebowl.png", nil, nil, nil}
		NecroList.Items.HC258 = {"Mods", nil, nil, "HC - BBQ Mushroom (Fresh Uncooked)", "Hydrocraft.HCBBQshroom", "media/textures/Item_HCBBQmushroom.png", nil, nil, nil}
		NecroList.Items.HC259 = {"Mods", nil, nil, "HC - BBQ Small Bird (Fresh Uncooked)", "Hydrocraft.HCBBQsmallbird", "media/textures/Item_HCBBQsmallbird.png", nil, nil, nil}
		NecroList.Items.HC260 = {"Mods", nil, nil, "HC - BBQ Steak (Fresh Uncooked)", "Hydrocraft.HCBBQsteak", "media/textures/Item_HCBBQsteak.png", nil, nil, nil}
		NecroList.Items.HC261 = {"Mods", nil, nil, "HC - BBQ Turkey (Fresh Uncooked)", "Hydrocraft.HCBBQturkey", "media/textures/Item_HCBBQturkey.png", nil, nil, nil}
		NecroList.Items.HC262 = {"Mods", nil, nil, "HC - Beagle (Female)", "Hydrocraft.HCBeaglefemale", "media/textures/Item_HCBeaglefemale.png", nil, nil, nil}
		NecroList.Items.HC263 = {"Mods", nil, nil, "HC - Beagle (Male)", "Hydrocraft.HCBeaglemale", "media/textures/Item_HCBeaglemale.png", nil, nil, nil}
		NecroList.Items.HC264 = {"Mods", nil, nil, "HC - Beaker With Agar", "Hydrocraft.HCBeakeragar", "media/textures/Item_HCBeakeragar.png", nil, nil, nil}
		NecroList.Items.HC265 = {"Mods", nil, nil, "HC - Beaker with Ammonia", "Hydrocraft.HCBeakerammonia", "media/textures/Item_HCBeakerammonia.png", nil, nil, nil}
		NecroList.Items.HC266 = {"Mods", nil, nil, "HC - Beaker With Ammonia", "Hydrocraft.HCBeakerammoniahalf", "media/textures/Item_HCBeakerammoniahalf.png", nil, nil, nil}
		NecroList.Items.HC267 = {"Mods", nil, nil, "HC - Calcium Chloride Soultion", "Hydrocraft.HCBeakercalciumchloridesolution", "media/textures/Item_HCBeakercalciumchloridesolution.png", nil, nil, nil}
		NecroList.Items.HC268 = {"Mods", nil, nil, "HC - Beaker With Calciumchloride Solution", "Hydrocraft.HCBeakercalciumchloridesolutionhalf", "media/textures/Item_HCBeakercalciumchloridesolutionhalf.png", nil, nil, nil}
		NecroList.Items.HC269 = {"Mods", nil, nil, "HC - Beaker With Coppersulfate solution", "Hydrocraft.HCBeakercoppersulfatesolution", "media/textures/Item_HCBeakerhmtd.png", nil, nil, nil}
		NecroList.Items.HC270 = {"Mods", nil, nil, "HC - Beaker With Hydrogen Peroxide", "Hydrocraft.HCBeakerh2o2", "media/textures/Item_HCBeakerh2o2.png", nil, nil, nil}
		NecroList.Items.HC271 = {"Mods", nil, nil, "HC - Cold Beaker With Hydrogen Peroxide", "Hydrocraft.HCBeakerh2o2cooled", "media/textures/Item_HCBeakerh2o2cooled.png", nil, nil, nil}
		NecroList.Items.HC272 = {"Mods", nil, nil, "HC - Beaker With H2O2", "Hydrocraft.HCBeakerh2o2half", "media/textures/Item_HCBeakerh2o2half.png", nil, nil, nil}
		NecroList.Items.HC273 = {"Mods", nil, nil, "HC - Beaker With Hydrogen Peroxide and Hexamethylentetramin", "Hydrocraft.HCBeakerh2o2hexa", "media/textures/Item_HCBeakerh2o2hexa.png", nil, nil, nil}
		NecroList.Items.HC274 = {"Mods", nil, nil, "HC - Beaker With Hydrogen Peroxide and Hexamethylentetramin and Citric Acid", "Hydrocraft.HCBeakerh2o2hexacitricacid", "media/textures/Item_HCBeakerh2o2hexa.png", nil, nil, nil}
		NecroList.Items.HC275 = {"Mods", nil, nil, "HC - Cold Beaker With Hydrogen Peroxide and Hexamethylentetramin and Citric Acid", "Hydrocraft.HCBeakerh2o2hexacitricacidcooled", "media/textures/Item_HCBeakerh2o2hexacitricacidcooled.png", nil, nil, nil}
		NecroList.Items.HC276 = {"Mods", nil, nil, "HC - Cold Beaker With Hydrogen Peroxide and Hexamethylentetramin", "Hydrocraft.HCBeakerh2o2hexacooled", "media/textures/Item_HCBeakerh2o2hexacooled.png", nil, nil, nil}
		NecroList.Items.HC277 = {"Mods", nil, nil, "HC - Beaker With HMTD Foam", "Hydrocraft.HCBeakerhmtd", "media/textures/Item_HCBeakerhmtd.png", nil, nil, nil}
		NecroList.Items.HC278 = {"Mods", nil, nil, "HC - Beaker With Mercuric Oxide", "Hydrocraft.HCBeakermercuricoxide", "media/textures/Item_HCBeakermercuricoxide.png", nil, nil, nil}
		NecroList.Items.HC279 = {"Mods", nil, nil, "HC - Beaker With Mercuricoxide", "Hydrocraft.HCBeakermercuricoxidehalf", "media/textures/Item_HCBeakermercuricoxidehalf.png", nil, nil, nil}
		NecroList.Items.HC280 = {"Mods", nil, nil, "HC - Beaker With Methylamin", "Hydrocraft.HCBeakermethylamin", "media/textures/Item_HCBeakermethylamin.png", nil, nil, nil}
		NecroList.Items.HC281 = {"Mods", nil, nil, "HC - Beaker With Methylamin", "Hydrocraft.HCBeakermethylaminhalf", "media/textures/Item_HCBeakermethylaminhalf.png", nil, nil, nil}
		NecroList.Items.HC282 = {"Mods", nil, nil, "HC - Beaker with Morphine Hydrochlorid", "Hydrocraft.HCBeakermorphinhydrochlorid", "media/textures/Item_HCBeakermorphinhydrochlorid.png", nil, nil, nil}
		NecroList.Items.HC283 = {"Mods", nil, nil, "HC - Beaker with Morphine Hydrochlorid Solution (Uncooked)", "Hydrocraft.HCBeakermorphinhydrochloridsolution", "media/textures/Item_HCBeakermorphinhydrochloridsolution.png", nil, nil, nil}
		NecroList.Items.HC284 = {"Mods", nil, nil, "HC - Beaker with Morphine Hydrochlorid Solution", "Hydrocraft.HCBeakermorphinhydrochloridsolution02", "media/textures/Item_HCBeakermorphinhydrochloridsolution.png", nil, nil, nil}
		NecroList.Items.HC285 = {"Mods", nil, nil, "HC - Beaker With Morphinhydrochlorid Solution", "Hydrocraft.HCBeakermorphinhydrochloridsolutionhalf", "media/textures/Item_HCBeakermorphinhydrochloridsolutionhalf.png", nil, nil, nil}
		NecroList.Items.HC286 = {"Mods", nil, nil, "HC - Beaker With Muriatic Acid", "Hydrocraft.HCBeakermuriaticacid", "media/textures/Item_HCBeakermuriaticacid.png", nil, nil, nil}
		NecroList.Items.HC287 = {"Mods", nil, nil, "HC - Beaker With Muriatic Acid", "Hydrocraft.HCBeakermuriaticacidhalf", "media/textures/Item_HCBeakermuriaticacidhalf.png", nil, nil, nil}
		NecroList.Items.HC288 = {"Mods", nil, nil, "HC - Beaker With Nickel Sulfate solution", "Hydrocraft.HCBeakernickelsulfatesolution", "media/textures/Item_HCBeakerhmtd.png", nil, nil, nil}
		NecroList.Items.HC289 = {"Mods", nil, nil, "HC - Beaker With Nitric Acid", "Hydrocraft.HCBeakernitricacid", "media/textures/Item_HCBeakerhmtd.png", nil, nil, nil}
		NecroList.Items.HC290 = {"Mods", nil, nil, "HC - Beaker With Phenylacetic Acid", "Hydrocraft.HCBeakerphenyl", "media/textures/Item_HCBeakerphenyl.png", nil, nil, nil}
		NecroList.Items.HC291 = {"Mods", nil, nil, "HC - Beaker With Phenylacetic Acid", "Hydrocraft.HCBeakerphenylhalf", "media/textures/Item_HCBeakerphenylhalf.png", nil, nil, nil}
		NecroList.Items.HC292 = {"Mods", nil, nil, "HC - Beaker With Ether", "Hydrocraft.HCBeakerselfmadeether", "media/textures/Item_HCBeakerselfmadeether.png", nil, nil, nil}
		NecroList.Items.HC293 = {"Mods", nil, nil, "HC - Beaker With Ether", "Hydrocraft.HCBeakerselfmadeetherhalf", "media/textures/Item_HCBeakerselfmadeetherhalf.png", nil, nil, nil}
		NecroList.Items.HC294 = {"Mods", nil, nil, "HC - Sodium Hydroxide Soultion", "Hydrocraft.HCBeakersodiumhydroxidesolution", "media/textures/Item_HCBeakersodiumhydroxidesolution.png", nil, nil, nil}
		NecroList.Items.HC295 = {"Mods", nil, nil, "HC - Beaker With Sodiumhydroxide Solution", "Hydrocraft.HCBeakersodiumhydroxidesolutionhalf", "media/textures/Item_HCBeakersodiumhydroxidesolutionhalf.png", nil, nil, nil}
		NecroList.Items.HC296 = {"Mods", nil, nil, "HC - Beaker With Sulfuric Acid", "Hydrocraft.HCBeakersulfuricacid", "media/textures/Item_HCBeakersulfuricacid.png", nil, nil, nil}
		NecroList.Items.HC297 = {"Mods", nil, nil, "HC - Beaker With Sulfuric Acid", "Hydrocraft.HCBeakersulfuricacidhalf", "media/textures/Item_HCBeakersulfuricacidhalf.png", nil, nil, nil}
		NecroList.Items.HC298 = {"Mods", nil, nil, "HC - Beaker With Trona Solution", "Hydrocraft.HCBeakertronasolution", "media/textures/Item_HCBeakertronasolution.png", nil, nil, nil}
		NecroList.Items.HC299 = {"Mods", nil, nil, "HC - Beaker With Trona Solution", "Hydrocraft.HCBeakertronasolutionhalf", "media/textures/Item_HCBeakertronasolutionhalf.png", nil, nil, nil}
		NecroList.Items.HC300 = {"Mods", nil, nil, "HC - Beaker With Water", "Hydrocraft.HCBeakerwater", "media/textures/Item_HCBeakerwater.png", nil, nil, nil}
		NecroList.Items.HC301 = {"Mods", nil, nil, "HC - Beaker With Calcium Oxide And Water", "Hydrocraft.HCBeakerwatercalciumoxid", "media/textures/Item_HCBeakerwatercalciumoxid.png", nil, nil, nil}
		NecroList.Items.HC302 = {"Mods", nil, nil, "HC - Beaker With Water", "Hydrocraft.HCBeakerwaterhalf", "media/textures/Item_HCBeakerwaterhalf.png", nil, nil, nil}
		NecroList.Items.HC303 = {"Mods", nil, nil, "HC - Beaker With Hot Water", "Hydrocraft.HCBeakerwaterhot", "media/textures/Item_HCBeakerwaterhot.png", nil, nil, nil}
		NecroList.Items.HC304 = {"Mods", nil, nil, "HC - Beans (Fresh)", "Hydrocraft.HCBeans", "media/textures/Item_HCBeans.png", nil, nil, nil}
		NecroList.Items.HC305 = {"Mods", nil, nil, "HC - Bean Seeds", "Hydrocraft.HCBeanseeds", "media/textures/Item_HCBeanseeds.png", nil, nil, nil}
		NecroList.Items.HC306 = {"Mods", nil, nil, "HC - Bean Seeds Packet", "Hydrocraft.HCBeanseedspacket", "media/textures/Item_HCBeanseedspacket.png", nil, nil, nil}
		NecroList.Items.HC307 = {"Mods", nil, nil, "HC - Tin Can", "Hydrocraft.HCBeansempty", "media/textures/Item_HCBeansempty.png", nil, nil, nil}
		NecroList.Items.HC308 = {"Mods", nil, nil, "HC - Tin Can with Water", "Hydrocraft.HCBeanswater", "media/textures/Item_HCBeanswater.png", nil, nil, nil}
		NecroList.Items.HC309 = {"Mods", nil, nil, "HC - Grizzly Bear Skeleton", "Hydrocraft.HCBearbones", "media/textures/Item_HCBearbones.png", nil, nil, nil}
		NecroList.Items.HC310 = {"Mods", nil, nil, "HC - Dead Grizzly Bear (Fresh)", "Hydrocraft.HCBeardead", "media/textures/Item_HCBeardead.png", nil, nil, nil}
		NecroList.Items.HC311 = {"Mods", nil, nil, "HC - Grizzly Bear (Female)", "Hydrocraft.HCBearfemale", "media/textures/Item_HCBearfemale.png", nil, nil, nil}
		NecroList.Items.HC312 = {"Mods", nil, nil, "HC - Grizzly Bear (Male)", "Hydrocraft.HCBearmale", "media/textures/Item_HCBearmale.png", nil, nil, nil}
		NecroList.Items.HC313 = {"Mods", nil, nil, "HC - Glizzly Bear Carcass (Fresh)", "Hydrocraft.HCBearmeat", "media/textures/Item_HCBearmeat.png", nil, nil, nil}
		NecroList.Items.HC314 = {"Mods", nil, nil, "HC - Bear Poop", "Hydrocraft.HCBearpoop", "media/textures/Item_HCBearpoop.png", nil, nil, nil}
		NecroList.Items.HC315 = {"Mods", nil, nil, "HC - Bear Steak (Fresh Uncooked)", "Hydrocraft.HCBearsteak", "media/textures/Item_HCBearsteak.png", nil, nil, nil}
		NecroList.Items.HC316 = {"Mods", nil, nil, "HC - Dead Beaver (Fresh)", "Hydrocraft.HCBeaverdead", "media/textures/Item_HCBeaverdead.png", nil, nil, nil}
		NecroList.Items.HC317 = {"Mods", nil, nil, "HC - Beaver (Female)", "Hydrocraft.HCBeaverfemale", "media/textures/Item_HCBeaverfemale.png", nil, nil, nil}
		NecroList.Items.HC318 = {"Mods", nil, nil, "HC - Beaver (Male)", "Hydrocraft.HCBeavermale", "media/textures/Item_HCBeavermale.png", nil, nil, nil}
		NecroList.Items.HC319 = {"Mods", nil, nil, "HC - Beaver Carcass (Fresh)", "Hydrocraft.HCBeavermeat", "media/textures/Item_HCBeavermeat.png", nil, nil, nil}
		NecroList.Items.HC320 = {"Mods", nil, nil, "HC - Rusty Bed Springs", "Hydrocraft.HCBedsprings", "media/textures/Item_HCBedsprings.png", nil, nil, nil}
		NecroList.Items.HC321 = {"Mods", nil, nil, "HC - Beech Nut (Fresh Uncooked)", "Hydrocraft.HCBeechnut", "media/textures/Item_HCBeechnut.png", nil, nil, nil}
		NecroList.Items.HC322 = {"Mods", nil, nil, "HC - Wild Beehive", "Hydrocraft.HCBeehive", "media/textures/Item_HCBeehive.png", nil, nil, nil}
		NecroList.Items.HC323 = {"Mods", nil, nil, "HC - Beehive (Stage 1)", "Hydrocraft.HCBeehive1", "media/textures/Item_HCBeehive1.png", nil, nil, nil}
		NecroList.Items.HC324 = {"Mods", nil, nil, "HC - Beehive with Honey (Stage 1)", "Hydrocraft.HCBeehive1full", "media/textures/Item_HCBeehive1full.png", nil, nil, nil}
		NecroList.Items.HC325 = {"Mods", nil, nil, "HC - Beehive (Stage 2)", "Hydrocraft.HCBeehive2", "media/textures/Item_HCBeehive2.png", nil, nil, nil}
		NecroList.Items.HC326 = {"Mods", nil, nil, "HC - Beehive with Honey (Stage 2)", "Hydrocraft.HCBeehive2full", "media/textures/Item_HCBeehive2full.png", nil, nil, nil}
		NecroList.Items.HC327 = {"Mods", nil, nil, "HC - Beehive (Stage 3)", "Hydrocraft.HCBeehive3", "media/textures/Item_HCBeehive3.png", nil, nil, nil}
		NecroList.Items.HC328 = {"Mods", nil, nil, "HC - Beehive with Honey (Stage 3)", "Hydrocraft.HCBeehive3full", "media/textures/Item_HCBeehive3full.png", nil, nil, nil}
		NecroList.Items.HC329 = {"Mods", nil, nil, "HC - Beekeeper Hat", "Hydrocraft.HCBeekeeperhat", "media/textures/Item_HCBeekeeperhat.png", nil, nil, nil}
		NecroList.Items.HC330 = {"Mods", nil, nil, "HC - Beer", "Hydrocraft.HCBeer1", "media/textures/Item_HCBeer1.png", nil, nil, nil}
		NecroList.Items.HC331 = {"Mods", nil, nil, "HC - Beer", "Hydrocraft.HCBeer2", "media/textures/Item_HCBeer2.png", nil, nil, nil}
		NecroList.Items.HC332 = {"Mods", nil, nil, "HC - Beer", "Hydrocraft.HCBeer3", "media/textures/Item_HCBeer3.png", nil, nil, nil}
		NecroList.Items.HC333 = {"Mods", nil, nil, "HC - Beer", "Hydrocraft.HCBeer4", "media/textures/Item_HCBeer4.png", nil, nil, nil}
		NecroList.Items.HC334 = {"Mods", nil, nil, "HC - Beer", "Hydrocraft.HCBeer5", "media/textures/Item_HCBeer5.png", nil, nil, nil}
		NecroList.Items.HC335 = {"Mods", nil, nil, "HC - Beer", "Hydrocraft.HCBeer6", "media/textures/Item_HCBeer6.png", nil, nil, nil}
		NecroList.Items.HC336 = {"Mods", nil, nil, "HC - Beer", "Hydrocraft.HCBeer7", "media/textures/Item_HCBeer7.png", nil, nil, nil}
		NecroList.Items.HC337 = {"Mods", nil, nil, "HC - Beer", "Hydrocraft.HCBeer8", "media/textures/Item_HCBeer8.png", nil, nil, nil}
		NecroList.Items.HC338 = {"Mods", nil, nil, "HC - Beer Glass", "Hydrocraft.HCBeerglass", "media/textures/Item_HCBeerglass.png", nil, nil, nil}
		NecroList.Items.HC339 = {"Mods", nil, nil, "HC - Empty Bee Smoker", "Hydrocraft.HCBeesmokerempty", "media/textures/Item_HCBeesmoker.png", nil, nil, nil}
		NecroList.Items.HC340 = {"Mods", nil, nil, "HC - Bee Smoker", "Hydrocraft.HCBeesmokerfull", "media/textures/Item_HCBeesmoker.png", nil, nil, nil}
		NecroList.Items.HC341 = {"Mods", nil, nil, "HC - Beeswax", "Hydrocraft.HCBeeswax", "media/textures/Item_HCBeeswax.png", nil, nil, nil}
		NecroList.Items.HC342 = {"Mods", nil, nil, "HC - Beetroot (Fresh)", "Hydrocraft.HCBeet", "media/textures/Item_HCBeet.png", nil, nil, nil}
		NecroList.Items.HC343 = {"Mods", nil, nil, "HC - Beetle", "Hydrocraft.HCBeetle", "media/textures/Item_HCBeetle.png", nil, nil, nil}
		NecroList.Items.HC344 = {"Mods", nil, nil, "HC - Beetle Grub (Uncooked)", "Hydrocraft.HCBeetlegrub", "media/textures/Item_HCBeetlegrub.png", nil, nil, nil}
		NecroList.Items.HC345 = {"Mods", nil, nil, "HC - Cooked Beetle Grub (Fresh)", "Hydrocraft.HCBeetlegrubcooked", "media/textures/Item_HCBeetlegrubcooked.png", nil, nil, nil}
		NecroList.Items.HC346 = {"Mods", nil, nil, "HC - Sugar Beet (Fresh)", "Hydrocraft.HCBeetsugar", "media/textures/Item_HCBeetsugar.png", nil, nil, nil}
		NecroList.Items.HC347 = {"Mods", nil, nil, "HC - Bell Pepper (Fresh)", "Hydrocraft.HCBellpeppergreen", "media/textures/Item_HCBellpeppergreen.png", nil, nil, nil}
		NecroList.Items.HC348 = {"Mods", nil, nil, "HC - Green Bell Pepper Seeds", "Hydrocraft.HCBellpeppergreenseeds", "media/textures/Item_HCBellpeppergreenseeds.png", nil, nil, nil}
		NecroList.Items.HC349 = {"Mods", nil, nil, "HC - Green Bell Pepper Seeds Packet", "Hydrocraft.HCBellpeppergreenseedspacket", "media/textures/Item_HCBellpeppergreenseedspacket.png", nil, nil, nil}
		NecroList.Items.HC350 = {"Mods", nil, nil, "HC - Red Bell Pepper Seeds", "Hydrocraft.HCBellpepperredseeds", "media/textures/Item_HCBellpepperredseeds.png", nil, nil, nil}
		NecroList.Items.HC351 = {"Mods", nil, nil, "HC - Red Bell Pepper Seeds Packet", "Hydrocraft.HCBellpepperredseedspacket", "media/textures/Item_HCBellpepperredseedspacket.png", nil, nil, nil}
		NecroList.Items.HC352 = {"Mods", nil, nil, "HC - Bell Pepper (Fresh)", "Hydrocraft.HCBellpepperyellow", "media/textures/Item_HCBellpepperyellow.png", nil, nil, nil}
		NecroList.Items.HC353 = {"Mods", nil, nil, "HC - Yellow Bell Pepper Seeds", "Hydrocraft.HCBellpepperyellowseeds", "media/textures/Item_HCBellpepperyellowseeds.png", nil, nil, nil}
		NecroList.Items.HC354 = {"Mods", nil, nil, "HC - Yellow Bell Pepper Seeds Packet", "Hydrocraft.HCBellpepperyellowseedspacket", "media/textures/Item_HCBellpepperyellowseedspacket.png", nil, nil, nil}
		NecroList.Items.HC355 = {"Mods", nil, nil, "HC - Berlinite", "Hydrocraft.HCBerlinite", "media/textures/Item_HCBerlinite.png", nil, nil, nil}
		NecroList.Items.HC356 = {"Mods", nil, nil, "HC - Bernese Mountain Dog (Female)", "Hydrocraft.HCBernesefemale", "media/textures/Item_HCBernesefemale.png", nil, nil, nil}
		NecroList.Items.HC357 = {"Mods", nil, nil, "HC - Pack Bernese Mountain Dog (Female)", "Hydrocraft.HCBernesefemalepack", "media/textures/Item_HCBernesefemalepack.png", nil, nil, nil}
		NecroList.Items.HC358 = {"Mods", nil, nil, "HC - Pack Bernese Mountain Dog (Female)", "Hydrocraft.HCBernesefemalepack2", "media/textures/Item_HCBernesefemalepack2.png", nil, nil, nil}
		NecroList.Items.HC359 = {"Mods", nil, nil, "HC - Bernese Mountain Dog (Male)", "Hydrocraft.HCBernesemale", "media/textures/Item_HCBernesemale.png", nil, nil, nil}
		NecroList.Items.HC360 = {"Mods", nil, nil, "HC - Pack Bernese Mountain Dog (Male)", "Hydrocraft.HCBernesemalepack", "media/textures/Item_HCBernesemalepack.png", nil, nil, nil}
		NecroList.Items.HC361 = {"Mods", nil, nil, "HC - Pack Bernese Mountain Dog (Male)", "Hydrocraft.HCBernesemalepack2", "media/textures/Item_HCBernesemalepack2.png", nil, nil, nil}
		NecroList.Items.HC362 = {"Mods", nil, nil, "HC - Beta Blocker Pill", "Hydrocraft.HCBetablockerpill", "media/textures/Item_HCBetablockerpill.png", nil, nil, nil}
		NecroList.Items.HC363 = {"Mods", nil, nil, "HC - Beta Blocker Pills", "Hydrocraft.HCBetablockerpills", "media/textures/Item_HCBetablockerpills.png", nil, nil, nil}
		NecroList.Items.HC364 = {"Mods", nil, nil, "HC - Bicycle", "Hydrocraft.HCBicycle", "media/textures/Item_HCBicycle.png", nil, nil, nil}
		NecroList.Items.HC365 = {"Mods", nil, nil, "HC - Bicycle with Baskets", "Hydrocraft.HCBicycle2", "media/textures/Item_HCBicycle2.png", nil, nil, nil}
		NecroList.Items.HC366 = {"Mods", nil, nil, "HC - Bicycle Pump", "Hydrocraft.HCBicyclepump", "media/textures/Item_HCBicyclepump.png", nil, nil, nil}
		NecroList.Items.HC367 = {"Mods", nil, nil, "HC - Bicycle Wheel", "Hydrocraft.HCBicyclewheel", "media/textures/Item_HCBicyclewheel.png", nil, nil, nil}
		NecroList.Items.HC368 = {"Mods", nil, nil, "HC - Big Hiking Bag (Pouches)", "Hydrocraft.HCBighikingbagpouch", "media/textures/Item_HCBighikingbagpouch.png", nil, nil, nil}
		NecroList.Items.HC369 = {"Mods", nil, nil, "HC - Binder Clip", "Hydrocraft.HCBinderclip", "media/textures/Item_HCBinderclip.png", nil, nil, nil}
		NecroList.Items.HC370 = {"Mods", nil, nil, "HC - Bindle", "Hydrocraft.HCBindle", "media/textures/Item_HCBindle.png", nil, nil, nil}
		NecroList.Items.HC371 = {"Mods", nil, nil, "HC - Binoculars", "Hydrocraft.HCBinoculars", "media/textures/Item_HCBinoculars.png", nil, nil, nil}
		NecroList.Items.HC372 = {"Mods", nil, nil, "HC - Biodiesel Can", "Hydrocraft.HCBiodieselcan", "media/textures/Item_HCBiodieselcan.png", nil, nil, nil}
		NecroList.Items.HC373 = {"Mods", nil, nil, "HC - Biogas Tank", "Hydrocraft.HCBiogas", "media/textures/Item_HCBiogas.png", nil, nil, nil}
		NecroList.Items.HC374 = {"Mods", nil, nil, "HC - Bioplastic", "Hydrocraft.HCBioplastic", "media/textures/Item_HCBioplastic.png", nil, nil, nil}
		NecroList.Items.HC375 = {"Mods", nil, nil, "HC - Birch Sprout", "Hydrocraft.HCBirch1", "media/textures/Item_HCBirch1.png", nil, nil, nil}
		NecroList.Items.HC376 = {"Mods", nil, nil, "HC - Birch Sapling", "Hydrocraft.HCBirch2", "media/textures/Item_HCBirch2.png", nil, nil, nil}
		NecroList.Items.HC377 = {"Mods", nil, nil, "HC - Young Birch Tree", "Hydrocraft.HCBirch3", "media/textures/Item_HCBirch3.png", nil, nil, nil}
		NecroList.Items.HC378 = {"Mods", nil, nil, "HC - Adult Birch Tree", "Hydrocraft.HCBirch4", "media/textures/Item_HCBirch4.png", nil, nil, nil}
		NecroList.Items.HC379 = {"Mods", nil, nil, "HC - Elder Birch Tree", "Hydrocraft.HCBirch5", "media/textures/Item_HCBirch5.png", nil, nil, nil}
		NecroList.Items.HC380 = {"Mods", nil, nil, "HC - Ancient Birch Tree", "Hydrocraft.HCBirch6", "media/textures/Item_HCBirch6.png", nil, nil, nil}
		NecroList.Items.HC381 = {"Mods", nil, nil, "HC - Birch Bark", "Hydrocraft.HCBirchbark", "media/textures/Item_HCBirchbark.png", nil, nil, nil}
		NecroList.Items.HC382 = {"Mods", nil, nil, "HC - Birch Bark Basket", "Hydrocraft.HCBirchbarkbasket", "media/textures/Item_HCBirchbarkbasket.png", nil, nil, nil}
		NecroList.Items.HC383 = {"Mods", nil, nil, "HC - Birch Bark Cup", "Hydrocraft.HCBirchbarkcup", "media/textures/Item_HCBirchbarkcup.png", nil, nil, nil}
		NecroList.Items.HC384 = {"Mods", nil, nil, "HC - Birch Bark Cup with Water", "Hydrocraft.HCBirchbarkcupfull", "media/textures/Item_HCBirchbarkcup.png", nil, nil, nil}
		NecroList.Items.HC385 = {"Mods", nil, nil, "HC - Birch Catkin", "Hydrocraft.HCBirchcatkin", "media/textures/Item_HCBirchcatkin.png", nil, nil, nil}
		NecroList.Items.HC386 = {"Mods", nil, nil, "HC - Birch Tree Stump", "Hydrocraft.HCBirchstump", "media/textures/Item_HCBirchstump.png", nil, nil, nil}
		NecroList.Items.HC387 = {"Mods", nil, nil, "HC - Bird Call", "Hydrocraft.HCBirdcall", "media/textures/Item_HCBirdcall.png", nil, nil, nil}
		NecroList.Items.HC388 = {"Mods", nil, nil, "HC - Bag of Bird Food", "Hydrocraft.HCBirdfoodbag", "media/textures/Item_HCBirdfoodbag.png", nil, nil, nil}
		NecroList.Items.HC389 = {"Mods", nil, nil, "HC - Box of Bird Food", "Hydrocraft.HCBirdfoodbox", "media/textures/Item_HCBirdfoodbox.png", nil, nil, nil}
		NecroList.Items.HC390 = {"Mods", nil, nil, "HC - Bird Nest", "Hydrocraft.HCBirdnest", "media/textures/Item_HCBirdnest.png", nil, nil, nil}
		NecroList.Items.HC391 = {"Mods", nil, nil, "HC - Bird Nest with Eggs", "Hydrocraft.HCBirdnesteggs", "media/textures/Item_HCBirdnesteggs.png", nil, nil, nil}
		NecroList.Items.HC392 = {"Mods", nil, nil, "HC - Birth Control Pills", "Hydrocraft.HCBirthcontrolpills", "media/textures/Item_HCBirthcontrolpills.png", nil, nil, nil}
		NecroList.Items.HC393 = {"Mods", nil, nil, "HC - Bottle of Bitters", "Hydrocraft.HCBitters", "media/textures/Item_HCBitters.png", nil, nil, nil}
		NecroList.Items.HC394 = {"Mods", nil, nil, "HC - Black Ant", "Hydrocraft.HCBlackant", "media/textures/Item_HCBlackant.png", nil, nil, nil}
		NecroList.Items.HC395 = {"Mods", nil, nil, "HC - Black Bear Skeleton", "Hydrocraft.HCBlackbearbones", "media/textures/Item_HCBlackbearbones.png", nil, nil, nil}
		NecroList.Items.HC396 = {"Mods", nil, nil, "HC - Dead Black Bear (Fresh)", "Hydrocraft.HCBlackbeardead", "media/textures/Item_HCBlackbeardead.png", nil, nil, nil}
		NecroList.Items.HC397 = {"Mods", nil, nil, "HC - Black Bear (Female)", "Hydrocraft.HCBlackbearfemale", "media/textures/Item_HCBlackbearfemale.png", nil, nil, nil}
		NecroList.Items.HC398 = {"Mods", nil, nil, "HC - Black Bear (Male)", "Hydrocraft.HCBlackbearmale", "media/textures/Item_HCBlackbearmale.png", nil, nil, nil}
		NecroList.Items.HC399 = {"Mods", nil, nil, "HC - Black Bear Carcass (Fresh)", "Hydrocraft.HCBlackbearmeat", "media/textures/Item_HCBlackbearmeat.png", nil, nil, nil}
		NecroList.Items.HC400 = {"Mods", nil, nil, "HC - Blackberry Seeds", "Hydrocraft.HCBlackberryseeds", "media/textures/Item_HCBlackberryseeds.png", nil, nil, nil}
		NecroList.Items.HC401 = {"Mods", nil, nil, "HC - Blackberry Seeds Packet", "Hydrocraft.HCBlackberryseedspacket", "media/textures/Item_HCBlackberryseedspacket.png", nil, nil, nil}
		NecroList.Items.HC402 = {"Mods", nil, nil, "HC - Black Currant (Fresh)", "Hydrocraft.HCBlackcurrant", "media/textures/Item_HCBlackcurrant.png", nil, nil, nil}
		NecroList.Items.HC403 = {"Mods", nil, nil, "HC - Dead Black Duck (Fresh)", "Hydrocraft.HCBlackduckdead", "media/textures/Item_HCBlackduckdead.png", nil, nil, nil}
		NecroList.Items.HC404 = {"Mods", nil, nil, "HC - Dead Black Duck", "Hydrocraft.HCBlackduckdead2", "media/textures/Item_HCBlackduckdead2.png", nil, nil, nil}
		NecroList.Items.HC405 = {"Mods", nil, nil, "HC - Black Duck (Female)", "Hydrocraft.HCBlackduckfemale", "media/textures/Item_HCBlackduckfemale.png", nil, nil, nil}
		NecroList.Items.HC406 = {"Mods", nil, nil, "HC - Black Duck (Male)", "Hydrocraft.HCBlackduckmale", "media/textures/Item_HCBlackduckmale.png", nil, nil, nil}
		NecroList.Items.HC407 = {"Mods", nil, nil, "HC - Black Feather", "Hydrocraft.HCBlackfeathers", "media/textures/Item_HCBlackfeathers.png", nil, nil, nil}
		NecroList.Items.HC408 = {"Mods", nil, nil, "HC - Blacksmith Apron", "Hydrocraft.HCBlacksmithapron", "media/textures/Item_HCBlacksmithapron.png", nil, nil, nil}
		NecroList.Items.HC409 = {"Mods", nil, nil, "HC - Blackthorn Berry (Fresh)", "Hydrocraft.HCBlackthornberry", "media/textures/Item_HCBlackthornberry.png", nil, nil, nil}
		NecroList.Items.HC410 = {"Mods", nil, nil, "HC - Black Widow Spider", "Hydrocraft.HCBlackwidow", "media/textures/Item_HCBlackwidow.png", nil, nil, nil}
		NecroList.Items.HC411 = {"Mods", nil, nil, "HC - Blast Furnace", "Hydrocraft.HCBlastfurnace", "media/textures/Item_HCBlastfurnace.png", nil, nil, nil}
		NecroList.Items.HC412 = {"Mods", nil, nil, "HC - Blast Furnace", "Hydrocraft.HCBlastfurnace2", "media/textures/Item_HCBlastfurnace.png", nil, nil, nil}
		NecroList.Items.HC413 = {"Mods", nil, nil, "HC - Bleeding Heart", "Hydrocraft.HCBleedingheart", "media/textures/Item_HCBleedingheart.png", nil, nil, nil}
		NecroList.Items.HC414 = {"Mods", nil, nil, "HC - Blender", "Hydrocraft.HCBlender", "media/textures/Item_HCBlender.png", nil, nil, nil}
		NecroList.Items.HC415 = {"Mods", nil, nil, "HC - Blender with Dead Battery", "Hydrocraft.HCBlenderdead", "media/textures/Item_HCBlenderdead.png", nil, nil, nil}
		NecroList.Items.HC416 = {"Mods", nil, nil, "HC - Blender with Power", "Hydrocraft.HCBlenderpowered", "media/textures/Item_HCBlenderpowered.png", nil, nil, nil}
		NecroList.Items.HC417 = {"Mods", nil, nil, "HC - Blewit Mushroom (Fresh)", "Hydrocraft.HCBlewitshroom", "media/textures/Item_HCBlewitmushroom.png", nil, nil, nil}
		NecroList.Items.HC418 = {"Mods", nil, nil, "HC - Block Mold", "Hydrocraft.HCBlockmold", "media/textures/Item_HCIngotmold.png", nil, nil, nil}
		NecroList.Items.HC419 = {"Mods", nil, nil, "HC - Blowfish (Fresh Uncooked)", "Hydrocraft.HCBlowfish", "media/textures/Item_HCBlowfish.png", nil, nil, nil}
		NecroList.Items.HC420 = {"Mods", nil, nil, "HC - Blue Barrel with Acid and Corpse", "Hydrocraft.HCBluebarrelcorpse", "media/textures/Item_HCBarrelbluecorpse.png", nil, nil, nil}
		NecroList.Items.HC421 = {"Mods", nil, nil, "HC - Toxic Waste", "Hydrocraft.HCBluebarreltoxicwaste", "media/textures/Item_HCBarrelbluetoxicwaste.png", nil, nil, nil}
		NecroList.Items.HC422 = {"Mods", nil, nil, "HC - Sealed Toxic Waste", "Hydrocraft.HCBluebarreltoxicwastesealed", "media/textures/Item_HCToxicwaste.png", nil, nil, nil}
		NecroList.Items.HC423 = {"Mods", nil, nil, "HC - Bluebell", "Hydrocraft.HCBluebell", "media/textures/Item_HCBluebell.png", nil, nil, nil}
		NecroList.Items.HC424 = {"Mods", nil, nil, "HC - Blueberry Seeds", "Hydrocraft.HCBlueberryseeds", "media/textures/Item_HCBlueberryseeds.png", nil, nil, nil}
		NecroList.Items.HC425 = {"Mods", nil, nil, "HC - Blueberry Seeds Packet", "Hydrocraft.HCBlueberryseedspacket", "media/textures/Item_HCBlueberryseedspacket.png", nil, nil, nil}
		NecroList.Items.HC426 = {"Mods", nil, nil, "HC - Blue Daisy", "Hydrocraft.HCBluedaisy", "media/textures/Item_HCBluedaisy.png", nil, nil, nil}
		NecroList.Items.HC427 = {"Mods", nil, nil, "HC - Dead Bluejay (Fresh)", "Hydrocraft.HCBluejaydead", "media/textures/Item_HCBluejaydead.png", nil, nil, nil}
		NecroList.Items.HC428 = {"Mods", nil, nil, "HC - Blue Jay Feather", "Hydrocraft.HCBluejayfeather", "media/textures/Item_HCBluejayfeather.png", nil, nil, nil}
		NecroList.Items.HC429 = {"Mods", nil, nil, "HC - Blue Meth", "Hydrocraft.HCBluemeth", "media/textures/Item_HCBluemeth.png", nil, nil, nil}
		NecroList.Items.HC430 = {"Mods", nil, nil, "HC - Bakingtray with Blue Meth", "Hydrocraft.HCBluemethtray", "media/textures/Item_HCBluemethtray.png", nil, nil, nil}
		NecroList.Items.HC431 = {"Mods", nil, nil, "HC - Blue Pigment", "Hydrocraft.HCBluepigment", "media/textures/Item_HCBluepigment.png", nil, nil, nil}
		NecroList.Items.HC432 = {"Mods", nil, nil, "HC - Ammonal Chemical Research", "Hydrocraft.HCBlueprintammonal", "media/textures/Item_HCChemicalresearch.png", nil, nil, nil}
		NecroList.Items.HC433 = {"Mods", nil, nil, "HC - Antibiotics Medical Research", "Hydrocraft.HCBlueprintantibiotics", "media/textures/Item_HCMedicalresearch.png", nil, nil, nil}
		NecroList.Items.HC434 = {"Mods", nil, nil, "HC - Anti-Depression Medical Research", "Hydrocraft.HCBlueprintantidepression", "media/textures/Item_HCMedicalresearch.png", nil, nil, nil}
		NecroList.Items.HC435 = {"Mods", nil, nil, "HC - Beta Blocker Medical Research", "Hydrocraft.HCBlueprintbetablocker", "media/textures/Item_HCMedicalresearch.png", nil, nil, nil}
		NecroList.Items.HC436 = {"Mods", nil, nil, "HC - Blue Meth Research", "Hydrocraft.HCBlueprintbluemeth", "media/textures/Item_HCMedicalresearch.png", nil, nil, nil}
		NecroList.Items.HC437 = {"Mods", nil, nil, "HC - Bone Arrowhead Blueprint", "Hydrocraft.HCBlueprintbonearrowhead", "media/textures/Item_HCBlueprint.png", nil, nil, nil}
		NecroList.Items.HC438 = {"Mods", nil, nil, "HC - Carbon Fiber Chemical Research", "Hydrocraft.HCBlueprintcarbon", "media/textures/Item_HCChemicalresearch.png", nil, nil, nil}
		NecroList.Items.HC439 = {"Mods", nil, nil, "HC - Spirulina Composter Blueprint", "Hydrocraft.HCBlueprintcomposter2", "media/textures/Item_HCBlueprint.png", nil, nil, nil}
		NecroList.Items.HC440 = {"Mods", nil, nil, "HC - Duct Tape Fletching Blueprint", "Hydrocraft.HCBlueprintducttapefletching", "media/textures/Item_HCBlueprint.png", nil, nil, nil}
		NecroList.Items.HC441 = {"Mods", nil, nil, "HC - Ether Medical Research", "Hydrocraft.HCBlueprintether", "media/textures/Item_HCMedicalresearch.png", nil, nil, nil}
		NecroList.Items.HC442 = {"Mods", nil, nil, "HC - Fishing Net Blueprint", "Hydrocraft.HCBlueprintfishingnet", "media/textures/Item_HCBlueprint.png", nil, nil, nil}
		NecroList.Items.HC443 = {"Mods", nil, nil, "HC - Fishing Rod Blueprint", "Hydrocraft.HCBlueprintfishingrod", "media/textures/Item_HCBlueprint.png", nil, nil, nil}
		NecroList.Items.HC444 = {"Mods", nil, nil, "HC - Flamethrower Blueprint", "Hydrocraft.HCBlueprintflamethrower", "media/textures/Item_HCBlueprint.png", nil, nil, nil}
		NecroList.Items.HC445 = {"Mods", nil, nil, "HC - Hazmat Suit Blueprint", "Hydrocraft.HCBlueprinthazmatsuit", "media/textures/Item_HCBlueprint.png", nil, nil, nil}
		NecroList.Items.HC446 = {"Mods", nil, nil, "HC - HMTD Chemical Research", "Hydrocraft.HCBlueprinthmtd", "media/textures/Item_HCChemicalresearch.png", nil, nil, nil}
		NecroList.Items.HC447 = {"Mods", nil, nil, "HC - Injection Research", "Hydrocraft.HCBlueprintinjections", "media/textures/Item_HCMedicalresearch.png", nil, nil, nil}
		NecroList.Items.HC448 = {"Mods", nil, nil, "HC - Taxadermy Jackalope Blueprint", "Hydrocraft.HCBlueprintjackalope", "media/textures/Item_HCBlueprint.png", nil, nil, nil}
		NecroList.Items.HC449 = {"Mods", nil, nil, "HC - Crystal Meth Research", "Hydrocraft.HCBlueprintmeth", "media/textures/Item_HCMedicalresearch.png", nil, nil, nil}
		NecroList.Items.HC450 = {"Mods", nil, nil, "HC - Mousetrap Blueprint", "Hydrocraft.HCBlueprintmousetrap", "media/textures/Item_HCBlueprint.png", nil, nil, nil}
		NecroList.Items.HC451 = {"Mods", nil, nil, "HC - Nail Trap Blueprint", "Hydrocraft.HCBlueprintnailtrap", "media/textures/Item_HCBlueprint.png", nil, nil, nil}
		NecroList.Items.HC452 = {"Mods", nil, nil, "HC - Opium Medical Research", "Hydrocraft.HCBlueprintopium", "media/textures/Item_HCMedicalresearch.png", nil, nil, nil}
		NecroList.Items.HC453 = {"Mods", nil, nil, "HC - Painkillers Medical Research", "Hydrocraft.HCBlueprintpainkillers", "media/textures/Item_HCMedicalresearch.png", nil, nil, nil}
		NecroList.Items.HC454 = {"Mods", nil, nil, "HC - Potato Cannon Blueprint", "Hydrocraft.HCBlueprintpoatocannon", "media/textures/Item_HCBlueprint.png", nil, nil, nil}
		NecroList.Items.HC455 = {"Mods", nil, nil, "HC - Professional Lab Blueprints", "Hydrocraft.HCBlueprintproflab", "media/textures/Item_HCBlueprint.png", nil, nil, nil}
		NecroList.Items.HC456 = {"Mods", nil, nil, "HC - Rocket Launcher Blueprint", "Hydrocraft.HCBlueprintrocketlauncher", "media/textures/Item_HCBlueprint.png", nil, nil, nil}
		NecroList.Items.HC457 = {"Mods", nil, nil, "HC - Skinning Animals Research", "Hydrocraft.HCBlueprintskinanimal", "media/textures/Item_HCBlueprint.png", nil, nil, nil}
		NecroList.Items.HC458 = {"Mods", nil, nil, "HC - Solar Park Blueprint", "Hydrocraft.HCBlueprintsolarpark", "media/textures/Item_HCBlueprint.png", nil, nil, nil}
		NecroList.Items.HC459 = {"Mods", nil, nil, "HC - Steam Pressure Pot Blueprint", "Hydrocraft.HCBlueprintsteampot", "media/textures/Item_HCBlueprint.png", nil, nil, nil}
		NecroList.Items.HC460 = {"Mods", nil, nil, "HC - Trap Box Blueprint", "Hydrocraft.HCBlueprinttrapbox", "media/textures/Item_HCBlueprint.png", nil, nil, nil}
		NecroList.Items.HC461 = {"Mods", nil, nil, "HC - Cage Trap Blueprint", "Hydrocraft.HCBlueprinttrapcage", "media/textures/Item_HCBlueprint.png", nil, nil, nil}
		NecroList.Items.HC462 = {"Mods", nil, nil, "HC - Crate Trap Blueprint", "Hydrocraft.HCBlueprinttrapcrate", "media/textures/Item_HCBlueprint.png", nil, nil, nil}
		NecroList.Items.HC463 = {"Mods", nil, nil, "HC - Snare Trap Blueprint", "Hydrocraft.HCBlueprinttrapsnare", "media/textures/Item_HCBlueprint.png", nil, nil, nil}
		NecroList.Items.HC464 = {"Mods", nil, nil, "HC - Stick Trap Blueprint", "Hydrocraft.HCBlueprinttrapstick", "media/textures/Item_HCBlueprint.png", nil, nil, nil}
		NecroList.Items.HC465 = {"Mods", nil, nil, "HC - Boar Skeleton", "Hydrocraft.HCBoarbones", "media/textures/Item_HCBoarbones.png", nil, nil, nil}
		NecroList.Items.HC466 = {"Mods", nil, nil, "HC - Dead Boar (Fresh)", "Hydrocraft.HCBoardead", "media/textures/Item_HCBoardead.png", nil, nil, nil}
		NecroList.Items.HC467 = {"Mods", nil, nil, "HC - Boar (Female)", "Hydrocraft.HCBoarfemale", "media/textures/Item_HCBoarfemale.png", nil, nil, nil}
		NecroList.Items.HC468 = {"Mods", nil, nil, "HC - Boar (Male)", "Hydrocraft.HCBoarmale", "media/textures/Item_HCBoarmale.png", nil, nil, nil}
		NecroList.Items.HC469 = {"Mods", nil, nil, "HC - Boar Carcass (Fresh)", "Hydrocraft.HCBoarmeat", "media/textures/Item_HCBoarmeat.png", nil, nil, nil}
		NecroList.Items.HC470 = {"Mods", nil, nil, "HC - Boar Poop", "Hydrocraft.HCBoarpoop", "media/textures/Item_HCBoarpoop.png", nil, nil, nil}
		NecroList.Items.HC471 = {"Mods", nil, nil, "HC - Boar Tusk", "Hydrocraft.HCBoartusk", "media/textures/Item_HCBoartusk.png", nil, nil, nil}
		NecroList.Items.HC472 = {"Mods", nil, nil, "HC - Body Bag", "Hydrocraft.HCBodybag", "media/textures/Item_HCBodybag.png", nil, nil, nil}
		NecroList.Items.HC473 = {"Mods", nil, nil, "HC - Body Brush", "Hydrocraft.HCBodybrush", "media/textures/Item_HCBodybrush.png", nil, nil, nil}
		NecroList.Items.HC474 = {"Mods", nil, nil, "HC - Bollweevil", "Hydrocraft.HCBollweevil", "media/textures/Item_HCBollweevil.png", nil, nil, nil}
		NecroList.Items.HC475 = {"Mods", nil, nil, "HC - Bolt", "Hydrocraft.HCBolt", "media/textures/Item_HCBolt.png", nil, nil, nil}
		NecroList.Items.HC476 = {"Mods", nil, nil, "HC - Box of Bolts", "Hydrocraft.HCBoltbox", "media/textures/Item_HCBoltbox.png", nil, nil, nil}
		NecroList.Items.HC477 = {"Mods", nil, nil, "HC - Bone", "Hydrocraft.HCBone", "media/textures/Item_HCBone.png", nil, nil, nil}
		NecroList.Items.HC478 = {"Mods", nil, nil, "HC - Bone Arrowhead", "Hydrocraft.HCBonearrowhead", "media/textures/Item_HCBonearrowhead.png", nil, nil, nil}
		NecroList.Items.HC479 = {"Mods", nil, nil, "HC - Bone Ash", "Hydrocraft.HCBoneash", "media/textures/Item_HCBoneash.png", nil, nil, nil}
		NecroList.Items.HC480 = {"Mods", nil, nil, "HC - Bone Clay", "Hydrocraft.HCBoneclay", "media/textures/Item_HCBoneclay.png", nil, nil, nil}
		NecroList.Items.HC481 = {"Mods", nil, nil, "HC - Bag of Bone Clay", "Hydrocraft.HCBoneclaybag", "media/textures/Item_HCBoneclaybag.png", nil, nil, nil}
		NecroList.Items.HC482 = {"Mods", nil, nil, "HC - Bone Powder", "Hydrocraft.HCBonepowder", "media/textures/Item_HCBonepowder.png", nil, nil, nil}
		NecroList.Items.HC483 = {"Mods", nil, nil, "HC - Bone Saw", "Hydrocraft.HCBonesaw", "media/textures/Item_HCBonesaw.png", nil, nil, nil}
		NecroList.Items.HC484 = {"Mods", nil, nil, "HC - Bone Shiv", "Hydrocraft.HCBoneshiv", "media/textures/Item_HCBoneshiv.png", nil, nil, nil}
		NecroList.Items.HC485 = {"Mods", nil, nil, "HC - Book", "Hydrocraft.HCBook", "Item_Book", nil, nil, nil}
		NecroList.Items.HC486 = {"Mods", nil, nil, "HC - Algebra Textbook", "Hydrocraft.HCBookalgebra", "media/textures/Item_HCBookalgebra.png", nil, nil, nil}
		NecroList.Items.HC487 = {"Mods", nil, nil, "HC - Alloys Textbook", "Hydrocraft.HCBookalloys", "media/textures/Item_HCBookalloys.png", nil, nil, nil}
		NecroList.Items.HC488 = {"Mods", nil, nil, "HC - Farmer's Almanac", "Hydrocraft.HCBookalmanac", "media/textures/Item_HCBookalmanac.png", nil, nil, nil}
		NecroList.Items.HC489 = {"Mods", nil, nil, "HC - Aluminum Working Textbook", "Hydrocraft.HCBookaluminumworking", "media/textures/Item_HCBookaluminumworking.png", nil, nil, nil}
		NecroList.Items.HC490 = {"Mods", nil, nil, "HC - American History Textbook", "Hydrocraft.HCBookamericanhistory", "media/textures/Item_HCBookamericanhistory.png", nil, nil, nil}
		NecroList.Items.HC491 = {"Mods", nil, nil, "HC - Amphibian Fieldguide", "Hydrocraft.HCBookamphibianguide", "media/textures/Item_HCBookamphibianguide.png", nil, nil, nil}
		NecroList.Items.HC492 = {"Mods", nil, nil, "HC - Anarchist Cookbook", "Hydrocraft.HCBookanarchist", "media/textures/Item_HCBookanarchist.png", nil, nil, nil}
		NecroList.Items.HC493 = {"Mods", nil, nil, "HC - Anarchist Cookbook with Private Note", "Hydrocraft.HCBookanarchistammonal", "media/textures/Item_HCBookanarchistpn01.png", nil, nil, nil}
		NecroList.Items.HC494 = {"Mods", nil, nil, "HC - Anarchist Cookbook with Private Note", "Hydrocraft.HCBookanarchisthmtd", "media/textures/Item_HCBookanarchistpn01.png", nil, nil, nil}
		NecroList.Items.HC495 = {"Mods", nil, nil, "HC - Anarchist Cookbook", "Hydrocraft.HCBookanarchistpn02", "media/textures/Item_HCBookanarchistpn02.png", nil, nil, nil}
		NecroList.Items.HC496 = {"Mods", nil, nil, "HC - Anatomy Textbook", "Hydrocraft.HCBookanatomy", "media/textures/Item_HCBookanatomy.png", nil, nil, nil}
		NecroList.Items.HC497 = {"Mods", nil, nil, "HC - Animal Husbandry Textbook", "Hydrocraft.HCBookanimalhusbandry", "media/textures/Item_HCBookanimalhusbandry.png", nil, nil, nil}
		NecroList.Items.HC498 = {"Mods", nil, nil, "HC - Anthropology Textbook", "Hydrocraft.HCBookanthropology", "media/textures/Item_HCBookanthropology.png", nil, nil, nil}
		NecroList.Items.HC499 = {"Mods", nil, nil, "HC - Apiculture Textbook", "Hydrocraft.HCBookapiculture", "media/textures/Item_HCBookapiculture.png", nil, nil, nil}
		NecroList.Items.HC500 = {"Mods", nil, nil, "HC - Arabic Textbook", "Hydrocraft.HCBookarabic", "media/textures/Item_HCBookarabic.png", nil, nil, nil}
		NecroList.Items.HC501 = {"Mods", nil, nil, "HC - Archeology Textbook", "Hydrocraft.HCBookarcheology", "media/textures/Item_HCBookarcheology.png", nil, nil, nil}
		NecroList.Items.HC502 = {"Mods", nil, nil, "HC - Archery Textbook", "Hydrocraft.HCBookarchery", "media/textures/Item_HCBookarchery.png", nil, nil, nil}
		NecroList.Items.HC503 = {"Mods", nil, nil, "HC - Armor Crafting Textbook", "Hydrocraft.HCBookarmorcrafting", "media/textures/Item_HCBookarmorcrafting.png", nil, nil, nil}
		NecroList.Items.HC504 = {"Mods", nil, nil, "HC - Art History Textbook", "Hydrocraft.HCBookarthistory", "media/textures/Item_HCBookarthistory.png", nil, nil, nil}
		NecroList.Items.HC505 = {"Mods", nil, nil, "HC - Astrology Textbook", "Hydrocraft.HCBookastrology", "media/textures/Item_HCBookastrology.png", nil, nil, nil}
		NecroList.Items.HC506 = {"Mods", nil, nil, "HC - Astronomy Textbook", "Hydrocraft.HCBookastronomy", "media/textures/Item_HCBookastronomy.png", nil, nil, nil}
		NecroList.Items.HC507 = {"Mods", nil, nil, "HC - Baking Cookbook", "Hydrocraft.HCBookbaking", "media/textures/Item_HCCookbook.png", nil, nil, nil}
		NecroList.Items.HC508 = {"Mods", nil, nil, "HC - Basketry Textbook", "Hydrocraft.HCBookbasketry", "media/textures/Item_HCBookbasketry.png", nil, nil, nil}
		NecroList.Items.HC509 = {"Mods", nil, nil, "HC - Battery Textbook", "Hydrocraft.HCBookbattery", "media/textures/Item_HCBookbattery.png", nil, nil, nil}
		NecroList.Items.HC510 = {"Mods", nil, nil, "HC - Bedtime Stories", "Hydrocraft.HCBookbedtime", "media/textures/Item_HCBookbedtime.png", nil, nil, nil}
		NecroList.Items.HC511 = {"Mods", nil, nil, "HC - Holy Bible", "Hydrocraft.HCBookbible", "media/textures/Item_HCBookbible.png", nil, nil, nil}
		NecroList.Items.HC512 = {"Mods", nil, nil, "HC - Bicycle Repair Manual", "Hydrocraft.HCBookbicycle", "media/textures/Item_HCBookbicycle.png", nil, nil, nil}
		NecroList.Items.HC513 = {"Mods", nil, nil, "HC - Biodiesel Textbook", "Hydrocraft.HCBookbiodiesel", "media/textures/Item_HCBookbiodiesel.png", nil, nil, nil}
		NecroList.Items.HC514 = {"Mods", nil, nil, "HC - Biology Textbook", "Hydrocraft.HCBookbiology", "media/textures/Item_HCBookbiology.png", nil, nil, nil}
		NecroList.Items.HC515 = {"Mods", nil, nil, "HC - Bird Fieldguide", "Hydrocraft.HCBookbirdgude", "media/textures/Item_HCBookbirdgude.png", nil, nil, nil}
		NecroList.Items.HC516 = {"Mods", nil, nil, "HC - Boneworking Textbook", "Hydrocraft.HCBookboneworking", "media/textures/Item_HCBookboneworking.png", nil, nil, nil}
		NecroList.Items.HC517 = {"Mods", nil, nil, "HC - Bronze Working Textbook", "Hydrocraft.HCBookbronzeworking", "media/textures/Item_HCBookbronzeworking.png", nil, nil, nil}
		NecroList.Items.HC518 = {"Mods", nil, nil, "HC - Calculus Textbook", "Hydrocraft.HCBookcalculus", "media/textures/Item_HCBookcalculus.png", nil, nil, nil}
		NecroList.Items.HC519 = {"Mods", nil, nil, "HC - Calligraphy Textbook", "Hydrocraft.HCBookcalligraphy", "media/textures/Item_HCBookcalligraphy.png", nil, nil, nil}
		NecroList.Items.HC520 = {"Mods", nil, nil, "HC - Candle Making Textbook", "Hydrocraft.HCBookcandlemaking", "media/textures/Item_HCBookcandlemaking.png", nil, nil, nil}
		NecroList.Items.HC521 = {"Mods", nil, nil, "HC - Celtic Folklore", "Hydrocraft.HCBookceltic", "media/textures/Item_HCBookceltic.png", nil, nil, nil}
		NecroList.Items.HC522 = {"Mods", nil, nil, "HC - Cheese Making Cookbook", "Hydrocraft.HCBookcheesemaking", "media/textures/Item_HCCookbook.png", nil, nil, nil}
		NecroList.Items.HC523 = {"Mods", nil, nil, "HC - Chemistry Textbook", "Hydrocraft.HCBookchemistry", "media/textures/Item_HCBookchemistry.png", nil, nil, nil}
		NecroList.Items.HC524 = {"Mods", nil, nil, "HC - Chinese Textbook", "Hydrocraft.HCBookchinese", "media/textures/Item_HCBookchinese.png", nil, nil, nil}
		NecroList.Items.HC525 = {"Mods", nil, nil, "HC - Coal Working Textbook", "Hydrocraft.HCBookcoalworking", "media/textures/Item_HCBookcoalworking.png", nil, nil, nil}
		NecroList.Items.HC526 = {"Mods", nil, nil, "HC - Cobbling Textbook", "Hydrocraft.HCBookcobbling", "media/textures/Item_HCBookcobbling.png", nil, nil, nil}
		NecroList.Items.HC527 = {"Mods", nil, nil, "HC - Communications Textbook", "Hydrocraft.HCBookcommunications", "media/textures/Item_HCBookcommunications.png", nil, nil, nil}
		NecroList.Items.HC528 = {"Mods", nil, nil, "HC - Computer Programing Textbook", "Hydrocraft.HCBookcomputerprograming", "media/textures/Item_HCBookcomputerprograming.png", nil, nil, nil}
		NecroList.Items.HC529 = {"Mods", nil, nil, "HC - Copper Working Textbook", "Hydrocraft.HCBookcopperworking", "media/textures/Item_HCBookcopperworking.png", nil, nil, nil}
		NecroList.Items.HC530 = {"Mods", nil, nil, "HC - Book Cover", "Hydrocraft.HCBookcover", "media/textures/Item_HCBookcover.png", nil, nil, nil}
		NecroList.Items.HC531 = {"Mods", nil, nil, "HC - Cryptozoology Textbook", "Hydrocraft.HCBookcryptozoology", "media/textures/Item_HCBookcryptozoology.png", nil, nil, nil}
		NecroList.Items.HC532 = {"Mods", nil, nil, "HC - Czech Textbook", "Hydrocraft.HCBookczech", "media/textures/Item_HCBookczech.png", nil, nil, nil}
		NecroList.Items.HC533 = {"Mods", nil, nil, "HC - Dictionary", "Hydrocraft.HCBookdictionary", "media/textures/Item_HCBookdictionary.png", nil, nil, nil}
		NecroList.Items.HC534 = {"Mods", nil, nil, "HC - Distillation Textbook", "Hydrocraft.HCBookdistillery", "media/textures/Item_HCBookdistillery.png", nil, nil, nil}
		NecroList.Items.HC535 = {"Mods", nil, nil, "HC - Dutch Textbook", "Hydrocraft.HCBookdutch", "media/textures/Item_HCBookdutch.png", nil, nil, nil}
		NecroList.Items.HC536 = {"Mods", nil, nil, "HC - Ecology Textbook", "Hydrocraft.HCBookecology", "media/textures/Item_HCBookecology.png", nil, nil, nil}
		NecroList.Items.HC537 = {"Mods", nil, nil, "HC - Economics Textbook", "Hydrocraft.HCBookeconomics", "media/textures/Item_HCBookeconomics.png", nil, nil, nil}
		NecroList.Items.HC538 = {"Mods", nil, nil, "HC - Egyptian Textbook", "Hydrocraft.HCBookegyptian", "media/textures/Item_HCBookegyptian.png", nil, nil, nil}
		NecroList.Items.HC539 = {"Mods", nil, nil, "HC - Electrical Engineering Textbook", "Hydrocraft.HCBookelectrical", "media/textures/Item_HCBookelectricity.png", nil, nil, nil}
		NecroList.Items.HC540 = {"Mods", nil, nil, "HC - Encyclopedia", "Hydrocraft.HCBookencyclopedia", "media/textures/Item_HCBookencyclopedia.png", nil, nil, nil}
		NecroList.Items.HC541 = {"Mods", nil, nil, "HC - Bookend", "Hydrocraft.HCBookend", "media/textures/Item_HCBookend.png", nil, nil, nil}
		NecroList.Items.HC542 = {"Mods", nil, nil, "HC - English Textbook", "Hydrocraft.HCBookenglish", "media/textures/Item_HCBookenglish.png", nil, nil, nil}
		NecroList.Items.HC543 = {"Mods", nil, nil, "HC - Entomology Textbook", "Hydrocraft.HCBookentomology", "media/textures/Item_HCBookentomology.png", nil, nil, nil}
		NecroList.Items.HC544 = {"Mods", nil, nil, "HC - Explosives Textbook", "Hydrocraft.HCBookexplosives", "media/textures/Item_HCBookexplosives.png", nil, nil, nil}
		NecroList.Items.HC545 = {"Mods", nil, nil, "HC - Fairytale Book", "Hydrocraft.HCBookfairytale", "media/textures/Item_HCBookfairytale.png", nil, nil, nil}
		NecroList.Items.HC546 = {"Mods", nil, nil, "HC - Finnish Textbook", "Hydrocraft.HCBookfinnish", "media/textures/Item_HCBookfinnish.png", nil, nil, nil}
		NecroList.Items.HC547 = {"Mods", nil, nil, "HC - Fish Fieldguide", "Hydrocraft.HCBookfishguide", "media/textures/Item_HCBookfishguide.png", nil, nil, nil}
		NecroList.Items.HC548 = {"Mods", nil, nil, "HC - Flower Fieldguide", "Hydrocraft.HCBookflowerguide", "media/textures/Item_HCBookflowerguide.png", nil, nil, nil}
		NecroList.Items.HC549 = {"Mods", nil, nil, "HC - French Textbook", "Hydrocraft.HCBookfrench", "media/textures/Item_HCBookfrench.png", nil, nil, nil}
		NecroList.Items.HC550 = {"Mods", nil, nil, "HC - Fungi Fieldguide", "Hydrocraft.HCBookfungiguide", "media/textures/Item_HCBookfungiguide.png", nil, nil, nil}
		NecroList.Items.HC551 = {"Mods", nil, nil, "HC - Gardening Textbook", "Hydrocraft.HCBookgardening", "media/textures/Item_HCBookgardening.png", nil, nil, nil}
		NecroList.Items.HC552 = {"Mods", nil, nil, "HC - Gem Cutting Textbook", "Hydrocraft.HCBookgemcutting", "media/textures/Item_HCBookgemcutting.png", nil, nil, nil}
		NecroList.Items.HC553 = {"Mods", nil, nil, "HC - Genealogy of Kentucky", "Hydrocraft.HCBookgenealogy", "media/textures/Item_HCBookgenealogy.png", nil, nil, nil}
		NecroList.Items.HC554 = {"Mods", nil, nil, "HC - Geology Textbook", "Hydrocraft.HCBookgeology", "media/textures/Item_HCBookgeology.png", nil, nil, nil}
		NecroList.Items.HC555 = {"Mods", nil, nil, "HC - Geometry Textbook", "Hydrocraft.HCBookgeometry", "media/textures/Item_HCBookgeometry.png", nil, nil, nil}
		NecroList.Items.HC556 = {"Mods", nil, nil, "HC - German Textbook", "Hydrocraft.HCBookgerman", "media/textures/Item_HCBookgerman.png", nil, nil, nil}
		NecroList.Items.HC557 = {"Mods", nil, nil, "HC - Glass Working Textbook", "Hydrocraft.HCBookglassworking", "media/textures/Item_HCBookglassworking.png", nil, nil, nil}
		NecroList.Items.HC558 = {"Mods", nil, nil, "HC - Gold Working Textbook", "Hydrocraft.HCBookgoldworking", "media/textures/Item_HCBookgoldworking.png", nil, nil, nil}
		NecroList.Items.HC559 = {"Mods", nil, nil, "HC - Greek Textbook", "Hydrocraft.HCBookgreek", "media/textures/Item_HCBookgreek.png", nil, nil, nil}
		NecroList.Items.HC560 = {"Mods", nil, nil, "HC - Greek Mythology", "Hydrocraft.HCBookgreekmyths", "media/textures/Item_HCBookgreekmyths.png", nil, nil, nil}
		NecroList.Items.HC561 = {"Mods", nil, nil, "HC - Gunsmithing Textbook", "Hydrocraft.HCBookgunsmithing", "media/textures/Item_HCBookgunsmithing.png", nil, nil, nil}
		NecroList.Items.HC562 = {"Mods", nil, nil, "HC - Hatter Textbook", "Hydrocraft.HCBookhatter", "media/textures/Item_HCBookhatter.png", nil, nil, nil}
		NecroList.Items.HC563 = {"Mods", nil, nil, "HC - Health Textbook", "Hydrocraft.HCBookhealth", "media/textures/Item_HCBookhealth.png", nil, nil, nil}
		NecroList.Items.HC564 = {"Mods", nil, nil, "HC - Hebrew Textbook", "Hydrocraft.HCBookhebrew", "media/textures/Item_HCBookhebrew.png", nil, nil, nil}
		NecroList.Items.HC565 = {"Mods", nil, nil, "HC - Herbalism Textbook", "Hydrocraft.HCBookherbalism", "media/textures/Item_HCBookherbalism.png", nil, nil, nil}
		NecroList.Items.HC566 = {"Mods", nil, nil, "HC - Hindi Textbook", "Hydrocraft.HCBookhindi", "media/textures/Item_HCBookhindi.png", nil, nil, nil}
		NecroList.Items.HC567 = {"Mods", nil, nil, "HC - Hunting Textbook", "Hydrocraft.HCBookhunting", "media/textures/Item_HCBookhunting.png", nil, nil, nil}
		NecroList.Items.HC568 = {"Mods", nil, nil, "HC - Industrial Mechanics Textbook", "Hydrocraft.HCBookindustrial", "media/textures/Item_HCBookindustrial.png", nil, nil, nil}
		NecroList.Items.HC569 = {"Mods", nil, nil, "HC - Iron Working Textbook", "Hydrocraft.HCBookironworking", "media/textures/Item_HCBookironworking.png", nil, nil, nil}
		NecroList.Items.HC570 = {"Mods", nil, nil, "HC - Italian Textbook", "Hydrocraft.HCBookitalian", "media/textures/Item_HCBookitalian.png", nil, nil, nil}
		NecroList.Items.HC571 = {"Mods", nil, nil, "HC - Japanese Textbook", "Hydrocraft.HCBookjapanese", "media/textures/Item_HCBookjapanese.png", nil, nil, nil}
		NecroList.Items.HC572 = {"Mods", nil, nil, "HC - Jewelry Crafting Textbook", "Hydrocraft.HCBookjewelry", "media/textures/Item_HCBookjewelry.png", nil, nil, nil}
		NecroList.Items.HC573 = {"Mods", nil, nil, "HC - Appliance Repair Manual", "Hydrocraft.HCBookjunk", "media/textures/Item_HCBookjunk.png", nil, nil, nil}
		NecroList.Items.HC574 = {"Mods", nil, nil, "HC - Koran", "Hydrocraft.HCBookkoran", "media/textures/Item_HCBookkoran.png", nil, nil, nil}
		NecroList.Items.HC575 = {"Mods", nil, nil, "HC - Korean Textbook", "Hydrocraft.HCBookkorean", "media/textures/Item_HCBookkorean.png", nil, nil, nil}
		NecroList.Items.HC576 = {"Mods", nil, nil, "HC - Law Textbook", "Hydrocraft.HCBooklaw", "media/textures/Item_HCBooklaw.png", nil, nil, nil}
		NecroList.Items.HC577 = {"Mods", nil, nil, "HC - Lead Working Textbook", "Hydrocraft.HCBookleadworking", "media/textures/Item_HCBookleadworking.png", nil, nil, nil}
		NecroList.Items.HC578 = {"Mods", nil, nil, "HC - Leather Working Textbook", "Hydrocraft.HCBookleatherworking", "media/textures/Item_HCBookleatherworking.png", nil, nil, nil}
		NecroList.Items.HC579 = {"Mods", nil, nil, "HC - Literature Textbook", "Hydrocraft.HCBookliterature", "media/textures/Item_HCBookliterature.png", nil, nil, nil}
		NecroList.Items.HC580 = {"Mods", nil, nil, "HC - Lithium Working Textbook", "Hydrocraft.HCBooklithiumworking", "media/textures/Item_HCBooklithiumworking.png", nil, nil, nil}
		NecroList.Items.HC581 = {"Mods", nil, nil, "HC - Locksmithing Textbook", "Hydrocraft.HCBooklocksmithing", "media/textures/Item_HCBooklocksmithing.png", nil, nil, nil}
		NecroList.Items.HC582 = {"Mods", nil, nil, "HC - Magnets Textbook", "Hydrocraft.HCBookmagnets", "media/textures/Item_HCBookmagnets.png", nil, nil, nil}
		NecroList.Items.HC583 = {"Mods", nil, nil, "HC - Mammal Fieldguide", "Hydrocraft.HCBookmammalguide", "media/textures/Item_HCBookmammalguide.png", nil, nil, nil}
		NecroList.Items.HC584 = {"Mods", nil, nil, "HC - Masonry Textbook", "Hydrocraft.HCBookmasonry", "media/textures/Item_HCBookmasonry.png", nil, nil, nil}
		NecroList.Items.HC585 = {"Mods", nil, nil, "HC - Basic Mathematics Textbook", "Hydrocraft.HCBookmath", "media/textures/Item_HCBookmath.png", nil, nil, nil}
		NecroList.Items.HC586 = {"Mods", nil, nil, "HC - Medical Textbook", "Hydrocraft.HCBookmedical", "media/textures/Item_HCBookmedical.png", nil, nil, nil}
		NecroList.Items.HC587 = {"Mods", nil, nil, "HC - Metalurgy Textbook", "Hydrocraft.HCBookmetalurgy", "media/textures/Item_HCBookmetalurgy.png", nil, nil, nil}
		NecroList.Items.HC588 = {"Mods", nil, nil, "HC - Microbiology Textbook", "Hydrocraft.HCBookmicrobiology", "media/textures/Item_HCBookmicrobiology.png", nil, nil, nil}
		NecroList.Items.HC589 = {"Mods", nil, nil, "HC - Music Textbook", "Hydrocraft.HCBookmusic", "media/textures/Item_HCBookmusic.png", nil, nil, nil}
		NecroList.Items.HC590 = {"Mods", nil, nil, "HC - Mycology Textbook", "Hydrocraft.HCBookmycology", "media/textures/Item_HCBookmycology.png", nil, nil, nil}
		NecroList.Items.HC591 = {"Mods", nil, nil, "HC - Norse Mythology", "Hydrocraft.HCBooknorsemyths", "media/textures/Item_HCBooknorsemyths.png", nil, nil, nil}
		NecroList.Items.HC592 = {"Mods", nil, nil, "HC - Oceanography Textbook", "Hydrocraft.HCBookoceanography", "media/textures/Item_HCBookoceanography.png", nil, nil, nil}
		NecroList.Items.HC593 = {"Mods", nil, nil, "HC - Organic Chemistry Textbook", "Hydrocraft.HCBookorganicchemistry", "media/textures/Item_HCBookorganicchemistry.png", nil, nil, nil}
		NecroList.Items.HC594 = {"Mods", nil, nil, "HC - Paleontology Textbook", "Hydrocraft.HCBookpaleontology", "media/textures/Item_HCBookpaleontology.png", nil, nil, nil}
		NecroList.Items.HC595 = {"Mods", nil, nil, "HC - Paper Making Textbook", "Hydrocraft.HCBookpapermaking", "media/textures/Item_HCBookpapermaking.png", nil, nil, nil}
		NecroList.Items.HC596 = {"Mods", nil, nil, "HC - Pharmacology Textbook", "Hydrocraft.HCBookpharmacology", "media/textures/Item_HCBookpharmacology.png", nil, nil, nil}
		NecroList.Items.HC597 = {"Mods", nil, nil, "HC - Philosophy Textbook", "Hydrocraft.HCBookphilosophy", "media/textures/Item_HCBookphilosophy.png", nil, nil, nil}
		NecroList.Items.HC598 = {"Mods", nil, nil, "HC - Phonebook", "Hydrocraft.HCBookphone", "media/textures/Item_HCBookphone.png", nil, nil, nil}
		NecroList.Items.HC599 = {"Mods", nil, nil, "HC - Photography Textbook", "Hydrocraft.HCBookphotography", "media/textures/Item_HCBookphotography.png", nil, nil, nil}
		NecroList.Items.HC600 = {"Mods", nil, nil, "HC - Physics Textbook", "Hydrocraft.HCBookphysics", "media/textures/Item_HCBookphysics.png", nil, nil, nil}
		NecroList.Items.HC601 = {"Mods", nil, nil, "HC - Plumbing Textbook", "Hydrocraft.HCBookplumbing", "media/textures/Item_HCBookplumbing.png", nil, nil, nil}
		NecroList.Items.HC602 = {"Mods", nil, nil, "HC - Book of Poetry", "Hydrocraft.HCBookpoetry", "media/textures/Item_HCBookpoetry.png", nil, nil, nil}
		NecroList.Items.HC603 = {"Mods", nil, nil, "HC - Polish Textbook", "Hydrocraft.HCBookpolish", "media/textures/Item_HCBookpolish.png", nil, nil, nil}
		NecroList.Items.HC604 = {"Mods", nil, nil, "HC - Political Science Textbook", "Hydrocraft.HCBookpoliticalscience", "media/textures/Item_HCBookpoliticalscience.png", nil, nil, nil}
		NecroList.Items.HC605 = {"Mods", nil, nil, "HC - Portuguese Textbook", "Hydrocraft.HCBookportuguise", "media/textures/Item_HCBookportuguise.png", nil, nil, nil}
		NecroList.Items.HC606 = {"Mods", nil, nil, "HC - Pottery Textbook", "Hydrocraft.HCBookpottery", "media/textures/Item_HCBookpottery.png", nil, nil, nil}
		NecroList.Items.HC607 = {"Mods", nil, nil, "HC - Radio Textbook", "Hydrocraft.HCBookradio", "media/textures/Item_HCBookradio.png", nil, nil, nil}
		NecroList.Items.HC608 = {"Mods", nil, nil, "HC - Reptile Fieldguide", "Hydrocraft.HCBookreptileguide", "media/textures/Item_HCBookreptileguide.png", nil, nil, nil}
		NecroList.Items.HC609 = {"Mods", nil, nil, "HC - Robotics Textbook", "Hydrocraft.HCBookrobotics", "media/textures/Item_HCBookrobotics.png", nil, nil, nil}
		NecroList.Items.HC610 = {"Mods", nil, nil, "HC - Rocketry Textbook", "Hydrocraft.HCBookrocketry", "media/textures/Item_HCBookrocketry.png", nil, nil, nil}
		NecroList.Items.HC611 = {"Mods", nil, nil, "HC - Rubber Working Textbook", "Hydrocraft.HCBookrubberworking", "media/textures/Item_HCBookrubberworking.png", nil, nil, nil}
		NecroList.Items.HC612 = {"Mods", nil, nil, "HC - Russian Textbook", "Hydrocraft.HCBookrussian", "media/textures/Item_HCBookrussian.png", nil, nil, nil}
		NecroList.Items.HC613 = {"Mods", nil, nil, "HC - Sailing Textbook", "Hydrocraft.HCBooksailing", "media/textures/Item_HCBooksailing.png", nil, nil, nil}
		NecroList.Items.HC614 = {"Mods", nil, nil, "HC - Sausage Making Cookbook", "Hydrocraft.HCBooksausagemaking", "media/textures/Item_HCCookbook.png", nil, nil, nil}
		NecroList.Items.HC615 = {"Mods", nil, nil, "HC - Science Textbook", "Hydrocraft.HCBookscience", "media/textures/Item_HCBookscience.png", nil, nil, nil}
		NecroList.Items.HC616 = {"Mods", nil, nil, "HC - Scrapbook", "Hydrocraft.HCBookscrap", "media/textures/Item_HCBookscrap.png", nil, nil, nil}
		NecroList.Items.HC617 = {"Mods", nil, nil, "HC - Sculpting Textbook", "Hydrocraft.HCBooksculpting", "media/textures/Item_HCBooksculpting.png", nil, nil, nil}
		NecroList.Items.HC618 = {"Mods", nil, nil, "HC - Sericulture Textbook", "Hydrocraft.HCBooksericulture", "media/textures/Item_HCBooksericulture.png", nil, nil, nil}
		NecroList.Items.HC619 = {"Mods", nil, nil, "HC - Book of Sheet Music", "Hydrocraft.HCBooksheetmusic", "media/textures/Item_HCBooksheetmusic.png", nil, nil, nil}
		NecroList.Items.HC620 = {"Mods", nil, nil, "HC - Silver Working Textbook", "Hydrocraft.HCBooksilverworking", "media/textures/Item_HCBooksilverworking.png", nil, nil, nil}
		NecroList.Items.HC621 = {"Mods", nil, nil, "HC - Soap Making Textbook", "Hydrocraft.HCBooksoapmaking", "media/textures/Item_HCBooksoapmaking.png", nil, nil, nil}
		NecroList.Items.HC622 = {"Mods", nil, nil, "HC - Sociology Textbook", "Hydrocraft.HCBooksociology", "media/textures/Item_HCBooksociology.png", nil, nil, nil}
		NecroList.Items.HC623 = {"Mods", nil, nil, "HC - Spanish Textbook", "Hydrocraft.HCBookspanish", "media/textures/Item_HCBookspanish.png", nil, nil, nil}
		NecroList.Items.HC624 = {"Mods", nil, nil, "HC - Steel Working Textbook", "Hydrocraft.HCBooksteelworking", "media/textures/Item_HCBooksteelworking.png", nil, nil, nil}
		NecroList.Items.HC625 = {"Mods", nil, nil, "HC - Stoneworking Textbook", "Hydrocraft.HCBookstoneworking", "media/textures/Item_HCBookstoneworking.png", nil, nil, nil}
		NecroList.Items.HC626 = {"Mods", nil, nil, "HC - Trigonometry Textbook", "Hydrocraft.HCBookstrigonometry", "media/textures/Item_HCBooktrigonometry.png", nil, nil, nil}
		NecroList.Items.HC627 = {"Mods", nil, nil, "HC - Tailoring Textbook", "Hydrocraft.HCBooktailoring", "media/textures/Item_HCBooktailoring.png", nil, nil, nil}
		NecroList.Items.HC628 = {"Mods", nil, nil, "HC - Taxidermy Textbook", "Hydrocraft.HCBooktaxidermy", "media/textures/Item_HCBooktaxidermy.png", nil, nil, nil}
		NecroList.Items.HC629 = {"Mods", nil, nil, "HC - Thesaurus", "Hydrocraft.HCBookthesaurus", "media/textures/Item_HCBookthesaurus.png", nil, nil, nil}
		NecroList.Items.HC630 = {"Mods", nil, nil, "HC - Tin Working Textbook", "Hydrocraft.HCBooktinworking", "media/textures/Item_HCBooktinworking.png", nil, nil, nil}
		NecroList.Items.HC631 = {"Mods", nil, nil, "HC - Titanium Working Textbook", "Hydrocraft.HCBooktitaniumworking", "media/textures/Item_HCBooktitaniumworking.png", nil, nil, nil}
		NecroList.Items.HC632 = {"Mods", nil, nil, "HC - Torah", "Hydrocraft.HCBooktora", "media/textures/Item_HCBooktora.png", nil, nil, nil}
		NecroList.Items.HC633 = {"Mods", nil, nil, "HC - Tree Fieldguide", "Hydrocraft.HCBooktreeguide", "media/textures/Item_HCBooktreeguide.png", nil, nil, nil}
		NecroList.Items.HC634 = {"Mods", nil, nil, "HC - Veterinary Medicine Textbook", "Hydrocraft.HCBookvet", "media/textures/Item_HCBookvet.png", nil, nil, nil}
		NecroList.Items.HC635 = {"Mods", nil, nil, "HC - Welding Textbook", "Hydrocraft.HCBookwelding", "media/textures/Item_HCBookwelding.png", nil, nil, nil}
		NecroList.Items.HC636 = {"Mods", nil, nil, "HC - Viticulture Textbook", "Hydrocraft.HCBookwinemaking", "media/textures/Item_HCCookbook.png", nil, nil, nil}
		NecroList.Items.HC637 = {"Mods", nil, nil, "HC - Wire Textbook", "Hydrocraft.HCBookwire", "media/textures/Item_HCBookwire.png", nil, nil, nil}
		NecroList.Items.HC638 = {"Mods", nil, nil, "HC - World Atlas", "Hydrocraft.HCBookworldatlas", "media/textures/Item_HCBookworldatlas.png", nil, nil, nil}
		NecroList.Items.HC639 = {"Mods", nil, nil, "HC - World History Textbook", "Hydrocraft.HCBookworldhistory", "media/textures/Item_HCBookworldhistory.png", nil, nil, nil}
		NecroList.Items.HC640 = {"Mods", nil, nil, "HC - Zulu Textbook", "Hydrocraft.HCBookzulu", "media/textures/Item_HCBookzulu.png", nil, nil, nil}
		NecroList.Items.HC641 = {"Mods", nil, nil, "HC - Combat Boots", "Hydrocraft.HCBootcombat", "media/textures/Item_HCBootcombat.png", nil, nil, nil}
		NecroList.Items.HC642 = {"Mods", nil, nil, "HC - Construction Boots", "Hydrocraft.HCBootconstruction", "media/textures/Item_HCBootconstruction.png", nil, nil, nil}
		NecroList.Items.HC643 = {"Mods", nil, nil, "HC - Cord Boots", "Hydrocraft.HCBootcord", "media/textures/Item_HCBootcord.png", nil, nil, nil}
		NecroList.Items.HC644 = {"Mods", nil, nil, "HC - Leather Greaves", "Hydrocraft.HCBootleather", "media/textures/Item_HCBootleather.png", nil, nil, nil}
		NecroList.Items.HC645 = {"Mods", nil, nil, "HC - Riot Boots", "Hydrocraft.HCBootriot", "media/textures/Item_HCBootriot.png", nil, nil, nil}
		NecroList.Items.HC646 = {"Mods", nil, nil, "HC - Boots", "Hydrocraft.HCBoots", "media/textures/Item_HCBoots.png", nil, nil, nil}
		NecroList.Items.HC647 = {"Mods", nil, nil, "HC - Steel Greaves", "Hydrocraft.HCBootsteel", "media/textures/Item_HCBootsteel.png", nil, nil, nil}
		NecroList.Items.HC648 = {"Mods", nil, nil, "HC - Borax", "Hydrocraft.HCBorax", "media/textures/Item_HCBorax.png", nil, nil, nil}
		NecroList.Items.HC649 = {"Mods", nil, nil, "HC - Border Collie (Female)", "Hydrocraft.HCBordercolliefemale", "media/textures/Item_HCBordercolliefemale.png", nil, nil, nil}
		NecroList.Items.HC650 = {"Mods", nil, nil, "HC - Border Collie (Male)", "Hydrocraft.HCBordercolliemale", "media/textures/Item_HCBordercolliemale.png", nil, nil, nil}
		NecroList.Items.HC651 = {"Mods", nil, nil, "HC - Boring Pizza (Fresh Uncooked)", "Hydrocraft.HCBoringpizza", "media/textures/Item_HCPizzaA.png", nil, nil, nil}
		NecroList.Items.HC652 = {"Mods", nil, nil, "HC - Baked Boring Pizza (Fresh)", "Hydrocraft.HCBoringpizzabaked", "media/textures/Item_HCPizzaA.png", nil, nil, nil}
		NecroList.Items.HC653 = {"Mods", nil, nil, "HC - Slice of Boring Pizza (Fresh)", "Hydrocraft.HCBoringpizzaslice", "media/textures/Item_HCPizzasliceA.png", nil, nil, nil}
		NecroList.Items.HC654 = {"Mods", nil, nil, "HC - Bottle Opener", "Hydrocraft.HCBottleopener", "media/textures/Item_HCBottleopener.png", nil, nil, nil}
		NecroList.Items.HC655 = {"Mods", nil, nil, "HC - Boulders", "Hydrocraft.HCBoulder", "media/textures/Item_HCBoulder.png", nil, nil, nil}
		NecroList.Items.HC656 = {"Mods", nil, nil, "HC - Large Boulder", "Hydrocraft.HCBoulder2", "media/textures/Item_HCBoulder2.png", nil, nil, nil}
		NecroList.Items.HC657 = {"Mods", nil, nil, "HC - Bourbon", "Hydrocraft.HCBourbon1", "media/textures/Item_HCBourbon1.png", nil, nil, nil}
		NecroList.Items.HC658 = {"Mods", nil, nil, "HC - Bourbon", "Hydrocraft.HCBourbon2", "media/textures/Item_HCBourbon2.png", nil, nil, nil}
		NecroList.Items.HC659 = {"Mods", nil, nil, "HC - Bowling Ball", "Hydrocraft.HCBowlingball", "media/textures/Item_HCBowlingball.png", nil, nil, nil}
		NecroList.Items.HC660 = {"Mods", nil, nil, "HC - Bowling Pin", "Hydrocraft.HCBowlingpin", "media/textures/Item_HCBowlingpin.png", nil, nil, nil}
		NecroList.Items.HC661 = {"Mods", nil, nil, "HC - Bowl of Cereal (Fresh)", "Hydrocraft.HCBowlofcereal", "media/textures/Item_HCCerealbowl.png", nil, nil, nil}
		NecroList.Items.HC662 = {"Mods", nil, nil, "HC - Box of Art Supplies", "Hydrocraft.HCBoxart", "media/textures/Item_HCCardboardboxsealed.png", nil, nil, nil}
		NecroList.Items.HC663 = {"Mods", nil, nil, "HC - Box Cutter", "Hydrocraft.HCBoxcutter", "media/textures/Item_HCBoxcutter.png", nil, nil, nil}
		NecroList.Items.HC664 = {"Mods", nil, nil, "HC - Box of Electronic Equipment", "Hydrocraft.HCBoxelectronic", "media/textures/Item_HCCardboardboxsealed.png", nil, nil, nil}
		NecroList.Items.HC665 = {"Mods", nil, nil, "HC - Boxer (Female)", "Hydrocraft.HCBoxerfemale", "media/textures/Item_HCBoxerfemale.png", nil, nil, nil}
		NecroList.Items.HC666 = {"Mods", nil, nil, "HC - Boxer (Male)", "Hydrocraft.HCBoxermale", "media/textures/Item_HCBoxermale.png", nil, nil, nil}
		NecroList.Items.HC667 = {"Mods", nil, nil, "HC - Boxers", "Hydrocraft.HCBoxers", "media/textures/Item_HCBoxers.png", nil, nil, nil}
		NecroList.Items.HC668 = {"Mods", nil, nil, "HC - Boxers", "Hydrocraft.HCBoxers2", "media/textures/Item_HCBoxers2.png", nil, nil, nil}
		NecroList.Items.HC669 = {"Mods", nil, nil, "HC - Boxers", "Hydrocraft.HCBoxers3", "media/textures/Item_HCBoxers3.png", nil, nil, nil}
		NecroList.Items.HC670 = {"Mods", nil, nil, "HC - Boxers", "Hydrocraft.HCBoxers4", "media/textures/Item_HCBoxers4.png", nil, nil, nil}
		NecroList.Items.HC671 = {"Mods", nil, nil, "HC - Boxers", "Hydrocraft.HCBoxers5", "media/textures/Item_HCBoxers5.png", nil, nil, nil}
		NecroList.Items.HC672 = {"Mods", nil, nil, "HC - Boxers", "Hydrocraft.HCBoxers6", "media/textures/Item_HCBoxers6.png", nil, nil, nil}
		NecroList.Items.HC673 = {"Mods", nil, nil, "HC - Box of Garden Equipment", "Hydrocraft.HCBoxgarden", "media/textures/Item_HCCardboardboxsealed.png", nil, nil, nil}
		NecroList.Items.HC674 = {"Mods", nil, nil, "HC - Box of Holiday Supplies", "Hydrocraft.HCBoxholiday", "media/textures/Item_HCCardboardboxsealed.png", nil, nil, nil}
		NecroList.Items.HC675 = {"Mods", nil, nil, "HC - Boxing Gloves", "Hydrocraft.HCBoxinggloves", "media/textures/Item_HCBoxinggloves.png", nil, nil, nil}
		NecroList.Items.HC676 = {"Mods", nil, nil, "HC - Box of Lab Equipment", "Hydrocraft.HCBoxlab", "media/textures/Item_HCCardboardboxsealed.png", nil, nil, nil}
		NecroList.Items.HC677 = {"Mods", nil, nil, "HC - Box of Office Supplies", "Hydrocraft.HCBoxoffice", "media/textures/Item_HCCardboardboxsealed.png", nil, nil, nil}
		NecroList.Items.HC678 = {"Mods", nil, nil, "HC - Box of Pet Equipment", "Hydrocraft.HCBoxpet", "media/textures/Item_HCCardboardboxsealed.png", nil, nil, nil}
		NecroList.Items.HC679 = {"Mods", nil, nil, "HC - Box of Photography Equipment", "Hydrocraft.HCBoxphoto", "media/textures/Item_HCCardboardboxsealed.png", nil, nil, nil}
		NecroList.Items.HC680 = {"Mods", nil, nil, "HC - Box of Toys", "Hydrocraft.HCBoxtoy", "media/textures/Item_HCCardboardboxsealed.png", nil, nil, nil}
		NecroList.Items.HC681 = {"Mods", nil, nil, "HC - Bra", "Hydrocraft.HCBra", "media/textures/Item_HCBra.png", nil, nil, nil}
		NecroList.Items.HC682 = {"Mods", nil, nil, "HC - Bra", "Hydrocraft.HCBra2", "media/textures/Item_HCBra2.png", nil, nil, nil}
		NecroList.Items.HC683 = {"Mods", nil, nil, "HC - Bra", "Hydrocraft.HCBra3", "media/textures/Item_HCBra3.png", nil, nil, nil}
		NecroList.Items.HC684 = {"Mods", nil, nil, "HC - Bra", "Hydrocraft.HCBra4", "media/textures/Item_HCBra4.png", nil, nil, nil}
		NecroList.Items.HC685 = {"Mods", nil, nil, "HC - Bra", "Hydrocraft.HCBra5", "media/textures/Item_HCBra5.png", nil, nil, nil}
		NecroList.Items.HC686 = {"Mods", nil, nil, "HC - Brass Ingot", "Hydrocraft.HCBrassingot", "media/textures/Item_HCBrassingot.png", nil, nil, nil}
		NecroList.Items.HC687 = {"Mods", nil, nil, "HC - Bread Knife", "Hydrocraft.HCBreadknife", "media/textures/Item_HCBreadknife.png", nil, nil, nil}
		NecroList.Items.HC688 = {"Mods", nil, nil, "HC - Bread Pan", "Hydrocraft.HCBreadpan", "media/textures/Item_HCBreadpan.png", nil, nil, nil}
		NecroList.Items.HC689 = {"Mods", nil, nil, "HC - Brake Pads", "Hydrocraft.HCBreakpads", "media/textures/Item_HCBreakpads.png", nil, nil, nil}
		NecroList.Items.HC690 = {"Mods", nil, nil, "HC - Bream (Fresh Uncooked)", "Hydrocraft.HCBream", "media/textures/Item_HCBream.png", nil, nil, nil}
		NecroList.Items.HC691 = {"Mods", nil, nil, "HC - Brick Pillar", "Hydrocraft.HCBrickpillar", "media/textures/Item_HCBrickpillar.png", nil, nil, nil}
		NecroList.Items.HC692 = {"Mods", nil, nil, "HC - Briefcase", "Hydrocraft.HCBriefcase", "media/textures/Item_HCLeatherbriefcase.png", nil, nil, nil}
		NecroList.Items.HC693 = {"Mods", nil, nil, "HC - Briefs", "Hydrocraft.HCBriefs", "media/textures/Item_HCBriefs.png", nil, nil, nil}
		NecroList.Items.HC694 = {"Mods", nil, nil, "HC - Briefs", "Hydrocraft.HCBriefs2", "media/textures/Item_HCBriefs2.png", nil, nil, nil}
		NecroList.Items.HC695 = {"Mods", nil, nil, "HC - Briefs", "Hydrocraft.HCBriefs3", "media/textures/Item_HCBriefs3.png", nil, nil, nil}
		NecroList.Items.HC696 = {"Mods", nil, nil, "HC - Briefs", "Hydrocraft.HCBriefs4", "media/textures/Item_HCBriefs4.png", nil, nil, nil}
		NecroList.Items.HC697 = {"Mods", nil, nil, "HC - Briefs", "Hydrocraft.HCBriefs5", "media/textures/Item_HCBriefs5.png", nil, nil, nil}
		NecroList.Items.HC698 = {"Mods", nil, nil, "HC - Briefs", "Hydrocraft.HCBriefs6", "media/textures/Item_HCBriefs6.png", nil, nil, nil}
		NecroList.Items.HC699 = {"Mods", nil, nil, "HC - Briefs", "Hydrocraft.HCBriefs7", "media/textures/Item_HCBriefs7.png", nil, nil, nil}
		NecroList.Items.HC700 = {"Mods", nil, nil, "HC - Brill (Fresh Uncooked)", "Hydrocraft.HCBrill", "media/textures/Item_HCBrill.png", nil, nil, nil}
		NecroList.Items.HC701 = {"Mods", nil, nil, "HC - Broken Bottle", "Hydrocraft.HCBrokenbottle", "media/textures/Item_HCBrokenbottle.png", nil, nil, nil}
		NecroList.Items.HC702 = {"Mods", nil, nil, "HC - Broken Bottle", "Hydrocraft.HCBrokenbottle2", "media/textures/Item_HCBrokenbottle2.png", nil, nil, nil}
		NecroList.Items.HC703 = {"Mods", nil, nil, "HC - Small Bronze Sheet", "Hydrocraft.HCBronzeboard", "media/textures/Item_HCBronzeboard.png", nil, nil, nil}
		NecroList.Items.HC704 = {"Mods", nil, nil, "HC - Bronze Ingot", "Hydrocraft.HCBronzeingot", "media/textures/Item_HCBronzeingot.png", nil, nil, nil}
		NecroList.Items.HC705 = {"Mods", nil, nil, "HC - Bronze Rod", "Hydrocraft.HCBronzerod", "media/textures/Item_HCBronzerod.png", nil, nil, nil}
		NecroList.Items.HC706 = {"Mods", nil, nil, "HC - Bronze Sheet", "Hydrocraft.HCBronzesheet", "media/textures/Item_HCBronzesheet.png", nil, nil, nil}
		NecroList.Items.HC707 = {"Mods", nil, nil, "HC - Large Bronze Sheet", "Hydrocraft.HCBronzesheetlarge", "media/textures/Item_HCBronzesheetlarge.png", nil, nil, nil}
		NecroList.Items.HC708 = {"Mods", nil, nil, "HC - Brood Box", "Hydrocraft.HCBroodbox", "media/textures/Item_HCBroodbox.png", nil, nil, nil}
		NecroList.Items.HC709 = {"Mods", nil, nil, "HC - Broom", "Hydrocraft.HCBroom", "media/textures/Item_HCBroom.png", nil, nil, nil}
		NecroList.Items.HC710 = {"Mods", nil, nil, "HC - Bowl of Broth (Fresh Uncooked)", "Hydrocraft.HCBrothbowl", "media/textures/Item_HCSoupbowl.png", nil, nil, nil}
		NecroList.Items.HC711 = {"Mods", nil, nil, "HC - Brown Feather", "Hydrocraft.HCBrownfeathers", "media/textures/Item_HCBrownfeathers.png", nil, nil, nil}
		NecroList.Items.HC712 = {"Mods", nil, nil, "HC - Brown Pigment", "Hydrocraft.HCBrownpigment", "media/textures/Item_HCBrownpigment.png", nil, nil, nil}
		NecroList.Items.HC713 = {"Mods", nil, nil, "HC - Bubble Wrap", "Hydrocraft.HCBubblewrap", "media/textures/Item_HCBubblewrap.png", nil, nil, nil}
		NecroList.Items.HC714 = {"Mods", nil, nil, "HC - Buckshot", "Hydrocraft.HCBuckshot", "media/textures/Item_HCBuckshot.png", nil, nil, nil}
		NecroList.Items.HC715 = {"Mods", nil, nil, "HC - Buckshot Mold", "Hydrocraft.HCBuckshotmold", "media/textures/Item_HCBuckshotmold.png", nil, nil, nil}
		NecroList.Items.HC716 = {"Mods", nil, nil, "HC - Bug Jar", "Hydrocraft.HCBugjar", "media/textures/Item_HCBugjar.png", nil, nil, nil}
		NecroList.Items.HC717 = {"Mods", nil, nil, "HC - Bug Net", "Hydrocraft.HCBugnet", "media/textures/Item_HCBugnet.png", nil, nil, nil}
		NecroList.Items.HC718 = {"Mods", nil, nil, "HC - Can of Bug Spray", "Hydrocraft.HCBugspraycan", "media/textures/Item_HCBugspraycan.png", nil, nil, nil}
		NecroList.Items.HC719 = {"Mods", nil, nil, "HC - Bug Sprayer", "Hydrocraft.HCBugsprayer", "media/textures/Item_HCBugsprayer.png", nil, nil, nil}
		NecroList.Items.HC720 = {"Mods", nil, nil, "HC - Empty Bug Sprayer", "Hydrocraft.HCBugsprayerempty", "media/textures/Item_HCBugsprayer.png", nil, nil, nil}
		NecroList.Items.HC721 = {"Mods", nil, nil, "HC - Pot of Bug Stew (Fresh Uncooked)", "Hydrocraft.HCBugstew", "Item_PotFull", nil, nil, nil}
		NecroList.Items.HC722 = {"Mods", nil, nil, "HC - Bowl of Bug Stew (Fresh)", "Hydrocraft.HCBugstewbowl", "media/textures/Item_HCBugstewbowl.png", nil, nil, nil}
		NecroList.Items.HC723 = {"Mods", nil, nil, "HC - Cooked Pot of Bug Stew (Fresh)", "Hydrocraft.HCBugstewcooked", "Item_PotFull", nil, nil, nil}
		NecroList.Items.HC724 = {"Mods", nil, nil, "HC - Bullet Casing Mold", "Hydrocraft.HCBulletcasingmold", "media/textures/Item_HCBulletcasingmold.png", nil, nil, nil}
		NecroList.Items.HC725 = {"Mods", nil, nil, "HC - Bullet Casings", "Hydrocraft.HCBulletcasings", "media/textures/Item_HCBulletcasings.png", nil, nil, nil}
		NecroList.Items.HC726 = {"Mods", nil, nil, "HC - Bullet Tip Mold", "Hydrocraft.HCBullettipmold", "media/textures/Item_HCBullettipmold.png", nil, nil, nil}
		NecroList.Items.HC727 = {"Mods", nil, nil, "HC - Bullet Tips", "Hydrocraft.HCBullettips", "media/textures/Item_HCBullettips.png", nil, nil, nil}
		NecroList.Items.HC728 = {"Mods", nil, nil, "HC - Bumblebee", "Hydrocraft.HCBumblebee", "media/textures/Item_HCBumblebee.png", nil, nil, nil}
		NecroList.Items.HC729 = {"Mods", nil, nil, "HC - Bunch of Berries (Fresh)", "Hydrocraft.HCBunchofberries", "media/textures/Item_HCBunchofberries.png", nil, nil, nil}
		NecroList.Items.HC730 = {"Mods", nil, nil, "HC - Bunch of Mushrooms (Fresh)", "Hydrocraft.HCBunchofshrooms", "media/textures/Item_HCBunchofshrooms.png", nil, nil, nil}
		NecroList.Items.HC731 = {"Mods", nil, nil, "HC - Bungee Cord", "Hydrocraft.HCBungeecord", "media/textures/Item_HCBungeecord.png", nil, nil, nil}
		NecroList.Items.HC732 = {"Mods", nil, nil, "HC - Bung Mold", "Hydrocraft.HCBungmold", "media/textures/Item_HCIngotmold.png", nil, nil, nil}
		NecroList.Items.HC733 = {"Mods", nil, nil, "HC - Bunsen Burner", "Hydrocraft.HCBunsenburner", "media/textures/Item_HCBunsenburner.png", nil, nil, nil}
		NecroList.Items.HC734 = {"Mods", nil, nil, "HC - Burbot (Fresh Uncooked)", "Hydrocraft.HCBurbot", "media/textures/Item_HCBurbot.png", nil, nil, nil}
		NecroList.Items.HC735 = {"Mods", nil, nil, "HC - Burlap Cloth", "Hydrocraft.HCBurlapcloth", "media/textures/Item_HCBurlapcloth.png", nil, nil, nil}
		NecroList.Items.HC736 = {"Mods", nil, nil, "HC - Burrito (Fresh)", "Hydrocraft.HCBurrito", "media/textures/Item_HCBurrito.png", nil, nil, nil}
		NecroList.Items.HC737 = {"Mods", nil, nil, "HC - Burrito Grande (Fresh)", "Hydrocraft.HCBurritogrande", "media/textures/Item_HCBurrito.png", nil, nil, nil}
		NecroList.Items.HC738 = {"Mods", nil, nil, "HC - Uncooked Burrito Grande (Fresh Uncooked)", "Hydrocraft.HCBurritograndeuncooked", "media/textures/Item_HCBurritouncooked.png", nil, nil, nil}
		NecroList.Items.HC739 = {"Mods", nil, nil, "HC - Uncooked Burrito (Fresh Uncooked)", "Hydrocraft.HCBurritouncooked", "media/textures/Item_HCBurritouncooked.png", nil, nil, nil}
		NecroList.Items.HC740 = {"Mods", nil, nil, "HC - Blue Butterfly", "Hydrocraft.HCButterfly", "media/textures/Item_HCButterfly.png", nil, nil, nil}
		NecroList.Items.HC741 = {"Mods", nil, nil, "HC - Button-Down Shirt", "Hydrocraft.HCButtondownshirt", "media/textures/Item_HCButtondownshirt.png", nil, nil, nil}
		NecroList.Items.HC742 = {"Mods", nil, nil, "HC - Red Cabbage (Fresh)", "Hydrocraft.HCCabbagered", "media/textures/Item_HCCabbagered.png", nil, nil, nil}
		NecroList.Items.HC743 = {"Mods", nil, nil, "HC - Red Cabbage Seeds", "Hydrocraft.HCCabbageredseeds", "media/textures/Item_HCCabbageredseeds.png", nil, nil, nil}
		NecroList.Items.HC744 = {"Mods", nil, nil, "HC - Red Cabbage Seeds Packet", "Hydrocraft.HCCabbageredseedspacket", "media/textures/Item_HCCabbageredseedspacket.png", nil, nil, nil}
		NecroList.Items.HC745 = {"Mods", nil, nil, "HC - White Cabbage (Fresh)", "Hydrocraft.HCCabbagewhite", "media/textures/Item_HCCabbagewhite.png", nil, nil, nil}
		NecroList.Items.HC746 = {"Mods", nil, nil, "HC - White Cabbage Seeds", "Hydrocraft.HCCabbagewhiteseeds", "media/textures/Item_HCCabbagewhiteseeds.png", nil, nil, nil}
		NecroList.Items.HC747 = {"Mods", nil, nil, "HC - White Cabbage Seeds Packet", "Hydrocraft.HCCabbagewhiteseedspacket", "media/textures/Item_HCCabbagewhiteseedspacket.png", nil, nil, nil}
		NecroList.Items.HC748 = {"Mods", nil, nil, "HC - Copper Cable", "Hydrocraft.HCCablecopper", "media/textures/Item_HCCablecopper.png", nil, nil, nil}
		NecroList.Items.HC749 = {"Mods", nil, nil, "HC - Tangled Cables", "Hydrocraft.HCCabletangle", "media/textures/Item_HCCabletangle.png", nil, nil, nil}
		NecroList.Items.HC750 = {"Mods", nil, nil, "HC - Cactus Fruit", "Hydrocraft.HCCactusfruit", "media/textures/Item_HCCactusfruit.png", nil, nil, nil}
		NecroList.Items.HC751 = {"Mods", nil, nil, "HC - Cactus Seeds", "Hydrocraft.HCCactusseeds", "media/textures/Item_HCCactusseeds.png", nil, nil, nil}
		NecroList.Items.HC752 = {"Mods", nil, nil, "HC - Cactus Seeds Packet", "Hydrocraft.HCCactusseedspacket", "media/textures/Item_HCCactusseedspacket.png", nil, nil, nil}
		NecroList.Items.HC753 = {"Mods", nil, nil, "HC - Box of Caffeine Pills", "Hydrocraft.HCCaffeinebox", "media/textures/Item_HCCaffeinebox.png", nil, nil, nil}
		NecroList.Items.HC754 = {"Mods", nil, nil, "HC - Caffeine Pills", "Hydrocraft.HCCaffeinepills", "media/textures/Item_HCCaffeinepills.png", nil, nil, nil}
		NecroList.Items.HC755 = {"Mods", nil, nil, "HC - Cajun Seasoning", "Hydrocraft.HCCajunseasoning", "media/textures/Item_HCCajunseasoning.png", nil, nil, nil}
		NecroList.Items.HC756 = {"Mods", nil, nil, "HC - Calcium Carbonate Powder", "Hydrocraft.HCCalciumcarbonatpowder", "media/textures/Item_HCCalciumcarbonatpowder.png", nil, nil, nil}
		NecroList.Items.HC757 = {"Mods", nil, nil, "HC - Calcium Chloride Powder", "Hydrocraft.HCCalciumchloridepowder", "media/textures/Item_HCCalciumchloridepowder.png", nil, nil, nil}
		NecroList.Items.HC758 = {"Mods", nil, nil, "HC - Calcium Hydroxide Powder", "Hydrocraft.HCCalciumhydroxidpowder", "media/textures/Item_HCCalciumhydroxidpowder.png", nil, nil, nil}
		NecroList.Items.HC759 = {"Mods", nil, nil, "HC - Calcium Oxide Powder", "Hydrocraft.HCCalciumoxidpowder", "media/textures/Item_HCCalciumoxidpowder.png", nil, nil, nil}
		NecroList.Items.HC760 = {"Mods", nil, nil, "HC - Calculator", "Hydrocraft.HCCalculator", "media/textures/Item_HCCalculator.png", nil, nil, nil}
		NecroList.Items.HC761 = {"Mods", nil, nil, "HC - Calily", "Hydrocraft.HCCalily", "media/textures/Item_HCCalily.png", nil, nil, nil}
		NecroList.Items.HC762 = {"Mods", nil, nil, "HC - Camellia", "Hydrocraft.HCCamellia", "media/textures/Item_HCCamellia.png", nil, nil, nil}
		NecroList.Items.HC763 = {"Mods", nil, nil, "HC - Camera", "Hydrocraft.HCCamera", "media/textures/Item_HCCamera.png", nil, nil, nil}
		NecroList.Items.HC764 = {"Mods", nil, nil, "HC - Camomile", "Hydrocraft.HCCamomile", "media/textures/Item_HCCamomile.png", nil, nil, nil}
		NecroList.Items.HC765 = {"Mods", nil, nil, "HC - Dried Camomile", "Hydrocraft.HCCamomiledry", "media/textures/Item_HCCamomiledry.png", nil, nil, nil}
		NecroList.Items.HC766 = {"Mods", nil, nil, "HC - Camomile Tea", "Hydrocraft.HCCamomileteaclaymug", "media/textures/Item_HCHotcuppa.png", nil, nil, nil}
		NecroList.Items.HC767 = {"Mods", nil, nil, "HC - Camomile Tea", "Hydrocraft.HCCamomileteamug", "Item_MugFulll", nil, nil, nil}
		NecroList.Items.HC768 = {"Mods", nil, nil, "HC - Camping Pack", "Hydrocraft.HCCampingpack", "media/textures/Item_HCCampingpack.png", nil, nil, nil}
		NecroList.Items.HC769 = {"Mods", nil, nil, "HC - Camshaft", "Hydrocraft.HCCamshaft", "media/textures/Item_HCCamshaft.png", nil, nil, nil}
		NecroList.Items.HC770 = {"Mods", nil, nil, "HC - Dead Canadian Goose", "Hydrocraft.HCCanadiangoosedead", "media/textures/Item_HCCanadiangoosedead.png", nil, nil, nil}
		NecroList.Items.HC771 = {"Mods", nil, nil, "HC - Canadian Goose (Female)", "Hydrocraft.HCCanadiangoosefemale", "media/textures/Item_HCCanadiangoosefemale.png", nil, nil, nil}
		NecroList.Items.HC772 = {"Mods", nil, nil, "HC - Canadian Goose (Male)", "Hydrocraft.HCCanadiangoosemale", "media/textures/Item_HCCanadiangoosemale.png", nil, nil, nil}
		NecroList.Items.HC773 = {"Mods", nil, nil, "HC - Candleberry (Fresh)", "Hydrocraft.HCCandleberry", "media/textures/Item_HCCandleberry.png", nil, nil, nil}
		NecroList.Items.HC774 = {"Mods", nil, nil, "HC - Candleberry Wax", "Hydrocraft.HCCandleberrywax", "media/textures/Item_HCCandleberrywax.png", nil, nil, nil}
		NecroList.Items.HC775 = {"Mods", nil, nil, "HC - Candle Holder", "Hydrocraft.HCCandleholder", "media/textures/Item_HCCandleholder.png", nil, nil, nil}
		NecroList.Items.HC776 = {"Mods", nil, nil, "HC - Candle in Holder", "Hydrocraft.HCCandleholder2", "media/textures/Item_HCCandleholder2.png", nil, nil, nil}
		NecroList.Items.HC777 = {"Mods", nil, nil, "HC - Lit Candle in Holder", "Hydrocraft.HCCandleholder3", "media/textures/Item_HCCandleholder3.png", nil, nil, nil}
		NecroList.Items.HC778 = {"Mods", nil, nil, "HC - Tallow Candle", "Hydrocraft.HCCandletallow", "media/textures/Item_HCCandletallow.png", nil, nil, nil}
		NecroList.Items.HC779 = {"Mods", nil, nil, "HC - Lit Tallow Candle", "Hydrocraft.HCCandletallowlit", "media/textures/Item_HCCandletallowlit.png", nil, nil, nil}
		NecroList.Items.HC780 = {"Mods", nil, nil, "HC - Apple Candy", "Hydrocraft.HCCandyapple", "media/textures/Item_HCCandyapple.png", nil, nil, nil}
		NecroList.Items.HC781 = {"Mods", nil, nil, "HC - Candy Bucket", "Hydrocraft.HCCandybucket", "media/textures/Item_HCCandybucket.png", nil, nil, nil}
		NecroList.Items.HC782 = {"Mods", nil, nil, "HC - Cherry Candy", "Hydrocraft.HCCandycherry", "media/textures/Item_HCCandycherry.png", nil, nil, nil}
		NecroList.Items.HC783 = {"Mods", nil, nil, "HC - Candy Corn", "Hydrocraft.HCCandycorn", "media/textures/Item_HCCandycorn.png", nil, nil, nil}
		NecroList.Items.HC784 = {"Mods", nil, nil, "HC - Empty Candy Wrapper", "Hydrocraft.HCCandycorntrash", "media/textures/Item_HCCandycorntrash.png", nil, nil, nil}
		NecroList.Items.HC785 = {"Mods", nil, nil, "HC - Mixed Candy", "Hydrocraft.HCCandymixed", "media/textures/Item_HCCandymixed.png", nil, nil, nil}
		NecroList.Items.HC786 = {"Mods", nil, nil, "HC - Rainbow Chocolate Candy", "Hydrocraft.HCCandymnm", "media/textures/Item_HCCandymnm.png", nil, nil, nil}
		NecroList.Items.HC787 = {"Mods", nil, nil, "HC - Empty Candy Wrapper", "Hydrocraft.HCCandymnmtrash", "media/textures/Item_HCCandymnmtrash.png", nil, nil, nil}
		NecroList.Items.HC788 = {"Mods", nil, nil, "HC - Rainbow Fruit Candy", "Hydrocraft.HCCandyrainbow", "media/textures/Item_HCCandyrainbow.png", nil, nil, nil}
		NecroList.Items.HC789 = {"Mods", nil, nil, "HC - Empty Candy Wrapper", "Hydrocraft.HCCandyrainbowtrash", "media/textures/Item_HCCandyrainbowtrash.png", nil, nil, nil}
		NecroList.Items.HC790 = {"Mods", nil, nil, "HC - Cane", "Hydrocraft.HCCane", "media/textures/Item_HCCane.png", nil, nil, nil}
		NecroList.Items.HC791 = {"Mods", nil, nil, "HC - Canned Apples", "Hydrocraft.HCCannedapple", "media/textures/Item_HCCannedapple.png", nil, nil, nil}
		NecroList.Items.HC792 = {"Mods", nil, nil, "HC - Tin Can", "Hydrocraft.HCCannedappleempty", "media/textures/Item_HCCannedappleempty.png", nil, nil, nil}
		NecroList.Items.HC793 = {"Mods", nil, nil, "HC - Open Canned Apples (Fresh)", "Hydrocraft.HCCannedappleopen", "media/textures/Item_HCCannedappleopen.png", nil, nil, nil}
		NecroList.Items.HC794 = {"Mods", nil, nil, "HC - Tin Can with Water", "Hydrocraft.HCCannedapplewater", "media/textures/Item_HCCannedapplewater.png", nil, nil, nil}
		NecroList.Items.HC795 = {"Mods", nil, nil, "HC - Tin Can", "Hydrocraft.HCCannedbologneseempty", "media/textures/Item_HCCannedbologneseempty.png", nil, nil, nil}
		NecroList.Items.HC796 = {"Mods", nil, nil, "HC - Tin Can with Water", "Hydrocraft.HCCannedbolognesewater", "media/textures/Item_HCCannedbolognesewater.png", nil, nil, nil}
		NecroList.Items.HC797 = {"Mods", nil, nil, "HC - Tin Can", "Hydrocraft.HCCannedcarrotsempty", "media/textures/Item_HCCannedcarrotsempty.png", nil, nil, nil}
		NecroList.Items.HC798 = {"Mods", nil, nil, "HC - Tin Can with Water", "Hydrocraft.HCCannedcarrotswater", "media/textures/Item_HCCannedcarrotswater.png", nil, nil, nil}
		NecroList.Items.HC799 = {"Mods", nil, nil, "HC - Tin Can", "Hydrocraft.HCCannedchiliempty", "media/textures/Item_HCCannedchiliempty.png", nil, nil, nil}
		NecroList.Items.HC800 = {"Mods", nil, nil, "HC - Tin Can with Water", "Hydrocraft.HCCannedchiliwater", "media/textures/Item_HCCannedchiliwater.png", nil, nil, nil}
		NecroList.Items.HC801 = {"Mods", nil, nil, "HC - Tin Can", "Hydrocraft.HCCannedcornedbeefempty", "media/textures/Item_HCCannedcornedbeefempty.png", nil, nil, nil}
		NecroList.Items.HC802 = {"Mods", nil, nil, "HC - Tin Can with Water", "Hydrocraft.HCCannedcornedbeefwater", "media/textures/Item_HCCannedcornedbeefwater.png", nil, nil, nil}
		NecroList.Items.HC803 = {"Mods", nil, nil, "HC - Tin Can", "Hydrocraft.HCCannedcornempty", "media/textures/Item_HCCannedcornempty.png", nil, nil, nil}
		NecroList.Items.HC804 = {"Mods", nil, nil, "HC - Tin Can with Water", "Hydrocraft.HCCannedcornwater", "media/textures/Item_HCCannedcornwater.png", nil, nil, nil}
		NecroList.Items.HC805 = {"Mods", nil, nil, "HC - Canned Cranberries", "Hydrocraft.HCCannedcranberries", "media/textures/Item_HCCannedcranberries.png", nil, nil, nil}
		NecroList.Items.HC806 = {"Mods", nil, nil, "HC - Tin Can", "Hydrocraft.HCCannedcranberriesempty", "media/textures/Item_HCCannedcranberriesempty.png", nil, nil, nil}
		NecroList.Items.HC807 = {"Mods", nil, nil, "HC - Open Canned Cranberries (Fresh)", "Hydrocraft.HCCannedcranberriesopen", "media/textures/Item_HCCannedcranberriesopen.png", nil, nil, nil}
		NecroList.Items.HC808 = {"Mods", nil, nil, "HC - Tin Can with Water", "Hydrocraft.HCCannedcranberrieswater", "media/textures/Item_HCCannedcranberrieswater.png", nil, nil, nil}
		NecroList.Items.HC809 = {"Mods", nil, nil, "HC - Canned Cream of Chicken", "Hydrocraft.HCCannedcreamofchicken", "media/textures/Item_HCCannedcreamofchicken.png", nil, nil, nil}
		NecroList.Items.HC810 = {"Mods", nil, nil, "HC - Open Cannned Cream of Chicken (Fresh)", "Hydrocraft.HCCannedcreamofchickenopen", "media/textures/Item_HCCannedcreamofchickenopen.png", nil, nil, nil}
		NecroList.Items.HC811 = {"Mods", nil, nil, "HC - Canned Green Beans", "Hydrocraft.HCCannedgreenbeans", "media/textures/Item_HCCannedgreenbeans.png", nil, nil, nil}
		NecroList.Items.HC812 = {"Mods", nil, nil, "HC - Tin Can", "Hydrocraft.HCCannedgreenbeansempty", "media/textures/Item_HCCannedgreenbeansempty.png", nil, nil, nil}
		NecroList.Items.HC813 = {"Mods", nil, nil, "HC - Open Canned Green Beans (Fresh)", "Hydrocraft.HCCannedgreenbeansopen", "media/textures/Item_HCCannedgreenbeansopen.png", nil, nil, nil}
		NecroList.Items.HC814 = {"Mods", nil, nil, "HC - Tin Can with Water", "Hydrocraft.HCCannedgreenbeanswater", "media/textures/Item_HCCannedgreenbeanswater.png", nil, nil, nil}
		NecroList.Items.HC815 = {"Mods", nil, nil, "HC - Tin Can", "Hydrocraft.HCCannedmushroomsempty", "media/textures/Item_HCCannedmushroomsempty.png", nil, nil, nil}
		NecroList.Items.HC816 = {"Mods", nil, nil, "HC - Tin Can", "Hydrocraft.HCCannedmushroomsoupempty", "media/textures/Item_HCCannedmushroomsoupempty.png", nil, nil, nil}
		NecroList.Items.HC817 = {"Mods", nil, nil, "HC - Tin Can with Water", "Hydrocraft.HCCannedmushroomsoupwater", "media/textures/Item_HCCannedmushroomsoupwater.png", nil, nil, nil}
		NecroList.Items.HC818 = {"Mods", nil, nil, "HC - Tin Can with Water", "Hydrocraft.HCCannedmushroomswater", "media/textures/Item_HCCannedmushroomswater.png", nil, nil, nil}
		NecroList.Items.HC819 = {"Mods", nil, nil, "HC - Canned Peaches", "Hydrocraft.HCCannedpeach", "media/textures/Item_HCCannedpeach.png", nil, nil, nil}
		NecroList.Items.HC820 = {"Mods", nil, nil, "HC - Tin Can", "Hydrocraft.HCCannedpeachempty", "media/textures/Item_HCCannedpeachempty.png", nil, nil, nil}
		NecroList.Items.HC821 = {"Mods", nil, nil, "HC - Open Canned Peaches (Fresh)", "Hydrocraft.HCCannedpeachopen", "media/textures/Item_HCCannedpeachopen.png", nil, nil, nil}
		NecroList.Items.HC822 = {"Mods", nil, nil, "HC - Tin Can with Water", "Hydrocraft.HCCannedpeachwater", "media/textures/Item_HCCannedpeachwater.png", nil, nil, nil}
		NecroList.Items.HC823 = {"Mods", nil, nil, "HC - Canned Pears", "Hydrocraft.HCCannedpear", "media/textures/Item_HCCannedpear.png", nil, nil, nil}
		NecroList.Items.HC824 = {"Mods", nil, nil, "HC - Tin Can", "Hydrocraft.HCCannedpearempty", "media/textures/Item_HCCannedpearempty.png", nil, nil, nil}
		NecroList.Items.HC825 = {"Mods", nil, nil, "HC - Open Canned Pears (Fresh)", "Hydrocraft.HCCannedpearopen", "media/textures/Item_HCCannedpearopen.png", nil, nil, nil}
		NecroList.Items.HC826 = {"Mods", nil, nil, "HC - Tin Can with Water", "Hydrocraft.HCCannedpearwater", "media/textures/Item_HCCannedpearwater.png", nil, nil, nil}
		NecroList.Items.HC827 = {"Mods", nil, nil, "HC - Tin Can", "Hydrocraft.HCCannedpeasempty", "media/textures/Item_HCCannedpeasempty.png", nil, nil, nil}
		NecroList.Items.HC828 = {"Mods", nil, nil, "HC - Tin Can with Water", "Hydrocraft.HCCannedpeaswater", "media/textures/Item_HCCannedpeaswater.png", nil, nil, nil}
		NecroList.Items.HC829 = {"Mods", nil, nil, "HC - Canned Pineapple", "Hydrocraft.HCCannedpineapple", "media/textures/Item_HCCannedpineapple.png", nil, nil, nil}
		NecroList.Items.HC830 = {"Mods", nil, nil, "HC - Tin Can", "Hydrocraft.HCCannedpineappleempty", "media/textures/Item_HCCannedpineappleempty.png", nil, nil, nil}
		NecroList.Items.HC831 = {"Mods", nil, nil, "HC - Open Cannned Pineapple (Fresh)", "Hydrocraft.HCCannedpineappleopen", "media/textures/Item_HCCannedpineappleopen.png", nil, nil, nil}
		NecroList.Items.HC832 = {"Mods", nil, nil, "HC - Tin Can with Water", "Hydrocraft.HCCannedpineapplewater", "media/textures/Item_HCCannedpineapplewater.png", nil, nil, nil}
		NecroList.Items.HC833 = {"Mods", nil, nil, "HC - Tin Can", "Hydrocraft.HCCannedpotatoempty", "media/textures/Item_HCCannedpotatoempty.png", nil, nil, nil}
		NecroList.Items.HC834 = {"Mods", nil, nil, "HC - Tin Can with Water", "Hydrocraft.HCCannedpotatowater", "media/textures/Item_HCCannedpotatowater.png", nil, nil, nil}
		NecroList.Items.HC835 = {"Mods", nil, nil, "HC - Canned Pumpkin", "Hydrocraft.HCCannedpumpkin", "media/textures/Item_HCCannedpumpkin.png", nil, nil, nil}
		NecroList.Items.HC836 = {"Mods", nil, nil, "HC - Tin Can", "Hydrocraft.HCCannedpumpkinempty", "media/textures/Item_HCCannedpumpkinempty.png", nil, nil, nil}
		NecroList.Items.HC837 = {"Mods", nil, nil, "HC - Open Cannned Pumpkin (Fresh)", "Hydrocraft.HCCannedpumpkinopen", "media/textures/Item_HCCannedpumpkinopen.png", nil, nil, nil}
		NecroList.Items.HC838 = {"Mods", nil, nil, "HC - Tin Can with Water", "Hydrocraft.HCCannedpumpkinwater", "media/textures/Item_HCCannedpumpkinwater.png", nil, nil, nil}
		NecroList.Items.HC839 = {"Mods", nil, nil, "HC - Canned Refried Beans", "Hydrocraft.HCCannedrefriedbeans", "media/textures/Item_HCCannedrefriedbeans.png", nil, nil, nil}
		NecroList.Items.HC840 = {"Mods", nil, nil, "HC - Tin Can", "Hydrocraft.HCCannedrefriedbeansempty", "media/textures/Item_HCCannedrefriedbeansempty.png", nil, nil, nil}
		NecroList.Items.HC841 = {"Mods", nil, nil, "HC - Open Cannned Refried Beans (Fresh)", "Hydrocraft.HCCannedrefriedbeansopen", "media/textures/Item_HCCannedrefriedbeansopen.png", nil, nil, nil}
		NecroList.Items.HC842 = {"Mods", nil, nil, "HC - Tin Can with Water", "Hydrocraft.HCCannedrefriedbeanswater", "media/textures/Item_HCCannedrefriedbeanswater.png", nil, nil, nil}
		NecroList.Items.HC843 = {"Mods", nil, nil, "HC - Tin Can", "Hydrocraft.HCCannedsardinesempty", "media/textures/Item_HCCannedsardinesempty.png", nil, nil, nil}
		NecroList.Items.HC844 = {"Mods", nil, nil, "HC - Tin Can with Water", "Hydrocraft.HCCannedsardineswater", "media/textures/Item_HCCannedsardineswater.png", nil, nil, nil}
		NecroList.Items.HC845 = {"Mods", nil, nil, "HC - Canned Mushrooms", "Hydrocraft.HCCannedshrooms", "media/textures/Item_HCCannedmushrooms.png", nil, nil, nil}
		NecroList.Items.HC846 = {"Mods", nil, nil, "HC - Open Canned Mushrooms (Fresh)", "Hydrocraft.HCCannedshroomsopen", "media/textures/Item_HCCannedmushroomsopen.png", nil, nil, nil}
		NecroList.Items.HC847 = {"Mods", nil, nil, "HC - Canned Soup Classic", "Hydrocraft.HCCannedsoupclassic", "media/textures/Item_HCCannedsoupclassic.png", nil, nil, nil}
		NecroList.Items.HC848 = {"Mods", nil, nil, "HC - Tin Can", "Hydrocraft.HCCannedsoupclassicempty", "media/textures/Item_HCCannedsoupclassicempty.png", nil, nil, nil}
		NecroList.Items.HC849 = {"Mods", nil, nil, "HC - Open Canned Classic Soup (Fresh)", "Hydrocraft.HCCannedsoupclassicopen", "media/textures/Item_HCCannedsoupclassicopen.png", nil, nil, nil}
		NecroList.Items.HC850 = {"Mods", nil, nil, "HC - Tin Can with Water", "Hydrocraft.HCCannedsoupclassicwater", "media/textures/Item_HCCannedsoupclassicwater.png", nil, nil, nil}
		NecroList.Items.HC851 = {"Mods", nil, nil, "HC - Canned Spam", "Hydrocraft.HCCannedspam", "media/textures/Item_HCCannedspam.png", nil, nil, nil}
		NecroList.Items.HC852 = {"Mods", nil, nil, "HC - Tin Can", "Hydrocraft.HCCannedspamempty", "media/textures/Item_HCCannedspamempty.png", nil, nil, nil}
		NecroList.Items.HC853 = {"Mods", nil, nil, "HC - Open Cannned Spam (Fresh)", "Hydrocraft.HCCannedspamopen", "media/textures/Item_HCCannedspamopen.png", nil, nil, nil}
		NecroList.Items.HC854 = {"Mods", nil, nil, "HC - Tin Can", "Hydrocraft.HCCannedtomatoempty", "media/textures/Item_HCCannedtomatoempty.png", nil, nil, nil}
		NecroList.Items.HC855 = {"Mods", nil, nil, "HC - Tin Can with Water", "Hydrocraft.HCCannedtomatowater", "media/textures/Item_HCCannedtomatowater.png", nil, nil, nil}
		NecroList.Items.HC856 = {"Mods", nil, nil, "HC - Cannon Ball", "Hydrocraft.HCCannonball", "media/textures/Item_HCCannonball.png", nil, nil, nil}
		NecroList.Items.HC857 = {"Mods", nil, nil, "HC - Canteen", "Hydrocraft.HCCanteen", "media/textures/Item_HCCanteen.png", nil, nil, nil}
		NecroList.Items.HC858 = {"Mods", nil, nil, "HC - Canteen with Water", "Hydrocraft.HCCanteenfull", "media/textures/Item_HCCanteenfull.png", nil, nil, nil}
		NecroList.Items.HC859 = {"Mods", nil, nil, "HC - Canvas", "Hydrocraft.HCCanvas", "media/textures/Item_HCCanvas.png", nil, nil, nil}
		NecroList.Items.HC860 = {"Mods", nil, nil, "HC - Dead Canvasback Duck (Fresh)", "Hydrocraft.HCCanvasbackduckdead", "media/textures/Item_HCCanvasbackduckdead.png", nil, nil, nil}
		NecroList.Items.HC861 = {"Mods", nil, nil, "HC - Dead Canvasback Duck (Fresh)", "Hydrocraft.HCCanvasbackduckdead2", "media/textures/Item_HCCanvasbackduckdead2.png", nil, nil, nil}
		NecroList.Items.HC862 = {"Mods", nil, nil, "HC - Canvasback Duck (Female)", "Hydrocraft.HCCanvasbackduckfemale", "media/textures/Item_HCCanvasbackduckfemale.png", nil, nil, nil}
		NecroList.Items.HC863 = {"Mods", nil, nil, "HC - Canvasback Duck (Male)", "Hydrocraft.HCCanvasbackduckmale", "media/textures/Item_HCCanvasbackduckmale.png", nil, nil, nil}
		NecroList.Items.HC864 = {"Mods", nil, nil, "HC - Capacitor", "Hydrocraft.HCCapacitor01", "media/textures/Item_HCCapacitor01.png", nil, nil, nil}
		NecroList.Items.HC865 = {"Mods", nil, nil, "HC - Capacitor", "Hydrocraft.HCCapacitor02", "media/textures/Item_HCCapacitor02.png", nil, nil, nil}
		NecroList.Items.HC866 = {"Mods", nil, nil, "HC - Car", "Hydrocraft.HCCar10L", "media/textures/Item_HCCar10L.png", nil, nil, nil}
		NecroList.Items.HC867 = {"Mods", nil, nil, "HC - Car", "Hydrocraft.HCCar10R", "media/textures/Item_HCCar10R.png", nil, nil, nil}
		NecroList.Items.HC868 = {"Mods", nil, nil, "HC - Car", "Hydrocraft.HCCar11L", "media/textures/Item_HCCar11L.png", nil, nil, nil}
		NecroList.Items.HC869 = {"Mods", nil, nil, "HC - Car", "Hydrocraft.HCCar11R", "media/textures/Item_HCCar11R.png", nil, nil, nil}
		NecroList.Items.HC870 = {"Mods", nil, nil, "HC - Car", "Hydrocraft.HCCar12L", "media/textures/Item_HCCar12L.png", nil, nil, nil}
		NecroList.Items.HC871 = {"Mods", nil, nil, "HC - Car", "Hydrocraft.HCCar12R", "media/textures/Item_HCCar12R.png", nil, nil, nil}
		NecroList.Items.HC872 = {"Mods", nil, nil, "HC - Car", "Hydrocraft.HCCar1L", "media/textures/Item_HCCar1L.png", nil, nil, nil}
		NecroList.Items.HC873 = {"Mods", nil, nil, "HC - Car", "Hydrocraft.HCCar1R", "media/textures/Item_HCCar1R.png", nil, nil, nil}
		NecroList.Items.HC874 = {"Mods", nil, nil, "HC - Car", "Hydrocraft.HCCar2L", "media/textures/Item_HCCar2L.png", nil, nil, nil}
		NecroList.Items.HC875 = {"Mods", nil, nil, "HC - Car", "Hydrocraft.HCCar2R", "media/textures/Item_HCCar2R.png", nil, nil, nil}
		NecroList.Items.HC876 = {"Mods", nil, nil, "HC - Car", "Hydrocraft.HCCar3L", "media/textures/Item_HCCar3L.png", nil, nil, nil}
		NecroList.Items.HC877 = {"Mods", nil, nil, "HC - Car", "Hydrocraft.HCCar3R", "media/textures/Item_HCCar3R.png", nil, nil, nil}
		NecroList.Items.HC878 = {"Mods", nil, nil, "HC - Car", "Hydrocraft.HCCar4L", "media/textures/Item_HCCar4L.png", nil, nil, nil}
		NecroList.Items.HC879 = {"Mods", nil, nil, "HC - Car", "Hydrocraft.HCCar4R", "media/textures/Item_HCCar4R.png", nil, nil, nil}
		NecroList.Items.HC880 = {"Mods", nil, nil, "HC - Car", "Hydrocraft.HCCar5L", "media/textures/Item_HCCar5L.png", nil, nil, nil}
		NecroList.Items.HC881 = {"Mods", nil, nil, "HC - Car", "Hydrocraft.HCCar5R", "media/textures/Item_HCCar5R.png", nil, nil, nil}
		NecroList.Items.HC882 = {"Mods", nil, nil, "HC - Car", "Hydrocraft.HCCar6L", "media/textures/Item_HCCar6L.png", nil, nil, nil}
		NecroList.Items.HC883 = {"Mods", nil, nil, "HC - Car", "Hydrocraft.HCCar6R", "media/textures/Item_HCCar6R.png", nil, nil, nil}
		NecroList.Items.HC884 = {"Mods", nil, nil, "HC - Car", "Hydrocraft.HCCar7L", "media/textures/Item_HCCar7L.png", nil, nil, nil}
		NecroList.Items.HC885 = {"Mods", nil, nil, "HC - Car", "Hydrocraft.HCCar7R", "media/textures/Item_HCCar7R.png", nil, nil, nil}
		NecroList.Items.HC886 = {"Mods", nil, nil, "HC - Car", "Hydrocraft.HCCar8L", "media/textures/Item_HCCar8L.png", nil, nil, nil}
		NecroList.Items.HC887 = {"Mods", nil, nil, "HC - Car", "Hydrocraft.HCCar8R", "media/textures/Item_HCCar8R.png", nil, nil, nil}
		NecroList.Items.HC888 = {"Mods", nil, nil, "HC - Car", "Hydrocraft.HCCar9L", "media/textures/Item_HCCar9L.png", nil, nil, nil}
		NecroList.Items.HC889 = {"Mods", nil, nil, "HC - Car", "Hydrocraft.HCCar9R", "media/textures/Item_HCCar9R.png", nil, nil, nil}
		NecroList.Items.HC890 = {"Mods", nil, nil, "HC - Caraway", "Hydrocraft.HCCaraway", "media/textures/Item_HCCaraway.png", nil, nil, nil}
		NecroList.Items.HC891 = {"Mods", nil, nil, "HC - Car Battery", "Hydrocraft.HCCarbattery", "media/textures/Item_HCCarbattery.png", nil, nil, nil}
		NecroList.Items.HC892 = {"Mods", nil, nil, "HC - Carbon Powder", "Hydrocraft.HCCarbonpowder", "media/textures/Item_HCCarbonpowder.png", nil, nil, nil}
		NecroList.Items.HC893 = {"Mods", nil, nil, "HC - Cardamom", "Hydrocraft.HCCardamom", "media/textures/Item_HCCardamom.png", nil, nil, nil}
		NecroList.Items.HC894 = {"Mods", nil, nil, "HC - Cardboard Box", "Hydrocraft.HCCardboardbox", "media/textures/Item_HCCardboardbox.png", nil, nil, nil}
		NecroList.Items.HC895 = {"Mods", nil, nil, "HC - Stack of Cardboard Boxes", "Hydrocraft.HCCardboardboxstack", "media/textures/Item_HCCardboardboxstack.png", nil, nil, nil}
		NecroList.Items.HC896 = {"Mods", nil, nil, "HC - Dead Cardinal (Fresh)", "Hydrocraft.HCCardinaldead", "media/textures/Item_HCCardinaldead.png", nil, nil, nil}
		NecroList.Items.HC897 = {"Mods", nil, nil, "HC - Car Key", "Hydrocraft.HCCarkey", "media/textures/Item_HCCarkey.png", nil, nil, nil}
		NecroList.Items.HC898 = {"Mods", nil, nil, "HC - Carnation", "Hydrocraft.HCCarnation", "media/textures/Item_HCCarnation.png", nil, nil, nil}
		NecroList.Items.HC899 = {"Mods", nil, nil, "HC - Carp (Fresh Uncooked)", "Hydrocraft.HCCarp", "media/textures/Item_HCCarp.png", nil, nil, nil}
		NecroList.Items.HC900 = {"Mods", nil, nil, "HC - Carpenter Bench", "Hydrocraft.HCCarpenterbench", "media/textures/Item_HCCarpenterbench.png", nil, nil, nil}
		NecroList.Items.HC901 = {"Mods", nil, nil, "HC - Cash Register", "Hydrocraft.HCCashregister", "media/textures/Item_HCCashregister.png", nil, nil, nil}
		NecroList.Items.HC902 = {"Mods", nil, nil, "HC - Cat (Female)", "Hydrocraft.HCCatblackfemale", "media/textures/Item_HCCatblackfemale.png", nil, nil, nil}
		NecroList.Items.HC903 = {"Mods", nil, nil, "HC - Cat (Male)", "Hydrocraft.HCCatblackmale", "media/textures/Item_HCCatblackmale.png", nil, nil, nil}
		NecroList.Items.HC904 = {"Mods", nil, nil, "HC - Cat (Female)", "Hydrocraft.HCCatbluefemale", "media/textures/Item_HCCatbluefemale.png", nil, nil, nil}
		NecroList.Items.HC905 = {"Mods", nil, nil, "HC - Cat (Male)", "Hydrocraft.HCCatbluemale", "media/textures/Item_HCCatbluemale.png", nil, nil, nil}
		NecroList.Items.HC906 = {"Mods", nil, nil, "HC - Cat (Female)", "Hydrocraft.HCCatbrownfemale", "media/textures/Item_HCCatbrownfemale.png", nil, nil, nil}
		NecroList.Items.HC907 = {"Mods", nil, nil, "HC - Cat (Male)", "Hydrocraft.HCCatbrownmale", "media/textures/Item_HCCatbrownmale.png", nil, nil, nil}
		NecroList.Items.HC908 = {"Mods", nil, nil, "HC - Cat (Female)", "Hydrocraft.HCCatcreamfemale", "media/textures/Item_HCCatcreamfemale.png", nil, nil, nil}
		NecroList.Items.HC909 = {"Mods", nil, nil, "HC - Caterpillar", "Hydrocraft.HCCaterpillar", "media/textures/Item_HCCaterpillar.png", nil, nil, nil}
		NecroList.Items.HC910 = {"Mods", nil, nil, "HC - Poison Caterpillar", "Hydrocraft.HCCaterpillar2", "media/textures/Item_HCCaterpillar2.png", nil, nil, nil}
		NecroList.Items.HC911 = {"Mods", nil, nil, "HC - Cat (Female)", "Hydrocraft.HCCatfemale", "media/textures/Item_HCCatfemale.png", nil, nil, nil}
		NecroList.Items.HC912 = {"Mods", nil, nil, "HC - Cat Food", "Hydrocraft.HCCatfood", "media/textures/Item_HCCatfood.png", nil, nil, nil}
		NecroList.Items.HC913 = {"Mods", nil, nil, "HC - Open Cat Food (Fresh)", "Hydrocraft.HCCatfoodoOpen", "Question_On", nil, nil, nil}
		NecroList.Items.HC914 = {"Mods", nil, nil, "HC - Cat (Female)", "Hydrocraft.HCCatgingerfemale", "media/textures/Item_HCCatgingerfemale.png", nil, nil, nil}
		NecroList.Items.HC915 = {"Mods", nil, nil, "HC - Cat (Male)", "Hydrocraft.HCCatgingermale", "media/textures/Item_HCCatgingermale.png", nil, nil, nil}
		NecroList.Items.HC916 = {"Mods", nil, nil, "HC - Bag of Kitty Litter", "Hydrocraft.HCCatlitter", "media/textures/Item_HCCatlitter.png", nil, nil, nil}
		NecroList.Items.HC917 = {"Mods", nil, nil, "HC - Cat (Male)", "Hydrocraft.HCCatmale", "media/textures/Item_HCCatmale.png", nil, nil, nil}
		NecroList.Items.HC918 = {"Mods", nil, nil, "HC - Cat (Male)", "Hydrocraft.HCCatmalecream", "media/textures/Item_HCCatcreammale.png", nil, nil, nil}
		NecroList.Items.HC919 = {"Mods", nil, nil, "HC - Cat Poop", "Hydrocraft.HCCatpoop", "media/textures/Item_HCCatpoop.png", nil, nil, nil}
		NecroList.Items.HC920 = {"Mods", nil, nil, "HC - Cat (Female)", "Hydrocraft.HCCatsilverfemale", "media/textures/Item_HCCatsilverfemale.png", nil, nil, nil}
		NecroList.Items.HC921 = {"Mods", nil, nil, "HC - Cat (Male)", "Hydrocraft.HCCatsilvermale", "media/textures/Item_HCCatsilvermale.png", nil, nil, nil}
		NecroList.Items.HC922 = {"Mods", nil, nil, "HC - Cattail", "Hydrocraft.HCCattail", "media/textures/Item_HCCattail.png", nil, nil, nil}
		NecroList.Items.HC923 = {"Mods", nil, nil, "HC - Cat (Female)", "Hydrocraft.HCCatwhitefemale", "media/textures/Item_HCCatwhitefemale.png", nil, nil, nil}
		NecroList.Items.HC924 = {"Mods", nil, nil, "HC - Iron Cauldron", "Hydrocraft.HCCauldroniron", "media/textures/Item_HCCauldroniron.png", nil, nil, nil}
		NecroList.Items.HC925 = {"Mods", nil, nil, "HC - Iron Cauldron with Water", "Hydrocraft.HCCauldronironfull", "media/textures/Item_HCCauldronironfull.png", nil, nil, nil}
		NecroList.Items.HC926 = {"Mods", nil, nil, "HC - Cauliflower (Fresh)", "Hydrocraft.HCCauliflower", "media/textures/Item_HCCauliflower.png", nil, nil, nil}
		NecroList.Items.HC927 = {"Mods", nil, nil, "HC - Empty CD Case", "Hydrocraft.HCCDcase", "media/textures/Item_HCCDcase.png", nil, nil, nil}
		NecroList.Items.HC928 = {"Mods", nil, nil, "HC - CD Case with CD", "Hydrocraft.HCCDcasefull", "media/textures/Item_HCCDcasefull.png", nil, nil, nil}
		NecroList.Items.HC929 = {"Mods", nil, nil, "HC - Celery (Fresh)", "Hydrocraft.HCCelery", "media/textures/Item_HCCelery.png", nil, nil, nil}
		NecroList.Items.HC930 = {"Mods", nil, nil, "HC - Celery Seed", "Hydrocraft.HCCeleryseed", "media/textures/Item_HCCeleryseed.png", nil, nil, nil}
		NecroList.Items.HC931 = {"Mods", nil, nil, "HC - Celery Seeds", "Hydrocraft.HCCeleryseeds", "media/textures/Item_HCCeleryseeds.png", nil, nil, nil}
		NecroList.Items.HC932 = {"Mods", nil, nil, "HC - Celery Packet", "Hydrocraft.HCCeleryseedspacket", "media/textures/Item_HCCeleryseedspacket.png", nil, nil, nil}
		NecroList.Items.HC933 = {"Mods", nil, nil, "HC - Cellar", "Hydrocraft.HCCellar", "media/textures/Item_HCCellar.png", nil, nil, nil}
		NecroList.Items.HC934 = {"Mods", nil, nil, "HC - Cellar", "Hydrocraft.HCCellar2", "media/textures/Item_HCCellar.png", nil, nil, nil}
		NecroList.Items.HC935 = {"Mods", nil, nil, "HC - Centifuge", "Hydrocraft.HCCentifuge", "media/textures/Item_HCCentifuge.png", nil, nil, nil}
		NecroList.Items.HC936 = {"Mods", nil, nil, "HC - Ceramic Oscillator", "Hydrocraft.HCCeramicoscillator", "media/textures/Item_HCCeramicoscillator.png", nil, nil, nil}
		NecroList.Items.HC937 = {"Mods", nil, nil, "HC - Empty Cereal Box", "Hydrocraft.HCCerealtrash", "media/textures/Item_HCCerealtrash.png", nil, nil, nil}
		NecroList.Items.HC938 = {"Mods", nil, nil, "HC - Chain", "Hydrocraft.HCChain", "media/textures/Item_HCChain.png", nil, nil, nil}
		NecroList.Items.HC939 = {"Mods", nil, nil, "HC - Chalk", "Hydrocraft.HCChalk", "media/textures/Item_HCChalk.png", nil, nil, nil}
		NecroList.Items.HC940 = {"Mods", nil, nil, "HC - Box of Chalk", "Hydrocraft.HCChalkbox", "media/textures/Item_HCChalkbox.png", nil, nil, nil}
		NecroList.Items.HC941 = {"Mods", nil, nil, "HC - Chalk Eraser", "Hydrocraft.HCChalkeraser", "media/textures/Item_HCChalkeraser.png", nil, nil, nil}
		NecroList.Items.HC942 = {"Mods", nil, nil, "HC - Chalk Powder", "Hydrocraft.HCChalkpowder", "media/textures/Item_HCChalkpowder.png", nil, nil, nil}
		NecroList.Items.HC943 = {"Mods", nil, nil, "HC - Chalk Rock", "Hydrocraft.HCChalkrock", "media/textures/Item_HCChalkrock.png", nil, nil, nil}
		NecroList.Items.HC944 = {"Mods", nil, nil, "HC - Chantrelle (Fresh)", "Hydrocraft.HCChantrelle", "media/textures/Item_HCChantrelle.png", nil, nil, nil}
		NecroList.Items.HC945 = {"Mods", nil, nil, "HC - Chapstick", "Hydrocraft.HCChapstick", "media/textures/Item_HCChapstick.png", nil, nil, nil}
		NecroList.Items.HC946 = {"Mods", nil, nil, "HC - Charcoal Powder", "Hydrocraft.HCCharcoalpowder", "media/textures/Item_HCCharcoalpowder.png", nil, nil, nil}
		NecroList.Items.HC947 = {"Mods", nil, nil, "HC - Charging Unit (On)", "Hydrocraft.HCChargingunit", "media/textures/Item_HCChargingunit.png", nil, nil, nil}
		NecroList.Items.HC948 = {"Mods", nil, nil, "HC - Charging Unit (Off)", "Hydrocraft.HCChargingunitoff", "media/textures/Item_HCChargingunitoff.png", nil, nil, nil}
		NecroList.Items.HC949 = {"Mods", nil, nil, "HC - Checkers", "Hydrocraft.HCCheckers", "media/textures/Item_HCCheckers.png", nil, nil, nil}
		NecroList.Items.HC950 = {"Mods", nil, nil, "HC - Cheddar Cheese (Fresh)", "Hydrocraft.HCCheddar", "media/textures/Item_HCCheddar.png", nil, nil, nil}
		NecroList.Items.HC951 = {"Mods", nil, nil, "HC - Full Cheddar Cheese Tray", "Hydrocraft.HCCheddarcheesetrayfull", "media/textures/Item_HCCheesetrayfull.png", nil, nil, nil}
		NecroList.Items.HC952 = {"Mods", nil, nil, "HC - Aged Cheddar Wheel (Fresh)", "Hydrocraft.HCCheddarwheelaged", "media/textures/Item_HCCheddarwheelwaxed.png", nil, nil, nil}
		NecroList.Items.HC953 = {"Mods", nil, nil, "HC - Cheddar Wheel (Fresh)", "Hydrocraft.HCCheddarwheelunaged", "media/textures/Item_HCCheddarwheelunaged.png", nil, nil, nil}
		NecroList.Items.HC954 = {"Mods", nil, nil, "HC - Waxed Cheddar Wheel (Fresh)", "Hydrocraft.HCCheddarwheelwaxed", "media/textures/Item_HCCheddarwheelwaxed.png", nil, nil, nil}
		NecroList.Items.HC955 = {"Mods", nil, nil, "HC - Cheese Cloth", "Hydrocraft.HCCheesecloth", "media/textures/Item_HCCheesecloth.png", nil, nil, nil}
		NecroList.Items.HC956 = {"Mods", nil, nil, "HC - Cheese Curd (Fresh)", "Hydrocraft.HCCheesecurd", "media/textures/Item_HCCheesecurd.png", nil, nil, nil}
		NecroList.Items.HC957 = {"Mods", nil, nil, "HC - Cheese Grater", "Hydrocraft.HCCheesegrater", "media/textures/Item_HCCheesegrater.png", nil, nil, nil}
		NecroList.Items.HC958 = {"Mods", nil, nil, "HC - Cheese Rack", "Hydrocraft.HCCheeserack", "media/textures/Item_HCCheeserack.png", nil, nil, nil}
		NecroList.Items.HC959 = {"Mods", nil, nil, "HC - Cheese Rack with Aged Cheese", "Hydrocraft.HCCheeserackaged", "media/textures/Item_HCCheeserackaged.png", nil, nil, nil}
		NecroList.Items.HC960 = {"Mods", nil, nil, "HC - Cheese Rack with Aged Cheddar Cheese", "Hydrocraft.HCCheeserackagedcheddar", "media/textures/Item_HCCheeserackagedcheddar.png", nil, nil, nil}
		NecroList.Items.HC961 = {"Mods", nil, nil, "HC - Cheese Rack with Aged Waxed Cheddar Cheese", "Hydrocraft.HCCheeserackagedcheddarwaxed", "media/textures/Item_HCCheeserackagedcheddarwaxed.png", nil, nil, nil}
		NecroList.Items.HC962 = {"Mods", nil, nil, "HC - Cheese Rack with Cheese", "Hydrocraft.HCCheeserackfull", "media/textures/Item_HCCheeserackfull.png", nil, nil, nil}
		NecroList.Items.HC963 = {"Mods", nil, nil, "HC - Cheese Rack with Cheddar Cheese", "Hydrocraft.HCCheeserackfullcheddar", "media/textures/Item_HCCheeserackfullcheddar.png", nil, nil, nil}
		NecroList.Items.HC964 = {"Mods", nil, nil, "HC - Cheese Rack with Waxed Cheddar Cheese", "Hydrocraft.HCCheeserackfullcheddarwaxed", "media/textures/Item_HCCheeserackfullcheddarwaxed.png", nil, nil, nil}
		NecroList.Items.HC965 = {"Mods", nil, nil, "HC - Cheese Tray", "Hydrocraft.HCCheesetray", "media/textures/Item_HCCheesetray.png", nil, nil, nil}
		NecroList.Items.HC966 = {"Mods", nil, nil, "HC - Full Cheese Tray", "Hydrocraft.HCCheesetrayfull", "media/textures/Item_HCCheesetrayfull.png", nil, nil, nil}
		NecroList.Items.HC967 = {"Mods", nil, nil, "HC - Cheese Wheel (Fresh)", "Hydrocraft.HCCheesewheel", "media/textures/Item_HCCheesewheel.png", nil, nil, nil}
		NecroList.Items.HC968 = {"Mods", nil, nil, "HC - Chef Hat", "Hydrocraft.HCChefhat", "media/textures/Item_HCChefhat.png", nil, nil, nil}
		NecroList.Items.HC969 = {"Mods", nil, nil, "HC - Empty Chemical Plastic Bottle", "Hydrocraft.HCChemicalbottleempty", "media/textures/Item_HCChemicalbottleempty.png", nil, nil, nil}
		NecroList.Items.HC970 = {"Mods", nil, nil, "HC - Chemical Plastic Bottle With Sodium Hydroxide", "Hydrocraft.HCChemicalbottlesodiumhydroxide", "media/textures/Item_HCChemicalbottlesodiumhydroxide.png", nil, nil, nil}
		NecroList.Items.HC971 = {"Mods", nil, nil, "HC - Cherry Seeds", "Hydrocraft.HCCherryseeds", "media/textures/Item_HCCherryseeds.png", nil, nil, nil}
		NecroList.Items.HC972 = {"Mods", nil, nil, "HC - Cherry Seeds Packet", "Hydrocraft.HCCherryseedspacket", "media/textures/Item_HCCherryseedspacket.png", nil, nil, nil}
		NecroList.Items.HC973 = {"Mods", nil, nil, "HC - Chest", "Hydrocraft.HCChest", "media/textures/Item_HCChest.png", nil, nil, nil}
		NecroList.Items.HC974 = {"Mods", nil, nil, "HC - Chestnut", "Hydrocraft.HCChestnut", "media/textures/Item_HCChestnut.png", nil, nil, nil}
		NecroList.Items.HC975 = {"Mods", nil, nil, "HC - Peeled Chestnut (Fresh Uncooked)", "Hydrocraft.HCChestnut2", "media/textures/Item_HCChestnut2.png", nil, nil, nil}
		NecroList.Items.HC976 = {"Mods", nil, nil, "HC - Cheval (Fresh Uncooked)", "Hydrocraft.HCCheval", "media/textures/Item_HCCheval.png", nil, nil, nil}
		NecroList.Items.HC977 = {"Mods", nil, nil, "HC - Chevril", "Hydrocraft.HCChevril", "media/textures/Item_HCChevril.png", nil, nil, nil}
		NecroList.Items.HC978 = {"Mods", nil, nil, "HC - Dead Chicken (Fresh)", "Hydrocraft.HCChickendead", "media/textures/Item_HCChickendead.png", nil, nil, nil}
		NecroList.Items.HC979 = {"Mods", nil, nil, "HC - Dead Chicken (Fresh)", "Hydrocraft.HCChickendead2", "media/textures/Item_HCChickendead2.png", nil, nil, nil}
		NecroList.Items.HC980 = {"Mods", nil, nil, "HC - Chicken Egg", "Hydrocraft.HCChickenegg", "media/textures/Item_HCChickenegg.png", nil, nil, nil}
		NecroList.Items.HC981 = {"Mods", nil, nil, "HC - Chicken (Female)", "Hydrocraft.HCChickenfemale", "media/textures/Item_HCChickenfemale.png", nil, nil, nil}
		NecroList.Items.HC982 = {"Mods", nil, nil, "HC - Baby Chicken (Female)", "Hydrocraft.HCChickenfemalebaby", "media/textures/Item_HCChickenbaby.png", nil, nil, nil}
		NecroList.Items.HC983 = {"Mods", nil, nil, "HC - Hungry Chicken (Female)", "Hydrocraft.HCChickenfemalehungry", "media/textures/Item_HCChickenfemale.png", nil, nil, nil}
		NecroList.Items.HC984 = {"Mods", nil, nil, "HC - Chicken (Male)", "Hydrocraft.HCChickenmale", "media/textures/Item_HCChickenmale.png", nil, nil, nil}
		NecroList.Items.HC985 = {"Mods", nil, nil, "HC - Baby Chicken (Male)", "Hydrocraft.HCChickenmalebaby", "media/textures/Item_HCChickenbaby.png", nil, nil, nil}
		NecroList.Items.HC986 = {"Mods", nil, nil, "HC - Hungry Chicken (Male)", "Hydrocraft.HCChickenmalehungry", "media/textures/Item_HCChickenmale.png", nil, nil, nil}
		NecroList.Items.HC987 = {"Mods", nil, nil, "HC - Chicken Poop", "Hydrocraft.HCChickenpoop", "media/textures/Item_HCChickenpoop.png", nil, nil, nil}
		NecroList.Items.HC988 = {"Mods", nil, nil, "HC - Chicken Seasoning", "Hydrocraft.HCChickenseasoning", "media/textures/Item_HCChickenseasoning.png", nil, nil, nil}
		NecroList.Items.HC989 = {"Mods", nil, nil, "HC - Chicken Wire", "Hydrocraft.HCChickenwire", "media/textures/Item_HCChickenwire.png", nil, nil, nil}
		NecroList.Items.HC990 = {"Mods", nil, nil, "HC - Child Safety Scissors", "Hydrocraft.HCChildsafetyscissors", "media/textures/Item_HCChildsafetyscissors.png", nil, nil, nil}
		NecroList.Items.HC991 = {"Mods", nil, nil, "HC - Pot of Chili (Fresh Uncooked)", "Hydrocraft.HCChili", "Item_PotFull", nil, nil, nil}
		NecroList.Items.HC992 = {"Mods", nil, nil, "HC - Bowl of Fresh Chili (Fresh)", "Hydrocraft.HCChilibowl", "media/textures/Item_HCChilibowl.png", nil, nil, nil}
		NecroList.Items.HC993 = {"Mods", nil, nil, "HC - Pot of Fresh Chili (Fresh)", "Hydrocraft.HCChilicooked", "Item_PotFull", nil, nil, nil}
		NecroList.Items.HC994 = {"Mods", nil, nil, "HC - Green Chili (Fresh)", "Hydrocraft.HCChiligreen", "media/textures/Item_HCChiligreen.png", nil, nil, nil}
		NecroList.Items.HC995 = {"Mods", nil, nil, "HC - Green Chili Seeds", "Hydrocraft.HCChiligreenseeds", "media/textures/Item_HCChiligreenseeds.png", nil, nil, nil}
		NecroList.Items.HC996 = {"Mods", nil, nil, "HC - Green Chili Packet", "Hydrocraft.HCChiligreenseedspacket", "media/textures/Item_HCChiligreenseedspacket.png", nil, nil, nil}
		NecroList.Items.HC997 = {"Mods", nil, nil, "HC - Chili Pepper (Fresh)", "Hydrocraft.HCChilipepper", "media/textures/Item_HCChilipepper.png", nil, nil, nil}
		NecroList.Items.HC998 = {"Mods", nil, nil, "HC - Cut Chili Pepper (Fresh)", "Hydrocraft.HCChilipeppercut", "media/textures/Item_HCChilipeppercut.png", nil, nil, nil}
		NecroList.Items.HC999 = {"Mods", nil, nil, "HC - Dried Chili Peppers", "Hydrocraft.HCChilipepperdry", "media/textures/Item_HCChilipepperdry.png", nil, nil, nil}
		NecroList.Items.HC1000 = {"Mods", nil, nil, "HC - Chili Pepper Seeds", "Hydrocraft.HCChilipepperseeds", "media/textures/Item_HCChilipepperseeds.png", nil, nil, nil}
		NecroList.Items.HC1001 = {"Mods", nil, nil, "HC - Chili Pepper Seeds Packet", "Hydrocraft.HCChilipepperseedspacket", "media/textures/Item_HCChilipepperseedspacket.png", nil, nil, nil}
		NecroList.Items.HC1002 = {"Mods", nil, nil, "HC - Chili Pepper Stem", "Hydrocraft.HCChilipepperstem", "media/textures/Item_HCChilipepperstem.png", nil, nil, nil}
		NecroList.Items.HC1003 = {"Mods", nil, nil, "HC - Chili Powder", "Hydrocraft.HCChilipowder", "media/textures/Item_HCChilipowder.png", nil, nil, nil}
		NecroList.Items.HC1004 = {"Mods", nil, nil, "HC - Chinese Cabbage (Fresh)", "Hydrocraft.HCChinesecabbage", "media/textures/Item_HCChinesecabbage.png", nil, nil, nil}
		NecroList.Items.HC1005 = {"Mods", nil, nil, "HC - Chinese Cabbage Seeds", "Hydrocraft.HCChinesecabbageseeds", "media/textures/Item_HCChinesecabbageseeds.png", nil, nil, nil}
		NecroList.Items.HC1006 = {"Mods", nil, nil, "HC - Chinese Cabbage Seeds Packet", "Hydrocraft.HCChinesecabbageseedspacket", "media/textures/Item_HCChinesecabbageseedspacket.png", nil, nil, nil}
		NecroList.Items.HC1007 = {"Mods", nil, nil, "HC - Uncooked Tray of Chocolate Chip Cookies (Fresh Uncooked)", "Hydrocraft.HCChipcookie", "media/textures/Item_HCChipcookie.png", nil, nil, nil}
		NecroList.Items.HC1008 = {"Mods", nil, nil, "HC - Chocolate Chip Cookie (Fresh)", "Hydrocraft.HCChipcookiebaked", "media/textures/Item_HCChipcookiebaked.png", nil, nil, nil}
		NecroList.Items.HC1009 = {"Mods", nil, nil, "HC - Tray of Chocolate Chip Cookies (Fresh)", "Hydrocraft.HCChipcookiebakedtray", "media/textures/Item_HCChipcookiebaked.png", nil, nil, nil}
		NecroList.Items.HC1010 = {"Mods", nil, nil, "HC - Hand Chisel", "Hydrocraft.HCChisel", "media/textures/Item_HCChisel.png", nil, nil, nil}
		NecroList.Items.HC1011 = {"Mods", nil, nil, "HC - Chisel Head", "Hydrocraft.HCChiselhead", "media/textures/Item_HCChiselhead.png", nil, nil, nil}
		NecroList.Items.HC1012 = {"Mods", nil, nil, "HC - Chlorgas Grenade", "Hydrocraft.HCChlorgasgrenade", "media/textures/Item_HCChlorgasgrenade.png", nil, nil, nil}
		NecroList.Items.HC1013 = {"Mods", nil, nil, "HC - Uncooked Tray of Chocolate Cookies (Fresh Uncooked)", "Hydrocraft.HCChocolatecookie", "media/textures/Item_HCChocolatecookie.png", nil, nil, nil}
		NecroList.Items.HC1014 = {"Mods", nil, nil, "HC - Chocolate Cookie (Fresh)", "Hydrocraft.HCChocolatecookiebaked", "media/textures/Item_HCChocolatecookiebaked.png", nil, nil, nil}
		NecroList.Items.HC1015 = {"Mods", nil, nil, "HC - Tray of Chocolate Cookies (Fresh)", "Hydrocraft.HCChocolatecookiebakedtray", "media/textures/Item_HCChocolatecookiebaked.png", nil, nil, nil}
		NecroList.Items.HC1016 = {"Mods", nil, nil, "HC - Dark Chocolate", "Hydrocraft.HCChocolatedark", "media/textures/Item_HCChocolatedark.png", nil, nil, nil}
		NecroList.Items.HC1017 = {"Mods", nil, nil, "HC - Empty Candy Wrapper", "Hydrocraft.HCChocolatedarktrash", "media/textures/Item_HCChocolatedarktrash.png", nil, nil, nil}
		NecroList.Items.HC1018 = {"Mods", nil, nil, "HC - Chocolate Shavings", "Hydrocraft.HCChocolateshavings", "media/textures/Item_HCChocolateshavings.png", nil, nil, nil}
		NecroList.Items.HC1019 = {"Mods", nil, nil, "HC - Empty Candy Wrapper", "Hydrocraft.HCChocolatetrash", "media/textures/Item_HCChocolatetrash.png", nil, nil, nil}
		NecroList.Items.HC1020 = {"Mods", nil, nil, "HC - White Chocolate", "Hydrocraft.HCChocolatewhite", "media/textures/Item_HCChocolatewhite.png", nil, nil, nil}
		NecroList.Items.HC1021 = {"Mods", nil, nil, "HC - Empty Candy Wrapper", "Hydrocraft.HCChocolatewhitetrash", "media/textures/Item_HCChocolatewhitetrash.png", nil, nil, nil}
		NecroList.Items.HC1022 = {"Mods", nil, nil, "HC - Chopsticks", "Hydrocraft.HCChopsticks", "media/textures/Item_HCChopsticks.png", nil, nil, nil}
		NecroList.Items.HC1023 = {"Mods", nil, nil, "HC - Frosted Christmas Cookies", "Hydrocraft.HCChristmascookies", "media/textures/Item_HCChristmascookies.png", nil, nil, nil}
		NecroList.Items.HC1024 = {"Mods", nil, nil, "HC - Christmas Ham Casserole (Fresh Uncooked)", "Hydrocraft.HCChristmashamcasserole", "media/textures/Item_HCRoastingpanham.png", nil, nil, nil}
		NecroList.Items.HC1025 = {"Mods", nil, nil, "HC - Chrome Ingot", "Hydrocraft.HCChromeingot", "media/textures/Item_HCChromeingot.png", nil, nil, nil}
		NecroList.Items.HC1026 = {"Mods", nil, nil, "HC - Chromite", "Hydrocraft.HCChromeore", "media/textures/Item_HCChromite.png", nil, nil, nil}
		NecroList.Items.HC1027 = {"Mods", nil, nil, "HC - Chrome Powder", "Hydrocraft.HCChromepowder", "media/textures/Item_HCChromepowder.png", nil, nil, nil}
		NecroList.Items.HC1028 = {"Mods", nil, nil, "HC - Chrysalis", "Hydrocraft.HCChrysalis", "media/textures/Item_HCChrysalis.png", nil, nil, nil}
		NecroList.Items.HC1029 = {"Mods", nil, nil, "HC - Chrysalis", "Hydrocraft.HCChrysalis2", "media/textures/Item_HCChrysalis2.png", nil, nil, nil}
		NecroList.Items.HC1030 = {"Mods", nil, nil, "HC - Chrysanthemum", "Hydrocraft.HCChrysanthemum", "media/textures/Item_HCChrysanthemum.png", nil, nil, nil}
		NecroList.Items.HC1031 = {"Mods", nil, nil, "HC - Chub (Fresh Uncooked)", "Hydrocraft.HCChub", "media/textures/Item_HCChub.png", nil, nil, nil}
		NecroList.Items.HC1032 = {"Mods", nil, nil, "HC - Churn", "Hydrocraft.HCChurn", "media/textures/Item_HCChurn.png", nil, nil, nil}
		NecroList.Items.HC1033 = {"Mods", nil, nil, "HC - Cicada", "Hydrocraft.HCCicada", "media/textures/Item_HCCicada.png", nil, nil, nil}
		NecroList.Items.HC1034 = {"Mods", nil, nil, "HC - Cigar", "Hydrocraft.HCCigar", "media/textures/Item_HCCigar.png", nil, nil, nil}
		NecroList.Items.HC1035 = {"Mods", nil, nil, "HC - Cigar Box", "Hydrocraft.HCCigarbox", "media/textures/Item_HCCigarbox.png", nil, nil, nil}
		NecroList.Items.HC1036 = {"Mods", nil, nil, "HC - Carton of Cigarettes", "Hydrocraft.HCCigarettepack", "media/textures/Item_HCCigarettepack.png", nil, nil, nil}
		NecroList.Items.HC1037 = {"Mods", nil, nil, "HC - Hand-Rolled Cigar", "Hydrocraft.HCCigarhandrolled", "media/textures/Item_HCCigarhandrolled.png", nil, nil, nil}
		NecroList.Items.HC1038 = {"Mods", nil, nil, "HC - Cilantro", "Hydrocraft.HCCilantro", "media/textures/Item_HCCilantro.png", nil, nil, nil}
		NecroList.Items.HC1039 = {"Mods", nil, nil, "HC - Cinema Ticket", "Hydrocraft.HCCinematicket", "media/textures/Item_HCCinematicket.png", nil, nil, nil}
		NecroList.Items.HC1040 = {"Mods", nil, nil, "HC - Cinnamon", "Hydrocraft.HCCinnamon", "media/textures/Item_HCCinnamon.png", nil, nil, nil}
		NecroList.Items.HC1041 = {"Mods", nil, nil, "HC - Cinquefoils", "Hydrocraft.HCCinquefoils", "media/textures/Item_HCCinquefoils.png", nil, nil, nil}
		NecroList.Items.HC1042 = {"Mods", nil, nil, "HC - Copper Circuit Board", "Hydrocraft.HCCircuitboardcopperside", "media/textures/Item_HCCircuitboardcopperside.png", nil, nil, nil}
		NecroList.Items.HC1043 = {"Mods", nil, nil, "HC - Circuit Board With Photo Lacquer", "Hydrocraft.HCCircuitboardcoppersidephotolacquer", "media/textures/Item_HCCircuitboardcoppersidephotolacquer.png", nil, nil, nil}
		NecroList.Items.HC1044 = {"Mods", nil, nil, "HC - Developed Circuit Board", "Hydrocraft.HCCircuitboarddeveloped", "media/textures/Item_HCCircuitboardcopperside.png", nil, nil, nil}
		NecroList.Items.HC1045 = {"Mods", nil, nil, "HC - Circuit Board With Holes", "Hydrocraft.HCCircuitboarddrilled", "media/textures/Item_HCCircuitboarddrilled.png", nil, nil, nil}
		NecroList.Items.HC1046 = {"Mods", nil, nil, "HC - Empty Circuit Board", "Hydrocraft.HCCircuitboardempty", "media/textures/Item_HCCircuitboardempty.png", nil, nil, nil}
		NecroList.Items.HC1047 = {"Mods", nil, nil, "HC - Empty Circuitboard Pieces", "Hydrocraft.HCCircuitboardpieces", "media/textures/Item_HCCircuitboardpieces.png", nil, nil, nil}
		NecroList.Items.HC1048 = {"Mods", nil, nil, "HC - Printet Circuit Board", "Hydrocraft.HCCircuitboardprinted", "media/textures/Item_HCCircuitboardprinted.png", nil, nil, nil}
		NecroList.Items.HC1049 = {"Mods", nil, nil, "HC - Useless Circuit Board", "Hydrocraft.HCCircuitboarduseless", "media/textures/Item_HCCircuitboarduseless.png", nil, nil, nil}
		NecroList.Items.HC1050 = {"Mods", nil, nil, "HC - Washed Circuit Board", "Hydrocraft.HCCircuitboardwashed01", "media/textures/Item_HCCircuitboardwashed01.png", nil, nil, nil}
		NecroList.Items.HC1051 = {"Mods", nil, nil, "HC - Re-Washed Circuit Board", "Hydrocraft.HCCircuitboardwashed02", "media/textures/Item_HCCircuitboardwashed02.png", nil, nil, nil}
		NecroList.Items.HC1052 = {"Mods", nil, nil, "HC - Circuit Print", "Hydrocraft.HCCircuitprint", "media/textures/Item_HCCircuitprint.png", nil, nil, nil}
		NecroList.Items.HC1053 = {"Mods", nil, nil, "HC - Circut Chip", "Hydrocraft.HCCircutchip", "media/textures/Item_HCCircutchip.png", nil, nil, nil}
		NecroList.Items.HC1054 = {"Mods", nil, nil, "HC - Citric Acid", "Hydrocraft.HCCitricacid", "media/textures/Item_HCCitricacid.png", nil, nil, nil}
		NecroList.Items.HC1055 = {"Mods", nil, nil, "HC - Clarinet", "Hydrocraft.HCClarinet", "media/textures/Item_HCClarinet.png", nil, nil, nil}
		NecroList.Items.HC1056 = {"Mods", nil, nil, "HC - Clay Cauldron", "Hydrocraft.HCClaycauldron", "media/textures/Item_HCClaycauldron.png", nil, nil, nil}
		NecroList.Items.HC1057 = {"Mods", nil, nil, "HC - Clay Cauldron with Water", "Hydrocraft.HCClaycauldronfull", "media/textures/Item_HCClaycauldronfull.png", nil, nil, nil}
		NecroList.Items.HC1058 = {"Mods", nil, nil, "HC - Clay Flowerpot", "Hydrocraft.HCClayflowerpot", "media/textures/Item_HCClayflowerpot.png", nil, nil, nil}
		NecroList.Items.HC1059 = {"Mods", nil, nil, "HC - Clay Flowerpot with Dirt", "Hydrocraft.HCClayflowerpotwithdirt", "media/textures/Item_HCClayflowerpotwithdirt.png", nil, nil, nil}
		NecroList.Items.HC1060 = {"Mods", nil, nil, "HC - Clay Jar", "Hydrocraft.HCClayjar", "media/textures/Item_HCClayjar.png", nil, nil, nil}
		NecroList.Items.HC1061 = {"Mods", nil, nil, "HC - Small Clay Jar", "Hydrocraft.HCClayjarsmall", "media/textures/Item_HCClayjarsmall.png", nil, nil, nil}
		NecroList.Items.HC1062 = {"Mods", nil, nil, "HC - Clay Mug", "Hydrocraft.HCClaymug", "media/textures/Item_HCClaymug.png", nil, nil, nil}
		NecroList.Items.HC1063 = {"Mods", nil, nil, "HC - Full Clay Mug", "Hydrocraft.HCClaymugfull", "media/textures/Item_HCClaymug.png", nil, nil, nil}
		NecroList.Items.HC1064 = {"Mods", nil, nil, "HC - Clay Pipe", "Hydrocraft.HCClaypipe", "media/textures/Item_HCClaypipe.png", nil, nil, nil}
		NecroList.Items.HC1065 = {"Mods", nil, nil, "HC - Clay Pot", "Hydrocraft.HCClaypot", "media/textures/Item_HCClaypot.png", nil, nil, nil}
		NecroList.Items.HC1066 = {"Mods", nil, nil, "HC - Clay Tablet", "Hydrocraft.HCClaytablet", "media/textures/Item_HCClaytablet.png", nil, nil, nil}
		NecroList.Items.HC1067 = {"Mods", nil, nil, "HC - Clay Teapot", "Hydrocraft.HCClayteapot", "media/textures/Item_HCClayteapot.png", nil, nil, nil}
		NecroList.Items.HC1068 = {"Mods", nil, nil, "HC - Full Clay Teapot", "Hydrocraft.HCClayteapotfull", "media/textures/Item_HCClayteapot.png", nil, nil, nil}
		NecroList.Items.HC1069 = {"Mods", nil, nil, "HC - Clay Urn", "Hydrocraft.HCClayurn", "media/textures/Item_HCClayurn.png", nil, nil, nil}
		NecroList.Items.HC1070 = {"Mods", nil, nil, "HC - Large Clay Urn", "Hydrocraft.HCClayurnlarge", "media/textures/Item_HCClayurnlarge.png", nil, nil, nil}
		NecroList.Items.HC1071 = {"Mods", nil, nil, "HC - All Purpose Cleaner", "Hydrocraft.HCCleanerall", "media/textures/Item_HCCleanerall.png", nil, nil, nil}
		NecroList.Items.HC1072 = {"Mods", nil, nil, "HC - Fabric Cleaner", "Hydrocraft.HCCleanerfabric", "media/textures/Item_HCCleanerfabric.png", nil, nil, nil}
		NecroList.Items.HC1073 = {"Mods", nil, nil, "HC - Cleanser", "Hydrocraft.HCCleanser", "media/textures/Item_HCCleanser.png", nil, nil, nil}
		NecroList.Items.HC1074 = {"Mods", nil, nil, "HC - Cleats", "Hydrocraft.HCCleats", "media/textures/Item_HCCleats.png", nil, nil, nil}
		NecroList.Items.HC1075 = {"Mods", nil, nil, "HC - Climbing Pack", "Hydrocraft.HCClimbingpack", "media/textures/Item_HCClimbingpack.png", nil, nil, nil}
		NecroList.Items.HC1076 = {"Mods", nil, nil, "HC - Apple Juice", "Hydrocraft.HCClingmugapplejuice", "media/textures/Item_HCClingmug.png", nil, nil, nil}
		NecroList.Items.HC1077 = {"Mods", nil, nil, "HC - Blackberry Juice", "Hydrocraft.HCClingmugblackberryjuice", "media/textures/Item_HCClingmug.png", nil, nil, nil}
		NecroList.Items.HC1078 = {"Mods", nil, nil, "HC - Blueberry Juice", "Hydrocraft.HCClingmugblueberryjuice", "media/textures/Item_HCClingmug.png", nil, nil, nil}
		NecroList.Items.HC1079 = {"Mods", nil, nil, "HC - Carrot Juice", "Hydrocraft.HCClingmugcarrotjuice", "media/textures/Item_HCClingmug.png", nil, nil, nil}
		NecroList.Items.HC1080 = {"Mods", nil, nil, "HC - Cherry Juice", "Hydrocraft.HCClingmugcherryjuice", "media/textures/Item_HCClingmug.png", nil, nil, nil}
		NecroList.Items.HC1081 = {"Mods", nil, nil, "HC - Grape Juice", "Hydrocraft.HCClingmuggrapejuice", "media/textures/Item_HCClingmug.png", nil, nil, nil}
		NecroList.Items.HC1082 = {"Mods", nil, nil, "HC - Lemon Juice", "Hydrocraft.HCClingmuglemonjuice", "media/textures/Item_HCClingmug.png", nil, nil, nil}
		NecroList.Items.HC1083 = {"Mods", nil, nil, "HC - Lime Juice", "Hydrocraft.HCClingmuglimejuice", "media/textures/Item_HCClingmug.png", nil, nil, nil}
		NecroList.Items.HC1084 = {"Mods", nil, nil, "HC - Orange Juice", "Hydrocraft.HCClingmugorangejuice", "media/textures/Item_HCClingmug.png", nil, nil, nil}
		NecroList.Items.HC1085 = {"Mods", nil, nil, "HC - Pineapple Juice", "Hydrocraft.HCClingmugpineapplejuice", "media/textures/Item_HCClingmug.png", nil, nil, nil}
		NecroList.Items.HC1086 = {"Mods", nil, nil, "HC - Strawberry Juice", "Hydrocraft.HCClingmugstrawberryjuice", "media/textures/Item_HCClingmug.png", nil, nil, nil}
		NecroList.Items.HC1087 = {"Mods", nil, nil, "HC - Tomato Juice", "Hydrocraft.HCClingmugtomatojuice", "media/textures/Item_HCClingmug.png", nil, nil, nil}
		NecroList.Items.HC1088 = {"Mods", nil, nil, "HC - Watermelon Juice", "Hydrocraft.HCClingmugwatermelonjuice", "media/textures/Item_HCClingmug.png", nil, nil, nil}
		NecroList.Items.HC1089 = {"Mods", nil, nil, "HC - Wild Berry Juice", "Hydrocraft.HCClingmugwildberryjuice", "media/textures/Item_HCClingmug.png", nil, nil, nil}
		NecroList.Items.HC1090 = {"Mods", nil, nil, "HC - Clipboard", "Hydrocraft.HCClipboard", "media/textures/Item_HCClipboard.png", nil, nil, nil}
		NecroList.Items.HC1091 = {"Mods", nil, nil, "HC - Grizzly Bear Cloak", "Hydrocraft.HCCloakbear", "media/textures/Item_HCCloakbear.png", nil, nil, nil}
		NecroList.Items.HC1092 = {"Mods", nil, nil, "HC - Black Bear Cloak", "Hydrocraft.HCCloakbearblack", "media/textures/Item_HCCloakbearblack.png", nil, nil, nil}
		NecroList.Items.HC1093 = {"Mods", nil, nil, "HC - Cloth", "Hydrocraft.HCCloth", "media/textures/Item_HCCloth.png", nil, nil, nil}
		NecroList.Items.HC1094 = {"Mods", nil, nil, "HC - Clothes Line", "Hydrocraft.HCClothesline", "media/textures/Item_HCClothesline.png", nil, nil, nil}
		NecroList.Items.HC1095 = {"Mods", nil, nil, "HC - Double Clothes Line", "Hydrocraft.HCClothesline2", "media/textures/Item_HCClothesline2.png", nil, nil, nil}
		NecroList.Items.HC1096 = {"Mods", nil, nil, "HC - Clothes Line with Clothes", "Hydrocraft.HCClotheslinefull", "media/textures/Item_HCClotheslinefull.png", nil, nil, nil}
		NecroList.Items.HC1097 = {"Mods", nil, nil, "HC - Double Clothes Line with Clothes", "Hydrocraft.HCClotheslinefull2", "media/textures/Item_HCClotheslinefull2.png", nil, nil, nil}
		NecroList.Items.HC1098 = {"Mods", nil, nil, "HC - Clothespin", "Hydrocraft.HCClothespin", "media/textures/Item_HCClothespin.png", nil, nil, nil}
		NecroList.Items.HC1099 = {"Mods", nil, nil, "HC - Box of Clothespins", "Hydrocraft.HCClothespinbox", "media/textures/Item_HCClothespinbox.png", nil, nil, nil}
		NecroList.Items.HC1100 = {"Mods", nil, nil, "HC - Cloth Tote Bag", "Hydrocraft.HCClothtotebag", "media/textures/Item_HCClothtotebag.png", nil, nil, nil}
		NecroList.Items.HC1101 = {"Mods", nil, nil, "HC - Clover (Fresh)", "Hydrocraft.HCClover", "media/textures/Item_HCClover.png", nil, nil, nil}
		NecroList.Items.HC1102 = {"Mods", nil, nil, "HC - Cloves", "Hydrocraft.HCCloves", "media/textures/Item_HCCloves.png", nil, nil, nil}
		NecroList.Items.HC1103 = {"Mods", nil, nil, "HC - Clutch", "Hydrocraft.HCClutch", "media/textures/Item_HCClutch.png", nil, nil, nil}
		NecroList.Items.HC1104 = {"Mods", nil, nil, "HC - Coal", "Hydrocraft.HCCoal", "media/textures/Item_HCCoal.png", nil, nil, nil}
		NecroList.Items.HC1105 = {"Mods", nil, nil, "HC - Empty Cocktail Glass", "Hydrocraft.HCCocktailglassempty", "media/textures/Item_HCCocktailglassempty.png", nil, nil, nil}
		NecroList.Items.HC1106 = {"Mods", nil, nil, "HC - Cocktail Shaker", "Hydrocraft.HCCocktailshaker", "media/textures/Item_HCCocktailshaker.png", nil, nil, nil}
		NecroList.Items.HC1107 = {"Mods", nil, nil, "HC - Cocoa Powder", "Hydrocraft.HCCoco", "media/textures/Item_HCCoco.png", nil, nil, nil}
		NecroList.Items.HC1108 = {"Mods", nil, nil, "HC - Cup of Hot Chocolate", "Hydrocraft.HCCococup", "media/textures/Item_HCCococup.png", nil, nil, nil}
		NecroList.Items.HC1109 = {"Mods", nil, nil, "HC - Cup of Hot Chocolate", "Hydrocraft.HCCococup2", "media/textures/Item_HCHotcuppa.png", nil, nil, nil}
		NecroList.Items.HC1110 = {"Mods", nil, nil, "HC - Cup of Black Coffee", "Hydrocraft.HCCoffeeblack", "media/textures/Item_HCCoffeecup.png", nil, nil, nil}
		NecroList.Items.HC1111 = {"Mods", nil, nil, "HC - Cup of Black Coffee", "Hydrocraft.HCCoffeeblack2", "media/textures/Item_HCHotcuppa.png", nil, nil, nil}
		NecroList.Items.HC1112 = {"Mods", nil, nil, "HC - Dry Coffee Filter", "Hydrocraft.HCCoffeefilterdry", "media/textures/Item_HCCoffeefilterdry.png", nil, nil, nil}
		NecroList.Items.HC1113 = {"Mods", nil, nil, "HC - Drying Coffee Filter", "Hydrocraft.HCCoffeefilterpapertowel", "media/textures/Item_HCCoffeefilterpapertowel.png", nil, nil, nil}
		NecroList.Items.HC1114 = {"Mods", nil, nil, "HC - Wet Coffee Filter", "Hydrocraft.HCCoffeefilterwet", "media/textures/Item_HCCoffeefilterwet.png", nil, nil, nil}
		NecroList.Items.HC1115 = {"Mods", nil, nil, "HC - Cup of Irish Coffee", "Hydrocraft.HCCoffeeirish", "media/textures/Item_HCCoffeecup.png", nil, nil, nil}
		NecroList.Items.HC1116 = {"Mods", nil, nil, "HC - Cup of Irish Coffee", "Hydrocraft.HCCoffeeirish2", "media/textures/Item_HCHotcuppa.png", nil, nil, nil}
		NecroList.Items.HC1117 = {"Mods", nil, nil, "HC - Empty Coffin", "Hydrocraft.HCCoffin", "media/textures/Item_HCCoffin.png", nil, nil, nil}
		NecroList.Items.HC1118 = {"Mods", nil, nil, "HC - Full Coffin", "Hydrocraft.HCCoffinfull", "media/textures/Item_HCCoffin.png", nil, nil, nil}
		NecroList.Items.HC1119 = {"Mods", nil, nil, "HC - Coil", "Hydrocraft.HCCoil", "media/textures/Item_HCThermocouple.png", nil, nil, nil}
		NecroList.Items.HC1120 = {"Mods", nil, nil, "HC - Copper Coin", "Hydrocraft.HCCoincopper", "media/textures/Item_HCCoincopper.png", nil, nil, nil}
		NecroList.Items.HC1121 = {"Mods", nil, nil, "HC - Gold Coin", "Hydrocraft.HCCoingold", "media/textures/Item_HCCoingold.png", nil, nil, nil}
		NecroList.Items.HC1122 = {"Mods", nil, nil, "HC - Coin Press", "Hydrocraft.HCCoinpress", "media/textures/Item_HCCoinpress.png", nil, nil, nil}
		NecroList.Items.HC1123 = {"Mods", nil, nil, "HC - Silver Coin", "Hydrocraft.HCCoinsilver", "media/textures/Item_HCCoinsilver.png", nil, nil, nil}
		NecroList.Items.HC1124 = {"Mods", nil, nil, "HC - Coke", "Hydrocraft.HCCoke", "media/textures/Item_HCCoke.png", nil, nil, nil}
		NecroList.Items.HC1125 = {"Mods", nil, nil, "HC - Colander", "Hydrocraft.HCColander", "media/textures/Item_HCColander.png", nil, nil, nil}
		NecroList.Items.HC1126 = {"Mods", nil, nil, "HC - Colewort (Fresh)", "Hydrocraft.HCColewort", "media/textures/Item_HCColewort.png", nil, nil, nil}
		NecroList.Items.HC1127 = {"Mods", nil, nil, "HC - Colewort Seeds", "Hydrocraft.HCColewortseeds", "media/textures/Item_HCColewortseeds.png", nil, nil, nil}
		NecroList.Items.HC1128 = {"Mods", nil, nil, "HC - Colewort Seeds Packet", "Hydrocraft.HCColewortseedspacket", "media/textures/Item_HCColewortseedspacket.png", nil, nil, nil}
		NecroList.Items.HC1129 = {"Mods", nil, nil, "HC - Collie (Female)", "Hydrocraft.HCColliefemale", "media/textures/Item_HCColliefemale.png", nil, nil, nil}
		NecroList.Items.HC1130 = {"Mods", nil, nil, "HC - Collie (Male)", "Hydrocraft.HCColliemale", "media/textures/Item_HCColliemale.png", nil, nil, nil}
		NecroList.Items.HC1131 = {"Mods", nil, nil, "HC - Colored Wire", "Hydrocraft.HCColoredwire", "media/textures/Item_HCColoredwire.png", nil, nil, nil}
		NecroList.Items.HC1132 = {"Mods", nil, nil, "HC - Columbine", "Hydrocraft.HCColumbine", "media/textures/Item_HCColumbine.png", nil, nil, nil}
		NecroList.Items.HC1133 = {"Mods", nil, nil, "HC - Comic Book", "Hydrocraft.HCComic1", "media/textures/Item_HCComic1.png", nil, nil, nil}
		NecroList.Items.HC1134 = {"Mods", nil, nil, "HC - Comic Book", "Hydrocraft.HCComic2", "media/textures/Item_HCComic2.png", nil, nil, nil}
		NecroList.Items.HC1135 = {"Mods", nil, nil, "HC - Comic Book", "Hydrocraft.HCComic3", "media/textures/Item_HCComic3.png", nil, nil, nil}
		NecroList.Items.HC1136 = {"Mods", nil, nil, "HC - Comic Book", "Hydrocraft.HCComic4", "media/textures/Item_HCComic4.png", nil, nil, nil}
		NecroList.Items.HC1137 = {"Mods", nil, nil, "HC - Comic Book", "Hydrocraft.HCComic5", "media/textures/Item_HCComic5.png", nil, nil, nil}
		NecroList.Items.HC1138 = {"Mods", nil, nil, "HC - Comic Book", "Hydrocraft.HCComic6", "media/textures/Item_HCComic6.png", nil, nil, nil}
		NecroList.Items.HC1139 = {"Mods", nil, nil, "HC - Comic Book", "Hydrocraft.HCComic7", "media/textures/Item_HCComic7.png", nil, nil, nil}
		NecroList.Items.HC1140 = {"Mods", nil, nil, "HC - Comic Book", "Hydrocraft.HCComic8", "media/textures/Item_HCComic8.png", nil, nil, nil}
		NecroList.Items.HC1141 = {"Mods", nil, nil, "HC - Comic Book", "Hydrocraft.HCComic9", "media/textures/Item_HCComic9.png", nil, nil, nil}
		NecroList.Items.HC1142 = {"Mods", nil, nil, "HC - Compass", "Hydrocraft.HCCompass", "media/textures/Item_HCCompass.png", nil, nil, nil}
		NecroList.Items.HC1143 = {"Mods", nil, nil, "HC - Compost", "Hydrocraft.HCCompost", "media/textures/Item_HCCompost.png", nil, nil, nil}
		NecroList.Items.HC1144 = {"Mods", nil, nil, "HC - Compost Bin", "Hydrocraft.HCCompostbin", "media/textures/Item_HCCompostbin.png", nil, nil, nil}
		NecroList.Items.HC1145 = {"Mods", nil, nil, "HC - Composter", "Hydrocraft.HCComposter", "media/textures/Item_HCComposter.png", nil, nil, nil}
		NecroList.Items.HC1146 = {"Mods", nil, nil, "HC - Spirulina Composter", "Hydrocraft.HCComposter2", "media/textures/Item_HCComposter2.png", nil, nil, nil}
		NecroList.Items.HC1147 = {"Mods", nil, nil, "HC - Computer", "Hydrocraft.HCComputer", "media/textures/Item_HCComputer.png", nil, nil, nil}
		NecroList.Items.HC1148 = {"Mods", nil, nil, "HC - Desktop Computer", "Hydrocraft.HCComputerdesktop", "media/textures/Item_HCComputerdesktop.png", nil, nil, nil}
		NecroList.Items.HC1149 = {"Mods", nil, nil, "HC - Computer Fan", "Hydrocraft.HCComputerfan", "media/textures/Item_HCComputerfan.png", nil, nil, nil}
		NecroList.Items.HC1150 = {"Mods", nil, nil, "HC - Dismantled Computer Fan", "Hydrocraft.HCComputerfandismantled", "media/textures/Item_HCComputerfandismantled.png", nil, nil, nil}
		NecroList.Items.HC1151 = {"Mods", nil, nil, "HC - Computer Keyboard", "Hydrocraft.HCComputerkeyboard", "media/textures/Item_HCComputerkeyboard.png", nil, nil, nil}
		NecroList.Items.HC1152 = {"Mods", nil, nil, "HC - Computer Monitor", "Hydrocraft.HCComputermonitor", "media/textures/Item_HCComputermonitor.png", nil, nil, nil}
		NecroList.Items.HC1153 = {"Mods", nil, nil, "HC - Computer Mouse", "Hydrocraft.HCComputermouse", "media/textures/Item_HCComputermouse.png", nil, nil, nil}
		NecroList.Items.HC1154 = {"Mods", nil, nil, "HC - Concertina Wire Barricade", "Hydrocraft.HCConcertinawirebarricade", "media/textures/Item_HCConcertinawirebarricade.png", nil, nil, nil}
		NecroList.Items.HC1155 = {"Mods", nil, nil, "HC - Concrete Block", "Hydrocraft.HCConcreteblock", "media/textures/Item_HCConcreteblock.png", nil, nil, nil}
		NecroList.Items.HC1156 = {"Mods", nil, nil, "HC - Concrete Ingot", "Hydrocraft.HCConcreteingot", "media/textures/Item_HCConcreteingot.png", nil, nil, nil}
		NecroList.Items.HC1157 = {"Mods", nil, nil, "HC - Constantan Ingot", "Hydrocraft.HCConstantaningot", "media/textures/Item_HCConstantaningot.png", nil, nil, nil}
		NecroList.Items.HC1158 = {"Mods", nil, nil, "HC - Control Panel", "Hydrocraft.HCControlpanel", "media/textures/Item_HCControlpanel.png", nil, nil, nil}
		NecroList.Items.HC1159 = {"Mods", nil, nil, "HC - Conveyor Belt", "Hydrocraft.HCConveyorbelt", "media/textures/Item_HCConveyorbelt.png", nil, nil, nil}
		NecroList.Items.HC1160 = {"Mods", nil, nil, "HC - Barbecue Cookbook", "Hydrocraft.HCCookbookbbq", "media/textures/Item_HCCookbook.png", nil, nil, nil}
		NecroList.Items.HC1161 = {"Mods", nil, nil, "HC - Butcher's Cookbook", "Hydrocraft.HCCookbookbutcher", "media/textures/Item_HCCookbook.png", nil, nil, nil}
		NecroList.Items.HC1162 = {"Mods", nil, nil, "HC - Dried Fruit Cookbook", "Hydrocraft.HCCookbookdried", "media/textures/Item_HCCookbook.png", nil, nil, nil}
		NecroList.Items.HC1163 = {"Mods", nil, nil, "HC - Egg Cookbook", "Hydrocraft.HCCookbookegg", "media/textures/Item_HCCookbook.png", nil, nil, nil}
		NecroList.Items.HC1164 = {"Mods", nil, nil, "HC - Jerky Cookbook", "Hydrocraft.HCCookbookjerky", "media/textures/Item_HCCookbook.png", nil, nil, nil}
		NecroList.Items.HC1165 = {"Mods", nil, nil, "HC - Juicing Cookbook", "Hydrocraft.HCCookbookjuice", "media/textures/Item_HCCookbook.png", nil, nil, nil}
		NecroList.Items.HC1166 = {"Mods", nil, nil, "HC - Mexican Cookbook", "Hydrocraft.HCCookbookmexican", "media/textures/Item_HCCookbook.png", nil, nil, nil}
		NecroList.Items.HC1167 = {"Mods", nil, nil, "HC - Pasta Cookbook", "Hydrocraft.HCCookbookpasta", "media/textures/Item_HCCookbook.png", nil, nil, nil}
		NecroList.Items.HC1168 = {"Mods", nil, nil, "HC - Pickling Cookbook", "Hydrocraft.HCCookbookpickling", "media/textures/Item_HCCookbook.png", nil, nil, nil}
		NecroList.Items.HC1169 = {"Mods", nil, nil, "HC - Pizza Cookbook", "Hydrocraft.HCCookbookpizza", "media/textures/Item_HCCookbook.png", nil, nil, nil}
		NecroList.Items.HC1170 = {"Mods", nil, nil, "HC - Salting Meat Cookbook", "Hydrocraft.HCCookbooksalt", "media/textures/Item_HCCookbook.png", nil, nil, nil}
		NecroList.Items.HC1171 = {"Mods", nil, nil, "HC - Smoking Cookbook", "Hydrocraft.HCCookbooksmoking", "media/textures/Item_HCCookbook.png", nil, nil, nil}
		NecroList.Items.HC1172 = {"Mods", nil, nil, "HC - Spices Cookbook", "Hydrocraft.HCCookbookspices", "media/textures/Item_HCCookbook.png", nil, nil, nil}
		NecroList.Items.HC1173 = {"Mods", nil, nil, "HC - Yogurt Cookbook", "Hydrocraft.HCCookbookyogurt", "media/textures/Item_HCCookbook.png", nil, nil, nil}
		NecroList.Items.HC1174 = {"Mods", nil, nil, "HC - Uncooked Tray of Cookies (Fresh Uncooked)", "Hydrocraft.HCCookie", "media/textures/Item_HCCookie.png", nil, nil, nil}
		NecroList.Items.HC1175 = {"Mods", nil, nil, "HC - Cookie (Fresh)", "Hydrocraft.HCCookiebaked", "media/textures/Item_HCCookiebaked.png", nil, nil, nil}
		NecroList.Items.HC1176 = {"Mods", nil, nil, "HC - Cooked Tray of Cookies (Fresh)", "Hydrocraft.HCCookiebakedtray", "media/textures/Item_HCCookiebaked.png", nil, nil, nil}
		NecroList.Items.HC1177 = {"Mods", nil, nil, "HC - Cookiecutter", "Hydrocraft.HCCookiecutter", "media/textures/Item_HCCookiecutter.png", nil, nil, nil}
		NecroList.Items.HC1178 = {"Mods", nil, nil, "HC - Cookie Dough (Fresh)", "Hydrocraft.HCCookiedough", "media/textures/Item_HCCookiedough.png", nil, nil, nil}
		NecroList.Items.HC1179 = {"Mods", nil, nil, "HC - Cookie Jar", "Hydrocraft.HCCookiejar", "media/textures/Item_HCCookiejar.png", nil, nil, nil}
		NecroList.Items.HC1180 = {"Mods", nil, nil, "HC - Cookie Mold", "Hydrocraft.HCCookiemold", "media/textures/Item_HCCookiemold.png", nil, nil, nil}
		NecroList.Items.HC1181 = {"Mods", nil, nil, "HC - Uncooked Tray of Peanutbutter Cookies (Fresh Uncooked)", "Hydrocraft.HCCookiepeanutbutter", "media/textures/Item_HCCookiepeanutbutter.png", nil, nil, nil}
		NecroList.Items.HC1182 = {"Mods", nil, nil, "HC - Peanutbutter Cookie (Fresh)", "Hydrocraft.HCCookiepeanutbutterbaked", "media/textures/Item_HCCookiepeanutbutterbaked.png", nil, nil, nil}
		NecroList.Items.HC1183 = {"Mods", nil, nil, "HC - Tray of Peanutbutter Cookies (Fresh)", "Hydrocraft.HCCookiepeanutbutterbakedtray", "media/textures/Item_HCCookiepeanutbutterbaked.png", nil, nil, nil}
		NecroList.Items.HC1184 = {"Mods", nil, nil, "HC - Uncooked Tray of White Chocolate Chip Cookies (Fresh Uncooked)", "Hydrocraft.HCCookiewhite", "media/textures/Item_HCCookiewhite.png", nil, nil, nil}
		NecroList.Items.HC1185 = {"Mods", nil, nil, "HC - White Chocolate Chip Cookie (Fresh)", "Hydrocraft.HCCookiewhitebaked", "media/textures/Item_HCCookiewhitebaked.png", nil, nil, nil}
		NecroList.Items.HC1186 = {"Mods", nil, nil, "HC - Tray of White Chocolate Chip Cookies (Fresh)", "Hydrocraft.HCCookiewhitebakedtray", "media/textures/Item_HCCookiewhitebaked.png", nil, nil, nil}
		NecroList.Items.HC1187 = {"Mods", nil, nil, "HC - Cooking Apron", "Hydrocraft.HCCookingapron", "media/textures/Item_HCCookingapron.png", nil, nil, nil}
		NecroList.Items.HC1188 = {"Mods", nil, nil, "HC - Cooking Oil", "Hydrocraft.HCCookingoil", "media/textures/Item_HCCookingoil.png", nil, nil, nil}
		NecroList.Items.HC1189 = {"Mods", nil, nil, "HC - Jar of Cooking Oil", "Hydrocraft.HCCookingoiljar", "media/textures/Item_HCCookingoiljar.png", nil, nil, nil}
		NecroList.Items.HC1190 = {"Mods", nil, nil, "HC - Cooler", "Hydrocraft.HCCooler", "media/textures/Item_HCCooler.png", nil, nil, nil}
		NecroList.Items.HC1191 = {"Mods", nil, nil, "HC - Empty Chicken Coop", "Hydrocraft.HCCoop", "media/textures/Item_HCCoop.png", nil, nil, nil}
		NecroList.Items.HC1192 = {"Mods", nil, nil, "HC - Coop with Chickens", "Hydrocraft.HCCoopfull", "media/textures/Item_HCCoopfull.png", nil, nil, nil}
		NecroList.Items.HC1193 = {"Mods", nil, nil, "HC - Coop with Hungry Chickens", "Hydrocraft.HCCoophungry", "media/textures/Item_HCCoopfull.png", nil, nil, nil}
		NecroList.Items.HC1194 = {"Mods", nil, nil, "HC - Coop with Tired Chickens", "Hydrocraft.HCCooptired", "media/textures/Item_HCCoopfull.png", nil, nil, nil}
		NecroList.Items.HC1195 = {"Mods", nil, nil, "HC - Dead Coot (Fresh)", "Hydrocraft.HCCootdead", "media/textures/Item_HCCootdead.png", nil, nil, nil}
		NecroList.Items.HC1196 = {"Mods", nil, nil, "HC - Coot (Female)", "Hydrocraft.HCCootfemale", "media/textures/Item_HCCootfemale.png", nil, nil, nil}
		NecroList.Items.HC1197 = {"Mods", nil, nil, "HC - Coot (Male)", "Hydrocraft.HCCootmale", "media/textures/Item_HCCootmale.png", nil, nil, nil}
		NecroList.Items.HC1198 = {"Mods", nil, nil, "HC - Small Copper Sheet", "Hydrocraft.HCCopperboard", "media/textures/Item_HCCopperboard.png", nil, nil, nil}
		NecroList.Items.HC1199 = {"Mods", nil, nil, "HC - Red Copper Cable", "Hydrocraft.HCCoppercablered", "media/textures/Item_HCCoppercablered.png", nil, nil, nil}
		NecroList.Items.HC1200 = {"Mods", nil, nil, "HC - Striped Copper Cable", "Hydrocraft.HCCoppercablestriped", "media/textures/Item_HCCoppercablestriped.png", nil, nil, nil}
		NecroList.Items.HC1201 = {"Mods", nil, nil, "HC - Copper Cooler", "Hydrocraft.HCCoppercooler", "media/textures/Item_HCCoppercooler.png", nil, nil, nil}
		NecroList.Items.HC1202 = {"Mods", nil, nil, "HC - Copper Ingot", "Hydrocraft.HCCopperingot", "media/textures/Item_HCCopperingot.png", nil, nil, nil}
		NecroList.Items.HC1203 = {"Mods", nil, nil, "HC - Copper Mashpot", "Hydrocraft.HCCoppermashpot", "media/textures/Item_HCCoppermashpot.png", nil, nil, nil}
		NecroList.Items.HC1204 = {"Mods", nil, nil, "HC - Copper Ore", "Hydrocraft.HCCopperore", "media/textures/Item_HCCopperore.png", nil, nil, nil}
		NecroList.Items.HC1205 = {"Mods", nil, nil, "HC - Copper Oxide Powder", "Hydrocraft.HCCopperoxidepowder", "media/textures/Item_HCCopperoxidepowder.png", nil, nil, nil}
		NecroList.Items.HC1206 = {"Mods", nil, nil, "HC - Copper Pipe", "Hydrocraft.HCCopperpipe", "media/textures/Item_HCCopperpipe.png", nil, nil, nil}
		NecroList.Items.HC1207 = {"Mods", nil, nil, "HC - Pallet of Copper Pipes", "Hydrocraft.HCCopperpipebox", "media/textures/Item_HCCopperpipebox.png", nil, nil, nil}
		NecroList.Items.HC1208 = {"Mods", nil, nil, "HC - Copper Powder", "Hydrocraft.HCCopperpowder", "media/textures/Item_HCCopperpowder.png", nil, nil, nil}
		NecroList.Items.HC1209 = {"Mods", nil, nil, "HC - Copper Rod", "Hydrocraft.HCCopperrod", "media/textures/Item_HCCopperrod.png", nil, nil, nil}
		NecroList.Items.HC1210 = {"Mods", nil, nil, "HC - Copper Sheet", "Hydrocraft.HCCoppersheet", "media/textures/Item_HCCoppersheet.png", nil, nil, nil}
		NecroList.Items.HC1211 = {"Mods", nil, nil, "HC - Large Copper Sheet", "Hydrocraft.HCCoppersheetlarge", "media/textures/Item_HCCoppersheetlarge.png", nil, nil, nil}
		NecroList.Items.HC1212 = {"Mods", nil, nil, "HC - Copper Sulfate Powder", "Hydrocraft.HCCoppersulfatepowder", "media/textures/Item_HCCoppersulfatepowder.png", nil, nil, nil}
		NecroList.Items.HC1213 = {"Mods", nil, nil, "HC - Copy Machine", "Hydrocraft.HCCopymachine", "media/textures/Item_HCCopymachine.png", nil, nil, nil}
		NecroList.Items.HC1214 = {"Mods", nil, nil, "HC - Corgi (Female)", "Hydrocraft.HCCorgifemale", "media/textures/Item_HCCorgifemale.png", nil, nil, nil}
		NecroList.Items.HC1215 = {"Mods", nil, nil, "HC - Corgi (Male)", "Hydrocraft.HCCorgimale", "media/textures/Item_HCCorgimale.png", nil, nil, nil}
		NecroList.Items.HC1216 = {"Mods", nil, nil, "HC - Coriander", "Hydrocraft.HCCoriander", "media/textures/Item_HCCoriander.png", nil, nil, nil}
		NecroList.Items.HC1217 = {"Mods", nil, nil, "HC - Cork", "Hydrocraft.HCCork", "media/textures/Item_HCCork.png", nil, nil, nil}
		NecroList.Items.HC1218 = {"Mods", nil, nil, "HC - Box of Corks", "Hydrocraft.HCCorkbox", "media/textures/Item_HCCorkbox.png", nil, nil, nil}
		NecroList.Items.HC1219 = {"Mods", nil, nil, "HC - Cork with Hole", "Hydrocraft.HCCorkhole", "media/textures/Item_HCCorkhole.png", nil, nil, nil}
		NecroList.Items.HC1220 = {"Mods", nil, nil, "HC - Blue Corn (Fresh)", "Hydrocraft.HCCornblue", "media/textures/Item_HCCornblue.png", nil, nil, nil}
		NecroList.Items.HC1221 = {"Mods", nil, nil, "HC - Blue Corn Seeds", "Hydrocraft.HCCornblueseeds", "media/textures/Item_HCCornblueseeds.png", nil, nil, nil}
		NecroList.Items.HC1222 = {"Mods", nil, nil, "HC - Blue Corn Seeds Packet", "Hydrocraft.HCCornblueseedspacket", "media/textures/Item_HCCornblueseedspacket.png", nil, nil, nil}
		NecroList.Items.HC1223 = {"Mods", nil, nil, "HC - Uncooked Cornbread (Fresh Uncooked)", "Hydrocraft.HCCornbread", "media/textures/Item_HCCornbread.png", nil, nil, nil}
		NecroList.Items.HC1224 = {"Mods", nil, nil, "HC - Baked Cornbread (Fresh)", "Hydrocraft.HCCornbreadbaked", "media/textures/Item_HCCornbread.png", nil, nil, nil}
		NecroList.Items.HC1225 = {"Mods", nil, nil, "HC - Corn Cob Pipe", "Hydrocraft.HCCorncobpipe", "media/textures/Item_HCCorncobpipe.png", nil, nil, nil}
		NecroList.Items.HC1226 = {"Mods", nil, nil, "HC - Corn Cob Pipe with Hemp", "Hydrocraft.HCCorncobpipehemp", "media/textures/Item_HCCorncobpipe.png", nil, nil, nil}
		NecroList.Items.HC1227 = {"Mods", nil, nil, "HC - Corn Cob Pipe with Pure Opium", "Hydrocraft.HCCorncobpipeopiumpure", "media/textures/Item_HCCorncobpipe.png", nil, nil, nil}
		NecroList.Items.HC1228 = {"Mods", nil, nil, "HC - Corn Cob Pipe with Tobacco", "Hydrocraft.HCCorncobpipetobacco", "media/textures/Item_HCCorncobpipe.png", nil, nil, nil}
		NecroList.Items.HC1229 = {"Mods", nil, nil, "HC - Corn On the Cob (Fresh Uncooked)", "Hydrocraft.HCCornonthecob", "media/textures/Item_HCCorncob.png", nil, nil, nil}
		NecroList.Items.HC1230 = {"Mods", nil, nil, "HC - Red Corn (Fresh)", "Hydrocraft.HCCornred", "media/textures/Item_HCCornred.png", nil, nil, nil}
		NecroList.Items.HC1231 = {"Mods", nil, nil, "HC - Red Corn Seeds", "Hydrocraft.HCCornredseeds", "media/textures/Item_HCCornredseeds.png", nil, nil, nil}
		NecroList.Items.HC1232 = {"Mods", nil, nil, "HC - Red Corn Seeds Packet", "Hydrocraft.HCCornredseedspacket", "media/textures/Item_HCCornredseedspacket.png", nil, nil, nil}
		NecroList.Items.HC1233 = {"Mods", nil, nil, "HC - Corn Seeds", "Hydrocraft.HCCornseeds", "media/textures/Item_HCCornseeds.png", nil, nil, nil}
		NecroList.Items.HC1234 = {"Mods", nil, nil, "HC - Corn Seeds Packet", "Hydrocraft.HCCornseedspacket", "media/textures/Item_HCCornseedspacket.png", nil, nil, nil}
		NecroList.Items.HC1235 = {"Mods", nil, nil, "HC - White Corn (Fresh)", "Hydrocraft.HCCornwhite", "media/textures/Item_HCCornwhite.png", nil, nil, nil}
		NecroList.Items.HC1236 = {"Mods", nil, nil, "HC - White Corn Seeds", "Hydrocraft.HCCornwhiteseeds", "media/textures/Item_HCCornwhiteseeds.png", nil, nil, nil}
		NecroList.Items.HC1237 = {"Mods", nil, nil, "HC - White Corn Seeds Packet", "Hydrocraft.HCCornwhiteseedspacket", "media/textures/Item_HCCornwhiteseedspacket.png", nil, nil, nil}
		NecroList.Items.HC1238 = {"Mods", nil, nil, "HC - Cosmetic Case", "Hydrocraft.HCCosmeticcase", "media/textures/Item_HCCosmeticcase.png", nil, nil, nil}
		NecroList.Items.HC1239 = {"Mods", nil, nil, "HC - Cotton", "Hydrocraft.HCCotton", "media/textures/Item_HCCotton.png", nil, nil, nil}
		NecroList.Items.HC1240 = {"Mods", nil, nil, "HC - Cotton Candy", "Hydrocraft.HCCottoncandy", "media/textures/Item_HCCottoncandy.png", nil, nil, nil}
		NecroList.Items.HC1241 = {"Mods", nil, nil, "HC - Cotton Cloth", "Hydrocraft.HCCottoncloth", "media/textures/Item_HCCottoncloth.png", nil, nil, nil}
		NecroList.Items.HC1242 = {"Mods", nil, nil, "HC - Cotton Gin", "Hydrocraft.HCCottongin", "media/textures/Item_HCCottongin.png", nil, nil, nil}
		NecroList.Items.HC1243 = {"Mods", nil, nil, "HC - Raw Cotton", "Hydrocraft.HCCottonraw", "media/textures/Item_HCCottonraw.png", nil, nil, nil}
		NecroList.Items.HC1244 = {"Mods", nil, nil, "HC - Cotton Seeds", "Hydrocraft.HCCottonseeds", "media/textures/Item_HCCottonseeds.png", nil, nil, nil}
		NecroList.Items.HC1245 = {"Mods", nil, nil, "HC - Cotton Seeds Packet", "Hydrocraft.HCCottonseedspacket", "media/textures/Item_HCCottonseedspacket.png", nil, nil, nil}
		NecroList.Items.HC1246 = {"Mods", nil, nil, "HC - Cotton Thread", "Hydrocraft.HCCottonthread", "media/textures/Item_HCCottonthread.png", nil, nil, nil}
		NecroList.Items.HC1247 = {"Mods", nil, nil, "HC - Cough Syrup", "Hydrocraft.HCCoughsyrup", "media/textures/Item_HCCoughsyrup.png", nil, nil, nil}
		NecroList.Items.HC1248 = {"Mods", nil, nil, "HC - Cow Bell", "Hydrocraft.HCCowbell", "media/textures/Item_HCCowbell.png", nil, nil, nil}
		NecroList.Items.HC1249 = {"Mods", nil, nil, "HC - Cow Skeleton", "Hydrocraft.HCCowbones", "media/textures/Item_HCCowbones.png", nil, nil, nil}
		NecroList.Items.HC1250 = {"Mods", nil, nil, "HC - Cow Skeleton", "Hydrocraft.HCCowbones2", "media/textures/Item_HCCowbones2.png", nil, nil, nil}
		NecroList.Items.HC1251 = {"Mods", nil, nil, "HC - Cowboy Hat", "Hydrocraft.HCCowboyhat", "media/textures/Item_HCCowboyhat.png", nil, nil, nil}
		NecroList.Items.HC1252 = {"Mods", nil, nil, "HC - Dead Cow (Fresh)", "Hydrocraft.HCCowdead", "media/textures/Item_HCCowdead.png", nil, nil, nil}
		NecroList.Items.HC1253 = {"Mods", nil, nil, "HC - Dead Cow (Fresh)", "Hydrocraft.HCCowdead2", "media/textures/Item_HCCowdead2.png", nil, nil, nil}
		NecroList.Items.HC1254 = {"Mods", nil, nil, "HC - Cow (Female)", "Hydrocraft.HCCowfemale", "media/textures/Item_HCCowfemale.png", nil, nil, nil}
		NecroList.Items.HC1255 = {"Mods", nil, nil, "HC - Baby Cow (Female)", "Hydrocraft.HCCowfemalebaby", "media/textures/Item_HCCowfemalebaby.png", nil, nil, nil}
		NecroList.Items.HC1256 = {"Mods", nil, nil, "HC - Hungry Cow (Female)", "Hydrocraft.HCCowfemalehungry", "media/textures/Item_HCCowfemale.png", nil, nil, nil}
		NecroList.Items.HC1257 = {"Mods", nil, nil, "HC - Lactating Cow (Female)", "Hydrocraft.HCCowfemaletired", "media/textures/Item_HCCowfemale.png", nil, nil, nil}
		NecroList.Items.HC1258 = {"Mods", nil, nil, "HC - Cow (Male)", "Hydrocraft.HCCowmale", "media/textures/Item_HCCowmale.png", nil, nil, nil}
		NecroList.Items.HC1259 = {"Mods", nil, nil, "HC - Baby Cow (Male)", "Hydrocraft.HCCowmalebaby", "media/textures/Item_HCCowmalebaby.png", nil, nil, nil}
		NecroList.Items.HC1260 = {"Mods", nil, nil, "HC - Hungry Cow (Male)", "Hydrocraft.HCCowmalehungry", "media/textures/Item_HCCowmale.png", nil, nil, nil}
		NecroList.Items.HC1261 = {"Mods", nil, nil, "HC - Tired Cow (Male)", "Hydrocraft.HCCowmaletired", "media/textures/Item_HCCowmale.png", nil, nil, nil}
		NecroList.Items.HC1262 = {"Mods", nil, nil, "HC - Cow Carcass (Fresh)", "Hydrocraft.HCCowmeat", "media/textures/Item_HCCowmeat.png", nil, nil, nil}
		NecroList.Items.HC1263 = {"Mods", nil, nil, "HC - Cow Carcass (Fresh)", "Hydrocraft.HCCowmeat2", "media/textures/Item_HCCowmeat2.png", nil, nil, nil}
		NecroList.Items.HC1264 = {"Mods", nil, nil, "HC - Cow Poop", "Hydrocraft.HCCowpoop", "media/textures/Item_HCCowpoop.png", nil, nil, nil}
		NecroList.Items.HC1265 = {"Mods", nil, nil, "HC - Feral Cow Poop", "Hydrocraft.HCCowpoopferal", "media/textures/Item_HCCowpoop.png", nil, nil, nil}
		NecroList.Items.HC1266 = {"Mods", nil, nil, "HC - Crab (Fresh Uncooked)", "Hydrocraft.HCCrab", "media/textures/Item_HCCrab.png", nil, nil, nil}
		NecroList.Items.HC1267 = {"Mods", nil, nil, "HC - Boiled Crab (Fresh)", "Hydrocraft.HCCrabcooked", "media/textures/Item_HCCrabcooked.png", nil, nil, nil}
		NecroList.Items.HC1268 = {"Mods", nil, nil, "HC - Pot of Crab (Fresh Uncooked)", "Hydrocraft.HCCrabpot", "Item_PotFull", nil, nil, nil}
		NecroList.Items.HC1269 = {"Mods", nil, nil, "HC - Cramp Bark Berry (Fresh)", "Hydrocraft.HCCrampbarkberry", "media/textures/Item_HCCrampbarkberry.png", nil, nil, nil}
		NecroList.Items.HC1270 = {"Mods", nil, nil, "HC - Cranberry (Fresh)", "Hydrocraft.HCCranberry", "media/textures/Item_HCCranberry.png", nil, nil, nil}
		NecroList.Items.HC1271 = {"Mods", nil, nil, "HC - Crank", "Hydrocraft.HCCrank", "media/textures/Item_HCCrank.png", nil, nil, nil}
		NecroList.Items.HC1272 = {"Mods", nil, nil, "HC - Crayfish (Fresh Uncooked)", "Hydrocraft.HCCrayfish", "media/textures/Item_HCCrayfish.png", nil, nil, nil}
		NecroList.Items.HC1273 = {"Mods", nil, nil, "HC - Boiled Crayfish (Fresh)", "Hydrocraft.HCCrayfishcooked", "media/textures/Item_HCCrayfishcooked.png", nil, nil, nil}
		NecroList.Items.HC1274 = {"Mods", nil, nil, "HC - Pot of Crayfish (Fresh Uncooked)", "Hydrocraft.HCCrayfishpot", "Item_PotFull", nil, nil, nil}
		NecroList.Items.HC1275 = {"Mods", nil, nil, "HC - Box of Crayons", "Hydrocraft.HCCrayonbox", "media/textures/Item_HCCrayonbox.png", nil, nil, nil}
		NecroList.Items.HC1276 = {"Mods", nil, nil, "HC - Cream (Fresh)", "Hydrocraft.HCCream", "media/textures/Item_HCCream.png", nil, nil, nil}
		NecroList.Items.HC1277 = {"Mods", nil, nil, "HC - Cream Cheese (Fresh)", "Hydrocraft.HCCreamcheese", "media/textures/Item_HCCreamcheese.png", nil, nil, nil}
		NecroList.Items.HC1278 = {"Mods", nil, nil, "HC - Cream Cheese Culture (Fresh)", "Hydrocraft.HCCreamcheeseculture", "media/textures/Item_HCWoodenbucketmilk.png", nil, nil, nil}
		NecroList.Items.HC1279 = {"Mods", nil, nil, "HC - Cream of Tartar", "Hydrocraft.HCCreamoftartar", "media/textures/Item_HCCreamoftartar.png", nil, nil, nil}
		NecroList.Items.HC1280 = {"Mods", nil, nil, "HC - Empty Chip Bag", "Hydrocraft.HCCrisps2trash", "media/textures/Item_HCCrisps2trash.png", nil, nil, nil}
		NecroList.Items.HC1281 = {"Mods", nil, nil, "HC - Empty Chip Bag", "Hydrocraft.HCCrisps3trash", "media/textures/Item_HCCrisps3trash.png", nil, nil, nil}
		NecroList.Items.HC1282 = {"Mods", nil, nil, "HC - Empty Chip Bag", "Hydrocraft.HCCrisps4trash", "media/textures/Item_HCCrisps4trash.png", nil, nil, nil}
		NecroList.Items.HC1283 = {"Mods", nil, nil, "HC - Chips", "Hydrocraft.HCCrisps5", "media/textures/Item_HCCrisps5.png", nil, nil, nil}
		NecroList.Items.HC1284 = {"Mods", nil, nil, "HC - Empty Chip Bag", "Hydrocraft.HCCrisps5trash", "media/textures/Item_HCCrisps5trash.png", nil, nil, nil}
		NecroList.Items.HC1285 = {"Mods", nil, nil, "HC - Chips", "Hydrocraft.HCCrisps6", "media/textures/Item_HCCrisps6.png", nil, nil, nil}
		NecroList.Items.HC1286 = {"Mods", nil, nil, "HC - Empty Chip Bag", "Hydrocraft.HCCrisps6trash", "media/textures/Item_HCCrisps6trash.png", nil, nil, nil}
		NecroList.Items.HC1287 = {"Mods", nil, nil, "HC - Chips", "Hydrocraft.HCCrisps7", "media/textures/Item_HCCrisps7.png", nil, nil, nil}
		NecroList.Items.HC1288 = {"Mods", nil, nil, "HC - Empty Chip Bag", "Hydrocraft.HCCrisps7trash", "media/textures/Item_HCCrisps7trash.png", nil, nil, nil}
		NecroList.Items.HC1289 = {"Mods", nil, nil, "HC - Chips", "Hydrocraft.HCCrisps8", "media/textures/Item_HCCrisps8.png", nil, nil, nil}
		NecroList.Items.HC1290 = {"Mods", nil, nil, "HC - Empty Pack", "Hydrocraft.HCCrisps8trash", "media/textures/Item_HCCrisps8trash.png", nil, nil, nil}
		NecroList.Items.HC1291 = {"Mods", nil, nil, "HC - Chips", "Hydrocraft.HCCrisps9", "media/textures/Item_HCCrisps9.png", nil, nil, nil}
		NecroList.Items.HC1292 = {"Mods", nil, nil, "HC - Empty Chip Bag", "Hydrocraft.HCCrisps9trash", "media/textures/Item_HCCrisps9trash.png", nil, nil, nil}
		NecroList.Items.HC1293 = {"Mods", nil, nil, "HC - Empty Chip Bag", "Hydrocraft.HCCrispstrash", "media/textures/Item_HCCrispstrash.png", nil, nil, nil}
		NecroList.Items.HC1294 = {"Mods", nil, nil, "HC - Baked Croissant (Fresh)", "Hydrocraft.HCCroissantbaked", "media/textures/Item_HCCroissant.png", nil, nil, nil}
		NecroList.Items.HC1295 = {"Mods", nil, nil, "HC - Crossbow", "Hydrocraft.HCCrossbow", "media/textures/Item_HCCrossbow.png", nil, nil, nil}
		NecroList.Items.HC1296 = {"Mods", nil, nil, "HC - Crowberry (Fresh)", "Hydrocraft.HCCrowberry", "media/textures/Item_HCCrowberry.png", nil, nil, nil}
		NecroList.Items.HC1297 = {"Mods", nil, nil, "HC - Dead Crow (Fresh)", "Hydrocraft.HCCrowdead", "media/textures/Item_HCCrowdead.png", nil, nil, nil}
		NecroList.Items.HC1298 = {"Mods", nil, nil, "HC - Cruller (Fresh)", "Hydrocraft.HCCruller", "media/textures/Item_HCCruller.png", nil, nil, nil}
		NecroList.Items.HC1299 = {"Mods", nil, nil, "HC - Chocolate Cruller (Fresh)", "Hydrocraft.HCCruller2", "media/textures/Item_HCCruller2.png", nil, nil, nil}
		NecroList.Items.HC1300 = {"Mods", nil, nil, "HC - Mocha Cruller (Fresh)", "Hydrocraft.HCCruller3", "media/textures/Item_HCCruller3.png", nil, nil, nil}
		NecroList.Items.HC1301 = {"Mods", nil, nil, "HC - Crutch", "Hydrocraft.HCCrutch", "media/textures/Item_HCCrutch.png", nil, nil, nil}
		NecroList.Items.HC1302 = {"Mods", nil, nil, "HC - Aluminium Crutch", "Hydrocraft.HCCrutchaluminium", "media/textures/Item_HCCrutchaluminium.png", nil, nil, nil}
		NecroList.Items.HC1303 = {"Mods", nil, nil, "HC - Makeshift Crutch", "Hydrocraft.HCCrutchmakeshift", "media/textures/Item_HCCrutchmakeshift.png", nil, nil, nil}
		NecroList.Items.HC1304 = {"Mods", nil, nil, "HC - Homemade Crystal Meth", "Hydrocraft.HCCrystalmeth", "media/textures/Item_HCCrystalmeth.png", nil, nil, nil}
		NecroList.Items.HC1305 = {"Mods", nil, nil, "HC - Cucumber (Fresh)", "Hydrocraft.HCCucumber", "media/textures/Item_HCCucumber.png", nil, nil, nil}
		NecroList.Items.HC1306 = {"Mods", nil, nil, "HC - Cucumber Seeds", "Hydrocraft.HCCucumberseeds", "media/textures/Item_HCCucumberseeds.png", nil, nil, nil}
		NecroList.Items.HC1307 = {"Mods", nil, nil, "HC - Cucumber Seeds Packet", "Hydrocraft.HCCucumberseedspacket", "media/textures/Item_HCCucumberseedspacket.png", nil, nil, nil}
		NecroList.Items.HC1308 = {"Mods", nil, nil, "HC - Cue Ball", "Hydrocraft.HCCueball", "media/textures/Item_HCCueball.png", nil, nil, nil}
		NecroList.Items.HC1309 = {"Mods", nil, nil, "HC - Cumin", "Hydrocraft.HCCumin", "media/textures/Item_HCCumin.png", nil, nil, nil}
		NecroList.Items.HC1310 = {"Mods", nil, nil, "HC - Unfrosted Cupcake (Fresh)", "Hydrocraft.HCCupcake", "media/textures/Item_HCCupcake.png", nil, nil, nil}
		NecroList.Items.HC1311 = {"Mods", nil, nil, "HC - Homemade Cupcake Batter (Fresh Uncooked)", "Hydrocraft.HCCupcakebatter", "media/textures/Item_HCCupcakebatter.png", nil, nil, nil}
		NecroList.Items.HC1312 = {"Mods", nil, nil, "HC - Homemade Cupcake (Fresh)", "Hydrocraft.HCCupcakefrosted", "media/textures/Item_HCCupcakefrosted.png", nil, nil, nil}
		NecroList.Items.HC1313 = {"Mods", nil, nil, "HC - Uncooked Homemade Cupcakes (Fresh Uncooked)", "Hydrocraft.HCCupcakeshomemade", "media/textures/Item_HCCupcakeshomemade.png", nil, nil, nil}
		NecroList.Items.HC1314 = {"Mods", nil, nil, "HC - Cooked Homemade Cupcake (Fresh)", "Hydrocraft.HCCupcakeshomemadecooked", "media/textures/Item_HCCupcakeshomemadecooked.png", nil, nil, nil}
		NecroList.Items.HC1315 = {"Mods", nil, nil, "HC - Cubed Cheese Curd (Fresh)", "Hydrocraft.HCCurdcubed", "media/textures/Item_HCCheesecurdcubed.png", nil, nil, nil}
		NecroList.Items.HC1316 = {"Mods", nil, nil, "HC - Kneaded Cheese Curd (Fresh)", "Hydrocraft.HCCurdkneaded", "media/textures/Item_HCCheesecurdkneaded.png", nil, nil, nil}
		NecroList.Items.HC1317 = {"Mods", nil, nil, "HC - Jar of Lemon Curd", "Hydrocraft.HCCurdlemon", "media/textures/Item_HCJarredlemon.png", nil, nil, nil}
		NecroList.Items.HC1318 = {"Mods", nil, nil, "HC - Pot of Cooked Lemon Curd", "Hydrocraft.HCCurdlemoncooked", "Item_PotFull", nil, nil, nil}
		NecroList.Items.HC1319 = {"Mods", nil, nil, "HC - Pot of Lemon Curd (Fresh Uncooked)", "Hydrocraft.HCCurdlemonpot", "Item_PotFull", nil, nil, nil}
		NecroList.Items.HC1320 = {"Mods", nil, nil, "HC - Jar of Lime Curd", "Hydrocraft.HCCurdlime", "media/textures/Item_HCJarredlime.png", nil, nil, nil}
		NecroList.Items.HC1321 = {"Mods", nil, nil, "HC - Pot of Cooked Lime Curd", "Hydrocraft.HCCurdlimecooked", "Item_PotFull", nil, nil, nil}
		NecroList.Items.HC1322 = {"Mods", nil, nil, "HC - Pot of Lime Curd (Fresh Uncooked)", "Hydrocraft.HCCurdlimepot", "Item_PotFull", nil, nil, nil}
		NecroList.Items.HC1323 = {"Mods", nil, nil, "HC - Curing Salt", "Hydrocraft.HCCuringsalt", "media/textures/Item_HCCuringsalt.png", nil, nil, nil}
		NecroList.Items.HC1324 = {"Mods", nil, nil, "HC - Empty Curing Salt Bag", "Hydrocraft.HCCuringsaltempty", "media/textures/Item_HCCuringsaltempty.png", nil, nil, nil}
		NecroList.Items.HC1325 = {"Mods", nil, nil, "HC - Curry", "Hydrocraft.HCCurry", "media/textures/Item_HCCurry.png", nil, nil, nil}
		NecroList.Items.HC1326 = {"Mods", nil, nil, "HC - Cutting Board", "Hydrocraft.HCCuttingboard", "media/textures/Item_HCCuttingboard.png", nil, nil, nil}
		NecroList.Items.HC1327 = {"Mods", nil, nil, "HC - Dachshund (Female)", "Hydrocraft.HCDachshundfemale", "media/textures/Item_HCDachshundfemale.png", nil, nil, nil}
		NecroList.Items.HC1328 = {"Mods", nil, nil, "HC - Dachshund (Male)", "Hydrocraft.HCDachshundmale", "media/textures/Item_HCDachshundmale.png", nil, nil, nil}
		NecroList.Items.HC1329 = {"Mods", nil, nil, "HC - Dacite", "Hydrocraft.HCDacite", "media/textures/Item_HCDacite.png", nil, nil, nil}
		NecroList.Items.HC1330 = {"Mods", nil, nil, "HC - Daffodil", "Hydrocraft.HCDaffodil", "media/textures/Item_HCDaffodil.png", nil, nil, nil}
		NecroList.Items.HC1331 = {"Mods", nil, nil, "HC - Bronze Dagger", "Hydrocraft.HCDaggerbronze", "media/textures/Item_HCDaggerbronze.png", nil, nil, nil}
		NecroList.Items.HC1332 = {"Mods", nil, nil, "HC - Copper Dagger", "Hydrocraft.HCDaggercopper", "media/textures/Item_HCDaggercopper.png", nil, nil, nil}
		NecroList.Items.HC1333 = {"Mods", nil, nil, "HC - Iron Dagger", "Hydrocraft.HCDaggeriron", "media/textures/Item_HCDaggeriron.png", nil, nil, nil}
		NecroList.Items.HC1334 = {"Mods", nil, nil, "HC - Steel Dagger", "Hydrocraft.HCDaggersteel", "media/textures/Item_HCDaggersteel.png", nil, nil, nil}
		NecroList.Items.HC1335 = {"Mods", nil, nil, "HC - Daisy", "Hydrocraft.HCDaisy", "media/textures/Item_HCDaisy.png", nil, nil, nil}
		NecroList.Items.HC1336 = {"Mods", nil, nil, "HC - Dark Mine", "Hydrocraft.HCDarkmine", "media/textures/Item_HCDarkmine.png", nil, nil, nil}
		NecroList.Items.HC1337 = {"Mods", nil, nil, "HC - Dark Mine with Pully", "Hydrocraft.HCDarkmine2", "media/textures/Item_HCDarkmine2.png", nil, nil, nil}
		NecroList.Items.HC1338 = {"Mods", nil, nil, "HC - Dark Mine with Pully", "Hydrocraft.HCDarkmine2B", "media/textures/Item_HCDarkmine2.png", nil, nil, nil}
		NecroList.Items.HC1339 = {"Mods", nil, nil, "HC - Dark Mine with Steam Pully", "Hydrocraft.HCDarkmine3", "media/textures/Item_HCDarkmine3.png", nil, nil, nil}
		NecroList.Items.HC1340 = {"Mods", nil, nil, "HC - Dark Mine with Steam Pully", "Hydrocraft.HCDarkmine3B", "media/textures/Item_HCDarkmine3.png", nil, nil, nil}
		NecroList.Items.HC1341 = {"Mods", nil, nil, "HC - Dark Mine", "Hydrocraft.HCDarkmineB", "media/textures/Item_HCDarkmine.png", nil, nil, nil}
		NecroList.Items.HC1342 = {"Mods", nil, nil, "HC - Dates (Fresh)", "Hydrocraft.HCDates", "media/textures/Item_HCDates.png", nil, nil, nil}
		NecroList.Items.HC1343 = {"Mods", nil, nil, "HC - Deer Antlers", "Hydrocraft.HCDeerantlers", "media/textures/Item_HCDeerantlers.png", nil, nil, nil}
		NecroList.Items.HC1344 = {"Mods", nil, nil, "HC - Deer Skeleton", "Hydrocraft.HCDeerbones", "media/textures/Item_HCDeerbones.png", nil, nil, nil}
		NecroList.Items.HC1345 = {"Mods", nil, nil, "HC - Deer Skeleton", "Hydrocraft.HCDeerbones2", "media/textures/Item_HCDeerbones2.png", nil, nil, nil}
		NecroList.Items.HC1346 = {"Mods", nil, nil, "HC - Dead Deer (Fresh)", "Hydrocraft.HCDeerdead", "media/textures/Item_HCDeerdead.png", nil, nil, nil}
		NecroList.Items.HC1347 = {"Mods", nil, nil, "HC - Dead Deer (Fresh)", "Hydrocraft.HCDeerdead2", "media/textures/Item_HCDeerdead2.png", nil, nil, nil}
		NecroList.Items.HC1348 = {"Mods", nil, nil, "HC - Deer (Female)", "Hydrocraft.HCDeerfemale", "media/textures/Item_HCDeerfemale.png", nil, nil, nil}
		NecroList.Items.HC1349 = {"Mods", nil, nil, "HC - Deer (Male)", "Hydrocraft.HCDeermale", "media/textures/Item_HCDeermale.png", nil, nil, nil}
		NecroList.Items.HC1350 = {"Mods", nil, nil, "HC - Deer Carcass (Fresh)", "Hydrocraft.HCDeermeat", "media/textures/Item_HCDeermeat.png", nil, nil, nil}
		NecroList.Items.HC1351 = {"Mods", nil, nil, "HC - Deer Carcass (Fresh)", "Hydrocraft.HCDeermeat2", "media/textures/Item_HCDeermeat2.png", nil, nil, nil}
		NecroList.Items.HC1352 = {"Mods", nil, nil, "HC - Deer Poop", "Hydrocraft.HCDeerpoop", "media/textures/Item_HCDeerpoop.png", nil, nil, nil}
		NecroList.Items.HC1353 = {"Mods", nil, nil, "HC - Dentures", "Hydrocraft.HCDentures", "media/textures/Item_HCDentures.png", nil, nil, nil}
		NecroList.Items.HC1354 = {"Mods", nil, nil, "HC - Deodorant Spray", "Hydrocraft.HCDeodorantspray", "media/textures/Item_HCDeodorantspray.png", nil, nil, nil}
		NecroList.Items.HC1355 = {"Mods", nil, nil, "HC - Deodorant Stick", "Hydrocraft.HCDeodorantstick", "media/textures/Item_HCDeodorantstick.png", nil, nil, nil}
		NecroList.Items.HC1356 = {"Mods", nil, nil, "HC - Desk Bell", "Hydrocraft.HCDeskbell", "media/textures/Item_HCDeskbell.png", nil, nil, nil}
		NecroList.Items.HC1357 = {"Mods", nil, nil, "HC - Metal Detector", "Hydrocraft.HCDetector", "media/textures/Item_HCDetector.png", nil, nil, nil}
		NecroList.Items.HC1358 = {"Mods", nil, nil, "HC - Metal Detector with Dead Battery", "Hydrocraft.HCDetectordead", "media/textures/Item_HCDetector.png", nil, nil, nil}
		NecroList.Items.HC1359 = {"Mods", nil, nil, "HC - Metal Detector with Power", "Hydrocraft.HCDetectorpowered", "media/textures/Item_HCDetectorpowered.png", nil, nil, nil}
		NecroList.Items.HC1360 = {"Mods", nil, nil, "HC - Liquid Soap", "Hydrocraft.HCDetergent", "media/textures/Item_HCDetergent.png", nil, nil, nil}
		NecroList.Items.HC1361 = {"Mods", nil, nil, "HC - Liquid Soap Can With Ammonia", "Hydrocraft.HCDetergentammonia", "media/textures/Item_HCDetergentammonia.png", nil, nil, nil}
		NecroList.Items.HC1362 = {"Mods", nil, nil, "HC - Liquid Soap Can With Biodiesel", "Hydrocraft.HCDetergentbiodiesel", "media/textures/Item_HCDetergentbiodiesel.png", nil, nil, nil}
		NecroList.Items.HC1363 = {"Mods", nil, nil, "HC - Liquid Soap Can With Copper Sulfate Solution", "Hydrocraft.HCDetergentcoppersulfatesolution", "media/textures/Item_HCDetergentcoppersulfatesolution.png", nil, nil, nil}
		NecroList.Items.HC1364 = {"Mods", nil, nil, "HC - Empty Liquid Soap Can", "Hydrocraft.HCDetergentempty", "media/textures/Item_HCDetergentempty.png", nil, nil, nil}
		NecroList.Items.HC1365 = {"Mods", nil, nil, "HC - Liquid Soap Can With Grape Juice", "Hydrocraft.HCDetergentgrape", "media/textures/Item_HCDetergentgrape.png", nil, nil, nil}
		NecroList.Items.HC1366 = {"Mods", nil, nil, "HC - Liquid Soap Can With Hydrogen Peroxide", "Hydrocraft.HCDetergenth2o2", "media/textures/Item_HCDetergenth2o2.png", nil, nil, nil}
		NecroList.Items.HC1367 = {"Mods", nil, nil, "HC - Liquid Soap Can With Honey", "Hydrocraft.HCDetergenthoney", "media/textures/Item_HCDetergenthoney.png", nil, nil, nil}
		NecroList.Items.HC1368 = {"Mods", nil, nil, "HC - Liquid Soap Can With Milk of Lime", "Hydrocraft.HCDetergentlime", "media/textures/Item_HCDetergentlime.png", nil, nil, nil}
		NecroList.Items.HC1369 = {"Mods", nil, nil, "HC - Liquid Soap Can With Lye", "Hydrocraft.HCDetergentlye", "media/textures/Item_HCDetergentlye.png", nil, nil, nil}
		NecroList.Items.HC1370 = {"Mods", nil, nil, "HC - Liquid Soap Can With Methanol", "Hydrocraft.HCDetergentmethanol", "media/textures/Item_HCDetergentmethanol.png", nil, nil, nil}
		NecroList.Items.HC1371 = {"Mods", nil, nil, "HC - Liquid Soap Can With UHTMilk (Fresh)", "Hydrocraft.HCDetergentmilk", "media/textures/Item_HCDetergentmilk.png", nil, nil, nil}
		NecroList.Items.HC1372 = {"Mods", nil, nil, "HC - Liquid Soap Can With Muriatic Acid", "Hydrocraft.HCDetergentmuriaticacid", "media/textures/Item_HCDetergentmuriaticacid.png", nil, nil, nil}
		NecroList.Items.HC1373 = {"Mods", nil, nil, "HC - Liquid Soap Can With Nickel Sulfate Solution", "Hydrocraft.HCDetergentnickelsulfatesolution", "media/textures/Item_HCDetergentnickelsulfatesolution.png", nil, nil, nil}
		NecroList.Items.HC1374 = {"Mods", nil, nil, "HC - Liquid Soap Can With Nitric Acid", "Hydrocraft.HCDetergentnitricacid", "media/textures/Item_HCDetergentnitricacid.png", nil, nil, nil}
		NecroList.Items.HC1375 = {"Mods", nil, nil, "HC - Liquid Soap Can With Oil", "Hydrocraft.HCDetergentoil", "media/textures/Item_HCDetergentoil.png", nil, nil, nil}
		NecroList.Items.HC1376 = {"Mods", nil, nil, "HC - Liquid Soap Can With Insecticide", "Hydrocraft.HCDetergentpoison", "media/textures/Item_HCDetergentpoison.png", nil, nil, nil}
		NecroList.Items.HC1377 = {"Mods", nil, nil, "HC - Liquid Soap Can With Rose Tanning Oil", "Hydrocraft.HCDetergentrose", "media/textures/Item_HCDetergentrose.png", nil, nil, nil}
		NecroList.Items.HC1378 = {"Mods", nil, nil, "HC - Liquid Soap Can With Sulfuric Acid", "Hydrocraft.HCDetergentsulfuricacid", "media/textures/Item_HCDetergentsulfuricacid.png", nil, nil, nil}
		NecroList.Items.HC1379 = {"Mods", nil, nil, "HC - Liquid Soap Can With Tannin", "Hydrocraft.HCDetergenttan", "media/textures/Item_HCDetergenttan.png", nil, nil, nil}
		NecroList.Items.HC1380 = {"Mods", nil, nil, "HC - Liquid Soap Can With Vegetable Oil", "Hydrocraft.HCDetergentvegoil", "media/textures/Item_HCDetergentvegoil.png", nil, nil, nil}
		NecroList.Items.HC1381 = {"Mods", nil, nil, "HC - Liquid Soap Can Water", "Hydrocraft.HCDetergentwater", "media/textures/Item_HCDetergentwater.png", nil, nil, nil}
		NecroList.Items.HC1382 = {"Mods", nil, nil, "HC - Detonator Capsule with HMTD", "Hydrocraft.HCDetonatorcapsulehmtd", "media/textures/Item_HCDetonatorcapsulehmtd.png", nil, nil, nil}
		NecroList.Items.HC1383 = {"Mods", nil, nil, "HC - Detonator MK1", "Hydrocraft.HCDetonatormk1", "media/textures/Item_HCDetonatormk1.png", nil, nil, nil}
		NecroList.Items.HC1384 = {"Mods", nil, nil, "HC - Detonator MK2 Off", "Hydrocraft.HCDetonatormk2off", "media/textures/Item_HCDetonatormk2off.png", nil, nil, nil}
		NecroList.Items.HC1385 = {"Mods", nil, nil, "HC - Detonator MK2 On", "Hydrocraft.HCDetonatormk2on", "media/textures/Item_HCDetonatormk2on.png", nil, nil, nil}
		NecroList.Items.HC1386 = {"Mods", nil, nil, "HC - Detonator MK3 with HMTD Off", "Hydrocraft.HCDetonatormk3hmtdoff", "media/textures/Item_HCDetonatormk3hmtdoff.png", nil, nil, nil}
		NecroList.Items.HC1387 = {"Mods", nil, nil, "HC - Detonator MK3 with HMTD On", "Hydrocraft.HCDetonatormk3hmtdon", "media/textures/Item_HCDetonatormk3hmtdon.png", nil, nil, nil}
		NecroList.Items.HC1388 = {"Mods", nil, nil, "HC - Detonator MK3 Off", "Hydrocraft.HCDetonatormk3off", "media/textures/Item_HCDetonatormk3off.png", nil, nil, nil}
		NecroList.Items.HC1389 = {"Mods", nil, nil, "HC - Detonator MK3 On", "Hydrocraft.HCDetonatormk3on", "media/textures/Item_HCDetonatormk3on.png", nil, nil, nil}
		NecroList.Items.HC1390 = {"Mods", nil, nil, "HC - Rubber Bung with Cables", "Hydrocraft.HCDetonatorrubberbungcabels", "media/textures/Item_HCDetonatorrubberbungcabels.png", nil, nil, nil}
		NecroList.Items.HC1391 = {"Mods", nil, nil, "HC - Diamond", "Hydrocraft.HCDiamond", "media/textures/Item_HCDiamond.png", nil, nil, nil}
		NecroList.Items.HC1392 = {"Mods", nil, nil, "HC - Cut Diamond", "Hydrocraft.HCDiamondcut", "media/textures/Item_HCDiamondcut.png", nil, nil, nil}
		NecroList.Items.HC1393 = {"Mods", nil, nil, "HC - Diaper", "Hydrocraft.HCDiaper", "media/textures/Item_HCDiaper.png", nil, nil, nil}
		NecroList.Items.HC1394 = {"Mods", nil, nil, "HC - Diaper", "Hydrocraft.HCDiaperAlcohol", "media/textures/Item_HCDiaper.png", nil, nil, nil}
		NecroList.Items.HC1395 = {"Mods", nil, nil, "HC - Dirty Diaper", "Hydrocraft.HCDiaperDirty", "media/textures/Item_HCDiaperDirty.png", nil, nil, nil}
		NecroList.Items.HC1396 = {"Mods", nil, nil, "HC - Diaper with Herbal Medicine", "Hydrocraft.HCDiaperherb", "media/textures/Item_HCDiaperherb.png", nil, nil, nil}
		NecroList.Items.HC1397 = {"Mods", nil, nil, "HC - Pack of Diapers", "Hydrocraft.HCDiaperpack", "media/textures/Item_HCDiaperpack.png", nil, nil, nil}
		NecroList.Items.HC1398 = {"Mods", nil, nil, "HC - Diatomite", "Hydrocraft.HCDiatomite", "media/textures/Item_HCDiatomite.png", nil, nil, nil}
		NecroList.Items.HC1399 = {"Mods", nil, nil, "HC - Diatomite Powder", "Hydrocraft.HCDiatomitepowder", "media/textures/Item_HCDiatomitepowder.png", nil, nil, nil}
		NecroList.Items.HC1400 = {"Mods", nil, nil, "HC - Bone Dice", "Hydrocraft.HCDicebone", "media/textures/Item_HCDicebone.png", nil, nil, nil}
		NecroList.Items.HC1401 = {"Mods", nil, nil, "HC - Dill", "Hydrocraft.HCDill", "media/textures/Item_HCDill.png", nil, nil, nil}
		NecroList.Items.HC1402 = {"Mods", nil, nil, "HC - Dime", "Hydrocraft.HCDime", "media/textures/Item_HCDime.png", nil, nil, nil}
		NecroList.Items.HC1403 = {"Mods", nil, nil, "HC - Diode", "Hydrocraft.HCDiode", "media/textures/Item_HCDiode.png", nil, nil, nil}
		NecroList.Items.HC1404 = {"Mods", nil, nil, "HC - Dirt", "Hydrocraft.HCDirt", "media/textures/Item_HCDirt.png", nil, nil, nil}
		NecroList.Items.HC1405 = {"Mods", nil, nil, "HC - Display", "Hydrocraft.HCDisplay", "media/textures/Item_HCDisplay.png", nil, nil, nil}
		NecroList.Items.HC1406 = {"Mods", nil, nil, "HC - Dissection Table", "Hydrocraft.HCDissectiontable", "media/textures/Item_HCDissectiontable.png", nil, nil, nil}
		NecroList.Items.HC1407 = {"Mods", nil, nil, "HC - Bloody Dissection Table", "Hydrocraft.HCDissectiontablebloody", "media/textures/Item_HCDissectiontablebloody.png", nil, nil, nil}
		NecroList.Items.HC1408 = {"Mods", nil, nil, "HC - Dissection Table with Corpse", "Hydrocraft.HCDissectiontablebody", "media/textures/Item_HCDissectiontablebody.png", nil, nil, nil}
		NecroList.Items.HC1409 = {"Mods", nil, nil, "HC - Dissection Table with Dissected Corpse", "Hydrocraft.HCDissectiontabledissected", "media/textures/Item_HCDissectiontabledissected.png", nil, nil, nil}
		NecroList.Items.HC1410 = {"Mods", nil, nil, "HC - Distillery", "Hydrocraft.HCDistillery", "media/textures/Item_HCDistillery.png", nil, nil, nil}
		NecroList.Items.HC1411 = {"Mods", nil, nil, "HC - Doberman (Female)", "Hydrocraft.HCDobermanfemale", "media/textures/Item_HCDobermanfemale.png", nil, nil, nil}
		NecroList.Items.HC1412 = {"Mods", nil, nil, "HC - Injured Doberman (Female)", "Hydrocraft.HCDobermanfemaleinjured", "media/textures/Item_HCDobermanfemaleinjured.png", nil, nil, nil}
		NecroList.Items.HC1413 = {"Mods", nil, nil, "HC - War Doberman (Female)", "Hydrocraft.HCDobermanfemalewar", "media/textures/Item_HCDobermanfemalewar.png", nil, nil, nil}
		NecroList.Items.HC1414 = {"Mods", nil, nil, "HC - Doberman (Male)", "Hydrocraft.HCDobermanmale", "media/textures/Item_HCDobermanmale.png", nil, nil, nil}
		NecroList.Items.HC1415 = {"Mods", nil, nil, "HC - Injured Doberman (Male)", "Hydrocraft.HCDobermanmaleinjured", "media/textures/Item_HCDobermanmaleinjured.png", nil, nil, nil}
		NecroList.Items.HC1416 = {"Mods", nil, nil, "HC - War Doberman (Male)", "Hydrocraft.HCDobermanmalewar", "media/textures/Item_HCDobermanmalewar.png", nil, nil, nil}
		NecroList.Items.HC1417 = {"Mods", nil, nil, "HC - Dog Biscuit", "Hydrocraft.HCDogbiscuit", "media/textures/Item_HCDogbiscuit.png", nil, nil, nil}
		NecroList.Items.HC1418 = {"Mods", nil, nil, "HC - Pet Bowl", "Hydrocraft.HCDogbowl", "media/textures/Item_HCDogbowl.png", nil, nil, nil}
		NecroList.Items.HC1419 = {"Mods", nil, nil, "HC - Tin Can", "Hydrocraft.HCDogfoodempty", "media/textures/Item_HCDogfoodempty.png", nil, nil, nil}
		NecroList.Items.HC1420 = {"Mods", nil, nil, "HC - Tin Can with Water", "Hydrocraft.HCDogfoodwater", "media/textures/Item_HCDogfoodwater.png", nil, nil, nil}
		NecroList.Items.HC1421 = {"Mods", nil, nil, "HC - Bag of Dog Kibble", "Hydrocraft.HCDogkibble", "media/textures/Item_HCDogkibble.png", nil, nil, nil}
		NecroList.Items.HC1422 = {"Mods", nil, nil, "HC - Dog Poop", "Hydrocraft.HCDogpoop", "media/textures/Item_HCDogpoop.png", nil, nil, nil}
		NecroList.Items.HC1423 = {"Mods", nil, nil, "HC - Dog Rope Toy", "Hydrocraft.HCDogropetoy", "media/textures/Item_HCDogropetoy.png", nil, nil, nil}
		NecroList.Items.HC1424 = {"Mods", nil, nil, "HC - Dog Tag", "Hydrocraft.HCDogtag", "media/textures/Item_HCDogtag.png", nil, nil, nil}
		NecroList.Items.HC1425 = {"Mods", nil, nil, "HC - Dog Whistle", "Hydrocraft.HCDogwhistle", "media/textures/Item_HCDogwhistle.png", nil, nil, nil}
		NecroList.Items.HC1426 = {"Mods", nil, nil, "HC - Dogwood", "Hydrocraft.HCDogwood", "media/textures/Item_HCDogwood.png", nil, nil, nil}
		NecroList.Items.HC1427 = {"Mods", nil, nil, "HC - Dollar", "Hydrocraft.HCDollar", "media/textures/Item_HCDollar.png", nil, nil, nil}
		NecroList.Items.HC1428 = {"Mods", nil, nil, "HC - Donkey Skeleton", "Hydrocraft.HCDonkeybones", "media/textures/Item_HCDonkeybones.png", nil, nil, nil}
		NecroList.Items.HC1429 = {"Mods", nil, nil, "HC - Dead Donkey (Fresh)", "Hydrocraft.HCDonkeydead", "media/textures/Item_HCDonkeydead.png", nil, nil, nil}
		NecroList.Items.HC1430 = {"Mods", nil, nil, "HC - Donkey (Female)", "Hydrocraft.HCDonkeyfemale", "media/textures/Item_HCDonkeyfemale.png", nil, nil, nil}
		NecroList.Items.HC1431 = {"Mods", nil, nil, "HC - Baby Donkey (Female)", "Hydrocraft.HCDonkeyfemalebaby", "media/textures/Item_HCDonkeyfemalebaby.png", nil, nil, nil}
		NecroList.Items.HC1432 = {"Mods", nil, nil, "HC - Hungry Donkey (Female)", "Hydrocraft.HCDonkeyfemalehungry", "media/textures/Item_HCDonkeyfemale.png", nil, nil, nil}
		NecroList.Items.HC1433 = {"Mods", nil, nil, "HC - Pack Donkey (Female)", "Hydrocraft.HCDonkeyfemalepack", "media/textures/Item_HCDonkeyfemalepack.png", nil, nil, nil}
		NecroList.Items.HC1434 = {"Mods", nil, nil, "HC - Tired Donkey (Female)", "Hydrocraft.HCDonkeyfemaletired", "media/textures/Item_HCDonkeyfemale.png", nil, nil, nil}
		NecroList.Items.HC1435 = {"Mods", nil, nil, "HC - Donkey (Male)", "Hydrocraft.HCDonkeymale", "media/textures/Item_HCDonkeymale.png", nil, nil, nil}
		NecroList.Items.HC1436 = {"Mods", nil, nil, "HC - Baby Donkey (Male)", "Hydrocraft.HCDonkeymalebaby", "media/textures/Item_HCDonkeymalebaby.png", nil, nil, nil}
		NecroList.Items.HC1437 = {"Mods", nil, nil, "HC - Hungry Donkey (Male)", "Hydrocraft.HCDonkeymalehungry", "media/textures/Item_HCDonkeymale.png", nil, nil, nil}
		NecroList.Items.HC1438 = {"Mods", nil, nil, "HC - Pack Donkey (Male)", "Hydrocraft.HCDonkeymalepack", "media/textures/Item_HCDonkeymalepack.png", nil, nil, nil}
		NecroList.Items.HC1439 = {"Mods", nil, nil, "HC - Tired Donkey (Male)", "Hydrocraft.HCDonkeymaletired", "media/textures/Item_HCDonkeymale.png", nil, nil, nil}
		NecroList.Items.HC1440 = {"Mods", nil, nil, "HC - Donkey Carcass (Fresh)", "Hydrocraft.HCDonkeymeat", "media/textures/Item_HCDonkeymeat.png", nil, nil, nil}
		NecroList.Items.HC1441 = {"Mods", nil, nil, "HC - Donkey Poop", "Hydrocraft.HCDonkeypoop", "media/textures/Item_HCDonkeypoop.png", nil, nil, nil}
		NecroList.Items.HC1442 = {"Mods", nil, nil, "HC - Feral Donkey Poop", "Hydrocraft.HCDonkeypoopferal", "media/textures/Item_HCDonkeypoop.png", nil, nil, nil}
		NecroList.Items.HC1443 = {"Mods", nil, nil, "HC - Uncooked Tray of Double Chocolate Chip Cookies (Fresh Uncooked)", "Hydrocraft.HCDoublechocolatecookie", "media/textures/Item_HCDoublechocolatecookie.png", nil, nil, nil}
		NecroList.Items.HC1444 = {"Mods", nil, nil, "HC - Double Chocolate Chip Cookie (Fresh)", "Hydrocraft.HCDoublechocolatecookiebaked", "media/textures/Item_HCDoublechocolatecookiebaked.png", nil, nil, nil}
		NecroList.Items.HC1445 = {"Mods", nil, nil, "HC - Tray of Double Chocolate Chip Cookies (Fresh)", "Hydrocraft.HCDoublechocolatecookiebakedtray", "media/textures/Item_HCDoublechocolatecookiebaked.png", nil, nil, nil}
		NecroList.Items.HC1446 = {"Mods", nil, nil, "HC - Traditional Cake Donut (Fresh)", "Hydrocraft.HCDoughnutcake", "media/textures/Item_HCDoughnutcake.png", nil, nil, nil}
		NecroList.Items.HC1447 = {"Mods", nil, nil, "HC - Chocolate Donut (Fresh)", "Hydrocraft.HCDoughnutchocolate", "media/textures/Item_HCDoughnutchocolate.png", nil, nil, nil}
		NecroList.Items.HC1448 = {"Mods", nil, nil, "HC - Chocolate Glazed Donut (Fresh)", "Hydrocraft.HCDoughnutchocolate2", "media/textures/Item_HCDoughnutchocolate2.png", nil, nil, nil}
		NecroList.Items.HC1449 = {"Mods", nil, nil, "HC - Cinnamon Donut (Fresh)", "Hydrocraft.HCDoughnutcinnamon", "media/textures/Item_HCDoughnutcinnamon.png", nil, nil, nil}
		NecroList.Items.HC1450 = {"Mods", nil, nil, "HC - Strawberry Filled Donut (Fresh)", "Hydrocraft.HCDoughnutfilled", "media/textures/Item_HCDoughnutfilled.png", nil, nil, nil}
		NecroList.Items.HC1451 = {"Mods", nil, nil, "HC - Chocolate Filled Donut (Fresh)", "Hydrocraft.HCDoughnutfilled2", "media/textures/Item_HCDoughnutfilled2.png", nil, nil, nil}
		NecroList.Items.HC1452 = {"Mods", nil, nil, "HC - Lemon Filled Donut (Fresh)", "Hydrocraft.HCDoughnutfilled3", "media/textures/Item_HCDoughnutfilled3.png", nil, nil, nil}
		NecroList.Items.HC1453 = {"Mods", nil, nil, "HC - Glazed Donut (Fresh)", "Hydrocraft.HCDoughnutglazed", "media/textures/Item_HCDoughnutglazed.png", nil, nil, nil}
		NecroList.Items.HC1454 = {"Mods", nil, nil, "HC - Maple Glazed Donut (Fresh)", "Hydrocraft.HCDoughnutmaple", "media/textures/Item_HCDoughnutmaple.png", nil, nil, nil}
		NecroList.Items.HC1455 = {"Mods", nil, nil, "HC - Old Fashioned Donut (Fresh)", "Hydrocraft.HCDoughnutoldfashioned", "media/textures/Item_HCDoughnutoldfashioned.png", nil, nil, nil}
		NecroList.Items.HC1456 = {"Mods", nil, nil, "HC - Strawberry Glazed Chocolate Donut (Fresh)", "Hydrocraft.HCDoughnutpink", "media/textures/Item_HCDoughnutpink.png", nil, nil, nil}
		NecroList.Items.HC1457 = {"Mods", nil, nil, "HC - Plain Donut (Fresh)", "Hydrocraft.HCDoughnutplain", "media/textures/Item_HCDoughnutplain.png", nil, nil, nil}
		NecroList.Items.HC1458 = {"Mods", nil, nil, "HC - Powdered Donut (Fresh)", "Hydrocraft.HCDoughnutpowdered", "media/textures/Item_HCDoughnutpowdered.png", nil, nil, nil}
		NecroList.Items.HC1459 = {"Mods", nil, nil, "HC - Sprinkled Donut (Fresh)", "Hydrocraft.HCDoughnutsprinkle", "media/textures/Item_HCDoughnutsprinkle.png", nil, nil, nil}
		NecroList.Items.HC1460 = {"Mods", nil, nil, "HC - Twist Donut (Fresh)", "Hydrocraft.HCDoughnuttwist", "media/textures/Item_HCDoughnuttwist.png", nil, nil, nil}
		NecroList.Items.HC1461 = {"Mods", nil, nil, "HC - Chocolate Twist Donut (Fresh)", "Hydrocraft.HCDoughnuttwist2", "media/textures/Item_HCDoughnuttwist2.png", nil, nil, nil}
		NecroList.Items.HC1462 = {"Mods", nil, nil, "HC - Maple Twist Donut (Fresh)", "Hydrocraft.HCDoughnuttwist3", "media/textures/Item_HCDoughnuttwist3.png", nil, nil, nil}
		NecroList.Items.HC1463 = {"Mods", nil, nil, "HC - Down Jacket", "Hydrocraft.HCDownjacket", "media/textures/Item_HCDownjacket.png", nil, nil, nil}
		NecroList.Items.HC1464 = {"Mods", nil, nil, "HC - Dragonfly", "Hydrocraft.HCDragonfly", "media/textures/Item_HCDragonfly.png", nil, nil, nil}
		NecroList.Items.HC1465 = {"Mods", nil, nil, "HC - Drain Cleaner", "Hydrocraft.HCDraincleaner", "media/textures/Item_HCDraincleaner.png", nil, nil, nil}
		NecroList.Items.HC1466 = {"Mods", nil, nil, "HC - Dried Apple Slices", "Hydrocraft.HCDriedapples", "media/textures/Item_HCDriedapple.png", nil, nil, nil}
		NecroList.Items.HC1467 = {"Mods", nil, nil, "HC - Bag of Dried Apple Slices", "Hydrocraft.HCDriedapplesbag", "media/textures/Item_HCDriedapplebag.png", nil, nil, nil}
		NecroList.Items.HC1468 = {"Mods", nil, nil, "HC - Dried Banana Chips", "Hydrocraft.HCDriedbananachips", "media/textures/Item_HCDriedbananachips.png", nil, nil, nil}
		NecroList.Items.HC1469 = {"Mods", nil, nil, "HC - Bag of Dried Banana Chips", "Hydrocraft.HCDriedbananachipsbag", "media/textures/Item_HCDriedbananachipsbag.png", nil, nil, nil}
		NecroList.Items.HC1470 = {"Mods", nil, nil, "HC - Dried Berries", "Hydrocraft.HCDriedberries", "media/textures/Item_HCDriedberries.png", nil, nil, nil}
		NecroList.Items.HC1471 = {"Mods", nil, nil, "HC - Bag of Dried Berries", "Hydrocraft.HCDriedberriesbag", "media/textures/Item_HCDriedberriesbag.png", nil, nil, nil}
		NecroList.Items.HC1472 = {"Mods", nil, nil, "HC - Dried Crasins", "Hydrocraft.HCDriedcrasins", "media/textures/Item_HCDriedcrasins.png", nil, nil, nil}
		NecroList.Items.HC1473 = {"Mods", nil, nil, "HC - Bag of Crasins", "Hydrocraft.HCDriedcrasinsbag", "media/textures/Item_HCDriedcrasinsbag.png", nil, nil, nil}
		NecroList.Items.HC1474 = {"Mods", nil, nil, "HC - Dried Fruit", "Hydrocraft.HCDriedfruit", "media/textures/Item_HCDriedfruit.png", nil, nil, nil}
		NecroList.Items.HC1475 = {"Mods", nil, nil, "HC - Dried Honey", "Hydrocraft.HCDriedhoney", "media/textures/Item_HCDriedhoney.png", nil, nil, nil}
		NecroList.Items.HC1476 = {"Mods", nil, nil, "HC - Dried Lemon Slices", "Hydrocraft.HCDriedlemon", "media/textures/Item_HCDriedlemon.png", nil, nil, nil}
		NecroList.Items.HC1477 = {"Mods", nil, nil, "HC - Bag of Dried Lemon Slices", "Hydrocraft.HCDriedlemonbag", "media/textures/Item_HCDriedlemonbag.png", nil, nil, nil}
		NecroList.Items.HC1478 = {"Mods", nil, nil, "HC - Dried Lime Slices", "Hydrocraft.HCDriedlime", "media/textures/Item_HCDriedlime.png", nil, nil, nil}
		NecroList.Items.HC1479 = {"Mods", nil, nil, "HC - Bag of Dried Lime Slices", "Hydrocraft.HCDriedlimebag", "media/textures/Item_HCDriedlimebag.png", nil, nil, nil}
		NecroList.Items.HC1480 = {"Mods", nil, nil, "HC - Dried Orange Slices", "Hydrocraft.HCDriedorange", "media/textures/Item_HCDriedorange.png", nil, nil, nil}
		NecroList.Items.HC1481 = {"Mods", nil, nil, "HC - Bag of Dried Orange Slices", "Hydrocraft.HCDriedorangebag", "media/textures/Item_HCDriedorangebag.png", nil, nil, nil}
		NecroList.Items.HC1482 = {"Mods", nil, nil, "HC - Dried Peach Slices", "Hydrocraft.HCDriedpeach", "media/textures/Item_HCDriedpeach.png", nil, nil, nil}
		NecroList.Items.HC1483 = {"Mods", nil, nil, "HC - Bag of Dried Peach Slices", "Hydrocraft.HCDriedpeachbag", "media/textures/Item_HCDriedpeachbag.png", nil, nil, nil}
		NecroList.Items.HC1484 = {"Mods", nil, nil, "HC - Dried Pumpkin Seeds", "Hydrocraft.HCDriedpumpkinseeds", "media/textures/Item_HCDriedpumpkinseeds.png", nil, nil, nil}
		NecroList.Items.HC1485 = {"Mods", nil, nil, "HC - Bag of Pumpkin Seeds", "Hydrocraft.HCDriedpumpkinseedsbag", "media/textures/Item_HCDriedpumpkinseedsbag.png", nil, nil, nil}
		NecroList.Items.HC1486 = {"Mods", nil, nil, "HC - Dried Rasins", "Hydrocraft.HCDriedrasins", "media/textures/Item_HCDriedrasins.png", nil, nil, nil}
		NecroList.Items.HC1487 = {"Mods", nil, nil, "HC - Bag of Rasins", "Hydrocraft.HCDriedrasinsbag", "media/textures/Item_HCDriedrasinsbag.png", nil, nil, nil}
		NecroList.Items.HC1488 = {"Mods", nil, nil, "HC - Dried Strawberry Slices", "Hydrocraft.HCDriedstrawberryslices", "media/textures/Item_HCDriedstrawberry.png", nil, nil, nil}
		NecroList.Items.HC1489 = {"Mods", nil, nil, "HC - Bag of Dried Strawberry Slices", "Hydrocraft.HCDriedstrawberryslicesbag", "media/textures/Item_HCDriedstrawberrybag.png", nil, nil, nil}
		NecroList.Items.HC1490 = {"Mods", nil, nil, "HC - Dried Tomato Slices", "Hydrocraft.HCDriedtomato", "media/textures/Item_HCDriedtomato.png", nil, nil, nil}
		NecroList.Items.HC1491 = {"Mods", nil, nil, "HC - Bag of Dried Tomatoes", "Hydrocraft.HCDriedtomatobag", "media/textures/Item_HCDriedtomatobag.png", nil, nil, nil}
		NecroList.Items.HC1492 = {"Mods", nil, nil, "HC - Drill Head", "Hydrocraft.HCDrillhead", "media/textures/Item_HCDrillhead.png", nil, nil, nil}
		NecroList.Items.HC1493 = {"Mods", nil, nil, "HC - Bloody Mary Drink", "Hydrocraft.HCDrinkbloodymary", "media/textures/Item_HCDrinkbloodymary.png", nil, nil, nil}
		NecroList.Items.HC1494 = {"Mods", nil, nil, "HC - Cosmopolitan Drink", "Hydrocraft.HCDrinkcosmo", "media/textures/Item_HCDrinkcosmo.png", nil, nil, nil}
		NecroList.Items.HC1495 = {"Mods", nil, nil, "HC - Daquiri Drink", "Hydrocraft.HCDrinkdaquiri", "media/textures/Item_HCDrinkdaquiri.png", nil, nil, nil}
		NecroList.Items.HC1496 = {"Mods", nil, nil, "HC - Gimlet Drink", "Hydrocraft.HCDrinkgimlet", "media/textures/Item_HCDrinkgimlet.png", nil, nil, nil}
		NecroList.Items.HC1497 = {"Mods", nil, nil, "HC - Long Island Iced Tea Drink", "Hydrocraft.HCDrinklongisland", "media/textures/Item_HCDrinklongisland.png", nil, nil, nil}
		NecroList.Items.HC1498 = {"Mods", nil, nil, "HC - Mai Tai Drink", "Hydrocraft.HCDrinkmaitai", "media/textures/Item_HCDrinkmaitai.png", nil, nil, nil}
		NecroList.Items.HC1499 = {"Mods", nil, nil, "HC - Manhattan Drink", "Hydrocraft.HCDrinkmanhattan", "media/textures/Item_HCDrinkmanhattan.png", nil, nil, nil}
		NecroList.Items.HC1500 = {"Mods", nil, nil, "HC - Margarita Drink", "Hydrocraft.HCDrinkmargarita", "media/textures/Item_HCDrinkmargarita.png", nil, nil, nil}
		NecroList.Items.HC1501 = {"Mods", nil, nil, "HC - Martini Drink", "Hydrocraft.HCDrinkmartini", "media/textures/Item_HCDrinkmartini.png", nil, nil, nil}
		NecroList.Items.HC1502 = {"Mods", nil, nil, "HC - Old Fashioned Drink", "Hydrocraft.HCDrinkoldfashioned", "media/textures/Item_HCDrinkoldfashioned.png", nil, nil, nil}
		NecroList.Items.HC1503 = {"Mods", nil, nil, "HC - Planter's Punch Drink", "Hydrocraft.HCDrinkplanterspunch", "media/textures/Item_HCDrinkplanterspunch.png", nil, nil, nil}
		NecroList.Items.HC1504 = {"Mods", nil, nil, "HC - Tom Collins Drink", "Hydrocraft.HCDrinktomcollins", "media/textures/Item_HCDrinktomcollins.png", nil, nil, nil}
		NecroList.Items.HC1505 = {"Mods", nil, nil, "HC - Glass of Whiskey", "Hydrocraft.HCDrinkwhiskey", "media/textures/Item_HCDrinkwhiskey.png", nil, nil, nil}
		NecroList.Items.HC1506 = {"Mods", nil, nil, "HC - Whiskey and Coke", "Hydrocraft.HCDrinkwhiskeyandcoke", "media/textures/Item_HCDrinkwhiskeyandcoke.png", nil, nil, nil}
		NecroList.Items.HC1507 = {"Mods", nil, nil, "HC - Whiskey Sour Drink", "Hydrocraft.HCDrinkwhiskeysour", "media/textures/Item_HCDrinkwhiskeysour.png", nil, nil, nil}
		NecroList.Items.HC1508 = {"Mods", nil, nil, "HC - Drivers License", "Hydrocraft.HCDriverslicense", "media/textures/Item_HCDriverslicense.png", nil, nil, nil}
		NecroList.Items.HC1509 = {"Mods", nil, nil, "HC - Drum", "Hydrocraft.HCDrum", "media/textures/Item_HCDrum.png", nil, nil, nil}
		NecroList.Items.HC1510 = {"Mods", nil, nil, "HC - Drum Brake", "Hydrocraft.HCDrumbreak", "media/textures/Item_HCDrumbreak.png", nil, nil, nil}
		NecroList.Items.HC1511 = {"Mods", nil, nil, "HC - Drum Kit", "Hydrocraft.HCDrumkit", "media/textures/Item_HCDrumkit.png", nil, nil, nil}
		NecroList.Items.HC1512 = {"Mods", nil, nil, "HC - Drum Sticks", "Hydrocraft.HCDrumsticks", "media/textures/Item_HCDrumsticks.png", nil, nil, nil}
		NecroList.Items.HC1513 = {"Mods", nil, nil, "HC - Drying Apple Slices (Fresh Uncooked)", "Hydrocraft.HCDryingappleslices", "media/textures/Item_HCDryingapple.png", nil, nil, nil}
		NecroList.Items.HC1514 = {"Mods", nil, nil, "HC - Drying Banana Chips (Fresh Uncooked)", "Hydrocraft.HCDryingbananachips", "media/textures/Item_HCDryingbananachips.png", nil, nil, nil}
		NecroList.Items.HC1515 = {"Mods", nil, nil, "HC - Drying Berries (Fresh Uncooked)", "Hydrocraft.HCDryingberries", "media/textures/Item_HCDriedberries.png", nil, nil, nil}
		NecroList.Items.HC1516 = {"Mods", nil, nil, "HC - Drying Crasins (Fresh Uncooked)", "Hydrocraft.HCDryingcrasins", "media/textures/Item_HCDryingcrasins.png", nil, nil, nil}
		NecroList.Items.HC1517 = {"Mods", nil, nil, "HC - Drying Frame", "Hydrocraft.HCDryingframe", "media/textures/Item_HCDryingframe.png", nil, nil, nil}
		NecroList.Items.HC1518 = {"Mods", nil, nil, "HC - Drying Honey (Fresh Uncooked)", "Hydrocraft.HCDryinghoney", "media/textures/Item_HCDriedhoney.png", nil, nil, nil}
		NecroList.Items.HC1519 = {"Mods", nil, nil, "HC - Drying Lemon Slices (Fresh Uncooked)", "Hydrocraft.HCDryinglemonslices", "media/textures/Item_HCDryinglemon.png", nil, nil, nil}
		NecroList.Items.HC1520 = {"Mods", nil, nil, "HC - Drying Lime Slices (Fresh Uncooked)", "Hydrocraft.HCDryinglimeslices", "media/textures/Item_HCDryinglime.png", nil, nil, nil}
		NecroList.Items.HC1521 = {"Mods", nil, nil, "HC - Blue Washing Machine", "Hydrocraft.HCDryingmachine", "appliances_laundry_01_1_Icon", nil, nil, nil}
		NecroList.Items.HC1522 = {"Mods", nil, nil, "HC - Drying Orange Slices (Fresh Uncooked)", "Hydrocraft.HCDryingorangeslices", "media/textures/Item_HCDryingorange.png", nil, nil, nil}
		NecroList.Items.HC1523 = {"Mods", nil, nil, "HC - Drying Peach Slices (Fresh Uncooked)", "Hydrocraft.HCDryingpeachslices", "media/textures/Item_HCDryingpeach.png", nil, nil, nil}
		NecroList.Items.HC1524 = {"Mods", nil, nil, "HC - Drying Pumpkin Seeds (Fresh Uncooked)", "Hydrocraft.HCDryingpumpkinseeds", "media/textures/Item_HCDryingpumpkinseeds.png", nil, nil, nil}
		NecroList.Items.HC1525 = {"Mods", nil, nil, "HC - Drying Rasins (Fresh Uncooked)", "Hydrocraft.HCDryingrasins", "media/textures/Item_HCDryingrasins.png", nil, nil, nil}
		NecroList.Items.HC1526 = {"Mods", nil, nil, "HC - Drying Strawberry Slices (Fresh Uncooked)", "Hydrocraft.HCDryingstrawberryslices", "media/textures/Item_HCDryingstrawberry.png", nil, nil, nil}
		NecroList.Items.HC1527 = {"Mods", nil, nil, "HC - Drying Tomato Slices (Fresh Uncooked)", "Hydrocraft.HCDryingtomatoslices", "media/textures/Item_HCDryingtomato.png", nil, nil, nil}
		NecroList.Items.HC1528 = {"Mods", nil, nil, "HC - Duck Call", "Hydrocraft.HCDuckcall", "media/textures/Item_HCDuckcall.png", nil, nil, nil}
		NecroList.Items.HC1529 = {"Mods", nil, nil, "HC - Dead Duck (Fresh)", "Hydrocraft.HCDuckdead", "media/textures/Item_HCDuckdead.png", nil, nil, nil}
		NecroList.Items.HC1530 = {"Mods", nil, nil, "HC - Duck (Female)", "Hydrocraft.HCDuckfemale", "media/textures/Item_HCDuckfemale.png", nil, nil, nil}
		NecroList.Items.HC1531 = {"Mods", nil, nil, "HC - Duck (Male)", "Hydrocraft.HCDuckmale", "media/textures/Item_HCDuckmale.png", nil, nil, nil}
		NecroList.Items.HC1532 = {"Mods", nil, nil, "HC - Duck Meat (Fresh Uncooked)", "Hydrocraft.HCDuckmeat", "media/textures/Item_HCDuckmeat.png", nil, nil, nil}
		NecroList.Items.HC1533 = {"Mods", nil, nil, "HC - Duckweed", "Hydrocraft.HCDuckweed", "media/textures/Item_HCDuckweed.png", nil, nil, nil}
		NecroList.Items.HC1534 = {"Mods", nil, nil, "HC - Metal Duct", "Hydrocraft.HCDuct", "media/textures/Item_HCDuct.png", nil, nil, nil}
		NecroList.Items.HC1535 = {"Mods", nil, nil, "HC - Duct Fan", "Hydrocraft.HCDuctfan", "media/textures/Item_HCDuctfan.png", nil, nil, nil}
		NecroList.Items.HC1536 = {"Mods", nil, nil, "HC - Duct Tape Fletching", "Hydrocraft.HCDucttapefletching", "media/textures/Item_HCDucttapefletching.png", nil, nil, nil}
		NecroList.Items.HC1537 = {"Mods", nil, nil, "HC - Duct Tape Pouch", "Hydrocraft.HCDucttapepouch", "media/textures/Item_HCDucttapepouch.png", nil, nil, nil}
		NecroList.Items.HC1538 = {"Mods", nil, nil, "HC - Duffelbag (Pouches)", "Hydrocraft.HCDuffelbagpouch", "media/textures/Item_HCDuffelbagpouch.png", nil, nil, nil}
		NecroList.Items.HC1539 = {"Mods", nil, nil, "HC - Duralumin Case", "Hydrocraft.HCDuralumincase", "media/textures/Item_HCDuralumincase.png", nil, nil, nil}
		NecroList.Items.HC1540 = {"Mods", nil, nil, "HC - Duralumin Ingot", "Hydrocraft.HCDuraluminingot", "media/textures/Item_HCDuraluminingot.png", nil, nil, nil}
		NecroList.Items.HC1541 = {"Mods", nil, nil, "HC - Dust Pan", "Hydrocraft.HCDustpan", "media/textures/Item_HCDustpan.png", nil, nil, nil}
		NecroList.Items.HC1542 = {"Mods", nil, nil, "HC - Dutch Oven", "Hydrocraft.HCDutchoven", "media/textures/Item_HCDutchoven.png", nil, nil, nil}
		NecroList.Items.HC1543 = {"Mods", nil, nil, "HC - DVD", "Hydrocraft.HCDVD", "media/textures/Item_HCDVD.png", nil, nil, nil}
		NecroList.Items.HC1544 = {"Mods", nil, nil, "HC - Empty DVD Case", "Hydrocraft.HCDVDCase", "media/textures/Item_HCDVDCase.png", nil, nil, nil}
		NecroList.Items.HC1545 = {"Mods", nil, nil, "HC - DVD Player", "Hydrocraft.HCDVDPlayer", "media/textures/Item_HCDVDPlayer.png", nil, nil, nil}
		NecroList.Items.HC1546 = {"Mods", nil, nil, "HC - Dynamite", "Hydrocraft.HCDynamite", "media/textures/Item_HCDynamite.png", nil, nil, nil}
		NecroList.Items.HC1547 = {"Mods", nil, nil, "HC - Dynamite MK1", "Hydrocraft.HCDynamitenk1", "media/textures/Item_HCDynamitemk1.png", nil, nil, nil}
		NecroList.Items.HC1548 = {"Mods", nil, nil, "HC - Dynamite MK2 Off", "Hydrocraft.HCDynamitenk2off", "media/textures/Item_HCDetonatormk2off.png", nil, nil, nil}
		NecroList.Items.HC1549 = {"Mods", nil, nil, "HC - Dynamite MK2 On", "Hydrocraft.HCDynamitenk2on", "media/textures/Item_HCDynamitemk2on.png", nil, nil, nil}
		NecroList.Items.HC1550 = {"Mods", nil, nil, "HC - Dynamite MK3 Off", "Hydrocraft.HCDynamitenk3off", "media/textures/Item_HCDynamitemk3off.png", nil, nil, nil}
		NecroList.Items.HC1551 = {"Mods", nil, nil, "HC - Dynamite MK3 On", "Hydrocraft.HCDynamitenk3on", "media/textures/Item_HCDynamitemk3on.png", nil, nil, nil}
		NecroList.Items.HC1552 = {"Mods", nil, nil, "HC - Dynamo", "Hydrocraft.HCDynamo", "media/textures/Item_HCDynamo.png", nil, nil, nil}
		NecroList.Items.HC1553 = {"Mods", nil, nil, "HC - Dead Dynamo Flashlight", "Hydrocraft.HCDynamoflashlightdead", "media/textures/Item_HCDynamoflashlightoff.png", nil, nil, nil}
		NecroList.Items.HC1554 = {"Mods", nil, nil, "HC - Dynamo Flashlight", "Hydrocraft.HCDynamoflashlightoff", "media/textures/Item_HCDynamoflashlightoff.png", nil, nil, nil}
		NecroList.Items.HC1555 = {"Mods", nil, nil, "HC - Dynamo Flashlight with Power", "Hydrocraft.HCDynamoflashlighton", "media/textures/Item_HCDynamoflashlighton.png", nil, nil, nil}
		NecroList.Items.HC1556 = {"Mods", nil, nil, "HC - Easel", "Hydrocraft.HCEasel", "media/textures/Item_HCEasel.png", nil, nil, nil}
		NecroList.Items.HC1557 = {"Mods", nil, nil, "HC - Eel (Fresh Uncooked)", "Hydrocraft.HCEel", "media/textures/Item_HCEel.png", nil, nil, nil}
		NecroList.Items.HC1558 = {"Mods", nil, nil, "HC - Bass Roe", "Hydrocraft.HCEggbass", "media/textures/Item_HCEggbass.png", nil, nil, nil}
		NecroList.Items.HC1559 = {"Mods", nil, nil, "HC - Egg Beater", "Hydrocraft.HCEggbeater", "media/textures/Item_HCEggbeater.png", nil, nil, nil}
		NecroList.Items.HC1560 = {"Mods", nil, nil, "HC - Catfish Roe", "Hydrocraft.HCEggcatfish", "media/textures/Item_HCEggcatfish.png", nil, nil, nil}
		NecroList.Items.HC1561 = {"Mods", nil, nil, "HC - Crappie Roe", "Hydrocraft.HCEggcrappie", "media/textures/Item_HCEggcrappie.png", nil, nil, nil}
		NecroList.Items.HC1562 = {"Mods", nil, nil, "HC - Pan Fish Roe", "Hydrocraft.HCEggpanfish", "media/textures/Item_HCEggpanfish.png", nil, nil, nil}
		NecroList.Items.HC1563 = {"Mods", nil, nil, "HC - Pearch Roe", "Hydrocraft.HCEggperch", "media/textures/Item_HCEggperch.png", nil, nil, nil}
		NecroList.Items.HC1564 = {"Mods", nil, nil, "HC - Pike Roe", "Hydrocraft.HCEggpike", "media/textures/Item_HCEggpike.png", nil, nil, nil}
		NecroList.Items.HC1565 = {"Mods", nil, nil, "HC - Eggplant Seeds", "Hydrocraft.HCEggplantseeds", "media/textures/Item_HCEggplantseeds.png", nil, nil, nil}
		NecroList.Items.HC1566 = {"Mods", nil, nil, "HC - Eggplant Seeds Packet", "Hydrocraft.HCEggplantseedspacket", "media/textures/Item_HCEggplantseedspacket.png", nil, nil, nil}
		NecroList.Items.HC1567 = {"Mods", nil, nil, "HC - Egg Timer", "Hydrocraft.HCEggtimer", "media/textures/Item_HCEggtimer.png", nil, nil, nil}
		NecroList.Items.HC1568 = {"Mods", nil, nil, "HC - Trout Roe", "Hydrocraft.HCEggtrout", "media/textures/Item_HCEggtrout.png", nil, nil, nil}
		NecroList.Items.HC1569 = {"Mods", nil, nil, "HC - Elderberry (Fresh Uncooked)", "Hydrocraft.HCElderberry", "media/textures/Item_HCElderberry.png", nil, nil, nil}
		NecroList.Items.HC1570 = {"Mods", nil, nil, "HC - Electronic Scale", "Hydrocraft.HCElectonicscale", "media/textures/Item_HCElectronicscale.png", nil, nil, nil}
		NecroList.Items.HC1571 = {"Mods", nil, nil, "HC - Electronics Workbench", "Hydrocraft.HCElectornicsbench", "media/textures/Item_HCElectornicsbench.png", nil, nil, nil}
		NecroList.Items.HC1572 = {"Mods", nil, nil, "HC - Electric Clamp", "Hydrocraft.HCElectricclamp", "media/textures/Item_HCElectricclamp.png", nil, nil, nil}
		NecroList.Items.HC1573 = {"Mods", nil, nil, "HC - Electric Guitar", "Hydrocraft.HCElectricguitar", "media/textures/Item_HCElectricguitar.png", nil, nil, nil}
		NecroList.Items.HC1574 = {"Mods", nil, nil, "HC - Electric Bass Guitar", "Hydrocraft.HCElectricguitarbass", "media/textures/Item_HCElectricguitarbass.png", nil, nil, nil}
		NecroList.Items.HC1575 = {"Mods", nil, nil, "HC - Dead Electric Multitool", "Hydrocraft.HCElectricmultitooldead", "Question_On", nil, nil, nil}
		NecroList.Items.HC1576 = {"Mods", nil, nil, "HC - Dead Multitool Drill", "Hydrocraft.HCElectricmultitooldrilldead", "media/textures/Item_HCElectricmultitooldrilldead.png", nil, nil, nil}
		NecroList.Items.HC1577 = {"Mods", nil, nil, "HC - Multitool Drill Head", "Hydrocraft.HCElectricmultitooldrillhead", "media/textures/Item_HCElectricmultitooldrillhead.png", nil, nil, nil}
		NecroList.Items.HC1578 = {"Mods", nil, nil, "HC - Multitool With Drill", "Hydrocraft.HCElectricmultitooldrilloff", "media/textures/Item_HCElectricmultitooldrilloff.png", nil, nil, nil}
		NecroList.Items.HC1579 = {"Mods", nil, nil, "HC - Powered Multitool With Drill", "Hydrocraft.HCElectricmultitooldrillpowered", "media/textures/Item_HCElectricmultitooldrillpowered.png", nil, nil, nil}
		NecroList.Items.HC1580 = {"Mods", nil, nil, "HC - Electric Multitool", "Hydrocraft.HCElectricmultitooloff", "media/textures/Item_HCElectricmultitooloff.png", nil, nil, nil}
		NecroList.Items.HC1581 = {"Mods", nil, nil, "HC - Powered Electric Multitool", "Hydrocraft.HCElectricmultitoolpowered", "Question_On", nil, nil, nil}
		NecroList.Items.HC1582 = {"Mods", nil, nil, "HC - Multitool Saw", "Hydrocraft.HCElectricmultitoolsaw", "media/textures/Item_HCElectricmultitoolsaw.png", nil, nil, nil}
		NecroList.Items.HC1583 = {"Mods", nil, nil, "HC - Dead Multitool Saw", "Hydrocraft.HCElectricmultitoolsawdead", "media/textures/Item_HCElectricmultitoolsawdead.png", nil, nil, nil}
		NecroList.Items.HC1584 = {"Mods", nil, nil, "HC - Multitool With Saw", "Hydrocraft.HCElectricmultitoolsawoff", "media/textures/Item_HCElectricmultitoolsawoff.png", nil, nil, nil}
		NecroList.Items.HC1585 = {"Mods", nil, nil, "HC - Powered Multitool With Saw", "Hydrocraft.HCElectricmultitoolsawpowered", "media/textures/Item_HCElectricmultitoolsawpowered.png", nil, nil, nil}
		NecroList.Items.HC1586 = {"Mods", nil, nil, "HC - Electric Razor", "Hydrocraft.HCElectricrazor", "media/textures/Item_HCElectricrazor.png", nil, nil, nil}
		NecroList.Items.HC1587 = {"Mods", nil, nil, "HC - Electric Toothbrush", "Hydrocraft.HCElectrictoothbrush", "media/textures/Item_HCElectrictoothbrush.png", nil, nil, nil}
		NecroList.Items.HC1588 = {"Mods", nil, nil, "HC - Large Electromotor", "Hydrocraft.HCElectromotor", "media/textures/Item_HCElectromotor.png", nil, nil, nil}
		NecroList.Items.HC1589 = {"Mods", nil, nil, "HC - Small Electromotor", "Hydrocraft.HCElectromotorsmall", "media/textures/Item_HCElectromotorsmall.png", nil, nil, nil}
		NecroList.Items.HC1590 = {"Mods", nil, nil, "HC - Small Electronic Parts", "Hydrocraft.HCElectronicparts01", "media/textures/Item_HCElectronicparts01.png", nil, nil, nil}
		NecroList.Items.HC1591 = {"Mods", nil, nil, "HC - Small Electronic Parts", "Hydrocraft.HCElectronicparts02", "media/textures/Item_HCElectronicparts02.png", nil, nil, nil}
		NecroList.Items.HC1592 = {"Mods", nil, nil, "HC - Small Electronic Parts", "Hydrocraft.HCElectronicparts03", "media/textures/Item_HCElectronicparts03.png", nil, nil, nil}
		NecroList.Items.HC1593 = {"Mods", nil, nil, "HC - Small Electronic Parts", "Hydrocraft.HCElectronicparts04", "media/textures/Item_HCElectronicparts04.png", nil, nil, nil}
		NecroList.Items.HC1594 = {"Mods", nil, nil, "HC - Broken Electronic Parts", "Hydrocraft.HCElectronicpartsbroken", "media/textures/Item_HCElectronicpartsbroken.png", nil, nil, nil}
		NecroList.Items.HC1595 = {"Mods", nil, nil, "HC - Electrum Ingot", "Hydrocraft.HCElectrumingot", "media/textures/Item_HCElectrumingot.png", nil, nil, nil}
		NecroList.Items.HC1596 = {"Mods", nil, nil, "HC - Elm Bough", "Hydrocraft.HCElmbough", "media/textures/Item_HCElmbough.png", nil, nil, nil}
		NecroList.Items.HC1597 = {"Mods", nil, nil, "HC - Emerald", "Hydrocraft.HCEmerald", "media/textures/Item_HCEmerald.png", nil, nil, nil}
		NecroList.Items.HC1598 = {"Mods", nil, nil, "HC - Cut Emerald", "Hydrocraft.HCEmeraldcut", "media/textures/Item_HCEmeraldcut.png", nil, nil, nil}
		NecroList.Items.HC1599 = {"Mods", nil, nil, "HC - Empty Balloon", "Hydrocraft.HCEmptyballoon", "media/textures/Item_HCEmptyballoon.png", nil, nil, nil}
		NecroList.Items.HC1600 = {"Mods", nil, nil, "HC - Empty Juice Box", "Hydrocraft.HCEmptyjuiceboxapple", "media/textures/Item_HCEmptyjuiceboxapple.png", nil, nil, nil}
		NecroList.Items.HC1601 = {"Mods", nil, nil, "HC - Empty Juice Box", "Hydrocraft.HCEmptyjuiceboxbluerazzberry", "media/textures/Item_HCEmptyjuiceboxbluerazzberry.png", nil, nil, nil}
		NecroList.Items.HC1602 = {"Mods", nil, nil, "HC - Empty Juice Box", "Hydrocraft.HCEmptyjuiceboxcherry", "media/textures/Item_HCEmptyjuiceboxcherry.png", nil, nil, nil}
		NecroList.Items.HC1603 = {"Mods", nil, nil, "HC - Empty Juice Box", "Hydrocraft.HCEmptyjuiceboxgrape", "media/textures/Item_HCEmptyjuiceboxgrape.png", nil, nil, nil}
		NecroList.Items.HC1604 = {"Mods", nil, nil, "HC - Empty Juice Box", "Hydrocraft.HCEmptyjuiceboxlemonaid", "media/textures/Item_HCEmptyjuiceboxlemonaid.png", nil, nil, nil}
		NecroList.Items.HC1605 = {"Mods", nil, nil, "HC - Empty Juice Box", "Hydrocraft.HCEmptyjuiceboxorange", "media/textures/Item_HCEmptyjuiceboxorange.png", nil, nil, nil}
		NecroList.Items.HC1606 = {"Mods", nil, nil, "HC - Empty Juice Box", "Hydrocraft.HCEmptyjuiceboxpinklemonaid", "media/textures/Item_HCEmptyjuiceboxpinklemonaid.png", nil, nil, nil}
		NecroList.Items.HC1607 = {"Mods", nil, nil, "HC - Enchiladas (Fresh)", "Hydrocraft.HCEnchilada", "media/textures/Item_HCEnchilada.png", nil, nil, nil}
		NecroList.Items.HC1608 = {"Mods", nil, nil, "HC - Uncooked Enchiladas (Fresh Uncooked)", "Hydrocraft.HCEnchiladauncooked", "media/textures/Item_HCEnchiladauncooked.png", nil, nil, nil}
		NecroList.Items.HC1609 = {"Mods", nil, nil, "HC - Energy Drink", "Hydrocraft.HCEnergydrink", "media/textures/Item_HCEnergydrink.png", nil, nil, nil}
		NecroList.Items.HC1610 = {"Mods", nil, nil, "HC - Energy Drink", "Hydrocraft.HCEnergydrink2", "media/textures/Item_HCEnergydrink2.png", nil, nil, nil}
		NecroList.Items.HC1611 = {"Mods", nil, nil, "HC - Empty Aluminum Can", "Hydrocraft.HCEnergydrink2trash", "media/textures/Item_HCEnergydrink2trash.png", nil, nil, nil}
		NecroList.Items.HC1612 = {"Mods", nil, nil, "HC - Empty Aluminum Can", "Hydrocraft.HCEnergydrinktrash", "media/textures/Item_HCEnergydrinktrash.png", nil, nil, nil}
		NecroList.Items.HC1613 = {"Mods", nil, nil, "HC - Baked English Muffin (Fresh)", "Hydrocraft.HCEnglishmuffinbaked", "media/textures/Item_HCEnglishmuffin.png", nil, nil, nil}
		NecroList.Items.HC1614 = {"Mods", nil, nil, "HC - Envelope", "Hydrocraft.HCEnvelope", "media/textures/Item_HCEnvelope.png", nil, nil, nil}
		NecroList.Items.HC1615 = {"Mods", nil, nil, "HC - Ephedrine Pills", "Hydrocraft.HCEphedrine", "media/textures/Item_HCEphedrine.png", nil, nil, nil}
		NecroList.Items.HC1616 = {"Mods", nil, nil, "HC - Box of Ephedrine", "Hydrocraft.HCEphedrinebox", "media/textures/Item_HCEphedrinebox.png", nil, nil, nil}
		NecroList.Items.HC1617 = {"Mods", nil, nil, "HC - Ephedrine Powder", "Hydrocraft.HCEphedrinepowder", "media/textures/Item_HCEphedrinepowder.png", nil, nil, nil}
		NecroList.Items.HC1618 = {"Mods", nil, nil, "HC - Equip Armor", "Hydrocraft.HCEquiparmor", "media/textures/Item_HCEquiparmor.png", nil, nil, nil}
		NecroList.Items.HC1619 = {"Mods", nil, nil, "HC - Erectile Dysfunction Pills", "Hydrocraft.HCErectiledysfunctionpills", "media/textures/Item_HCErectiledysfunctionpills.png", nil, nil, nil}
		NecroList.Items.HC1620 = {"Mods", nil, nil, "HC - Ripped Sheet with Ether", "Hydrocraft.HCEthersheet", "media/textures/Item_HCEthersheet.png", nil, nil, nil}
		NecroList.Items.HC1621 = {"Mods", nil, nil, "HC - Eye Dropper", "Hydrocraft.HCEyedropper", "media/textures/Item_HCEyedropper.png", nil, nil, nil}
		NecroList.Items.HC1622 = {"Mods", nil, nil, "HC - Eyedropper With Ammonia", "Hydrocraft.HCEyedropperammonia", "media/textures/Item_HCEyedropperammonia.png", nil, nil, nil}
		NecroList.Items.HC1623 = {"Mods", nil, nil, "HC - Empty Eyedropper Bottle", "Hydrocraft.HCEyedropperbottle", "media/textures/Item_HCEyedropperbottle.png", nil, nil, nil}
		NecroList.Items.HC1624 = {"Mods", nil, nil, "HC - Bottle of Ear Drops", "Hydrocraft.HCEyedropperbottleeardrops", "media/textures/Item_HCEyedropperbottleeardrops.png", nil, nil, nil}
		NecroList.Items.HC1625 = {"Mods", nil, nil, "HC - Bottle of Iodine", "Hydrocraft.HCEyedropperbottleiodine", "media/textures/Item_HCEyedropperbottleiodine.png", nil, nil, nil}
		NecroList.Items.HC1626 = {"Mods", nil, nil, "HC - Bottle of Eye Drops", "Hydrocraft.HCEyedropperbottleyedrops", "media/textures/Item_HCEyedropperbottleeyedrops.png", nil, nil, nil}
		NecroList.Items.HC1627 = {"Mods", nil, nil, "HC - Eyedropper With Calciumchloride Solution", "Hydrocraft.HCEyedroppercalciumchloridesolution", "media/textures/Item_HCEyedroppercalciumchloridesolution.png", nil, nil, nil}
		NecroList.Items.HC1628 = {"Mods", nil, nil, "HC - Eyedropper With Ether", "Hydrocraft.HCEyedropperether", "media/textures/Item_HCEyedropperether.png", nil, nil, nil}
		NecroList.Items.HC1629 = {"Mods", nil, nil, "HC - Eyedropper With H2O2", "Hydrocraft.HCEyedropperh2o2", "media/textures/Item_HCEyedropperh2o2.png", nil, nil, nil}
		NecroList.Items.HC1630 = {"Mods", nil, nil, "HC - Eyedropper With Mercuricoxide", "Hydrocraft.HCEyedroppermercuricoxide", "media/textures/Item_HCEyedroppermercuricoxide.png", nil, nil, nil}
		NecroList.Items.HC1631 = {"Mods", nil, nil, "HC - Eyedropper With Methylamin", "Hydrocraft.HCEyedroppermethylamin", "media/textures/Item_HCEyedroppermethylamin.png", nil, nil, nil}
		NecroList.Items.HC1632 = {"Mods", nil, nil, "HC - Eyedropper With Morphinhydrochlorid Solution", "Hydrocraft.HCEyedroppermorphinhydrochloridsolution", "media/textures/Item_HCEyedroppermorphinhydrochloridsolution.png", nil, nil, nil}
		NecroList.Items.HC1633 = {"Mods", nil, nil, "HC - Eyedropper With Muriatic Acid", "Hydrocraft.HCEyedroppermuriaticacid", "media/textures/Item_HCEyedroppermuriaticacid.png", nil, nil, nil}
		NecroList.Items.HC1634 = {"Mods", nil, nil, "HC - Eyedropper With Phenylacetic Acid", "Hydrocraft.HCEyedropperphenyl", "media/textures/Item_HCEyedropperphenyl.png", nil, nil, nil}
		NecroList.Items.HC1635 = {"Mods", nil, nil, "HC - Eyedropper With Sodiumhydroxide Solution", "Hydrocraft.HCEyedroppersodiumhydroxidesolution", "media/textures/Item_HCEyedroppersodiumhydroxidesolution.png", nil, nil, nil}
		NecroList.Items.HC1636 = {"Mods", nil, nil, "HC - Eyedropper With Sulfuric Acid", "Hydrocraft.HCEyedroppersulfuricacid", "media/textures/Item_HCEyedroppersulfuricacid.png", nil, nil, nil}
		NecroList.Items.HC1637 = {"Mods", nil, nil, "HC - Eyedropper With Trona Solution", "Hydrocraft.HCEyedroppertronasulution", "media/textures/Item_HCEyedroppertronasulution.png", nil, nil, nil}
		NecroList.Items.HC1638 = {"Mods", nil, nil, "HC - Eyedropper With Water", "Hydrocraft.HCEyedropperwater", "media/textures/Item_HCEyedropperwater.png", nil, nil, nil}
		NecroList.Items.HC1639 = {"Mods", nil, nil, "HC - Eye Patch", "Hydrocraft.HCEyepatch", "media/textures/Item_HCEyepatch.png", nil, nil, nil}
		NecroList.Items.HC1640 = {"Mods", nil, nil, "HC - Fabric Softener", "Hydrocraft.HCFabricsoftener", "media/textures/Item_HCFabricsoftener.png", nil, nil, nil}
		NecroList.Items.HC1641 = {"Mods", nil, nil, "HC - Fan Belt", "Hydrocraft.HCFanbelt", "media/textures/Item_HCFanbelt.png", nil, nil, nil}
		NecroList.Items.HC1642 = {"Mods", nil, nil, "HC - Steel Fan Blade", "Hydrocraft.HCFanbladesteel", "media/textures/Item_HCFanbladesteel.png", nil, nil, nil}
		NecroList.Items.HC1643 = {"Mods", nil, nil, "HC - Fanny Pack", "Hydrocraft.HCFannypackblue", "media/textures/Item_HCFannypackblue.png", nil, nil, nil}
		NecroList.Items.HC1644 = {"Mods", nil, nil, "HC - Fanny Pack", "Hydrocraft.HCFannypackgreen", "media/textures/Item_HCFannypackgreen.png", nil, nil, nil}
		NecroList.Items.HC1645 = {"Mods", nil, nil, "HC - Fanny Pack", "Hydrocraft.HCFannypackred", "media/textures/Item_HCFannypackred.png", nil, nil, nil}
		NecroList.Items.HC1646 = {"Mods", nil, nil, "HC - Fanny Pack", "Hydrocraft.HCFannypackyellow", "media/textures/Item_HCFannypackyellow.png", nil, nil, nil}
		NecroList.Items.HC1647 = {"Mods", nil, nil, "HC - Fax Machine", "Hydrocraft.HCFaxmachine", "media/textures/Item_HCFaxmachine.png", nil, nil, nil}
		NecroList.Items.HC1648 = {"Mods", nil, nil, "HC - Feather Duster", "Hydrocraft.HCFeatherduster", "media/textures/Item_HCFeatherduster.png", nil, nil, nil}
		NecroList.Items.HC1649 = {"Mods", nil, nil, "HC - Feldspar Powder", "Hydrocraft.HCFeldsparpowder", "media/textures/Item_HCFeldsparpowder.png", nil, nil, nil}
		NecroList.Items.HC1650 = {"Mods", nil, nil, "HC - Fern Leaves", "Hydrocraft.HCFern", "media/textures/Item_HCFern.png", nil, nil, nil}
		NecroList.Items.HC1651 = {"Mods", nil, nil, "HC - Fez", "Hydrocraft.HCFez", "media/textures/Item_HCFez.png", nil, nil, nil}
		NecroList.Items.HC1652 = {"Mods", nil, nil, "HC - Fiddlehead Fern", "Hydrocraft.HCFiddleheadfern", "media/textures/Item_HCFiddleheadfern.png", nil, nil, nil}
		NecroList.Items.HC1653 = {"Mods", nil, nil, "HC - Figs (Fresh)", "Hydrocraft.HCFigs", "media/textures/Item_HCFigs.png", nil, nil, nil}
		NecroList.Items.HC1654 = {"Mods", nil, nil, "HC - Movie Film Can", "Hydrocraft.HCFilmcan", "media/textures/Item_HCFilmcan.png", nil, nil, nil}
		NecroList.Items.HC1655 = {"Mods", nil, nil, "HC - Film Canister", "Hydrocraft.HCFilmcanister", "media/textures/Item_HCFilmcanister.png", nil, nil, nil}
		NecroList.Items.HC1656 = {"Mods", nil, nil, "HC - Roll of Film", "Hydrocraft.HCFilmroll", "media/textures/Item_HCFilmroll.png", nil, nil, nil}
		NecroList.Items.HC1657 = {"Mods", nil, nil, "HC - Fir Sprout", "Hydrocraft.HCFir1", "media/textures/Item_HCFir1.png", nil, nil, nil}
		NecroList.Items.HC1658 = {"Mods", nil, nil, "HC - Fir Sapling", "Hydrocraft.HCFir2", "media/textures/Item_HCFir2.png", nil, nil, nil}
		NecroList.Items.HC1659 = {"Mods", nil, nil, "HC - Young Fir Tree", "Hydrocraft.HCFir3", "media/textures/Item_HCFir3.png", nil, nil, nil}
		NecroList.Items.HC1660 = {"Mods", nil, nil, "HC - Adult Fir Tree", "Hydrocraft.HCFir4", "media/textures/Item_HCFir4.png", nil, nil, nil}
		NecroList.Items.HC1661 = {"Mods", nil, nil, "HC - Elder Fir Tree", "Hydrocraft.HCFir5", "media/textures/Item_HCFir5.png", nil, nil, nil}
		NecroList.Items.HC1662 = {"Mods", nil, nil, "HC - Ancient Fir Tree", "Hydrocraft.HCFir6", "media/textures/Item_HCFir6.png", nil, nil, nil}
		NecroList.Items.HC1663 = {"Mods", nil, nil, "HC - Fir Bough", "Hydrocraft.HCFirbough", "media/textures/Item_HCFirbough.png", nil, nil, nil}
		NecroList.Items.HC1664 = {"Mods", nil, nil, "HC - Fir Cone", "Hydrocraft.HCFircone", "media/textures/Item_HCFircone.png", nil, nil, nil}
		NecroList.Items.HC1665 = {"Mods", nil, nil, "HC - Fire Agate", "Hydrocraft.HCFireagate", "media/textures/Item_HCFireagate.png", nil, nil, nil}
		NecroList.Items.HC1666 = {"Mods", nil, nil, "HC - Cut Fire Agate", "Hydrocraft.HCFireagatecut", "media/textures/Item_HCFireagatecut.png", nil, nil, nil}
		NecroList.Items.HC1667 = {"Mods", nil, nil, "HC - Firefighter Hat", "Hydrocraft.HCFirefighterhelmet", "media/textures/Item_HCFirefighterhelmet.png", nil, nil, nil}
		NecroList.Items.HC1668 = {"Mods", nil, nil, "HC - Firefighter Jacket", "Hydrocraft.HCFirefighterjacket", "media/textures/Item_HCFirefighterjacket.png", nil, nil, nil}
		NecroList.Items.HC1669 = {"Mods", nil, nil, "HC - Firefly", "Hydrocraft.HCFirefly", "media/textures/Item_HCFirefly.png", nil, nil, nil}
		NecroList.Items.HC1670 = {"Mods", nil, nil, "HC - Fire Hook", "Hydrocraft.HCFirehook", "media/textures/Item_HCFirehook.png", nil, nil, nil}
		NecroList.Items.HC1671 = {"Mods", nil, nil, "HC - Fire Hose", "Hydrocraft.HCFirehose", "media/textures/Item_HCFirehose.png", nil, nil, nil}
		NecroList.Items.HC1672 = {"Mods", nil, nil, "HC - Fire Hose Nozzle", "Hydrocraft.HCFirehosenozzle", "media/textures/Item_HCFirehosenozzle.png", nil, nil, nil}
		NecroList.Items.HC1673 = {"Mods", nil, nil, "HC - Fire Suit", "Hydrocraft.HCFiresuit", "media/textures/Item_HCFiresuit.png", nil, nil, nil}
		NecroList.Items.HC1674 = {"Mods", nil, nil, "HC - Firework Rocket", "Hydrocraft.HCFireworkrocket1", "media/textures/Item_HCFireworkrocket1.png", nil, nil, nil}
		NecroList.Items.HC1675 = {"Mods", nil, nil, "HC - Firework Rocket", "Hydrocraft.HCFireworkrocket2", "media/textures/Item_HCFireworkrocket2.png", nil, nil, nil}
		NecroList.Items.HC1676 = {"Mods", nil, nil, "HC - Firework Rocket", "Hydrocraft.HCFireworkrocket3", "media/textures/Item_HCFireworkrocket3.png", nil, nil, nil}
		NecroList.Items.HC1677 = {"Mods", nil, nil, "HC - Firework Rocket", "Hydrocraft.HCFireworkrocket4", "media/textures/Item_HCFireworkrocket4.png", nil, nil, nil}
		NecroList.Items.HC1678 = {"Mods", nil, nil, "HC - Firework Rocket", "Hydrocraft.HCFireworkrocket5", "media/textures/Item_HCFireworkrocket5.png", nil, nil, nil}
		NecroList.Items.HC1679 = {"Mods", nil, nil, "HC - Fir Tree Stump", "Hydrocraft.HCFirstump", "media/textures/Item_HCFirstump.png", nil, nil, nil}
		NecroList.Items.HC1680 = {"Mods", nil, nil, "HC - Fish Bowl", "Hydrocraft.HCFishbowl", "media/textures/Item_HCFishbowl.png", nil, nil, nil}
		NecroList.Items.HC1681 = {"Mods", nil, nil, "HC - Fish Bowl with Water", "Hydrocraft.HCFishbowlfull", "media/textures/Item_HCFishbowlfull.png", nil, nil, nil}
		NecroList.Items.HC1682 = {"Mods", nil, nil, "HC - Box of Fish Food", "Hydrocraft.HCFishfood", "media/textures/Item_HCFishfood.png", nil, nil, nil}
		NecroList.Items.HC1683 = {"Mods", nil, nil, "HC - Can of Fish Food", "Hydrocraft.HCFishfood2", "media/textures/Item_HCFishfood2.png", nil, nil, nil}
		NecroList.Items.HC1684 = {"Mods", nil, nil, "HC - Fishing Basket", "Hydrocraft.HCFishingbasket", "media/textures/Item_HCFishingbasket.png", nil, nil, nil}
		NecroList.Items.HC1685 = {"Mods", nil, nil, "HC - Fishing Tackle Box", "Hydrocraft.HCFishingbox", "media/textures/Item_HCFishingbox.png", nil, nil, nil}
		NecroList.Items.HC1686 = {"Mods", nil, nil, "HC - Fishing Kit with Broken Line", "Hydrocraft.HCFishingkitbroken", "media/textures/Item_HCFishingkit.png", nil, nil, nil}
		NecroList.Items.HC1687 = {"Mods", nil, nil, "HC - Fishing Kit", "Hydrocraft.HCFishingkitline", "media/textures/Item_HCFishingkit.png", nil, nil, nil}
		NecroList.Items.HC1688 = {"Mods", nil, nil, "HC - Fish Seasoning", "Hydrocraft.HCFishseasoning", "media/textures/Item_HCFishseasoning.png", nil, nil, nil}
		NecroList.Items.HC1689 = {"Mods", nil, nil, "HC - Fish Tank", "Hydrocraft.HCFishtank", "media/textures/Item_HCFishtank.png", nil, nil, nil}
		NecroList.Items.HC1690 = {"Mods", nil, nil, "HC - Fish Tank with Water", "Hydrocraft.HCFishtankfull", "media/textures/Item_HCFishtankfull.png", nil, nil, nil}
		NecroList.Items.HC1691 = {"Mods", nil, nil, "HC - American Flag", "Hydrocraft.HCFlagamerican", "media/textures/Item_HCFlagamerican.png", nil, nil, nil}
		NecroList.Items.HC1692 = {"Mods", nil, nil, "HC - Archist Flag", "Hydrocraft.HCFlaganarchist", "media/textures/Item_HCFlaganarchist.png", nil, nil, nil}
		NecroList.Items.HC1693 = {"Mods", nil, nil, "HC - British Flag", "Hydrocraft.HCFlagbritish", "media/textures/Item_HCFlagbritish.png", nil, nil, nil}
		NecroList.Items.HC1694 = {"Mods", nil, nil, "HC - Canadian Flag", "Hydrocraft.HCFlagcanadian", "media/textures/Item_HCFlagcanadian.png", nil, nil, nil}
		NecroList.Items.HC1695 = {"Mods", nil, nil, "HC - Czech Flag", "Hydrocraft.HCFlagczech", "media/textures/Item_HCFlagczech.png", nil, nil, nil}
		NecroList.Items.HC1696 = {"Mods", nil, nil, "HC - Dutch Flag", "Hydrocraft.HCFlagdutch", "media/textures/Item_HCFlagdutch.png", nil, nil, nil}
		NecroList.Items.HC1697 = {"Mods", nil, nil, "HC - French Flag", "Hydrocraft.HCFlagfrench", "media/textures/Item_HCFlagfrench.png", nil, nil, nil}
		NecroList.Items.HC1698 = {"Mods", nil, nil, "HC - German Flag", "Hydrocraft.HCFlaggerman", "media/textures/Item_HCFlaggerman.png", nil, nil, nil}
		NecroList.Items.HC1699 = {"Mods", nil, nil, "HC - Italian Flag", "Hydrocraft.HCFlagitalian", "media/textures/Item_HCFlagitalian.png", nil, nil, nil}
		NecroList.Items.HC1700 = {"Mods", nil, nil, "HC - Mexican Flag", "Hydrocraft.HCFlagmexican", "media/textures/Item_HCFlagmexican.png", nil, nil, nil}
		NecroList.Items.HC1701 = {"Mods", nil, nil, "HC - New Mexico Flag", "Hydrocraft.HCFlagnewmexico", "media/textures/Item_HCFlagnewmexico.png", nil, nil, nil}
		NecroList.Items.HC1702 = {"Mods", nil, nil, "HC - North Korean Flag", "Hydrocraft.HCFlagnorthkorea", "media/textures/Item_HCFlagnorthkorea.png", nil, nil, nil}
		NecroList.Items.HC1703 = {"Mods", nil, nil, "HC - Flag Pole", "Hydrocraft.HCFlagpole", "media/textures/Item_HCFlagpole.png", nil, nil, nil}
		NecroList.Items.HC1704 = {"Mods", nil, nil, "HC - American Flag on Pole", "Hydrocraft.HCFlagpoleamerican", "media/textures/Item_HCFlagpoleamerican.png", nil, nil, nil}
		NecroList.Items.HC1705 = {"Mods", nil, nil, "HC - Anarchist Flag on Pole", "Hydrocraft.HCFlagpoleanarchist", "media/textures/Item_HCFlagpoleanarchist.png", nil, nil, nil}
		NecroList.Items.HC1706 = {"Mods", nil, nil, "HC - Blue Team Flag", "Hydrocraft.HCFlagpoleblue", "media/textures/Item_HCFlagpoleblue.png", nil, nil, nil}
		NecroList.Items.HC1707 = {"Mods", nil, nil, "HC - British Flag on Pole", "Hydrocraft.HCFlagpolebritish", "media/textures/Item_HCFlagpolebritish.png", nil, nil, nil}
		NecroList.Items.HC1708 = {"Mods", nil, nil, "HC - Canadian Flag on Pole", "Hydrocraft.HCFlagpolecanadian", "media/textures/Item_HCFlagpolecanadian.png", nil, nil, nil}
		NecroList.Items.HC1709 = {"Mods", nil, nil, "HC - Czech Flag on Pole", "Hydrocraft.HCFlagpoleczech", "media/textures/Item_HCFlagpoleczech.png", nil, nil, nil}
		NecroList.Items.HC1710 = {"Mods", nil, nil, "HC - Dutch Flag Pole", "Hydrocraft.HCFlagpoledutch", "media/textures/Item_HCFlagpoledutch.png", nil, nil, nil}
		NecroList.Items.HC1711 = {"Mods", nil, nil, "HC - French Flag on Pole", "Hydrocraft.HCFlagpolefrench", "media/textures/Item_HCFlagpolefrench.png", nil, nil, nil}
		NecroList.Items.HC1712 = {"Mods", nil, nil, "HC - German Flag on Pole", "Hydrocraft.HCFlagpolegerman", "media/textures/Item_HCFlagpolegerman.png", nil, nil, nil}
		NecroList.Items.HC1713 = {"Mods", nil, nil, "HC - Green Team Flag", "Hydrocraft.HCFlagpolegreen", "media/textures/Item_HCFlagpolegreen.png", nil, nil, nil}
		NecroList.Items.HC1714 = {"Mods", nil, nil, "HC - Italian Flag on Pole", "Hydrocraft.HCFlagpoleitalian", "media/textures/Item_HCFlagpoleitalian.png", nil, nil, nil}
		NecroList.Items.HC1715 = {"Mods", nil, nil, "HC - Mexican Flag on Pole", "Hydrocraft.HCFlagpolemexican", "media/textures/Item_HCFlagpolemexican.png", nil, nil, nil}
		NecroList.Items.HC1716 = {"Mods", nil, nil, "HC - New Mexico Flag on Pole", "Hydrocraft.HCFlagpolenewmexico", "media/textures/Item_HCFlagpolenewmexico.png", nil, nil, nil}
		NecroList.Items.HC1717 = {"Mods", nil, nil, "HC - North Korean Flag on Pole", "Hydrocraft.HCFlagpolenorthkorea", "media/textures/Item_HCFlagpolenorthkorea.png", nil, nil, nil}
		NecroList.Items.HC1718 = {"Mods", nil, nil, "HC - Orange Team Flag", "Hydrocraft.HCFlagpoleorange", "media/textures/Item_HCFlagpoleorange.png", nil, nil, nil}
		NecroList.Items.HC1719 = {"Mods", nil, nil, "HC - Purple Team Flag", "Hydrocraft.HCFlagpolepurple", "media/textures/Item_HCFlagpolepurple.png", nil, nil, nil}
		NecroList.Items.HC1720 = {"Mods", nil, nil, "HC - Red Team Flag", "Hydrocraft.HCFlagpolered", "media/textures/Item_HCFlagpolered.png", nil, nil, nil}
		NecroList.Items.HC1721 = {"Mods", nil, nil, "HC - Soviet Union Flag on Pole", "Hydrocraft.HCFlagpolesoviet", "media/textures/Item_HCFlagpolesoviet.png", nil, nil, nil}
		NecroList.Items.HC1722 = {"Mods", nil, nil, "HC - Yellow Team Flag", "Hydrocraft.HCFlagpoleyellow", "media/textures/Item_HCFlagpoleyellow.png", nil, nil, nil}
		NecroList.Items.HC1723 = {"Mods", nil, nil, "HC - Soviet Union Flag", "Hydrocraft.HCFlagsoviet", "media/textures/Item_HCFlagsoviet.png", nil, nil, nil}
		NecroList.Items.HC1724 = {"Mods", nil, nil, "HC - Stone Flail", "Hydrocraft.HCFlailstone", "media/textures/Item_HCFlailstone.png", nil, nil, nil}
		NecroList.Items.HC1725 = {"Mods", nil, nil, "HC - Flamethrower", "Hydrocraft.HCFlamethrower", "media/textures/Item_HCFlamethrower.png", nil, nil, nil}
		NecroList.Items.HC1726 = {"Mods", nil, nil, "HC - Loaded Flamethrower", "Hydrocraft.HCFlamethrowerloaded", "media/textures/Item_HCFlamethrowerloaded.png", nil, nil, nil}
		NecroList.Items.HC1727 = {"Mods", nil, nil, "HC - Red Flashlight Bulb", "Hydrocraft.HCFlashlightbulbred", "media/textures/Item_HCFlashlightbulbred.png", nil, nil, nil}
		NecroList.Items.HC1728 = {"Mods", nil, nil, "HC - Dead Small Flashlight", "Hydrocraft.HCFlashlightdead", "media/textures/Item_HCFlashlightoff.png", nil, nil, nil}
		NecroList.Items.HC1729 = {"Mods", nil, nil, "HC - Dead Small Homemade Flashlight", "Hydrocraft.HCFlashlightmk1dead", "media/textures/Item_HCFlashlightmk1off.png", nil, nil, nil}
		NecroList.Items.HC1730 = {"Mods", nil, nil, "HC - Small Homemade Flashlight", "Hydrocraft.HCFlashlightmk1off", "media/textures/Item_HCFlashlightmk1off.png", nil, nil, nil}
		NecroList.Items.HC1731 = {"Mods", nil, nil, "HC - Small Homemade Flashlight with Power", "Hydrocraft.HCFlashlightmk1on", "media/textures/Item_HCFlashlightmk1on.png", nil, nil, nil}
		NecroList.Items.HC1732 = {"Mods", nil, nil, "HC - Small Flashlight", "Hydrocraft.HCFlashlightoff", "media/textures/Item_HCFlashlightoff.png", nil, nil, nil}
		NecroList.Items.HC1733 = {"Mods", nil, nil, "HC - Small Flashlight with Power", "Hydrocraft.HCFlashlighton", "media/textures/Item_HCFlashlighton.png", nil, nil, nil}
		NecroList.Items.HC1734 = {"Mods", nil, nil, "HC - Flatbread (Fresh)", "Hydrocraft.HCFlatbread", "media/textures/Item_HCFlatbread.png", nil, nil, nil}
		NecroList.Items.HC1735 = {"Mods", nil, nil, "HC - Flax", "Hydrocraft.HCFlax", "media/textures/Item_HCFlax.png", nil, nil, nil}
		NecroList.Items.HC1736 = {"Mods", nil, nil, "HC - Flax Flower", "Hydrocraft.HCFlaxflower", "media/textures/Item_HCFlaxflower.png", nil, nil, nil}
		NecroList.Items.HC1737 = {"Mods", nil, nil, "HC - Flip", "Hydrocraft.HCFlip", "media/textures/Item_HCFlip.png", nil, nil, nil}
		NecroList.Items.HC1738 = {"Mods", nil, nil, "HC - Flip Flops", "Hydrocraft.HCFlipflops", "media/textures/Item_HCFlipflops.png", nil, nil, nil}
		NecroList.Items.HC1739 = {"Mods", nil, nil, "HC - Floppy Disk", "Hydrocraft.HCFloppy", "media/textures/Item_HCFloppy.png", nil, nil, nil}
		NecroList.Items.HC1740 = {"Mods", nil, nil, "HC - Floppy Disk with Audio Software", "Hydrocraft.HCFloppyaudio", "media/textures/Item_HCFloppyfull.png", nil, nil, nil}
		NecroList.Items.HC1741 = {"Mods", nil, nil, "HC - Floppy Disk with Email Software", "Hydrocraft.HCFloppyemail", "media/textures/Item_HCFloppyfull.png", nil, nil, nil}
		NecroList.Items.HC1742 = {"Mods", nil, nil, "HC - Floppy Disk with Evolution Simulator", "Hydrocraft.HCFloppyevosim", "media/textures/Item_HCFloppyfull.png", nil, nil, nil}
		NecroList.Items.HC1743 = {"Mods", nil, nil, "HC - Floppy Disk with Gesture Recognition Software", "Hydrocraft.HCFloppygesture", "media/textures/Item_HCFloppyfull.png", nil, nil, nil}
		NecroList.Items.HC1744 = {"Mods", nil, nil, "HC - Floppy Disk with Graphics Software", "Hydrocraft.HCFloppygraphics", "media/textures/Item_HCFloppyfull.png", nil, nil, nil}
		NecroList.Items.HC1745 = {"Mods", nil, nil, "HC - Floppy Disk with Voice Recognition Software", "Hydrocraft.HCFloppyvoice", "media/textures/Item_HCFloppyfull.png", nil, nil, nil}
		NecroList.Items.HC1746 = {"Mods", nil, nil, "HC - Floppy Disk with Web Browser Software", "Hydrocraft.HCFloppyweb", "media/textures/Item_HCFloppyfull.png", nil, nil, nil}
		NecroList.Items.HC1747 = {"Mods", nil, nil, "HC - Floppy Disk with Writing Software", "Hydrocraft.HCFloppywriting", "media/textures/Item_HCFloppyfull.png", nil, nil, nil}
		NecroList.Items.HC1748 = {"Mods", nil, nil, "HC - Floss", "Hydrocraft.HCFloss", "media/textures/Item_HCFloss.png", nil, nil, nil}
		NecroList.Items.HC1749 = {"Mods", nil, nil, "HC - Empty Flour Bag", "Hydrocraft.HCFlourempty", "media/textures/Item_HCFlourempty.png", nil, nil, nil}
		NecroList.Items.HC1750 = {"Mods", nil, nil, "HC - Flour Sieve", "Hydrocraft.HCFloursieve", "media/textures/Item_HCFloursieve.png", nil, nil, nil}
		NecroList.Items.HC1751 = {"Mods", nil, nil, "HC - Flute", "Hydrocraft.HCFlute", "media/textures/Item_HCFlute.png", nil, nil, nil}
		NecroList.Items.HC1752 = {"Mods", nil, nil, "HC - Wood Flute", "Hydrocraft.HCFlutewood", "media/textures/Item_HCFlutewood.png", nil, nil, nil}
		NecroList.Items.HC1753 = {"Mods", nil, nil, "HC - Flyswatter", "Hydrocraft.HCFlyswatter", "media/textures/Item_HCFlyswatter.png", nil, nil, nil}
		NecroList.Items.HC1754 = {"Mods", nil, nil, "HC - Folder", "Hydrocraft.HCFolder", "media/textures/Item_HCFolder.png", nil, nil, nil}
		NecroList.Items.HC1755 = {"Mods", nil, nil, "HC - Folder", "Hydrocraft.HCFolder2", "media/textures/Item_HCFolder2.png", nil, nil, nil}
		NecroList.Items.HC1756 = {"Mods", nil, nil, "HC - Folding Sign", "Hydrocraft.HCFoldingsign", "media/textures/Item_HCFoldingsign.png", nil, nil, nil}
		NecroList.Items.HC1757 = {"Mods", nil, nil, "HC - Folding Sign", "Hydrocraft.HCFoldingsignchalkboard", "media/textures/Item_HCFoldingsignchalkboard.png", nil, nil, nil}
		NecroList.Items.HC1758 = {"Mods", nil, nil, "HC - Forceps", "Hydrocraft.HCForeceps", "media/textures/Item_HCForeceps.png", nil, nil, nil}
		NecroList.Items.HC1759 = {"Mods", nil, nil, "HC - Forest Bed", "Hydrocraft.HCForestbedsleepin", "media/textures/Item_HCForestbedsleepin.png", nil, nil, nil}
		NecroList.Items.HC1760 = {"Mods", nil, nil, "HC - Forklift", "Hydrocraft.HCForklift", "media/textures/Item_HCForklift.png", nil, nil, nil}
		NecroList.Items.HC1761 = {"Mods", nil, nil, "HC - Paper Fortune", "Hydrocraft.HCFortune", "media/textures/Item_HCFortune.png", nil, nil, nil}
		NecroList.Items.HC1762 = {"Mods", nil, nil, "HC - Fortune Cookie", "Hydrocraft.HCFortunecookie", "media/textures/Item_HCFortunecookie.png", nil, nil, nil}
		NecroList.Items.HC1763 = {"Mods", nil, nil, "HC - Broken Fortune Cookie (Fresh)", "Hydrocraft.HCFortunecookiebroken", "media/textures/Item_HCFortunecookiebroken.png", nil, nil, nil}
		NecroList.Items.HC1764 = {"Mods", nil, nil, "HC - Fox Skeleton", "Hydrocraft.HCFoxbones", "media/textures/Item_HCFoxbones.png", nil, nil, nil}
		NecroList.Items.HC1765 = {"Mods", nil, nil, "HC - Dead Fox (Fresh)", "Hydrocraft.HCFoxdead", "media/textures/Item_HCFoxdead.png", nil, nil, nil}
		NecroList.Items.HC1766 = {"Mods", nil, nil, "HC - Fox (Female)", "Hydrocraft.HCFoxfemale", "media/textures/Item_HCFoxfemale.png", nil, nil, nil}
		NecroList.Items.HC1767 = {"Mods", nil, nil, "HC - Fox Hat", "Hydrocraft.HCFoxhat", "media/textures/Item_HCFoxhat.png", nil, nil, nil}
		NecroList.Items.HC1768 = {"Mods", nil, nil, "HC - Fox (Male)", "Hydrocraft.HCFoxmale", "media/textures/Item_HCFoxmale.png", nil, nil, nil}
		NecroList.Items.HC1769 = {"Mods", nil, nil, "HC - Fox Carcass (Fresh)", "Hydrocraft.HCFoxmeat", "media/textures/Item_HCFoxmeat.png", nil, nil, nil}
		NecroList.Items.HC1770 = {"Mods", nil, nil, "HC - Frame Square", "Hydrocraft.HCFramesquare", "media/textures/Item_HCFramesquare.png", nil, nil, nil}
		NecroList.Items.HC1771 = {"Mods", nil, nil, "HC - French Toast (Fresh)", "Hydrocraft.HCFrenchtoast", "media/textures/Item_HCFrenchtoast.png", nil, nil, nil}
		NecroList.Items.HC1772 = {"Mods", nil, nil, "HC - Fresh Ham (Fresh Uncooked)", "Hydrocraft.HCFreshham", "Item_Ham", nil, nil, nil}
		NecroList.Items.HC1773 = {"Mods", nil, nil, "HC - Fresh Pasta (Fresh Uncooked)", "Hydrocraft.HCFreshpasta", "media/textures/Item_HCFreshpasta.png", nil, nil, nil}
		NecroList.Items.HC1774 = {"Mods", nil, nil, "HC - Fried Egg (Fresh Uncooked)", "Hydrocraft.HCFriedegg", "media/textures/Item_HCFriedegg.png", nil, nil, nil}
		NecroList.Items.HC1775 = {"Mods", nil, nil, "HC - Fried Frog Legs (Fresh Uncooked)", "Hydrocraft.HCFriedfroglegs", "media/textures/Item_HCFriedfroglegs.png", nil, nil, nil}
		NecroList.Items.HC1776 = {"Mods", nil, nil, "HC - Fried Herring (Fresh Uncooked)", "Hydrocraft.HCFriedherring", "media/textures/Item_HCHerringcooked.png", nil, nil, nil}
		NecroList.Items.HC1777 = {"Mods", nil, nil, "HC - Bowl of Fried Rice (Fresh Uncooked)", "Hydrocraft.HCFriedrice", "media/textures/Item_HCFriedricebowl.png", nil, nil, nil}
		NecroList.Items.HC1778 = {"Mods", nil, nil, "HC - Homemade Fries (Fresh Uncooked)", "Hydrocraft.HCFries", "Item_Fries", nil, nil, nil}
		NecroList.Items.HC1779 = {"Mods", nil, nil, "HC - Frisbee", "Hydrocraft.HCFrisbee", "media/textures/Item_HCFrisbee.png", nil, nil, nil}
		NecroList.Items.HC1780 = {"Mods", nil, nil, "HC - Bowl of Frosting", "Hydrocraft.HCFrosting", "media/textures/Item_HCFrosting.png", nil, nil, nil}
		NecroList.Items.HC1781 = {"Mods", nil, nil, "HC - Fruit Cake (Fresh)", "Hydrocraft.HCFruitcake", "media/textures/Item_HCFruitcake.png", nil, nil, nil}
		NecroList.Items.HC1782 = {"Mods", nil, nil, "HC - Fruit Cake Batter", "Hydrocraft.HCFruitcakebatter", "media/textures/Item_HCFruitcakebatter.png", nil, nil, nil}
		NecroList.Items.HC1783 = {"Mods", nil, nil, "HC - Fruit Cake Batter in Bread Mold (Uncooked)", "Hydrocraft.HCFruitcakebattermold", "media/textures/Item_HCFruitcakebattermold.png", nil, nil, nil}
		NecroList.Items.HC1784 = {"Mods", nil, nil, "HC - Fruit Cake in Bread Mold (Fresh Uncooked)", "Hydrocraft.HCFruitcakemold", "media/textures/Item_HCFruitcakemold.png", nil, nil, nil}
		NecroList.Items.HC1785 = {"Mods", nil, nil, "HC - Fruit Cake Slices (Fresh)", "Hydrocraft.HCFruitcakeslices", "media/textures/Item_HCFruitcakeslices.png", nil, nil, nil}
		NecroList.Items.HC1786 = {"Mods", nil, nil, "HC - Fuel Canister", "Hydrocraft.HCFuelcanister", "media/textures/Item_HCFuelcanister.png", nil, nil, nil}
		NecroList.Items.HC1787 = {"Mods", nil, nil, "HC - Funnel", "Hydrocraft.HCFunnel", "media/textures/Item_HCFunnel.png", nil, nil, nil}
		NecroList.Items.HC1788 = {"Mods", nil, nil, "HC - Fur Coat", "Hydrocraft.HCFurcoat", "media/textures/Item_HCFurcoat.png", nil, nil, nil}
		NecroList.Items.HC1789 = {"Mods", nil, nil, "HC - Industrial Furnace", "Hydrocraft.HCFurnace", "media/textures/Item_HCFurnace.png", nil, nil, nil}
		NecroList.Items.HC1790 = {"Mods", nil, nil, "HC - Industrial Furnace", "Hydrocraft.HCFurnace2", "media/textures/Item_HCFurnace.png", nil, nil, nil}
		NecroList.Items.HC1791 = {"Mods", nil, nil, "HC - Arc Furnace", "Hydrocraft.HCFurnacearc", "media/textures/Item_HCFurnacearc.png", nil, nil, nil}
		NecroList.Items.HC1792 = {"Mods", nil, nil, "HC - Arc Furnace", "Hydrocraft.HCFurnacearc2", "media/textures/Item_HCFurnacearc.png", nil, nil, nil}
		NecroList.Items.HC1793 = {"Mods", nil, nil, "HC - Iron Furnace", "Hydrocraft.HCFurnaceiron", "media/textures/Item_HCFurnaceiron.png", nil, nil, nil}
		NecroList.Items.HC1794 = {"Mods", nil, nil, "HC - Fur Pants", "Hydrocraft.HCFurpants", "media/textures/Item_HCFurpants.png", nil, nil, nil}
		NecroList.Items.HC1795 = {"Mods", nil, nil, "HC - Fuse", "Hydrocraft.HCFuse", "media/textures/Item_HCFuse.png", nil, nil, nil}
		NecroList.Items.HC1796 = {"Mods", nil, nil, "HC - Gabbro", "Hydrocraft.HCGabbro", "media/textures/Item_HCGabbro.png", nil, nil, nil}
		NecroList.Items.HC1797 = {"Mods", nil, nil, "HC - Garden Gnome", "Hydrocraft.HCGardengnome", "media/textures/Item_HCGardengnome.png", nil, nil, nil}
		NecroList.Items.HC1798 = {"Mods", nil, nil, "HC - Garden Hose", "Hydrocraft.HCGardenhose", "media/textures/Item_HCGardenhose.png", nil, nil, nil}
		NecroList.Items.HC1799 = {"Mods", nil, nil, "HC - Garden Spider", "Hydrocraft.HCGardenspider", "media/textures/Item_HCGardenspider.png", nil, nil, nil}
		NecroList.Items.HC1800 = {"Mods", nil, nil, "HC - Garland", "Hydrocraft.HCGarland", "media/textures/Item_HCGarland.png", nil, nil, nil}
		NecroList.Items.HC1801 = {"Mods", nil, nil, "HC - Garlic (Fresh)", "Hydrocraft.HCGarlic", "media/textures/Item_HCGarlic.png", nil, nil, nil}
		NecroList.Items.HC1802 = {"Mods", nil, nil, "HC - Baked Garlic Bread (Fresh)", "Hydrocraft.HCGarlicbreadbaked", "media/textures/Item_HCGarlicbread.png", nil, nil, nil}
		NecroList.Items.HC1803 = {"Mods", nil, nil, "HC - Dried Garlic", "Hydrocraft.HCGarlicdry", "Question_On", nil, nil, nil}
		NecroList.Items.HC1804 = {"Mods", nil, nil, "HC - Garlic Powder", "Hydrocraft.HCGarlicpowder", "media/textures/Item_HCGarlicpowderfull.png", nil, nil, nil}
		NecroList.Items.HC1805 = {"Mods", nil, nil, "HC - Garlic Seeds", "Hydrocraft.HCGarlicseeds", "media/textures/Item_HCGarlicseeds.png", nil, nil, nil}
		NecroList.Items.HC1806 = {"Mods", nil, nil, "HC - Garlic Seeds Packet", "Hydrocraft.HCGarlicseedspacket", "media/textures/Item_HCGarlicseedspacket.png", nil, nil, nil}
		NecroList.Items.HC1807 = {"Mods", nil, nil, "HC - Garnet", "Hydrocraft.HCGarnet", "media/textures/Item_HCGarnet.png", nil, nil, nil}
		NecroList.Items.HC1808 = {"Mods", nil, nil, "HC - Cut Garnet", "Hydrocraft.HCGarnetcut", "media/textures/Item_HCGarnetcut.png", nil, nil, nil}
		NecroList.Items.HC1809 = {"Mods", nil, nil, "HC - Gasmask", "Hydrocraft.HCGasmask", "media/textures/Item_HCGasmask.png", nil, nil, nil}
		NecroList.Items.HC1810 = {"Mods", nil, nil, "HC - Empty Gasoline Barrel", "Hydrocraft.HCGasolinebarrelempty", "media/textures/Item_HCGasolinebarrelmetal.png", nil, nil, nil}
		NecroList.Items.HC1811 = {"Mods", nil, nil, "HC - Metal Barrel with Gasoline", "Hydrocraft.HCGasolinebarrelfull", "media/textures/Item_HCGasolinebarrelmetal.png", nil, nil, nil}
		NecroList.Items.HC1812 = {"Mods", nil, nil, "HC - Gauze", "Hydrocraft.HCGauze", "media/textures/Item_HCGauze.png", nil, nil, nil}
		NecroList.Items.HC1813 = {"Mods", nil, nil, "HC - Bronze Gear", "Hydrocraft.HCGearbronze", "media/textures/Item_HCGearbronze.png", nil, nil, nil}
		NecroList.Items.HC1814 = {"Mods", nil, nil, "HC - Copper Gear", "Hydrocraft.HCGearcopper", "media/textures/Item_HCGearcopper.png", nil, nil, nil}
		NecroList.Items.HC1815 = {"Mods", nil, nil, "HC - Invar Gear", "Hydrocraft.HCGearinvar", "media/textures/Item_HCGearinvar.png", nil, nil, nil}
		NecroList.Items.HC1816 = {"Mods", nil, nil, "HC - Iron Gear", "Hydrocraft.HCGeariron", "media/textures/Item_HCGeariron.png", nil, nil, nil}
		NecroList.Items.HC1817 = {"Mods", nil, nil, "HC - Lead Gear", "Hydrocraft.HCGearlead", "media/textures/Item_HCGearlead.png", nil, nil, nil}
		NecroList.Items.HC1818 = {"Mods", nil, nil, "HC - Gear Mold", "Hydrocraft.HCGearmold", "media/textures/Item_HCNailmold.png", nil, nil, nil}
		NecroList.Items.HC1819 = {"Mods", nil, nil, "HC - Steel Gear", "Hydrocraft.HCGearsteel", "media/textures/Item_HCGearsteel.png", nil, nil, nil}
		NecroList.Items.HC1820 = {"Mods", nil, nil, "HC - Tin Gear", "Hydrocraft.HCGeartin", "media/textures/Item_HCGeartin.png", nil, nil, nil}
		NecroList.Items.HC1821 = {"Mods", nil, nil, "HC - Titanium Gear", "Hydrocraft.HCGeartitanium", "media/textures/Item_HCGeartitanium.png", nil, nil, nil}
		NecroList.Items.HC1822 = {"Mods", nil, nil, "HC - Gelatin", "Hydrocraft.HCGelatin", "media/textures/Item_HCGelatin.png", nil, nil, nil}
		NecroList.Items.HC1823 = {"Mods", nil, nil, "HC - Gelatin Powder", "Hydrocraft.HCGelatinpowder", "media/textures/Item_HCGelatinpowder.png", nil, nil, nil}
		NecroList.Items.HC1824 = {"Mods", nil, nil, "HC - Gem Cutter Wheel", "Hydrocraft.HCGemcutter", "media/textures/Item_HCGemcutter.png", nil, nil, nil}
		NecroList.Items.HC1825 = {"Mods", nil, nil, "HC - German Shepherd (Female)", "Hydrocraft.HCGermanshepherdfemale", "media/textures/Item_HCGermanshepherdfemale.png", nil, nil, nil}
		NecroList.Items.HC1826 = {"Mods", nil, nil, "HC - Pack German shepherd (Female)", "Hydrocraft.HCGermanshepherdfemalepack", "media/textures/Item_HCGermanshepherdfemalepack.png", nil, nil, nil}
		NecroList.Items.HC1827 = {"Mods", nil, nil, "HC - Pack German Shepherd (Female)", "Hydrocraft.HCGermanshepherdfemalepack2", "media/textures/Item_HCGermanshepherdfemalepack2.png", nil, nil, nil}
		NecroList.Items.HC1828 = {"Mods", nil, nil, "HC - German Shepherd (Male)", "Hydrocraft.HCGermanshepherdmale", "media/textures/Item_HCGermanshepherdmale.png", nil, nil, nil}
		NecroList.Items.HC1829 = {"Mods", nil, nil, "HC - Pack German Shepherd (Male)", "Hydrocraft.HCGermanshepherdmalepack", "media/textures/Item_HCGermanshepherdmalepack.png", nil, nil, nil}
		NecroList.Items.HC1830 = {"Mods", nil, nil, "HC - Pack German Shepherd (Male)", "Hydrocraft.HCGermanshepherdmalepack2", "media/textures/Item_HCGermanshepherdmalepack2.png", nil, nil, nil}
		NecroList.Items.HC1831 = {"Mods", nil, nil, "HC - Giant Magnet Mold", "Hydrocraft.HCGiantmagnetmold", "media/textures/Item_HCGiantmagnetmold.png", nil, nil, nil}
		NecroList.Items.HC1832 = {"Mods", nil, nil, "HC - Gigli Saw", "Hydrocraft.HCGiglisaw", "media/textures/Item_HCGiglisaw.png", nil, nil, nil}
		NecroList.Items.HC1833 = {"Mods", nil, nil, "HC - Gigli Saw Handle", "Hydrocraft.HCGiglisawhandle", "media/textures/Item_HCGiglisawhandle.png", nil, nil, nil}
		NecroList.Items.HC1834 = {"Mods", nil, nil, "HC - Gin", "Hydrocraft.HCGin1", "media/textures/Item_HCGin1.png", nil, nil, nil}
		NecroList.Items.HC1835 = {"Mods", nil, nil, "HC - Gin", "Hydrocraft.HCGin2", "media/textures/Item_HCGin2.png", nil, nil, nil}
		NecroList.Items.HC1836 = {"Mods", nil, nil, "HC - Gin", "Hydrocraft.HCGin3", "media/textures/Item_HCGin3.png", nil, nil, nil}
		NecroList.Items.HC1837 = {"Mods", nil, nil, "HC - Ginger (Fresh)", "Hydrocraft.HCGinger", "media/textures/Item_HCGinger.png", nil, nil, nil}
		NecroList.Items.HC1838 = {"Mods", nil, nil, "HC - Uncooked Tray of Gingerbread Man Cookies (Fresh Uncooked)", "Hydrocraft.HCGingerbreadman", "media/textures/Item_HCGingerbreadman.png", nil, nil, nil}
		NecroList.Items.HC1839 = {"Mods", nil, nil, "HC - Gingerbread Man Cookie (Fresh)", "Hydrocraft.HCGingerbreadmanbaked", "media/textures/Item_HCGingerbreadman.png", nil, nil, nil}
		NecroList.Items.HC1840 = {"Mods", nil, nil, "HC - Cooked Tray of Gingerbread Man Cookies (Fresh)", "Hydrocraft.HCGingerbreadmanbakedtray", "media/textures/Item_HCGingerbreadman.png", nil, nil, nil}
		NecroList.Items.HC1841 = {"Mods", nil, nil, "HC - Ginger Seeds", "Hydrocraft.HCGingerseeds", "media/textures/Item_HCGingerseeds.png", nil, nil, nil}
		NecroList.Items.HC1842 = {"Mods", nil, nil, "HC - Ginger Seeds Packet", "Hydrocraft.HCGingerseedspacket", "media/textures/Item_HCGingerseedspacket.png", nil, nil, nil}
		NecroList.Items.HC1843 = {"Mods", nil, nil, "HC - Large Glass Balloon", "Hydrocraft.HCGlassballoon", "media/textures/Item_HCGlassballoon.png", nil, nil, nil}
		NecroList.Items.HC1844 = {"Mods", nil, nil, "HC - Large Glass Balloon with Connector", "Hydrocraft.HCGlassballoonconnector", "media/textures/Item_HCGlassballoon.png", nil, nil, nil}
		NecroList.Items.HC1845 = {"Mods", nil, nil, "HC - Glass Beaker", "Hydrocraft.HCGlassbeaker", "media/textures/Item_HCGlassbeaker.png", nil, nil, nil}
		NecroList.Items.HC1846 = {"Mods", nil, nil, "HC - Ammonia", "Hydrocraft.HCGlassbottleammonia", "media/textures/Item_HCGlassbottleammonia.png", nil, nil, nil}
		NecroList.Items.HC1847 = {"Mods", nil, nil, "HC - Empty Ammonia Bottle", "Hydrocraft.HCGlassbottleammoniaempty", "media/textures/Item_HCGlassbottleammonia.png", nil, nil, nil}
		NecroList.Items.HC1848 = {"Mods", nil, nil, "HC - Empty Glass Bottle", "Hydrocraft.HCGlassbottleempty", "media/textures/Item_HCGlassbottleempty.png", nil, nil, nil}
		NecroList.Items.HC1849 = {"Mods", nil, nil, "HC - Ethanol", "Hydrocraft.HCGlassbottleethanol", "media/textures/Item_HCGlassbottleethanol.png", nil, nil, nil}
		NecroList.Items.HC1850 = {"Mods", nil, nil, "HC - Empty Ethanol Bottle", "Hydrocraft.HCGlassbottleethanolempty", "media/textures/Item_HCGlassbottleethanol.png", nil, nil, nil}
		NecroList.Items.HC1851 = {"Mods", nil, nil, "HC - Hydrogen Peroxide", "Hydrocraft.HCGlassbottleh2o2", "media/textures/Item_HCGlassbottleh2o2.png", nil, nil, nil}
		NecroList.Items.HC1852 = {"Mods", nil, nil, "HC - Empty Hydrogen Peroxide Bottle", "Hydrocraft.HCGlassbottleh2o2empty", "media/textures/Item_HCGlassbottleh2o2.png", nil, nil, nil}
		NecroList.Items.HC1853 = {"Mods", nil, nil, "HC - Methylamin", "Hydrocraft.HCGlassbottlemethylamin", "media/textures/Item_HCGlassbottlemethylamin.png", nil, nil, nil}
		NecroList.Items.HC1854 = {"Mods", nil, nil, "HC - Empty Methylamin Bottle", "Hydrocraft.HCGlassbottlemethylaminempty", "media/textures/Item_HCGlassbottlemethylamin.png", nil, nil, nil}
		NecroList.Items.HC1855 = {"Mods", nil, nil, "HC - Phenylacetic Acid", "Hydrocraft.HCGlassbottlephenyl", "media/textures/Item_HCGlassbottlephenyl.png", nil, nil, nil}
		NecroList.Items.HC1856 = {"Mods", nil, nil, "HC - Empty Phenylacetic Acid Bottle", "Hydrocraft.HCGlassbottlephenylempty", "media/textures/Item_HCGlassbottlephenyl.png", nil, nil, nil}
		NecroList.Items.HC1857 = {"Mods", nil, nil, "HC - Selfmade Ether", "Hydrocraft.HCGlassbottleselfmadeether", "media/textures/Item_HCGlassbottleselfmadeether.png", nil, nil, nil}
		NecroList.Items.HC1858 = {"Mods", nil, nil, "HC - Empty Homemade Ether Bottle", "Hydrocraft.HCGlassbottleselfmadeetherempty", "media/textures/Item_HCGlassbottleselfmadeether.png", nil, nil, nil}
		NecroList.Items.HC1859 = {"Mods", nil, nil, "HC - Sulfuric Acid", "Hydrocraft.HCGlassbottlesulfuricacid", "media/textures/Item_HCGlassbottlesulfuricacid.png", nil, nil, nil}
		NecroList.Items.HC1860 = {"Mods", nil, nil, "HC - Empty Sulfuric Acid Bottle", "Hydrocraft.HCGlassbottlesulfuricacidempty", "media/textures/Item_HCGlassbottlesulfuricacid.png", nil, nil, nil}
		NecroList.Items.HC1861 = {"Mods", nil, nil, "HC - Glass Burette", "Hydrocraft.HCGlassburette", "media/textures/Item_HCGlassburette.png", nil, nil, nil}
		NecroList.Items.HC1862 = {"Mods", nil, nil, "HC - Glass Connector", "Hydrocraft.HCGlassconnector", "media/textures/Item_HCGlassconnector.png", nil, nil, nil}
		NecroList.Items.HC1863 = {"Mods", nil, nil, "HC - Glass Cooler", "Hydrocraft.HCGlasscooler", "media/textures/Item_HCGlasscooler.png", nil, nil, nil}
		NecroList.Items.HC1864 = {"Mods", nil, nil, "HC - Glass Cutter", "Hydrocraft.HCGlasscutter", "media/textures/Item_HCGlasscutter.png", nil, nil, nil}
		NecroList.Items.HC1865 = {"Mods", nil, nil, "HC - Glass Eye", "Hydrocraft.HCGlasseye", "media/textures/Item_HCGlasseye.png", nil, nil, nil}
		NecroList.Items.HC1866 = {"Mods", nil, nil, "HC - Glass Conical Flask", "Hydrocraft.HCGlassflask", "media/textures/Item_HCGlassflask.png", nil, nil, nil}
		NecroList.Items.HC1867 = {"Mods", nil, nil, "HC - Glass Buchner Flask", "Hydrocraft.HCGlassflaskbuchner", "media/textures/Item_HCGlassflaskbuchner.png", nil, nil, nil}
		NecroList.Items.HC1868 = {"Mods", nil, nil, "HC - Glass Florence Flask", "Hydrocraft.HCGlassflaskflorence", "media/textures/Item_HCGlassflaskflorence.png", nil, nil, nil}
		NecroList.Items.HC1869 = {"Mods", nil, nil, "HC - Glass Retort Flask", "Hydrocraft.HCGlassflaskretort", "media/textures/Item_HCGlassflaskretort.png", nil, nil, nil}
		NecroList.Items.HC1870 = {"Mods", nil, nil, "HC - Glass Funnel", "Hydrocraft.HCGlassfunnel", "media/textures/Item_HCGlassfunnel.png", nil, nil, nil}
		NecroList.Items.HC1871 = {"Mods", nil, nil, "HC - Glass Balloon and Waterbeaker with Salt", "Hydrocraft.HCGlassgassalt", "media/textures/Item_HCGlassgassalt.png", nil, nil, nil}
		NecroList.Items.HC1872 = {"Mods", nil, nil, "HC - Glass Balloon and Waterbeaker with Salt and Sulfuric Acid", "Hydrocraft.HCGlassgassaltsulfuric", "media/textures/Item_HCGlassgassaltsulfuric.png", nil, nil, nil}
		NecroList.Items.HC1873 = {"Mods", nil, nil, "HC - Glass Baloon and Waterbeaker", "Hydrocraft.HCGlassgastrap", "media/textures/Item_HCGlassgastrap.png", nil, nil, nil}
		NecroList.Items.HC1874 = {"Mods", nil, nil, "HC - Glass Graduated Cylinder", "Hydrocraft.HCGlassgraduatedcylinder", "media/textures/Item_HCGlassgraduatedcylinder.png", nil, nil, nil}
		NecroList.Items.HC1875 = {"Mods", nil, nil, "HC - Glass Ingot", "Hydrocraft.HCGlassingot", "media/textures/Item_HCGlassingot.png", nil, nil, nil}
		NecroList.Items.HC1876 = {"Mods", nil, nil, "HC - Glass Jug", "Hydrocraft.HCGlassjug", "media/textures/Item_HCGlassjug.png", nil, nil, nil}
		NecroList.Items.HC1877 = {"Mods", nil, nil, "HC - Glass Jug with Water", "Hydrocraft.HCGlassjugfull", "media/textures/Item_HCGlassjugfull.png", nil, nil, nil}
		NecroList.Items.HC1878 = {"Mods", nil, nil, "HC - Glass Pane", "Hydrocraft.HCGlasspane", "media/textures/Item_HCGlasspane.png", nil, nil, nil}
		NecroList.Items.HC1879 = {"Mods", nil, nil, "HC - Large Glass Pane", "Hydrocraft.HCGlasspanelarge", "media/textures/Item_HCGlasspanelarge.png", nil, nil, nil}
		NecroList.Items.HC1880 = {"Mods", nil, nil, "HC - Glass Pipe", "Hydrocraft.HCGlasspipe", "media/textures/Item_HCGlasspipe.png", nil, nil, nil}
		NecroList.Items.HC1881 = {"Mods", nil, nil, "HC - Box of Glass Pipes", "Hydrocraft.HCGlasspipebox", "media/textures/Item_HCGlasspipebox.png", nil, nil, nil}
		NecroList.Items.HC1882 = {"Mods", nil, nil, "HC - Glass Elbow Pipe", "Hydrocraft.HCGlasspipeelbow", "media/textures/Item_HCGlasspipeelbow.png", nil, nil, nil}
		NecroList.Items.HC1883 = {"Mods", nil, nil, "HC - Box of Glass Elbow Pipe", "Hydrocraft.HCGlasspipeelbowbox", "media/textures/Item_HCGlasspipeelbowbox.png", nil, nil, nil}
		NecroList.Items.HC1884 = {"Mods", nil, nil, "HC - Glass Shards", "Hydrocraft.HCGlassshards", "media/textures/Item_HCGlassshards.png", nil, nil, nil}
		NecroList.Items.HC1885 = {"Mods", nil, nil, "HC - Empty Short Glass", "Hydrocraft.HCGlassshortempty", "media/textures/Item_HCGlassshortempty.png", nil, nil, nil}
		NecroList.Items.HC1886 = {"Mods", nil, nil, "HC - Empty Tall Glass", "Hydrocraft.HCGlasstallempty", "media/textures/Item_HCGlasstallempty.png", nil, nil, nil}
		NecroList.Items.HC1887 = {"Mods", nil, nil, "HC - Glass Test Tube", "Hydrocraft.HCGlasstesttube", "media/textures/Item_HCGlasstesttube.png", nil, nil, nil}
		NecroList.Items.HC1888 = {"Mods", nil, nil, "HC - Glass Test Tube with Cork", "Hydrocraft.HCGlasstesttubecork", "media/textures/Item_HCGlasstesttubecork.png", nil, nil, nil}
		NecroList.Items.HC1889 = {"Mods", nil, nil, "HC - Glass Test Tube with Cork with Hole", "Hydrocraft.HCGlasstesttubecorkhole", "media/textures/Item_HCGlasstesttubecorkhole.png", nil, nil, nil}
		NecroList.Items.HC1890 = {"Mods", nil, nil, "HC - Glass Test Tube with Rubber Bung", "Hydrocraft.HCGlasstesttuberubberbung", "media/textures/Item_HCGlasstesttuberubberbung.png", nil, nil, nil}
		NecroList.Items.HC1891 = {"Mods", nil, nil, "HC - Glass Test Tube with Rubber Bung with Hole", "Hydrocraft.HCGlasstesttuberubberbunghole", "media/textures/Item_HCGlasstesttuberubberbunghole.png", nil, nil, nil}
		NecroList.Items.HC1892 = {"Mods", nil, nil, "HC - Test Tube with HMTD Crystals", "Hydrocraft.HCGlasstubehmtd", "media/textures/Item_HCGlasstubehmtd.png", nil, nil, nil}
		NecroList.Items.HC1893 = {"Mods", nil, nil, "HC - Conical Flask With Water", "Hydrocraft.HCGlasswaterbottle", "media/textures/Item_HCGlasswaterbottle.png", nil, nil, nil}
		NecroList.Items.HC1894 = {"Mods", nil, nil, "HC - Globe", "Hydrocraft.HCGlobe", "media/textures/Item_HCGlobe.png", nil, nil, nil}
		NecroList.Items.HC1895 = {"Mods", nil, nil, "HC - Glove Box", "Hydrocraft.HCGlovebox", "media/textures/Item_HCGlovebox.png", nil, nil, nil}
		NecroList.Items.HC1896 = {"Mods", nil, nil, "HC - Bronze Gauntlets", "Hydrocraft.HCGlovebronze", "media/textures/Item_HCGlovebronze.png", nil, nil, nil}
		NecroList.Items.HC1897 = {"Mods", nil, nil, "HC - Riot Gloves", "Hydrocraft.HCGlovechainmail", "media/textures/Item_HCGlovechainmail.png", nil, nil, nil}
		NecroList.Items.HC1898 = {"Mods", nil, nil, "HC - Bronze Gauntlets", "Hydrocraft.HCGlovecopper", "media/textures/Item_HCGlovebronze.png", nil, nil, nil}
		NecroList.Items.HC1899 = {"Mods", nil, nil, "HC - Cord Gloves", "Hydrocraft.HCGlovecord", "media/textures/Item_HCGlovecord.png", nil, nil, nil}
		NecroList.Items.HC1900 = {"Mods", nil, nil, "HC - Iron Gauntlets", "Hydrocraft.HCGloveiron", "media/textures/Item_HCGloveiron.png", nil, nil, nil}
		NecroList.Items.HC1901 = {"Mods", nil, nil, "HC - Kevlar Gloves", "Hydrocraft.HCGlovekevlar", "media/textures/Item_HCGlovekevlar.png", nil, nil, nil}
		NecroList.Items.HC1902 = {"Mods", nil, nil, "HC - Leather Gloves", "Hydrocraft.HCGloveleather", "media/textures/Item_HCGloveleather.png", nil, nil, nil}
		NecroList.Items.HC1903 = {"Mods", nil, nil, "HC - Riot Gloves", "Hydrocraft.HCGloveriot", "media/textures/Item_HCGloveriot.png", nil, nil, nil}
		NecroList.Items.HC1904 = {"Mods", nil, nil, "HC - Steel Gauntlets", "Hydrocraft.HCGlovesteel", "media/textures/Item_HCGlovesteel.png", nil, nil, nil}
		NecroList.Items.HC1905 = {"Mods", nil, nil, "HC - Studded Leather Gloves", "Hydrocraft.HCGlovestuddedleather", "media/textures/Item_HCGlovestuddedleather.png", nil, nil, nil}
		NecroList.Items.HC1906 = {"Mods", nil, nil, "HC - Glowlamp", "Hydrocraft.HCGlowlamp", "media/textures/Item_HCGlowlamp.png", nil, nil, nil}
		NecroList.Items.HC1907 = {"Mods", nil, nil, "HC - Blue Glowstick", "Hydrocraft.HCGlowstickblue", "media/textures/Item_HCGlowstickblue.png", nil, nil, nil}
		NecroList.Items.HC1908 = {"Mods", nil, nil, "HC - Blue Glowstick", "Hydrocraft.HCGlowstickblueon", "media/textures/Item_HCGlowstickblueon.png", nil, nil, nil}
		NecroList.Items.HC1909 = {"Mods", nil, nil, "HC - Green Glowstick", "Hydrocraft.HCGlowstickgreen", "media/textures/Item_HCGlowstickgreen.png", nil, nil, nil}
		NecroList.Items.HC1910 = {"Mods", nil, nil, "HC - Green Glowstick", "Hydrocraft.HCGlowstickgreenon", "media/textures/Item_HCGlowstickgreenon.png", nil, nil, nil}
		NecroList.Items.HC1911 = {"Mods", nil, nil, "HC - Red Glowstick", "Hydrocraft.HCGlowstickred", "media/textures/Item_HCGlowstickred.png", nil, nil, nil}
		NecroList.Items.HC1912 = {"Mods", nil, nil, "HC - Red Glowstick", "Hydrocraft.HCGlowstickredon", "media/textures/Item_HCGlowstickredon.png", nil, nil, nil}
		NecroList.Items.HC1913 = {"Mods", nil, nil, "HC - Empty Glue Bottle", "Hydrocraft.HCGlueempty", "media/textures/Item_HCGlueempty.png", nil, nil, nil}
		NecroList.Items.HC1914 = {"Mods", nil, nil, "HC - Glycerin", "Hydrocraft.HCGlycerin", "media/textures/Item_HCGlycerin.png", nil, nil, nil}
		NecroList.Items.HC1915 = {"Mods", nil, nil, "HC - Gnomestick", "Hydrocraft.HCGnomestick", "media/textures/Item_HCGnomestick.png", nil, nil, nil}
		NecroList.Items.HC1916 = {"Mods", nil, nil, "HC - Goat Skeleton", "Hydrocraft.HCGoatbones", "media/textures/Item_HCGoatbones.png", nil, nil, nil}
		NecroList.Items.HC1917 = {"Mods", nil, nil, "HC - Dead Goat (Fresh)", "Hydrocraft.HCGoatdead", "media/textures/Item_HCGoatdead.png", nil, nil, nil}
		NecroList.Items.HC1918 = {"Mods", nil, nil, "HC - Dead Goat (Fresh)", "Hydrocraft.HCGoatdead2", "media/textures/Item_HCGoatdead2.png", nil, nil, nil}
		NecroList.Items.HC1919 = {"Mods", nil, nil, "HC - Goat (Female)", "Hydrocraft.HCGoatfemale", "media/textures/Item_HCGoatfemale.png", nil, nil, nil}
		NecroList.Items.HC1920 = {"Mods", nil, nil, "HC - Baby Goat (Female)", "Hydrocraft.HCGoatfemalebaby", "media/textures/Item_HCGoatbaby.png", nil, nil, nil}
		NecroList.Items.HC1921 = {"Mods", nil, nil, "HC - Hungry Goat (Female)", "Hydrocraft.HCGoatfemalehungry", "media/textures/Item_HCGoatfemale.png", nil, nil, nil}
		NecroList.Items.HC1922 = {"Mods", nil, nil, "HC - Sheared Goat (Female)", "Hydrocraft.HCGoatfemalesheared", "media/textures/Item_HCGoatfemale.png", nil, nil, nil}
		NecroList.Items.HC1923 = {"Mods", nil, nil, "HC - Lactating Goat (Female)", "Hydrocraft.HCGoatfemaletired", "media/textures/Item_HCGoatfemale.png", nil, nil, nil}
		NecroList.Items.HC1924 = {"Mods", nil, nil, "HC - Goat Horn", "Hydrocraft.HCGoathorn", "media/textures/Item_HCGoathorn.png", nil, nil, nil}
		NecroList.Items.HC1925 = {"Mods", nil, nil, "HC - Goat (Male)", "Hydrocraft.HCGoatmale", "media/textures/Item_HCGoatmale.png", nil, nil, nil}
		NecroList.Items.HC1926 = {"Mods", nil, nil, "HC - Baby Goat (Male)", "Hydrocraft.HCGoatmalebaby", "media/textures/Item_HCGoatbaby.png", nil, nil, nil}
		NecroList.Items.HC1927 = {"Mods", nil, nil, "HC - Hungry Goat (Male)", "Hydrocraft.HCGoatmalehungry", "media/textures/Item_HCGoatmale.png", nil, nil, nil}
		NecroList.Items.HC1928 = {"Mods", nil, nil, "HC - Sheared Goat (Male)", "Hydrocraft.HCGoatmalesheared", "media/textures/Item_HCGoatmale.png", nil, nil, nil}
		NecroList.Items.HC1929 = {"Mods", nil, nil, "HC - Tired Goat (Male)", "Hydrocraft.HCGoatmaletired", "media/textures/Item_HCGoatmale.png", nil, nil, nil}
		NecroList.Items.HC1930 = {"Mods", nil, nil, "HC - Goat Carcass (Fresh)", "Hydrocraft.HCGoatmeat", "media/textures/Item_HCGoatmeat.png", nil, nil, nil}
		NecroList.Items.HC1931 = {"Mods", nil, nil, "HC - Goat Poop", "Hydrocraft.HCGoatpoop", "media/textures/Item_HCGoatpoop.png", nil, nil, nil}
		NecroList.Items.HC1932 = {"Mods", nil, nil, "HC - Feral Goat Poop", "Hydrocraft.HCGoatpoopferal", "media/textures/Item_HCGoatpoop.png", nil, nil, nil}
		NecroList.Items.HC1933 = {"Mods", nil, nil, "HC - Golden Retriever (Female)", "Hydrocraft.HCGoldenfemale", "media/textures/Item_HCGoldenfemale.png", nil, nil, nil}
		NecroList.Items.HC1934 = {"Mods", nil, nil, "HC - Golden Retriever (Male)", "Hydrocraft.HCGoldenmale", "media/textures/Item_HCGoldenmale.png", nil, nil, nil}
		NecroList.Items.HC1935 = {"Mods", nil, nil, "HC - Gold Ingot", "Hydrocraft.HCGoldingot", "media/textures/Item_HCGoldingot.png", nil, nil, nil}
		NecroList.Items.HC1936 = {"Mods", nil, nil, "HC - Gold Ore", "Hydrocraft.HCGoldore", "media/textures/Item_HCGoldore.png", nil, nil, nil}
		NecroList.Items.HC1937 = {"Mods", nil, nil, "HC - Gold Powder", "Hydrocraft.HCGoldpowder", "media/textures/Item_HCGoldpowder.png", nil, nil, nil}
		NecroList.Items.HC1938 = {"Mods", nil, nil, "HC - Golf Bag", "Hydrocraft.HCGolfbag", "media/textures/Item_HCGolfbag.png", nil, nil, nil}
		NecroList.Items.HC1939 = {"Mods", nil, nil, "HC - Googles", "Hydrocraft.HCGoogles", "media/textures/Item_HCGoogles.png", nil, nil, nil}
		NecroList.Items.HC1940 = {"Mods", nil, nil, "HC - Gooseberry (Fresh)", "Hydrocraft.HCGooseberry", "media/textures/Item_HCGooseberry.png", nil, nil, nil}
		NecroList.Items.HC1941 = {"Mods", nil, nil, "HC - Goose Egg", "Hydrocraft.HCGooseegg", "media/textures/Item_HCGooseegg.png", nil, nil, nil}
		NecroList.Items.HC1942 = {"Mods", nil, nil, "HC - Goose Meat (Fresh Uncooked)", "Hydrocraft.HCGoosemeat", "media/textures/Item_HCGoosemeat.png", nil, nil, nil}
		NecroList.Items.HC1943 = {"Mods", nil, nil, "HC - GPS", "Hydrocraft.HCGPS", "media/textures/Item_HCGPS.png", nil, nil, nil}
		NecroList.Items.HC1944 = {"Mods", nil, nil, "HC - Grains of Paradise", "Hydrocraft.HCGrainsofparadise", "media/textures/Item_HCGrainsofparadise.png", nil, nil, nil}
		NecroList.Items.HC1945 = {"Mods", nil, nil, "HC - Grape Seeds", "Hydrocraft.HCGrapeseeds", "media/textures/Item_HCGrapeseeds.png", nil, nil, nil}
		NecroList.Items.HC1946 = {"Mods", nil, nil, "HC - Grape Seeds Packet", "Hydrocraft.HCGrapeseedspacket", "media/textures/Item_HCGrapeseedspacket.png", nil, nil, nil}
		NecroList.Items.HC1947 = {"Mods", nil, nil, "HC - Green Grapes (Fresh)", "Hydrocraft.HCGrapesgreen", "media/textures/Item_HCGrapesgreen.png", nil, nil, nil}
		NecroList.Items.HC1948 = {"Mods", nil, nil, "HC - Graphite", "Hydrocraft.HCGraphite", "media/textures/Item_HCGraphite.png", nil, nil, nil}
		NecroList.Items.HC1949 = {"Mods", nil, nil, "HC - Graphite Ingot", "Hydrocraft.HCGraphiteingot", "media/textures/Item_HCGraphiteingot.png", nil, nil, nil}
		NecroList.Items.HC1950 = {"Mods", nil, nil, "HC - Graphite Powder", "Hydrocraft.HCGraphitepowder", "media/textures/Item_HCGraphitepowder.png", nil, nil, nil}
		NecroList.Items.HC1951 = {"Mods", nil, nil, "HC - Graphite Rod", "Hydrocraft.HCGraphiterod", "media/textures/Item_HCGraphiterod.png", nil, nil, nil}
		NecroList.Items.HC1952 = {"Mods", nil, nil, "HC - Grass", "Hydrocraft.HCGrass", "media/textures/Item_HCGrass.png", nil, nil, nil}
		NecroList.Items.HC1953 = {"Mods", nil, nil, "HC - Grated Cheddar (Fresh)", "Hydrocraft.HCGratedcheddar", "media/textures/Item_HCGratedcheddar.png", nil, nil, nil}
		NecroList.Items.HC1954 = {"Mods", nil, nil, "HC - Grated Cheese (Fresh)", "Hydrocraft.HCGratedcheese", "media/textures/Item_HCGratedcheese.png", nil, nil, nil}
		NecroList.Items.HC1955 = {"Mods", nil, nil, "HC - Grave", "Hydrocraft.HCGrave", "media/textures/Item_HCGrave.png", nil, nil, nil}
		NecroList.Items.HC1956 = {"Mods", nil, nil, "HC - Grayling (Fresh Uncooked)", "Hydrocraft.HCGrayling", "media/textures/Item_HCGrayling.png", nil, nil, nil}
		NecroList.Items.HC1957 = {"Mods", nil, nil, "HC - Great Dane (Female)", "Hydrocraft.HCGreatdanefemale", "media/textures/Item_HCGreatdanefemale.png", nil, nil, nil}
		NecroList.Items.HC1958 = {"Mods", nil, nil, "HC - Pack Great Dane (Female)", "Hydrocraft.HCGreatdanefemalepack", "media/textures/Item_HCGreatdanefemalepack.png", nil, nil, nil}
		NecroList.Items.HC1959 = {"Mods", nil, nil, "HC - Pack Great Dane (Female)", "Hydrocraft.HCGreatdanefemalepack2", "media/textures/Item_HCGreatdanefemalepack2.png", nil, nil, nil}
		NecroList.Items.HC1960 = {"Mods", nil, nil, "HC - Great Dane (Male)", "Hydrocraft.HCGreatdanemale", "media/textures/Item_HCGreatdanemale.png", nil, nil, nil}
		NecroList.Items.HC1961 = {"Mods", nil, nil, "HC - Pack Great Dane (Male)", "Hydrocraft.HCGreatdanemalepack", "media/textures/Item_HCGreatdanemalepack.png", nil, nil, nil}
		NecroList.Items.HC1962 = {"Mods", nil, nil, "HC - Pack Great Dane (Male)", "Hydrocraft.HCGreatdanemalepack2", "media/textures/Item_HCGreatdanemalepack2.png", nil, nil, nil}
		NecroList.Items.HC1963 = {"Mods", nil, nil, "HC - Copper Great Sword", "Hydrocraft.HCGreatswordcopper", "media/textures/Item_HCGreatswordcopper.png", nil, nil, nil}
		NecroList.Items.HC1964 = {"Mods", nil, nil, "HC - Green Pigment", "Hydrocraft.HCGreenpigment", "media/textures/Item_HCGreenpigment.png", nil, nil, nil}
		NecroList.Items.HC1965 = {"Mods", nil, nil, "HC - Grenade", "Hydrocraft.HCGrenade", "media/textures/Item_HCGrenade.png", nil, nil, nil}
		NecroList.Items.HC1966 = {"Mods", nil, nil, "HC - Grey Brick", "Hydrocraft.HCGreybrick", "media/textures/Item_HCGreybrick.png", nil, nil, nil}
		NecroList.Items.HC1967 = {"Mods", nil, nil, "HC - Pallet of Grey Bricks", "Hydrocraft.HCGreybrickbox", "media/textures/Item_HCGreybrickbox.png", nil, nil, nil}
		NecroList.Items.HC1968 = {"Mods", nil, nil, "HC - Grey Clay", "Hydrocraft.HCGreyclay", "media/textures/Item_HCGreyclay.png", nil, nil, nil}
		NecroList.Items.HC1969 = {"Mods", nil, nil, "HC - Bag of Grey Clay", "Hydrocraft.HCGreyclaybag", "media/textures/Item_HCGreyclaybag.png", nil, nil, nil}
		NecroList.Items.HC1970 = {"Mods", nil, nil, "HC - Grilled Eggplant (Fresh Uncooked)", "Hydrocraft.HCGrilledeggplant", "media/textures/Item_HCGrilledeggplant.png", nil, nil, nil}
		NecroList.Items.HC1971 = {"Mods", nil, nil, "HC - Grinder Head", "Hydrocraft.HCGrinderhead", "media/textures/Item_HCGrinderhead.png", nil, nil, nil}
		NecroList.Items.HC1972 = {"Mods", nil, nil, "HC - Grindstone", "Hydrocraft.HCGrindstone", "media/textures/Item_HCGrindstone.png", nil, nil, nil}
		NecroList.Items.HC1973 = {"Mods", nil, nil, "HC - Grindstone", "Hydrocraft.HCGrindstone2", "media/textures/Item_HCGrindstone.png", nil, nil, nil}
		NecroList.Items.HC1974 = {"Mods", nil, nil, "HC - Bowl of Grits (Fresh)", "Hydrocraft.HCGritsbowl", "media/textures/Item_HCGritsbowl.png", nil, nil, nil}
		NecroList.Items.HC1975 = {"Mods", nil, nil, "HC - Bowl of Cheesy Grits (Fresh)", "Hydrocraft.HCGritscheesybowl", "media/textures/Item_HCGritscheesybowl.png", nil, nil, nil}
		NecroList.Items.HC1976 = {"Mods", nil, nil, "HC - Pot of Cheesy Grits (Fresh Uncooked)", "Hydrocraft.HCGritscheesypot", "Item_PotFull", nil, nil, nil}
		NecroList.Items.HC1977 = {"Mods", nil, nil, "HC - Cooked Pot of Cheesy Grits (Fresh)", "Hydrocraft.HCGritscheesypotcooked", "Item_PotFull", nil, nil, nil}
		NecroList.Items.HC1978 = {"Mods", nil, nil, "HC - Pot of Grits (Fresh Uncooked)", "Hydrocraft.HCGritspot", "Item_PotFull", nil, nil, nil}
		NecroList.Items.HC1979 = {"Mods", nil, nil, "HC - Cooked Pot of Grits (Fresh)", "Hydrocraft.HCGritspotcooked", "Item_PotFull", nil, nil, nil}
		NecroList.Items.HC1980 = {"Mods", nil, nil, "HC - Grooming Brush", "Hydrocraft.HCGroomingbrush", "media/textures/Item_HCGroomingbrush.png", nil, nil, nil}
		NecroList.Items.HC1981 = {"Mods", nil, nil, "HC - Ground Epazote", "Hydrocraft.HCGroundepazote", "media/textures/Item_HCGroundepazote.png", nil, nil, nil}
		NecroList.Items.HC1982 = {"Mods", nil, nil, "HC - Ground Fennel", "Hydrocraft.HCGroundfennel", "media/textures/Item_HCGroundfennel.png", nil, nil, nil}
		NecroList.Items.HC1983 = {"Mods", nil, nil, "HC - Ground Ginger", "Hydrocraft.HCGroundginger", "media/textures/Item_HCGroundginger.png", nil, nil, nil}
		NecroList.Items.HC1984 = {"Mods", nil, nil, "HC - Dead Groundhog (Fresh)", "Hydrocraft.HCGroundhogdead", "media/textures/Item_HCGroundhogdead.png", nil, nil, nil}
		NecroList.Items.HC1985 = {"Mods", nil, nil, "HC - Groundhog (Female)", "Hydrocraft.HCGroundhogfemale", "media/textures/Item_HCGroundhogfemale.png", nil, nil, nil}
		NecroList.Items.HC1986 = {"Mods", nil, nil, "HC - Groundhog (Male)", "Hydrocraft.HCGroundhogmale", "media/textures/Item_HCGroundhogmale.png", nil, nil, nil}
		NecroList.Items.HC1987 = {"Mods", nil, nil, "HC - Ground Juniper", "Hydrocraft.HCGroundjuniper", "media/textures/Item_HCGroundjuniper.png", nil, nil, nil}
		NecroList.Items.HC1988 = {"Mods", nil, nil, "HC - Dead Grouse (Fresh)", "Hydrocraft.HCGrousedead", "media/textures/Item_HCGrousedead.png", nil, nil, nil}
		NecroList.Items.HC1989 = {"Mods", nil, nil, "HC - Grouse (Female)", "Hydrocraft.HCGrousefemale", "media/textures/Item_HCGrousefemale.png", nil, nil, nil}
		NecroList.Items.HC1990 = {"Mods", nil, nil, "HC - Grouse (Male)", "Hydrocraft.HCGrousemale", "media/textures/Item_HCGrousemale.png", nil, nil, nil}
		NecroList.Items.HC1991 = {"Mods", nil, nil, "HC - Bowl of Gruel (Fresh)", "Hydrocraft.HCGruelbowl", "Item_BowlFull", nil, nil, nil}
		NecroList.Items.HC1992 = {"Mods", nil, nil, "HC - Bowl of Sweetened Gruel (Fresh)", "Hydrocraft.HCGruelbowlsweet", "Item_BowlFull", nil, nil, nil}
		NecroList.Items.HC1993 = {"Mods", nil, nil, "HC - Bowl of Guacamole (Fresh)", "Hydrocraft.HCGuacamolebowl", "media/textures/Item_HCGuacamolebowl.png", nil, nil, nil}
		NecroList.Items.HC1994 = {"Mods", nil, nil, "HC - Jar of Guacamole (Fresh)", "Hydrocraft.HCGuacamolejar", "media/textures/Item_HCGuacamolejar.png", nil, nil, nil}
		NecroList.Items.HC1995 = {"Mods", nil, nil, "HC - Guitar", "Hydrocraft.HCGuitar", "media/textures/Item_HCGuitar.png", nil, nil, nil}
		NecroList.Items.HC1996 = {"Mods", nil, nil, "HC - Guitar Case", "Hydrocraft.HCGuitarcase", "media/textures/Item_HCGuitarcase.png", nil, nil, nil}
		NecroList.Items.HC1997 = {"Mods", nil, nil, "HC - Guitar Pick", "Hydrocraft.HCGuitarpick", "media/textures/Item_HCGuitarpick.png", nil, nil, nil}
		NecroList.Items.HC1998 = {"Mods", nil, nil, "HC - Pack of Chewing Gum", "Hydrocraft.HCGum", "media/textures/Item_HCGum.png", nil, nil, nil}
		NecroList.Items.HC1999 = {"Mods", nil, nil, "HC - Pack of Chewing Gum", "Hydrocraft.HCGum2", "media/textures/Item_HCGum2.png", nil, nil, nil}
		NecroList.Items.HC2000 = {"Mods", nil, nil, "HC - Empty Pack of Chewing Gum", "Hydrocraft.HCGum2trash", "media/textures/Item_HCGum2trash.png", nil, nil, nil}
		NecroList.Items.HC2001 = {"Mods", nil, nil, "HC - Pack of Chewing Gum", "Hydrocraft.HCGum3", "media/textures/Item_HCGum3.png", nil, nil, nil}
		NecroList.Items.HC2002 = {"Mods", nil, nil, "HC - Empty Pack of Chewing Gum", "Hydrocraft.HCGum3trash", "media/textures/Item_HCGum3trash.png", nil, nil, nil}
		NecroList.Items.HC2003 = {"Mods", nil, nil, "HC - Gummy Bears", "Hydrocraft.HCGummybears", "media/textures/Item_HCGummybears.png", nil, nil, nil}
		NecroList.Items.HC2004 = {"Mods", nil, nil, "HC - Empty Candy Wrapper", "Hydrocraft.HCGummybearstrash", "media/textures/Item_HCGummybearstrash.png", nil, nil, nil}
		NecroList.Items.HC2005 = {"Mods", nil, nil, "HC - Gummy Worms", "Hydrocraft.HCGummyworms", "media/textures/Item_HCGummyworms.png", nil, nil, nil}
		NecroList.Items.HC2006 = {"Mods", nil, nil, "HC - Empty Candy Wrapper", "Hydrocraft.HCGummywormstrash", "media/textures/Item_HCGummywormstrash.png", nil, nil, nil}
		NecroList.Items.HC2007 = {"Mods", nil, nil, "HC - Stick of Chewing Gum", "Hydrocraft.HCGumstick", "media/textures/Item_HCGumstick.png", nil, nil, nil}
		NecroList.Items.HC2008 = {"Mods", nil, nil, "HC - Stick of Chewing Gum", "Hydrocraft.HCGumstick2", "media/textures/Item_HCGumstick2.png", nil, nil, nil}
		NecroList.Items.HC2009 = {"Mods", nil, nil, "HC - Stick of Chewing Gum", "Hydrocraft.HCGumstick3", "media/textures/Item_HCGumstick3.png", nil, nil, nil}
		NecroList.Items.HC2010 = {"Mods", nil, nil, "HC - Gum Wrapper", "Hydrocraft.HCGumsticktrash", "media/textures/Item_HCGumsticktrash.png", nil, nil, nil}
		NecroList.Items.HC2011 = {"Mods", nil, nil, "HC - Empty Pack of Chewing Gum", "Hydrocraft.HCGumtrash", "media/textures/Item_HCGumtrash.png", nil, nil, nil}
		NecroList.Items.HC2012 = {"Mods", nil, nil, "HC - Gym Towel", "Hydrocraft.HCGymtowel", "media/textures/Item_HCGymtowel.png", nil, nil, nil}
		NecroList.Items.HC2013 = {"Mods", nil, nil, "HC - Gypsum Powder", "Hydrocraft.HCGypsumpowder", "media/textures/Item_HCGypsumpowder.png", nil, nil, nil}
		NecroList.Items.HC2014 = {"Mods", nil, nil, "HC - Hydrogen Peroxide", "Hydrocraft.HCh2o2can", "media/textures/Item_HCh2o2can.png", nil, nil, nil}
		NecroList.Items.HC2015 = {"Mods", nil, nil, "HC - Empty Hydrogen Peroxide Can", "Hydrocraft.HCh2o2canempty", "media/textures/Item_HCh2o2canempty.png", nil, nil, nil}
		NecroList.Items.HC2016 = {"Mods", nil, nil, "HC - Box of Black Hair Color", "Hydrocraft.HCHaircolorblack", "media/textures/Item_HCHaircolorblack.png", nil, nil, nil}
		NecroList.Items.HC2017 = {"Mods", nil, nil, "HC - Box of Blonde Hair Color", "Hydrocraft.HCHaircolorblond", "media/textures/Item_HCHaircolorblond.png", nil, nil, nil}
		NecroList.Items.HC2018 = {"Mods", nil, nil, "HC - Box of Brunette Hair Color", "Hydrocraft.HCHaircolorbrunette", "media/textures/Item_HCHaircolorbrunette.png", nil, nil, nil}
		NecroList.Items.HC2019 = {"Mods", nil, nil, "HC - Box of Pink Hair Color", "Hydrocraft.HCHaircolorpink", "media/textures/Item_HCHaircolorpink.png", nil, nil, nil}
		NecroList.Items.HC2020 = {"Mods", nil, nil, "HC - Box of Red Hair Color", "Hydrocraft.HCHaircolorred", "media/textures/Item_HCHaircolorred.png", nil, nil, nil}
		NecroList.Items.HC2021 = {"Mods", nil, nil, "HC - Hair Conditioner", "Hydrocraft.HCHairconditioner", "media/textures/Item_HCHairconditioner.png", nil, nil, nil}
		NecroList.Items.HC2022 = {"Mods", nil, nil, "HC - Hairdryer", "Hydrocraft.HCHairdryer", "media/textures/Item_HCHairdryer.png", nil, nil, nil}
		NecroList.Items.HC2023 = {"Mods", nil, nil, "HC - Hairgel", "Hydrocraft.HCHairgel", "media/textures/Item_HCHairgel.png", nil, nil, nil}
		NecroList.Items.HC2024 = {"Mods", nil, nil, "HC - Bronze Halberd", "Hydrocraft.HCHalberdbronze", "media/textures/Item_HCHalberdbronze.png", nil, nil, nil}
		NecroList.Items.HC2025 = {"Mods", nil, nil, "HC - Copper Halberd", "Hydrocraft.HCHalberdcopper", "media/textures/Item_HCHalberdcopper.png", nil, nil, nil}
		NecroList.Items.HC2026 = {"Mods", nil, nil, "HC - Iron Halberd", "Hydrocraft.HCHalberdiron", "media/textures/Item_HCHalberdiron.png", nil, nil, nil}
		NecroList.Items.HC2027 = {"Mods", nil, nil, "HC - Steel Halberd", "Hydrocraft.HCHalberdsteel", "media/textures/Item_HCHalberdsteel.png", nil, nil, nil}
		NecroList.Items.HC2028 = {"Mods", nil, nil, "HC - Half Dollar", "Hydrocraft.HCHalfdollar", "media/textures/Item_HCHalfdollar.png", nil, nil, nil}
		NecroList.Items.HC2029 = {"Mods", nil, nil, "HC - Dead Hamster (Fresh)", "Hydrocraft.HCHamsterdead", "media/textures/Item_HCHamstermaledead.png", nil, nil, nil}
		NecroList.Items.HC2030 = {"Mods", nil, nil, "HC - Hamster (Female)", "Hydrocraft.HCHamsterfemale", "media/textures/Item_HCHamsterfemale.png", nil, nil, nil}
		NecroList.Items.HC2031 = {"Mods", nil, nil, "HC - Hungry Hamster (Female)", "Hydrocraft.HCHamsterfemalehungry", "media/textures/Item_HCHamsterfemale.png", nil, nil, nil}
		NecroList.Items.HC2032 = {"Mods", nil, nil, "HC - Hamster (Male)", "Hydrocraft.HCHamstermale", "media/textures/Item_HCHamstermale.png", nil, nil, nil}
		NecroList.Items.HC2033 = {"Mods", nil, nil, "HC - Hungry Hamster (Male)", "Hydrocraft.HCHamstermalehungry", "media/textures/Item_HCHamstermale.png", nil, nil, nil}
		NecroList.Items.HC2034 = {"Mods", nil, nil, "HC - Hamster Poop", "Hydrocraft.HCHamsterpoop", "media/textures/Item_HCHamsterpoop.png", nil, nil, nil}
		NecroList.Items.HC2035 = {"Mods", nil, nil, "HC - Hamster Wheel", "Hydrocraft.HCHamsterwheel", "media/textures/Item_HCHamsterwheel.png", nil, nil, nil}
		NecroList.Items.HC2036 = {"Mods", nil, nil, "HC - Handcuffs", "Hydrocraft.HCHandcuffs", "media/textures/Item_HCHandcuffs.png", nil, nil, nil}
		NecroList.Items.HC2037 = {"Mods", nil, nil, "HC - Hand Dolly", "Hydrocraft.HCHanddolly", "media/textures/Item_HCHanddolly.png", nil, nil, nil}
		NecroList.Items.HC2038 = {"Mods", nil, nil, "HC - Hand Mirror", "Hydrocraft.HCHandmirror", "media/textures/Item_HCHandmirror.png", nil, nil, nil}
		NecroList.Items.HC2039 = {"Mods", nil, nil, "HC - Hand Powered Pump", "Hydrocraft.HCHandpump", "media/textures/Item_HCHandpump.png", nil, nil, nil}
		NecroList.Items.HC2040 = {"Mods", nil, nil, "HC - Hand Soap", "Hydrocraft.HCHandsoap", "media/textures/Item_HCHandsoap.png", nil, nil, nil}
		NecroList.Items.HC2041 = {"Mods", nil, nil, "HC - Hand Vacuum", "Hydrocraft.HCHandvac", "media/textures/Item_HCHandvac.png", nil, nil, nil}
		NecroList.Items.HC2042 = {"Mods", nil, nil, "HC - Hard Boiled Egg (Fresh Uncooked)", "Hydrocraft.HCHardboiledegg", "Item_Egg", nil, nil, nil}
		NecroList.Items.HC2043 = {"Mods", nil, nil, "HC - Hard Hat", "Hydrocraft.HCHardhat", "media/textures/Item_HCHardhat.png", nil, nil, nil}
		NecroList.Items.HC2044 = {"Mods", nil, nil, "HC - Harmonica", "Hydrocraft.HCHarmonica", "media/textures/Item_HCHarmonica.png", nil, nil, nil}
		NecroList.Items.HC2045 = {"Mods", nil, nil, "HC - Harp", "Hydrocraft.HCHarp", "media/textures/Item_HCHarp.png", nil, nil, nil}
		NecroList.Items.HC2046 = {"Mods", nil, nil, "HC - Hashbrowns (Fresh Uncooked)", "Hydrocraft.HCHashbrowns", "media/textures/Item_HCHashbrowns.png", nil, nil, nil}
		NecroList.Items.HC2047 = {"Mods", nil, nil, "HC - Beanie Hat", "Hydrocraft.HCHatbeanie", "media/textures/Item_HCHatbeanie.png", nil, nil, nil}
		NecroList.Items.HC2048 = {"Mods", nil, nil, "HC - Captain's Hat", "Hydrocraft.HCHatcaptain", "media/textures/Item_HCHatcaptain.png", nil, nil, nil}
		NecroList.Items.HC2049 = {"Mods", nil, nil, "HC - Bronze Hatchet", "Hydrocraft.HCHatchetbronze", "media/textures/Item_HCHatchetbronze.png", nil, nil, nil}
		NecroList.Items.HC2050 = {"Mods", nil, nil, "HC - Copper Hatchet", "Hydrocraft.HCHatchetcopper", "media/textures/Item_HCHatchetcopper.png", nil, nil, nil}
		NecroList.Items.HC2051 = {"Mods", nil, nil, "HC - Iron Hatchet", "Hydrocraft.HCHatchetiron", "media/textures/Item_HCHatchetiron.png", nil, nil, nil}
		NecroList.Items.HC2052 = {"Mods", nil, nil, "HC - Steel Hatchet", "Hydrocraft.HCHatchetsteel", "media/textures/Item_HCHatchetsteel.png", nil, nil, nil}
		NecroList.Items.HC2053 = {"Mods", nil, nil, "HC - Millitary Hat", "Hydrocraft.HCHatmillitary", "media/textures/Item_HCHatmillitary.png", nil, nil, nil}
		NecroList.Items.HC2054 = {"Mods", nil, nil, "HC - Snow Hat", "Hydrocraft.HCHatsnow", "media/textures/Item_HCHatsnow.png", nil, nil, nil}
		NecroList.Items.HC2055 = {"Mods", nil, nil, "HC - Hawaiian Shirt", "Hydrocraft.HCHawaiianshirt", "media/textures/Item_HCHawaiianshirt.png", nil, nil, nil}
		NecroList.Items.HC2056 = {"Mods", nil, nil, "HC - Tray With Dry Hawthorn Fruit", "Hydrocraft.HCHawthornfruitdry", "media/textures/Item_HCHawthornfruittray.png", nil, nil, nil}
		NecroList.Items.HC2057 = {"Mods", nil, nil, "HC - Tray with Hawthorn Fruit", "Hydrocraft.HCHawthornfruittray", "media/textures/Item_HCHawthornfruittray.png", nil, nil, nil}
		NecroList.Items.HC2058 = {"Mods", nil, nil, "HC - Haystack", "Hydrocraft.HCHaystack", "media/textures/Item_HCHaystack.png", nil, nil, nil}
		NecroList.Items.HC2059 = {"Mods", nil, nil, "HC - Archery Target", "Hydrocraft.HCHaytarget", "media/textures/Item_HCHaytarget.png", nil, nil, nil}
		NecroList.Items.HC2060 = {"Mods", nil, nil, "HC - Hazmat Suit", "Hydrocraft.HCHazmat", "media/textures/Item_HCHazmat.png", nil, nil, nil}
		NecroList.Items.HC2061 = {"Mods", nil, nil, "HC - Hydrogen Chloride Tank", "Hydrocraft.HCHclgastank", "media/textures/Item_HCHclgastank.png", nil, nil, nil}
		NecroList.Items.HC2062 = {"Mods", nil, nil, "HC - Empty Hydrogen Chloride Tank", "Hydrocraft.HCHclgastankempty", "media/textures/Item_HCHclgastank.png", nil, nil, nil}
		NecroList.Items.HC2063 = {"Mods", nil, nil, "HC - Head Mirror", "Hydrocraft.HCHeadmirror", "media/textures/Item_HCHeadmirror.png", nil, nil, nil}
		NecroList.Items.HC2064 = {"Mods", nil, nil, "HC - Hearing Aid", "Hydrocraft.HCHearingaid", "media/textures/Item_HCHearingaid.png", nil, nil, nil}
		NecroList.Items.HC2065 = {"Mods", nil, nil, "HC - Heat Element", "Hydrocraft.HCHeatelement", "media/textures/Item_HCHeatelement.png", nil, nil, nil}
		NecroList.Items.HC2066 = {"Mods", nil, nil, "HC - Hedge Cutter", "Hydrocraft.HCHedgecutter", "media/textures/Item_HCHedgecutter.png", nil, nil, nil}
		NecroList.Items.HC2067 = {"Mods", nil, nil, "HC - Hedge Cutter Blade", "Hydrocraft.HCHedgecutterblade", "media/textures/Item_HCHedgecutterblade.png", nil, nil, nil}
		NecroList.Items.HC2068 = {"Mods", nil, nil, "HC - Hedge Trimmer", "Hydrocraft.HCHedgetrimmer", "media/textures/Item_HCHedgetrimmer.png", nil, nil, nil}
		NecroList.Items.HC2069 = {"Mods", nil, nil, "HC - Hedge Trimmer Blade", "Hydrocraft.HCHedgetrimmerblade", "media/textures/Item_HCHedgetrimmerblade.png", nil, nil, nil}
		NecroList.Items.HC2070 = {"Mods", nil, nil, "HC - Heeler (Female)", "Hydrocraft.HCHeelerfemale", "media/textures/Item_HCHeelerfemale.png", nil, nil, nil}
		NecroList.Items.HC2071 = {"Mods", nil, nil, "HC - Heeler (Male)", "Hydrocraft.HCHeelermale", "media/textures/Item_HCHeelermale.png", nil, nil, nil}
		NecroList.Items.HC2072 = {"Mods", nil, nil, "HC - Helicopter", "Hydrocraft.HCHelicopterL", "media/textures/Item_HCHelicopterL.png", nil, nil, nil}
		NecroList.Items.HC2073 = {"Mods", nil, nil, "HC - Helicopter", "Hydrocraft.HCHelicopterR", "media/textures/Item_HCHelicopterR.png", nil, nil, nil}
		NecroList.Items.HC2074 = {"Mods", nil, nil, "HC - Helium Tank", "Hydrocraft.HCHeliumtank", "media/textures/Item_HCHeliumtank.png", nil, nil, nil}
		NecroList.Items.HC2075 = {"Mods", nil, nil, "HC - Empty Helium Tank", "Hydrocraft.HCHeliumtankempty", "media/textures/Item_HCHeliumtank.png", nil, nil, nil}
		NecroList.Items.HC2076 = {"Mods", nil, nil, "HC - Bike Helmet", "Hydrocraft.HCHelmbike", "media/textures/Item_HCHelmbike.png", nil, nil, nil}
		NecroList.Items.HC2077 = {"Mods", nil, nil, "HC - Bronze Helmet", "Hydrocraft.HCHelmbronze", "media/textures/Item_HCHelmbronze.png", nil, nil, nil}
		NecroList.Items.HC2078 = {"Mods", nil, nil, "HC - Bucket Helmet", "Hydrocraft.HCHelmbucket", "media/textures/Item_HCHelmbucket.png", nil, nil, nil}
		NecroList.Items.HC2079 = {"Mods", nil, nil, "HC - Cooking Pot Helmet", "Hydrocraft.HCHelmcookingpot", "media/textures/Item_HCHelmcookingpot.png", nil, nil, nil}
		NecroList.Items.HC2080 = {"Mods", nil, nil, "HC - Copper Helmet", "Hydrocraft.HCHelmcopper", "media/textures/Item_HCHelmcopper.png", nil, nil, nil}
		NecroList.Items.HC2081 = {"Mods", nil, nil, "HC - Football Helmet", "Hydrocraft.HCHelmfootball", "media/textures/Item_HCHelmfootball.png", nil, nil, nil}
		NecroList.Items.HC2082 = {"Mods", nil, nil, "HC - Iron Helmet", "Hydrocraft.HCHelmiron", "media/textures/Item_HCHelmiron.png", nil, nil, nil}
		NecroList.Items.HC2083 = {"Mods", nil, nil, "HC - Kevlar Helmet", "Hydrocraft.HCHelmkevlar", "media/textures/Item_HCHelmkevlar.png", nil, nil, nil}
		NecroList.Items.HC2084 = {"Mods", nil, nil, "HC - Motorcycle Helmet", "Hydrocraft.HCHelmmotorcycle", "media/textures/Item_HCHelmmotorcycle.png", nil, nil, nil}
		NecroList.Items.HC2085 = {"Mods", nil, nil, "HC - Riot Helmet", "Hydrocraft.HCHelmriot", "media/textures/Item_HCHelmriot.png", nil, nil, nil}
		NecroList.Items.HC2086 = {"Mods", nil, nil, "HC - Samurai Helmet", "Hydrocraft.HCHelmsamurai", "media/textures/Item_HCHelmsamurai.png", nil, nil, nil}
		NecroList.Items.HC2087 = {"Mods", nil, nil, "HC - Steel Helmet", "Hydrocraft.HCHelmsteel", "media/textures/Item_HCHelmsteel.png", nil, nil, nil}
		NecroList.Items.HC2088 = {"Mods", nil, nil, "HC - SWAT Helmet", "Hydrocraft.HCHelmswat", "media/textures/Item_HCHelmswat.png", nil, nil, nil}
		NecroList.Items.HC2089 = {"Mods", nil, nil, "HC - Cured Hemp Bud", "Hydrocraft.HCHempbudcured", "media/textures/Item_HCHempbudcured.png", nil, nil, nil}
		NecroList.Items.HC2090 = {"Mods", nil, nil, "HC - Fresh Hemp Bud", "Hydrocraft.HCHempbudfresh", "media/textures/Item_HCHempbudfresh.png", nil, nil, nil}
		NecroList.Items.HC2091 = {"Mods", nil, nil, "HC - Hempcrete Block", "Hydrocraft.HCHempcreteblock", "media/textures/Item_HCHempcreteblock.png", nil, nil, nil}
		NecroList.Items.HC2092 = {"Mods", nil, nil, "HC - Hemp Seeds", "Hydrocraft.HCHempseeds", "media/textures/Item_HCHempseeds.png", nil, nil, nil}
		NecroList.Items.HC2093 = {"Mods", nil, nil, "HC - Hemp Seeds Packet", "Hydrocraft.HCHempseedspacket", "media/textures/Item_HCHempseedspacket.png", nil, nil, nil}
		NecroList.Items.HC2094 = {"Mods", nil, nil, "HC - Italian Herbs", "Hydrocraft.HCHerbs", "media/textures/Item_HCHerbs.png", nil, nil, nil}
		NecroList.Items.HC2095 = {"Mods", nil, nil, "HC - Herbalist Table", "Hydrocraft.HCHerbtable", "media/textures/Item_HCHerbtable.png", nil, nil, nil}
		NecroList.Items.HC2096 = {"Mods", nil, nil, "HC - Herbalist Table", "Hydrocraft.HCHerbtable2", "media/textures/Item_HCHerbtable.png", nil, nil, nil}
		NecroList.Items.HC2097 = {"Mods", nil, nil, "HC - Herring (Fresh Uncooked)", "Hydrocraft.HCHerring", "media/textures/Item_HCHerring.png", nil, nil, nil}
		NecroList.Items.HC2098 = {"Mods", nil, nil, "HC - Hexamethylentetramin Powder", "Hydrocraft.HCHexapowder", "media/textures/Item_HCHexapowder.png", nil, nil, nil}
		NecroList.Items.HC2099 = {"Mods", nil, nil, "HC - Hickory Leaves", "Hydrocraft.HCHickoryleaves", "media/textures/Item_HCHickoryleaves.png", nil, nil, nil}
		NecroList.Items.HC2100 = {"Mods", nil, nil, "HC - Hickory Nuts", "Hydrocraft.HCHickorynuts", "media/textures/Item_HCHickorynuts.png", nil, nil, nil}
		NecroList.Items.HC2101 = {"Mods", nil, nil, "HC - Peeled Hickory Nuts (Fresh Uncooked)", "Hydrocraft.HCHickorynuts2", "media/textures/Item_HCHickorynuts2.png", nil, nil, nil}
		NecroList.Items.HC2102 = {"Mods", nil, nil, "HC - Hickory Smoke Spice", "Hydrocraft.HCHickorysmoke", "media/textures/Item_HCHickorysmoke.png", nil, nil, nil}
		NecroList.Items.HC2103 = {"Mods", nil, nil, "HC - Dried Armadillo Hide", "Hydrocraft.HCHidedriedarmadillo", "media/textures/Item_HCHidedriedarmadillo.png", nil, nil, nil}
		NecroList.Items.HC2104 = {"Mods", nil, nil, "HC - Dried Grizzly Bear Hide", "Hydrocraft.HCHidedriedbear", "media/textures/Item_HCHidedriedbear.png", nil, nil, nil}
		NecroList.Items.HC2105 = {"Mods", nil, nil, "HC - Dried Black Bear Hide", "Hydrocraft.HCHidedriedbearblack", "media/textures/Item_HCHidedriedbearblack.png", nil, nil, nil}
		NecroList.Items.HC2106 = {"Mods", nil, nil, "HC - Dried Beaver Hide", "Hydrocraft.HCHidedriedbeaver", "media/textures/Item_HCHidedriedbeaver.png", nil, nil, nil}
		NecroList.Items.HC2107 = {"Mods", nil, nil, "HC - Dried Boar Hide", "Hydrocraft.HCHidedriedboar", "media/textures/Item_HCHidedriedboar.png", nil, nil, nil}
		NecroList.Items.HC2108 = {"Mods", nil, nil, "HC - Dried Bull Hide", "Hydrocraft.HCHidedriedbull", "media/textures/Item_HCHidedriedbull.png", nil, nil, nil}
		NecroList.Items.HC2109 = {"Mods", nil, nil, "HC - Dried Cow Hide", "Hydrocraft.HCHidedriedcow", "media/textures/Item_HCHidedriedcow.png", nil, nil, nil}
		NecroList.Items.HC2110 = {"Mods", nil, nil, "HC - Dried Deer Hide", "Hydrocraft.HCHidedrieddeer", "media/textures/Item_HCHidedrieddeer.png", nil, nil, nil}
		NecroList.Items.HC2111 = {"Mods", nil, nil, "HC - Dried Donkey Hide", "Hydrocraft.HCHidedrieddonkey", "media/textures/Item_HCHidedrieddonkey.png", nil, nil, nil}
		NecroList.Items.HC2112 = {"Mods", nil, nil, "HC - Dried Fox Hide", "Hydrocraft.HCHidedriedfox", "media/textures/Item_HCHidedriedfox.png", nil, nil, nil}
		NecroList.Items.HC2113 = {"Mods", nil, nil, "HC - Dried Goat Hide", "Hydrocraft.HCHidedriedgoat", "media/textures/Item_HCHidedriedgoat.png", nil, nil, nil}
		NecroList.Items.HC2114 = {"Mods", nil, nil, "HC - Dried Groundhog Hide", "Hydrocraft.HCHidedriedgroundhog", "media/textures/Item_HCHidedriedgroundhog.png", nil, nil, nil}
		NecroList.Items.HC2115 = {"Mods", nil, nil, "HC - Dried Horse Hide", "Hydrocraft.HCHidedriedhorse", "media/textures/Item_HCHidedriedhorse.png", nil, nil, nil}
		NecroList.Items.HC2116 = {"Mods", nil, nil, "HC - Dried Muskrat Hide", "Hydrocraft.HCHidedriedmuskrat", "media/textures/Item_HCHidedriedmuskrat.png", nil, nil, nil}
		NecroList.Items.HC2117 = {"Mods", nil, nil, "HC - Dried Nutria Hide", "Hydrocraft.HCHidedriednutria", "media/textures/Item_HCHidedriednutria.png", nil, nil, nil}
		NecroList.Items.HC2118 = {"Mods", nil, nil, "HC - Dried Opossum Hide", "Hydrocraft.HCHidedriedopossum", "media/textures/Item_HCHidedriedopossum.png", nil, nil, nil}
		NecroList.Items.HC2119 = {"Mods", nil, nil, "HC - Dried Pig Hide", "Hydrocraft.HCHidedriedpig", "media/textures/Item_HCHidedriedpig.png", nil, nil, nil}
		NecroList.Items.HC2120 = {"Mods", nil, nil, "HC - Dried Rabbit Hide", "Hydrocraft.HCHidedriedrabbit", "media/textures/Item_HCHidedriedrabbit.png", nil, nil, nil}
		NecroList.Items.HC2121 = {"Mods", nil, nil, "HC - Dried Raccoon Hide", "Hydrocraft.HCHidedriedraccoon", "media/textures/Item_HCHidedriedraccoon.png", nil, nil, nil}
		NecroList.Items.HC2122 = {"Mods", nil, nil, "HC - Dried Sheep Hide", "Hydrocraft.HCHidedriedsheep", "media/textures/Item_HCHidedriedsheep.png", nil, nil, nil}
		NecroList.Items.HC2123 = {"Mods", nil, nil, "HC - Dried Skunk Hide", "Hydrocraft.HCHidedriedskunk", "media/textures/Item_HCHidedriedskunk.png", nil, nil, nil}
		NecroList.Items.HC2124 = {"Mods", nil, nil, "HC - Dried Squirrel Hide", "Hydrocraft.HCHidedriedsquirrel", "media/textures/Item_HCHidedriedsquirrel.png", nil, nil, nil}
		NecroList.Items.HC2125 = {"Mods", nil, nil, "HC - Limed Armadillo Hide", "Hydrocraft.HCHidelimedarmadillo", "media/textures/Item_HCHidelimedarmadillo.png", nil, nil, nil}
		NecroList.Items.HC2126 = {"Mods", nil, nil, "HC - Limed Grizzly Bear Hide", "Hydrocraft.HCHidelimedbear", "media/textures/Item_HCHidelimedbear.png", nil, nil, nil}
		NecroList.Items.HC2127 = {"Mods", nil, nil, "HC - Limed Black Bear Hide", "Hydrocraft.HCHidelimedbearblack", "media/textures/Item_HCHidelimedbearblack.png", nil, nil, nil}
		NecroList.Items.HC2128 = {"Mods", nil, nil, "HC - Limed Beaver Hide", "Hydrocraft.HCHidelimedbeaver", "media/textures/Item_HCHidelimedbeaver.png", nil, nil, nil}
		NecroList.Items.HC2129 = {"Mods", nil, nil, "HC - Limed Boar Hide", "Hydrocraft.HCHidelimedboar", "media/textures/Item_HCHidelimedboar.png", nil, nil, nil}
		NecroList.Items.HC2130 = {"Mods", nil, nil, "HC - Limed Bull Hide", "Hydrocraft.HCHidelimedbull", "media/textures/Item_HCHidelimedbull.png", nil, nil, nil}
		NecroList.Items.HC2131 = {"Mods", nil, nil, "HC - Limed Cow Hide", "Hydrocraft.HCHidelimedcow", "media/textures/Item_HCHidelimedcow.png", nil, nil, nil}
		NecroList.Items.HC2132 = {"Mods", nil, nil, "HC - Limed Deer Hide", "Hydrocraft.HCHidelimeddeer", "media/textures/Item_HCHidelimeddeer.png", nil, nil, nil}
		NecroList.Items.HC2133 = {"Mods", nil, nil, "HC - Limed Donkey Hide", "Hydrocraft.HCHidelimeddonkey", "media/textures/Item_HCHidelimeddonkey.png", nil, nil, nil}
		NecroList.Items.HC2134 = {"Mods", nil, nil, "HC - Limed Fox Hide", "Hydrocraft.HCHidelimedfox", "media/textures/Item_HCHidelimedfox.png", nil, nil, nil}
		NecroList.Items.HC2135 = {"Mods", nil, nil, "HC - Limed Goat Hide", "Hydrocraft.HCHidelimedgoat", "media/textures/Item_HCHidelimedgoat.png", nil, nil, nil}
		NecroList.Items.HC2136 = {"Mods", nil, nil, "HC - Limed Groundhog Hide", "Hydrocraft.HCHidelimedgroundhog", "media/textures/Item_HCHidelimedgroundhog.png", nil, nil, nil}
		NecroList.Items.HC2137 = {"Mods", nil, nil, "HC - Limed Horse Hide", "Hydrocraft.HCHidelimedhorse", "media/textures/Item_HCHidelimedhorse.png", nil, nil, nil}
		NecroList.Items.HC2138 = {"Mods", nil, nil, "HC - Limed Muskrat Hide", "Hydrocraft.HCHidelimedmuskrat", "media/textures/Item_HCHidelimedmuskrat.png", nil, nil, nil}
		NecroList.Items.HC2139 = {"Mods", nil, nil, "HC - Limed Nutria Hide", "Hydrocraft.HCHidelimednutria", "media/textures/Item_HCHidelimednutria.png", nil, nil, nil}
		NecroList.Items.HC2140 = {"Mods", nil, nil, "HC - Limed Opossum Hide", "Hydrocraft.HCHidelimedopossum", "media/textures/Item_HCHidelimedopossum.png", nil, nil, nil}
		NecroList.Items.HC2141 = {"Mods", nil, nil, "HC - Limed Pig Hide", "Hydrocraft.HCHidelimedpig", "media/textures/Item_HCHidelimedpig.png", nil, nil, nil}
		NecroList.Items.HC2142 = {"Mods", nil, nil, "HC - Limed Rabbit Hide", "Hydrocraft.HCHidelimedrabbit", "media/textures/Item_HCHidelimedrabbit.png", nil, nil, nil}
		NecroList.Items.HC2143 = {"Mods", nil, nil, "HC - Limed Raccoon Hide", "Hydrocraft.HCHidelimedraccoon", "media/textures/Item_HCHidelimedraccoon.png", nil, nil, nil}
		NecroList.Items.HC2144 = {"Mods", nil, nil, "HC - Limed Sheep Hide", "Hydrocraft.HCHidelimedsheep", "media/textures/Item_HCHidelimedsheep.png", nil, nil, nil}
		NecroList.Items.HC2145 = {"Mods", nil, nil, "HC - Limed Skunk Hide", "Hydrocraft.HCHidelimedskunk", "media/textures/Item_HCHidelimedskunk.png", nil, nil, nil}
		NecroList.Items.HC2146 = {"Mods", nil, nil, "HC - Limed Squirrel Hide", "Hydrocraft.HCHidelimedsquirrel", "media/textures/Item_HCHidelimedsquirrel.png", nil, nil, nil}
		NecroList.Items.HC2147 = {"Mods", nil, nil, "HC - Raw Armadillo Hide", "Hydrocraft.HCHiderawarmadillo", "media/textures/Item_HCHiderawarmadillo.png", nil, nil, nil}
		NecroList.Items.HC2148 = {"Mods", nil, nil, "HC - Raw Grizzly Bear Hide", "Hydrocraft.HCHiderawbear", "media/textures/Item_HCHiderawbear.png", nil, nil, nil}
		NecroList.Items.HC2149 = {"Mods", nil, nil, "HC - Raw Black Bear Hide", "Hydrocraft.HCHiderawbearblack", "media/textures/Item_HCHiderawbearblack.png", nil, nil, nil}
		NecroList.Items.HC2150 = {"Mods", nil, nil, "HC - Raw Beaver Hide", "Hydrocraft.HCHiderawbeaver", "media/textures/Item_HCHiderawbeaver.png", nil, nil, nil}
		NecroList.Items.HC2151 = {"Mods", nil, nil, "HC - Raw Boar Hide", "Hydrocraft.HCHiderawboar", "media/textures/Item_HCHiderawboar.png", nil, nil, nil}
		NecroList.Items.HC2152 = {"Mods", nil, nil, "HC - Raw Bull Hide", "Hydrocraft.HCHiderawbull", "media/textures/Item_HCHiderawbull.png", nil, nil, nil}
		NecroList.Items.HC2153 = {"Mods", nil, nil, "HC - Raw Cow Hide", "Hydrocraft.HCHiderawcow", "media/textures/Item_HCHiderawcow.png", nil, nil, nil}
		NecroList.Items.HC2154 = {"Mods", nil, nil, "HC - Raw Deer Hide", "Hydrocraft.HCHiderawdeer", "media/textures/Item_HCHiderawdeer.png", nil, nil, nil}
		NecroList.Items.HC2155 = {"Mods", nil, nil, "HC - Raw Donkey Hide", "Hydrocraft.HCHiderawdonkey", "media/textures/Item_HCHiderawdonkey.png", nil, nil, nil}
		NecroList.Items.HC2156 = {"Mods", nil, nil, "HC - Raw Fox Hide", "Hydrocraft.HCHiderawfox", "media/textures/Item_HCHiderawfox.png", nil, nil, nil}
		NecroList.Items.HC2157 = {"Mods", nil, nil, "HC - Raw Goat Hide", "Hydrocraft.HCHiderawgoat", "media/textures/Item_HCHiderawgoat.png", nil, nil, nil}
		NecroList.Items.HC2158 = {"Mods", nil, nil, "HC - Raw Groundhog Hide", "Hydrocraft.HCHiderawgroundhog", "media/textures/Item_HCHiderawgroundhog.png", nil, nil, nil}
		NecroList.Items.HC2159 = {"Mods", nil, nil, "HC - Raw Horse Hide", "Hydrocraft.HCHiderawhorse", "media/textures/Item_HCHiderawhorse.png", nil, nil, nil}
		NecroList.Items.HC2160 = {"Mods", nil, nil, "HC - Raw Muskrat Hide", "Hydrocraft.HCHiderawmuskrat", "media/textures/Item_HCHiderawmuskrat.png", nil, nil, nil}
		NecroList.Items.HC2161 = {"Mods", nil, nil, "HC - Raw Nutria Hide", "Hydrocraft.HCHiderawnutria", "media/textures/Item_HCHiderawnutria.png", nil, nil, nil}
		NecroList.Items.HC2162 = {"Mods", nil, nil, "HC - Raw Opossum Hide", "Hydrocraft.HCHiderawopossum", "media/textures/Item_HCHiderawopossum.png", nil, nil, nil}
		NecroList.Items.HC2163 = {"Mods", nil, nil, "HC - Raw Pig Hide", "Hydrocraft.HCHiderawpig", "media/textures/Item_HCHiderawpig.png", nil, nil, nil}
		NecroList.Items.HC2164 = {"Mods", nil, nil, "HC - Raw Rabbit Hide", "Hydrocraft.HCHiderawrabbit", "media/textures/Item_HCHiderawrabbit.png", nil, nil, nil}
		NecroList.Items.HC2165 = {"Mods", nil, nil, "HC - Raw Raccoon Hide", "Hydrocraft.HCHiderawraccoon", "media/textures/Item_HCHiderawraccoon.png", nil, nil, nil}
		NecroList.Items.HC2166 = {"Mods", nil, nil, "HC - Raw Sheep Hide", "Hydrocraft.HCHiderawsheep", "media/textures/Item_HCHiderawsheep.png", nil, nil, nil}
		NecroList.Items.HC2167 = {"Mods", nil, nil, "HC - Raw Skunk Hide", "Hydrocraft.HCHiderawskunk", "media/textures/Item_HCHiderawskunk.png", nil, nil, nil}
		NecroList.Items.HC2168 = {"Mods", nil, nil, "HC - Raw Squirrel Hide", "Hydrocraft.HCHiderawsquirrel", "media/textures/Item_HCHiderawsquirrel.png", nil, nil, nil}
		NecroList.Items.HC2169 = {"Mods", nil, nil, "HC - Hide Strap", "Hydrocraft.HCHidestrap", "media/textures/Item_HCHidestrap.png", nil, nil, nil}
		NecroList.Items.HC2170 = {"Mods", nil, nil, "HC - Highlighter", "Hydrocraft.HCHighlighter", "media/textures/Item_HCHighlighter.png", nil, nil, nil}
		NecroList.Items.HC2171 = {"Mods", nil, nil, "HC - Titanium Hinge", "Hydrocraft.HCHingetitanium", "media/textures/Item_HCHingetitanium.png", nil, nil, nil}
		NecroList.Items.HC2172 = {"Mods", nil, nil, "HC - HMTD Crystals", "Hydrocraft.HCHmtdcrystals", "media/textures/Item_HCHmtdcrystals.png", nil, nil, nil}
		NecroList.Items.HC2173 = {"Mods", nil, nil, "HC - Hockey Mask", "Hydrocraft.HCHockeymask", "media/textures/Item_HCHockeymask.png", nil, nil, nil}
		NecroList.Items.HC2174 = {"Mods", nil, nil, "HC - Hockey Puck", "Hydrocraft.HCHokeypuck", "media/textures/Item_HCHokeypuck.png", nil, nil, nil}
		NecroList.Items.HC2175 = {"Mods", nil, nil, "HC - Holly (Fresh)", "Hydrocraft.HCHolly", "media/textures/Item_HCHolly.png", nil, nil, nil}
		NecroList.Items.HC2176 = {"Mods", nil, nil, "HC - Bottle of Homemade Disinfectant", "Hydrocraft.HCHomedisinfectant", "media/textures/Item_HCHomedisinfectant.png", nil, nil, nil}
		NecroList.Items.HC2177 = {"Mods", nil, nil, "HC - Homemade Bat", "Hydrocraft.HCHomemadebat", "media/textures/Item_HCHomemadebat.png", nil, nil, nil}
		NecroList.Items.HC2178 = {"Mods", nil, nil, "HC - Homemade Bat with Barbed Wire", "Hydrocraft.HCHomemadebatbarbedwire", "media/textures/Item_HCHomemadebatbarbedwire.png", nil, nil, nil}
		NecroList.Items.HC2179 = {"Mods", nil, nil, "HC - Crude Bat", "Hydrocraft.HCHomemadebatcrude", "media/textures/Item_HCHomemadebatcrude.png", nil, nil, nil}
		NecroList.Items.HC2180 = {"Mods", nil, nil, "HC - Crude Bat with Barbed Wire", "Hydrocraft.HCHomemadebatcrudebarbedwire", "media/textures/Item_HCHomemadebatcrudebarbedwire.png", nil, nil, nil}
		NecroList.Items.HC2181 = {"Mods", nil, nil, "HC - Crude Bat with Hedge Cutter Blade", "Hydrocraft.HCHomemadebatcrudecutter", "media/textures/Item_HCHomemadebatcrudecutter.png", nil, nil, nil}
		NecroList.Items.HC2182 = {"Mods", nil, nil, "HC - Nailed Crude Bat", "Hydrocraft.HCHomemadebatcrudenails", "media/textures/Item_HCHomemadebatcrudenails.png", nil, nil, nil}
		NecroList.Items.HC2183 = {"Mods", nil, nil, "HC - Crude Bat with Screws", "Hydrocraft.HCHomemadebatcrudescrews", "media/textures/Item_HCHomemadebatcrudescrews.png", nil, nil, nil}
		NecroList.Items.HC2184 = {"Mods", nil, nil, "HC - Crude Bat with Tent Pegs", "Hydrocraft.HCHomemadebatcrudetentpegs", "media/textures/Item_HCHomemadebatcrudetentpegs.png", nil, nil, nil}
		NecroList.Items.HC2185 = {"Mods", nil, nil, "HC - Crude Bat with Hedge Trimmer Blade", "Hydrocraft.HCHomemadebatcrudetrimmer", "media/textures/Item_HCHomemadebatcrudetrimmer.png", nil, nil, nil}
		NecroList.Items.HC2186 = {"Mods", nil, nil, "HC - Crude Bat with Wrench", "Hydrocraft.HCHomemadebatcrudewrench", "media/textures/Item_HCHomemadebatcrudewrench.png", nil, nil, nil}
		NecroList.Items.HC2187 = {"Mods", nil, nil, "HC - Homemade Bat with Hedge Cutter Blade", "Hydrocraft.HCHomemadebatcutter", "media/textures/Item_HCHomemadebatcutter.png", nil, nil, nil}
		NecroList.Items.HC2188 = {"Mods", nil, nil, "HC - Nailed Homemade Bat", "Hydrocraft.HCHomemadebatnails", "media/textures/Item_HCHomemadebatnails.png", nil, nil, nil}
		NecroList.Items.HC2189 = {"Mods", nil, nil, "HC - Homemade Bat with Screws", "Hydrocraft.HCHomemadebatscrews", "media/textures/Item_HCHomemadebatscrews.png", nil, nil, nil}
		NecroList.Items.HC2190 = {"Mods", nil, nil, "HC - Homemade Bat with Tent Pegs", "Hydrocraft.HCHomemadebattentpegs", "media/textures/Item_HCHomemadebattentpegs.png", nil, nil, nil}
		NecroList.Items.HC2191 = {"Mods", nil, nil, "HC - Homemade Bat with Hedge Trimmer Blade", "Hydrocraft.HCHomemadebattrimmer", "media/textures/Item_HCHomemadebattrimmer.png", nil, nil, nil}
		NecroList.Items.HC2192 = {"Mods", nil, nil, "HC - Homemade Bat with Wrench", "Hydrocraft.HCHomemadebatwrench", "media/textures/Item_HCHomemadebatwrench.png", nil, nil, nil}
		NecroList.Items.HC2193 = {"Mods", nil, nil, "HC - Homemade Club", "Hydrocraft.HCHomemadeclub", "media/textures/Item_HCHomemadeclub.png", nil, nil, nil}
		NecroList.Items.HC2194 = {"Mods", nil, nil, "HC - Homemade Club with Barbed Wire", "Hydrocraft.HCHomemadeclubbarbedwire", "media/textures/Item_HCHomemadeclubbarbedwire.png", nil, nil, nil}
		NecroList.Items.HC2195 = {"Mods", nil, nil, "HC - Crude Club", "Hydrocraft.HCHomemadeclubcrude", "media/textures/Item_HCHomemadeclubcrude.png", nil, nil, nil}
		NecroList.Items.HC2196 = {"Mods", nil, nil, "HC - Crude Club with Barbed Wire", "Hydrocraft.HCHomemadeclubcrudebarbedwire", "media/textures/Item_HCHomemadeclubcrudebarbedwire.png", nil, nil, nil}
		NecroList.Items.HC2197 = {"Mods", nil, nil, "HC - Crude Club with Hedge Cutter Blade", "Hydrocraft.HCHomemadeclubcrudecutter", "media/textures/Item_HCHomemadeclubcrudecutter.png", nil, nil, nil}
		NecroList.Items.HC2198 = {"Mods", nil, nil, "HC - Nailed Crude Club", "Hydrocraft.HCHomemadeclubcrudenails", "media/textures/Item_HCHomemadeclubcrudenails.png", nil, nil, nil}
		NecroList.Items.HC2199 = {"Mods", nil, nil, "HC - Crude Club with Screws", "Hydrocraft.HCHomemadeclubcrudescrews", "media/textures/Item_HCHomemadeclubcrudescrews.png", nil, nil, nil}
		NecroList.Items.HC2200 = {"Mods", nil, nil, "HC - Crude Club with Tent Pegs", "Hydrocraft.HCHomemadeclubcrudetentpegs", "media/textures/Item_HCHomemadeclubcrudetentpegs.png", nil, nil, nil}
		NecroList.Items.HC2201 = {"Mods", nil, nil, "HC - Crude Club with Hedge Trimmer Blade", "Hydrocraft.HCHomemadeclubcrudetrimmer", "media/textures/Item_HCHomemadeclubcrudetrimmer.png", nil, nil, nil}
		NecroList.Items.HC2202 = {"Mods", nil, nil, "HC - Crude Club with Wrench", "Hydrocraft.HCHomemadeclubcrudewrench", "media/textures/Item_HCHomemadeclubcrudewrench.png", nil, nil, nil}
		NecroList.Items.HC2203 = {"Mods", nil, nil, "HC - Homemade Club with Hedge Cutter Blade", "Hydrocraft.HCHomemadeclubcutter", "media/textures/Item_HCHomemadeclubcutter.png", nil, nil, nil}
		NecroList.Items.HC2204 = {"Mods", nil, nil, "HC - Nailed Homemade Club", "Hydrocraft.HCHomemadeclubnails", "media/textures/Item_HCHomemadeclubnails.png", nil, nil, nil}
		NecroList.Items.HC2205 = {"Mods", nil, nil, "HC - Homemade Club with Screws", "Hydrocraft.HCHomemadeclubscrews", "media/textures/Item_HCHomemadeclubscrews.png", nil, nil, nil}
		NecroList.Items.HC2206 = {"Mods", nil, nil, "HC - Homemade Club with Tent Pegs", "Hydrocraft.HCHomemadeclubtentpegs", "media/textures/Item_HCHomemadeclubtentpegs.png", nil, nil, nil}
		NecroList.Items.HC2207 = {"Mods", nil, nil, "HC - Homemade Club with Hedge Trimmer Blade", "Hydrocraft.HCHomemadeclubtrimmer", "media/textures/Item_HCHomemadeclubtrimmer.png", nil, nil, nil}
		NecroList.Items.HC2208 = {"Mods", nil, nil, "HC - Homemade Club with Wrench", "Hydrocraft.HCHomemadeclubwrench", "media/textures/Item_HCHomemadeclubwrench.png", nil, nil, nil}
		NecroList.Items.HC2209 = {"Mods", nil, nil, "HC - Christmas Cookies", "Hydrocraft.HCHomemadecookies", "media/textures/Item_HCHomemadecookies.png", nil, nil, nil}
		NecroList.Items.HC2210 = {"Mods", nil, nil, "HC - Honey", "Hydrocraft.HCHoney", "media/textures/Item_HCHoney.png", nil, nil, nil}
		NecroList.Items.HC2211 = {"Mods", nil, nil, "HC - Honeybee", "Hydrocraft.HCHoneybee", "media/textures/Item_HCHoneybee.png", nil, nil, nil}
		NecroList.Items.HC2212 = {"Mods", nil, nil, "HC - Honeybun (Fresh)", "Hydrocraft.HCHoneybun", "media/textures/Item_HCHoneybun.png", nil, nil, nil}
		NecroList.Items.HC2213 = {"Mods", nil, nil, "HC - Honeybun Dough (Fresh)", "Hydrocraft.HCHoneybundough", "media/textures/Item_HCHoneybundough.png", nil, nil, nil}
		NecroList.Items.HC2214 = {"Mods", nil, nil, "HC - Cooked Tray of Honeybuns (Fresh)", "Hydrocraft.HCHoneybuntray", "media/textures/Item_HCHoneybuntray.png", nil, nil, nil}
		NecroList.Items.HC2215 = {"Mods", nil, nil, "HC - Uncooked Tray of Honeybuns (Fresh Uncooked)", "Hydrocraft.HCHoneybununcooked", "media/textures/Item_HCHoneybununcooked.png", nil, nil, nil}
		NecroList.Items.HC2216 = {"Mods", nil, nil, "HC - Honeycomb", "Hydrocraft.HCHoneycomb", "media/textures/Item_HCHoneycomb.png", nil, nil, nil}
		NecroList.Items.HC2217 = {"Mods", nil, nil, "HC - Honeycomb Frame", "Hydrocraft.HCHoneycombframe", "media/textures/Item_HCHoneycombframe.png", nil, nil, nil}
		NecroList.Items.HC2218 = {"Mods", nil, nil, "HC - Honey Powder", "Hydrocraft.HCHoneypowder", "media/textures/Item_HCHoneypowder.png", nil, nil, nil}
		NecroList.Items.HC2219 = {"Mods", nil, nil, "HC - Hops", "Hydrocraft.HCHops", "media/textures/Item_HCHops.png", nil, nil, nil}
		NecroList.Items.HC2220 = {"Mods", nil, nil, "HC - Horse Skeleton", "Hydrocraft.HCHorsebones", "media/textures/Item_HCHorsebones.png", nil, nil, nil}
		NecroList.Items.HC2221 = {"Mods", nil, nil, "HC - Horse Collar", "Hydrocraft.HCHorsecollar", "media/textures/Item_HCHorsecollar.png", nil, nil, nil}
		NecroList.Items.HC2222 = {"Mods", nil, nil, "HC - Dead Horse (Fresh)", "Hydrocraft.HCHorsedead", "media/textures/Item_HCHorsedead.png", nil, nil, nil}
		NecroList.Items.HC2223 = {"Mods", nil, nil, "HC - Horse (Female)", "Hydrocraft.HCHorsefemale", "media/textures/Item_HCHorsefemale.png", nil, nil, nil}
		NecroList.Items.HC2224 = {"Mods", nil, nil, "HC - Baby Horse (Female)", "Hydrocraft.HCHorsefemalebaby", "media/textures/Item_HCHorsefemalebaby.png", nil, nil, nil}
		NecroList.Items.HC2225 = {"Mods", nil, nil, "HC - Hungry Horse (Female)", "Hydrocraft.HCHorsefemalehungry", "media/textures/Item_HCHorsefemale.png", nil, nil, nil}
		NecroList.Items.HC2226 = {"Mods", nil, nil, "HC - Horse with Saddle (Female)", "Hydrocraft.HCHorsefemalesaddle", "media/textures/Item_HCHorsefemalesaddle.png", nil, nil, nil}
		NecroList.Items.HC2227 = {"Mods", nil, nil, "HC - Tired Horse (Female)", "Hydrocraft.HCHorsefemaletired", "media/textures/Item_HCHorsefemale.png", nil, nil, nil}
		NecroList.Items.HC2228 = {"Mods", nil, nil, "HC - Horse (Male)", "Hydrocraft.HCHorsemale", "media/textures/Item_HCHorsemale.png", nil, nil, nil}
		NecroList.Items.HC2229 = {"Mods", nil, nil, "HC - Baby Horse (Male)", "Hydrocraft.HCHorsemalebaby", "media/textures/Item_HCHorsemalebaby.png", nil, nil, nil}
		NecroList.Items.HC2230 = {"Mods", nil, nil, "HC - Hungry Horse (Male)", "Hydrocraft.HCHorsemalehungry", "media/textures/Item_HCHorsemale.png", nil, nil, nil}
		NecroList.Items.HC2231 = {"Mods", nil, nil, "HC - Horse with Saddle (Male)", "Hydrocraft.HCHorsemalesaddle", "media/textures/Item_HCHorsemalesaddle.png", nil, nil, nil}
		NecroList.Items.HC2232 = {"Mods", nil, nil, "HC - Tired Horse (Male)", "Hydrocraft.HCHorsemaletired", "media/textures/Item_HCHorsemale.png", nil, nil, nil}
		NecroList.Items.HC2233 = {"Mods", nil, nil, "HC - Horse Carcass (Fresh)", "Hydrocraft.HCHorsemeat", "media/textures/Item_HCHorsemeat.png", nil, nil, nil}
		NecroList.Items.HC2234 = {"Mods", nil, nil, "HC - Horse Poop", "Hydrocraft.HCHorsepoop", "media/textures/Item_HCHorsepoop.png", nil, nil, nil}
		NecroList.Items.HC2235 = {"Mods", nil, nil, "HC - Feral Horse Poop", "Hydrocraft.HCHorsepoopferal", "media/textures/Item_HCHorsepoop.png", nil, nil, nil}
		NecroList.Items.HC2236 = {"Mods", nil, nil, "HC - Horse Saddle", "Hydrocraft.HCHorsesaddle", "media/textures/Item_HCHorsesaddle.png", nil, nil, nil}
		NecroList.Items.HC2237 = {"Mods", nil, nil, "HC - Hot Cuppa", "Hydrocraft.HCHotcuppa", "media/textures/Item_HCHotcuppa.png", nil, nil, nil}
		NecroList.Items.HC2238 = {"Mods", nil, nil, "HC - Hot Glue Gun", "Hydrocraft.HCHotgluegun", "media/textures/Item_HCHotgluegun.png", nil, nil, nil}
		NecroList.Items.HC2239 = {"Mods", nil, nil, "HC - Hot Glue Gun with Glue Stick", "Hydrocraft.HCHotgluegunfull", "media/textures/Item_HCHotgluegunfull.png", nil, nil, nil}
		NecroList.Items.HC2240 = {"Mods", nil, nil, "HC - Hot Glue Sticks", "Hydrocraft.HCHotgluestick", "media/textures/Item_HCHotgluestick.png", nil, nil, nil}
		NecroList.Items.HC2241 = {"Mods", nil, nil, "HC - Box of Hot Glue Sticks", "Hydrocraft.HCHotgluestickbox", "media/textures/Item_HCHotgluestickbox.png", nil, nil, nil}
		NecroList.Items.HC2242 = {"Mods", nil, nil, "HC - Hot Sauce", "Hydrocraft.HCHotsauce", "media/textures/Item_HCHotsauce.png", nil, nil, nil}
		NecroList.Items.HC2243 = {"Mods", nil, nil, "HC - House Fly", "Hydrocraft.HCHousefly", "media/textures/Item_HCHousefly.png", nil, nil, nil}
		NecroList.Items.HC2244 = {"Mods", nil, nil, "HC - House Spider", "Hydrocraft.HCHousespider", "media/textures/Item_HCHousespider.png", nil, nil, nil}
		NecroList.Items.HC2245 = {"Mods", nil, nil, "HC - Hubcap", "Hydrocraft.HCHubcap", "media/textures/Item_HCHubcap.png", nil, nil, nil}
		NecroList.Items.HC2246 = {"Mods", nil, nil, "HC - Huckleberry (Fresh)", "Hydrocraft.HCHuckleberry", "media/textures/Item_HCHuckleberry.png", nil, nil, nil}
		NecroList.Items.HC2247 = {"Mods", nil, nil, "HC - Hunting Blind", "Hydrocraft.HCHuntingblind", "media/textures/Item_HCHuntingblind.png", nil, nil, nil}
		NecroList.Items.HC2248 = {"Mods", nil, nil, "HC - Hunting Blind", "Hydrocraft.HCHuntingblind2", "media/textures/Item_HCHuntingblind.png", nil, nil, nil}
		NecroList.Items.HC2249 = {"Mods", nil, nil, "HC - Husky (Female)", "Hydrocraft.HCHuskyfemale", "media/textures/Item_HCHuskyfemale.png", nil, nil, nil}
		NecroList.Items.HC2250 = {"Mods", nil, nil, "HC - Pack Husky (Female)", "Hydrocraft.HCHuskyfemalepack", "media/textures/Item_HCHuskyfemalepack.png", nil, nil, nil}
		NecroList.Items.HC2251 = {"Mods", nil, nil, "HC - Pack Husky (Female)", "Hydrocraft.HCHuskyfemalepack2", "media/textures/Item_HCHuskyfemalepack2.png", nil, nil, nil}
		NecroList.Items.HC2252 = {"Mods", nil, nil, "HC - Husky (Male)", "Hydrocraft.HCHuskymale", "media/textures/Item_HCHuskymale.png", nil, nil, nil}
		NecroList.Items.HC2253 = {"Mods", nil, nil, "HC - Pack Husky (Male)", "Hydrocraft.HCHuskymalepack", "media/textures/Item_HCHuskymalepack.png", nil, nil, nil}
		NecroList.Items.HC2254 = {"Mods", nil, nil, "HC - Pack Husky (Male)", "Hydrocraft.HCHuskymalepack2", "media/textures/Item_HCHuskymalepack2.png", nil, nil, nil}
		NecroList.Items.HC2255 = {"Mods", nil, nil, "HC - Water Hyacinth Flower", "Hydrocraft.HCHyacinthflower", "media/textures/Item_HCHyacinthflower.png", nil, nil, nil}
		NecroList.Items.HC2256 = {"Mods", nil, nil, "HC - Water Hyacinth Leaf", "Hydrocraft.HCHyacinthleaf", "media/textures/Item_HCHyacinthleaf.png", nil, nil, nil}
		NecroList.Items.HC2257 = {"Mods", nil, nil, "HC - Hydrogen Tank", "Hydrocraft.HCHydrogentank", "media/textures/Item_HCHydrogentank.png", nil, nil, nil}
		NecroList.Items.HC2258 = {"Mods", nil, nil, "HC - Empty Hydrogen Tank", "Hydrocraft.HCHydrogentankempty", "media/textures/Item_HCHydrogentank.png", nil, nil, nil}
		NecroList.Items.HC2259 = {"Mods", nil, nil, "HC - Empty IBC", "Hydrocraft.HCIBC", "media/textures/Item_HCIBC.png", nil, nil, nil}
		NecroList.Items.HC2260 = {"Mods", nil, nil, "HC - IBC", "Hydrocraft.HCIBCfull", "media/textures/Item_HCIBC.png", nil, nil, nil}
		NecroList.Items.HC2261 = {"Mods", nil, nil, "HC - Empty IBC Storage", "Hydrocraft.HCIBCstorage", "media/textures/Item_HCIBCtower.png", nil, nil, nil}
		NecroList.Items.HC2262 = {"Mods", nil, nil, "HC - IBC Storage", "Hydrocraft.HCIBCstoragefull", "media/textures/Item_HCIBCtower.png", nil, nil, nil}
		NecroList.Items.HC2263 = {"Mods", nil, nil, "HC - Empty IBC Tower", "Hydrocraft.HCIBCtower", "media/textures/Item_HCIBCtower2.png", nil, nil, nil}
		NecroList.Items.HC2264 = {"Mods", nil, nil, "HC - IBC Tower", "Hydrocraft.HCIBCtowerfull", "media/textures/Item_HCIBCtower2.png", nil, nil, nil}
		NecroList.Items.HC2265 = {"Mods", nil, nil, "HC - Ice Chest", "Hydrocraft.HCIcechest", "media/textures/Item_HCIcechest.png", nil, nil, nil}
		NecroList.Items.HC2266 = {"Mods", nil, nil, "HC - Empty Ice Cream Can", "Hydrocraft.HCIcecreamempty", "media/textures/Item_HCIcecreamempty.png", nil, nil, nil}
		NecroList.Items.HC2267 = {"Mods", nil, nil, "HC - Icecream Sandwich (Fresh)", "Hydrocraft.HCIcecreamsandwich", "media/textures/Item_HCIcecreamsandwich.png", nil, nil, nil}
		NecroList.Items.HC2268 = {"Mods", nil, nil, "HC - Melted Icecream Sandwich", "Hydrocraft.HCIcecreamsandwichmelted", "media/textures/Item_HCIcecreamsandwichmelted.png", nil, nil, nil}
		NecroList.Items.HC2269 = {"Mods", nil, nil, "HC - Ice Cream Scoop", "Hydrocraft.HCIcecreamscoop", "media/textures/Item_HCIcecreamscoop.png", nil, nil, nil}
		NecroList.Items.HC2270 = {"Mods", nil, nil, "HC - Soft Serve Icecream (Fresh)", "Hydrocraft.HCIcecreamsoft", "media/textures/Item_HCIcecreamsoft.png", nil, nil, nil}
		NecroList.Items.HC2271 = {"Mods", nil, nil, "HC - Melted Serve Icecream", "Hydrocraft.HCIcecreamsoftmelted", "Question_On", nil, nil, nil}
		NecroList.Items.HC2272 = {"Mods", nil, nil, "HC - Ice Saw", "Hydrocraft.HCIcesaw", "media/textures/Item_HCIcesaw.png", nil, nil, nil}
		NecroList.Items.HC2273 = {"Mods", nil, nil, "HC - Ice Skates", "Hydrocraft.HCIceskates", "media/textures/Item_HCIceskates.png", nil, nil, nil}
		NecroList.Items.HC2274 = {"Mods", nil, nil, "HC - Improvised Backpack", "Hydrocraft.HCImprovisedbackpack", "media/textures/Item_HCImprovisedbackpack.png", nil, nil, nil}
		NecroList.Items.HC2275 = {"Mods", nil, nil, "HC - Improvised Gasmask", "Hydrocraft.HCImprovisedgasmask", "media/textures/Item_HCImprovisedgasmask.png", nil, nil, nil}
		NecroList.Items.HC2276 = {"Mods", nil, nil, "HC - Improvised Googles", "Hydrocraft.HCImprovisedgoggles", "media/textures/Item_HCImprovisedgoggles.png", nil, nil, nil}
		NecroList.Items.HC2277 = {"Mods", nil, nil, "HC - Improvised Handbag", "Hydrocraft.HCImprovisedhandbag", "media/textures/Item_HCImprovisedhandbag.png", nil, nil, nil}
		NecroList.Items.HC2278 = {"Mods", nil, nil, "HC - Improvised Hazmat Suit", "Hydrocraft.HCImprovisedhazmat", "media/textures/Item_HCImprovisedhazmat.png", nil, nil, nil}
		NecroList.Items.HC2279 = {"Mods", nil, nil, "HC - Inductor", "Hydrocraft.HCInduktor", "media/textures/Item_HCInduktor.png", nil, nil, nil}
		NecroList.Items.HC2280 = {"Mods", nil, nil, "HC - Industrial Press", "Hydrocraft.HCIndustrialpress", "media/textures/Item_HCIndustrialpress.png", nil, nil, nil}
		NecroList.Items.HC2281 = {"Mods", nil, nil, "HC - Ingot Mold", "Hydrocraft.HCIngotmold", "media/textures/Item_HCIngotmold.png", nil, nil, nil}
		NecroList.Items.HC2282 = {"Mods", nil, nil, "HC - Inhaler", "Hydrocraft.HCInhaler", "media/textures/Item_HCInhaler.png", nil, nil, nil}
		NecroList.Items.HC2283 = {"Mods", nil, nil, "HC - ink Roller", "Hydrocraft.HCInkroller", "media/textures/Item_HCInkroller.png", nil, nil, nil}
		NecroList.Items.HC2284 = {"Mods", nil, nil, "HC - Intestines", "Hydrocraft.HCIntestines", "media/textures/Item_HCIntestines.png", nil, nil, nil}
		NecroList.Items.HC2285 = {"Mods", nil, nil, "HC - Invar Ingot", "Hydrocraft.HCInvaringot", "media/textures/Item_HCInvaringot.png", nil, nil, nil}
		NecroList.Items.HC2286 = {"Mods", nil, nil, "HC - Invar Rod", "Hydrocraft.HCInvarrod", "media/textures/Item_HCInvarrod.png", nil, nil, nil}
		NecroList.Items.HC2287 = {"Mods", nil, nil, "HC - IR Decoder", "Hydrocraft.HCIRDecoder", "media/textures/Item_HCReceiverIC.png", nil, nil, nil}
		NecroList.Items.HC2288 = {"Mods", nil, nil, "HC - IR Emitter", "Hydrocraft.HCIREmitter", "media/textures/Item_HCIREmitter.png", nil, nil, nil}
		NecroList.Items.HC2289 = {"Mods", nil, nil, "HC - IR Encoder", "Hydrocraft.HCIREncoder", "media/textures/Item_HCReceiverIC.png", nil, nil, nil}
		NecroList.Items.HC2290 = {"Mods", nil, nil, "HC - Iris", "Hydrocraft.HCIris", "media/textures/Item_HCIris.png", nil, nil, nil}
		NecroList.Items.HC2291 = {"Mods", nil, nil, "HC - Irish Setter (Female)", "Hydrocraft.HCIrishsetterfemale", "media/textures/Item_HCIrishsetterfemale.png", nil, nil, nil}
		NecroList.Items.HC2292 = {"Mods", nil, nil, "HC - Irish Setter (Male)", "Hydrocraft.HCIrishsettermale", "media/textures/Item_HCIrishsettermale.png", nil, nil, nil}
		NecroList.Items.HC2293 = {"Mods", nil, nil, "HC - Iron Blowpipe", "Hydrocraft.HCIronblowpipe", "media/textures/Item_HCIronblowpipe.png", nil, nil, nil}
		NecroList.Items.HC2294 = {"Mods", nil, nil, "HC - Small Iron Sheet", "Hydrocraft.HCIronboard", "media/textures/Item_HCIronboard.png", nil, nil, nil}
		NecroList.Items.HC2295 = {"Mods", nil, nil, "HC - Iron Ingot", "Hydrocraft.HCIroningot", "media/textures/Item_HCIroningot.png", nil, nil, nil}
		NecroList.Items.HC2296 = {"Mods", nil, nil, "HC - Iron Ore", "Hydrocraft.HCIronore", "media/textures/Item_HCIronore.png", nil, nil, nil}
		NecroList.Items.HC2297 = {"Mods", nil, nil, "HC - Iron Pole", "Hydrocraft.HCIronpole", "media/textures/Item_HCIronpole.png", nil, nil, nil}
		NecroList.Items.HC2298 = {"Mods", nil, nil, "HC - Iron Powder", "Hydrocraft.HCIronpowder", "media/textures/Item_HCIronpowder.png", nil, nil, nil}
		NecroList.Items.HC2299 = {"Mods", nil, nil, "HC - Iron Rod", "Hydrocraft.HCIronrod", "media/textures/Item_HCIronrod.png", nil, nil, nil}
		NecroList.Items.HC2300 = {"Mods", nil, nil, "HC - Iron Sheet", "Hydrocraft.HCIronsheet", "media/textures/Item_HCIronsheet.png", nil, nil, nil}
		NecroList.Items.HC2301 = {"Mods", nil, nil, "HC - Large Iron Sheet", "Hydrocraft.HCIronsheetlarge", "media/textures/Item_HCIronsheetlarge.png", nil, nil, nil}
		NecroList.Items.HC2302 = {"Mods", nil, nil, "HC - IR Receiver", "Hydrocraft.HCIRReceiver", "media/textures/Item_HCIRReceiver.png", nil, nil, nil}
		NecroList.Items.HC2303 = {"Mods", nil, nil, "HC - J?germei?ter", "Hydrocraft.HCJ?germei?ter", "media/textures/Item_HCJagermeibter.png", nil, nil, nil}
		NecroList.Items.HC2304 = {"Mods", nil, nil, "HC - Jack Knife", "Hydrocraft.HCJackknife", "media/textures/Item_HCJackknife.png", nil, nil, nil}
		NecroList.Items.HC2305 = {"Mods", nil, nil, "HC - Jack-O-Lantern", "Hydrocraft.HCJackolantern", "media/textures/Item_HCJackolantern.png", nil, nil, nil}
		NecroList.Items.HC2306 = {"Mods", nil, nil, "HC - Green Jack-O-Lantern", "Hydrocraft.HCJackolanterngreen", "media/textures/Item_HCJackolanterngreen.png", nil, nil, nil}
		NecroList.Items.HC2307 = {"Mods", nil, nil, "HC - Lit Green Jack-O-Lantern", "Hydrocraft.HCJackolanterngreenon", "media/textures/Item_HCJackolanterngreenon.png", nil, nil, nil}
		NecroList.Items.HC2308 = {"Mods", nil, nil, "HC - Lit Jack-O-Lantern", "Hydrocraft.HCJackolanternon", "media/textures/Item_HCJackolanternon.png", nil, nil, nil}
		NecroList.Items.HC2309 = {"Mods", nil, nil, "HC - White Jack-O-Lantern", "Hydrocraft.HCJackolanternwhite", "media/textures/Item_HCJackolanternwhite.png", nil, nil, nil}
		NecroList.Items.HC2310 = {"Mods", nil, nil, "HC - Lit White Jack-O-Lantern", "Hydrocraft.HCJackolanternwhiteon", "media/textures/Item_HCJackolanternwhiteon.png", nil, nil, nil}
		NecroList.Items.HC2311 = {"Mods", nil, nil, "HC - Jade", "Hydrocraft.HCJade", "media/textures/Item_HCJade.png", nil, nil, nil}
		NecroList.Items.HC2312 = {"Mods", nil, nil, "HC - Cut Jade", "Hydrocraft.HCJadecut", "media/textures/Item_HCJadecut.png", nil, nil, nil}
		NecroList.Items.HC2313 = {"Mods", nil, nil, "HC - Jade Powder", "Hydrocraft.HCJadepowder", "media/textures/Item_HCJadepowder.png", nil, nil, nil}
		NecroList.Items.HC2314 = {"Mods", nil, nil, "HC - Jalapeno (Fresh)", "Hydrocraft.HCJalapeno", "media/textures/Item_HCJalapeno.png", nil, nil, nil}
		NecroList.Items.HC2315 = {"Mods", nil, nil, "HC - Jar of Apple Jam", "Hydrocraft.HCJamapple", "media/textures/Item_HCJamapple.png", nil, nil, nil}
		NecroList.Items.HC2316 = {"Mods", nil, nil, "HC - Pot of Cooked Apple Jam", "Hydrocraft.HCJamapplecooked", "Item_PotFull", nil, nil, nil}
		NecroList.Items.HC2317 = {"Mods", nil, nil, "HC - Pot of Apple Jam (Fresh Uncooked)", "Hydrocraft.HCJamapplepot", "Item_PotFull", nil, nil, nil}
		NecroList.Items.HC2318 = {"Mods", nil, nil, "HC - Jar of Blackberry Jam", "Hydrocraft.HCJamblackberry", "media/textures/Item_HCJamblackberry.png", nil, nil, nil}
		NecroList.Items.HC2319 = {"Mods", nil, nil, "HC - Pot of Cooked Blackberry Jam", "Hydrocraft.HCJamblackberrycooked", "Item_PotFull", nil, nil, nil}
		NecroList.Items.HC2320 = {"Mods", nil, nil, "HC - Pot of Blackberry Jam (Fresh Uncooked)", "Hydrocraft.HCJamblackberrypot", "Item_PotFull", nil, nil, nil}
		NecroList.Items.HC2321 = {"Mods", nil, nil, "HC - Jar of Blueberry Jam", "Hydrocraft.HCJamblueberry", "media/textures/Item_HCJamblueberry.png", nil, nil, nil}
		NecroList.Items.HC2322 = {"Mods", nil, nil, "HC - Pot of Cooked Blueberry Jam", "Hydrocraft.HCJamblueberrycooked", "Item_PotFull", nil, nil, nil}
		NecroList.Items.HC2323 = {"Mods", nil, nil, "HC - Pot of Blueberry Jam (Fresh Uncooked)", "Hydrocraft.HCJamblueberrypot", "Item_PotFull", nil, nil, nil}
		NecroList.Items.HC2324 = {"Mods", nil, nil, "HC - Jar of Cherry Jam", "Hydrocraft.HCJamcherry", "media/textures/Item_HCJamcherry.png", nil, nil, nil}
		NecroList.Items.HC2325 = {"Mods", nil, nil, "HC - Pot of Cooked Cherry Jam", "Hydrocraft.HCJamcherrycooked", "Item_PotFull", nil, nil, nil}
		NecroList.Items.HC2326 = {"Mods", nil, nil, "HC - Pot of Cherry Jam (Fresh Uncooked)", "Hydrocraft.HCJamcherrypot", "Item_PotFull", nil, nil, nil}
		NecroList.Items.HC2327 = {"Mods", nil, nil, "HC - Jar of Cranberry Jam", "Hydrocraft.HCJamcranberry", "media/textures/Item_HCJamcranberry.png", nil, nil, nil}
		NecroList.Items.HC2328 = {"Mods", nil, nil, "HC - Pot of Cooked Cranberry Jam", "Hydrocraft.HCJamcranberrycooked", "Item_PotFull", nil, nil, nil}
		NecroList.Items.HC2329 = {"Mods", nil, nil, "HC - Pot of Cranberry Jam (Fresh Uncooked)", "Hydrocraft.HCJamcranberrypot", "Item_PotFull", nil, nil, nil}
		NecroList.Items.HC2330 = {"Mods", nil, nil, "HC - Jar of Grape Jam", "Hydrocraft.HCJamgrape", "media/textures/Item_HCJamgrape.png", nil, nil, nil}
		NecroList.Items.HC2331 = {"Mods", nil, nil, "HC - Pot of Cooked Grape Jam", "Hydrocraft.HCJamgrapecooked", "Item_PotFull", nil, nil, nil}
		NecroList.Items.HC2332 = {"Mods", nil, nil, "HC - Pot of Grape Jam (Fresh Uncooked)", "Hydrocraft.HCJamgrapepot", "Item_PotFull", nil, nil, nil}
		NecroList.Items.HC2333 = {"Mods", nil, nil, "HC - Jar of Huckleberry Jam", "Hydrocraft.HCJamhuckleberry", "media/textures/Item_HCJamhuckleberry.png", nil, nil, nil}
		NecroList.Items.HC2334 = {"Mods", nil, nil, "HC - Pot of Cooked Huckleberry Jam", "Hydrocraft.HCJamhuckleberrycooked", "Item_PotFull", nil, nil, nil}
		NecroList.Items.HC2335 = {"Mods", nil, nil, "HC - Pot of Huckleberry Jam (Fresh Uncooked)", "Hydrocraft.HCJamhuckleberrypot", "Item_PotFull", nil, nil, nil}
		NecroList.Items.HC2336 = {"Mods", nil, nil, "HC - Jar of Orange Jam", "Hydrocraft.HCJamorange", "media/textures/Item_HCJamorange.png", nil, nil, nil}
		NecroList.Items.HC2337 = {"Mods", nil, nil, "HC - Pot of Cooked Orange Jam", "Hydrocraft.HCJamorangecooked", "Item_PotFull", nil, nil, nil}
		NecroList.Items.HC2338 = {"Mods", nil, nil, "HC - Pot of Orange Jam (Fresh Uncooked)", "Hydrocraft.HCJamorangepot", "Item_PotFull", nil, nil, nil}
		NecroList.Items.HC2339 = {"Mods", nil, nil, "HC - Jar of Peach Jam", "Hydrocraft.HCJampeach", "media/textures/Item_HCJampeach.png", nil, nil, nil}
		NecroList.Items.HC2340 = {"Mods", nil, nil, "HC - Pot of Cooked Peach Jam", "Hydrocraft.HCJampeachcooked", "Item_PotFull", nil, nil, nil}
		NecroList.Items.HC2341 = {"Mods", nil, nil, "HC - Pot of Peach Jam (Fresh Uncooked)", "Hydrocraft.HCJampeachpot", "Item_PotFull", nil, nil, nil}
		NecroList.Items.HC2342 = {"Mods", nil, nil, "HC - Jar of Pear Jam", "Hydrocraft.HCJampear", "media/textures/Item_HCJampear.png", nil, nil, nil}
		NecroList.Items.HC2343 = {"Mods", nil, nil, "HC - Pot of Cooked Pear Jam", "Hydrocraft.HCJampearcooked", "Item_PotFull", nil, nil, nil}
		NecroList.Items.HC2344 = {"Mods", nil, nil, "HC - Pot of Pear Jam (Fresh Uncooked)", "Hydrocraft.HCJampearpot", "Item_PotFull", nil, nil, nil}
		NecroList.Items.HC2345 = {"Mods", nil, nil, "HC - Jar of Pineapple Jam", "Hydrocraft.HCJampineapple", "media/textures/Item_HCJampineapple.png", nil, nil, nil}
		NecroList.Items.HC2346 = {"Mods", nil, nil, "HC - Pot of Cooked Pineapple Jam", "Hydrocraft.HCJampineapplecooked", "Item_PotFull", nil, nil, nil}
		NecroList.Items.HC2347 = {"Mods", nil, nil, "HC - Pot of Pineapple Jam (Fresh Uncooked)", "Hydrocraft.HCJampineapplepot", "Item_PotFull", nil, nil, nil}
		NecroList.Items.HC2348 = {"Mods", nil, nil, "HC - Jar of Raspberry Jam", "Hydrocraft.HCJamraspberry", "media/textures/Item_HCJamraspberry.png", nil, nil, nil}
		NecroList.Items.HC2349 = {"Mods", nil, nil, "HC - Pot of Cooked Raspberry Jam", "Hydrocraft.HCJamraspberrycooked", "Item_PotFull", nil, nil, nil}
		NecroList.Items.HC2350 = {"Mods", nil, nil, "HC - Pot of Raspberry Jam (Fresh Uncooked)", "Hydrocraft.HCJamraspberrypot", "Item_PotFull", nil, nil, nil}
		NecroList.Items.HC2351 = {"Mods", nil, nil, "HC - Pot of Sugar Water", "Hydrocraft.HCJamstarter", "Item_PotFull", nil, nil, nil}
		NecroList.Items.HC2352 = {"Mods", nil, nil, "HC - Jar of Strawberry Jam", "Hydrocraft.HCJamstrawberry", "media/textures/Item_HCJamstrawberry.png", nil, nil, nil}
		NecroList.Items.HC2353 = {"Mods", nil, nil, "HC - Pot of Cooked Strawberry Jam", "Hydrocraft.HCJamstrawberrycooked", "Item_PotFull", nil, nil, nil}
		NecroList.Items.HC2354 = {"Mods", nil, nil, "HC - Pot of Strawberry Jam (Fresh Uncooked)", "Hydrocraft.HCJamstrawberrypot", "Item_PotFull", nil, nil, nil}
		NecroList.Items.HC2355 = {"Mods", nil, nil, "HC - Jar of Watermelon Jam", "Hydrocraft.HCJamwatermelon", "media/textures/Item_HCJamwatermelon.png", nil, nil, nil}
		NecroList.Items.HC2356 = {"Mods", nil, nil, "HC - Pot of Cooked Watermelon Jam", "Hydrocraft.HCJamwatermeloncooked", "Item_PotFull", nil, nil, nil}
		NecroList.Items.HC2357 = {"Mods", nil, nil, "HC - Pot of Watermelon Jam (Fresh Uncooked)", "Hydrocraft.HCJamwatermelonpot", "Item_PotFull", nil, nil, nil}
		NecroList.Items.HC2358 = {"Mods", nil, nil, "HC - Jar of Wild Berry Jam", "Hydrocraft.HCJamwildberry", "media/textures/Item_HCJamwildberry.png", nil, nil, nil}
		NecroList.Items.HC2359 = {"Mods", nil, nil, "HC - Pot of Cooked Wild Berry Jam", "Hydrocraft.HCJamwildberrycooked", "Item_PotFull", nil, nil, nil}
		NecroList.Items.HC2360 = {"Mods", nil, nil, "HC - Pot of Wild Berry Jam (Fresh Uncooked)", "Hydrocraft.HCJamwildberrypot", "Item_PotFull", nil, nil, nil}
		NecroList.Items.HC2361 = {"Mods", nil, nil, "HC - Jar with Lid", "Hydrocraft.HCJar", "media/textures/Item_HCJar.png", nil, nil, nil}
		NecroList.Items.HC2362 = {"Mods", nil, nil, "HC - Jar of Fireflies", "Hydrocraft.HCJarfireflies", "media/textures/Item_HCJarfireflies.png", nil, nil, nil}
		NecroList.Items.HC2363 = {"Mods", nil, nil, "HC - Homemade Tzatziki (Fresh)", "Hydrocraft.HCJarhomemadetzatziki", "media/textures/Item_HCJarhomemadetzatziki.png", nil, nil, nil}
		NecroList.Items.HC2364 = {"Mods", nil, nil, "HC - Jarred Homemade Yogurt (Fresh)", "Hydrocraft.HCJarhomemadeyogurt", "media/textures/Item_HCJarhomemadeyogurt.png", nil, nil, nil}
		NecroList.Items.HC2365 = {"Mods", nil, nil, "HC - Homemade Yogurt with Apple (Fresh)", "Hydrocraft.HCJarhomemadeyogurtapple", "media/textures/Item_HCJarhomemadeyogurtapple.png", nil, nil, nil}
		NecroList.Items.HC2366 = {"Mods", nil, nil, "HC - Homemade Banana Yogurt (Fresh)", "Hydrocraft.HCJarhomemadeyogurtbanana", "media/textures/Item_HCJarhomemadeyogurtbanana.png", nil, nil, nil}
		NecroList.Items.HC2367 = {"Mods", nil, nil, "HC - Homemade Yogurt with Blueberries (Fresh)", "Hydrocraft.HCJarhomemadeyogurtblueberries", "media/textures/Item_HCJarhomemadeyogurtblueberries.png", nil, nil, nil}
		NecroList.Items.HC2368 = {"Mods", nil, nil, "HC - Homemade Cherry Yogurt (Fresh)", "Hydrocraft.HCJarhomemadeyogurtcherry", "media/textures/Item_HCJarhomemadeyogurtcherry.png", nil, nil, nil}
		NecroList.Items.HC2369 = {"Mods", nil, nil, "HC - Homemade Yogurt with Citrus Fruit (Fresh)", "Hydrocraft.HCJarhomemadeyogurtcitrusfruit", "media/textures/Item_HCJarhomemadeyogurtcitrusfruit.png", nil, nil, nil}
		NecroList.Items.HC2370 = {"Mods", nil, nil, "HC - Homemade Yogurt with Cranberries (Fresh)", "Hydrocraft.HCJarhomemadeyogurtcranberries", "media/textures/Item_HCJarhomemadeyogurtcranberries.png", nil, nil, nil}
		NecroList.Items.HC2371 = {"Mods", nil, nil, "HC - Homemade Currant Yogurt (Fresh)", "Hydrocraft.HCJarhomemadeyogurtcurrant", "media/textures/Item_HCJarhomemadeyogurtcurrant.png", nil, nil, nil}
		NecroList.Items.HC2372 = {"Mods", nil, nil, "HC - Homemade Grape Yogurt (Fresh)", "Hydrocraft.HCJarhomemadeyogurtgrape", "media/textures/Item_HCJarhomemadeyogurtgrape.png", nil, nil, nil}
		NecroList.Items.HC2373 = {"Mods", nil, nil, "HC - Homemade Lemon Yogurt (Fresh)", "Hydrocraft.HCJarhomemadeyogurtlemon", "media/textures/Item_HCJarhomemadeyogurtlemon.png", nil, nil, nil}
		NecroList.Items.HC2374 = {"Mods", nil, nil, "HC - Homemade Peach Yogurt (Fresh)", "Hydrocraft.HCJarhomemadeyogurtpeach", "media/textures/Item_HCJarhomemadeyogurtpeach.png", nil, nil, nil}
		NecroList.Items.HC2375 = {"Mods", nil, nil, "HC - Homemade Pear Yogurt (Fresh)", "Hydrocraft.HCJarhomemadeyogurtpear", "media/textures/Item_HCJarhomemadeyogurtpear.png", nil, nil, nil}
		NecroList.Items.HC2376 = {"Mods", nil, nil, "HC - Homemade Pineapple Yogurt (Fresh)", "Hydrocraft.HCJarhomemadeyogurtpineapple", "media/textures/Item_HCJarhomemadeyogurtpineapple.png", nil, nil, nil}
		NecroList.Items.HC2377 = {"Mods", nil, nil, "HC - Homemade Yogurt with Raspberries (Fresh)", "Hydrocraft.HCJarhomemadeyogurtraspberries", "media/textures/Item_HCJarhomemadeyogurtraspberries.png", nil, nil, nil}
		NecroList.Items.HC2378 = {"Mods", nil, nil, "HC - Homemade Stracciatella Yogurt (Fresh)", "Hydrocraft.HCJarhomemadeyogurtstracciatella", "media/textures/Item_HCJarhomemadeyogurtstracciatella.png", nil, nil, nil}
		NecroList.Items.HC2379 = {"Mods", nil, nil, "HC - Homemade Yogurt with Strawberries (Fresh)", "Hydrocraft.HCJarhomemadeyogurtstrawberries", "media/textures/Item_HCJarhomemadeyogurtstrawberries.png", nil, nil, nil}
		NecroList.Items.HC2380 = {"Mods", nil, nil, "HC - Homemade Watermelon Yogurt (Fresh)", "Hydrocraft.HCJarhomemadeyogurtwatermelon", "media/textures/Item_HCJarhomemadeyogurtwatermelon.png", nil, nil, nil}
		NecroList.Items.HC2381 = {"Mods", nil, nil, "HC - Jar of Honey", "Hydrocraft.HCJarhoney", "media/textures/Item_HCJarhoney.png", nil, nil, nil}
		NecroList.Items.HC2382 = {"Mods", nil, nil, "HC - Jar With Fermented Opium", "Hydrocraft.HCJaropium", "media/textures/Item_HCJaropium.png", nil, nil, nil}
		NecroList.Items.HC2383 = {"Mods", nil, nil, "HC - Jar of Black Paint", "Hydrocraft.HCJarpaintblack", "media/textures/Item_HCJarpaintblack.png", nil, nil, nil}
		NecroList.Items.HC2384 = {"Mods", nil, nil, "HC - Jar of Blue Paint", "Hydrocraft.HCJarpaintblue", "media/textures/Item_HCJarpaintblue.png", nil, nil, nil}
		NecroList.Items.HC2385 = {"Mods", nil, nil, "HC - Jar of Red Paint", "Hydrocraft.HCJarpaintred", "media/textures/Item_HCJarpaintred.png", nil, nil, nil}
		NecroList.Items.HC2386 = {"Mods", nil, nil, "HC - Jar of White Paint", "Hydrocraft.HCJarpaintwhite", "media/textures/Item_HCJarpaintwhite.png", nil, nil, nil}
		NecroList.Items.HC2387 = {"Mods", nil, nil, "HC - Jar of Yellow Paint", "Hydrocraft.HCJarpaintyellow", "media/textures/Item_HCJarpaintyellow.png", nil, nil, nil}
		NecroList.Items.HC2388 = {"Mods", nil, nil, "HC - Jar of Pickles", "Hydrocraft.HCJarpickles", "media/textures/Item_HCJarpickles.png", nil, nil, nil}
		NecroList.Items.HC2389 = {"Mods", nil, nil, "HC - Pot of Cooked Apples", "Hydrocraft.HCJarredapplecooked", "Item_PotFull", nil, nil, nil}
		NecroList.Items.HC2390 = {"Mods", nil, nil, "HC - Pot of Apples (Fresh Uncooked)", "Hydrocraft.HCJarredapplepot", "Item_PotFull", nil, nil, nil}
		NecroList.Items.HC2391 = {"Mods", nil, nil, "HC - Jarred Apples", "Hydrocraft.HCJarredapples", "media/textures/Item_HCJarredapple.png", nil, nil, nil}
		NecroList.Items.HC2392 = {"Mods", nil, nil, "HC - Jar of Applesauce", "Hydrocraft.HCJarredapplesauce", "media/textures/Item_HCApplesauce.png", nil, nil, nil}
		NecroList.Items.HC2393 = {"Mods", nil, nil, "HC - Pot of Smashed Cooked Apples", "Hydrocraft.HCJarredapplesmashedcooked", "Item_PotFull", nil, nil, nil}
		NecroList.Items.HC2394 = {"Mods", nil, nil, "HC - Jarred Berries", "Hydrocraft.HCJarredberries", "media/textures/Item_HCJarredberries.png", nil, nil, nil}
		NecroList.Items.HC2395 = {"Mods", nil, nil, "HC - Pot of Cooked Berries", "Hydrocraft.HCJarredberriescooked", "Item_PotFull", nil, nil, nil}
		NecroList.Items.HC2396 = {"Mods", nil, nil, "HC - Pot of Berries (Fresh Uncooked)", "Hydrocraft.HCJarredberriespot", "Item_PotFull", nil, nil, nil}
		NecroList.Items.HC2397 = {"Mods", nil, nil, "HC - Jarred Grapes", "Hydrocraft.HCJarredgrapes", "media/textures/Item_HCJarredgrapes.png", nil, nil, nil}
		NecroList.Items.HC2398 = {"Mods", nil, nil, "HC - Pot of Cooked Grapes", "Hydrocraft.HCJarredgrapescooked", "Item_PotFull", nil, nil, nil}
		NecroList.Items.HC2399 = {"Mods", nil, nil, "HC - Pot of Grapes (Fresh Uncooked)", "Hydrocraft.HCJarredgrapespot", "Item_PotFull", nil, nil, nil}
		NecroList.Items.HC2400 = {"Mods", nil, nil, "HC - Jarred Lemon Slices", "Hydrocraft.HCJarredlemon", "media/textures/Item_HCJarredlemon.png", nil, nil, nil}
		NecroList.Items.HC2401 = {"Mods", nil, nil, "HC - Pot of Cooked Lemons", "Hydrocraft.HCJarredlemoncooked", "Item_PotFull", nil, nil, nil}
		NecroList.Items.HC2402 = {"Mods", nil, nil, "HC - Pot of Lemons (Fresh Uncooked)", "Hydrocraft.HCJarredlemonpot", "Item_PotFull", nil, nil, nil}
		NecroList.Items.HC2403 = {"Mods", nil, nil, "HC - Jarred Lime Slices", "Hydrocraft.HCJarredlime", "media/textures/Item_HCJarredlime.png", nil, nil, nil}
		NecroList.Items.HC2404 = {"Mods", nil, nil, "HC - Pot of Cooked Limes", "Hydrocraft.HCJarredlimecooked", "Item_PotFull", nil, nil, nil}
		NecroList.Items.HC2405 = {"Mods", nil, nil, "HC - Pot of Limes (Fresh Uncooked)", "Hydrocraft.HCJarredlimepot", "Item_PotFull", nil, nil, nil}
		NecroList.Items.HC2406 = {"Mods", nil, nil, "HC - Jarred Watermelon", "Hydrocraft.HCJarredmelon", "media/textures/Item_HCJarredmelon.png", nil, nil, nil}
		NecroList.Items.HC2407 = {"Mods", nil, nil, "HC - Pot of Cooked Watermelon", "Hydrocraft.HCJarredmeloncooked", "Item_PotFull", nil, nil, nil}
		NecroList.Items.HC2408 = {"Mods", nil, nil, "HC - Pot of Watermelon (Fresh Uncooked)", "Hydrocraft.HCJarredmelonpot", "Item_PotFull", nil, nil, nil}
		NecroList.Items.HC2409 = {"Mods", nil, nil, "HC - Jarred Orange Slices", "Hydrocraft.HCJarredorange", "media/textures/Item_HCJarredorange.png", nil, nil, nil}
		NecroList.Items.HC2410 = {"Mods", nil, nil, "HC - Pot of Cooked Oranges", "Hydrocraft.HCJarredorangecooked", "Item_PotFull", nil, nil, nil}
		NecroList.Items.HC2411 = {"Mods", nil, nil, "HC - Pot of Oranges (Fresh Uncooked)", "Hydrocraft.HCJarredorangepot", "Item_PotFull", nil, nil, nil}
		NecroList.Items.HC2412 = {"Mods", nil, nil, "HC - Jarred Peaches", "Hydrocraft.HCJarredpeach", "media/textures/Item_HCJarredpeach.png", nil, nil, nil}
		NecroList.Items.HC2413 = {"Mods", nil, nil, "HC - Pot of Cooked Peaches", "Hydrocraft.HCJarredpeachcooked", "Item_PotFull", nil, nil, nil}
		NecroList.Items.HC2414 = {"Mods", nil, nil, "HC - Pot of Peaches (Fresh Uncooked)", "Hydrocraft.HCJarredpeachpot", "Item_PotFull", nil, nil, nil}
		NecroList.Items.HC2415 = {"Mods", nil, nil, "HC - Thick Jeans", "Hydrocraft.HCJeans", "media/textures/Item_HCJeans.png", nil, nil, nil}
		NecroList.Items.HC2416 = {"Mods", nil, nil, "HC - Jeep", "Hydrocraft.HCJeepLeft", "media/textures/Item_HCJeepLeft.png", nil, nil, nil}
		NecroList.Items.HC2417 = {"Mods", nil, nil, "HC - Jeep", "Hydrocraft.HCJeepLeftDirty", "media/textures/Item_HCJeepLeftDirty.png", nil, nil, nil}
		NecroList.Items.HC2418 = {"Mods", nil, nil, "HC - Jeep", "Hydrocraft.HCJeepRight", "media/textures/Item_HCJeepRight.png", nil, nil, nil}
		NecroList.Items.HC2419 = {"Mods", nil, nil, "HC - Jeep", "Hydrocraft.HCJeepRightDirty", "media/textures/Item_HCJeepRightDirty.png", nil, nil, nil}
		NecroList.Items.HC2420 = {"Mods", nil, nil, "HC - Jellybeans", "Hydrocraft.HCJellybeans", "media/textures/Item_HCJellybeans.png", nil, nil, nil}
		NecroList.Items.HC2421 = {"Mods", nil, nil, "HC - Empty Candy Wrapper", "Hydrocraft.HCJellybeanstrash", "media/textures/Item_HCJellybeanstrash.png", nil, nil, nil}
		NecroList.Items.HC2422 = {"Mods", nil, nil, "HC - Jelly Sandwich (Fresh)", "Hydrocraft.HCJellysandwich", "media/textures/Item_HCJellysandwich.png", nil, nil, nil}
		NecroList.Items.HC2423 = {"Mods", nil, nil, "HC - Joystick", "Hydrocraft.HCJoystick", "media/textures/Item_HCJoystick.png", nil, nil, nil}
		NecroList.Items.HC2424 = {"Mods", nil, nil, "HC - Apple Juice Box", "Hydrocraft.HCJuiceboxapple", "media/textures/Item_HCJuiceboxapple.png", nil, nil, nil}
		NecroList.Items.HC2425 = {"Mods", nil, nil, "HC - Blue Raspberry Juice Box", "Hydrocraft.HCJuiceboxblueraspberry", "media/textures/Item_HCJuiceboxblueraspberry.png", nil, nil, nil}
		NecroList.Items.HC2426 = {"Mods", nil, nil, "HC - Cherry Juice Box", "Hydrocraft.HCJuiceboxcherry", "media/textures/Item_HCJuiceboxcherry.png", nil, nil, nil}
		NecroList.Items.HC2427 = {"Mods", nil, nil, "HC - Grape Juice Box", "Hydrocraft.HCJuiceboxgrape", "media/textures/Item_HCJuiceboxgrape.png", nil, nil, nil}
		NecroList.Items.HC2428 = {"Mods", nil, nil, "HC - Lemonaid Juice Box", "Hydrocraft.HCJuiceboxlemonaid", "media/textures/Item_HCJuiceboxlemonaid.png", nil, nil, nil}
		NecroList.Items.HC2429 = {"Mods", nil, nil, "HC - Orange Juice Box", "Hydrocraft.HCJuiceboxorange", "media/textures/Item_HCJuiceboxorange.png", nil, nil, nil}
		NecroList.Items.HC2430 = {"Mods", nil, nil, "HC - Pink Lemonaid Juice Box", "Hydrocraft.HCJuiceboxpinklemonaid", "media/textures/Item_HCJuiceboxpinklemonaid.png", nil, nil, nil}
		NecroList.Items.HC2431 = {"Mods", nil, nil, "HC - Juicer", "Hydrocraft.HCJuicer", "media/textures/Item_HCJuicer.png", nil, nil, nil}
		NecroList.Items.HC2432 = {"Mods", nil, nil, "HC - Mechanical Juicer", "Hydrocraft.HCJuicer2", "media/textures/Item_HCJuicer2.png", nil, nil, nil}
		NecroList.Items.HC2433 = {"Mods", nil, nil, "HC - Juniper Berry", "Hydrocraft.HCJuniperberry", "media/textures/Item_HCJuniperberry.png", nil, nil, nil}
		NecroList.Items.HC2434 = {"Mods", nil, nil, "HC - Dried Juniper Berry", "Hydrocraft.HCJuniperberrydry", "media/textures/Item_HCJuniperberrydry.png", nil, nil, nil}
		NecroList.Items.HC2435 = {"Mods", nil, nil, "HC - Junk", "Hydrocraft.HCJunk", "media/textures/Item_HCJunk.png", nil, nil, nil}
		NecroList.Items.HC2436 = {"Mods", nil, nil, "HC - Broken Bicycle", "Hydrocraft.HCJunkbicycle", "media/textures/Item_HCJunkbicycle.png", nil, nil, nil}
		NecroList.Items.HC2437 = {"Mods", nil, nil, "HC - Broken Drying Machine", "Hydrocraft.HCJunkdryer", "media/textures/Item_HCJunkdryer.png", nil, nil, nil}
		NecroList.Items.HC2438 = {"Mods", nil, nil, "HC - Broken Fridge", "Hydrocraft.HCJunkfridge", "media/textures/Item_HCJunkfridge.png", nil, nil, nil}
		NecroList.Items.HC2439 = {"Mods", nil, nil, "HC - Broken Microwave", "Hydrocraft.HCJunkmicro", "media/textures/Item_HCJunkmicro.png", nil, nil, nil}
		NecroList.Items.HC2440 = {"Mods", nil, nil, "HC - Broken Tredmill", "Hydrocraft.HCJunktredmill", "media/textures/Item_HCJunktredmill.png", nil, nil, nil}
		NecroList.Items.HC2441 = {"Mods", nil, nil, "HC - Broken TV", "Hydrocraft.HCJunktv", "media/textures/Item_HCJunktv.png", nil, nil, nil}
		NecroList.Items.HC2442 = {"Mods", nil, nil, "HC - Broken Washing Machine", "Hydrocraft.HCJunkwash", "media/textures/Item_HCJunkwash.png", nil, nil, nil}
		NecroList.Items.HC2443 = {"Mods", nil, nil, "HC - Large Empty Junkyard", "Hydrocraft.HCJunkyardlargeempty", "media/textures/Item_HCJunkyardlargeempty.png", nil, nil, nil}
		NecroList.Items.HC2444 = {"Mods", nil, nil, "HC - Large Full Junkyard", "Hydrocraft.HCJunkyardlargefull", "media/textures/Item_HCJunkyardlargefull.png", nil, nil, nil}
		NecroList.Items.HC2445 = {"Mods", nil, nil, "HC - Medium Empty Junkyard", "Hydrocraft.HCJunkyardmediumempty", "media/textures/Item_HCJunkyardmediumempty.png", nil, nil, nil}
		NecroList.Items.HC2446 = {"Mods", nil, nil, "HC - Medium Full Junkyard", "Hydrocraft.HCJunkyardmediumfull", "media/textures/Item_HCJunkyardmediumfull.png", nil, nil, nil}
		NecroList.Items.HC2447 = {"Mods", nil, nil, "HC - Small Empty Junkyard", "Hydrocraft.HCJunkyardsmallempty", "media/textures/Item_HCJunkyardsmallempty.png", nil, nil, nil}
		NecroList.Items.HC2448 = {"Mods", nil, nil, "HC - Small Full Junkyard", "Hydrocraft.HCJunkyardsmallfull", "media/textures/Item_HCJunkyardsmallfull.png", nil, nil, nil}
		NecroList.Items.HC2449 = {"Mods", nil, nil, "HC - Jute Fibers", "Hydrocraft.HCJutefibers", "media/textures/Item_HCJutefibers.png", nil, nil, nil}
		NecroList.Items.HC2450 = {"Mods", nil, nil, "HC - Jute Seeds", "Hydrocraft.HCJuteseeds", "media/textures/Item_HCJuteseeds.png", nil, nil, nil}
		NecroList.Items.HC2451 = {"Mods", nil, nil, "HC - Jute Seeds Packet", "Hydrocraft.HCJuteseedspacket", "media/textures/Item_HCJuteseedspacket.png", nil, nil, nil}
		NecroList.Items.HC2452 = {"Mods", nil, nil, "HC - Fresh Jute Stems", "Hydrocraft.HCJutestems", "media/textures/Item_HCJutestems.png", nil, nil, nil}
		NecroList.Items.HC2453 = {"Mods", nil, nil, "HC - Dry Jute Stems", "Hydrocraft.HCJutestemsdry", "media/textures/Item_HCJutestemsdry.png", nil, nil, nil}
		NecroList.Items.HC2454 = {"Mods", nil, nil, "HC - Wet Jute Stems", "Hydrocraft.HCJutestemswet", "media/textures/Item_HCJutestemswet.png", nil, nil, nil}
		NecroList.Items.HC2455 = {"Mods", nil, nil, "HC - Kanthal Heating Coil", "Hydrocraft.HCKanthalheatingcoil", "media/textures/Item_HCKanthalheatingcoil.png", nil, nil, nil}
		NecroList.Items.HC2456 = {"Mods", nil, nil, "HC - Kanthal Ingot", "Hydrocraft.HCKanthalingot", "media/textures/Item_HCKanthalingot.png", nil, nil, nil}
		NecroList.Items.HC2457 = {"Mods", nil, nil, "HC - Kaolinite", "Hydrocraft.HCKaolinite", "media/textures/Item_HCKaolinite.png", nil, nil, nil}
		NecroList.Items.HC2458 = {"Mods", nil, nil, "HC - KAS 27 Fertilizer", "Hydrocraft.HCKAS", "media/textures/Item_HCKAS.png", nil, nil, nil}
		NecroList.Items.HC2459 = {"Mods", nil, nil, "HC - Kazoo", "Hydrocraft.HCKazoo", "media/textures/Item_HCKazoo.png", nil, nil, nil}
		NecroList.Items.HC2460 = {"Mods", nil, nil, "HC - Homemade Ketchup", "Hydrocraft.HCKetchup", "media/textures/Item_HCKetchup.png", nil, nil, nil}
		NecroList.Items.HC2461 = {"Mods", nil, nil, "HC - Empty Ketchup Bottle", "Hydrocraft.HCKetchupempty", "media/textures/Item_HCKetchupempty.png", nil, nil, nil}
		NecroList.Items.HC2462 = {"Mods", nil, nil, "HC - Copper Kettle", "Hydrocraft.HCKettlecopper", "media/textures/Item_HCKettlecopper.png", nil, nil, nil}
		NecroList.Items.HC2463 = {"Mods", nil, nil, "HC - Copper Kettle with Water", "Hydrocraft.HCKettlecopperfull", "media/textures/Item_HCKettlecopper.png", nil, nil, nil}
		NecroList.Items.HC2464 = {"Mods", nil, nil, "HC - Kiln", "Hydrocraft.HCKiln", "media/textures/Item_HCKiln.png", nil, nil, nil}
		NecroList.Items.HC2465 = {"Mods", nil, nil, "HC - Kiln", "Hydrocraft.HCKiln2", "media/textures/Item_HCKiln.png", nil, nil, nil}
		NecroList.Items.HC2466 = {"Mods", nil, nil, "HC - Kimberlite", "Hydrocraft.HCKimberlite", "media/textures/Item_HCKimberlite.png", nil, nil, nil}
		NecroList.Items.HC2467 = {"Mods", nil, nil, "HC - Jar of Kimchi", "Hydrocraft.HCKimchi", "media/textures/Item_HCPickledkimchi.png", nil, nil, nil}
		NecroList.Items.HC2468 = {"Mods", nil, nil, "HC - Kiwi (Fresh)", "Hydrocraft.HCKiwi", "media/textures/Item_HCKiwi.png", nil, nil, nil}
		NecroList.Items.HC2469 = {"Mods", nil, nil, "HC - Bronze Knife", "Hydrocraft.HCKnifebronze", "media/textures/Item_HCKnifebronze.png", nil, nil, nil}
		NecroList.Items.HC2470 = {"Mods", nil, nil, "HC - Copper Knife", "Hydrocraft.HCKnifecopper", "media/textures/Item_HCKnifecopper.png", nil, nil, nil}
		NecroList.Items.HC2471 = {"Mods", nil, nil, "HC - Iron Knife", "Hydrocraft.HCKnifeiron", "media/textures/Item_HCKnifeiron.png", nil, nil, nil}
		NecroList.Items.HC2472 = {"Mods", nil, nil, "HC - Steel Knife", "Hydrocraft.HCKnifesteel", "media/textures/Item_HCKnifesteel.png", nil, nil, nil}
		NecroList.Items.HC2473 = {"Mods", nil, nil, "HC - Stone Knife", "Hydrocraft.HCKnifestone", "media/textures/Item_HCKnifestone.png", nil, nil, nil}
		NecroList.Items.HC2474 = {"Mods", nil, nil, "HC - Laboratory", "Hydrocraft.HCLab", "media/textures/Item_HCLab.png", nil, nil, nil}
		NecroList.Items.HC2475 = {"Mods", nil, nil, "HC - Professional Lab", "Hydrocraft.HCLabbig", "media/textures/Item_HCLabbig.png", nil, nil, nil}
		NecroList.Items.HC2476 = {"Mods", nil, nil, "HC - Ammonia Label", "Hydrocraft.HCLabelammonia", "media/textures/Item_HCLabelammonia.png", nil, nil, nil}
		NecroList.Items.HC2477 = {"Mods", nil, nil, "HC - Liquid Soap Label", "Hydrocraft.HCLabeldetergent", "media/textures/Item_HCLabeldetergent.png", nil, nil, nil}
		NecroList.Items.HC2478 = {"Mods", nil, nil, "HC - Empty Label", "Hydrocraft.HCLabelempty", "media/textures/Item_HCLabelempty.png", nil, nil, nil}
		NecroList.Items.HC2479 = {"Mods", nil, nil, "HC - Gasoline Label", "Hydrocraft.HCLabelgasoline", "media/textures/Item_HCLabelgasoline.png", nil, nil, nil}
		NecroList.Items.HC2480 = {"Mods", nil, nil, "HC - Hydrogen Peroxide Label", "Hydrocraft.HCLabelh2o2", "media/textures/Item_HCLabelh2o2.png", nil, nil, nil}
		NecroList.Items.HC2481 = {"Mods", nil, nil, "HC - Methylamin Label", "Hydrocraft.HCLabelmethylamin", "media/textures/Item_HCLabelmethylamin.png", nil, nil, nil}
		NecroList.Items.HC2482 = {"Mods", nil, nil, "HC - Phenylacetic Acid Label", "Hydrocraft.HCLabelphenylaceticacid", "media/textures/Item_HCLabelphenylaceticacid.png", nil, nil, nil}
		NecroList.Items.HC2483 = {"Mods", nil, nil, "HC - Insecticide Label", "Hydrocraft.HCLabelpoison", "media/textures/Item_HCLabelpoison.png", nil, nil, nil}
		NecroList.Items.HC2484 = {"Mods", nil, nil, "HC - Homemade Ether Label", "Hydrocraft.HCLabelselfmadeether", "media/textures/Item_HCLabelselfmadeether.png", nil, nil, nil}
		NecroList.Items.HC2485 = {"Mods", nil, nil, "HC - Sulfuric Acid Label", "Hydrocraft.HCLabelsulfuricacid", "media/textures/Item_HCLabelsulfuricacid.png", nil, nil, nil}
		NecroList.Items.HC2486 = {"Mods", nil, nil, "HC - Labrador (Female)", "Hydrocraft.HCLabradorfemale", "media/textures/Item_HCLabradorfemale.png", nil, nil, nil}
		NecroList.Items.HC2487 = {"Mods", nil, nil, "HC - Labrador (Male)", "Hydrocraft.HCLabradormale", "media/textures/Item_HCLabradormale.png", nil, nil, nil}
		NecroList.Items.HC2488 = {"Mods", nil, nil, "HC - Ladle", "Hydrocraft.HCLadle", "media/textures/Item_HCLadle.png", nil, nil, nil}
		NecroList.Items.HC2489 = {"Mods", nil, nil, "HC - Ladybug", "Hydrocraft.HCLadybug", "media/textures/Item_HCLadybug.png", nil, nil, nil}
		NecroList.Items.HC2490 = {"Mods", nil, nil, "HC - Grey Lamp", "Hydrocraft.HCLamp1", "lighting_indoor_01_35_Icon", nil, nil, nil}
		NecroList.Items.HC2491 = {"Mods", nil, nil, "HC - Lamp Shade", "Hydrocraft.HCLampshade", "media/textures/Item_HCLampshade.png", nil, nil, nil}
		NecroList.Items.HC2492 = {"Mods", nil, nil, "HC - Lapis Lazuli", "Hydrocraft.HCLapislazuli", "media/textures/Item_HCLapislazuli.png", nil, nil, nil}
		NecroList.Items.HC2493 = {"Mods", nil, nil, "HC - Cut Lapis Lazuli", "Hydrocraft.HCLapislazulicut", "media/textures/Item_HCLapislazulicut.png", nil, nil, nil}
		NecroList.Items.HC2494 = {"Mods", nil, nil, "HC - Lard", "Hydrocraft.HCLard", "media/textures/Item_HCLard.png", nil, nil, nil}
		NecroList.Items.HC2495 = {"Mods", nil, nil, "HC - Large Sheet Of Metal", "Hydrocraft.HCLargesheetmetal", "media/textures/Item_HCLargesheetmetal.png", nil, nil, nil}
		NecroList.Items.HC2496 = {"Mods", nil, nil, "HC - Large Tupperware Container", "Hydrocraft.HCLargetup", "media/textures/Item_HCLargetup.png", nil, nil, nil}
		NecroList.Items.HC2497 = {"Mods", nil, nil, "HC - Large Tupperware Container without Lid", "Hydrocraft.HCLargetupbowl", "media/textures/Item_HCLargetupbowl.png", nil, nil, nil}
		NecroList.Items.HC2498 = {"Mods", nil, nil, "HC - Large Tupperware Container with Food (Fresh)", "Hydrocraft.HCLargetupfood", "media/textures/Item_HCLargetupfood.png", nil, nil, nil}
		NecroList.Items.HC2499 = {"Mods", nil, nil, "HC - Large Tupperware Lid", "Hydrocraft.HCLargetuplid", "media/textures/Item_HCLargetuplid.png", nil, nil, nil}
		NecroList.Items.HC2500 = {"Mods", nil, nil, "HC - Large Tupperware Container with Water", "Hydrocraft.HCLargetupwater", "media/textures/Item_HCLargetupwater.png", nil, nil, nil}
		NecroList.Items.HC2501 = {"Mods", nil, nil, "HC - Lasagna (Fresh)", "Hydrocraft.HCLasagna", "media/textures/Item_HCLasagna.png", nil, nil, nil}
		NecroList.Items.HC2502 = {"Mods", nil, nil, "HC - Uncooked Lasagna (Fresh Uncooked)", "Hydrocraft.HCLasagnauncooked", "media/textures/Item_HCLasagnauncooked.png", nil, nil, nil}
		NecroList.Items.HC2503 = {"Mods", nil, nil, "HC - Laser Pointer", "Hydrocraft.HCLaserpointer", "media/textures/Item_HCLaserpointer.png", nil, nil, nil}
		NecroList.Items.HC2504 = {"Mods", nil, nil, "HC - Laser Pointer", "Hydrocraft.HCLaserpointeron", "media/textures/Item_HCLaserpointeron.png", nil, nil, nil}
		NecroList.Items.HC2505 = {"Mods", nil, nil, "HC - Latex Gloves", "Hydrocraft.HCLatexgloves", "media/textures/Item_HCLatexgloves.png", nil, nil, nil}
		NecroList.Items.HC2506 = {"Mods", nil, nil, "HC - Lava Lamp", "Hydrocraft.HCLavalamp", "media/textures/Item_HCLavalamp.png", nil, nil, nil}
		NecroList.Items.HC2507 = {"Mods", nil, nil, "HC - Lavaret (Fresh Uncooked)", "Hydrocraft.HCLavaret", "media/textures/Item_HCLavaret.png", nil, nil, nil}
		NecroList.Items.HC2508 = {"Mods", nil, nil, "HC - Lavender", "Hydrocraft.HCLavender", "media/textures/Item_HCLavender.png", nil, nil, nil}
		NecroList.Items.HC2509 = {"Mods", nil, nil, "HC - Dried Lavender", "Hydrocraft.HCLavenderdry", "media/textures/Item_HCLavenderdry.png", nil, nil, nil}
		NecroList.Items.HC2510 = {"Mods", nil, nil, "HC - Lawnmower", "Hydrocraft.HCLawnmower", "media/textures/Item_HCLawnmower.png", nil, nil, nil}
		NecroList.Items.HC2511 = {"Mods", nil, nil, "HC - LDR", "Hydrocraft.HCLDR", "media/textures/Item_HCLDR.png", nil, nil, nil}
		NecroList.Items.HC2512 = {"Mods", nil, nil, "HC - Small Lead Sheet", "Hydrocraft.HCLeadboard", "media/textures/Item_HCLeadboard.png", nil, nil, nil}
		NecroList.Items.HC2513 = {"Mods", nil, nil, "HC - Leadcrete Block", "Hydrocraft.HCLeadcreteblock", "media/textures/Item_HCLeadcreteblock.png", nil, nil, nil}
		NecroList.Items.HC2514 = {"Mods", nil, nil, "HC - Lead Ingot", "Hydrocraft.HCLeadingot", "media/textures/Item_HCLeadingot.png", nil, nil, nil}
		NecroList.Items.HC2515 = {"Mods", nil, nil, "HC - Lead Ore", "Hydrocraft.HCLeadore", "media/textures/Item_HCLeadore.png", nil, nil, nil}
		NecroList.Items.HC2516 = {"Mods", nil, nil, "HC - Lead Powder", "Hydrocraft.HCLeadpowder", "media/textures/Item_HCLeadpowder.png", nil, nil, nil}
		NecroList.Items.HC2517 = {"Mods", nil, nil, "HC - Lead Rod", "Hydrocraft.HCLeadrod", "media/textures/Item_HCLeadrod.png", nil, nil, nil}
		NecroList.Items.HC2518 = {"Mods", nil, nil, "HC - Lead Sheet", "Hydrocraft.HCLeadsheet", "media/textures/Item_HCLeadsheet.png", nil, nil, nil}
		NecroList.Items.HC2519 = {"Mods", nil, nil, "HC - Large Lead Sheet", "Hydrocraft.HCLeadsheetlarge", "media/textures/Item_HCLeadsheetlarge.png", nil, nil, nil}
		NecroList.Items.HC2520 = {"Mods", nil, nil, "HC - Leather", "Hydrocraft.HCLeather", "media/textures/Item_HCLeather.png", nil, nil, nil}
		NecroList.Items.HC2521 = {"Mods", nil, nil, "HC - Leather Bag", "Hydrocraft.HCLeatherbag", "media/textures/Item_HCLeatherbag.png", nil, nil, nil}
		NecroList.Items.HC2522 = {"Mods", nil, nil, "HC - Leather Boots", "Hydrocraft.HCLeatherboots", "media/textures/Item_HCLeatherboots.png", nil, nil, nil}
		NecroList.Items.HC2523 = {"Mods", nil, nil, "HC - Leather Coat", "Hydrocraft.HCLeathercoat", "media/textures/Item_HCLeathercoat.png", nil, nil, nil}
		NecroList.Items.HC2524 = {"Mods", nil, nil, "HC - Fine Leather", "Hydrocraft.HCLeatherfine", "media/textures/Item_HCLeatherfine.png", nil, nil, nil}
		NecroList.Items.HC2525 = {"Mods", nil, nil, "HC - Hardened Leather", "Hydrocraft.HCLeatherhard", "media/textures/Item_HCLeatherhard.png", nil, nil, nil}
		NecroList.Items.HC2526 = {"Mods", nil, nil, "HC - Leather Pants", "Hydrocraft.HCLeatherpants", "media/textures/Item_HCLeatherpants.png", nil, nil, nil}
		NecroList.Items.HC2527 = {"Mods", nil, nil, "HC - Blue LED", "Hydrocraft.HCLedblue", "media/textures/Item_HCLedblue.png", nil, nil, nil}
		NecroList.Items.HC2528 = {"Mods", nil, nil, "HC - Green LED", "Hydrocraft.HCLedgreen", "media/textures/Item_HCLedgreen.png", nil, nil, nil}
		NecroList.Items.HC2529 = {"Mods", nil, nil, "HC - Red LED", "Hydrocraft.HCLedred", "media/textures/Item_HCLedred.png", nil, nil, nil}
		NecroList.Items.HC2530 = {"Mods", nil, nil, "HC - Yellow LED", "Hydrocraft.HCLedyellow", "media/textures/Item_HCLedyellow.png", nil, nil, nil}
		NecroList.Items.HC2531 = {"Mods", nil, nil, "HC - Leech", "Hydrocraft.HCLeech", "media/textures/Item_HCLeech.png", nil, nil, nil}
		NecroList.Items.HC2532 = {"Mods", nil, nil, "HC - Bloated Leech", "Hydrocraft.HCLeechbloated", "media/textures/Item_HCLeechbloated.png", nil, nil, nil}
		NecroList.Items.HC2533 = {"Mods", nil, nil, "HC - Leek Seeds", "Hydrocraft.HCLeekseeds", "media/textures/Item_HCLeekseeds.png", nil, nil, nil}
		NecroList.Items.HC2534 = {"Mods", nil, nil, "HC - Leek Seeds Packet", "Hydrocraft.HCLeekseedspacket", "media/textures/Item_HCLeekseedspacket.png", nil, nil, nil}
		NecroList.Items.HC2535 = {"Mods", nil, nil, "HC - Leftovers (Fresh)", "Hydrocraft.HCLeftovers1", "media/textures/Item_HCLeftovers1.png", nil, nil, nil}
		NecroList.Items.HC2536 = {"Mods", nil, nil, "HC - Chinese Takeout (Fresh)", "Hydrocraft.HCLeftovers2", "media/textures/Item_HCLeftovers2.png", nil, nil, nil}
		NecroList.Items.HC2537 = {"Mods", nil, nil, "HC - Bone Leg Guards", "Hydrocraft.HCLegarmorbone", "media/textures/Item_HCLegarmorbone.png", nil, nil, nil}
		NecroList.Items.HC2538 = {"Mods", nil, nil, "HC - Bronze Leg Guards", "Hydrocraft.HCLegarmorbronze", "media/textures/Item_HCLegarmorbronze.png", nil, nil, nil}
		NecroList.Items.HC2539 = {"Mods", nil, nil, "HC - Bubble Wrap Leg Guards", "Hydrocraft.HCLegarmorbubblewrap", "media/textures/Item_HCLegarmorbubblewrap.png", nil, nil, nil}
		NecroList.Items.HC2540 = {"Mods", nil, nil, "HC - Chainmail Leg Guards", "Hydrocraft.HCLegarmorchainmail", "media/textures/Item_HCLegarmorchainmail.png", nil, nil, nil}
		NecroList.Items.HC2541 = {"Mods", nil, nil, "HC - Copper Leg Guards", "Hydrocraft.HCLegarmorcopper", "media/textures/Item_HCLegarmorcopper.png", nil, nil, nil}
		NecroList.Items.HC2542 = {"Mods", nil, nil, "HC - Hardened Leather Leg Guards", "Hydrocraft.HCLegarmorhardenedleather", "media/textures/Item_HCLegarmorhardenedleather.png", nil, nil, nil}
		NecroList.Items.HC2543 = {"Mods", nil, nil, "HC - Hide Leg Guards", "Hydrocraft.HCLegarmorhide", "media/textures/Item_HCLegarmorhide.png", nil, nil, nil}
		NecroList.Items.HC2544 = {"Mods", nil, nil, "HC - Iron Leg Guards", "Hydrocraft.HCLegarmoriron", "media/textures/Item_HCLegarmoriron.png", nil, nil, nil}
		NecroList.Items.HC2545 = {"Mods", nil, nil, "HC - Kevlar Leg Guards", "Hydrocraft.HCLegarmorkevlar", "media/textures/Item_HCLegarmorkevlar.png", nil, nil, nil}
		NecroList.Items.HC2546 = {"Mods", nil, nil, "HC - Lamelar Leg Guards", "Hydrocraft.HCLegarmorlamelar", "media/textures/Item_HCLegarmorlamelar.png", nil, nil, nil}
		NecroList.Items.HC2547 = {"Mods", nil, nil, "HC - Leather Leg Guards", "Hydrocraft.HCLegarmorleather", "media/textures/Item_HCLegarmorleather.png", nil, nil, nil}
		NecroList.Items.HC2548 = {"Mods", nil, nil, "HC - Log Leg Guards", "Hydrocraft.HCLegarmorlog", "media/textures/Item_HCLegarmorlog.png", nil, nil, nil}
		NecroList.Items.HC2549 = {"Mods", nil, nil, "HC - Padded Leg Guards", "Hydrocraft.HCLegarmorpadded", "media/textures/Item_HCLegarmorpadded.png", nil, nil, nil}
		NecroList.Items.HC2550 = {"Mods", nil, nil, "HC - Paintball Leg Guards", "Hydrocraft.HCLegarmorpaintball", "media/textures/Item_HCLegarmorpaintball.png", nil, nil, nil}
		NecroList.Items.HC2551 = {"Mods", nil, nil, "HC - Riot Leg Guards", "Hydrocraft.HCLegarmorriot", "media/textures/Item_HCLegarmorriot.png", nil, nil, nil}
		NecroList.Items.HC2552 = {"Mods", nil, nil, "HC - Samurai Leg Guards", "Hydrocraft.HCLegarmorsamurai", "media/textures/Item_HCLegarmorsamurai.png", nil, nil, nil}
		NecroList.Items.HC2553 = {"Mods", nil, nil, "HC - Scalemail Leg Guards", "Hydrocraft.HCLegarmorscalemail", "media/textures/Item_HCLegarmorscalemail.png", nil, nil, nil}
		NecroList.Items.HC2554 = {"Mods", nil, nil, "HC - Steel Leg Guards", "Hydrocraft.HCLegarmorsteel", "media/textures/Item_HCLegarmorsteel.png", nil, nil, nil}
		NecroList.Items.HC2555 = {"Mods", nil, nil, "HC - Studded Leather Leg Guards", "Hydrocraft.HCLegarmorstuddedleather", "media/textures/Item_HCLegarmorstuddedleather.png", nil, nil, nil}
		NecroList.Items.HC2556 = {"Mods", nil, nil, "HC - Swat Leg Guards", "Hydrocraft.HCLegarmorswat", "media/textures/Item_HCLegarmorswat.png", nil, nil, nil}
		NecroList.Items.HC2557 = {"Mods", nil, nil, "HC - Tire Leg Guards", "Hydrocraft.HCLegarmortire", "media/textures/Item_HCLegarmortire.png", nil, nil, nil}
		NecroList.Items.HC2558 = {"Mods", nil, nil, "HC - Homemade Lemonade", "Hydrocraft.HCLemonade1", "Item_Pop_water", nil, nil, nil}
		NecroList.Items.HC2559 = {"Mods", nil, nil, "HC - Homemade Lemonade", "Hydrocraft.HCLemonade2", "Item_WaterBottle_Full", nil, nil, nil}
		NecroList.Items.HC2560 = {"Mods", nil, nil, "HC - Bottle of Lemon Juice", "Hydrocraft.HCLemonjuicebottle", "media/textures/Item_HCLemonjuicebottle.png", nil, nil, nil}
		NecroList.Items.HC2561 = {"Mods", nil, nil, "HC - Bowl of Lemon Juice (Fresh)", "Hydrocraft.HCLemonjuicebowl", "media/textures/Item_HCLemonjuicebowl.png", nil, nil, nil}
		NecroList.Items.HC2562 = {"Mods", nil, nil, "HC - Lemon Pepper Seasoning", "Hydrocraft.HCLemonpepper", "media/textures/Item_HCLemonpepper.png", nil, nil, nil}
		NecroList.Items.HC2563 = {"Mods", nil, nil, "HC - Lemon Seeds", "Hydrocraft.HCLemonseeds", "media/textures/Item_HCLemonseeds.png", nil, nil, nil}
		NecroList.Items.HC2564 = {"Mods", nil, nil, "HC - Lemon Seeds Packet", "Hydrocraft.HCLemonseedspacket", "media/textures/Item_HCLemonseedspacket.png", nil, nil, nil}
		NecroList.Items.HC2565 = {"Mods", nil, nil, "HC - Lettuce Seeds", "Hydrocraft.HCLettuceseeds", "media/textures/Item_HCLettuceseeds.png", nil, nil, nil}
		NecroList.Items.HC2566 = {"Mods", nil, nil, "HC - Lettuce Seeds Packet", "Hydrocraft.HCLettuceseedspacket", "media/textures/Item_HCLettuceseedspacket.png", nil, nil, nil}
		NecroList.Items.HC2567 = {"Mods", nil, nil, "HC - Lever", "Hydrocraft.HCLever", "media/textures/Item_HCLever.png", nil, nil, nil}
		NecroList.Items.HC2568 = {"Mods", nil, nil, "HC - Licence Plate", "Hydrocraft.HCLicenceplate", "media/textures/Item_HCLicenceplate.png", nil, nil, nil}
		NecroList.Items.HC2569 = {"Mods", nil, nil, "HC - Life Vest", "Hydrocraft.HCLifevest", "media/textures/Item_HCLifevest.png", nil, nil, nil}
		NecroList.Items.HC2570 = {"Mods", nil, nil, "HC - Empty Lighter", "Hydrocraft.HCLighterempty", "Item_Lighter", nil, nil, nil}
		NecroList.Items.HC2571 = {"Mods", nil, nil, "HC - Lighter Fluid", "Hydrocraft.HCLighterfluid", "media/textures/Item_HCLighterfluid.png", nil, nil, nil}
		NecroList.Items.HC2572 = {"Mods", nil, nil, "HC - Lime (Fresh)", "Hydrocraft.HCLime", "media/textures/Item_HCLime.png", nil, nil, nil}
		NecroList.Items.HC2573 = {"Mods", nil, nil, "HC - Bottle of Lime Juice", "Hydrocraft.HCLimejuicebottle", "media/textures/Item_HCLimejuicebottle.png", nil, nil, nil}
		NecroList.Items.HC2574 = {"Mods", nil, nil, "HC - Bowl of Lime Juice (Fresh)", "Hydrocraft.HCLimejuicebowl", "media/textures/Item_HCLimejuicebowl.png", nil, nil, nil}
		NecroList.Items.HC2575 = {"Mods", nil, nil, "HC - Linen Cloth", "Hydrocraft.HCLinencloth", "media/textures/Item_HCLinencloth.png", nil, nil, nil}
		NecroList.Items.HC2576 = {"Mods", nil, nil, "HC - Linen Pants", "Hydrocraft.HCLinenpants", "media/textures/Item_HCLinenpants.png", nil, nil, nil}
		NecroList.Items.HC2577 = {"Mods", nil, nil, "HC - Linen Shirt", "Hydrocraft.HCLinenshirt", "media/textures/Item_HCLinenshirt.png", nil, nil, nil}
		NecroList.Items.HC2578 = {"Mods", nil, nil, "HC - Linen Thread", "Hydrocraft.HCLinenthread", "media/textures/Item_HCLinenthread.png", nil, nil, nil}
		NecroList.Items.HC2579 = {"Mods", nil, nil, "HC - Lithium Ingot", "Hydrocraft.HCLithiumingot", "media/textures/Item_HCLithiumingot.png", nil, nil, nil}
		NecroList.Items.HC2580 = {"Mods", nil, nil, "HC - Lithium Ore", "Hydrocraft.HCLithiumore", "media/textures/Item_HCLithiumore.png", nil, nil, nil}
		NecroList.Items.HC2581 = {"Mods", nil, nil, "HC - Lithium Powder", "Hydrocraft.HCLithiumpowder", "media/textures/Item_HCLithiumpowder.png", nil, nil, nil}
		NecroList.Items.HC2582 = {"Mods", nil, nil, "HC - Lobster Mushroom (Fresh)", "Hydrocraft.HCLobstershroom", "media/textures/Item_HCLobstermushroom.png", nil, nil, nil}
		NecroList.Items.HC2583 = {"Mods", nil, nil, "HC - Log Barricade", "Hydrocraft.HCLogbarricade", "media/textures/Item_HCLogbarricade.png", nil, nil, nil}
		NecroList.Items.HC2584 = {"Mods", nil, nil, "HC - Pallet of Logs", "Hydrocraft.HCLogbox", "media/textures/Item_HCLogbox.png", nil, nil, nil}
		NecroList.Items.HC2585 = {"Mods", nil, nil, "HC - Log Pillar", "Hydrocraft.HCLogpillar", "media/textures/Item_HCLogpillar.png", nil, nil, nil}
		NecroList.Items.HC2586 = {"Mods", nil, nil, "HC - Log Pile", "Hydrocraft.HCLogstack1", "media/textures/Item_HCLogstack1.png", nil, nil, nil}
		NecroList.Items.HC2587 = {"Mods", nil, nil, "HC - Log Pile", "Hydrocraft.HCLogstack2", "media/textures/Item_HCLogstack2.png", nil, nil, nil}
		NecroList.Items.HC2588 = {"Mods", nil, nil, "HC - Log Pile", "Hydrocraft.HCLogstack3", "media/textures/Item_HCLogstack3.png", nil, nil, nil}
		NecroList.Items.HC2589 = {"Mods", nil, nil, "HC - Log Stack", "Hydrocraft.HCLogstack4", "media/textures/Item_HCLogstack4.png", nil, nil, nil}
		NecroList.Items.HC2590 = {"Mods", nil, nil, "HC - Infinate Log Stack", "Hydrocraft.HCLogstackinfinate", "media/textures/Item_HCLogstack4.png", nil, nil, nil}
		NecroList.Items.HC2591 = {"Mods", nil, nil, "HC - Long Bow", "Hydrocraft.HCLongbow", "media/textures/Item_HCLongbow.png", nil, nil, nil}
		NecroList.Items.HC2592 = {"Mods", nil, nil, "HC - Loofah", "Hydrocraft.HCLoofah", "media/textures/Item_HCLoofah.png", nil, nil, nil}
		NecroList.Items.HC2593 = {"Mods", nil, nil, "HC - Primitive Loom", "Hydrocraft.HCLoom", "media/textures/Item_HCLoom.png", nil, nil, nil}
		NecroList.Items.HC2594 = {"Mods", nil, nil, "HC - Floor Loom", "Hydrocraft.HCLoomfloor", "media/textures/Item_HCLoomfloor.png", nil, nil, nil}
		NecroList.Items.HC2595 = {"Mods", nil, nil, "HC - Lotus Flower", "Hydrocraft.HCLotusflower", "media/textures/Item_HCLotusflower.png", nil, nil, nil}
		NecroList.Items.HC2596 = {"Mods", nil, nil, "HC - Lotus Leaf", "Hydrocraft.HCLotusleaf", "media/textures/Item_HCLotusleaf.png", nil, nil, nil}
		NecroList.Items.HC2597 = {"Mods", nil, nil, "HC - Lotus Root", "Hydrocraft.HCLotusroot", "media/textures/Item_HCLotusroot.png", nil, nil, nil}
		NecroList.Items.HC2598 = {"Mods", nil, nil, "HC - Luchador Wrestling Mask", "Hydrocraft.HCLuchadorwrestlingmask", "media/textures/Item_HCLuchadorwrestlingmask.png", nil, nil, nil}
		NecroList.Items.HC2599 = {"Mods", nil, nil, "HC - Luggage", "Hydrocraft.HCLuggage", "media/textures/Item_HCLuggage.png", nil, nil, nil}
		NecroList.Items.HC2600 = {"Mods", nil, nil, "HC - Roller Luggage", "Hydrocraft.HCLuggage2", "media/textures/Item_HCLuggage2.png", nil, nil, nil}
		NecroList.Items.HC2601 = {"Mods", nil, nil, "HC - Pallet of Lumber", "Hydrocraft.HCLumberbox", "media/textures/Item_HCLumberbox.png", nil, nil, nil}
		NecroList.Items.HC2602 = {"Mods", nil, nil, "HC - Lumber Stack", "Hydrocraft.HCLumberstack", "media/textures/Item_HCLumberstack.png", nil, nil, nil}
		NecroList.Items.HC2603 = {"Mods", nil, nil, "HC - Lunch Box", "Hydrocraft.HCLunchbox", "media/textures/Item_HCLunchbox.png", nil, nil, nil}
		NecroList.Items.HC2604 = {"Mods", nil, nil, "HC - Birch Bark Lure", "Hydrocraft.HCLurebirchbark", "media/textures/Item_HCLurebirchbark.png", nil, nil, nil}
		NecroList.Items.HC2605 = {"Mods", nil, nil, "HC - Feather Lure", "Hydrocraft.HCLurefeatherfly", "media/textures/Item_HCLurefeatherfly.png", nil, nil, nil}
		NecroList.Items.HC2606 = {"Mods", nil, nil, "HC - Garland Lure", "Hydrocraft.HCLuregarland", "media/textures/Item_HCLuregarland.png", nil, nil, nil}
		NecroList.Items.HC2607 = {"Mods", nil, nil, "HC - Pinecone Lure", "Hydrocraft.HCLurepinecone", "media/textures/Item_HCLurepinecone.png", nil, nil, nil}
		NecroList.Items.HC2608 = {"Mods", nil, nil, "HC - Stick Lure", "Hydrocraft.HCLurestick", "media/textures/Item_HCLurestick.png", nil, nil, nil}
		NecroList.Items.HC2609 = {"Mods", nil, nil, "HC - Wooden Fish Lure", "Hydrocraft.HCLurewoodfish", "media/textures/Item_HCLurewoodfish.png", nil, nil, nil}
		NecroList.Items.HC2610 = {"Mods", nil, nil, "HC - Macerator", "Hydrocraft.HCMacerator", "media/textures/Item_HCMacerator.png", nil, nil, nil}
		NecroList.Items.HC2611 = {"Mods", nil, nil, "HC - Machete", "Hydrocraft.HCMachete", "media/textures/Item_HCMachete.png", nil, nil, nil}
		NecroList.Items.HC2612 = {"Mods", nil, nil, "HC - Mackerel (Fresh Uncooked)", "Hydrocraft.HCMackerel", "media/textures/Item_HCMackerel.png", nil, nil, nil}
		NecroList.Items.HC2613 = {"Mods", nil, nil, "HC - Mackerel Pike (Fresh Uncooked)", "Hydrocraft.HCMackerelpike", "media/textures/Item_HCMackerelpike.png", nil, nil, nil}
		NecroList.Items.HC2614 = {"Mods", nil, nil, "HC - Magnetron", "Hydrocraft.HCMag", "media/textures/Item_HCMag.png", nil, nil, nil}
		NecroList.Items.HC2615 = {"Mods", nil, nil, "HC - Backyard Electronics Vol 1", "Hydrocraft.HCMagazineelectronics01", "media/textures/Item_HCMagazineelectronics01.png", nil, nil, nil}
		NecroList.Items.HC2616 = {"Mods", nil, nil, "HC - Backyard Electronics Vol 2", "Hydrocraft.HCMagazineelectronics02", "media/textures/Item_HCMagazineelectronics02.png", nil, nil, nil}
		NecroList.Items.HC2617 = {"Mods", nil, nil, "HC - Backyard Electronics Vol 3", "Hydrocraft.HCMagazineelectronics03", "media/textures/Item_HCMagazineelectronics03.png", nil, nil, nil}
		NecroList.Items.HC2618 = {"Mods", nil, nil, "HC - Better Shelters and Farms", "Hydrocraft.HCMagazinefarming1", "media/textures/Item_HCMagazinefarming1.png", nil, nil, nil}
		NecroList.Items.HC2619 = {"Mods", nil, nil, "HC - Metalworking Monthly Magazine", "Hydrocraft.HCMagazinemetalworking1", "media/textures/Item_HCMagazinemetalworking1.png", nil, nil, nil}
		NecroList.Items.HC2620 = {"Mods", nil, nil, "HC - Metalworking Monthly Magazine", "Hydrocraft.HCMagazinemetalworking2", "media/textures/Item_HCMagazinemetalworking2.png", nil, nil, nil}
		NecroList.Items.HC2621 = {"Mods", nil, nil, "HC - Metalworking Monthly Magazine", "Hydrocraft.HCMagazinemetalworking3", "media/textures/Item_HCMagazinemetalworking3.png", nil, nil, nil}
		NecroList.Items.HC2622 = {"Mods", nil, nil, "HC - Metalworking Monthly Magazine", "Hydrocraft.HCMagazinemetalworking4", "media/textures/Item_HCMagazinemetalworking4.png", nil, nil, nil}
		NecroList.Items.HC2623 = {"Mods", nil, nil, "HC - Metalworking Monthly Magazine", "Hydrocraft.HCMagazinemetalworking5", "media/textures/Item_HCMagazinemetalworking5.png", nil, nil, nil}
		NecroList.Items.HC2624 = {"Mods", nil, nil, "HC - Metalworking Monthly Magazine", "Hydrocraft.HCMagazinemetalworking6", "media/textures/Item_HCMagazinemetalworking6.png", nil, nil, nil}
		NecroList.Items.HC2625 = {"Mods", nil, nil, "HC - Metalworking Monthly Magazine", "Hydrocraft.HCMagazinemetalworking7", "media/textures/Item_HCMagazinemetalworking7.png", nil, nil, nil}
		NecroList.Items.HC2626 = {"Mods", nil, nil, "HC - Popular Machines Vol 1", "Hydrocraft.HCMagazinespopularmachines01", "media/textures/Item_HCMagazinespopularmachines01.png", nil, nil, nil}
		NecroList.Items.HC2627 = {"Mods", nil, nil, "HC - Old Christmas Magazine", "Hydrocraft.HCMagazinexmas", "media/textures/Item_HCMagazinexmas.png", nil, nil, nil}
		NecroList.Items.HC2628 = {"Mods", nil, nil, "HC - Maggot", "Hydrocraft.HCMaggot", "media/textures/Item_HCMaggot.png", nil, nil, nil}
		NecroList.Items.HC2629 = {"Mods", nil, nil, "HC - Magic 8 Ball", "Hydrocraft.HCMagic8ball", "media/textures/Item_HCMagic8ball.png", nil, nil, nil}
		NecroList.Items.HC2630 = {"Mods", nil, nil, "HC - Magnesium Striker", "Hydrocraft.HCMagnesiumstriker", "media/textures/Item_HCMagnesiumstriker.png", nil, nil, nil}
		NecroList.Items.HC2631 = {"Mods", nil, nil, "HC - Magnet", "Hydrocraft.HCMagnet", "media/textures/Item_HCMagnet.png", nil, nil, nil}
		NecroList.Items.HC2632 = {"Mods", nil, nil, "HC - Giant Magnet", "Hydrocraft.HCMagnetgiant", "media/textures/Item_HCMagnetgiant.png", nil, nil, nil}
		NecroList.Items.HC2633 = {"Mods", nil, nil, "HC - Magnetite", "Hydrocraft.HCMagnetite", "media/textures/Item_HCMagnetite.png", nil, nil, nil}
		NecroList.Items.HC2634 = {"Mods", nil, nil, "HC - Magnetite Ingot", "Hydrocraft.HCMagnetiteingot", "media/textures/Item_HCMagnetiteingot.png", nil, nil, nil}
		NecroList.Items.HC2635 = {"Mods", nil, nil, "HC - Magnetite Powder", "Hydrocraft.HCMagnetitepowder", "media/textures/Item_HCMagnetitepowder.png", nil, nil, nil}
		NecroList.Items.HC2636 = {"Mods", nil, nil, "HC - Magnifying Glass", "Hydrocraft.HCMagnifyglass", "media/textures/Item_HCMagnifyglass.png", nil, nil, nil}
		NecroList.Items.HC2637 = {"Mods", nil, nil, "HC - Magnolia", "Hydrocraft.HCMagnolia", "media/textures/Item_HCMagnolia.png", nil, nil, nil}
		NecroList.Items.HC2638 = {"Mods", nil, nil, "HC - Dead Magpie (Fresh)", "Hydrocraft.HCMagpiedead", "media/textures/Item_HCMagpiedead.png", nil, nil, nil}
		NecroList.Items.HC2639 = {"Mods", nil, nil, "HC - Mail Bag", "Hydrocraft.HCMailbag", "media/textures/Item_HCMailbag.png", nil, nil, nil}
		NecroList.Items.HC2640 = {"Mods", nil, nil, "HC - Makeshift Axe", "Hydrocraft.HCMakeshiftaxe", "Item_Axe", nil, nil, nil}
		NecroList.Items.HC2641 = {"Mods", nil, nil, "HC - Blunt Makeshift Axe", "Hydrocraft.HCMakeshiftaxeblunt", "Item_Axe", nil, nil, nil}
		NecroList.Items.HC2642 = {"Mods", nil, nil, "HC - Worn Makeshift Axe", "Hydrocraft.HCMakeshiftaxeworn", "Item_Axe", nil, nil, nil}
		NecroList.Items.HC2643 = {"Mods", nil, nil, "HC - Malachite", "Hydrocraft.HCMalachite", "media/textures/Item_HCMalachite.png", nil, nil, nil}
		NecroList.Items.HC2644 = {"Mods", nil, nil, "HC - Cut Malachite", "Hydrocraft.HCMalachitecut", "media/textures/Item_HCMalachitecut.png", nil, nil, nil}
		NecroList.Items.HC2645 = {"Mods", nil, nil, "HC - Dead Mallard (Fresh)", "Hydrocraft.HCMallarddead", "media/textures/Item_HCMallarddead.png", nil, nil, nil}
		NecroList.Items.HC2646 = {"Mods", nil, nil, "HC - Mallard (Female)", "Hydrocraft.HCMallardfemale", "media/textures/Item_HCMallardfemale.png", nil, nil, nil}
		NecroList.Items.HC2647 = {"Mods", nil, nil, "HC - Mallard (Male)", "Hydrocraft.HCMallardmale", "media/textures/Item_HCMallardmale.png", nil, nil, nil}
		NecroList.Items.HC2648 = {"Mods", nil, nil, "HC - Manometer", "Hydrocraft.HCManometer", "media/textures/Item_HCManometer.png", nil, nil, nil}
		NecroList.Items.HC2649 = {"Mods", nil, nil, "HC - Map", "Hydrocraft.HCMap", "media/textures/Item_HCMap.png", nil, nil, nil}
		NecroList.Items.HC2650 = {"Mods", nil, nil, "HC - Maple Leaf", "Hydrocraft.HCMapleleaf", "media/textures/Item_HCMapleleaf.png", nil, nil, nil}
		NecroList.Items.HC2651 = {"Mods", nil, nil, "HC - Maracas", "Hydrocraft.HCMaracas", "media/textures/Item_HCMaracas.png", nil, nil, nil}
		NecroList.Items.HC2652 = {"Mods", nil, nil, "HC - Marble", "Hydrocraft.HCMarble", "media/textures/Item_HCMarble.png", nil, nil, nil}
		NecroList.Items.HC2653 = {"Mods", nil, nil, "HC - Empty Margarita Glass", "Hydrocraft.HCMargaritaglassempty", "media/textures/Item_HCMargaritaglassempty.png", nil, nil, nil}
		NecroList.Items.HC2654 = {"Mods", nil, nil, "HC - Marjoram", "Hydrocraft.HCMarjoram", "media/textures/Item_HCMarjoram.png", nil, nil, nil}
		NecroList.Items.HC2655 = {"Mods", nil, nil, "HC - Creamy Mashed Potatos (Fresh Uncooked)", "Hydrocraft.HCMashedpotatoscreamy", "Item_PotFull", nil, nil, nil}
		NecroList.Items.HC2656 = {"Mods", nil, nil, "HC - Bowl of Creamy Mashed Potatos (Fresh)", "Hydrocraft.HCMashedpotatoscreamybowl", "media/textures/Item_HCMashedbowl.png", nil, nil, nil}
		NecroList.Items.HC2657 = {"Mods", nil, nil, "HC - Cooked Creamy Mashed Potatos (Fresh)", "Hydrocraft.HCMashedpotatoscreamycooked", "Item_PotFull", nil, nil, nil}
		NecroList.Items.HC2658 = {"Mods", nil, nil, "HC - Plain Mashed Potatos (Fresh Uncooked)", "Hydrocraft.HCMashedpotatosplain", "Item_PotFull", nil, nil, nil}
		NecroList.Items.HC2659 = {"Mods", nil, nil, "HC - Bowl of Plain Mashed Potatos (Fresh)", "Hydrocraft.HCMashedpotatosplainbowl", "media/textures/Item_HCMashedbowl.png", nil, nil, nil}
		NecroList.Items.HC2660 = {"Mods", nil, nil, "HC - Cooked Plain Mashed Potatos (Fresh)", "Hydrocraft.HCMashedpotatosplaincooked", "Item_PotFull", nil, nil, nil}
		NecroList.Items.HC2661 = {"Mods", nil, nil, "HC - Masking Tape", "Hydrocraft.HCMaskingtape", "media/textures/Item_HCMaskingtape.png", nil, nil, nil}
		NecroList.Items.HC2662 = {"Mods", nil, nil, "HC - Mason Trowel", "Hydrocraft.HCMasontrowel", "media/textures/Item_HCMasontrowel.png", nil, nil, nil}
		NecroList.Items.HC2663 = {"Mods", nil, nil, "HC - Club", "Hydrocraft.HCMasterclub", "media/textures/Item_HCMasterclub.png", nil, nil, nil}
		NecroList.Items.HC2664 = {"Mods", nil, nil, "HC - Club with Barbed Wire", "Hydrocraft.HCMasterclubbarbedwire", "media/textures/Item_HCMasterclubbarbedwire.png", nil, nil, nil}
		NecroList.Items.HC2665 = {"Mods", nil, nil, "HC - Club with Hedge Cutter Blade", "Hydrocraft.HCMasterclubcutter", "media/textures/Item_HCMasterclubcutter.png", nil, nil, nil}
		NecroList.Items.HC2666 = {"Mods", nil, nil, "HC - Nailed Club", "Hydrocraft.HCMasterclubnails", "media/textures/Item_HCMasterclubnails.png", nil, nil, nil}
		NecroList.Items.HC2667 = {"Mods", nil, nil, "HC - Club with Screws", "Hydrocraft.HCMasterclubscrews", "media/textures/Item_HCMasterclubscrews.png", nil, nil, nil}
		NecroList.Items.HC2668 = {"Mods", nil, nil, "HC - Club with Tent Pegs", "Hydrocraft.HCMasterclubtentpegs", "media/textures/Item_HCMasterclubtentpegs.png", nil, nil, nil}
		NecroList.Items.HC2669 = {"Mods", nil, nil, "HC - Club with Hedge Trimmer Blade", "Hydrocraft.HCMasterclubtrimmer", "media/textures/Item_HCMasterclubtrimmer.png", nil, nil, nil}
		NecroList.Items.HC2670 = {"Mods", nil, nil, "HC - Club with Wrench", "Hydrocraft.HCMasterclubwrench", "media/textures/Item_HCMasterclubwrench.png", nil, nil, nil}
		NecroList.Items.HC2671 = {"Mods", nil, nil, "HC - Apple Juice", "Hydrocraft.HCMayonnaiseapplejuice", "media/textures/Item_HCMayonnaiseapplejuice.png", nil, nil, nil}
		NecroList.Items.HC2672 = {"Mods", nil, nil, "HC - Blackberry Juice", "Hydrocraft.HCMayonnaiseblackberryjuice", "media/textures/Item_HCMayonnaiseblackberryjuice.png", nil, nil, nil}
		NecroList.Items.HC2673 = {"Mods", nil, nil, "HC - Blueberry Juice", "Hydrocraft.HCMayonnaiseblueberryjuice", "media/textures/Item_HCMayonnaiseblueberryjuice.png", nil, nil, nil}
		NecroList.Items.HC2674 = {"Mods", nil, nil, "HC - Carrot Juice", "Hydrocraft.HCMayonnaisecarrotjuice", "media/textures/Item_HCMayonnaisecarrotjuice.png", nil, nil, nil}
		NecroList.Items.HC2675 = {"Mods", nil, nil, "HC - Cherry Juice", "Hydrocraft.HCMayonnaisecherryjuice", "media/textures/Item_HCMayonnaisecherryjuice.png", nil, nil, nil}
		NecroList.Items.HC2676 = {"Mods", nil, nil, "HC - Grape Juice", "Hydrocraft.HCMayonnaisegrapejuice", "media/textures/Item_HCMayonnaisegrapejuice.png", nil, nil, nil}
		NecroList.Items.HC2677 = {"Mods", nil, nil, "HC - Lemon Juice", "Hydrocraft.HCMayonnaiselemonjuice", "media/textures/Item_HCMayonnaiselemonjuice.png", nil, nil, nil}
		NecroList.Items.HC2678 = {"Mods", nil, nil, "HC - Lime Juice", "Hydrocraft.HCMayonnaiselimejuice", "media/textures/Item_HCMayonnaiselimejuice.png", nil, nil, nil}
		NecroList.Items.HC2679 = {"Mods", nil, nil, "HC - Orange Juice", "Hydrocraft.HCMayonnaiseorangejuice", "media/textures/Item_HCMayonnaiseorangejuice.png", nil, nil, nil}
		NecroList.Items.HC2680 = {"Mods", nil, nil, "HC - Pineapple Juice", "Hydrocraft.HCMayonnaisepineapplejuice", "media/textures/Item_HCMayonnaisepineapplejuice.png", nil, nil, nil}
		NecroList.Items.HC2681 = {"Mods", nil, nil, "HC - Strawberry Juice", "Hydrocraft.HCMayonnaisestrawberryjuice", "media/textures/Item_HCMayonnaisestrawberryjuice.png", nil, nil, nil}
		NecroList.Items.HC2682 = {"Mods", nil, nil, "HC - Tomato Juice", "Hydrocraft.HCMayonnaisetomatojuice", "media/textures/Item_HCMayonnaisetomatojuice.png", nil, nil, nil}
		NecroList.Items.HC2683 = {"Mods", nil, nil, "HC - Watermelon Juice", "Hydrocraft.HCMayonnaisewatermelonjuice", "media/textures/Item_HCMayonnaisewatermelonjuice.png", nil, nil, nil}
		NecroList.Items.HC2684 = {"Mods", nil, nil, "HC - Wild Berry Juice", "Hydrocraft.HCMayonnaisewildberryjuice", "media/textures/Item_HCMayonnaisewildberryjuice.png", nil, nil, nil}
		NecroList.Items.HC2685 = {"Mods", nil, nil, "HC - Mazus", "Hydrocraft.HCMazus", "media/textures/Item_HCMazus.png", nil, nil, nil}
		NecroList.Items.HC2686 = {"Mods", nil, nil, "HC - Mead", "Hydrocraft.HCMead", "media/textures/Item_HCMead.png", nil, nil, nil}
		NecroList.Items.HC2687 = {"Mods", nil, nil, "HC - Mead", "Hydrocraft.HCMead2", "media/textures/Item_HCMead2.png", nil, nil, nil}
		NecroList.Items.HC2688 = {"Mods", nil, nil, "HC - Measuring Cup", "Hydrocraft.HCMeasuringcup", "media/textures/Item_HCMeasuringcup.png", nil, nil, nil}
		NecroList.Items.HC2689 = {"Mods", nil, nil, "HC - Measuring Tape", "Hydrocraft.HCMeasuringtape", "media/textures/Item_HCMeasuringtape.png", nil, nil, nil}
		NecroList.Items.HC2690 = {"Mods", nil, nil, "HC - Meat cleaver", "Hydrocraft.HCMeatcleaver", "media/textures/Item_HCMeatcleaver.png", nil, nil, nil}
		NecroList.Items.HC2691 = {"Mods", nil, nil, "HC - Meat Grinder", "Hydrocraft.HCMeatgrinder", "media/textures/Item_HCMeatgrinder.png", nil, nil, nil}
		NecroList.Items.HC2692 = {"Mods", nil, nil, "HC - Doctor's Bag", "Hydrocraft.HCMedicalbag", "media/textures/Item_HCMedicalbag.png", nil, nil, nil}
		NecroList.Items.HC2693 = {"Mods", nil, nil, "HC - Medical Box", "Hydrocraft.HCMedicalbox", "media/textures/Item_HCMedicalbox.png", nil, nil, nil}
		NecroList.Items.HC2694 = {"Mods", nil, nil, "HC - Medical Lab", "Hydrocraft.HCMedicallab", "media/textures/Item_HCMedicallab.png", nil, nil, nil}
		NecroList.Items.HC2695 = {"Mods", nil, nil, "HC - Box with Medical Skeleton", "Hydrocraft.HCMedicalskeletonbox", "media/textures/Item_HCMedicalskeletonbox.png", nil, nil, nil}
		NecroList.Items.HC2696 = {"Mods", nil, nil, "HC - Medical Skeleton Holder", "Hydrocraft.HCMedicalskeletonholder", "media/textures/Item_HCMedicalskeletonholder.png", nil, nil, nil}
		NecroList.Items.HC2697 = {"Mods", nil, nil, "HC - Medical Skeleton Holder Parts", "Hydrocraft.HCMedicalskeletonholderparts", "media/textures/Item_HCMedicalskeletonholderparts.png", nil, nil, nil}
		NecroList.Items.HC2698 = {"Mods", nil, nil, "HC - Medical Skeleton", "Hydrocraft.HCMedicalskeletonhooked", "media/textures/Item_HCMedicalskeletonhooked.png", nil, nil, nil}
		NecroList.Items.HC2699 = {"Mods", nil, nil, "HC - Medical Skeleton Parts", "Hydrocraft.HCMedicalskeletonparts", "media/textures/Item_HCMedicalskeletonparts.png", nil, nil, nil}
		NecroList.Items.HC2700 = {"Mods", nil, nil, "HC - Medium Tupperware Container", "Hydrocraft.HCMediumtup", "media/textures/Item_HCMediumtup.png", nil, nil, nil}
		NecroList.Items.HC2701 = {"Mods", nil, nil, "HC - Medium Tupperware Container without Lid", "Hydrocraft.HCMediumtupbowl", "media/textures/Item_HCMediumtupbowl.png", nil, nil, nil}
		NecroList.Items.HC2702 = {"Mods", nil, nil, "HC - Medium Tupperware Container with Food (Fresh)", "Hydrocraft.HCMediumtupfood", "media/textures/Item_HCMediumtupfood.png", nil, nil, nil}
		NecroList.Items.HC2703 = {"Mods", nil, nil, "HC - Medium Tupperware Lid", "Hydrocraft.HCMediumtuplid", "media/textures/Item_HCMediumtuplid.png", nil, nil, nil}
		NecroList.Items.HC2704 = {"Mods", nil, nil, "HC - Medium Tupperware Container with Water", "Hydrocraft.HCMediumtupwater", "media/textures/Item_HCMediumtupwater.png", nil, nil, nil}
		NecroList.Items.HC2705 = {"Mods", nil, nil, "HC - Menstrual Pad", "Hydrocraft.HCMenstrualpad", "media/textures/Item_HCMenstrualpad.png", nil, nil, nil}
		NecroList.Items.HC2706 = {"Mods", nil, nil, "HC - Sterilized Menstrual Pad", "Hydrocraft.HCMenstrualpadAlcohol", "media/textures/Item_HCMenstrualpad.png", nil, nil, nil}
		NecroList.Items.HC2707 = {"Mods", nil, nil, "HC - Box of Menstrual Pads", "Hydrocraft.HCMenstrualpadbox", "media/textures/Item_HCMenstrualpadbox.png", nil, nil, nil}
		NecroList.Items.HC2708 = {"Mods", nil, nil, "HC - Dirty Menstrual Pad", "Hydrocraft.HCMenstrualpadDirty", "media/textures/Item_HCMenstrualpadDirty.png", nil, nil, nil}
		NecroList.Items.HC2709 = {"Mods", nil, nil, "HC - Menstral Pad with Herbal Medicine", "Hydrocraft.HCMenstrualpadherb", "media/textures/Item_HCMenstrualpadherb.png", nil, nil, nil}
		NecroList.Items.HC2710 = {"Mods", nil, nil, "HC - Menu", "Hydrocraft.HCMenu", "media/textures/Item_HCMenu.png", nil, nil, nil}
		NecroList.Items.HC2711 = {"Mods", nil, nil, "HC - Mesquite Smoke Spice", "Hydrocraft.HCMesquitesmoke", "media/textures/Item_HCMesquitesmoke.png", nil, nil, nil}
		NecroList.Items.HC2712 = {"Mods", nil, nil, "HC - Messenger Bag", "Hydrocraft.HCMessengerbag", "media/textures/Item_HCMessengerbag.png", nil, nil, nil}
		NecroList.Items.HC2713 = {"Mods", nil, nil, "HC - Small Metal Sheet", "Hydrocraft.HCMetalboard", "media/textures/Item_HCMetalboard.png", nil, nil, nil}
		NecroList.Items.HC2714 = {"Mods", nil, nil, "HC - Metal Box", "Hydrocraft.HCMetalbox", "media/textures/Item_HCMetalbox.png", nil, nil, nil}
		NecroList.Items.HC2715 = {"Mods", nil, nil, "HC - Metal Casing", "Hydrocraft.HCMetalcasing", "media/textures/Item_HCMetalcasing.png", nil, nil, nil}
		NecroList.Items.HC2716 = {"Mods", nil, nil, "HC - Steel Ring", "Hydrocraft.HCMetalring", "media/textures/Item_HCMetalring.png", nil, nil, nil}
		NecroList.Items.HC2717 = {"Mods", nil, nil, "HC - Iron Ring", "Hydrocraft.HCMetalringiron", "media/textures/Item_HCMetalringiron.png", nil, nil, nil}
		NecroList.Items.HC2718 = {"Mods", nil, nil, "HC - Pallet of Metal Sheets", "Hydrocraft.HCMetalsheetbox", "media/textures/Item_HCMetalsheetbox.png", nil, nil, nil}
		NecroList.Items.HC2719 = {"Mods", nil, nil, "HC - Steel Wheel", "Hydrocraft.HCMetalwheel", "media/textures/Item_HCMetalwheel.png", nil, nil, nil}
		NecroList.Items.HC2720 = {"Mods", nil, nil, "HC - Iron Wheel", "Hydrocraft.HCMetalwheeliron", "media/textures/Item_HCMetalwheeliron.png", nil, nil, nil}
		NecroList.Items.HC2721 = {"Mods", nil, nil, "HC - Meteorite", "Hydrocraft.HCMeteorite", "media/textures/Item_HCMeteorite.png", nil, nil, nil}
		NecroList.Items.HC2722 = {"Mods", nil, nil, "HC - Meteorite Powder", "Hydrocraft.HCMeteoritepowder", "media/textures/Item_HCMeteoritepowder.png", nil, nil, nil}
		NecroList.Items.HC2723 = {"Mods", nil, nil, "HC - Methanol", "Hydrocraft.HCMethanol", "media/textures/Item_HCMethanol.png", nil, nil, nil}
		NecroList.Items.HC2724 = {"Mods", nil, nil, "HC - Blue Empty Methylamin Barrel", "Hydrocraft.HCMethylaminbarrelblueempty", "media/textures/Item_HCMethylaminbarrelblue.png", nil, nil, nil}
		NecroList.Items.HC2725 = {"Mods", nil, nil, "HC - Blue Barrel with Methylamin", "Hydrocraft.HCMethylaminbarrelbluefull", "media/textures/Item_HCMethylaminbarrelblue.png", nil, nil, nil}
		NecroList.Items.HC2726 = {"Mods", nil, nil, "HC - Empty Methylamin Barrel", "Hydrocraft.HCMethylaminbarrelempty", "media/textures/Item_HCMethylaminbarrelmetal.png", nil, nil, nil}
		NecroList.Items.HC2727 = {"Mods", nil, nil, "HC - Metal Barrel with Methylamin", "Hydrocraft.HCMethylaminbarrelfull", "media/textures/Item_HCMethylaminbarrelmetal.png", nil, nil, nil}
		NecroList.Items.HC2728 = {"Mods", nil, nil, "HC - Mexican Pointy Shoes", "Hydrocraft.HCMexicanpointyshoes", "media/textures/Item_HCMexicanpointyshoes.png", nil, nil, nil}
		NecroList.Items.HC2729 = {"Mods", nil, nil, "HC - Mexican Poncho", "Hydrocraft.HCMexicanponcho", "media/textures/Item_HCMexicanponcho.png", nil, nil, nil}
		NecroList.Items.HC2730 = {"Mods", nil, nil, "HC - Mezcal", "Hydrocraft.HCMezcal", "media/textures/Item_HCMezcal.png", nil, nil, nil}
		NecroList.Items.HC2731 = {"Mods", nil, nil, "HC - Empty Mezcal Bottle with Worm", "Hydrocraft.HCMezcalemptyworm", "media/textures/Item_HCMezcalemptyworm.png", nil, nil, nil}
		NecroList.Items.HC2732 = {"Mods", nil, nil, "HC - Mezcal Worm", "Hydrocraft.HCMezcalworm", "media/textures/Item_HCMezcalworm.png", nil, nil, nil}
		NecroList.Items.HC2733 = {"Mods", nil, nil, "HC - Microscope", "Hydrocraft.HCMicroscope", "media/textures/Item_HCMicroscope.png", nil, nil, nil}
		NecroList.Items.HC2734 = {"Mods", nil, nil, "HC - Microscope Slide", "Hydrocraft.HCMicroscopeslide", "media/textures/Item_HCMicroscopeslide.png", nil, nil, nil}
		NecroList.Items.HC2735 = {"Mods", nil, nil, "HC - White Microwave", "Hydrocraft.HCMicrowave", "appliances_cooking_01_25_Icon", nil, nil, nil}
		NecroList.Items.HC2736 = {"Mods", nil, nil, "HC - Empty Milk Carton", "Hydrocraft.HCMilkempty", "media/textures/Item_HCMilkempty.png", nil, nil, nil}
		NecroList.Items.HC2737 = {"Mods", nil, nil, "HC - Milkweed Root", "Hydrocraft.HCMilkweedroot", "media/textures/Item_HCMilkweedroot.png", nil, nil, nil}
		NecroList.Items.HC2738 = {"Mods", nil, nil, "HC - Mine Cart", "Hydrocraft.HCMinecart", "media/textures/Item_HCMinecart.png", nil, nil, nil}
		NecroList.Items.HC2739 = {"Mods", nil, nil, "HC - Mine Hole", "Hydrocraft.HCMinehole", "media/textures/Item_HCMinehole.png", nil, nil, nil}
		NecroList.Items.HC2740 = {"Mods", nil, nil, "HC - Mine Hole with Pully", "Hydrocraft.HCMinehole2", "media/textures/Item_HCMinehole2.png", nil, nil, nil}
		NecroList.Items.HC2741 = {"Mods", nil, nil, "HC - Mine Hole with Pully", "Hydrocraft.HCMinehole2B", "media/textures/Item_HCMinehole2.png", nil, nil, nil}
		NecroList.Items.HC2742 = {"Mods", nil, nil, "HC - Mine Hole", "Hydrocraft.HCMineholeB", "media/textures/Item_HCMinehole.png", nil, nil, nil}
		NecroList.Items.HC2743 = {"Mods", nil, nil, "HC - Mini Fridge", "Hydrocraft.HCMinifridge", "appliances_refrigeration_01_24_Icon", nil, nil, nil}
		NecroList.Items.HC2744 = {"Mods", nil, nil, "HC - Mining Chisel", "Hydrocraft.HCMiningchisel", "media/textures/Item_HCMininggrinder.png", nil, nil, nil}
		NecroList.Items.HC2745 = {"Mods", nil, nil, "HC - Dead Mining Chisel", "Hydrocraft.HCMiningchiseldead", "media/textures/Item_HCMiningchiseldead.png", nil, nil, nil}
		NecroList.Items.HC2746 = {"Mods", nil, nil, "HC - Mining Chisel with Power", "Hydrocraft.HCMiningchiselpowered", "media/textures/Item_HCMiningchiselpowered.png", nil, nil, nil}
		NecroList.Items.HC2747 = {"Mods", nil, nil, "HC - Mining Drill", "Hydrocraft.HCMiningdrill", "media/textures/Item_HCMiningdrill.png", nil, nil, nil}
		NecroList.Items.HC2748 = {"Mods", nil, nil, "HC - Dead Mining Drill", "Hydrocraft.HCMiningdrilldead", "media/textures/Item_HCMiningdrilldead.png", nil, nil, nil}
		NecroList.Items.HC2749 = {"Mods", nil, nil, "HC - Mining Drill with Power", "Hydrocraft.HCMiningdrillpowered", "media/textures/Item_HCMiningdrillpowered.png", nil, nil, nil}
		NecroList.Items.HC2750 = {"Mods", nil, nil, "HC - Mining Grinder", "Hydrocraft.HCMininggrinder", "media/textures/Item_HCMininggrinder.png", nil, nil, nil}
		NecroList.Items.HC2751 = {"Mods", nil, nil, "HC - Dead Mining Grinder", "Hydrocraft.HCMininggrinderdead", "media/textures/Item_HCMininggrinderdead.png", nil, nil, nil}
		NecroList.Items.HC2752 = {"Mods", nil, nil, "HC - Mining Grinder with Power", "Hydrocraft.HCMininggrinderpowered", "media/textures/Item_HCMininggrinderpowered.png", nil, nil, nil}
		NecroList.Items.HC2753 = {"Mods", nil, nil, "HC - Candle Mining Hat", "Hydrocraft.HCMininghat", "media/textures/Item_HCMininghat.png", nil, nil, nil}
		NecroList.Items.HC2754 = {"Mods", nil, nil, "HC - Flashlight Mining Hat", "Hydrocraft.HCMininghatlamp", "media/textures/Item_HCMininghat2.png", nil, nil, nil}
		NecroList.Items.HC2755 = {"Mods", nil, nil, "HC - Flashlight Mining Hat with Dead Battery", "Hydrocraft.HCMininghatlampdead", "media/textures/Item_HCMininghat2.png", nil, nil, nil}
		NecroList.Items.HC2756 = {"Mods", nil, nil, "HC - Flashlight Mining Hat with Power", "Hydrocraft.HCMininghatlamppowered", "media/textures/Item_HCMininghat2.png", nil, nil, nil}
		NecroList.Items.HC2757 = {"Mods", nil, nil, "HC - Empty Candy Wrapper", "Hydrocraft.HCMintcandytrash", "media/textures/Item_HCMintcandytrash.png", nil, nil, nil}
		NecroList.Items.HC2758 = {"Mods", nil, nil, "HC - Mittens", "Hydrocraft.HCMittens", "media/textures/Item_HCMittens.png", nil, nil, nil}
		NecroList.Items.HC2759 = {"Mods", nil, nil, "HC - Detonator Capsule MK1", "Hydrocraft.HCMk1capsule", "media/textures/Item_HCMk1capsule.png", nil, nil, nil}
		NecroList.Items.HC2760 = {"Mods", nil, nil, "HC - Detonator Capsule Parts", "Hydrocraft.HCMk1capsuleparts", "media/textures/Item_HCMk1capsuleparts.png", nil, nil, nil}
		NecroList.Items.HC2761 = {"Mods", nil, nil, "HC - Mole Cricket", "Hydrocraft.HCMolecricket", "media/textures/Item_HCMolecricket.png", nil, nil, nil}
		NecroList.Items.HC2762 = {"Mods", nil, nil, "HC - Monarch Butterfly", "Hydrocraft.HCMonarch", "media/textures/Item_HCMonarch.png", nil, nil, nil}
		NecroList.Items.HC2763 = {"Mods", nil, nil, "HC - Monkey Wrench", "Hydrocraft.HCMonkeywrench", "media/textures/Item_HCMonkeywrench.png", nil, nil, nil}
		NecroList.Items.HC2764 = {"Mods", nil, nil, "HC - Morning Glory", "Hydrocraft.HCMorningglory", "media/textures/Item_HCMorningglory.png", nil, nil, nil}
		NecroList.Items.HC2765 = {"Mods", nil, nil, "HC - Mortar", "Hydrocraft.HCMortar", "media/textures/Item_HCMortar.png", nil, nil, nil}
		NecroList.Items.HC2766 = {"Mods", nil, nil, "HC - Mortar and Pestle", "Hydrocraft.HCMortarandpestle", "media/textures/Item_HCMortarandpestle.png", nil, nil, nil}
		NecroList.Items.HC2767 = {"Mods", nil, nil, "HC - Mothballs", "Hydrocraft.HCMothballs", "media/textures/Item_HCMothballs.png", nil, nil, nil}
		NecroList.Items.HC2768 = {"Mods", nil, nil, "HC - Box of Mothballs", "Hydrocraft.HCMothballsbox", "media/textures/Item_HCMothballsbox.png", nil, nil, nil}
		NecroList.Items.HC2769 = {"Mods", nil, nil, "HC - Motorcycle", "Hydrocraft.HCMotorcycle", "media/textures/Item_HCMotorcycle.png", nil, nil, nil}
		NecroList.Items.HC2770 = {"Mods", nil, nil, "HC - Motor Oil", "Hydrocraft.HCMotoroil", "media/textures/Item_HCMotoroil.png", nil, nil, nil}
		NecroList.Items.HC2771 = {"Mods", nil, nil, "HC - Mouse Pad", "Hydrocraft.HCMousepad", "media/textures/Item_HCMousepad.png", nil, nil, nil}
		NecroList.Items.HC2772 = {"Mods", nil, nil, "HC - Mouthwash", "Hydrocraft.HCMouthwash", "media/textures/Item_HCMouthwash.png", nil, nil, nil}
		NecroList.Items.HC2773 = {"Mods", nil, nil, "HC - Mouthwash", "Hydrocraft.HCMouthwash2", "media/textures/Item_HCMouthwash2.png", nil, nil, nil}
		NecroList.Items.HC2774 = {"Mods", nil, nil, "HC - Movie Film Roll", "Hydrocraft.HCMovieroll", "media/textures/Item_HCMovieroll.png", nil, nil, nil}
		NecroList.Items.HC2775 = {"Mods", nil, nil, "HC - MRE", "Hydrocraft.HCMRE", "media/textures/Item_HCMRE.png", nil, nil, nil}
		NecroList.Items.HC2776 = {"Mods", nil, nil, "HC - Box of MREs", "Hydrocraft.HCMREbox", "media/textures/Item_HCMREbox.png", nil, nil, nil}
		NecroList.Items.HC2777 = {"Mods", nil, nil, "HC - Large Pallet of MREs", "Hydrocraft.HCMREpalletlarge", "media/textures/Item_HCMREpalletlarge.png", nil, nil, nil}
		NecroList.Items.HC2778 = {"Mods", nil, nil, "HC - Medium Pallet of MREs", "Hydrocraft.HCMREpalletmedium", "media/textures/Item_HCMREpalletmedium.png", nil, nil, nil}
		NecroList.Items.HC2779 = {"Mods", nil, nil, "HC - Small Pallet of MREs", "Hydrocraft.HCMREpalletsmall", "media/textures/Item_HCMREpalletsmall.png", nil, nil, nil}
		NecroList.Items.HC2780 = {"Mods", nil, nil, "HC - Muffin Pan", "Hydrocraft.HCMuffinpan", "media/textures/Item_HCMuffinpan.png", nil, nil, nil}
		NecroList.Items.HC2781 = {"Mods", nil, nil, "HC - Muffler", "Hydrocraft.HCMuffler", "media/textures/Item_HCMuffler.png", nil, nil, nil}
		NecroList.Items.HC2782 = {"Mods", nil, nil, "HC - Copper Mug", "Hydrocraft.HCMugcopper", "media/textures/Item_HCMugcopper.png", nil, nil, nil}
		NecroList.Items.HC2783 = {"Mods", nil, nil, "HC - Copper Mug with Water", "Hydrocraft.HCMugcopperfull", "media/textures/Item_HCMugcopper.png", nil, nil, nil}
		NecroList.Items.HC2784 = {"Mods", nil, nil, "HC - Mulberry", "Hydrocraft.HCMulberry", "media/textures/Item_HCMulberry.png", nil, nil, nil}
		NecroList.Items.HC2785 = {"Mods", nil, nil, "HC - Mulberry Leaf", "Hydrocraft.HCMulberryleaf", "media/textures/Item_HCMulberryleaf.png", nil, nil, nil}
		NecroList.Items.HC2786 = {"Mods", nil, nil, "HC - Mulberry Seeds", "Hydrocraft.HCMulberryseeds", "media/textures/Item_HCMulberryseeds.png", nil, nil, nil}
		NecroList.Items.HC2787 = {"Mods", nil, nil, "HC - Mulberry Packet", "Hydrocraft.HCMulberryseedspacket", "media/textures/Item_HCMulberryseedspacket.png", nil, nil, nil}
		NecroList.Items.HC2788 = {"Mods", nil, nil, "HC - Mulling Spice", "Hydrocraft.HCMullingspice", "media/textures/Item_HCMullingspice.png", nil, nil, nil}
		NecroList.Items.HC2789 = {"Mods", nil, nil, "HC - Dead Muskrat (Fresh)", "Hydrocraft.HCMuskratdead", "media/textures/Item_HCMuskratdead.png", nil, nil, nil}
		NecroList.Items.HC2790 = {"Mods", nil, nil, "HC - Muskrat (Female)", "Hydrocraft.HCMuskratfemale", "media/textures/Item_HCMuskratfemale.png", nil, nil, nil}
		NecroList.Items.HC2791 = {"Mods", nil, nil, "HC - Muskrat (Male)", "Hydrocraft.HCMuskratmale", "media/textures/Item_HCMuskratmale.png", nil, nil, nil}
		NecroList.Items.HC2792 = {"Mods", nil, nil, "HC - Mussel (Fresh Uncooked)", "Hydrocraft.HCMussel", "media/textures/Item_HCMussel.png", nil, nil, nil}
		NecroList.Items.HC2793 = {"Mods", nil, nil, "HC - Boiled Mussel (Fresh)", "Hydrocraft.HCMusselcooked", "Question_On", nil, nil, nil}
		NecroList.Items.HC2794 = {"Mods", nil, nil, "HC - Pot of Mussel (Fresh Uncooked)", "Hydrocraft.HCMusselpot", "Item_PotFull", nil, nil, nil}
		NecroList.Items.HC2795 = {"Mods", nil, nil, "HC - Empty Mustard Bottle", "Hydrocraft.HCMustardempty", "media/textures/Item_HCMustardempty.png", nil, nil, nil}
		NecroList.Items.HC2796 = {"Mods", nil, nil, "HC - Mustard Powder", "Hydrocraft.HCMustardpowder", "media/textures/Item_HCMustardpowder.png", nil, nil, nil}
		NecroList.Items.HC2797 = {"Mods", nil, nil, "HC - Mystery Seeds Packet", "Hydrocraft.HCMysteryseedspacket", "media/textures/Item_HCMysteryseedspacket.png", nil, nil, nil}
		NecroList.Items.HC2798 = {"Mods", nil, nil, "HC - Bowl of Nacho Cheese (Fresh)", "Hydrocraft.HCNachobowl", "media/textures/Item_HCNachobowl.png", nil, nil, nil}
		NecroList.Items.HC2799 = {"Mods", nil, nil, "HC - Jar of Nacho Cheese (Fresh)", "Hydrocraft.HCNachojar", "media/textures/Item_HCNachojar.png", nil, nil, nil}
		NecroList.Items.HC2800 = {"Mods", nil, nil, "HC - Nachos (Fresh)", "Hydrocraft.HCNachos", "media/textures/Item_HCNachos.png", nil, nil, nil}
		NecroList.Items.HC2801 = {"Mods", nil, nil, "HC - Nachos Grande (Fresh)", "Hydrocraft.HCNachosgrande", "media/textures/Item_HCNachosgrande.png", nil, nil, nil}
		NecroList.Items.HC2802 = {"Mods", nil, nil, "HC - Nail gun clip", "Hydrocraft.HCNailclip", "media/textures/Item_HCNailgunclip.png", nil, nil, nil}
		NecroList.Items.HC2803 = {"Mods", nil, nil, "HC - Nail Clipper", "Hydrocraft.HCNailclipper", "media/textures/Item_HCNailclipper.png", nil, nil, nil}
		NecroList.Items.HC2804 = {"Mods", nil, nil, "HC - Nail Gun", "Hydrocraft.HCNailgun", "media/textures/Item_HCNailgun.png", nil, nil, nil}
		NecroList.Items.HC2805 = {"Mods", nil, nil, "HC - Nail Gun Ammo", "Hydrocraft.HCNailgunammo", "media/textures/Item_HCNailgunammo.png", nil, nil, nil}
		NecroList.Items.HC2806 = {"Mods", nil, nil, "HC - Box of Nail Gun Nails", "Hydrocraft.HCNailgunammobox", "media/textures/Item_HCNailgunammobox.png", nil, nil, nil}
		NecroList.Items.HC2807 = {"Mods", nil, nil, "HC - Nail Mold", "Hydrocraft.HCNailmold", "media/textures/Item_HCNailmold.png", nil, nil, nil}
		NecroList.Items.HC2808 = {"Mods", nil, nil, "HC - Nail Polish Remover", "Hydrocraft.HCNailpolishremover", "media/textures/Item_HCNailpolishremover.png", nil, nil, nil}
		NecroList.Items.HC2809 = {"Mods", nil, nil, "HC - Carbon Nanochains", "Hydrocraft.HCNanochains", "media/textures/Item_HCCarbonpowder.png", nil, nil, nil}
		NecroList.Items.HC2810 = {"Mods", nil, nil, "HC - Carbon Nanofiber", "Hydrocraft.HCNanofiber", "media/textures/Item_HCCarbonpowder.png", nil, nil, nil}
		NecroList.Items.HC2811 = {"Mods", nil, nil, "HC - Carbon Nanorings", "Hydrocraft.HCNanorings", "media/textures/Item_HCCarbonpowder.png", nil, nil, nil}
		NecroList.Items.HC2812 = {"Mods", nil, nil, "HC - Napalm Bomb MK1", "Hydrocraft.HCNapalmbombmk1", "media/textures/Item_HCNapalmbombmk1.png", nil, nil, nil}
		NecroList.Items.HC2813 = {"Mods", nil, nil, "HC - Napalm MK2 Off", "Hydrocraft.HCNapalmbombmk2off", "media/textures/Item_HCNapalmbombmk2off.png", nil, nil, nil}
		NecroList.Items.HC2814 = {"Mods", nil, nil, "HC - Napalm MK3 Off", "Hydrocraft.HCNapalmbombmk3off", "media/textures/Item_HCNapalmbombmk3off.png", nil, nil, nil}
		NecroList.Items.HC2815 = {"Mods", nil, nil, "HC - Napkin", "Hydrocraft.HCNapkin", "media/textures/Item_HCNapkin.png", nil, nil, nil}
		NecroList.Items.HC2816 = {"Mods", nil, nil, "HC - Dirty Napkin", "Hydrocraft.HCNapkindirty", "media/textures/Item_HCNapkindirty.png", nil, nil, nil}
		NecroList.Items.HC2817 = {"Mods", nil, nil, "HC - Napkin Holder", "Hydrocraft.HCNapkinholder", "media/textures/Item_HCNapkinstack.png", nil, nil, nil}
		NecroList.Items.HC2818 = {"Mods", nil, nil, "HC - Full Napkin Holder", "Hydrocraft.HCNapkinholderfull", "media/textures/Item_HCNapkinholderfull.png", nil, nil, nil}
		NecroList.Items.HC2819 = {"Mods", nil, nil, "HC - Stack of Napkins", "Hydrocraft.HCNapkinstack", "media/textures/Item_HCNapkinstack.png", nil, nil, nil}
		NecroList.Items.HC2820 = {"Mods", nil, nil, "HC - Gold Chain Bling", "Hydrocraft.HCNecklacebling", "media/textures/Item_HCNecklacebling.png", nil, nil, nil}
		NecroList.Items.HC2821 = {"Mods", nil, nil, "HC - Peace Necklace", "Hydrocraft.HCNecklacepeace", "media/textures/Item_HCNecklacepeace.png", nil, nil, nil}
		NecroList.Items.HC2822 = {"Mods", nil, nil, "HC - Neck Tie", "Hydrocraft.HCNecktie1", "media/textures/Item_HCNecktie1.png", nil, nil, nil}
		NecroList.Items.HC2823 = {"Mods", nil, nil, "HC - Neck Tie", "Hydrocraft.HCNecktie10", "media/textures/Item_HCNecktie10.png", nil, nil, nil}
		NecroList.Items.HC2824 = {"Mods", nil, nil, "HC - Neck Tie", "Hydrocraft.HCNecktie2", "media/textures/Item_HCNecktie2.png", nil, nil, nil}
		NecroList.Items.HC2825 = {"Mods", nil, nil, "HC - Neck Tie", "Hydrocraft.HCNecktie3", "media/textures/Item_HCNecktie3.png", nil, nil, nil}
		NecroList.Items.HC2826 = {"Mods", nil, nil, "HC - Neck Tie", "Hydrocraft.HCNecktie4", "media/textures/Item_HCNecktie4.png", nil, nil, nil}
		NecroList.Items.HC2827 = {"Mods", nil, nil, "HC - Neck Tie", "Hydrocraft.HCNecktie5", "media/textures/Item_HCNecktie5.png", nil, nil, nil}
		NecroList.Items.HC2828 = {"Mods", nil, nil, "HC - Neck Tie", "Hydrocraft.HCNecktie6", "media/textures/Item_HCNecktie6.png", nil, nil, nil}
		NecroList.Items.HC2829 = {"Mods", nil, nil, "HC - Neck Tie", "Hydrocraft.HCNecktie7", "media/textures/Item_HCNecktie7.png", nil, nil, nil}
		NecroList.Items.HC2830 = {"Mods", nil, nil, "HC - Neck Tie", "Hydrocraft.HCNecktie8", "media/textures/Item_HCNecktie8.png", nil, nil, nil}
		NecroList.Items.HC2831 = {"Mods", nil, nil, "HC - Neck Tie", "Hydrocraft.HCNecktie9", "media/textures/Item_HCNecktie9.png", nil, nil, nil}
		NecroList.Items.HC2832 = {"Mods", nil, nil, "HC - Netting", "Hydrocraft.HCNetting", "media/textures/Item_HCNetting.png", nil, nil, nil}
		NecroList.Items.HC2833 = {"Mods", nil, nil, "HC - Nettles", "Hydrocraft.HCNettles", "media/textures/Item_HCNettles.png", nil, nil, nil}
		NecroList.Items.HC2834 = {"Mods", nil, nil, "HC - Dried Nettles", "Hydrocraft.HCNettlesdry", "media/textures/Item_HCNettlesdry.png", nil, nil, nil}
		NecroList.Items.HC2835 = {"Mods", nil, nil, "HC - Nettle Tea", "Hydrocraft.HCNettleteaclaymug", "media/textures/Item_HCHotcuppa.png", nil, nil, nil}
		NecroList.Items.HC2836 = {"Mods", nil, nil, "HC - Nettle Tea", "Hydrocraft.HCNettleteamug", "Item_MugFulll", nil, nil, nil}
		NecroList.Items.HC2837 = {"Mods", nil, nil, "HC - Newt", "Hydrocraft.HCNewt", "media/textures/Item_HCNewt.png", nil, nil, nil}
		NecroList.Items.HC2838 = {"Mods", nil, nil, "HC - Nichrome Heating Coil", "Hydrocraft.HCNichromeheatingcoil", "media/textures/Item_HCNichromeheatingcoil.png", nil, nil, nil}
		NecroList.Items.HC2839 = {"Mods", nil, nil, "HC - Nichrome Ingot", "Hydrocraft.HCNichromeingot", "media/textures/Item_HCNichromeingot.png", nil, nil, nil}
		NecroList.Items.HC2840 = {"Mods", nil, nil, "HC - Nickel", "Hydrocraft.HCNickel", "media/textures/Item_HCNickel.png", nil, nil, nil}
		NecroList.Items.HC2841 = {"Mods", nil, nil, "HC - Nickel Ingot", "Hydrocraft.HCNickelingot", "media/textures/Item_HCNickelingot.png", nil, nil, nil}
		NecroList.Items.HC2842 = {"Mods", nil, nil, "HC - Nickel Powder", "Hydrocraft.HCNickelpowder", "media/textures/Item_HCNickelpowder.png", nil, nil, nil}
		NecroList.Items.HC2843 = {"Mods", nil, nil, "HC - Nickel Sulfate Powder", "Hydrocraft.HCNickelsulfatepowder", "media/textures/Item_HCNickelsulfatepowder.png", nil, nil, nil}
		NecroList.Items.HC2844 = {"Mods", nil, nil, "HC - Nitric Acid", "Hydrocraft.HCNitricacid", "media/textures/Item_HCNitricacid.png", nil, nil, nil}
		NecroList.Items.HC2845 = {"Mods", nil, nil, "HC - Pot of Noodle Soup (Fresh Uncooked)", "Hydrocraft.HCNoodlesoup", "Item_PotFull", nil, nil, nil}
		NecroList.Items.HC2846 = {"Mods", nil, nil, "HC - Bowl of Noodle Soup (Fresh Uncooked)", "Hydrocraft.HCNoodlesoupbowl", "media/textures/Item_HCSoupbowl.png", nil, nil, nil}
		NecroList.Items.HC2847 = {"Mods", nil, nil, "HC - Normal Hiking Bag (Pouches)", "Hydrocraft.HCNormalhikingbagpouch", "media/textures/Item_HCNormalhikingbagpouch.png", nil, nil, nil}
		NecroList.Items.HC2848 = {"Mods", nil, nil, "HC - Notebook of Sheet Music", "Hydrocraft.HCNotebooksheetmusic", "media/textures/Item_HCNotebooksheetmusic.png", nil, nil, nil}
		NecroList.Items.HC2849 = {"Mods", nil, nil, "HC - Nut", "Hydrocraft.HCNut", "media/textures/Item_HCNut.png", nil, nil, nil}
		NecroList.Items.HC2850 = {"Mods", nil, nil, "HC - Box of Nuts", "Hydrocraft.HCNutbox", "media/textures/Item_HCNutbox.png", nil, nil, nil}
		NecroList.Items.HC2851 = {"Mods", nil, nil, "HC - Nut Cracker", "Hydrocraft.HCNutcracker", "media/textures/Item_HCNutcracker.png", nil, nil, nil}
		NecroList.Items.HC2852 = {"Mods", nil, nil, "HC - Nutmeg", "Hydrocraft.HCNutmeg", "media/textures/Item_HCNutmeg.png", nil, nil, nil}
		NecroList.Items.HC2853 = {"Mods", nil, nil, "HC - Nut and Bolt", "Hydrocraft.HCNutnbolt", "media/textures/Item_HCNutnbolt.png", nil, nil, nil}
		NecroList.Items.HC2854 = {"Mods", nil, nil, "HC - Dead Nutria (Fresh)", "Hydrocraft.HCNutriadead", "media/textures/Item_HCNutriadead.png", nil, nil, nil}
		NecroList.Items.HC2855 = {"Mods", nil, nil, "HC - Nutria (Female)", "Hydrocraft.HCNutriafemale", "media/textures/Item_HCNutriafemale.png", nil, nil, nil}
		NecroList.Items.HC2856 = {"Mods", nil, nil, "HC - Nutria (Male)", "Hydrocraft.HCNutriamale", "media/textures/Item_HCNutriamale.png", nil, nil, nil}
		NecroList.Items.HC2857 = {"Mods", nil, nil, "HC - Nutria Carcass (Fresh)", "Hydrocraft.HCNutriameat", "media/textures/Item_HCNutriameat.png", nil, nil, nil}
		NecroList.Items.HC2858 = {"Mods", nil, nil, "HC - Nylon Cloth", "Hydrocraft.HCNyloncloth", "media/textures/Item_HCNyloncloth.png", nil, nil, nil}
		NecroList.Items.HC2859 = {"Mods", nil, nil, "HC - Oak Sprout", "Hydrocraft.HCOak1", "media/textures/Item_HCOak1.png", nil, nil, nil}
		NecroList.Items.HC2860 = {"Mods", nil, nil, "HC - Oak Sapling", "Hydrocraft.HCOak2", "media/textures/Item_HCOak2.png", nil, nil, nil}
		NecroList.Items.HC2861 = {"Mods", nil, nil, "HC - Young Oak Tree", "Hydrocraft.HCOak3", "media/textures/Item_HCOak3.png", nil, nil, nil}
		NecroList.Items.HC2862 = {"Mods", nil, nil, "HC - Adult Oak Tree", "Hydrocraft.HCOak4", "media/textures/Item_HCOak4.png", nil, nil, nil}
		NecroList.Items.HC2863 = {"Mods", nil, nil, "HC - Elder Oak Tree", "Hydrocraft.HCOak5", "media/textures/Item_HCOak5.png", nil, nil, nil}
		NecroList.Items.HC2864 = {"Mods", nil, nil, "HC - Ancient Oak Tree", "Hydrocraft.HCOak6", "media/textures/Item_HCOak6.png", nil, nil, nil}
		NecroList.Items.HC2865 = {"Mods", nil, nil, "HC - Oak Leaves", "Hydrocraft.HCOakleaves", "media/textures/Item_HCOakleaves.png", nil, nil, nil}
		NecroList.Items.HC2866 = {"Mods", nil, nil, "HC - Oak Tree Stump", "Hydrocraft.HCOakstump", "media/textures/Item_HCOakstump.png", nil, nil, nil}
		NecroList.Items.HC2867 = {"Mods", nil, nil, "HC - Empty Can of Oats", "Hydrocraft.HCOatsempty", "media/textures/Item_HCOatsempty.png", nil, nil, nil}
		NecroList.Items.HC2868 = {"Mods", nil, nil, "HC - Obelisk", "Hydrocraft.HCObelisk", "media/textures/Item_HCObelisk.png", nil, nil, nil}
		NecroList.Items.HC2869 = {"Mods", nil, nil, "HC - Obsidian", "Hydrocraft.HCObsidian", "media/textures/Item_HCObsidian.png", nil, nil, nil}
		NecroList.Items.HC2870 = {"Mods", nil, nil, "HC - Oil Filter", "Hydrocraft.HCOilfilter", "media/textures/Item_HCOilfilter.png", nil, nil, nil}
		NecroList.Items.HC2871 = {"Mods", nil, nil, "HC - Oil Press", "Hydrocraft.HCOilpress", "media/textures/Item_HCOilpress.png", nil, nil, nil}
		NecroList.Items.HC2872 = {"Mods", nil, nil, "HC - Oil Press", "Hydrocraft.HCOilpress2", "media/textures/Item_HCOilpress.png", nil, nil, nil}
		NecroList.Items.HC2873 = {"Mods", nil, nil, "HC - Olivine", "Hydrocraft.HCOlivine", "media/textures/Item_HCOlivine.png", nil, nil, nil}
		NecroList.Items.HC2874 = {"Mods", nil, nil, "HC - Cut Olivine", "Hydrocraft.HCOlivinecut", "media/textures/Item_HCOlivinecut.png", nil, nil, nil}
		NecroList.Items.HC2875 = {"Mods", nil, nil, "HC - Omelet (Fresh Uncooked)", "Hydrocraft.HCOmelet", "media/textures/Item_HCOmelet.png", nil, nil, nil}
		NecroList.Items.HC2876 = {"Mods", nil, nil, "HC - Vegetable Omelet (Fresh Uncooked)", "Hydrocraft.HCOmeletveg", "media/textures/Item_HCOmeletveg.png", nil, nil, nil}
		NecroList.Items.HC2877 = {"Mods", nil, nil, "HC - Dried Onion", "Hydrocraft.HCOniondry", "Question_On", nil, nil, nil}
		NecroList.Items.HC2878 = {"Mods", nil, nil, "HC - Green Onion (Fresh)", "Hydrocraft.HCOniongreen", "media/textures/Item_HCOniongreen.png", nil, nil, nil}
		NecroList.Items.HC2879 = {"Mods", nil, nil, "HC - Green Onion Seeds", "Hydrocraft.HCOniongreenseeds", "media/textures/Item_HCOniongreenseeds.png", nil, nil, nil}
		NecroList.Items.HC2880 = {"Mods", nil, nil, "HC - Green Onion Seeds Packet", "Hydrocraft.HCOniongreenseedspacket", "media/textures/Item_HCOniongreenseedspacket.png", nil, nil, nil}
		NecroList.Items.HC2881 = {"Mods", nil, nil, "HC - Onion Powder", "Hydrocraft.HCOnionpowder", "media/textures/Item_HCOnionpowder.png", nil, nil, nil}
		NecroList.Items.HC2882 = {"Mods", nil, nil, "HC - Onion Seeds", "Hydrocraft.HCOnionseeds", "media/textures/Item_HCOnionseeds.png", nil, nil, nil}
		NecroList.Items.HC2883 = {"Mods", nil, nil, "HC - Onion Seeds Packet", "Hydrocraft.HCOnionseedspacket", "media/textures/Item_HCOnionseedspacket.png", nil, nil, nil}
		NecroList.Items.HC2884 = {"Mods", nil, nil, "HC - Opium Powder", "Hydrocraft.HCOpiumpowder", "media/textures/Item_HCOpiumpowder.png", nil, nil, nil}
		NecroList.Items.HC2885 = {"Mods", nil, nil, "HC - Dead Opossum (Fresh)", "Hydrocraft.HCOpossumdead", "media/textures/Item_HCOpossumdead.png", nil, nil, nil}
		NecroList.Items.HC2886 = {"Mods", nil, nil, "HC - Opossum (Female)", "Hydrocraft.HCOpossumfemale", "media/textures/Item_HCOpossumfemale.png", nil, nil, nil}
		NecroList.Items.HC2887 = {"Mods", nil, nil, "HC - Opossum (Male)", "Hydrocraft.HCOpossummale", "media/textures/Item_HCOpossummale.png", nil, nil, nil}
		NecroList.Items.HC2888 = {"Mods", nil, nil, "HC - Opossum Carcass (Fresh)", "Hydrocraft.HCOpossummeat", "media/textures/Item_HCOpossummeat.png", nil, nil, nil}
		NecroList.Items.HC2889 = {"Mods", nil, nil, "HC - Orange Seeds", "Hydrocraft.HCOrangeseeds", "media/textures/Item_HCOrangeseeds.png", nil, nil, nil}
		NecroList.Items.HC2890 = {"Mods", nil, nil, "HC - Orange Seeds Packet", "Hydrocraft.HCOrangeseedspacket", "media/textures/Item_HCOrangeseedspacket.png", nil, nil, nil}
		NecroList.Items.HC2891 = {"Mods", nil, nil, "HC - Oregano", "Hydrocraft.HCOregano", "media/textures/Item_HCOregano.png", nil, nil, nil}
		NecroList.Items.HC2892 = {"Mods", nil, nil, "HC - Blue Ornament", "Hydrocraft.HCOrnamentblue", "media/textures/Item_HCOrnamentblue.png", nil, nil, nil}
		NecroList.Items.HC2893 = {"Mods", nil, nil, "HC - Green Ornament", "Hydrocraft.HCOrnamentgreen", "media/textures/Item_HCOrnamentgreen.png", nil, nil, nil}
		NecroList.Items.HC2894 = {"Mods", nil, nil, "HC - Purple Ornament", "Hydrocraft.HCOrnamentpurple", "media/textures/Item_HCOrnamentpurple.png", nil, nil, nil}
		NecroList.Items.HC2895 = {"Mods", nil, nil, "HC - Red Ornament", "Hydrocraft.HCOrnamentred", "media/textures/Item_HCOrnamentred.png", nil, nil, nil}
		NecroList.Items.HC2896 = {"Mods", nil, nil, "HC - Silver Ornament", "Hydrocraft.HCOrnamentsilver", "media/textures/Item_HCOrnamentsilver.png", nil, nil, nil}
		NecroList.Items.HC2897 = {"Mods", nil, nil, "HC - Yellow Ornament", "Hydrocraft.HCOrnamentyellow", "media/textures/Item_HCOrnamentyellow.png", nil, nil, nil}
		NecroList.Items.HC2898 = {"Mods", nil, nil, "HC - Otoscope", "Hydrocraft.HCOtoscope", "media/textures/Item_HCOtoscope.png", nil, nil, nil}
		NecroList.Items.HC2899 = {"Mods", nil, nil, "HC - Oven Mitts", "Hydrocraft.HCOvenmitts", "media/textures/Item_HCOvenmitts.png", nil, nil, nil}
		NecroList.Items.HC2900 = {"Mods", nil, nil, "HC - Oxygen Tank", "Hydrocraft.HCOxygentank", "media/textures/Item_HCOxygentank.png", nil, nil, nil}
		NecroList.Items.HC2901 = {"Mods", nil, nil, "HC - Empty Oxygen Tank", "Hydrocraft.HCOxygentankempty", "media/textures/Item_HCOxygentank.png", nil, nil, nil}
		NecroList.Items.HC2902 = {"Mods", nil, nil, "HC - Pacifier", "Hydrocraft.HCPacifier", "media/textures/Item_HCPacifier.png", nil, nil, nil}
		NecroList.Items.HC2903 = {"Mods", nil, nil, "HC - Packing Tape", "Hydrocraft.HCPackingtape", "media/textures/Item_HCPackingtape.png", nil, nil, nil}
		NecroList.Items.HC2904 = {"Mods", nil, nil, "HC - Paddle Ball", "Hydrocraft.HCPaddleball", "media/textures/Item_HCPaddleball.png", nil, nil, nil}
		NecroList.Items.HC2905 = {"Mods", nil, nil, "HC - Metal Paddle", "Hydrocraft.HCPaddlemetal", "media/textures/Item_HCPaddlemetal.png", nil, nil, nil}
		NecroList.Items.HC2906 = {"Mods", nil, nil, "HC - Wooden Paddle", "Hydrocraft.HCPaddlewood", "media/textures/Item_HCPaddlewood.png", nil, nil, nil}
		NecroList.Items.HC2907 = {"Mods", nil, nil, "HC - Paintbrush", "Hydrocraft.HCPaintbrush", "media/textures/Item_HCPaintbrush.png", nil, nil, nil}
		NecroList.Items.HC2908 = {"Mods", nil, nil, "HC - Empty Paint Can", "Hydrocraft.HCPaintcan", "media/textures/Item_HCPaintcan.png", nil, nil, nil}
		NecroList.Items.HC2909 = {"Mods", nil, nil, "HC - Painter Palette", "Hydrocraft.HCPainterpalette", "media/textures/Item_HCPainterpalette.png", nil, nil, nil}
		NecroList.Items.HC2910 = {"Mods", nil, nil, "HC - Monica Elisa Painting", "Hydrocraft.HCPainting1", "walls_decoration_01_46_Icon", nil, nil, nil}
		NecroList.Items.HC2911 = {"Mods", nil, nil, "HC - Betty Painting", "Hydrocraft.HCPainting2", "walls_decoration_01_48_Icon", nil, nil, nil}
		NecroList.Items.HC2912 = {"Mods", nil, nil, "HC - Waterbeach Hills Painting", "Hydrocraft.HCPainting3", "walls_decoration_01_35_Icon", nil, nil, nil}
		NecroList.Items.HC2913 = {"Mods", nil, nil, "HC - Incognito Library Painting", "Hydrocraft.HCPainting4", "walls_decoration_01_56_Icon", nil, nil, nil}
		NecroList.Items.HC2914 = {"Mods", nil, nil, "HC - Omega Department Painting", "Hydrocraft.HCPainting5", "walls_decoration_01_50_Icon", nil, nil, nil}
		NecroList.Items.HC2915 = {"Mods", nil, nil, "HC - Pallet Truck", "Hydrocraft.HCPallettruck", "media/textures/Item_HCPallettruck.png", nil, nil, nil}
		NecroList.Items.HC2916 = {"Mods", nil, nil, "HC - Homemade Pancake Batter (Fresh Uncooked)", "Hydrocraft.HCPancakebatter", "Item_Pancakes", nil, nil, nil}
		NecroList.Items.HC2917 = {"Mods", nil, nil, "HC - Uncooked Homemade Pancake (Fresh Uncooked)", "Hydrocraft.HCPancakeshomemade", "Item_Pancakes", nil, nil, nil}
		NecroList.Items.HC2918 = {"Mods", nil, nil, "HC - Cooked Homemade Pancake (Fresh)", "Hydrocraft.HCPancakeshomemadecooked", "Item_Pancakes", nil, nil, nil}
		NecroList.Items.HC2919 = {"Mods", nil, nil, "HC - Pansy", "Hydrocraft.HCPansy", "media/textures/Item_HCPansy.png", nil, nil, nil}
		NecroList.Items.HC2920 = {"Mods", nil, nil, "HC - Panties", "Hydrocraft.HCPanties", "media/textures/Item_HCPanties.png", nil, nil, nil}
		NecroList.Items.HC2921 = {"Mods", nil, nil, "HC - Panties", "Hydrocraft.HCPanties2", "media/textures/Item_HCPanties2.png", nil, nil, nil}
		NecroList.Items.HC2922 = {"Mods", nil, nil, "HC - Panties", "Hydrocraft.HCPanties3", "media/textures/Item_HCPanties3.png", nil, nil, nil}
		NecroList.Items.HC2923 = {"Mods", nil, nil, "HC - Panties", "Hydrocraft.HCPanties4", "media/textures/Item_HCPanties4.png", nil, nil, nil}
		NecroList.Items.HC2924 = {"Mods", nil, nil, "HC - Panties", "Hydrocraft.HCPanties5", "media/textures/Item_HCPanties5.png", nil, nil, nil}
		NecroList.Items.HC2925 = {"Mods", nil, nil, "HC - Airplane", "Hydrocraft.HCPaperairplane", "media/textures/Item_HCPaperairplane.png", nil, nil, nil}
		NecroList.Items.HC2926 = {"Mods", nil, nil, "HC - Paper Bag", "Hydrocraft.HCPaperbag", "media/textures/Item_HCPaperbag.png", nil, nil, nil}
		NecroList.Items.HC2927 = {"Mods", nil, nil, "HC - Paper Crane", "Hydrocraft.HCPapercrane", "media/textures/Item_HCPapercrane.png", nil, nil, nil}
		NecroList.Items.HC2928 = {"Mods", nil, nil, "HC - Paper Lunch Bag", "Hydrocraft.HCPaperlunchbag", "media/textures/Item_HCPaperlunchbag.png", nil, nil, nil}
		NecroList.Items.HC2929 = {"Mods", nil, nil, "HC - Paper Screen", "Hydrocraft.HCPaperscreen", "media/textures/Item_HCPaperscreen.png", nil, nil, nil}
		NecroList.Items.HC2930 = {"Mods", nil, nil, "HC - Dry Paper Screen", "Hydrocraft.HCPaperscreendry", "media/textures/Item_HCPaperscreendry.png", nil, nil, nil}
		NecroList.Items.HC2931 = {"Mods", nil, nil, "HC - Wet Paper Screen", "Hydrocraft.HCPaperscreenwet", "media/textures/Item_HCPaperscreenwet.png", nil, nil, nil}
		NecroList.Items.HC2932 = {"Mods", nil, nil, "HC - Sheet Music", "Hydrocraft.HCPapersheetmusic", "media/textures/Item_HCPapersheetmusic.png", nil, nil, nil}
		NecroList.Items.HC2933 = {"Mods", nil, nil, "HC - Paper Towel", "Hydrocraft.HCPapertowel", "media/textures/Item_HCPapertowel.png", nil, nil, nil}
		NecroList.Items.HC2934 = {"Mods", nil, nil, "HC - Roll of Paper Towels", "Hydrocraft.HCPapertowelroll", "media/textures/Item_HCPapertowelroll.png", nil, nil, nil}
		NecroList.Items.HC2935 = {"Mods", nil, nil, "HC - Wet Paper Towel", "Hydrocraft.HCPapertowelwet", "media/textures/Item_HCPapertowelwet.png", nil, nil, nil}
		NecroList.Items.HC2936 = {"Mods", nil, nil, "HC - Paprika", "Hydrocraft.HCPaprika", "media/textures/Item_HCPaprika.png", nil, nil, nil}
		NecroList.Items.HC2937 = {"Mods", nil, nil, "HC - Parmesan Cheese", "Hydrocraft.HCParmesan", "media/textures/Item_HCParmesan.png", nil, nil, nil}
		NecroList.Items.HC2938 = {"Mods", nil, nil, "HC - Parsley Flakes", "Hydrocraft.HCParsleyflakes", "media/textures/Item_HCParsleyflakes.png", nil, nil, nil}
		NecroList.Items.HC2939 = {"Mods", nil, nil, "HC - Passport", "Hydrocraft.HCPassport", "media/textures/Item_HCPassport.png", nil, nil, nil}
		NecroList.Items.HC2940 = {"Mods", nil, nil, "HC - Peach Seeds", "Hydrocraft.HCPeachseeds", "media/textures/Item_HCPeachseeds.png", nil, nil, nil}
		NecroList.Items.HC2941 = {"Mods", nil, nil, "HC - Peach Seeds Packet", "Hydrocraft.HCPeachseedspacket", "media/textures/Item_HCPeachseedspacket.png", nil, nil, nil}
		NecroList.Items.HC2942 = {"Mods", nil, nil, "HC - Homemade Peanut Butter", "Hydrocraft.HCPeanutbutter", "media/textures/Item_HCPeanutbutter.png", nil, nil, nil}
		NecroList.Items.HC2943 = {"Mods", nil, nil, "HC - Peanut Butter Jar", "Hydrocraft.HCPeanutbutterjarempty", "media/textures/Item_HCPeanutbutterjarempty.png", nil, nil, nil}
		NecroList.Items.HC2944 = {"Mods", nil, nil, "HC - Peanut Butter and Jelly Sandwich (Fresh)", "Hydrocraft.HCPeanutjellysandwich", "media/textures/Item_HCJellysandwich.png", nil, nil, nil}
		NecroList.Items.HC2945 = {"Mods", nil, nil, "HC - Peanut Seeds", "Hydrocraft.HCPeanutseeds", "media/textures/Item_HCPeanutseeds.png", nil, nil, nil}
		NecroList.Items.HC2946 = {"Mods", nil, nil, "HC - Peanut Seeds Packet", "Hydrocraft.HCPeanutseedspacket", "media/textures/Item_HCPeanutseedspacket.png", nil, nil, nil}
		NecroList.Items.HC2947 = {"Mods", nil, nil, "HC - Peapod (Fresh)", "Hydrocraft.HCPeapod", "media/textures/Item_HCPeapod.png", nil, nil, nil}
		NecroList.Items.HC2948 = {"Mods", nil, nil, "HC - Pear (Fresh)", "Hydrocraft.HCPear", "media/textures/Item_HCPear.png", nil, nil, nil}
		NecroList.Items.HC2949 = {"Mods", nil, nil, "HC - Pear Seeds", "Hydrocraft.HCPearseeds", "media/textures/Item_HCPearseeds.png", nil, nil, nil}
		NecroList.Items.HC2950 = {"Mods", nil, nil, "HC - Pear Seeds Packet", "Hydrocraft.HCPearseedspacket", "media/textures/Item_HCPearseedspacket.png", nil, nil, nil}
		NecroList.Items.HC2951 = {"Mods", nil, nil, "HC - Pea Seeds", "Hydrocraft.HCPeaseeds", "media/textures/Item_HCPeaseeds.png", nil, nil, nil}
		NecroList.Items.HC2952 = {"Mods", nil, nil, "HC - Pea Seeds Packet", "Hydrocraft.HCPeaseedspacket", "media/textures/Item_HCPeaseedspacket.png", nil, nil, nil}
		NecroList.Items.HC2953 = {"Mods", nil, nil, "HC - Mannequin Stand", "Hydrocraft.HCPedestalmarble", "location_shop_mall_01_64_Icon", nil, nil, nil}
		NecroList.Items.HC2954 = {"Mods", nil, nil, "HC - Box of Pens", "Hydrocraft.HCPenbox", "media/textures/Item_HCPenbox.png", nil, nil, nil}
		NecroList.Items.HC2955 = {"Mods", nil, nil, "HC - Box of Pencils", "Hydrocraft.HCPencilbox", "media/textures/Item_HCPencilbox.png", nil, nil, nil}
		NecroList.Items.HC2956 = {"Mods", nil, nil, "HC - Pencil Sharpener", "Hydrocraft.HCPencilsharpener", "media/textures/Item_HCPencilsharpener.png", nil, nil, nil}
		NecroList.Items.HC2957 = {"Mods", nil, nil, "HC - Penny", "Hydrocraft.HCPenny", "media/textures/Item_HCPenny.png", nil, nil, nil}
		NecroList.Items.HC2958 = {"Mods", nil, nil, "HC - Peppermint", "Hydrocraft.HCPeppermint", "media/textures/Item_HCPeppermint.png", nil, nil, nil}
		NecroList.Items.HC2959 = {"Mods", nil, nil, "HC - Pepper Packet", "Hydrocraft.HCPepperpacket", "media/textures/Item_HCPepperpacket.png", nil, nil, nil}
		NecroList.Items.HC2960 = {"Mods", nil, nil, "HC - Persimmon (Fresh)", "Hydrocraft.HCPersimmon", "media/textures/Item_HCPersimmon.png", nil, nil, nil}
		NecroList.Items.HC2961 = {"Mods", nil, nil, "HC - Petri Dish With Agar", "Hydrocraft.HCPetriagar", "media/textures/Item_HCPetriagar.png", nil, nil, nil}
		NecroList.Items.HC2962 = {"Mods", nil, nil, "HC - Petri Dish with Aspergillus Niger", "Hydrocraft.HCPetriaspergillus", "media/textures/Item_HCPetriaspergillus.png", nil, nil, nil}
		NecroList.Items.HC2963 = {"Mods", nil, nil, "HC - Aspergillus Niger", "Hydrocraft.HCPetriaspergilluszoom", "media/textures/Item_HCPetriaspergilluszoom.png", nil, nil, nil}
		NecroList.Items.HC2964 = {"Mods", nil, nil, "HC - Petri Dish with Biowaste", "Hydrocraft.HCPetribiowaste", "media/textures/Item_HCPetribiowaste.png", nil, nil, nil}
		NecroList.Items.HC2965 = {"Mods", nil, nil, "HC - Petri Dish with Slime Mold", "Hydrocraft.HCPetrididymium", "media/textures/Item_HCPetrididymium.png", nil, nil, nil}
		NecroList.Items.HC2966 = {"Mods", nil, nil, "HC - Slime Mold", "Hydrocraft.HCPetrididymiumzoom", "media/textures/Item_HCPetrididymiumzoom.png", nil, nil, nil}
		NecroList.Items.HC2967 = {"Mods", nil, nil, "HC - Petri Dish", "Hydrocraft.HCPetridish", "media/textures/Item_HCPetridish.png", nil, nil, nil}
		NecroList.Items.HC2968 = {"Mods", nil, nil, "HC - Petri Dish with Nothing", "Hydrocraft.HCPetrinothing", "media/textures/Item_HCPetridish.png", nil, nil, nil}
		NecroList.Items.HC2969 = {"Mods", nil, nil, "HC - Nothing", "Hydrocraft.HCPetrinothingzoom", "media/textures/Item_HCPetrinothingzoom.png", nil, nil, nil}
		NecroList.Items.HC2970 = {"Mods", nil, nil, "HC - Penecilinum Notate", "Hydrocraft.HCPetripenecilinumzoom", "media/textures/Item_HCPetripenecilinumzoom.png", nil, nil, nil}
		NecroList.Items.HC2971 = {"Mods", nil, nil, "HC - Petri Dish with Penicilinum", "Hydrocraft.HCPetripenicillium", "media/textures/Item_HCPetripenicillium.png", nil, nil, nil}
		NecroList.Items.HC2972 = {"Mods", nil, nil, "HC - Petri Dish with Live Yeast", "Hydrocraft.HCPetriyeast", "media/textures/Item_HCPetriyeast.png", nil, nil, nil}
		NecroList.Items.HC2973 = {"Mods", nil, nil, "HC - Live Yeast", "Hydrocraft.HCPetriyeastzoom", "media/textures/Item_HCPetriyeastzoom.png", nil, nil, nil}
		NecroList.Items.HC2974 = {"Mods", nil, nil, "HC - Pewter Ingot", "Hydrocraft.HCPewteringot", "media/textures/Item_HCPewteringot.png", nil, nil, nil}
		NecroList.Items.HC2975 = {"Mods", nil, nil, "HC - Blue Empty Phenylacetic Acid Barrel", "Hydrocraft.HCPhenylbarrelblueempty", "media/textures/Item_HCPhenylbarrelblue.png", nil, nil, nil}
		NecroList.Items.HC2976 = {"Mods", nil, nil, "HC - Blue Barrel with Phenylacetic Acid", "Hydrocraft.HCPhenylbarrelbluefull", "media/textures/Item_HCPhenylbarrelblue.png", nil, nil, nil}
		NecroList.Items.HC2977 = {"Mods", nil, nil, "HC - Empty Phenylacetic Acid Barrel", "Hydrocraft.HCPhenylbarrelempty", "media/textures/Item_HCPhenylbarrelmetal.png", nil, nil, nil}
		NecroList.Items.HC2978 = {"Mods", nil, nil, "HC - Metal Barrel with Phenylacetic Acid", "Hydrocraft.HCPhenylbarrelfull", "media/textures/Item_HCPhenylbarrelmetal.png", nil, nil, nil}
		NecroList.Items.HC2979 = {"Mods", nil, nil, "HC - Phonograph", "Hydrocraft.HCPhonograph", "media/textures/Item_HCPhonograph.png", nil, nil, nil}
		NecroList.Items.HC2980 = {"Mods", nil, nil, "HC - Phosphorus Powder", "Hydrocraft.HCPhosphoruspowder", "media/textures/Item_HCPhosphoruspowder.png", nil, nil, nil}
		NecroList.Items.HC2981 = {"Mods", nil, nil, "HC - Photography Workbench", "Hydrocraft.HCPhotobench", "media/textures/Item_HCPhotobench.png", nil, nil, nil}
		NecroList.Items.HC2982 = {"Mods", nil, nil, "HC - Film Devloper", "Hydrocraft.HCPhotodevloper", "media/textures/Item_HCPhotodevloper.png", nil, nil, nil}
		NecroList.Items.HC2983 = {"Mods", nil, nil, "HC - Film Fixer", "Hydrocraft.HCPhotofixer", "media/textures/Item_HCPhotofixer.png", nil, nil, nil}
		NecroList.Items.HC2984 = {"Mods", nil, nil, "HC - Photo Lacquer", "Hydrocraft.HCPhotolacquer", "media/textures/Item_HCPhotolacquer.png", nil, nil, nil}
		NecroList.Items.HC2985 = {"Mods", nil, nil, "HC - Piano", "Hydrocraft.HCPiano", "media/textures/Item_HCPiano.png", nil, nil, nil}
		NecroList.Items.HC2986 = {"Mods", nil, nil, "HC - Grand Piano", "Hydrocraft.HCPianogrand", "media/textures/Item_HCPianogrand.png", nil, nil, nil}
		NecroList.Items.HC2987 = {"Mods", nil, nil, "HC - Pickaxe", "Hydrocraft.HCPickaxe", "media/textures/Item_HCPickaxe.png", nil, nil, nil}
		NecroList.Items.HC2988 = {"Mods", nil, nil, "HC - Jar of Pickled Artichokes", "Hydrocraft.HCPickledartichoke", "media/textures/Item_HCPickledartichoke.png", nil, nil, nil}
		NecroList.Items.HC2989 = {"Mods", nil, nil, "HC - Jar of Pickled Green Bellpeppers", "Hydrocraft.HCPickledbellpeppergreen", "media/textures/Item_HCPickledbellpeppergreen.png", nil, nil, nil}
		NecroList.Items.HC2990 = {"Mods", nil, nil, "HC - Jar of Pickled Red Bellpeppers", "Hydrocraft.HCPickledbellpepperred", "media/textures/Item_HCPickledbellpepperred.png", nil, nil, nil}
		NecroList.Items.HC2991 = {"Mods", nil, nil, "HC - Jar of Pickled Yellow Bellpeppers", "Hydrocraft.HCPickledbellpepperyellow", "media/textures/Item_HCPickledbellpepperyellow.png", nil, nil, nil}
		NecroList.Items.HC2992 = {"Mods", nil, nil, "HC - Jar of Pickled Broccoli", "Hydrocraft.HCPickledbroccoli", "media/textures/Item_HCPickledbroccoli.png", nil, nil, nil}
		NecroList.Items.HC2993 = {"Mods", nil, nil, "HC - Jar of Pickled Carrots", "Hydrocraft.HCPickledcarrots", "media/textures/Item_HCPickledcarrots.png", nil, nil, nil}
		NecroList.Items.HC2994 = {"Mods", nil, nil, "HC - Jar of Pickled Chinese Cabbage", "Hydrocraft.HCPickledchinesecabbage", "media/textures/Item_HCPickledchinesecabbage.png", nil, nil, nil}
		NecroList.Items.HC2995 = {"Mods", nil, nil, "HC - Jar of Pickled Cucumbers", "Hydrocraft.HCPickledcucumbers", "media/textures/Item_HCPickledcucumbers.png", nil, nil, nil}
		NecroList.Items.HC2996 = {"Mods", nil, nil, "HC - Jar of Pickled Eggplant", "Hydrocraft.HCPickledeggplant", "media/textures/Item_HCPickledeggplant.png", nil, nil, nil}
		NecroList.Items.HC2997 = {"Mods", nil, nil, "HC - Jar of Pickled Eggs", "Hydrocraft.HCPickledeggs", "media/textures/Item_HCPickledeggs.png", nil, nil, nil}
		NecroList.Items.HC2998 = {"Mods", nil, nil, "HC - Jar of Pickled Garlic", "Hydrocraft.HCPickledgarlic", "media/textures/Item_HCPickledgarlic.png", nil, nil, nil}
		NecroList.Items.HC2999 = {"Mods", nil, nil, "HC - Jar of Pickled Ginger", "Hydrocraft.HCPickledginger", "media/textures/Item_HCPickledginger.png", nil, nil, nil}
		NecroList.Items.HC3000 = {"Mods", nil, nil, "HC - Jar of Pickled Herring", "Hydrocraft.HCPickledherring", "media/textures/Item_HCPickledherring.png", nil, nil, nil}
		NecroList.Items.HC3001 = {"Mods", nil, nil, "HC - Jar of Pickled Onions", "Hydrocraft.HCPickledonion", "media/textures/Item_HCPickledonion.png", nil, nil, nil}
		NecroList.Items.HC3002 = {"Mods", nil, nil, "HC - Jar of Pickled Green Onions", "Hydrocraft.HCPickledoniongreen", "media/textures/Item_HCPickledoniongreen.png", nil, nil, nil}
		NecroList.Items.HC3003 = {"Mods", nil, nil, "HC - Jar of Pickled Radish", "Hydrocraft.HCPickledradish", "media/textures/Item_HCPickledradish.png", nil, nil, nil}
		NecroList.Items.HC3004 = {"Mods", nil, nil, "HC - Jar of Pickled Tomatoes", "Hydrocraft.HCPickledtomatoes", "media/textures/Item_HCPickledtomato.png", nil, nil, nil}
		NecroList.Items.HC3005 = {"Mods", nil, nil, "HC - Jar of Pickled Zucchini", "Hydrocraft.HCPickledzucchini", "media/textures/Item_HCPickledzucchini.png", nil, nil, nil}
		NecroList.Items.HC3006 = {"Mods", nil, nil, "HC - Pickling Spice", "Hydrocraft.HCPicklingspice", "media/textures/Item_HCPicklingspice.png", nil, nil, nil}
		NecroList.Items.HC3007 = {"Mods", nil, nil, "HC - Uncooked Apple Pie (Fresh Uncooked)", "Hydrocraft.HCPieapple", "media/textures/Item_HCPieapple.png", nil, nil, nil}
		NecroList.Items.HC3008 = {"Mods", nil, nil, "HC - Baked Apple Pie (Fresh)", "Hydrocraft.HCPieapplebaked", "media/textures/Item_HCPieapple.png", nil, nil, nil}
		NecroList.Items.HC3009 = {"Mods", nil, nil, "HC - Uncooked Blackberry Pie (Fresh Uncooked)", "Hydrocraft.HCPieblackberry", "media/textures/Item_HCPieblackberry.png", nil, nil, nil}
		NecroList.Items.HC3010 = {"Mods", nil, nil, "HC - Baked Blackberry Pie (Fresh)", "Hydrocraft.HCPieblackberrybaked", "media/textures/Item_HCPieblackberry.png", nil, nil, nil}
		NecroList.Items.HC3011 = {"Mods", nil, nil, "HC - Uncooked Blueberry Pie (Fresh Uncooked)", "Hydrocraft.HCPieblueberry", "media/textures/Item_HCPieblueberry.png", nil, nil, nil}
		NecroList.Items.HC3012 = {"Mods", nil, nil, "HC - Baked Blueberry Pie (Fresh)", "Hydrocraft.HCPieblueberrybaked", "media/textures/Item_HCPieblueberry.png", nil, nil, nil}
		NecroList.Items.HC3013 = {"Mods", nil, nil, "HC - Uncooked Cherry Pie (Fresh Uncooked)", "Hydrocraft.HCPiecherry", "media/textures/Item_HCPiecherry.png", nil, nil, nil}
		NecroList.Items.HC3014 = {"Mods", nil, nil, "HC - Baked Cherry Pie (Fresh)", "Hydrocraft.HCPiecherrybaked", "media/textures/Item_HCPiecherry.png", nil, nil, nil}
		NecroList.Items.HC3015 = {"Mods", nil, nil, "HC - Pie Crust", "Hydrocraft.HCPiecrust", "media/textures/Item_HCPiecrust.png", nil, nil, nil}
		NecroList.Items.HC3016 = {"Mods", nil, nil, "HC - Pie Pan", "Hydrocraft.HCPiepan", "media/textures/Item_HCPiepan.png", nil, nil, nil}
		NecroList.Items.HC3017 = {"Mods", nil, nil, "HC - Uncooked Peach Pie (Fresh Uncooked)", "Hydrocraft.HCPiepeach", "media/textures/Item_HCPiepeach.png", nil, nil, nil}
		NecroList.Items.HC3018 = {"Mods", nil, nil, "HC - Baked Peach Pie (Fresh)", "Hydrocraft.HCPiepeachbaked", "media/textures/Item_HCPiepeach.png", nil, nil, nil}
		NecroList.Items.HC3019 = {"Mods", nil, nil, "HC - Uncooked Pear Pie (Fresh Uncooked)", "Hydrocraft.HCPiepear", "media/textures/Item_HCPiepeach.png", nil, nil, nil}
		NecroList.Items.HC3020 = {"Mods", nil, nil, "HC - Baked Pear Pie (Fresh)", "Hydrocraft.HCPiepearbaked", "media/textures/Item_HCPiepear.png", nil, nil, nil}
		NecroList.Items.HC3021 = {"Mods", nil, nil, "HC - Uncooked Pumpkin Pie (Fresh Uncooked)", "Hydrocraft.HCPiepumpkin", "media/textures/Item_HCPiepumpkin.png", nil, nil, nil}
		NecroList.Items.HC3022 = {"Mods", nil, nil, "HC - Baked Pumpkin Pie (Fresh)", "Hydrocraft.HCPiepumpkinbaked", "media/textures/Item_HCPiepumpkin.png", nil, nil, nil}
		NecroList.Items.HC3023 = {"Mods", nil, nil, "HC - Pig Skeleton", "Hydrocraft.HCPigbones", "media/textures/Item_HCPigbones.png", nil, nil, nil}
		NecroList.Items.HC3024 = {"Mods", nil, nil, "HC - Dead Pig (Fresh)", "Hydrocraft.HCPigdead", "media/textures/Item_HCPigdead.png", nil, nil, nil}
		NecroList.Items.HC3025 = {"Mods", nil, nil, "HC - Dead Pigeon (Fresh)", "Hydrocraft.HCPigeondead", "media/textures/Item_HCPigeondead.png", nil, nil, nil}
		NecroList.Items.HC3026 = {"Mods", nil, nil, "HC - Pigeon (Female)", "Hydrocraft.HCPigeonfemale", "media/textures/Item_HCPigeonfemale.png", nil, nil, nil}
		NecroList.Items.HC3027 = {"Mods", nil, nil, "HC - Pigeon (Male)", "Hydrocraft.HCPigeonmale", "media/textures/Item_HCPigeonmale.png", nil, nil, nil}
		NecroList.Items.HC3028 = {"Mods", nil, nil, "HC - Pig (Female)", "Hydrocraft.HCPigfemale", "media/textures/Item_HCPigfemale.png", nil, nil, nil}
		NecroList.Items.HC3029 = {"Mods", nil, nil, "HC - Baby Pig (Female)", "Hydrocraft.HCPigfemalebaby", "media/textures/Item_HCPigbaby.png", nil, nil, nil}
		NecroList.Items.HC3030 = {"Mods", nil, nil, "HC - Hungry Pig (Female)", "Hydrocraft.HCPigfemalehungry", "media/textures/Item_HCPigfemale.png", nil, nil, nil}
		NecroList.Items.HC3031 = {"Mods", nil, nil, "HC - Tired Pig (Female)", "Hydrocraft.HCPigfemaletired", "media/textures/Item_HCPigfemale.png", nil, nil, nil}
		NecroList.Items.HC3032 = {"Mods", nil, nil, "HC - Piggy Bank", "Hydrocraft.HCPiggybank", "media/textures/Item_HCPiggybank.png", nil, nil, nil}
		NecroList.Items.HC3033 = {"Mods", nil, nil, "HC - Piggy Bank", "Hydrocraft.HCPiggybankopen", "media/textures/Item_HCPiggybank.png", nil, nil, nil}
		NecroList.Items.HC3034 = {"Mods", nil, nil, "HC - Pig (Male)", "Hydrocraft.HCPigmale", "media/textures/Item_HCPigmale.png", nil, nil, nil}
		NecroList.Items.HC3035 = {"Mods", nil, nil, "HC - Baby Pig (Male)", "Hydrocraft.HCPigmalebaby", "media/textures/Item_HCPigbaby.png", nil, nil, nil}
		NecroList.Items.HC3036 = {"Mods", nil, nil, "HC - Hungry Pig (Male)", "Hydrocraft.HCPigmalehungry", "media/textures/Item_HCPigmale.png", nil, nil, nil}
		NecroList.Items.HC3037 = {"Mods", nil, nil, "HC - Tired Pig (Male)", "Hydrocraft.HCPigmaletired", "media/textures/Item_HCPigmale.png", nil, nil, nil}
		NecroList.Items.HC3038 = {"Mods", nil, nil, "HC - Pig Carcass (Fresh)", "Hydrocraft.HCPigmeat", "media/textures/Item_HCPigmeat.png", nil, nil, nil}
		NecroList.Items.HC3039 = {"Mods", nil, nil, "HC - Pig Poop", "Hydrocraft.HCPigpoop", "media/textures/Item_HCPigpoop.png", nil, nil, nil}
		NecroList.Items.HC3040 = {"Mods", nil, nil, "HC - Feral Pig Poop", "Hydrocraft.HCPigpoopferal", "media/textures/Item_HCPigpoop.png", nil, nil, nil}
		NecroList.Items.HC3041 = {"Mods", nil, nil, "HC - Head on a Pike", "Hydrocraft.HCPikehead", "media/textures/Item_HCPikehead.png", nil, nil, nil}
		NecroList.Items.HC3042 = {"Mods", nil, nil, "HC - Empty Pill Box", "Hydrocraft.HCPillbox", "media/textures/Item_HCPillbox.png", nil, nil, nil}
		NecroList.Items.HC3043 = {"Mods", nil, nil, "HC - Pillbug", "Hydrocraft.HCPillbug", "media/textures/Item_HCPillbug.png", nil, nil, nil}
		NecroList.Items.HC3044 = {"Mods", nil, nil, "HC - Pillowcase", "Hydrocraft.HCPillowcase", "media/textures/Item_HCPillowcase.png", nil, nil, nil}
		NecroList.Items.HC3045 = {"Mods", nil, nil, "HC - Pillowcase Backpack", "Hydrocraft.HCPillowcasebackpack", "media/textures/Item_HCPillowcasebackpack.png", nil, nil, nil}
		NecroList.Items.HC3046 = {"Mods", nil, nil, "HC - Pinata", "Hydrocraft.HCPinata", "media/textures/Item_HCPinata.png", nil, nil, nil}
		NecroList.Items.HC3047 = {"Mods", nil, nil, "HC - Broken Pinata", "Hydrocraft.HCPinatabroken", "media/textures/Item_HCPinatabroken.png", nil, nil, nil}
		NecroList.Items.HC3048 = {"Mods", nil, nil, "HC - Pinch Clamp", "Hydrocraft.HCPinchclamp", "media/textures/Item_HCPinchclamp.png", nil, nil, nil}
		NecroList.Items.HC3049 = {"Mods", nil, nil, "HC - Pin Cushion", "Hydrocraft.HCPincushion", "media/textures/Item_HCPincushion.png", nil, nil, nil}
		NecroList.Items.HC3050 = {"Mods", nil, nil, "HC - Pin Cushion with Pins", "Hydrocraft.HCPincushionfull", "media/textures/Item_HCPincushionfull.png", nil, nil, nil}
		NecroList.Items.HC3051 = {"Mods", nil, nil, "HC - Pineapple Seeds", "Hydrocraft.HCPineappleseeds", "media/textures/Item_HCPineappleseeds.png", nil, nil, nil}
		NecroList.Items.HC3052 = {"Mods", nil, nil, "HC - Pineapple Seeds Packet", "Hydrocraft.HCPineappleseedspacket", "media/textures/Item_HCPineappleseedspacket.png", nil, nil, nil}
		NecroList.Items.HC3053 = {"Mods", nil, nil, "HC - Pine Bough", "Hydrocraft.HCPinebough", "media/textures/Item_HCPinebough.png", nil, nil, nil}
		NecroList.Items.HC3054 = {"Mods", nil, nil, "HC - Flaming Pinecone", "Hydrocraft.HCPineconebomb", "media/textures/Item_HCPineconebomb.png", nil, nil, nil}
		NecroList.Items.HC3055 = {"Mods", nil, nil, "HC - Pinenuts (Fresh Uncooked)", "Hydrocraft.HCPinenuts", "media/textures/Item_HCPinenuts.png", nil, nil, nil}
		NecroList.Items.HC3056 = {"Mods", nil, nil, "HC - Dead Pintail Duck (Fresh)", "Hydrocraft.HCPintailduckdead", "media/textures/Item_HCPintailduckdead.png", nil, nil, nil}
		NecroList.Items.HC3057 = {"Mods", nil, nil, "HC - Dead Pintail Duck (Fresh)", "Hydrocraft.HCPintailduckdead2", "media/textures/Item_HCPintailduckdead2.png", nil, nil, nil}
		NecroList.Items.HC3058 = {"Mods", nil, nil, "HC - Pintail Duck (Female)", "Hydrocraft.HCPintailduckfemale", "media/textures/Item_HCPintailduckfemale.png", nil, nil, nil}
		NecroList.Items.HC3059 = {"Mods", nil, nil, "HC - Pintail Duck (Male)", "Hydrocraft.HCPintailduckmale", "media/textures/Item_HCPintailduckmale.png", nil, nil, nil}
		NecroList.Items.HC3060 = {"Mods", nil, nil, "HC - Pipe Bender", "Hydrocraft.HCPipebender", "media/textures/Item_HCPipebender.png", nil, nil, nil}
		NecroList.Items.HC3061 = {"Mods", nil, nil, "HC - Clay Pipe with Hemp", "Hydrocraft.HCPipehemp", "media/textures/Item_HCClaypipe.png", nil, nil, nil}
		NecroList.Items.HC3062 = {"Mods", nil, nil, "HC - Clay Pipe with Pure Opium", "Hydrocraft.HCPipeopiumpure", "media/textures/Item_HCClaypipe.png", nil, nil, nil}
		NecroList.Items.HC3063 = {"Mods", nil, nil, "HC - Clay Pipe with Tobacco", "Hydrocraft.HCPipetobacco", "media/textures/Item_HCClaypipe.png", nil, nil, nil}
		NecroList.Items.HC3064 = {"Mods", nil, nil, "HC - Electric Piston", "Hydrocraft.HCPiston", "media/textures/Item_HCPiston.png", nil, nil, nil}
		NecroList.Items.HC3065 = {"Mods", nil, nil, "HC - Pitbull (Female)", "Hydrocraft.HCPitbullfemale", "media/textures/Item_HCPitbullfemale.png", nil, nil, nil}
		NecroList.Items.HC3066 = {"Mods", nil, nil, "HC - Injured Pitbull (Female)", "Hydrocraft.HCPitbullfemaleinjured", "media/textures/Item_HCPitbullfemaleinjured.png", nil, nil, nil}
		NecroList.Items.HC3067 = {"Mods", nil, nil, "HC - War Pitbull (Female)", "Hydrocraft.HCPitbullfemalewar", "media/textures/Item_HCPitbullfemalewar.png", nil, nil, nil}
		NecroList.Items.HC3068 = {"Mods", nil, nil, "HC - Pitbull (Male)", "Hydrocraft.HCPitbullmale", "media/textures/Item_HCPitbullmale.png", nil, nil, nil}
		NecroList.Items.HC3069 = {"Mods", nil, nil, "HC - Injured Pitbull (Male)", "Hydrocraft.HCPitbullmaleinjured", "media/textures/Item_HCPitbullmaleinjured.png", nil, nil, nil}
		NecroList.Items.HC3070 = {"Mods", nil, nil, "HC - War Pitbull (Male)", "Hydrocraft.HCPitbullmalewar", "media/textures/Item_HCPitbullmalewar.png", nil, nil, nil}
		NecroList.Items.HC3071 = {"Mods", nil, nil, "HC - Pitchfork", "Hydrocraft.HCPitchfork", "media/textures/Item_HCPitchfork.png", nil, nil, nil}
		NecroList.Items.HC3072 = {"Mods", nil, nil, "HC - Pizza Cutter", "Hydrocraft.HCPizzacutter", "media/textures/Item_HCPizzacutter.png", nil, nil, nil}
		NecroList.Items.HC3073 = {"Mods", nil, nil, "HC - Pizza Dough (Fresh)", "Hydrocraft.HCPizzadough", "media/textures/Item_HCPizzadough.png", nil, nil, nil}
		NecroList.Items.HC3074 = {"Mods", nil, nil, "HC - Pizza Stone", "Hydrocraft.HCPizzastone", "media/textures/Item_HCPizzastone.png", nil, nil, nil}
		NecroList.Items.HC3075 = {"Mods", nil, nil, "HC - Plaice (Fresh Uncooked)", "Hydrocraft.HCPlaice", "media/textures/Item_HCPlaice.png", nil, nil, nil}
		NecroList.Items.HC3076 = {"Mods", nil, nil, "HC - Plank Barrier", "Hydrocraft.HCPlankbarrier", "media/textures/Item_HCPlankbarrier.png", nil, nil, nil}
		NecroList.Items.HC3077 = {"Mods", nil, nil, "HC - Oiled Plank", "Hydrocraft.HCPlankoil", "media/textures/Item_HCPlankoil.png", nil, nil, nil}
		NecroList.Items.HC3078 = {"Mods", nil, nil, "HC - Treated Plank", "Hydrocraft.HCPlanktreated", "media/textures/Item_HCPlanktreated.png", nil, nil, nil}
		NecroList.Items.HC3079 = {"Mods", nil, nil, "HC - Planter", "Hydrocraft.HCPlanter", "media/textures/Item_HCPlanter.png", nil, nil, nil}
		NecroList.Items.HC3080 = {"Mods", nil, nil, "HC - Plant Fibers", "Hydrocraft.HCPlantfibers", "media/textures/Item_HCPlantfibers.png", nil, nil, nil}
		NecroList.Items.HC3081 = {"Mods", nil, nil, "HC - Plasma Globe", "Hydrocraft.HCPlasmaglobe", "media/textures/Item_HCPlasmaglobe.png", nil, nil, nil}
		NecroList.Items.HC3082 = {"Mods", nil, nil, "HC - Plastic", "Hydrocraft.HCPlastic", "media/textures/Item_HCPlastic.png", nil, nil, nil}
		NecroList.Items.HC3083 = {"Mods", nil, nil, "HC - Large Plastic Bin", "Hydrocraft.HCPlasticbin", "media/textures/Item_HCPlasticbin.png", nil, nil, nil}
		NecroList.Items.HC3084 = {"Mods", nil, nil, "HC - Small Plastic Bin", "Hydrocraft.HCPlasticbin2", "media/textures/Item_HCPlasticbin2.png", nil, nil, nil}
		NecroList.Items.HC3085 = {"Mods", nil, nil, "HC - Plastic Can With Ammonia", "Hydrocraft.HCPlasticcanammonia", "media/textures/Item_HCPlasticcanammonia.png", nil, nil, nil}
		NecroList.Items.HC3086 = {"Mods", nil, nil, "HC - Plastic Can With Biodiesel", "Hydrocraft.HCPlasticcanbiodiesel", "media/textures/Item_HCPlasticcanbiodiesel.png", nil, nil, nil}
		NecroList.Items.HC3087 = {"Mods", nil, nil, "HC - Plastic Can With Copper Sulfate Solution", "Hydrocraft.HCPlasticcancoppersulfatesolution", "media/textures/Item_HCPlasticcancoppersulfatesolution.png", nil, nil, nil}
		NecroList.Items.HC3088 = {"Mods", nil, nil, "HC - Plastic Can With Liqiud Soap", "Hydrocraft.HCPlasticcandetergent", "media/textures/Item_HCPlasticcandetergent.png", nil, nil, nil}
		NecroList.Items.HC3089 = {"Mods", nil, nil, "HC - Empty Plastic Can", "Hydrocraft.HCPlasticcanempty", "media/textures/Item_HCPlasticcanempty.png", nil, nil, nil}
		NecroList.Items.HC3090 = {"Mods", nil, nil, "HC - Plastic Can With Grape Juice", "Hydrocraft.HCPlasticcangrape", "media/textures/Item_HCPlasticcangrape.png", nil, nil, nil}
		NecroList.Items.HC3091 = {"Mods", nil, nil, "HC - Plastic Can With Hydrogen Peroxide", "Hydrocraft.HCPlasticcanh2o2", "media/textures/Item_HCPlasticcanh2o2.png", nil, nil, nil}
		NecroList.Items.HC3092 = {"Mods", nil, nil, "HC - Plastic Can With Honey", "Hydrocraft.HCPlasticcanhoney", "media/textures/Item_HCPlasticcanhoney.png", nil, nil, nil}
		NecroList.Items.HC3093 = {"Mods", nil, nil, "HC - Plastic Can With Milk of Lime", "Hydrocraft.HCPlasticcanlime", "media/textures/Item_HCPlasticcanlime.png", nil, nil, nil}
		NecroList.Items.HC3094 = {"Mods", nil, nil, "HC - Plastic Can With Lye", "Hydrocraft.HCPlasticcanlye", "media/textures/Item_HCPlasticcanlye.png", nil, nil, nil}
		NecroList.Items.HC3095 = {"Mods", nil, nil, "HC - Plastic Can With Methanol", "Hydrocraft.HCPlasticcanmethanol", "media/textures/Item_HCPlasticcanmethanol.png", nil, nil, nil}
		NecroList.Items.HC3096 = {"Mods", nil, nil, "HC - Plastic Can With UHTMilk (Fresh)", "Hydrocraft.HCPlasticcanmilk", "media/textures/Item_HCPlasticcanmilk.png", nil, nil, nil}
		NecroList.Items.HC3097 = {"Mods", nil, nil, "HC - Plastic Can With Muriatic Acid", "Hydrocraft.HCPlasticcanmuriaticacid", "media/textures/Item_HCPlasticcanmuriaticacid.png", nil, nil, nil}
		NecroList.Items.HC3098 = {"Mods", nil, nil, "HC - Plastic Can With Nickel Sulfate Solution", "Hydrocraft.HCPlasticcannickelsulfatesolution", "media/textures/Item_HCPlasticcannickelsulfatesolution.png", nil, nil, nil}
		NecroList.Items.HC3099 = {"Mods", nil, nil, "HC - Plastic Can With Nitric Acid", "Hydrocraft.HCPlasticcannitricacid", "media/textures/Item_HCPlasticcannitricacid.png", nil, nil, nil}
		NecroList.Items.HC3100 = {"Mods", nil, nil, "HC - Plastic Can With Oil", "Hydrocraft.HCPlasticcanoil", "media/textures/Item_HCPlasticcanoil.png", nil, nil, nil}
		NecroList.Items.HC3101 = {"Mods", nil, nil, "HC - Plastic Can With Insecticide", "Hydrocraft.HCPlasticcanpoison", "media/textures/Item_HCPlasticcanpoison.png", nil, nil, nil}
		NecroList.Items.HC3102 = {"Mods", nil, nil, "HC - Plastic Can With Rose Tanning Oil", "Hydrocraft.HCPlasticcanrose", "media/textures/Item_HCPlasticcanrose.png", nil, nil, nil}
		NecroList.Items.HC3103 = {"Mods", nil, nil, "HC - Plastic Can With Sulfuric Acid", "Hydrocraft.HCPlasticcansulfuricacid", "media/textures/Item_HCPlasticcansulfuricacid.png", nil, nil, nil}
		NecroList.Items.HC3104 = {"Mods", nil, nil, "HC - Plastic Can With Tannin", "Hydrocraft.HCPlasticcantan", "media/textures/Item_HCPlasticcantan.png", nil, nil, nil}
		NecroList.Items.HC3105 = {"Mods", nil, nil, "HC - Plastic Can With Vegetable Oil", "Hydrocraft.HCPlasticcanvegoil", "media/textures/Item_HCPlasticcanvegoil.png", nil, nil, nil}
		NecroList.Items.HC3106 = {"Mods", nil, nil, "HC - Plastic Can With Water", "Hydrocraft.HCPlasticcanwater", "media/textures/Item_HCPlasticcanwater.png", nil, nil, nil}
		NecroList.Items.HC3107 = {"Mods", nil, nil, "HC - Plastic Coffee Spoon", "Hydrocraft.HCPlasticcoffeespoon", "media/textures/Item_HCPlasticcoffeespoon.png", nil, nil, nil}
		NecroList.Items.HC3108 = {"Mods", nil, nil, "HC - Plastic Cup", "Hydrocraft.HCPlasticcup", "media/textures/Item_HCPlasticcup.png", nil, nil, nil}
		NecroList.Items.HC3109 = {"Mods", nil, nil, "HC - Plastic Cup with Water", "Hydrocraft.HCPlasticcupfull", "media/textures/Item_HCPlasticcup.png", nil, nil, nil}
		NecroList.Items.HC3110 = {"Mods", nil, nil, "HC - Stack of Plastic Cups", "Hydrocraft.HCPlasticcupstack", "media/textures/Item_HCPlasticcupstack.png", nil, nil, nil}
		NecroList.Items.HC3111 = {"Mods", nil, nil, "HC - Plastic Fork", "Hydrocraft.HCPlasticfork", "media/textures/Item_HCPlasticfork.png", nil, nil, nil}
		NecroList.Items.HC3112 = {"Mods", nil, nil, "HC - Plastic Hanger", "Hydrocraft.HCPlastichanger", "media/textures/Item_HCPlastichanger.png", nil, nil, nil}
		NecroList.Items.HC3113 = {"Mods", nil, nil, "HC - Plastic Plate", "Hydrocraft.HCPlasticplate", "media/textures/Item_HCPlasticplate.png", nil, nil, nil}
		NecroList.Items.HC3114 = {"Mods", nil, nil, "HC - Plastic Plate", "Hydrocraft.HCPlasticplate2", "media/textures/Item_HCPlasticplate2.png", nil, nil, nil}
		NecroList.Items.HC3115 = {"Mods", nil, nil, "HC - Stack of Plastic Plates", "Hydrocraft.HCPlasticplatestack", "media/textures/Item_HCPlasticplatestack.png", nil, nil, nil}
		NecroList.Items.HC3116 = {"Mods", nil, nil, "HC - Stack of Plastic Plates", "Hydrocraft.HCPlasticplatestack2", "media/textures/Item_HCPlasticplatestack2.png", nil, nil, nil}
		NecroList.Items.HC3117 = {"Mods", nil, nil, "HC - Plastic Knife", "Hydrocraft.HCPlasticsknife", "media/textures/Item_HCPlasticknife.png", nil, nil, nil}
		NecroList.Items.HC3118 = {"Mods", nil, nil, "HC - Plastic Spoon", "Hydrocraft.HCPlasticspoon", "media/textures/Item_HCPlasticspoon.png", nil, nil, nil}
		NecroList.Items.HC3119 = {"Mods", nil, nil, "HC - Plastic Straw", "Hydrocraft.HCPlasticstraw", "media/textures/Item_HCPlasticstraw.png", nil, nil, nil}
		NecroList.Items.HC3120 = {"Mods", nil, nil, "HC - IR Receiver Platine", "Hydrocraft.HCPlatineirreceiver", "media/textures/Item_HCPlatineirreceiver.png", nil, nil, nil}
		NecroList.Items.HC3121 = {"Mods", nil, nil, "HC - IR Remote Platine", "Hydrocraft.HCPlatineirremote", "media/textures/Item_HCPlatineirremote.png", nil, nil, nil}
		NecroList.Items.HC3122 = {"Mods", nil, nil, "HC - Moving Sensor Platine", "Hydrocraft.HCPlatinemovingsensor", "media/textures/Item_HCPlatinemovingsensor.png", nil, nil, nil}
		NecroList.Items.HC3123 = {"Mods", nil, nil, "HC - Platinum Ore", "Hydrocraft.HCPlatinumore", "media/textures/Item_HCPlatinumore.png", nil, nil, nil}
		NecroList.Items.HC3124 = {"Mods", nil, nil, "HC - Pliers", "Hydrocraft.HCPliers", "media/textures/Item_HCPliers.png", nil, nil, nil}
		NecroList.Items.HC3125 = {"Mods", nil, nil, "HC - Plum (Fresh)", "Hydrocraft.HCPlum", "media/textures/Item_HCPlum.png", nil, nil, nil}
		NecroList.Items.HC3126 = {"Mods", nil, nil, "HC - Plumchalcum Ingot", "Hydrocraft.HCPlumchalcumingot", "media/textures/Item_HCPlumchalcumingot.png", nil, nil, nil}
		NecroList.Items.HC3127 = {"Mods", nil, nil, "HC - Plunger", "Hydrocraft.HCPlunger", "media/textures/Item_HCPlunger.png", nil, nil, nil}
		NecroList.Items.HC3128 = {"Mods", nil, nil, "HC - Insecticide", "Hydrocraft.HCPoison", "media/textures/Item_HCPoison.png", nil, nil, nil}
		NecroList.Items.HC3129 = {"Mods", nil, nil, "HC - Insecticide Can With Ammonia", "Hydrocraft.HCPoisonammonia", "media/textures/Item_HCPoisonammonia.png", nil, nil, nil}
		NecroList.Items.HC3130 = {"Mods", nil, nil, "HC - Insecticide Can With Biodiesel", "Hydrocraft.HCPoisonbiodiesel", "media/textures/Item_HCPoisonbiodiesel.png", nil, nil, nil}
		NecroList.Items.HC3131 = {"Mods", nil, nil, "HC - Insecticide Can With Copper Sulfate Solution", "Hydrocraft.HCPoisoncoppersulfatesolution", "media/textures/Item_HCPoisoncoppersulfatesolution.png", nil, nil, nil}
		NecroList.Items.HC3132 = {"Mods", nil, nil, "HC - Insecticide Can With Liqiud Soap", "Hydrocraft.HCPoisondetergent", "media/textures/Item_HCPoisondetergent.png", nil, nil, nil}
		NecroList.Items.HC3133 = {"Mods", nil, nil, "HC - Empty Insecticide Can", "Hydrocraft.HCPoisonempty", "media/textures/Item_HCPoisonempty.png", nil, nil, nil}
		NecroList.Items.HC3134 = {"Mods", nil, nil, "HC - Insecticide Can With Grape Juice", "Hydrocraft.HCPoisongrape", "media/textures/Item_HCPoisongrape.png", nil, nil, nil}
		NecroList.Items.HC3135 = {"Mods", nil, nil, "HC - Insecticide Can With Hydrogen Peroxide", "Hydrocraft.HCPoisonh2o2", "media/textures/Item_HCPoisonh2o2.png", nil, nil, nil}
		NecroList.Items.HC3136 = {"Mods", nil, nil, "HC - Insecticide Can With Honey", "Hydrocraft.HCPoisonhoney", "media/textures/Item_HCPoisonhoney.png", nil, nil, nil}
		NecroList.Items.HC3137 = {"Mods", nil, nil, "HC - Insecticide Can With Milk of Lime", "Hydrocraft.HCPoisonlime", "media/textures/Item_HCPoisonlime.png", nil, nil, nil}
		NecroList.Items.HC3138 = {"Mods", nil, nil, "HC - Insecticide Can With Lye", "Hydrocraft.HCPoisonlye", "media/textures/Item_HCPoisonlye.png", nil, nil, nil}
		NecroList.Items.HC3139 = {"Mods", nil, nil, "HC - Insecticide Can With Methanol", "Hydrocraft.HCPoisonmethanol", "media/textures/Item_HCPoisonmethanol.png", nil, nil, nil}
		NecroList.Items.HC3140 = {"Mods", nil, nil, "HC - Insecticide Can With UHTMilk (Fresh)", "Hydrocraft.HCPoisonmilk", "media/textures/Item_HCPoisonmilk.png", nil, nil, nil}
		NecroList.Items.HC3141 = {"Mods", nil, nil, "HC - Insecticide Can With Muriatic Acid", "Hydrocraft.HCPoisonmuriaticacid", "media/textures/Item_HCPoisonmuriaticacid.png", nil, nil, nil}
		NecroList.Items.HC3142 = {"Mods", nil, nil, "HC - Insecticide Can With Nickel Sulfate Solution", "Hydrocraft.HCPoisonnickelsulfatesolution", "media/textures/Item_HCPoisonnickelsulfatesolution.png", nil, nil, nil}
		NecroList.Items.HC3143 = {"Mods", nil, nil, "HC - Insecticide Can With Nitric Acid", "Hydrocraft.HCPoisonnitricacid", "media/textures/Item_HCPoisonnitricacid.png", nil, nil, nil}
		NecroList.Items.HC3144 = {"Mods", nil, nil, "HC - Insecticide Can With Oil", "Hydrocraft.HCPoisonoil", "media/textures/Item_HCPoisonoil.png", nil, nil, nil}
		NecroList.Items.HC3145 = {"Mods", nil, nil, "HC - Insecticide Can With Rose Tanning Oil", "Hydrocraft.HCPoisonrose", "media/textures/Item_HCPoisonrose.png", nil, nil, nil}
		NecroList.Items.HC3146 = {"Mods", nil, nil, "HC - Insecticide Can With Sulfuric Acid", "Hydrocraft.HCPoisonsulfuricacid", "media/textures/Item_HCPoisonsulfuricacid.png", nil, nil, nil}
		NecroList.Items.HC3147 = {"Mods", nil, nil, "HC - Insecticide Can With Tannin", "Hydrocraft.HCPoisontan", "media/textures/Item_HCPoisontan.png", nil, nil, nil}
		NecroList.Items.HC3148 = {"Mods", nil, nil, "HC - Insecticide Can With Vegetable Oil", "Hydrocraft.HCPoisonvegoil", "media/textures/Item_HCPoisonvegoil.png", nil, nil, nil}
		NecroList.Items.HC3149 = {"Mods", nil, nil, "HC - Inscticide Can With Water", "Hydrocraft.HCPoisonwater", "media/textures/Item_HCPoisonwater.png", nil, nil, nil}
		NecroList.Items.HC3150 = {"Mods", nil, nil, "HC - Poker Chip", "Hydrocraft.HCPokerchip", "media/textures/Item_HCPokerchip.png", nil, nil, nil}
		NecroList.Items.HC3151 = {"Mods", nil, nil, "HC - Polo Shirt", "Hydrocraft.HCPoloshirt", "media/textures/Item_HCPoloshirt.png", nil, nil, nil}
		NecroList.Items.HC3152 = {"Mods", nil, nil, "HC - Pond Hole with Water", "Hydrocraft.HCPond", "media/textures/Item_HCPond.png", nil, nil, nil}
		NecroList.Items.HC3153 = {"Mods", nil, nil, "HC - Pond", "Hydrocraft.HCPond2", "media/textures/Item_HCPond2.png", nil, nil, nil}
		NecroList.Items.HC3154 = {"Mods", nil, nil, "HC - Pond", "Hydrocraft.HCPond3", "media/textures/Item_HCPond2.png", nil, nil, nil}
		NecroList.Items.HC3155 = {"Mods", nil, nil, "HC - Cement Pond Hole", "Hydrocraft.HCPondholecement", "media/textures/Item_HCPondholecement.png", nil, nil, nil}
		NecroList.Items.HC3156 = {"Mods", nil, nil, "HC - Dirt Pond Hole", "Hydrocraft.HCPondholedirt", "media/textures/Item_HCPondholedirt.png", nil, nil, nil}
		NecroList.Items.HC3157 = {"Mods", nil, nil, "HC - Pond Turtle", "Hydrocraft.HCPondturtle", "media/textures/Item_HCPondturtle.png", nil, nil, nil}
		NecroList.Items.HC3158 = {"Mods", nil, nil, "HC - Empty Aluminum Can", "Hydrocraft.HCPop2trash", "media/textures/Item_HCPop2trash.png", nil, nil, nil}
		NecroList.Items.HC3159 = {"Mods", nil, nil, "HC - Empty Aluminum Can", "Hydrocraft.HCPop3trash", "media/textures/Item_HCPop3trash.png", nil, nil, nil}
		NecroList.Items.HC3160 = {"Mods", nil, nil, "HC - Pop", "Hydrocraft.HCPop4", "media/textures/Item_HCPop4.png", nil, nil, nil}
		NecroList.Items.HC3161 = {"Mods", nil, nil, "HC - Pop", "Hydrocraft.HCPop5", "media/textures/Item_HCPop5.png", nil, nil, nil}
		NecroList.Items.HC3162 = {"Mods", nil, nil, "HC - Apple Juice", "Hydrocraft.HCPopbottleapplejuice", "media/textures/Item_HCPopbottleapplejuice.png", nil, nil, nil}
		NecroList.Items.HC3163 = {"Mods", nil, nil, "HC - Blackberry Juice", "Hydrocraft.HCPopbottleblackberryjuice", "media/textures/Item_HCPopbottleblackberryjuice.png", nil, nil, nil}
		NecroList.Items.HC3164 = {"Mods", nil, nil, "HC - Blueberry Juice", "Hydrocraft.HCPopbottleblueberryjuice", "media/textures/Item_HCPopbottleblueberryjuice.png", nil, nil, nil}
		NecroList.Items.HC3165 = {"Mods", nil, nil, "HC - Carrot Juice", "Hydrocraft.HCPopbottlecarrotjuice", "media/textures/Item_HCPopbottlecarrotjuice.png", nil, nil, nil}
		NecroList.Items.HC3166 = {"Mods", nil, nil, "HC - Cherry Juice", "Hydrocraft.HCPopbottlecherryjuice", "media/textures/Item_HCPopbottlecherryjuice.png", nil, nil, nil}
		NecroList.Items.HC3167 = {"Mods", nil, nil, "HC - Grape Juice", "Hydrocraft.HCPopbottlegrapejuice", "media/textures/Item_HCPopbottlegrapejuice.png", nil, nil, nil}
		NecroList.Items.HC3168 = {"Mods", nil, nil, "HC - Lemon Juice", "Hydrocraft.HCPopbottlelemonjuice", "media/textures/Item_HCPopbottlelemonjuice.png", nil, nil, nil}
		NecroList.Items.HC3169 = {"Mods", nil, nil, "HC - Lime Juice", "Hydrocraft.HCPopbottlelimejuice", "media/textures/Item_HCPopbottlelimejuice.png", nil, nil, nil}
		NecroList.Items.HC3170 = {"Mods", nil, nil, "HC - Orange Juice", "Hydrocraft.HCPopbottleorangejuice", "media/textures/Item_HCPopbottleorangejuice.png", nil, nil, nil}
		NecroList.Items.HC3171 = {"Mods", nil, nil, "HC - Pineapple Juice", "Hydrocraft.HCPopbottlepineapplejuice", "media/textures/Item_HCPopbottlepineapplejuice.png", nil, nil, nil}
		NecroList.Items.HC3172 = {"Mods", nil, nil, "HC - Strawberry Juice", "Hydrocraft.HCPopbottlestrawberryjuice", "media/textures/Item_HCPopbottlestrawberryjuice.png", nil, nil, nil}
		NecroList.Items.HC3173 = {"Mods", nil, nil, "HC - Tomato Juice", "Hydrocraft.HCPopbottletomatojuice", "media/textures/Item_HCPopbottletomatojuice.png", nil, nil, nil}
		NecroList.Items.HC3174 = {"Mods", nil, nil, "HC - Watermelon Juice", "Hydrocraft.HCPopbottlewatermelonjuice", "media/textures/Item_HCPopbottlewatermelonjuice.png", nil, nil, nil}
		NecroList.Items.HC3175 = {"Mods", nil, nil, "HC - Wild Berry Juice", "Hydrocraft.HCPopbottlewildberryjuice", "media/textures/Item_HCPopbottlewildberryjuice.png", nil, nil, nil}
		NecroList.Items.HC3176 = {"Mods", nil, nil, "HC - Pack of Pop", "Hydrocraft.HCPoppack1", "media/textures/Item_HCPoppack1.png", nil, nil, nil}
		NecroList.Items.HC3177 = {"Mods", nil, nil, "HC - Pack of Pop", "Hydrocraft.HCPoppack2", "media/textures/Item_HCPoppack2.png", nil, nil, nil}
		NecroList.Items.HC3178 = {"Mods", nil, nil, "HC - Pack of Pop", "Hydrocraft.HCPoppack3", "media/textures/Item_HCPoppack3.png", nil, nil, nil}
		NecroList.Items.HC3179 = {"Mods", nil, nil, "HC - Poppy Capsule", "Hydrocraft.HCPoppycapsule", "media/textures/Item_HCPoppycapsule.png", nil, nil, nil}
		NecroList.Items.HC3180 = {"Mods", nil, nil, "HC - Ripped Poppy Capsule", "Hydrocraft.HCPoppycapsuleripped", "media/textures/Item_HCPoppycapsuleripped.png", nil, nil, nil}
		NecroList.Items.HC3181 = {"Mods", nil, nil, "HC - Poppy Flower", "Hydrocraft.HCPoppyflower", "media/textures/Item_HCPoppyflower.png", nil, nil, nil}
		NecroList.Items.HC3182 = {"Mods", nil, nil, "HC - Poppy Seeds", "Hydrocraft.HCPoppyseeds", "media/textures/Item_HCPoppyseeds.png", nil, nil, nil}
		NecroList.Items.HC3183 = {"Mods", nil, nil, "HC - Poppy Seeds Packet", "Hydrocraft.HCPoppyseedspack", "media/textures/Item_HCPoppyseedspack.png", nil, nil, nil}
		NecroList.Items.HC3184 = {"Mods", nil, nil, "HC - Blueberry Popsicle (Fresh)", "Hydrocraft.HCPopsicle1", "media/textures/Item_HCPopsicle1.png", nil, nil, nil}
		NecroList.Items.HC3185 = {"Mods", nil, nil, "HC - Melted Blueberry Popsicle", "Hydrocraft.HCPopsicle1melted", "media/textures/Item_HCPopsicle1melted.png", nil, nil, nil}
		NecroList.Items.HC3186 = {"Mods", nil, nil, "HC - Chocolate Popsicle (Fresh)", "Hydrocraft.HCPopsicle2", "media/textures/Item_HCPopsicle2.png", nil, nil, nil}
		NecroList.Items.HC3187 = {"Mods", nil, nil, "HC - Melted Chocolate Popsicle", "Hydrocraft.HCPopsicle2melted", "media/textures/Item_HCPopsicle2melted.png", nil, nil, nil}
		NecroList.Items.HC3188 = {"Mods", nil, nil, "HC - Strawberry Popsicle (Fresh)", "Hydrocraft.HCPopsicle3", "media/textures/Item_HCPopsicle3.png", nil, nil, nil}
		NecroList.Items.HC3189 = {"Mods", nil, nil, "HC - Melted Strawberry Popsicle", "Hydrocraft.HCPopsicle3melted", "media/textures/Item_HCPopsicle3melted.png", nil, nil, nil}
		NecroList.Items.HC3190 = {"Mods", nil, nil, "HC - Grape Popsicle (Fresh)", "Hydrocraft.HCPopsicle4", "media/textures/Item_HCPopsicle4.png", nil, nil, nil}
		NecroList.Items.HC3191 = {"Mods", nil, nil, "HC - Melted Grape Popsicle", "Hydrocraft.HCPopsicle4melted", "media/textures/Item_HCPopsicle4melted.png", nil, nil, nil}
		NecroList.Items.HC3192 = {"Mods", nil, nil, "HC - Lime Popsicle (Fresh)", "Hydrocraft.HCPopsicle5", "media/textures/Item_HCPopsicle5.png", nil, nil, nil}
		NecroList.Items.HC3193 = {"Mods", nil, nil, "HC - Melted Lime Popsicle", "Hydrocraft.HCPopsicle5melted", "media/textures/Item_HCPopsicle5melted.png", nil, nil, nil}
		NecroList.Items.HC3194 = {"Mods", nil, nil, "HC - Lemon Popsicle (Fresh)", "Hydrocraft.HCPopsicle6", "media/textures/Item_HCPopsicle6.png", nil, nil, nil}
		NecroList.Items.HC3195 = {"Mods", nil, nil, "HC - Melted Lemon Popsicle", "Hydrocraft.HCPopsicle6melted", "media/textures/Item_HCPopsicle6melted.png", nil, nil, nil}
		NecroList.Items.HC3196 = {"Mods", nil, nil, "HC - Cherry Popsicle (Fresh)", "Hydrocraft.HCPopsicle7", "media/textures/Item_HCPopsicle7.png", nil, nil, nil}
		NecroList.Items.HC3197 = {"Mods", nil, nil, "HC - Melted Cherry Popsicle", "Hydrocraft.HCPopsicle7melted", "media/textures/Item_HCPopsicle7melted.png", nil, nil, nil}
		NecroList.Items.HC3198 = {"Mods", nil, nil, "HC - Popsicle Stick", "Hydrocraft.HCPopsiclestick", "media/textures/Item_HCPopsiclestick.png", nil, nil, nil}
		NecroList.Items.HC3199 = {"Mods", nil, nil, "HC - Empty Aluminum Can", "Hydrocraft.HCPoptrash", "media/textures/Item_HCPoptrash.png", nil, nil, nil}
		NecroList.Items.HC3200 = {"Mods", nil, nil, "HC - Porcelain Bowl", "Hydrocraft.HCPorcelainbowl", "media/textures/Item_HCPorcelainbowl.png", nil, nil, nil}
		NecroList.Items.HC3201 = {"Mods", nil, nil, "HC - Porcelain Plate", "Hydrocraft.HCPorcelainplate", "media/textures/Item_HCPorcelainplate.png", nil, nil, nil}
		NecroList.Items.HC3202 = {"Mods", nil, nil, "HC - Stack of Porcelain Plates", "Hydrocraft.HCPorcelainplatestack", "media/textures/Item_HCPorcelainplatestack.png", nil, nil, nil}
		NecroList.Items.HC3203 = {"Mods", nil, nil, "HC - Porcelain Platter", "Hydrocraft.HCPorcelainplatter", "media/textures/Item_HCPorcelainplatter.png", nil, nil, nil}
		NecroList.Items.HC3204 = {"Mods", nil, nil, "HC - Porcelain Saucer", "Hydrocraft.HCPorcelainsaucer", "media/textures/Item_HCPorcelainsaucer.png", nil, nil, nil}
		NecroList.Items.HC3205 = {"Mods", nil, nil, "HC - Stack of Porcelain Saucers", "Hydrocraft.HCPorcelainsaucerstack", "media/textures/Item_HCPorcelainsaucerstack.png", nil, nil, nil}
		NecroList.Items.HC3206 = {"Mods", nil, nil, "HC - Porcelain Teacup", "Hydrocraft.HCPorcelainteacup", "media/textures/Item_HCPorcelainteacup.png", nil, nil, nil}
		NecroList.Items.HC3207 = {"Mods", nil, nil, "HC - Full Porcelain Teacup", "Hydrocraft.HCPorcelainteacupfull", "media/textures/Item_HCPorcelainteacup.png", nil, nil, nil}
		NecroList.Items.HC3208 = {"Mods", nil, nil, "HC - Porcelain Teacup with Saucer", "Hydrocraft.HCPorcelainteacupsaucer", "media/textures/Item_HCPorcelainteacupsaucer.png", nil, nil, nil}
		NecroList.Items.HC3209 = {"Mods", nil, nil, "HC - Full Porcelain Teacup with Saucer", "Hydrocraft.HCPorcelainteacupsaucerfull", "media/textures/Item_HCPorcelainteacupsaucer.png", nil, nil, nil}
		NecroList.Items.HC3210 = {"Mods", nil, nil, "HC - Porcelain Teapot", "Hydrocraft.HCPorcelainteapot", "media/textures/Item_HCPorcelainteapot.png", nil, nil, nil}
		NecroList.Items.HC3211 = {"Mods", nil, nil, "HC - Full Porcelain Teapot", "Hydrocraft.HCPorcelainteapotfull", "media/textures/Item_HCPorcelainteapot.png", nil, nil, nil}
		NecroList.Items.HC3212 = {"Mods", nil, nil, "HC - Porcelain vase", "Hydrocraft.HCPorcelainvase", "media/textures/Item_HCPorcelainvase.png", nil, nil, nil}
		NecroList.Items.HC3213 = {"Mods", nil, nil, "HC - Dead Porcupine (Fresh)", "Hydrocraft.HCPorcupinedead", "media/textures/Item_HCPorcupinedead.png", nil, nil, nil}
		NecroList.Items.HC3214 = {"Mods", nil, nil, "HC - Porcupine (Female)", "Hydrocraft.HCPorcupinefemale", "media/textures/Item_HCPorcupinefemale.png", nil, nil, nil}
		NecroList.Items.HC3215 = {"Mods", nil, nil, "HC - Porcupine (Male)", "Hydrocraft.HCPorcupinemale", "media/textures/Item_HCPorcupinemale.png", nil, nil, nil}
		NecroList.Items.HC3216 = {"Mods", nil, nil, "HC - Porcupine Carcass (Fresh)", "Hydrocraft.HCPorcupinemeat", "media/textures/Item_HCPorcupinemeat.png", nil, nil, nil}
		NecroList.Items.HC3217 = {"Mods", nil, nil, "HC - Porcupine Quills", "Hydrocraft.HCPorcupinequills", "media/textures/Item_HCPorcupinequills.png", nil, nil, nil}
		NecroList.Items.HC3218 = {"Mods", nil, nil, "HC - Portable Mining Machine", "Hydrocraft.HCPortableminingmachine", "media/textures/Item_HCPortableminingmachine.png", nil, nil, nil}
		NecroList.Items.HC3219 = {"Mods", nil, nil, "HC - Dead Portable Mining Machine", "Hydrocraft.HCPortableminingmachinedead", "media/textures/Item_HCPortableminingmachinedead.png", nil, nil, nil}
		NecroList.Items.HC3220 = {"Mods", nil, nil, "HC - Portable Mining Machine with Power", "Hydrocraft.HCPortableminingmachinepowered", "media/textures/Item_HCPortableminingmachinepowered.png", nil, nil, nil}
		NecroList.Items.HC3221 = {"Mods", nil, nil, "HC - Portobello Mushroom (Fresh)", "Hydrocraft.HCPortobello", "media/textures/Item_HCPortobello.png", nil, nil, nil}
		NecroList.Items.HC3222 = {"Mods", nil, nil, "HC - Postage Stamp", "Hydrocraft.HCPostagestamp", "media/textures/Item_HCPostagestamp.png", nil, nil, nil}
		NecroList.Items.HC3223 = {"Mods", nil, nil, "HC - Postcard", "Hydrocraft.HCPostcard1", "media/textures/Item_HCPostcard1.png", nil, nil, nil}
		NecroList.Items.HC3224 = {"Mods", nil, nil, "HC - Postcard", "Hydrocraft.HCPostcard2", "media/textures/Item_HCPostcard2.png", nil, nil, nil}
		NecroList.Items.HC3225 = {"Mods", nil, nil, "HC - Postcard", "Hydrocraft.HCPostcard3", "media/textures/Item_HCPostcard3.png", nil, nil, nil}
		NecroList.Items.HC3226 = {"Mods", nil, nil, "HC - Postcard", "Hydrocraft.HCPostcard4", "media/textures/Item_HCPostcard4.png", nil, nil, nil}
		NecroList.Items.HC3227 = {"Mods", nil, nil, "HC - Postcard", "Hydrocraft.HCPostcard5", "media/textures/Item_HCPostcard5.png", nil, nil, nil}
		NecroList.Items.HC3228 = {"Mods", nil, nil, "HC - Postcard", "Hydrocraft.HCPostcard6", "media/textures/Item_HCPostcard6.png", nil, nil, nil}
		NecroList.Items.HC3229 = {"Mods", nil, nil, "HC - Postcard", "Hydrocraft.HCPostcard7", "media/textures/Item_HCPostcard7.png", nil, nil, nil}
		NecroList.Items.HC3230 = {"Mods", nil, nil, "HC - Postcard", "Hydrocraft.HCPostcard8", "media/textures/Item_HCPostcard8.png", nil, nil, nil}
		NecroList.Items.HC3231 = {"Mods", nil, nil, "HC - Post-It Note", "Hydrocraft.HCPostit", "media/textures/Item_HCPostit.png", nil, nil, nil}
		NecroList.Items.HC3232 = {"Mods", nil, nil, "HC - Pad of Post-It Notes", "Hydrocraft.HCPostitpad", "media/textures/Item_HCPostitpad.png", nil, nil, nil}
		NecroList.Items.HC3233 = {"Mods", nil, nil, "HC - Potato Cannon", "Hydrocraft.HCPotatocannon", "media/textures/Item_HCPotatocannon.png", nil, nil, nil}
		NecroList.Items.HC3234 = {"Mods", nil, nil, "HC - Bag of Potato Flour", "Hydrocraft.HCPotatoflour", "media/textures/Item_HCPotatoflour.png", nil, nil, nil}
		NecroList.Items.HC3235 = {"Mods", nil, nil, "HC - Golden Potato (Fresh)", "Hydrocraft.HCPotatogolden", "media/textures/Item_HCPotatogolden.png", nil, nil, nil}
		NecroList.Items.HC3236 = {"Mods", nil, nil, "HC - Golden Potato Seeds", "Hydrocraft.HCPotatogoldenseeds", "media/textures/Item_HCPotatogoldenseeds.png", nil, nil, nil}
		NecroList.Items.HC3237 = {"Mods", nil, nil, "HC - Golden Potato Seeds Packet", "Hydrocraft.HCPotatogoldenseedspacket", "media/textures/Item_HCPotatogoldenseedspacket.png", nil, nil, nil}
		NecroList.Items.HC3238 = {"Mods", nil, nil, "HC - Potato Masher", "Hydrocraft.HCPotatomasher", "media/textures/Item_HCPotatomasher.png", nil, nil, nil}
		NecroList.Items.HC3239 = {"Mods", nil, nil, "HC - Tray of Potato Mush (Fresh Uncooked)", "Hydrocraft.HCPotatomush", "media/textures/Item_HCPotatomush.png", nil, nil, nil}
		NecroList.Items.HC3240 = {"Mods", nil, nil, "HC - Tray of Dried Potato Mush", "Hydrocraft.HCPotatomushbaked", "media/textures/Item_HCPotatomush.png", nil, nil, nil}
		NecroList.Items.HC3241 = {"Mods", nil, nil, "HC - Potato Pancakes (Fresh Uncooked)", "Hydrocraft.HCPotatopancakes", "media/textures/Item_HCPotatopancakes.png", nil, nil, nil}
		NecroList.Items.HC3242 = {"Mods", nil, nil, "HC - Potato Peeler", "Hydrocraft.HCPotatopeeler", "media/textures/Item_HCPotatopeeler.png", nil, nil, nil}
		NecroList.Items.HC3243 = {"Mods", nil, nil, "HC - Red Potato (Fresh)", "Hydrocraft.HCPotatored", "media/textures/Item_HCPotatored.png", nil, nil, nil}
		NecroList.Items.HC3244 = {"Mods", nil, nil, "HC - Red Potato Seeds", "Hydrocraft.HCPotatoredseeds", "media/textures/Item_HCPotatoredseeds.png", nil, nil, nil}
		NecroList.Items.HC3245 = {"Mods", nil, nil, "HC - Red Potato Seeds Packet", "Hydrocraft.HCPotatoredseedspacket", "media/textures/Item_HCPotatoredseedspacket.png", nil, nil, nil}
		NecroList.Items.HC3246 = {"Mods", nil, nil, "HC - Sweet Potato Seeds", "Hydrocraft.HCPotatosweetseeds", "media/textures/Item_HCPotatosweetseeds.png", nil, nil, nil}
		NecroList.Items.HC3247 = {"Mods", nil, nil, "HC - Sweet Potato Seeds Packet", "Hydrocraft.HCPotatosweetseedspacket", "media/textures/Item_HCPotatosweetseedspacket.png", nil, nil, nil}
		NecroList.Items.HC3248 = {"Mods", nil, nil, "HC - Pot with Cheese Cloth-Wrapped Beeswax", "Hydrocraft.HCPotcheeseclothwrappedwax", "media/textures/Item_HCPotcheeseclothwrappedwax.png", nil, nil, nil}
		NecroList.Items.HC3249 = {"Mods", nil, nil, "HC - Poti", "Hydrocraft.HCPoti", "media/textures/Item_HCPoti.png", nil, nil, nil}
		NecroList.Items.HC3250 = {"Mods", nil, nil, "HC - Pot of Melted Refined Beeswax", "Hydrocraft.HCPotmeltedrefinedwax", "media/textures/Item_HCPotmeltedrefinedwax.png", nil, nil, nil}
		NecroList.Items.HC3251 = {"Mods", nil, nil, "HC - Pot with Molten Soap", "Hydrocraft.HCPotmoltensoap", "media/textures/Item_HCPotmoltensoap.png", nil, nil, nil}
		NecroList.Items.HC3252 = {"Mods", nil, nil, "HC - Pot with Napalm", "Hydrocraft.HCPotnapalm", "media/textures/Item_HCPotnapalm.png", nil, nil, nil}
		NecroList.Items.HC3253 = {"Mods", nil, nil, "HC - Pot of Apple Mash (Fresh Uncooked)", "Hydrocraft.HCPotofapplemash", "Item_PotFull", nil, nil, nil}
		NecroList.Items.HC3254 = {"Mods", nil, nil, "HC - Pot of Cooked Apple Mash (Fresh)", "Hydrocraft.HCPotofapplemashcooked", "Item_PotFull", nil, nil, nil}
		NecroList.Items.HC3255 = {"Mods", nil, nil, "HC - Pot of Blue Agave Mash (Fresh Uncooked)", "Hydrocraft.HCPotofblueagavemash", "Item_PotFull", nil, nil, nil}
		NecroList.Items.HC3256 = {"Mods", nil, nil, "HC - Pot of Cooked Blue Agave Mash (Fresh)", "Hydrocraft.HCPotofblueagavemashcooked", "Item_PotFull", nil, nil, nil}
		NecroList.Items.HC3257 = {"Mods", nil, nil, "HC - Pot of Flour Mash (Fresh Uncooked)", "Hydrocraft.HCPotofflourmash", "Item_PotFull", nil, nil, nil}
		NecroList.Items.HC3258 = {"Mods", nil, nil, "HC - Pot of Heated Flour Mash (Fresh)", "Hydrocraft.HCPotofflourmashcooked", "Item_PotFull", nil, nil, nil}
		NecroList.Items.HC3259 = {"Mods", nil, nil, "HC - Pot of Honey Brew (Fresh Uncooked)", "Hydrocraft.HCPotofhoneybrew", "Item_PotFull", nil, nil, nil}
		NecroList.Items.HC3260 = {"Mods", nil, nil, "HC - Pot of Cooked Honey Brew (Fresh)", "Hydrocraft.HCPotofhoneybrewcooked", "Item_PotFull", nil, nil, nil}
		NecroList.Items.HC3261 = {"Mods", nil, nil, "HC - Pot of Juniper Berry Mash (Fresh Uncooked)", "Hydrocraft.HCPotofjunipermash", "Item_PotFull", nil, nil, nil}
		NecroList.Items.HC3262 = {"Mods", nil, nil, "HC - Pot of Heated Juniper Berry Mash (Fresh)", "Hydrocraft.HCPotofjunipermashcooked", "Item_PotFull", nil, nil, nil}
		NecroList.Items.HC3263 = {"Mods", nil, nil, "HC - Pot of Potato Mash (Fresh Uncooked)", "Hydrocraft.HCPotofpotatomash", "Item_PotFull", nil, nil, nil}
		NecroList.Items.HC3264 = {"Mods", nil, nil, "HC - Pot of Heated Potato Mash (Fresh)", "Hydrocraft.HCPotofpotatomashcooked", "Item_PotFull", nil, nil, nil}
		NecroList.Items.HC3265 = {"Mods", nil, nil, "HC - Pot of Pumpkin Mash (Fresh Uncooked)", "Hydrocraft.HCPotofpumpkinmash", "Item_PotFull", nil, nil, nil}
		NecroList.Items.HC3266 = {"Mods", nil, nil, "HC - Pot of Cooked Pumpkin Mash (Fresh)", "Hydrocraft.HCPotofpumpkinmashcooked", "Item_PotFull", nil, nil, nil}
		NecroList.Items.HC3267 = {"Mods", nil, nil, "HC - Pot of Rice Mash (Fresh Uncooked)", "Hydrocraft.HCPotofricemash", "Item_PotFull", nil, nil, nil}
		NecroList.Items.HC3268 = {"Mods", nil, nil, "HC - Pot of Cooked Rice Mash (Fresh)", "Hydrocraft.HCPotofricemashcooked", "Item_PotFull", nil, nil, nil}
		NecroList.Items.HC3269 = {"Mods", nil, nil, "HC - Pot with Refined Beeswax", "Hydrocraft.HCPotrefinedwax", "media/textures/Item_HCPotrefinedwax.png", nil, nil, nil}
		NecroList.Items.HC3270 = {"Mods", nil, nil, "HC - Pot with Soap (Uncooked)", "Hydrocraft.HCPotsoap", "media/textures/Item_HCPotmoltensoap.png", nil, nil, nil}
		NecroList.Items.HC3271 = {"Mods", nil, nil, "HC - Potted Blue Agave", "Hydrocraft.HCPottedagaveblue", "media/textures/Item_HCPottedagaveblue.png", nil, nil, nil}
		NecroList.Items.HC3272 = {"Mods", nil, nil, "HC - Potted Alfalfa", "Hydrocraft.HCPottedalfalfa", "media/textures/Item_HCPottedalfalfa.png", nil, nil, nil}
		NecroList.Items.HC3273 = {"Mods", nil, nil, "HC - Potted Apple Tree", "Hydrocraft.HCPottedappletree", "media/textures/Item_HCPottedappletree.png", nil, nil, nil}
		NecroList.Items.HC3274 = {"Mods", nil, nil, "HC - PottedApricot", "Hydrocraft.HCPottedapricot", "media/textures/Item_HCPottedapricot.png", nil, nil, nil}
		NecroList.Items.HC3275 = {"Mods", nil, nil, "HC - Potted Artichokes", "Hydrocraft.HCPottedartichokes", "media/textures/Item_HCPottedartichokes.png", nil, nil, nil}
		NecroList.Items.HC3276 = {"Mods", nil, nil, "HC - Potted Asparagus", "Hydrocraft.HCPottedasparagus", "media/textures/Item_HCPottedasparagus.png", nil, nil, nil}
		NecroList.Items.HC3277 = {"Mods", nil, nil, "HC - Potted Avocado Tree", "Hydrocraft.HCPottedavocadotree", "media/textures/Item_HCPottedavocadotree.png", nil, nil, nil}
		NecroList.Items.HC3278 = {"Mods", nil, nil, "HC - Potted Bamboo", "Hydrocraft.HCPottedbamboo", "media/textures/Item_HCPottedbamboo.png", nil, nil, nil}
		NecroList.Items.HC3279 = {"Mods", nil, nil, "HC - Potted Banana Tree", "Hydrocraft.HCPottedbananatree", "media/textures/Item_HCPottedbananatree.png", nil, nil, nil}
		NecroList.Items.HC3280 = {"Mods", nil, nil, "HC - Potted Basil", "Hydrocraft.HCPottedbasil", "media/textures/Item_HCPottedbasil.png", nil, nil, nil}
		NecroList.Items.HC3281 = {"Mods", nil, nil, "HC - Potted Beets", "Hydrocraft.HCPottedbeets", "media/textures/Item_HCPottedbeets.png", nil, nil, nil}
		NecroList.Items.HC3282 = {"Mods", nil, nil, "HC - Potted Bell Pepper", "Hydrocraft.HCPottedbellpepper", "media/textures/Item_HCPottedbellpepper.png", nil, nil, nil}
		NecroList.Items.HC3283 = {"Mods", nil, nil, "HC - Potted Blackberry Bush", "Hydrocraft.HCPottedblackberrybush", "media/textures/Item_HCPottedblackberrybush.png", nil, nil, nil}
		NecroList.Items.HC3284 = {"Mods", nil, nil, "HC - Potted Blueberry Bush", "Hydrocraft.HCPottedblueberrybush", "media/textures/Item_HCPottedblueberrybush.png", nil, nil, nil}
		NecroList.Items.HC3285 = {"Mods", nil, nil, "HC - Potted Broccoli", "Hydrocraft.HCPottedbroccoli", "media/textures/Item_HCPottedbroccoli.png", nil, nil, nil}
		NecroList.Items.HC3286 = {"Mods", nil, nil, "HC - Potted Cabbage", "Hydrocraft.HCPottedcabbage", "media/textures/Item_HCPottedcabbage.png", nil, nil, nil}
		NecroList.Items.HC3287 = {"Mods", nil, nil, "HC - Potted Cactus", "Hydrocraft.HCPottedcactus", "media/textures/Item_HCPottedcactus.png", nil, nil, nil}
		NecroList.Items.HC3288 = {"Mods", nil, nil, "HC - Potted Carrots", "Hydrocraft.HCPottedcarrots", "media/textures/Item_HCPottedcarrots.png", nil, nil, nil}
		NecroList.Items.HC3289 = {"Mods", nil, nil, "HC - Potted Celery", "Hydrocraft.HCPottedcelery", "media/textures/Item_HCPottedcelery.png", nil, nil, nil}
		NecroList.Items.HC3290 = {"Mods", nil, nil, "HC - Potted Cherry Tree", "Hydrocraft.HCPottedcherrytree", "media/textures/Item_HCPottedcherrytree.png", nil, nil, nil}
		NecroList.Items.HC3291 = {"Mods", nil, nil, "HC - Potted Green Chili", "Hydrocraft.HCPottedchiligreen", "media/textures/Item_HCPottedchiligreen.png", nil, nil, nil}
		NecroList.Items.HC3292 = {"Mods", nil, nil, "HC - Potted Chili Pepper Plant", "Hydrocraft.HCPottedchilipepperplant", "media/textures/Item_HCPottedchilipepperplant.png", nil, nil, nil}
		NecroList.Items.HC3293 = {"Mods", nil, nil, "HC - Potted Chinese Cabbage", "Hydrocraft.HCPottedchinesecabbage", "media/textures/Item_HCPottedchinesecabbage.png", nil, nil, nil}
		NecroList.Items.HC3294 = {"Mods", nil, nil, "HC - Potted Colewort", "Hydrocraft.HCPottedcolewort", "media/textures/Item_HCPottedcolewort.png", nil, nil, nil}
		NecroList.Items.HC3295 = {"Mods", nil, nil, "HC - Potted Blue Corn", "Hydrocraft.HCPottedcornblue", "media/textures/Item_HCPottedcornblue.png", nil, nil, nil}
		NecroList.Items.HC3296 = {"Mods", nil, nil, "HC - Potted Red Corn", "Hydrocraft.HCPottedcornred", "media/textures/Item_HCPottedcornred.png", nil, nil, nil}
		NecroList.Items.HC3297 = {"Mods", nil, nil, "HC - Potted Corn Stalk", "Hydrocraft.HCPottedcornstalk", "media/textures/Item_HCPottedcornstalk.png", nil, nil, nil}
		NecroList.Items.HC3298 = {"Mods", nil, nil, "HC - Potted White Corn", "Hydrocraft.HCPottedcornwhite", "media/textures/Item_HCPottedcornwhite.png", nil, nil, nil}
		NecroList.Items.HC3299 = {"Mods", nil, nil, "HC - Potted Cotton Plant", "Hydrocraft.HCPottedcottonplant", "media/textures/Item_HCPottedcottonplant.png", nil, nil, nil}
		NecroList.Items.HC3300 = {"Mods", nil, nil, "HC - Potted Cucumber", "Hydrocraft.HCPottedcucumber", "media/textures/Item_HCPottedcucumber.png", nil, nil, nil}
		NecroList.Items.HC3301 = {"Mods", nil, nil, "HC - Potted Eggplant", "Hydrocraft.HCPottedeggplant", "media/textures/Item_HCPottedeggplant.png", nil, nil, nil}
		NecroList.Items.HC3302 = {"Mods", nil, nil, "HC - Potted Garlic", "Hydrocraft.HCPottedgarlic", "media/textures/Item_HCPottedgarlic.png", nil, nil, nil}
		NecroList.Items.HC3303 = {"Mods", nil, nil, "HC - Potted Ginger", "Hydrocraft.HCPottedginger", "media/textures/Item_HCPottedginger.png", nil, nil, nil}
		NecroList.Items.HC3304 = {"Mods", nil, nil, "HC - Potted Grape Vine", "Hydrocraft.HCPottedgrapevine", "media/textures/Item_HCPottedgrapevine.png", nil, nil, nil}
		NecroList.Items.HC3305 = {"Mods", nil, nil, "HC - Potted Hemp Plant", "Hydrocraft.HCPottedhemp", "media/textures/Item_HCPottedhemp.png", nil, nil, nil}
		NecroList.Items.HC3306 = {"Mods", nil, nil, "HC - Potted Jute Plant", "Hydrocraft.HCPottedjute", "media/textures/Item_HCPottedjute.png", nil, nil, nil}
		NecroList.Items.HC3307 = {"Mods", nil, nil, "HC - Potted Leek", "Hydrocraft.HCPottedleek", "media/textures/Item_HCPottedleek.png", nil, nil, nil}
		NecroList.Items.HC3308 = {"Mods", nil, nil, "HC - Potted Lemon Tree", "Hydrocraft.HCPottedlemontree", "media/textures/Item_HCPottedlemontree.png", nil, nil, nil}
		NecroList.Items.HC3309 = {"Mods", nil, nil, "HC - Potted Lettuce", "Hydrocraft.HCPottedlettuce", "media/textures/Item_HCPottedlettuce.png", nil, nil, nil}
		NecroList.Items.HC3310 = {"Mods", nil, nil, "HC - Potted Mulberry", "Hydrocraft.HCPottedmulberry", "media/textures/Item_HCPottedmulberry.png", nil, nil, nil}
		NecroList.Items.HC3311 = {"Mods", nil, nil, "HC - Potted Onion", "Hydrocraft.HCPottedonion", "media/textures/Item_HCPottedonion.png", nil, nil, nil}
		NecroList.Items.HC3312 = {"Mods", nil, nil, "HC - Potted Green Onion", "Hydrocraft.HCPottedoniongreen", "media/textures/Item_HCPottedoniongreen.png", nil, nil, nil}
		NecroList.Items.HC3313 = {"Mods", nil, nil, "HC - Potted Orange Tree", "Hydrocraft.HCPottedorangetree", "media/textures/Item_HCPottedorangetree.png", nil, nil, nil}
		NecroList.Items.HC3314 = {"Mods", nil, nil, "HC - Potted Peach Tree", "Hydrocraft.HCPottedpeachtree", "media/textures/Item_HCPottedpeachtree.png", nil, nil, nil}
		NecroList.Items.HC3315 = {"Mods", nil, nil, "HC - Potted Peanut Plant", "Hydrocraft.HCPottedpeanutplant", "media/textures/Item_HCPottedpeanutplant.png", nil, nil, nil}
		NecroList.Items.HC3316 = {"Mods", nil, nil, "HC - Potted Pea Plant", "Hydrocraft.HCPottedpeaplant", "media/textures/Item_HCPottedpeaplant.png", nil, nil, nil}
		NecroList.Items.HC3317 = {"Mods", nil, nil, "HC - Potted Pear Tree", "Hydrocraft.HCPottedpeartree", "media/textures/Item_HCPottedpeartree.png", nil, nil, nil}
		NecroList.Items.HC3318 = {"Mods", nil, nil, "HC - Potted Pineapple", "Hydrocraft.HCPottedpineapple", "media/textures/Item_HCPottedpineapple.png", nil, nil, nil}
		NecroList.Items.HC3319 = {"Mods", nil, nil, "HC - Potted Poppy", "Hydrocraft.HCPottedpoppy", "media/textures/Item_HCPottedpoppy.png", nil, nil, nil}
		NecroList.Items.HC3320 = {"Mods", nil, nil, "HC - Potted Portobello Mushrooms", "Hydrocraft.HCPottedportobello", "media/textures/Item_HCPottedportobello.png", nil, nil, nil}
		NecroList.Items.HC3321 = {"Mods", nil, nil, "HC - Potted Potato", "Hydrocraft.HCPottedpotato", "media/textures/Item_HCPottedpotato.png", nil, nil, nil}
		NecroList.Items.HC3322 = {"Mods", nil, nil, "HC - Potted Prickly Pear Cactus", "Hydrocraft.HCPottedpricklypearcactus", "media/textures/Item_HCPottedpricklypearcactus.png", nil, nil, nil}
		NecroList.Items.HC3323 = {"Mods", nil, nil, "HC - Potted Pumpkin", "Hydrocraft.HCPottedpumpkin", "media/textures/Item_HCPottedpumpkin.png", nil, nil, nil}
		NecroList.Items.HC3324 = {"Mods", nil, nil, "HC - Potted Buskin Pumpkin", "Hydrocraft.HCPottedpumpkinbuskin", "media/textures/Item_HCPottedpumpkinbuskin.png", nil, nil, nil}
		NecroList.Items.HC3325 = {"Mods", nil, nil, "HC - Potted Green Pumpkin", "Hydrocraft.HCPottedpumpkingreen", "media/textures/Item_HCPottedpumpkingreen.png", nil, nil, nil}
		NecroList.Items.HC3326 = {"Mods", nil, nil, "HC - Potted Large Pumpkin", "Hydrocraft.HCPottedpumpkinlarge", "media/textures/Item_HCPottedpumpkinlarge.png", nil, nil, nil}
		NecroList.Items.HC3327 = {"Mods", nil, nil, "HC - Potted White Pumpkin", "Hydrocraft.HCPottedpumpkinwhite", "media/textures/Item_HCPottedpumpkinwhite.png", nil, nil, nil}
		NecroList.Items.HC3328 = {"Mods", nil, nil, "HC - Potted Radish", "Hydrocraft.HCPottedradish", "media/textures/Item_HCPottedradish.png", nil, nil, nil}
		NecroList.Items.HC3329 = {"Mods", nil, nil, "HC - Potted Rice", "Hydrocraft.HCPottedrice", "media/textures/Item_HCPottedrice.png", nil, nil, nil}
		NecroList.Items.HC3330 = {"Mods", nil, nil, "HC - Potted Rubber Tree", "Hydrocraft.HCPottedrubbertree", "media/textures/Item_HCPottedrubbertree.png", nil, nil, nil}
		NecroList.Items.HC3331 = {"Mods", nil, nil, "HC - Potted Rubber Tree with Sap Catchers", "Hydrocraft.HCPottedrubbertree2", "media/textures/Item_HCPottedrubbertree2.png", nil, nil, nil}
		NecroList.Items.HC3332 = {"Mods", nil, nil, "HC - Potted Shiitake Mushrooms", "Hydrocraft.HCPottedshiitake", "media/textures/Item_HCPottedshiitake.png", nil, nil, nil}
		NecroList.Items.HC3333 = {"Mods", nil, nil, "HC - Potted Spinach", "Hydrocraft.HCPottedspinach", "media/textures/Item_HCPottedspinach.png", nil, nil, nil}
		NecroList.Items.HC3334 = {"Mods", nil, nil, "HC - Potted Strawberry Bush", "Hydrocraft.HCPottedstrawberrybush", "media/textures/Item_HCPottedstrawberrybush.png", nil, nil, nil}
		NecroList.Items.HC3335 = {"Mods", nil, nil, "HC - Potted Sweet Potato", "Hydrocraft.HCPottedsweetpotato", "media/textures/Item_HCPottedsweetpotato.png", nil, nil, nil}
		NecroList.Items.HC3336 = {"Mods", nil, nil, "HC - Potted Tea Tree", "Hydrocraft.HCPottedtea", "media/textures/Item_HCPottedtea.png", nil, nil, nil}
		NecroList.Items.HC3337 = {"Mods", nil, nil, "HC - Potted Tobacco Plant", "Hydrocraft.HCPottedtobacco", "media/textures/Item_HCPottedtobacco.png", nil, nil, nil}
		NecroList.Items.HC3338 = {"Mods", nil, nil, "HC - Potted Tomatillo Plant", "Hydrocraft.HCPottedtomatilloplant", "media/textures/Item_HCPottedtomatilloplant.png", nil, nil, nil}
		NecroList.Items.HC3339 = {"Mods", nil, nil, "HC - Potted Tomato", "Hydrocraft.HCPottedtomato", "media/textures/Item_HCPottedtomato.png", nil, nil, nil}
		NecroList.Items.HC3340 = {"Mods", nil, nil, "HC - Potted Watermelon", "Hydrocraft.HCPottedwatermelon", "media/textures/Item_HCPottedwatermelon.png", nil, nil, nil}
		NecroList.Items.HC3341 = {"Mods", nil, nil, "HC - Potted Zucchini", "Hydrocraft.HCPottedzucchini", "media/textures/Item_HCPottedzucchini.png", nil, nil, nil}
		NecroList.Items.HC3342 = {"Mods", nil, nil, "HC - Pot of Uncooked Vegetable Oil", "Hydrocraft.HCPotvegoil", "media/textures/Item_HCPotvegoil.png", nil, nil, nil}
		NecroList.Items.HC3343 = {"Mods", nil, nil, "HC - Pot of Cooked Vegetable Oil", "Hydrocraft.HCPotvegoilcooked", "media/textures/Item_HCPotvegoilcooked.png", nil, nil, nil}
		NecroList.Items.HC3344 = {"Mods", nil, nil, "HC - Powercord", "Hydrocraft.HCPowercord", "media/textures/Item_HCPowercord.png", nil, nil, nil}
		NecroList.Items.HC3345 = {"Mods", nil, nil, "HC - Prawn (Fresh Uncooked)", "Hydrocraft.HCPrawn", "media/textures/Item_HCPrawn.png", nil, nil, nil}
		NecroList.Items.HC3346 = {"Mods", nil, nil, "HC - Doomsday Prepper Bag", "Hydrocraft.HCPrepperbag", "media/textures/Item_HCPrepperbag.png", nil, nil, nil}
		NecroList.Items.HC3347 = {"Mods", nil, nil, "HC - Pretzel", "Hydrocraft.HCPretzel", "media/textures/Item_HCPretzel.png", nil, nil, nil}
		NecroList.Items.HC3348 = {"Mods", nil, nil, "HC - Prickly Pear Fruit (Fresh)", "Hydrocraft.HCPricklypearfruit", "media/textures/Item_HCPricklypearfruit.png", nil, nil, nil}
		NecroList.Items.HC3349 = {"Mods", nil, nil, "HC - Prickly Pear Seeds", "Hydrocraft.HCPricklypearseeds", "media/textures/Item_HCPricklypearseeds.png", nil, nil, nil}
		NecroList.Items.HC3350 = {"Mods", nil, nil, "HC - Prickly Pear Seeds Packet", "Hydrocraft.HCPricklypearseedspacket", "media/textures/Item_HCPricklypearseedspacket.png", nil, nil, nil}
		NecroList.Items.HC3351 = {"Mods", nil, nil, "HC - Printer", "Hydrocraft.HCPrinter", "media/textures/Item_HCPrinter.png", nil, nil, nil}
		NecroList.Items.HC3352 = {"Mods", nil, nil, "HC - Movie Projector", "Hydrocraft.HCProjector", "media/textures/Item_HCProjector.png", nil, nil, nil}
		NecroList.Items.HC3353 = {"Mods", nil, nil, "HC - Empty Propane Tank", "Hydrocraft.HCPropanetankempty", "Item_PropaneTank", nil, nil, nil}
		NecroList.Items.HC3354 = {"Mods", nil, nil, "HC - Prop Cone", "Hydrocraft.HCPropcone", "media/textures/Item_HCPropcone.png", nil, nil, nil}
		NecroList.Items.HC3355 = {"Mods", nil, nil, "HC - Prosthetic Leg", "Hydrocraft.HCProstheticleg", "media/textures/Item_HCProstheticleg.png", nil, nil, nil}
		NecroList.Items.HC3356 = {"Mods", nil, nil, "HC - Protractor", "Hydrocraft.HCProtractor", "media/textures/Item_HCProtractor.png", nil, nil, nil}
		NecroList.Items.HC3357 = {"Mods", nil, nil, "HC - Pruning Sheers", "Hydrocraft.HCPruningsheers", "media/textures/Item_HCPruningsheers.png", nil, nil, nil}
		NecroList.Items.HC3358 = {"Mods", nil, nil, "HC - Steel Pulley", "Hydrocraft.HCPully", "media/textures/Item_HCPully.png", nil, nil, nil}
		NecroList.Items.HC3359 = {"Mods", nil, nil, "HC - Iron Pulley", "Hydrocraft.HCPullyiron", "media/textures/Item_HCPullyiron.png", nil, nil, nil}
		NecroList.Items.HC3360 = {"Mods", nil, nil, "HC - Pulp", "Hydrocraft.HCPulp", "media/textures/Item_HCPulp.png", nil, nil, nil}
		NecroList.Items.HC3361 = {"Mods", nil, nil, "HC - Pumice Stone", "Hydrocraft.HCPumice", "media/textures/Item_HCPumice.png", nil, nil, nil}
		NecroList.Items.HC3362 = {"Mods", nil, nil, "HC - Pumpkin (Fresh)", "Hydrocraft.HCPumpkin", "media/textures/Item_HCPumpkin.png", nil, nil, nil}
		NecroList.Items.HC3363 = {"Mods", nil, nil, "HC - Uncooked Pumpkin Bread (Fresh Uncooked)", "Hydrocraft.HCPumpkinbread", "media/textures/Item_HCPumpkinbread.png", nil, nil, nil}
		NecroList.Items.HC3364 = {"Mods", nil, nil, "HC - Baked Pumpkin Bread (Fresh)", "Hydrocraft.HCPumpkinbreadbaked", "media/textures/Item_HCPumpkinbread.png", nil, nil, nil}
		NecroList.Items.HC3365 = {"Mods", nil, nil, "HC - Pumpkin Bread Dough (Fresh)", "Hydrocraft.HCPumpkinbreaddough", "media/textures/Item_HCPumpkinbreaddough.png", nil, nil, nil}
		NecroList.Items.HC3366 = {"Mods", nil, nil, "HC - Buskin Pumpkin (Fresh)", "Hydrocraft.HCPumpkinbuskin", "media/textures/Item_HCPumpkinbuskin.png", nil, nil, nil}
		NecroList.Items.HC3367 = {"Mods", nil, nil, "HC - Buskin Pumpkin Seeds", "Hydrocraft.HCPumpkinbuskinseeds", "media/textures/Item_HCPumpkinbuskinseeds.png", nil, nil, nil}
		NecroList.Items.HC3368 = {"Mods", nil, nil, "HC - Buskin Pumpkin Packet", "Hydrocraft.HCPumpkinbuskinseedspacket", "media/textures/Item_HCPumpkinbuskinseedspacket.png", nil, nil, nil}
		NecroList.Items.HC3369 = {"Mods", nil, nil, "HC - Pumpkin Flesh (Fresh)", "Hydrocraft.HCPumpkinflesh", "media/textures/Item_HCPumpkinflesh.png", nil, nil, nil}
		NecroList.Items.HC3370 = {"Mods", nil, nil, "HC - Green Pumpkin (Fresh)", "Hydrocraft.HCPumpkingreen", "media/textures/Item_HCPumpkingreen.png", nil, nil, nil}
		NecroList.Items.HC3371 = {"Mods", nil, nil, "HC - Green Pumpkin Seeds", "Hydrocraft.HCPumpkingreenseeds", "media/textures/Item_HCPumpkingreenseeds.png", nil, nil, nil}
		NecroList.Items.HC3372 = {"Mods", nil, nil, "HC - Green Pumpkin Seeds Packet", "Hydrocraft.HCPumpkingreenseedspacket", "media/textures/Item_HCPumpkingreenseedspacket.png", nil, nil, nil}
		NecroList.Items.HC3373 = {"Mods", nil, nil, "HC - Pumpkin Carving Knife", "Hydrocraft.HCPumpkinknife", "media/textures/Item_HCPumpkinknife.png", nil, nil, nil}
		NecroList.Items.HC3374 = {"Mods", nil, nil, "HC - Large Pumpkin (Fresh)", "Hydrocraft.HCPumpkinlarge", "media/textures/Item_HCPumpkinlarge.png", nil, nil, nil}
		NecroList.Items.HC3375 = {"Mods", nil, nil, "HC - Large Pumpkin Seeds", "Hydrocraft.HCPumpkinlargeseeds", "media/textures/Item_HCPumpkinlargeseeds.png", nil, nil, nil}
		NecroList.Items.HC3376 = {"Mods", nil, nil, "HC - Large Pumpkin Seeds Packet", "Hydrocraft.HCPumpkinlargeseedspacket", "media/textures/Item_HCPumpkinlargeseedspacket.png", nil, nil, nil}
		NecroList.Items.HC3377 = {"Mods", nil, nil, "HC - Pumpkin Seeds", "Hydrocraft.HCPumpkinseeds", "media/textures/Item_HCPumpkinseeds.png", nil, nil, nil}
		NecroList.Items.HC3378 = {"Mods", nil, nil, "HC - Bag of Pumpkin Seeds", "Hydrocraft.HCPumpkinseedsnack", "media/textures/Item_HCPumpkinseedsnack.png", nil, nil, nil}
		NecroList.Items.HC3379 = {"Mods", nil, nil, "HC - Pumpkin Seeds Packet", "Hydrocraft.HCPumpkinseedspacket", "media/textures/Item_HCPumpkinseedspacket.png", nil, nil, nil}
		NecroList.Items.HC3380 = {"Mods", nil, nil, "HC - Pumpkin Spice", "Hydrocraft.HCPumpkinspice", "media/textures/Item_HCPumpkinspice.png", nil, nil, nil}
		NecroList.Items.HC3381 = {"Mods", nil, nil, "HC - White Pumpkin (Fresh)", "Hydrocraft.HCPumpkinwhite", "media/textures/Item_HCPumpkinwhite.png", nil, nil, nil}
		NecroList.Items.HC3382 = {"Mods", nil, nil, "HC - White Pumpkin Seeds", "Hydrocraft.HCPumpkinwhiteseeds", "media/textures/Item_HCPumpkinwhiteseeds.png", nil, nil, nil}
		NecroList.Items.HC3383 = {"Mods", nil, nil, "HC - White Pumpkin Seeds Packet", "Hydrocraft.HCPumpkinwhiteseedspacket", "media/textures/Item_HCPumpkinlargeseedspacket.png", nil, nil, nil}
		NecroList.Items.HC3384 = {"Mods", nil, nil, "HC - Punching Bag", "Hydrocraft.HCPunchingbag", "media/textures/Item_HCPunchingbag.png", nil, nil, nil}
		NecroList.Items.HC3385 = {"Mods", nil, nil, "HC - Punching Bag Stand", "Hydrocraft.HCPunchingstand", "media/textures/Item_HCPunchingstand.png", nil, nil, nil}
		NecroList.Items.HC3386 = {"Mods", nil, nil, "HC - Pure Opium", "Hydrocraft.HCPureopium", "media/textures/Item_HCPureopium.png", nil, nil, nil}
		NecroList.Items.HC3387 = {"Mods", nil, nil, "HC - Water Purifying Tablets", "Hydrocraft.HCPurifyingtablets", "media/textures/Item_HCPurifyingtablets.png", nil, nil, nil}
		NecroList.Items.HC3388 = {"Mods", nil, nil, "HC - Box of Water Purifying Tablets", "Hydrocraft.HCPurifyingtabletsbox", "media/textures/Item_HCPurifyingtabletsbox.png", nil, nil, nil}
		NecroList.Items.HC3389 = {"Mods", nil, nil, "HC - Push Broom", "Hydrocraft.HCPushbroom", "media/textures/Item_HCPushbroom.png", nil, nil, nil}
		NecroList.Items.HC3390 = {"Mods", nil, nil, "HC - Hand Dolly", "Hydrocraft.HCPushcart", "media/textures/Item_HCPushcart.png", nil, nil, nil}
		NecroList.Items.HC3391 = {"Mods", nil, nil, "HC - PVC Pipe", "Hydrocraft.HCPVCpipe", "media/textures/Item_HCPVCpipe.png", nil, nil, nil}
		NecroList.Items.HC3392 = {"Mods", nil, nil, "HC - Pallet of PVC Pipes", "Hydrocraft.HCPVCpipebox", "media/textures/Item_HCPVCpipebox.png", nil, nil, nil}
		NecroList.Items.HC3393 = {"Mods", nil, nil, "HC - Pyrex Dish", "Hydrocraft.HCPyrexdish", "media/textures/Item_HCPyrexdish.png", nil, nil, nil}
		NecroList.Items.HC3394 = {"Mods", nil, nil, "HC - Pyrite", "Hydrocraft.HCPyrite", "media/textures/Item_HCPyrite.png", nil, nil, nil}
		NecroList.Items.HC3395 = {"Mods", nil, nil, "HC - Cotton Swab", "Hydrocraft.HCQtip", "media/textures/Item_HCQtip.png", nil, nil, nil}
		NecroList.Items.HC3396 = {"Mods", nil, nil, "HC - Box of Cotton Swabs", "Hydrocraft.HCQtipbox", "media/textures/Item_HCQtipbox.png", nil, nil, nil}
		NecroList.Items.HC3397 = {"Mods", nil, nil, "HC - Dead Quail (Fresh)", "Hydrocraft.HCQuaildead", "media/textures/Item_HCQuaildead.png", nil, nil, nil}
		NecroList.Items.HC3398 = {"Mods", nil, nil, "HC - Quail (Female)", "Hydrocraft.HCQuailfemale", "media/textures/Item_HCQuailfemale.png", nil, nil, nil}
		NecroList.Items.HC3399 = {"Mods", nil, nil, "HC - Quail (Male)", "Hydrocraft.HCQuailmale", "media/textures/Item_HCQuailmale.png", nil, nil, nil}
		NecroList.Items.HC3400 = {"Mods", nil, nil, "HC - Quarter", "Hydrocraft.HCQuarter", "media/textures/Item_HCQuarter.png", nil, nil, nil}
		NecroList.Items.HC3401 = {"Mods", nil, nil, "HC - Quarterstaff", "Hydrocraft.HCQuarterstaff", "media/textures/Item_HCQuarterstaff.png", nil, nil, nil}
		NecroList.Items.HC3402 = {"Mods", nil, nil, "HC - Quartz Crystal", "Hydrocraft.HCQuartz", "media/textures/Item_HCQuartz.png", nil, nil, nil}
		NecroList.Items.HC3403 = {"Mods", nil, nil, "HC - Blue Quartz Crystal", "Hydrocraft.HCQuartzblue", "media/textures/Item_HCQuartzblue.png", nil, nil, nil}
		NecroList.Items.HC3404 = {"Mods", nil, nil, "HC - Cut Blue Quartz Crystal", "Hydrocraft.HCQuartzbluecut", "media/textures/Item_HCQuartzbluecut.png", nil, nil, nil}
		NecroList.Items.HC3405 = {"Mods", nil, nil, "HC - Citrine Quartz Crystal", "Hydrocraft.HCQuartzcitrine", "media/textures/Item_HCQuartzcitrine.png", nil, nil, nil}
		NecroList.Items.HC3406 = {"Mods", nil, nil, "HC - Cut Citrine Quartz Crystal", "Hydrocraft.HCQuartzcitrinecut", "media/textures/Item_HCQuartzcitrinecut.png", nil, nil, nil}
		NecroList.Items.HC3407 = {"Mods", nil, nil, "HC - Cut Quartz Crystal", "Hydrocraft.HCQuartzcut", "media/textures/Item_HCQuartzcut.png", nil, nil, nil}
		NecroList.Items.HC3408 = {"Mods", nil, nil, "HC - Rose Quartz Crystal", "Hydrocraft.HCQuartzrose", "media/textures/Item_HCQuartzrose.png", nil, nil, nil}
		NecroList.Items.HC3409 = {"Mods", nil, nil, "HC - Cut Rose Quartz Crystal", "Hydrocraft.HCQuartzrosecut", "media/textures/Item_HCQuartzrosecut.png", nil, nil, nil}
		NecroList.Items.HC3410 = {"Mods", nil, nil, "HC - Smokey Quartz Crystal", "Hydrocraft.HCQuartzsmokey", "media/textures/Item_HCQuartzsmokey.png", nil, nil, nil}
		NecroList.Items.HC3411 = {"Mods", nil, nil, "HC - Cut Smokey Quartz Crystal", "Hydrocraft.HCQuartzsmokeycut", "media/textures/Item_HCQuartzsmokeycut.png", nil, nil, nil}
		NecroList.Items.HC3412 = {"Mods", nil, nil, "HC - Queen Honeybee", "Hydrocraft.HCQueenbee", "media/textures/Item_HCQueenbee.png", nil, nil, nil}
		NecroList.Items.HC3413 = {"Mods", nil, nil, "HC - Quesadilla (Fresh)", "Hydrocraft.HCQuesadilla", "media/textures/Item_HCQuesadilla.png", nil, nil, nil}
		NecroList.Items.HC3414 = {"Mods", nil, nil, "HC - Uncooked Quesadilla (Fresh Uncooked)", "Hydrocraft.HCQuesadillauncooked", "media/textures/Item_HCQuesadilla.png", nil, nil, nil}
		NecroList.Items.HC3415 = {"Mods", nil, nil, "HC - Quiche (Fresh Uncooked)", "Hydrocraft.HCQuiche", "media/textures/Item_HCQuiche.png", nil, nil, nil}
		NecroList.Items.HC3416 = {"Mods", nil, nil, "HC - Rabbit (Female)", "Hydrocraft.HCRabbitfemale", "media/textures/Item_HCRabbitfemale.png", nil, nil, nil}
		NecroList.Items.HC3417 = {"Mods", nil, nil, "HC - Hungry Rabbit (Female)", "Hydrocraft.HCRabbitfemalehungry", "media/textures/Item_HCRabbitfemale.png", nil, nil, nil}
		NecroList.Items.HC3418 = {"Mods", nil, nil, "HC - Empty Rabbit Hutch", "Hydrocraft.HCRabbithutch", "media/textures/Item_HCRabbithutch.png", nil, nil, nil}
		NecroList.Items.HC3419 = {"Mods", nil, nil, "HC - Hutch with Rabbits", "Hydrocraft.HCRabbithutchfull", "media/textures/Item_HCRabbithutchfull.png", nil, nil, nil}
		NecroList.Items.HC3420 = {"Mods", nil, nil, "HC - Hutch with Hungry Rabbits", "Hydrocraft.HCRabbithutchhungry", "media/textures/Item_HCRabbithutchfull.png", nil, nil, nil}
		NecroList.Items.HC3421 = {"Mods", nil, nil, "HC - Hutch with Tired Rabbits", "Hydrocraft.HCRabbithutchtired", "media/textures/Item_HCRabbithutchfull.png", nil, nil, nil}
		NecroList.Items.HC3422 = {"Mods", nil, nil, "HC - Rabbit (Male)", "Hydrocraft.HCRabbitmale", "media/textures/Item_HCRabbitmale.png", nil, nil, nil}
		NecroList.Items.HC3423 = {"Mods", nil, nil, "HC - Hungry Rabbit (Male)", "Hydrocraft.HCRabbitmalehungry", "media/textures/Item_HCRabbitmale.png", nil, nil, nil}
		NecroList.Items.HC3424 = {"Mods", nil, nil, "HC - Rabbit Poop", "Hydrocraft.HCRabbitpoop", "media/textures/Item_HCRabbitpoop.png", nil, nil, nil}
		NecroList.Items.HC3425 = {"Mods", nil, nil, "HC - Raccoon Skeleton", "Hydrocraft.HCRaccoonbones", "media/textures/Item_HCRaccoonbones.png", nil, nil, nil}
		NecroList.Items.HC3426 = {"Mods", nil, nil, "HC - Dead Raccoon (Fresh)", "Hydrocraft.HCRaccoondead", "media/textures/Item_HCRaccoondead.png", nil, nil, nil}
		NecroList.Items.HC3427 = {"Mods", nil, nil, "HC - Raccoon (Female)", "Hydrocraft.HCRaccoonfemale", "media/textures/Item_HCRaccoonfemale.png", nil, nil, nil}
		NecroList.Items.HC3428 = {"Mods", nil, nil, "HC - Raccoon Hat", "Hydrocraft.HCRaccoonhat", "media/textures/Item_HCRaccoonhat.png", nil, nil, nil}
		NecroList.Items.HC3429 = {"Mods", nil, nil, "HC - Raccoon (Male)", "Hydrocraft.HCRaccoonmale", "media/textures/Item_HCRaccoonmale.png", nil, nil, nil}
		NecroList.Items.HC3430 = {"Mods", nil, nil, "HC - Raccoon Carcass (Fresh)", "Hydrocraft.HCRaccoonmeat", "media/textures/Item_HCRaccoonmeat.png", nil, nil, nil}
		NecroList.Items.HC3431 = {"Mods", nil, nil, "HC - Radiator", "Hydrocraft.HCRadiator", "media/textures/Item_HCRadiator.png", nil, nil, nil}
		NecroList.Items.HC3432 = {"Mods", nil, nil, "HC - Broken Radiator", "Hydrocraft.HCRadiator2", "media/textures/Item_HCRadiator2.png", nil, nil, nil}
		NecroList.Items.HC3433 = {"Mods", nil, nil, "HC - Radio Antenna", "Hydrocraft.HCRadioantenna", "media/textures/Item_HCRadioantenna.png", nil, nil, nil}
		NecroList.Items.HC3434 = {"Mods", nil, nil, "HC - Rubber Raft", "Hydrocraft.HCRaftrubber", "media/textures/Item_HCRaftrubber.png", nil, nil, nil}
		NecroList.Items.HC3435 = {"Mods", nil, nil, "HC - Rag Ball", "Hydrocraft.HCRagball", "media/textures/Item_HCRagball.png", nil, nil, nil}
		NecroList.Items.HC3436 = {"Mods", nil, nil, "HC - Rag with Herbal Medicine", "Hydrocraft.HCRagherb", "media/textures/Item_HCRagherb.png", nil, nil, nil}
		NecroList.Items.HC3437 = {"Mods", nil, nil, "HC - Raincoat", "Hydrocraft.HCRaincoat", "media/textures/Item_HCRaincoat.png", nil, nil, nil}
		NecroList.Items.HC3438 = {"Mods", nil, nil, "HC - Rain Poncho", "Hydrocraft.HCRainponcho", "media/textures/Item_HCRainponcho.png", nil, nil, nil}
		NecroList.Items.HC3439 = {"Mods", nil, nil, "HC - Rake", "Hydrocraft.HCRake", "media/textures/Item_HCRake.png", nil, nil, nil}
		NecroList.Items.HC3440 = {"Mods", nil, nil, "HC - Uncooked Rasin Bread (Fresh Uncooked)", "Hydrocraft.HCRasinbread", "media/textures/Item_HCRasinbread.png", nil, nil, nil}
		NecroList.Items.HC3441 = {"Mods", nil, nil, "HC - Baked Rasin Bread (Fresh)", "Hydrocraft.HCRasinbreadbaked", "media/textures/Item_HCRasinbread.png", nil, nil, nil}
		NecroList.Items.HC3442 = {"Mods", nil, nil, "HC - Raspberry (Fresh)", "Hydrocraft.HCRaspberry", "media/textures/Item_HCRaspberry.png", nil, nil, nil}
		NecroList.Items.HC3443 = {"Mods", nil, nil, "HC - Rat Poison", "Hydrocraft.HCRatpoison", "media/textures/Item_HCRatpoison.png", nil, nil, nil}
		NecroList.Items.HC3444 = {"Mods", nil, nil, "HC - Box of Rat Poison", "Hydrocraft.HCRatpoisonbox", "media/textures/Item_HCRatpoisonbox.png", nil, nil, nil}
		NecroList.Items.HC3445 = {"Mods", nil, nil, "HC - Kneaded Raw Opium", "Hydrocraft.HCRawopium", "media/textures/Item_HCRawopium.png", nil, nil, nil}
		NecroList.Items.HC3446 = {"Mods", nil, nil, "HC - Razor Blade", "Hydrocraft.HCRazorblade", "media/textures/Item_HCRazorblade.png", nil, nil, nil}
		NecroList.Items.HC3447 = {"Mods", nil, nil, "HC - Box of Razor Blade", "Hydrocraft.HCRazorbladebox", "media/textures/Item_HCRazorbladebox.png", nil, nil, nil}
		NecroList.Items.HC3448 = {"Mods", nil, nil, "HC - Razor Gloves", "Hydrocraft.HCRazorgloves", "media/textures/Item_HCRazorgloves.png", nil, nil, nil}
		NecroList.Items.HC3449 = {"Mods", nil, nil, "HC - Receiver IC", "Hydrocraft.HCReceiverIC", "media/textures/Item_HCReceiverIC.png", nil, nil, nil}
		NecroList.Items.HC3450 = {"Mods", nil, nil, "HC - Red Ant", "Hydrocraft.HCRedant", "media/textures/Item_HCRedant.png", nil, nil, nil}
		NecroList.Items.HC3451 = {"Mods", nil, nil, "HC - Red Brick", "Hydrocraft.HCRedbrick", "media/textures/Item_HCRedbrick.png", nil, nil, nil}
		NecroList.Items.HC3452 = {"Mods", nil, nil, "HC - Pallet of Red Bricks", "Hydrocraft.HCRedbrickbox", "media/textures/Item_HCRedbrickbox.png", nil, nil, nil}
		NecroList.Items.HC3453 = {"Mods", nil, nil, "HC - Red Clay", "Hydrocraft.HCRedclay", "media/textures/Item_HCRedclay.png", nil, nil, nil}
		NecroList.Items.HC3454 = {"Mods", nil, nil, "HC - Bag of Red Clay", "Hydrocraft.HCRedclaybag", "media/textures/Item_HCRedclaybag.png", nil, nil, nil}
		NecroList.Items.HC3455 = {"Mods", nil, nil, "HC - Red Currant (Fresh)", "Hydrocraft.HCRedcurrant", "media/textures/Item_HCRedcurrant.png", nil, nil, nil}
		NecroList.Items.HC3456 = {"Mods", nil, nil, "HC - Red Feather", "Hydrocraft.HCRedfeather", "media/textures/Item_HCRedfeather.png", nil, nil, nil}
		NecroList.Items.HC3457 = {"Mods", nil, nil, "HC - Dead Redhead Duck (Fresh)", "Hydrocraft.HCRedheadduckdead", "media/textures/Item_HCRedheadduckdead.png", nil, nil, nil}
		NecroList.Items.HC3458 = {"Mods", nil, nil, "HC - Dead Redhead Duck (Fresh)", "Hydrocraft.HCRedheadduckdead2", "media/textures/Item_HCRedheadduckdead2.png", nil, nil, nil}
		NecroList.Items.HC3459 = {"Mods", nil, nil, "HC - Redhead Duck (Female)", "Hydrocraft.HCRedheadduckfemale", "media/textures/Item_HCRedheadduckfemale.png", nil, nil, nil}
		NecroList.Items.HC3460 = {"Mods", nil, nil, "HC - Redhead Duck (Male)", "Hydrocraft.HCRedheadduckmale", "media/textures/Item_HCRedheadduckmale.png", nil, nil, nil}
		NecroList.Items.HC3461 = {"Mods", nil, nil, "HC - Red Pigment", "Hydrocraft.HCRedpigment", "media/textures/Item_HCRedpigment.png", nil, nil, nil}
		NecroList.Items.HC3462 = {"Mods", nil, nil, "HC - Red Snapper (Fresh Uncooked)", "Hydrocraft.HCRedsnapper", "media/textures/Item_HCRedsnapper.png", nil, nil, nil}
		NecroList.Items.HC3463 = {"Mods", nil, nil, "HC - Reed Mat", "Hydrocraft.HCReedmat", "media/textures/Item_HCReedmat.png", nil, nil, nil}
		NecroList.Items.HC3464 = {"Mods", nil, nil, "HC - Dried Reed Mat", "Hydrocraft.HCReedmatdry", "media/textures/Item_HCReedmatdry.png", nil, nil, nil}
		NecroList.Items.HC3465 = {"Mods", nil, nil, "HC - Reeds", "Hydrocraft.HCReeds", "media/textures/Item_HCReeds.png", nil, nil, nil}
		NecroList.Items.HC3466 = {"Mods", nil, nil, "HC - Refined Beeswax", "Hydrocraft.HCRefinedbeeswax", "media/textures/Item_HCRefinedbeeswax.png", nil, nil, nil}
		NecroList.Items.HC3467 = {"Mods", nil, nil, "HC - Refractory Brick", "Hydrocraft.HCRefractorybrick", "media/textures/Item_HCRefractorybrick.png", nil, nil, nil}
		NecroList.Items.HC3468 = {"Mods", nil, nil, "HC - Apple Juice", "Hydrocraft.HCRemouladeapplejuice", "media/textures/Item_HCRemouladeapplejuice.png", nil, nil, nil}
		NecroList.Items.HC3469 = {"Mods", nil, nil, "HC - Blackberry Juice", "Hydrocraft.HCRemouladeblackberryjuice", "media/textures/Item_HCRemouladeblackberryjuice.png", nil, nil, nil}
		NecroList.Items.HC3470 = {"Mods", nil, nil, "HC - Blueberry Juice", "Hydrocraft.HCRemouladeblueberryjuice", "media/textures/Item_HCRemouladeblueberryjuice.png", nil, nil, nil}
		NecroList.Items.HC3471 = {"Mods", nil, nil, "HC - Carrot Juice", "Hydrocraft.HCRemouladecarrotjuice", "media/textures/Item_HCRemouladecarrotjuice.png", nil, nil, nil}
		NecroList.Items.HC3472 = {"Mods", nil, nil, "HC - Cherry Juice", "Hydrocraft.HCRemouladecherryjuice", "media/textures/Item_HCRemouladecherryjuice.png", nil, nil, nil}
		NecroList.Items.HC3473 = {"Mods", nil, nil, "HC - Grape Juice", "Hydrocraft.HCRemouladegrapejuice", "media/textures/Item_HCRemouladegrapejuice.png", nil, nil, nil}
		NecroList.Items.HC3474 = {"Mods", nil, nil, "HC - Lemon Juice", "Hydrocraft.HCRemouladelemonjuice", "media/textures/Item_HCRemouladelemonjuice.png", nil, nil, nil}
		NecroList.Items.HC3475 = {"Mods", nil, nil, "HC - Lime Juice", "Hydrocraft.HCRemouladelimejuice", "media/textures/Item_HCRemouladelimejuice.png", nil, nil, nil}
		NecroList.Items.HC3476 = {"Mods", nil, nil, "HC - Orange Juice", "Hydrocraft.HCRemouladeorangejuice", "media/textures/Item_HCRemouladeorangejuice.png", nil, nil, nil}
		NecroList.Items.HC3477 = {"Mods", nil, nil, "HC - Pineapple Juice", "Hydrocraft.HCRemouladepineapplejuice", "media/textures/Item_HCRemouladepineapplejuice.png", nil, nil, nil}
		NecroList.Items.HC3478 = {"Mods", nil, nil, "HC - Strawberry Juice", "Hydrocraft.HCRemouladestrawberryjuice", "media/textures/Item_HCRemouladestrawberryjuice.png", nil, nil, nil}
		NecroList.Items.HC3479 = {"Mods", nil, nil, "HC - Tomato Juice", "Hydrocraft.HCRemouladetomatojuice", "media/textures/Item_HCRemouladetomatojuice.png", nil, nil, nil}
		NecroList.Items.HC3480 = {"Mods", nil, nil, "HC - Watermelon Juice", "Hydrocraft.HCRemouladewatermelonjuice", "media/textures/Item_HCRemouladewatermelonjuice.png", nil, nil, nil}
		NecroList.Items.HC3481 = {"Mods", nil, nil, "HC - Wild Berry Juice", "Hydrocraft.HCRemouladewildberryjuice", "media/textures/Item_HCRemouladewildberryjuice.png", nil, nil, nil}
		NecroList.Items.HC3482 = {"Mods", nil, nil, "HC - Jar of Rennet", "Hydrocraft.HCRennet", "media/textures/Item_HCRennet.png", nil, nil, nil}
		NecroList.Items.HC3483 = {"Mods", nil, nil, "HC - Primative Research Station", "Hydrocraft.HCResearchtable", "media/textures/Item_HCResearchtable.png", nil, nil, nil}
		NecroList.Items.HC3484 = {"Mods", nil, nil, "HC - Resin", "Hydrocraft.HCResin", "media/textures/Item_HCResin.png", nil, nil, nil}
		NecroList.Items.HC3485 = {"Mods", nil, nil, "HC - Resistor", "Hydrocraft.HCResistor", "media/textures/Item_HCResistor.png", nil, nil, nil}
		NecroList.Items.HC3486 = {"Mods", nil, nil, "HC - Box of Resistors", "Hydrocraft.HCResistorbox", "media/textures/Item_HCResistorbox.png", nil, nil, nil}
		NecroList.Items.HC3487 = {"Mods", nil, nil, "HC - Rhododendron", "Hydrocraft.HCRhododendron", "media/textures/Item_HCRhododendron.png", nil, nil, nil}
		NecroList.Items.HC3488 = {"Mods", nil, nil, "HC - Rhodonite", "Hydrocraft.HCRhodonite", "media/textures/Item_HCRhodonite.png", nil, nil, nil}
		NecroList.Items.HC3489 = {"Mods", nil, nil, "HC - Cut Rhodonite", "Hydrocraft.HCRhodonitecut", "media/textures/Item_HCRhodonitecut.png", nil, nil, nil}
		NecroList.Items.HC3490 = {"Mods", nil, nil, "HC - Rhyolite", "Hydrocraft.HCRhyolite", "media/textures/Item_HCRhyolite.png", nil, nil, nil}
		NecroList.Items.HC3491 = {"Mods", nil, nil, "HC - Bowl of Rice and Beans (Fresh)", "Hydrocraft.HCRiceandbeansbowl", "media/textures/Item_HCChilibowl.png", nil, nil, nil}
		NecroList.Items.HC3492 = {"Mods", nil, nil, "HC - Pot of Fresh Rice and Beans (Fresh)", "Hydrocraft.HCRiceandbeanscooked", "Item_PotFull", nil, nil, nil}
		NecroList.Items.HC3493 = {"Mods", nil, nil, "HC - Pot of Rice and Beans (Fresh Uncooked)", "Hydrocraft.HCRiceandbeanspot", "Item_PotFull", nil, nil, nil}
		NecroList.Items.HC3494 = {"Mods", nil, nil, "HC - Rice Cooker", "Hydrocraft.HCRicecooker", "media/textures/Item_HCRicecooker.png", nil, nil, nil}
		NecroList.Items.HC3495 = {"Mods", nil, nil, "HC - Rice Cooker with Dead Battery", "Hydrocraft.HCRicecookerdead", "media/textures/Item_HCRicecookerdead.png", nil, nil, nil}
		NecroList.Items.HC3496 = {"Mods", nil, nil, "HC - Rice Cooker with Power", "Hydrocraft.HCRicecookerpowered", "media/textures/Item_HCRicecookerpowered.png", nil, nil, nil}
		NecroList.Items.HC3497 = {"Mods", nil, nil, "HC - Empty Rice Bag", "Hydrocraft.HCRiceempty", "media/textures/Item_HCRiceempty.png", nil, nil, nil}
		NecroList.Items.HC3498 = {"Mods", nil, nil, "HC - Rice Flour", "Hydrocraft.HCRiceflour", "media/textures/Item_HCRiceflour.png", nil, nil, nil}
		NecroList.Items.HC3499 = {"Mods", nil, nil, "HC - Pot of Rice Pudding (Fresh Uncooked)", "Hydrocraft.HCRicepudding", "Item_PotFull", nil, nil, nil}
		NecroList.Items.HC3500 = {"Mods", nil, nil, "HC - Bowl of Rice Pudding (Fresh)", "Hydrocraft.HCRicepuddingbowl", "media/textures/Item_HCRicebowl.png", nil, nil, nil}
		NecroList.Items.HC3501 = {"Mods", nil, nil, "HC - Pot of Cooked Rice Pudding (Fresh)", "Hydrocraft.HCRicepuddingcooked", "Item_PotFull", nil, nil, nil}
		NecroList.Items.HC3502 = {"Mods", nil, nil, "HC - Raw Rice", "Hydrocraft.HCRiceraw", "media/textures/Item_HCRiceraw.png", nil, nil, nil}
		NecroList.Items.HC3503 = {"Mods", nil, nil, "HC - Rice Seeds", "Hydrocraft.HCRiceseeds", "media/textures/Item_HCRiceseeds.png", nil, nil, nil}
		NecroList.Items.HC3504 = {"Mods", nil, nil, "HC - Rice Packet", "Hydrocraft.HCRiceseedspacket", "media/textures/Item_HCRiceseedspacket.png", nil, nil, nil}
		NecroList.Items.HC3505 = {"Mods", nil, nil, "HC - Ring Clamp", "Hydrocraft.HCRingclamp", "media/textures/Item_HCRingclamp.png", nil, nil, nil}
		NecroList.Items.HC3506 = {"Mods", nil, nil, "HC - Iron Ring", "Hydrocraft.HCRingiron", "media/textures/Item_HCRingiron.png", nil, nil, nil}
		NecroList.Items.HC3507 = {"Mods", nil, nil, "HC - Ring Mold", "Hydrocraft.HCRingmold", "media/textures/Item_HCNailmold.png", nil, nil, nil}
		NecroList.Items.HC3508 = {"Mods", nil, nil, "HC - Silver Ring", "Hydrocraft.HCRingsilver", "media/textures/Item_HCRingsilver.png", nil, nil, nil}
		NecroList.Items.HC3509 = {"Mods", nil, nil, "HC - Silver Ring with Amethyst", "Hydrocraft.HCRingsilveramethyst", "media/textures/Item_HCRingsilveramethyst.png", nil, nil, nil}
		NecroList.Items.HC3510 = {"Mods", nil, nil, "HC - Silver Ring with Azurite", "Hydrocraft.HCRingsilverazurite", "media/textures/Item_HCRingsilverazurite.png", nil, nil, nil}
		NecroList.Items.HC3511 = {"Mods", nil, nil, "HC - Silver Ring with Diamond", "Hydrocraft.HCRingsilverdiamond", "media/textures/Item_HCRingsilverdiamond.png", nil, nil, nil}
		NecroList.Items.HC3512 = {"Mods", nil, nil, "HC - Silver Ring with Emerald", "Hydrocraft.HCRingsilveremerald", "media/textures/Item_HCRingsilveremerald.png", nil, nil, nil}
		NecroList.Items.HC3513 = {"Mods", nil, nil, "HC - Silver Ring with Fire Agate", "Hydrocraft.HCRingsilverfireagate", "media/textures/Item_HCRingsilverfireagate.png", nil, nil, nil}
		NecroList.Items.HC3514 = {"Mods", nil, nil, "HC - Silver Ring with Garnet", "Hydrocraft.HCRingsilvergarnet", "media/textures/Item_HCRingsilvergarnet.png", nil, nil, nil}
		NecroList.Items.HC3515 = {"Mods", nil, nil, "HC - Silver Ring with Jade", "Hydrocraft.HCRingsilverjade", "media/textures/Item_HCRingsilverjade.png", nil, nil, nil}
		NecroList.Items.HC3516 = {"Mods", nil, nil, "HC - Silver Ring with Lapis Lazuli", "Hydrocraft.HCRingsilverlapislazuli", "media/textures/Item_HCRingsilverlapislazuli.png", nil, nil, nil}
		NecroList.Items.HC3517 = {"Mods", nil, nil, "HC - Silver Ring with Malachite", "Hydrocraft.HCRingsilvermalachite", "media/textures/Item_HCRingsilvermalachite.png", nil, nil, nil}
		NecroList.Items.HC3518 = {"Mods", nil, nil, "HC - Silver Ring with Olivine", "Hydrocraft.HCRingsilverolivine", "media/textures/Item_HCRingsilverolivine.png", nil, nil, nil}
		NecroList.Items.HC3519 = {"Mods", nil, nil, "HC - Silver Ring with Quartz Crystal", "Hydrocraft.HCRingsilverquartz", "media/textures/Item_HCRingsilverquartz.png", nil, nil, nil}
		NecroList.Items.HC3520 = {"Mods", nil, nil, "HC - Silver Ring with Blue Quartz Crystal", "Hydrocraft.HCRingsilverquartzblue", "media/textures/Item_HCRingsilverquartzblue.png", nil, nil, nil}
		NecroList.Items.HC3521 = {"Mods", nil, nil, "HC - Silver Ring with Citrine Quartz Crystal", "Hydrocraft.HCRingsilverquartzcitrine", "media/textures/Item_HCRingsilverquartzcitrine.png", nil, nil, nil}
		NecroList.Items.HC3522 = {"Mods", nil, nil, "HC - Silver Ring with Rose Quartz Crystal", "Hydrocraft.HCRingsilverquartzrose", "media/textures/Item_HCRingsilverquartzrose.png", nil, nil, nil}
		NecroList.Items.HC3523 = {"Mods", nil, nil, "HC - Silver Ring with Smokey Quartz Crystal", "Hydrocraft.HCRingsilverquartzsmokey", "media/textures/Item_HCRingsilverquartzsmokey.png", nil, nil, nil}
		NecroList.Items.HC3524 = {"Mods", nil, nil, "HC - Silver Ring with Rhodonite", "Hydrocraft.HCRingsilverrhodonite", "media/textures/Item_HCRingsilverrhodonite.png", nil, nil, nil}
		NecroList.Items.HC3525 = {"Mods", nil, nil, "HC - Silver Ring with Ruby", "Hydrocraft.HCRingsilverruby", "media/textures/Item_HCRingsilverruby.png", nil, nil, nil}
		NecroList.Items.HC3526 = {"Mods", nil, nil, "HC - Silver Ring with Sapphire", "Hydrocraft.HCRingsilversapphire", "media/textures/Item_HCRingsilversapphire.png", nil, nil, nil}
		NecroList.Items.HC3527 = {"Mods", nil, nil, "HC - Silver Ring with Topaz", "Hydrocraft.HCRingsilvertopaz", "media/textures/Item_HCRingsilvertopaz.png", nil, nil, nil}
		NecroList.Items.HC3528 = {"Mods", nil, nil, "HC - Silver Ring with Turquoise", "Hydrocraft.HCRingsilverturquoise", "media/textures/Item_HCRingsilverturquoise.png", nil, nil, nil}
		NecroList.Items.HC3529 = {"Mods", nil, nil, "HC - Ring Stand", "Hydrocraft.HCRingstand", "media/textures/Item_HCRingstand.png", nil, nil, nil}
		NecroList.Items.HC3530 = {"Mods", nil, nil, "HC - Ring Stand with Clamp", "Hydrocraft.HCRingstandclamp", "media/textures/Item_HCRingstandclamp.png", nil, nil, nil}
		NecroList.Items.HC3531 = {"Mods", nil, nil, "HC - Steel Ring", "Hydrocraft.HCRingsteel", "media/textures/Item_HCRingsteel.png", nil, nil, nil}
		NecroList.Items.HC3532 = {"Mods", nil, nil, "HC - Risotto (Fresh Uncooked)", "Hydrocraft.HCRisotto", "media/textures/Item_HCRisotto.png", nil, nil, nil}
		NecroList.Items.HC3533 = {"Mods", nil, nil, "HC - Roach (Fresh Uncooked)", "Hydrocraft.HCRoach", "media/textures/Item_HCRoach.png", nil, nil, nil}
		NecroList.Items.HC3534 = {"Mods", nil, nil, "HC - Road Flare", "Hydrocraft.HCRoadflare", "media/textures/Item_HCRoadflare.png", nil, nil, nil}
		NecroList.Items.HC3535 = {"Mods", nil, nil, "HC - Road Flare", "Hydrocraft.HCRoadflareon", "media/textures/Item_HCRoadflareon.png", nil, nil, nil}
		NecroList.Items.HC3536 = {"Mods", nil, nil, "HC - Robotic Assembly Arm", "Hydrocraft.HCRobotarm", "media/textures/Item_HCRobotarm.png", nil, nil, nil}
		NecroList.Items.HC3537 = {"Mods", nil, nil, "HC - Rocket", "Hydrocraft.HCRocket", "media/textures/Item_HCRocket.png", nil, nil, nil}
		NecroList.Items.HC3538 = {"Mods", nil, nil, "HC - Rocket Launcher", "Hydrocraft.HCRocketlauncher", "media/textures/Item_HCRocketlauncher.png", nil, nil, nil}
		NecroList.Items.HC3539 = {"Mods", nil, nil, "HC - Loaded Rocket Launcher", "Hydrocraft.HCRocketlauncherloaded", "media/textures/Item_HCRocketlauncherloaded.png", nil, nil, nil}
		NecroList.Items.HC3540 = {"Mods", nil, nil, "HC - Rock Salt", "Hydrocraft.HCRocksalt", "media/textures/Item_HCRocksalt.png", nil, nil, nil}
		NecroList.Items.HC3541 = {"Mods", nil, nil, "HC - Can of Rodent Food", "Hydrocraft.HCRodentfood", "media/textures/Item_HCRodentfood.png", nil, nil, nil}
		NecroList.Items.HC3542 = {"Mods", nil, nil, "HC - Box of Rodent Food", "Hydrocraft.HCRodentfood2", "media/textures/Item_HCRodentfood2.png", nil, nil, nil}
		NecroList.Items.HC3543 = {"Mods", nil, nil, "HC - Roller Skates", "Hydrocraft.HCRollerskates", "media/textures/Item_HCRollerskates.png", nil, nil, nil}
		NecroList.Items.HC3544 = {"Mods", nil, nil, "HC - Small Rolling Mill", "Hydrocraft.HCRollingmillsmall", "media/textures/Item_HCRollingmillsmall.png", nil, nil, nil}
		NecroList.Items.HC3545 = {"Mods", nil, nil, "HC - Thick Rope", "Hydrocraft.HCRopethick", "media/textures/Item_HCRopethick.png", nil, nil, nil}
		NecroList.Items.HC3546 = {"Mods", nil, nil, "HC - Thin Rope", "Hydrocraft.HCRopethin", "media/textures/Item_HCRopethin.png", nil, nil, nil}
		NecroList.Items.HC3547 = {"Mods", nil, nil, "HC - Rosebud", "Hydrocraft.HCRosebud", "media/textures/Item_HCRosebud.png", nil, nil, nil}
		NecroList.Items.HC3548 = {"Mods", nil, nil, "HC - Rose Gold Ingot", "Hydrocraft.HCRosegoldingot", "media/textures/Item_HCRosegoldingot.png", nil, nil, nil}
		NecroList.Items.HC3549 = {"Mods", nil, nil, "HC - Rosemary", "Hydrocraft.HCRosemary", "media/textures/Item_HCRosemary.png", nil, nil, nil}
		NecroList.Items.HC3550 = {"Mods", nil, nil, "HC - Rotor", "Hydrocraft.HCRotor", "media/textures/Item_HCRotor.png", nil, nil, nil}
		NecroList.Items.HC3551 = {"Mods", nil, nil, "HC - Rottweiler (Female)", "Hydrocraft.HCRottweilerfemale", "media/textures/Item_HCRottweilerfemale.png", nil, nil, nil}
		NecroList.Items.HC3552 = {"Mods", nil, nil, "HC - Rottweiler (Male)", "Hydrocraft.HCRottweilermale", "media/textures/Item_HCRottweilermale.png", nil, nil, nil}
		NecroList.Items.HC3553 = {"Mods", nil, nil, "HC - Roulette Table", "Hydrocraft.HCRoulette", "media/textures/Item_HCRoulette.png", nil, nil, nil}
		NecroList.Items.HC3554 = {"Mods", nil, nil, "HC - Roulette Table", "Hydrocraft.HCRoulette2", "media/textures/Item_HCRoulette.png", nil, nil, nil}
		NecroList.Items.HC3555 = {"Mods", nil, nil, "HC - Router", "Hydrocraft.HCRouter", "media/textures/Item_HCRouter.png", nil, nil, nil}
		NecroList.Items.HC3556 = {"Mods", nil, nil, "HC - Rubber", "Hydrocraft.HCRubber", "media/textures/Item_HCRubber.png", nil, nil, nil}
		NecroList.Items.HC3557 = {"Mods", nil, nil, "HC - Rubber Ball", "Hydrocraft.HCRubberball", "media/textures/Item_HCRubberball.png", nil, nil, nil}
		NecroList.Items.HC3558 = {"Mods", nil, nil, "HC - Box of Rubberbands", "Hydrocraft.HCRubberbandbox", "media/textures/Item_HCRubberbandbox.png", nil, nil, nil}
		NecroList.Items.HC3559 = {"Mods", nil, nil, "HC - Rubber Bung", "Hydrocraft.HCRubberbung", "media/textures/Item_HCRubberbung.png", nil, nil, nil}
		NecroList.Items.HC3560 = {"Mods", nil, nil, "HC - Box of Rubber Bungs", "Hydrocraft.HCRubberbungbox", "media/textures/Item_HCRubberbungbox.png", nil, nil, nil}
		NecroList.Items.HC3561 = {"Mods", nil, nil, "HC - Rubber Bung with Hole", "Hydrocraft.HCRubberbunghole", "media/textures/Item_HCRubberbunghole.png", nil, nil, nil}
		NecroList.Items.HC3562 = {"Mods", nil, nil, "HC - Rubber Cement", "Hydrocraft.HCRubbercement", "media/textures/Item_HCRubbercement.png", nil, nil, nil}
		NecroList.Items.HC3563 = {"Mods", nil, nil, "HC - Rubber Gloves", "Hydrocraft.HCRubberglove", "media/textures/Item_HCRubberglove.png", nil, nil, nil}
		NecroList.Items.HC3564 = {"Mods", nil, nil, "HC - Rubber Hose", "Hydrocraft.HCRubberhose", "media/textures/Item_HCRubberhose.png", nil, nil, nil}
		NecroList.Items.HC3565 = {"Mods", nil, nil, "HC - Rubber Sheet", "Hydrocraft.HCRubbersheet", "media/textures/Item_HCRubbersheet.png", nil, nil, nil}
		NecroList.Items.HC3566 = {"Mods", nil, nil, "HC - Rubber Tree Seeds", "Hydrocraft.HCRubbertreeseeds", "media/textures/Item_HCRubbertreeseeds.png", nil, nil, nil}
		NecroList.Items.HC3567 = {"Mods", nil, nil, "HC - Rubber Tree Packet", "Hydrocraft.HCRubbertreeseedspacket", "media/textures/Item_HCRubbertreeseedspacket.png", nil, nil, nil}
		NecroList.Items.HC3568 = {"Mods", nil, nil, "HC - Vulcanized Rubber", "Hydrocraft.HCRubbervulcanized", "media/textures/Item_HCRubbervulcanized.png", nil, nil, nil}
		NecroList.Items.HC3569 = {"Mods", nil, nil, "HC - Ruby", "Hydrocraft.HCRuby", "media/textures/Item_HCRuby.png", nil, nil, nil}
		NecroList.Items.HC3570 = {"Mods", nil, nil, "HC - Cut Ruby", "Hydrocraft.HCRubycut", "media/textures/Item_HCRubycut.png", nil, nil, nil}
		NecroList.Items.HC3571 = {"Mods", nil, nil, "HC - Rucksack", "Hydrocraft.HCRucksack", "media/textures/Item_HCRucksack.png", nil, nil, nil}
		NecroList.Items.HC3572 = {"Mods", nil, nil, "HC - Ruffe (Fresh Uncooked)", "Hydrocraft.HCRuffe", "media/textures/Item_HCRuffe.png", nil, nil, nil}
		NecroList.Items.HC3573 = {"Mods", nil, nil, "HC - Ruler", "Hydrocraft.HCRuler", "media/textures/Item_HCRuler.png", nil, nil, nil}
		NecroList.Items.HC3574 = {"Mods", nil, nil, "HC - Rum", "Hydrocraft.HCRum1", "media/textures/Item_HCRum1.png", nil, nil, nil}
		NecroList.Items.HC3575 = {"Mods", nil, nil, "HC - Rune Stone", "Hydrocraft.HCRunestone", "media/textures/Item_HCRunestone.png", nil, nil, nil}
		NecroList.Items.HC3576 = {"Mods", nil, nil, "HC - Rusty Shards", "Hydrocraft.HCRustyshards", "media/textures/Item_HCRustyshards.png", nil, nil, nil}
		NecroList.Items.HC3577 = {"Mods", nil, nil, "HC - Safety Glasses", "Hydrocraft.HCSafetyglasses", "media/textures/Item_HCSafetyglasses.png", nil, nil, nil}
		NecroList.Items.HC3578 = {"Mods", nil, nil, "HC - Safety Pin", "Hydrocraft.HCSafetypin", "media/textures/Item_HCSafetypin.png", nil, nil, nil}
		NecroList.Items.HC3579 = {"Mods", nil, nil, "HC - Saffron", "Hydrocraft.HCSaffron", "media/textures/Item_HCSaffron.png", nil, nil, nil}
		NecroList.Items.HC3580 = {"Mods", nil, nil, "HC - Sage", "Hydrocraft.HCSage", "media/textures/Item_HCSage.png", nil, nil, nil}
		NecroList.Items.HC3581 = {"Mods", nil, nil, "HC - Sake", "Hydrocraft.HCSake", "media/textures/Item_HCSake.png", nil, nil, nil}
		NecroList.Items.HC3582 = {"Mods", nil, nil, "HC - Salad Tongs", "Hydrocraft.HCSaladtongs", "media/textures/Item_HCSaladtongs.png", nil, nil, nil}
		NecroList.Items.HC3583 = {"Mods", nil, nil, "HC - Salamander", "Hydrocraft.HCSalamander", "media/textures/Item_HCSalamander.png", nil, nil, nil}
		NecroList.Items.HC3584 = {"Mods", nil, nil, "HC - Salami", "Hydrocraft.HCSalami", "media/textures/Item_HCSalami.png", nil, nil, nil}
		NecroList.Items.HC3585 = {"Mods", nil, nil, "HC - Salmon (Fresh Uncooked)", "Hydrocraft.HCSalmon", "media/textures/Item_HCSalmon.png", nil, nil, nil}
		NecroList.Items.HC3586 = {"Mods", nil, nil, "HC - Bowl of Salsa (Fresh)", "Hydrocraft.HCSalsabowl", "media/textures/Item_HCSalsabowl.png", nil, nil, nil}
		NecroList.Items.HC3587 = {"Mods", nil, nil, "HC - Jar of Salsa Verde (Fresh)", "Hydrocraft.HCSalsagreenjar", "media/textures/Item_HCSalsagreenjar.png", nil, nil, nil}
		NecroList.Items.HC3588 = {"Mods", nil, nil, "HC - Jar of Salsa (Fresh)", "Hydrocraft.HCSalsajar", "media/textures/Item_HCSalsajar.png", nil, nil, nil}
		NecroList.Items.HC3589 = {"Mods", nil, nil, "HC - Salted Bear Steak (Fresh)", "Hydrocraft.HCSaltedbear", "media/textures/Item_HCSaltedbear.png", nil, nil, nil}
		NecroList.Items.HC3590 = {"Mods", nil, nil, "HC - Salted Beef (Fresh)", "Hydrocraft.HCSaltedbeef", "media/textures/Item_HCSaltedbeef.png", nil, nil, nil}
		NecroList.Items.HC3591 = {"Mods", nil, nil, "HC - Salted Cheval (Fresh)", "Hydrocraft.HCSaltedcheval", "media/textures/Item_HCSaltedcheval.png", nil, nil, nil}
		NecroList.Items.HC3592 = {"Mods", nil, nil, "HC - Salted Duck (Fresh)", "Hydrocraft.HCSaltedduck", "media/textures/Item_HCSaltedduck.png", nil, nil, nil}
		NecroList.Items.HC3593 = {"Mods", nil, nil, "HC - Salted Fish Fillet (Fresh)", "Hydrocraft.HCSaltedfishfillet", "media/textures/Item_HCSaltedfishfillet.png", nil, nil, nil}
		NecroList.Items.HC3594 = {"Mods", nil, nil, "HC - Salted Goose (Fresh)", "Hydrocraft.HCSaltedgoose", "media/textures/Item_HCSaltedgoose.png", nil, nil, nil}
		NecroList.Items.HC3595 = {"Mods", nil, nil, "HC - Salted Ham (Fresh)", "Hydrocraft.HCSaltedham", "media/textures/Item_HCSaltedham.png", nil, nil, nil}
		NecroList.Items.HC3596 = {"Mods", nil, nil, "HC - Salted Mutton (Fresh)", "Hydrocraft.HCSaltedmutton", "media/textures/Item_HCSaltedmutton.png", nil, nil, nil}
		NecroList.Items.HC3597 = {"Mods", nil, nil, "HC - Salted Pork (Fresh)", "Hydrocraft.HCSaltedpork", "media/textures/Item_HCSaltedpork.png", nil, nil, nil}
		NecroList.Items.HC3598 = {"Mods", nil, nil, "HC - Salted Rabbit (Fresh)", "Hydrocraft.HCSaltedrabbit", "media/textures/Item_HCSaltedrabbit.png", nil, nil, nil}
		NecroList.Items.HC3599 = {"Mods", nil, nil, "HC - Salted Salmon (Fresh)", "Hydrocraft.HCSaltedsalmon", "media/textures/Item_HCSaltedsalmon.png", nil, nil, nil}
		NecroList.Items.HC3600 = {"Mods", nil, nil, "HC - Salted Small Animal Meat (Fresh)", "Hydrocraft.HCSaltedsmallanimalmeat", "media/textures/Item_HCSaltedsmallanimalmeat.png", nil, nil, nil}
		NecroList.Items.HC3601 = {"Mods", nil, nil, "HC - Salted Small Bird Meat (Fresh)", "Hydrocraft.HCSaltedsmallbirdmeat", "media/textures/Item_HCSaltedsmallbirdmeat.png", nil, nil, nil}
		NecroList.Items.HC3602 = {"Mods", nil, nil, "HC - Salted Small Game Steak (Fresh)", "Hydrocraft.HCSaltedsmallgame", "media/textures/Item_HCSaltedsmallgame.png", nil, nil, nil}
		NecroList.Items.HC3603 = {"Mods", nil, nil, "HC - Salted Turkey (Fresh)", "Hydrocraft.HCSaltedturkey", "media/textures/Item_HCSaltedturkey.png", nil, nil, nil}
		NecroList.Items.HC3604 = {"Mods", nil, nil, "HC - Salted Venison (Fresh)", "Hydrocraft.HCSaltedvenison", "media/textures/Item_HCSaltedvenison.png", nil, nil, nil}
		NecroList.Items.HC3605 = {"Mods", nil, nil, "HC - Salt Packet", "Hydrocraft.HCSaltpacket", "media/textures/Item_HCSaltpacket.png", nil, nil, nil}
		NecroList.Items.HC3606 = {"Mods", nil, nil, "HC - Saltpeter", "Hydrocraft.HCSaltpeter", "media/textures/Item_HCSaltpeter.png", nil, nil, nil}
		NecroList.Items.HC3607 = {"Mods", nil, nil, "HC - Saltpeter Powder", "Hydrocraft.HCSaltpeterpowder", "media/textures/Item_HCSaltpeterpowder.png", nil, nil, nil}
		NecroList.Items.HC3608 = {"Mods", nil, nil, "HC - Salt Powder", "Hydrocraft.HCSaltpowder", "media/textures/Item_HCSaltpowder.png", nil, nil, nil}
		NecroList.Items.HC3609 = {"Mods", nil, nil, "HC - Empty Salt Shaker", "Hydrocraft.HCSaltshakerempty", "media/textures/Item_HCSaltshakerempty.png", nil, nil, nil}
		NecroList.Items.HC3610 = {"Mods", nil, nil, "HC - Sand Bag Barricade", "Hydrocraft.HCSandbagbarricade", "media/textures/Item_HCSandbagbarricade.png", nil, nil, nil}
		NecroList.Items.HC3611 = {"Mods", nil, nil, "HC - Sandstone", "Hydrocraft.HCSandstone", "media/textures/Item_HCSandstone.png", nil, nil, nil}
		NecroList.Items.HC3612 = {"Mods", nil, nil, "HC - Sanitizing Jar", "Hydrocraft.HCSanitizingjar", "media/textures/Item_HCSanitizingjar.png", nil, nil, nil}
		NecroList.Items.HC3613 = {"Mods", nil, nil, "HC - Sap Catcher", "Hydrocraft.HCSapcatcher", "media/textures/Item_HCSapcatcher.png", nil, nil, nil}
		NecroList.Items.HC3614 = {"Mods", nil, nil, "HC - Sapphire", "Hydrocraft.HCSapphire", "media/textures/Item_HCSapphire.png", nil, nil, nil}
		NecroList.Items.HC3615 = {"Mods", nil, nil, "HC - Cut Sapphire", "Hydrocraft.HCSapphirecut", "media/textures/Item_HCSapphirecut.png", nil, nil, nil}
		NecroList.Items.HC3616 = {"Mods", nil, nil, "HC - Cling Wrap", "Hydrocraft.HCSaranwrap", "media/textures/Item_HCSaranwrap.png", nil, nil, nil}
		NecroList.Items.HC3617 = {"Mods", nil, nil, "HC - Satchel", "Hydrocraft.HCSatchel", "media/textures/Item_HCSatchel.png", nil, nil, nil}
		NecroList.Items.HC3618 = {"Mods", nil, nil, "HC - Jar of Sauerkraut", "Hydrocraft.HCSauerkraut", "media/textures/Item_HCSauerkraut.png", nil, nil, nil}
		NecroList.Items.HC3619 = {"Mods", nil, nil, "HC - Bear Sausage (Fresh Uncooked)", "Hydrocraft.HCSausagebear", "media/textures/Item_HCSausagebear.png", nil, nil, nil}
		NecroList.Items.HC3620 = {"Mods", nil, nil, "HC - Beef Sausage (Fresh Uncooked)", "Hydrocraft.HCSausagebeef", "media/textures/Item_HCSausagebeef.png", nil, nil, nil}
		NecroList.Items.HC3621 = {"Mods", nil, nil, "HC - Bird Sausage (Fresh Uncooked)", "Hydrocraft.HCSausagebird", "media/textures/Item_HCSausagebird.png", nil, nil, nil}
		NecroList.Items.HC3622 = {"Mods", nil, nil, "HC - Cheval Sausage (Fresh Uncooked)", "Hydrocraft.HCSausagecheval", "media/textures/Item_HCSausagecheval.png", nil, nil, nil}
		NecroList.Items.HC3623 = {"Mods", nil, nil, "HC - Chicken Sausage (Fresh Uncooked)", "Hydrocraft.HCSausagechicken", "media/textures/Item_HCSausagechicken.png", nil, nil, nil}
		NecroList.Items.HC3624 = {"Mods", nil, nil, "HC - Deer Sausage (Fresh Uncooked)", "Hydrocraft.HCSausagedeer", "media/textures/Item_HCSausagedeer.png", nil, nil, nil}
		NecroList.Items.HC3625 = {"Mods", nil, nil, "HC - Duck Sausage (Fresh Uncooked)", "Hydrocraft.HCSausageduck", "media/textures/Item_HCSausageduck.png", nil, nil, nil}
		NecroList.Items.HC3626 = {"Mods", nil, nil, "HC - Frog Sausage (Fresh Uncooked)", "Hydrocraft.HCSausagefrog", "media/textures/Item_HCSausagefrog.png", nil, nil, nil}
		NecroList.Items.HC3627 = {"Mods", nil, nil, "HC - Goose Sausage (Fresh Uncooked)", "Hydrocraft.HCSausagegoose", "media/textures/Item_HCSausagegoose.png", nil, nil, nil}
		NecroList.Items.HC3628 = {"Mods", nil, nil, "HC - Hot Sausage (Fresh Uncooked)", "Hydrocraft.HCSausagehot", "media/textures/Item_HCSausagehot.png", nil, nil, nil}
		NecroList.Items.HC3629 = {"Mods", nil, nil, "HC - Italian Sausage (Fresh Uncooked)", "Hydrocraft.HCSausageitalian", "media/textures/Item_HCSausageitalian.png", nil, nil, nil}
		NecroList.Items.HC3630 = {"Mods", nil, nil, "HC - Mutton Sausage (Fresh Uncooked)", "Hydrocraft.HCSausagemutton", "media/textures/Item_HCSausagemutton.png", nil, nil, nil}
		NecroList.Items.HC3631 = {"Mods", nil, nil, "HC - Pork Sausage (Fresh Uncooked)", "Hydrocraft.HCSausagepork", "media/textures/Item_HCSausagepork.png", nil, nil, nil}
		NecroList.Items.HC3632 = {"Mods", nil, nil, "HC - Rabbit Sausage (Fresh Uncooked)", "Hydrocraft.HCSausagerabbit", "media/textures/Item_HCSausagerabbit.png", nil, nil, nil}
		NecroList.Items.HC3633 = {"Mods", nil, nil, "HC - Small Game Sausage (Fresh Uncooked)", "Hydrocraft.HCSausagesmallgame", "media/textures/Item_HCSausagesmallgame.png", nil, nil, nil}
		NecroList.Items.HC3634 = {"Mods", nil, nil, "HC - Turkey Sausage (Fresh Uncooked)", "Hydrocraft.HCSausageturkey", "media/textures/Item_HCSausageturkey.png", nil, nil, nil}
		NecroList.Items.HC3635 = {"Mods", nil, nil, "HC - Vermin Sausage (Fresh Uncooked)", "Hydrocraft.HCSausagevermin", "media/textures/Item_HCSausagevermin.png", nil, nil, nil}
		NecroList.Items.HC3636 = {"Mods", nil, nil, "HC - Ground Savory", "Hydrocraft.HCSavory", "media/textures/Item_HCSavory.png", nil, nil, nil}
		NecroList.Items.HC3637 = {"Mods", nil, nil, "HC - Sawbuck", "Hydrocraft.HCSawbuck", "media/textures/Item_HCSawbuck.png", nil, nil, nil}
		NecroList.Items.HC3638 = {"Mods", nil, nil, "HC - Circular Saw Blade", "Hydrocraft.HCSawcircularblade", "media/textures/Item_HCSawcircularblade.png", nil, nil, nil}
		NecroList.Items.HC3639 = {"Mods", nil, nil, "HC - Sawdust", "Hydrocraft.HCSawdust", "media/textures/Item_HCSawdust.png", nil, nil, nil}
		NecroList.Items.HC3640 = {"Mods", nil, nil, "HC - Lumber Saw", "Hydrocraft.HCSawlumber", "media/textures/Item_HCSawlumber.png", nil, nil, nil}
		NecroList.Items.HC3641 = {"Mods", nil, nil, "HC - Metal Saw", "Hydrocraft.HCSawmetal", "media/textures/Item_HCSawmetal.png", nil, nil, nil}
		NecroList.Items.HC3642 = {"Mods", nil, nil, "HC - Stone Saw", "Hydrocraft.HCSawstone", "media/textures/Item_HCSawstone.png", nil, nil, nil}
		NecroList.Items.HC3643 = {"Mods", nil, nil, "HC - Saxophone", "Hydrocraft.HCSax", "media/textures/Item_HCSax.png", nil, nil, nil}
		NecroList.Items.HC3644 = {"Mods", nil, nil, "HC - Scale", "Hydrocraft.HCScale", "media/textures/Item_HCScale.png", nil, nil, nil}
		NecroList.Items.HC3645 = {"Mods", nil, nil, "HC - Scalpel", "Hydrocraft.HCScalpel", "media/textures/Item_HCScalpel.png", nil, nil, nil}
		NecroList.Items.HC3646 = {"Mods", nil, nil, "HC - Improvised Scalpel", "Hydrocraft.HCScalpelimprovised", "media/textures/Item_HCScalpelimprovised.png", nil, nil, nil}
		NecroList.Items.HC3647 = {"Mods", nil, nil, "HC - Scaner", "Hydrocraft.HCScaner", "media/textures/Item_HCScaner.png", nil, nil, nil}
		NecroList.Items.HC3648 = {"Mods", nil, nil, "HC - Scarecrow", "Hydrocraft.HCScarecrow", "media/textures/Item_HCScarecrow.png", nil, nil, nil}
		NecroList.Items.HC3649 = {"Mods", nil, nil, "HC - Scarecrow", "Hydrocraft.HCScarecrow2", "media/textures/Item_HCScarecrow2.png", nil, nil, nil}
		NecroList.Items.HC3650 = {"Mods", nil, nil, "HC - Scarecrow Stand", "Hydrocraft.HCScarecrowstand", "media/textures/Item_HCScarecrowstand.png", nil, nil, nil}
		NecroList.Items.HC3651 = {"Mods", nil, nil, "HC - Corpse Scarecrow", "Hydrocraft.HCScarezed", "media/textures/Item_HCScarezed.png", nil, nil, nil}
		NecroList.Items.HC3652 = {"Mods", nil, nil, "HC - Corpse Scarecrow", "Hydrocraft.HCScarezed2", "media/textures/Item_HCScarezed2.png", nil, nil, nil}
		NecroList.Items.HC3653 = {"Mods", nil, nil, "HC - Dead Scaup Duck (Fresh)", "Hydrocraft.HCScaupduckdead", "media/textures/Item_HCScaupduckdead.png", nil, nil, nil}
		NecroList.Items.HC3654 = {"Mods", nil, nil, "HC - Dead Scaup Duck (Fresh)", "Hydrocraft.HCScaupduckdead2", "media/textures/Item_HCScaupduckdead2.png", nil, nil, nil}
		NecroList.Items.HC3655 = {"Mods", nil, nil, "HC - Scaup Duck (Female)", "Hydrocraft.HCScaupduckfemale", "media/textures/Item_HCScaupduckfemale.png", nil, nil, nil}
		NecroList.Items.HC3656 = {"Mods", nil, nil, "HC - Scaup Duck (Male)", "Hydrocraft.HCScaupduckmale", "media/textures/Item_HCScaupduckmale.png", nil, nil, nil}
		NecroList.Items.HC3657 = {"Mods", nil, nil, "HC - Scavange Shroud", "Hydrocraft.HCScavangeshroud", "media/textures/Item_HCScavangeshroud.png", nil, nil, nil}
		NecroList.Items.HC3658 = {"Mods", nil, nil, "HC - Schist", "Hydrocraft.HCSchist", "media/textures/Item_HCSchist.png", nil, nil, nil}
		NecroList.Items.HC3659 = {"Mods", nil, nil, "HC - Schoolbag (Pouches)", "Hydrocraft.HCSchoolbagpouch", "media/textures/Item_HCSchoolbagpouch.png", nil, nil, nil}
		NecroList.Items.HC3660 = {"Mods", nil, nil, "HC - Scissor Lift", "Hydrocraft.HCScissorlift", "media/textures/Item_HCScissorlift.png", nil, nil, nil}
		NecroList.Items.HC3661 = {"Mods", nil, nil, "HC - Scotch", "Hydrocraft.HCScotch1", "media/textures/Item_HCScotch1.png", nil, nil, nil}
		NecroList.Items.HC3662 = {"Mods", nil, nil, "HC - Empty Adhesive Tape", "Hydrocraft.HCScotchtapeempty", "media/textures/Item_HCScotchtapeempty.png", nil, nil, nil}
		NecroList.Items.HC3663 = {"Mods", nil, nil, "HC - Scrambled Egg (Fresh Uncooked)", "Hydrocraft.HCScrambledegg", "media/textures/Item_HCScrambledegg.png", nil, nil, nil}
		NecroList.Items.HC3664 = {"Mods", nil, nil, "HC - Scrambled Egg with Cheese (Fresh Uncooked)", "Hydrocraft.HCScrambledeggcheese", "media/textures/Item_HCScrambledeggcheese.png", nil, nil, nil}
		NecroList.Items.HC3665 = {"Mods", nil, nil, "HC - Screw Mold", "Hydrocraft.HCScrewmold", "media/textures/Item_HCScrewmold.png", nil, nil, nil}
		NecroList.Items.HC3666 = {"Mods", nil, nil, "HC - Bronze Scythe", "Hydrocraft.HCScythebronze", "media/textures/Item_HCScythebronze.png", nil, nil, nil}
		NecroList.Items.HC3667 = {"Mods", nil, nil, "HC - Copper Scythe", "Hydrocraft.HCScythecopper", "media/textures/Item_HCScythecopper.png", nil, nil, nil}
		NecroList.Items.HC3668 = {"Mods", nil, nil, "HC - Iron Scythe", "Hydrocraft.HCScytheiron", "media/textures/Item_HCScytheiron.png", nil, nil, nil}
		NecroList.Items.HC3669 = {"Mods", nil, nil, "HC - Steel Scythe", "Hydrocraft.HCScythesteel", "media/textures/Item_HCScythesteel.png", nil, nil, nil}
		NecroList.Items.HC3670 = {"Mods", nil, nil, "HC - Sea Bass (Fresh Uncooked)", "Hydrocraft.HCSeabass", "media/textures/Item_HCSeabass.png", nil, nil, nil}
		NecroList.Items.HC3671 = {"Mods", nil, nil, "HC - Seaberry (Fresh)", "Hydrocraft.HCSeaberry", "media/textures/Item_HCSeaberry.png", nil, nil, nil}
		NecroList.Items.HC3672 = {"Mods", nil, nil, "HC - Sealed Letter", "Hydrocraft.HCSealedletter", "media/textures/Item_HCSealedletter.png", nil, nil, nil}
		NecroList.Items.HC3673 = {"Mods", nil, nil, "HC - Seed Bag", "Hydrocraft.HCSeedbag", "media/textures/Item_HCSeedbag.png", nil, nil, nil}
		NecroList.Items.HC3674 = {"Mods", nil, nil, "HC - Homemade Heating Plate", "Hydrocraft.HCSelfmadeheater", "media/textures/Item_HCSelfmadeheater.png", nil, nil, nil}
		NecroList.Items.HC3675 = {"Mods", nil, nil, "HC - Homemade Plastic Case", "Hydrocraft.HCSelfmadeplasticcase", "media/textures/Item_HCSelfmadeplasticcase.png", nil, nil, nil}
		NecroList.Items.HC3676 = {"Mods", nil, nil, "HC - Homemade Solar Panel", "Hydrocraft.HCSelfmadesolarpanel", "media/textures/Item_HCSelfmadesolarpanel.png", nil, nil, nil}
		NecroList.Items.HC3677 = {"Mods", nil, nil, "HC - Sesame Seeds", "Hydrocraft.HCSesameseeds", "media/textures/Item_HCSesameseeds.png", nil, nil, nil}
		NecroList.Items.HC3678 = {"Mods", nil, nil, "HC - Sewing Pin", "Hydrocraft.HCSewingpin", "media/textures/Item_HCSewingpin.png", nil, nil, nil}
		NecroList.Items.HC3679 = {"Mods", nil, nil, "HC - Box of Sewing Pins", "Hydrocraft.HCSewingpinbox", "media/textures/Item_HCSewingpinbox.png", nil, nil, nil}
		NecroList.Items.HC3680 = {"Mods", nil, nil, "HC - Shale", "Hydrocraft.HCShale", "media/textures/Item_HCShale.png", nil, nil, nil}
		NecroList.Items.HC3681 = {"Mods", nil, nil, "HC - Shampoo", "Hydrocraft.HCShampoo", "media/textures/Item_HCShampoo.png", nil, nil, nil}
		NecroList.Items.HC3682 = {"Mods", nil, nil, "HC - Shaving Brush", "Hydrocraft.HCShavingbrush", "media/textures/Item_HCShavingbrush.png", nil, nil, nil}
		NecroList.Items.HC3683 = {"Mods", nil, nil, "HC - Shaving Cream", "Hydrocraft.HCShavingcream", "media/textures/Item_HCShavingcream.png", nil, nil, nil}
		NecroList.Items.HC3684 = {"Mods", nil, nil, "HC - Shears", "Hydrocraft.HCShears", "media/textures/Item_HCShears.png", nil, nil, nil}
		NecroList.Items.HC3685 = {"Mods", nil, nil, "HC - Sheep Skeleton", "Hydrocraft.HCSheepbones", "media/textures/Item_HCSheepbones.png", nil, nil, nil}
		NecroList.Items.HC3686 = {"Mods", nil, nil, "HC - Dead Sheep (Fresh)", "Hydrocraft.HCSheepdead", "media/textures/Item_HCSheepdead.png", nil, nil, nil}
		NecroList.Items.HC3687 = {"Mods", nil, nil, "HC - Sheep (Female)", "Hydrocraft.HCSheepfemale", "media/textures/Item_HCSheepfemale.png", nil, nil, nil}
		NecroList.Items.HC3688 = {"Mods", nil, nil, "HC - Baby Sheep (Female)", "Hydrocraft.HCSheepfemalebaby", "media/textures/Item_HCSheepbaby.png", nil, nil, nil}
		NecroList.Items.HC3689 = {"Mods", nil, nil, "HC - Hungry Sheep (Female)", "Hydrocraft.HCSheepfemalehungry", "media/textures/Item_HCSheepfemale.png", nil, nil, nil}
		NecroList.Items.HC3690 = {"Mods", nil, nil, "HC - Sheared Sheep (Female)", "Hydrocraft.HCSheepfemalesheared", "media/textures/Item_HCSheepfemalesheared.png", nil, nil, nil}
		NecroList.Items.HC3691 = {"Mods", nil, nil, "HC - Tired Sheep (Female)", "Hydrocraft.HCSheepfemaletired", "media/textures/Item_HCSheepfemale.png", nil, nil, nil}
		NecroList.Items.HC3692 = {"Mods", nil, nil, "HC - Sheep (Male)", "Hydrocraft.HCSheepmale", "media/textures/Item_HCSheepmale.png", nil, nil, nil}
		NecroList.Items.HC3693 = {"Mods", nil, nil, "HC - Baby Sheep (Male)", "Hydrocraft.HCSheepmalebaby", "media/textures/Item_HCSheepbaby.png", nil, nil, nil}
		NecroList.Items.HC3694 = {"Mods", nil, nil, "HC - Hungry Sheep (Male)", "Hydrocraft.HCSheepmalehungry", "media/textures/Item_HCSheepmale.png", nil, nil, nil}
		NecroList.Items.HC3695 = {"Mods", nil, nil, "HC - Sheared Sheep (Male)", "Hydrocraft.HCSheepmalesheared", "media/textures/Item_HCSheepmalesheared.png", nil, nil, nil}
		NecroList.Items.HC3696 = {"Mods", nil, nil, "HC - Tired Sheep (Male)", "Hydrocraft.HCSheepmaletired", "media/textures/Item_HCSheepmale.png", nil, nil, nil}
		NecroList.Items.HC3697 = {"Mods", nil, nil, "HC - Sheep Carcass (Fresh)", "Hydrocraft.HCSheepmeat", "media/textures/Item_HCSheepmeat.png", nil, nil, nil}
		NecroList.Items.HC3698 = {"Mods", nil, nil, "HC - Sheep Poop", "Hydrocraft.HCSheeppoop", "media/textures/Item_HCSheeppoop.png", nil, nil, nil}
		NecroList.Items.HC3699 = {"Mods", nil, nil, "HC - Feral Sheep Poop", "Hydrocraft.HCSheeppoopferal", "media/textures/Item_HCSheeppoop.png", nil, nil, nil}
		NecroList.Items.HC3700 = {"Mods", nil, nil, "HC - Shiba Inu (Female)", "Hydrocraft.HCShibainufemale", "media/textures/Item_HCShibainufemale.png", nil, nil, nil}
		NecroList.Items.HC3701 = {"Mods", nil, nil, "HC - Shiba Inu (Male)", "Hydrocraft.HCShibainumale", "media/textures/Item_HCShibainumale.png", nil, nil, nil}
		NecroList.Items.HC3702 = {"Mods", nil, nil, "HC - Bronze Shield", "Hydrocraft.HCShieldbronze", "media/textures/Item_HCShieldbronze.png", nil, nil, nil}
		NecroList.Items.HC3703 = {"Mods", nil, nil, "HC - Copper Shield", "Hydrocraft.HCShieldcopper", "media/textures/Item_HCShieldcopper.png", nil, nil, nil}
		NecroList.Items.HC3704 = {"Mods", nil, nil, "HC - Iron Shield", "Hydrocraft.HCShieldiron", "media/textures/Item_HCShieldiron.png", nil, nil, nil}
		NecroList.Items.HC3705 = {"Mods", nil, nil, "HC - Riot Shield", "Hydrocraft.HCShieldriot", "media/textures/Item_HCShieldriot.png", nil, nil, nil}
		NecroList.Items.HC3706 = {"Mods", nil, nil, "HC - Steel Shield", "Hydrocraft.HCShieldsteel", "media/textures/Item_HCShieldsteel.png", nil, nil, nil}
		NecroList.Items.HC3707 = {"Mods", nil, nil, "HC - Trashcan Lid", "Hydrocraft.HCShieldtrashcanlid", "media/textures/Item_HCShieldtrashcanlid.png", nil, nil, nil}
		NecroList.Items.HC3708 = {"Mods", nil, nil, "HC - Wooden Shield", "Hydrocraft.HCShieldwood", "media/textures/Item_HCShieldwood.png", nil, nil, nil}
		NecroList.Items.HC3709 = {"Mods", nil, nil, "HC - Shiitake Mushroom (Fresh)", "Hydrocraft.HCShiitake", "media/textures/Item_HCShiitake.png", nil, nil, nil}
		NecroList.Items.HC3710 = {"Mods", nil, nil, "HC - Ship in a Bottle", "Hydrocraft.HCShipinbottle", "media/textures/Item_HCShipinbottle.png", nil, nil, nil}
		NecroList.Items.HC3711 = {"Mods", nil, nil, "HC - Shish Kebab (Fresh Uncooked)", "Hydrocraft.HCShishkebab", "media/textures/Item_HCShishkebab.png", nil, nil, nil}
		NecroList.Items.HC3712 = {"Mods", nil, nil, "HC - Shocks", "Hydrocraft.HCShocks", "media/textures/Item_HCShocks.png", nil, nil, nil}
		NecroList.Items.HC3713 = {"Mods", nil, nil, "HC - Shoe Box", "Hydrocraft.HCShoebox", "media/textures/Item_HCShoebox.png", nil, nil, nil}
		NecroList.Items.HC3714 = {"Mods", nil, nil, "HC - Shoehorn", "Hydrocraft.HCShoehorn", "media/textures/Item_HCShoehorn.png", nil, nil, nil}
		NecroList.Items.HC3715 = {"Mods", nil, nil, "HC - Shopping Cart", "Hydrocraft.HCShoppingcart", "media/textures/Item_HCShoppingcart.png", nil, nil, nil}
		NecroList.Items.HC3716 = {"Mods", nil, nil, "HC - Shop Vac", "Hydrocraft.HCShopvac", "media/textures/Item_HCShopvac.png", nil, nil, nil}
		NecroList.Items.HC3717 = {"Mods", nil, nil, "HC - Bronze Short Sword", "Hydrocraft.HCShortswordbronze", "media/textures/Item_HCShortswordbronze.png", nil, nil, nil}
		NecroList.Items.HC3718 = {"Mods", nil, nil, "HC - Copper Short Sword", "Hydrocraft.HCShortswordcopper", "media/textures/Item_HCShortswordcopper.png", nil, nil, nil}
		NecroList.Items.HC3719 = {"Mods", nil, nil, "HC - Iron Short Sword", "Hydrocraft.HCShortswordiron", "media/textures/Item_HCShortswordiron.png", nil, nil, nil}
		NecroList.Items.HC3720 = {"Mods", nil, nil, "HC - Steel Short Sword", "Hydrocraft.HCShortswordsteel", "media/textures/Item_HCShortswordsteel.png", nil, nil, nil}
		NecroList.Items.HC3721 = {"Mods", nil, nil, "HC - Shoulder Pole", "Hydrocraft.HCShoulderpole", "media/textures/Item_HCShoulderpole.png", nil, nil, nil}
		NecroList.Items.HC3722 = {"Mods", nil, nil, "HC - Empty Makeshift Shower", "Hydrocraft.HCShower", "media/textures/Item_HCShower.png", nil, nil, nil}
		NecroList.Items.HC3723 = {"Mods", nil, nil, "HC - Makeshift Shower", "Hydrocraft.HCShowerfull", "media/textures/Item_HCShowerfull.png", nil, nil, nil}
		NecroList.Items.HC3724 = {"Mods", nil, nil, "HC - Empty Makeshift Shower and Sink", "Hydrocraft.HCShowersink", "media/textures/Item_HCShowersink.png", nil, nil, nil}
		NecroList.Items.HC3725 = {"Mods", nil, nil, "HC - Makeshift Shower and Sink", "Hydrocraft.HCShowersinkfull", "media/textures/Item_HCShowersinkfull.png", nil, nil, nil}
		NecroList.Items.HC3726 = {"Mods", nil, nil, "HC - Pot of Mushroom Soup (Fresh Uncooked)", "Hydrocraft.HCShroomsoup", "Item_PotFull", nil, nil, nil}
		NecroList.Items.HC3727 = {"Mods", nil, nil, "HC - Bowl of Mushroom Soup (Fresh Uncooked)", "Hydrocraft.HCShroomsoupbowl", "media/textures/Item_HCSoupbowl.png", nil, nil, nil}
		NecroList.Items.HC3728 = {"Mods", nil, nil, "HC - Mushrooms on a Stick (Fresh Uncooked)", "Hydrocraft.HCShroomstick", "media/textures/Item_HCMushroomstick.png", nil, nil, nil}
		NecroList.Items.HC3729 = {"Mods", nil, nil, "HC - Bronze Shuriken", "Hydrocraft.HCShurikenbronze", "media/textures/Item_HCShurikenbronze.png", nil, nil, nil}
		NecroList.Items.HC3730 = {"Mods", nil, nil, "HC - Copper Shuriken", "Hydrocraft.HCShurikencopper", "media/textures/Item_HCShurikencopper.png", nil, nil, nil}
		NecroList.Items.HC3731 = {"Mods", nil, nil, "HC - Iron Shuriken", "Hydrocraft.HCShurikeniron", "media/textures/Item_HCShurikeniron.png", nil, nil, nil}
		NecroList.Items.HC3732 = {"Mods", nil, nil, "HC - Steel Shuriken", "Hydrocraft.HCShurikensteel", "media/textures/Item_HCShurikensteel.png", nil, nil, nil}
		NecroList.Items.HC3733 = {"Mods", nil, nil, "HC - Bronze Sickle", "Hydrocraft.HCSicklebronze", "media/textures/Item_HCSicklebronze.png", nil, nil, nil}
		NecroList.Items.HC3734 = {"Mods", nil, nil, "HC - Copper Sickle", "Hydrocraft.HCSicklecopper", "media/textures/Item_HCSicklecopper.png", nil, nil, nil}
		NecroList.Items.HC3735 = {"Mods", nil, nil, "HC - Iron Sickle", "Hydrocraft.HCSickleiron", "media/textures/Item_HCSickleiron.png", nil, nil, nil}
		NecroList.Items.HC3736 = {"Mods", nil, nil, "HC - Steel Sickle", "Hydrocraft.HCSicklesteel", "media/textures/Item_HCSicklesteel.png", nil, nil, nil}
		NecroList.Items.HC3737 = {"Mods", nil, nil, "HC - Sieve", "Hydrocraft.HCSieve", "media/textures/Item_HCSieve.png", nil, nil, nil}
		NecroList.Items.HC3738 = {"Mods", nil, nil, "HC - Biohazard Sign", "Hydrocraft.HCSignbiohazard", "media/textures/Item_HCSignbiohazard.png", nil, nil, nil}
		NecroList.Items.HC3739 = {"Mods", nil, nil, "HC - Keep Out Sign", "Hydrocraft.HCSignkeepout", "media/textures/Item_HCSignkeepout.png", nil, nil, nil}
		NecroList.Items.HC3740 = {"Mods", nil, nil, "HC - Silk Cloth", "Hydrocraft.HCSilkcloth", "media/textures/Item_HCSilkcloth.png", nil, nil, nil}
		NecroList.Items.HC3741 = {"Mods", nil, nil, "HC - Silk Cocoon", "Hydrocraft.HCSilkcocoon", "media/textures/Item_HCSilkcocoon.png", nil, nil, nil}
		NecroList.Items.HC3742 = {"Mods", nil, nil, "HC - Mature Silk Cocoon", "Hydrocraft.HCSilkcocoon2", "media/textures/Item_HCSilkcocoon2.png", nil, nil, nil}
		NecroList.Items.HC3743 = {"Mods", nil, nil, "HC - Empty Silk Cocoon", "Hydrocraft.HCSilkcocoonempty", "media/textures/Item_HCSilkcocoonempty.png", nil, nil, nil}
		NecroList.Items.HC3744 = {"Mods", nil, nil, "HC - Silkworm Egg", "Hydrocraft.HCSilkegg", "media/textures/Item_HCSilkegg.png", nil, nil, nil}
		NecroList.Items.HC3745 = {"Mods", nil, nil, "HC - Silk Filament", "Hydrocraft.HCSilkfiber", "media/textures/Item_HCSilkfiber.png", nil, nil, nil}
		NecroList.Items.HC3746 = {"Mods", nil, nil, "HC - Silkmoth (Female)", "Hydrocraft.HCSilkmothfemale", "media/textures/Item_HCSilkmoth.png", nil, nil, nil}
		NecroList.Items.HC3747 = {"Mods", nil, nil, "HC - Silkmoth (Male)", "Hydrocraft.HCSilkmothmale", "media/textures/Item_HCSilkmoth.png", nil, nil, nil}
		NecroList.Items.HC3748 = {"Mods", nil, nil, "HC - Silk Pants", "Hydrocraft.HCSilkpants", "media/textures/Item_HCSilkpants.png", nil, nil, nil}
		NecroList.Items.HC3749 = {"Mods", nil, nil, "HC - Silk Shirt", "Hydrocraft.HCSilkshirt", "media/textures/Item_HCSilkshirt.png", nil, nil, nil}
		NecroList.Items.HC3750 = {"Mods", nil, nil, "HC - Silk Thread", "Hydrocraft.HCSilkthread", "media/textures/Item_HCSilkthread.png", nil, nil, nil}
		NecroList.Items.HC3751 = {"Mods", nil, nil, "HC - Silkworm", "Hydrocraft.HCSilkwom", "media/textures/Item_HCSilkwom.png", nil, nil, nil}
		NecroList.Items.HC3752 = {"Mods", nil, nil, "HC - Silver Bream (Fresh Uncooked)", "Hydrocraft.HCSilverbream", "media/textures/Item_HCSilverbream.png", nil, nil, nil}
		NecroList.Items.HC3753 = {"Mods", nil, nil, "HC - Silver Ingot", "Hydrocraft.HCSilveringot", "media/textures/Item_HCSilveringot.png", nil, nil, nil}
		NecroList.Items.HC3754 = {"Mods", nil, nil, "HC - Silver Iodide Powder", "Hydrocraft.HCSilveriodidepowder", "media/textures/Item_HCSilveriodidepowder.png", nil, nil, nil}
		NecroList.Items.HC3755 = {"Mods", nil, nil, "HC - Silver Ore", "Hydrocraft.HCSilverore", "media/textures/Item_HCSilverore.png", nil, nil, nil}
		NecroList.Items.HC3756 = {"Mods", nil, nil, "HC - Silver Powder", "Hydrocraft.HCSilverpowder", "media/textures/Item_HCSilverpowder.png", nil, nil, nil}
		NecroList.Items.HC3757 = {"Mods", nil, nil, "HC - Silver Sheet", "Hydrocraft.HCSilversheet", "media/textures/Item_HCSilversheet.png", nil, nil, nil}
		NecroList.Items.HC3758 = {"Mods", nil, nil, "HC - Large Silver Sheet", "Hydrocraft.HCSilversheetlarge", "media/textures/Item_HCSilversheetlarge.png", nil, nil, nil}
		NecroList.Items.HC3759 = {"Mods", nil, nil, "HC - Simple Homemade Jerky (Uncooked)", "Hydrocraft.HCSimplejerky", "Item_BeefJerky", nil, nil, nil}
		NecroList.Items.HC3760 = {"Mods", nil, nil, "HC - Cheese Pizza (Fresh Uncooked)", "Hydrocraft.HCSimplepizza", "media/textures/Item_HCPizzaB.png", nil, nil, nil}
		NecroList.Items.HC3761 = {"Mods", nil, nil, "HC - Baked Cheese Pizza (Fresh)", "Hydrocraft.HCSimplepizzabaked", "media/textures/Item_HCPizzaB.png", nil, nil, nil}
		NecroList.Items.HC3762 = {"Mods", nil, nil, "HC - Slice of Simple Pizza (Fresh)", "Hydrocraft.HCSimplepizzaslice", "media/textures/Item_HCPizzasliceB.png", nil, nil, nil}
		NecroList.Items.HC3763 = {"Mods", nil, nil, "HC - Ski Mask", "Hydrocraft.HCSkimask", "media/textures/Item_HCSkimask.png", nil, nil, nil}
		NecroList.Items.HC3764 = {"Mods", nil, nil, "HC - Skullcap", "Hydrocraft.HCSkullcap", "media/textures/Item_HCSkullcap.png", nil, nil, nil}
		NecroList.Items.HC3765 = {"Mods", nil, nil, "HC - Dried Skullcap", "Hydrocraft.HCSkullcapdry", "media/textures/Item_HCSkullcapdry.png", nil, nil, nil}
		NecroList.Items.HC3766 = {"Mods", nil, nil, "HC - Skullcap Tea", "Hydrocraft.HCSkullcapteaclaymug", "media/textures/Item_HCHotcuppa.png", nil, nil, nil}
		NecroList.Items.HC3767 = {"Mods", nil, nil, "HC - Skullcap Tea", "Hydrocraft.HCSkullcapteamug", "Item_MugFulll", nil, nil, nil}
		NecroList.Items.HC3768 = {"Mods", nil, nil, "HC - Dead Skunk (Fresh)", "Hydrocraft.HCSkunkdead", "media/textures/Item_HCSkunkdead.png", nil, nil, nil}
		NecroList.Items.HC3769 = {"Mods", nil, nil, "HC - Skunk (Female)", "Hydrocraft.HCSkunkfemale", "media/textures/Item_HCSkunkfemale.png", nil, nil, nil}
		NecroList.Items.HC3770 = {"Mods", nil, nil, "HC - Skunk (Male)", "Hydrocraft.HCSkunkmale", "media/textures/Item_HCSkunkmale.png", nil, nil, nil}
		NecroList.Items.HC3771 = {"Mods", nil, nil, "HC - Skunk Carcass (Fresh)", "Hydrocraft.HCSkunkmeat", "media/textures/Item_HCSkunkmeat.png", nil, nil, nil}
		NecroList.Items.HC3772 = {"Mods", nil, nil, "HC - Makeshift Sled", "Hydrocraft.HCSled", "media/textures/Item_HCSled.png", nil, nil, nil}
		NecroList.Items.HC3773 = {"Mods", nil, nil, "HC - Sleeping Bag in Bag", "Hydrocraft.HCSleepingbag", "media/textures/Item_HCSleepingbag.png", nil, nil, nil}
		NecroList.Items.HC3774 = {"Mods", nil, nil, "HC - Sleeping Bag in Bag", "Hydrocraft.HCSleepingbag2", "media/textures/Item_HCSleepingbag2.png", nil, nil, nil}
		NecroList.Items.HC3775 = {"Mods", nil, nil, "HC - Sleeping Bag", "Hydrocraft.HCSleepingbag2sleepin", "media/textures/Item_HCSleepingbag2sleepin.png", nil, nil, nil}
		NecroList.Items.HC3776 = {"Mods", nil, nil, "HC - Sleeping Bag in Bag", "Hydrocraft.HCSleepingbag3", "media/textures/Item_HCSleepingbag3.png", nil, nil, nil}
		NecroList.Items.HC3777 = {"Mods", nil, nil, "HC - Sleeping Bag", "Hydrocraft.HCSleepingbag3sleepin", "media/textures/Item_HCSleepingbag3sleepin.png", nil, nil, nil}
		NecroList.Items.HC3778 = {"Mods", nil, nil, "HC - Sleeping Bag", "Hydrocraft.HCSleepingbagsleepin", "media/textures/Item_HCSleepingbagsleepin.png", nil, nil, nil}
		NecroList.Items.HC3779 = {"Mods", nil, nil, "HC - Sliced Apple (Fresh)", "Hydrocraft.HCSlicedapple", "media/textures/Item_HCSlicedapple.png", nil, nil, nil}
		NecroList.Items.HC3780 = {"Mods", nil, nil, "HC - Sliced Lemon (Fresh)", "Hydrocraft.HCSlicedlemon", "media/textures/Item_HCSlicedlemon.png", nil, nil, nil}
		NecroList.Items.HC3781 = {"Mods", nil, nil, "HC - Sliced Lime (Fresh)", "Hydrocraft.HCSlicedlime", "media/textures/Item_HCSlicedlime.png", nil, nil, nil}
		NecroList.Items.HC3782 = {"Mods", nil, nil, "HC - Sliced Onion (Fresh)", "Hydrocraft.HCSlicedonion", "media/textures/Item_HCSlicedonion.png", nil, nil, nil}
		NecroList.Items.HC3783 = {"Mods", nil, nil, "HC - Sliced Orange (Fresh)", "Hydrocraft.HCSlicedorange", "media/textures/Item_HCSlicedorange.png", nil, nil, nil}
		NecroList.Items.HC3784 = {"Mods", nil, nil, "HC - Sliced Salami", "Hydrocraft.HCSlicedsalami", "media/textures/Item_HCSlicedsalami.png", nil, nil, nil}
		NecroList.Items.HC3785 = {"Mods", nil, nil, "HC - Sliced Tomato (Fresh)", "Hydrocraft.HCSlicedtomato", "media/textures/Item_HCSlicedtomato.png", nil, nil, nil}
		NecroList.Items.HC3786 = {"Mods", nil, nil, "HC - Sling", "Hydrocraft.HCSling", "media/textures/Item_HCSling.png", nil, nil, nil}
		NecroList.Items.HC3787 = {"Mods", nil, nil, "HC - Slingshot", "Hydrocraft.HCSlingshot", "media/textures/Item_HCSlingshot.png", nil, nil, nil}
		NecroList.Items.HC3788 = {"Mods", nil, nil, "HC - Slot Machine", "Hydrocraft.HCSlotmachine", "media/textures/Item_HCSlotmachine.png", nil, nil, nil}
		NecroList.Items.HC3789 = {"Mods", nil, nil, "HC - Slot Machine", "Hydrocraft.HCSlotmachine2", "media/textures/Item_HCSlotmachine.png", nil, nil, nil}
		NecroList.Items.HC3790 = {"Mods", nil, nil, "HC - Slug", "Hydrocraft.HCSlug", "media/textures/Item_HCSlug.png", nil, nil, nil}
		NecroList.Items.HC3791 = {"Mods", nil, nil, "HC - Sizzled Slug (Fresh Uncooked)", "Hydrocraft.HCSlugcooked", "media/textures/Item_HCSlugcooked.png", nil, nil, nil}
		NecroList.Items.HC3792 = {"Mods", nil, nil, "HC - Small Game Poop", "Hydrocraft.HCSmallgamepoop", "media/textures/Item_HCSmallgamepoop.png", nil, nil, nil}
		NecroList.Items.HC3793 = {"Mods", nil, nil, "HC - Small Game Steak (Fresh Uncooked)", "Hydrocraft.HCSmallgamesteak", "media/textures/Item_HCSmallgamesteak.png", nil, nil, nil}
		NecroList.Items.HC3794 = {"Mods", nil, nil, "HC - Small Tupperware Container", "Hydrocraft.HCSmalltup", "media/textures/Item_HCSmalltup.png", nil, nil, nil}
		NecroList.Items.HC3795 = {"Mods", nil, nil, "HC - Small Tupperware Container without Lid", "Hydrocraft.HCSmalltupbowl", "media/textures/Item_HCSmalltupbowl.png", nil, nil, nil}
		NecroList.Items.HC3796 = {"Mods", nil, nil, "HC - Small Tupperware Container with Food (Fresh)", "Hydrocraft.HCSmalltupfood", "media/textures/Item_HCSmalltupfood.png", nil, nil, nil}
		NecroList.Items.HC3797 = {"Mods", nil, nil, "HC - Small Tupperware Lid", "Hydrocraft.HCSmalltuplid", "media/textures/Item_HCSmalltuplid.png", nil, nil, nil}
		NecroList.Items.HC3798 = {"Mods", nil, nil, "HC - Small Tupperware Container with Water", "Hydrocraft.HCSmalltupwater", "media/textures/Item_HCSmalltupwater.png", nil, nil, nil}
		NecroList.Items.HC3799 = {"Mods", nil, nil, "HC - Smelt (Fresh Uncooked)", "Hydrocraft.HCSmelt", "media/textures/Item_HCSmelt.png", nil, nil, nil}
		NecroList.Items.HC3800 = {"Mods", nil, nil, "HC - Smelter", "Hydrocraft.HCSmelter", "media/textures/Item_HCSmelter.png", nil, nil, nil}
		NecroList.Items.HC3801 = {"Mods", nil, nil, "HC - Smelter", "Hydrocraft.HCSmelter2", "media/textures/Item_HCSmelter.png", nil, nil, nil}
		NecroList.Items.HC3802 = {"Mods", nil, nil, "HC - Bronze Smithy Hammer", "Hydrocraft.HCSmithyhammerbronze", "media/textures/Item_HCSmithyhammerbronze.png", nil, nil, nil}
		NecroList.Items.HC3803 = {"Mods", nil, nil, "HC - Copper Smithy Hammer", "Hydrocraft.HCSmithyhammercopper", "media/textures/Item_HCSmithyhammercopper.png", nil, nil, nil}
		NecroList.Items.HC3804 = {"Mods", nil, nil, "HC - Iron Smithy Hammer", "Hydrocraft.HCSmithyhammeriron", "media/textures/Item_HCSmithyhammeriron.png", nil, nil, nil}
		NecroList.Items.HC3805 = {"Mods", nil, nil, "HC - Steel Smithy Hammer", "Hydrocraft.HCSmithyhammersteel", "media/textures/Item_HCSmithyhammersteel.png", nil, nil, nil}
		NecroList.Items.HC3806 = {"Mods", nil, nil, "HC - Titanium Smithy Hammer", "Hydrocraft.HCSmithyhammertitanium", "media/textures/Item_HCSmithyhammertitanium.png", nil, nil, nil}
		NecroList.Items.HC3807 = {"Mods", nil, nil, "HC - Smoked Bear (Fresh)", "Hydrocraft.HCSmokedbear", "media/textures/Item_HCSmokedbear.png", nil, nil, nil}
		NecroList.Items.HC3808 = {"Mods", nil, nil, "HC - Smoked Beef (Fresh)", "Hydrocraft.HCSmokedbeef", "media/textures/Item_HCSmokedbeef.png", nil, nil, nil}
		NecroList.Items.HC3809 = {"Mods", nil, nil, "HC - Smoked Cheese (Fresh)", "Hydrocraft.HCSmokedcheese", "media/textures/Item_HCSmokedcheese.png", nil, nil, nil}
		NecroList.Items.HC3810 = {"Mods", nil, nil, "HC - Smoked Cheese Wheel (Fresh)", "Hydrocraft.HCSmokedcheesewheel", "media/textures/Item_HCSmokedcheesewheel.png", nil, nil, nil}
		NecroList.Items.HC3811 = {"Mods", nil, nil, "HC - Smoked Cheval (Fresh)", "Hydrocraft.HCSmokedcheval", "media/textures/Item_HCSmokedcheval.png", nil, nil, nil}
		NecroList.Items.HC3812 = {"Mods", nil, nil, "HC - Smoked Chicken (Fresh)", "Hydrocraft.HCSmokedchicken", "media/textures/Item_HCSmokedchicken.png", nil, nil, nil}
		NecroList.Items.HC3813 = {"Mods", nil, nil, "HC - Smoked Duck (Fresh)", "Hydrocraft.HCSmokedduck", "media/textures/Item_HCSmokedduck.png", nil, nil, nil}
		NecroList.Items.HC3814 = {"Mods", nil, nil, "HC - Smoked Fish Fillet (Fresh)", "Hydrocraft.HCSmokedfishfillet", "media/textures/Item_HCSmokedfishfillet.png", nil, nil, nil}
		NecroList.Items.HC3815 = {"Mods", nil, nil, "HC - Smoked Frog Meat (Fresh)", "Hydrocraft.HCSmokedfrogmeat", "media/textures/Item_HCSmokedfrogmeat.png", nil, nil, nil}
		NecroList.Items.HC3816 = {"Mods", nil, nil, "HC - Smoked Goose (Fresh)", "Hydrocraft.HCSmokedgoose", "media/textures/Item_HCSmokedgoose.png", nil, nil, nil}
		NecroList.Items.HC3817 = {"Mods", nil, nil, "HC - Smoked Ham (Fresh)", "Hydrocraft.HCSmokedham", "media/textures/Item_HCSmokedham.png", nil, nil, nil}
		NecroList.Items.HC3818 = {"Mods", nil, nil, "HC - Smoked Mutton (Fresh)", "Hydrocraft.HCSmokedmutton", "media/textures/Item_HCSmokedmutton.png", nil, nil, nil}
		NecroList.Items.HC3819 = {"Mods", nil, nil, "HC - Smoked Pork (Fresh)", "Hydrocraft.HCSmokedpork", "media/textures/Item_HCSmokedpork.png", nil, nil, nil}
		NecroList.Items.HC3820 = {"Mods", nil, nil, "HC - Smoked Rabbit (Fresh)", "Hydrocraft.HCSmokedrabbit", "media/textures/Item_HCSmokedrabbit.png", nil, nil, nil}
		NecroList.Items.HC3821 = {"Mods", nil, nil, "HC - Smoked Salmon (Fresh)", "Hydrocraft.HCSmokedsalmon", "media/textures/Item_HCSmokedsalmon.png", nil, nil, nil}
		NecroList.Items.HC3822 = {"Mods", nil, nil, "HC - Smoked Salmon Cream Cheese (Fresh)", "Hydrocraft.HCSmokedsalmoncreamcheese", "media/textures/Item_HCSmokedsalmoncreamcheese.png", nil, nil, nil}
		NecroList.Items.HC3823 = {"Mods", nil, nil, "HC - Smoked Salmon Cream Cheese Sandwich (Fresh)", "Hydrocraft.HCSmokedsalmoncreamcheesesandwich", "media/textures/Item_HCSmokedsalmoncreamcheesesandwich.png", nil, nil, nil}
		NecroList.Items.HC3824 = {"Mods", nil, nil, "HC - Smoked Small Animal Meat (Fresh)", "Hydrocraft.HCSmokedsmallanimalmeat", "media/textures/Item_HCSmokedsmallanimalmeat.png", nil, nil, nil}
		NecroList.Items.HC3825 = {"Mods", nil, nil, "HC - Smoked Small Bird Meat (Fresh)", "Hydrocraft.HCSmokedsmallbirdmeat", "media/textures/Item_HCSmokedsmallbirdmeat.png", nil, nil, nil}
		NecroList.Items.HC3826 = {"Mods", nil, nil, "HC - Smoked Small Game (Fresh)", "Hydrocraft.HCSmokedsmallgame", "media/textures/Item_HCSmokedsmallgame.png", nil, nil, nil}
		NecroList.Items.HC3827 = {"Mods", nil, nil, "HC - Smoked Tofu (Fresh)", "Hydrocraft.HCSmokedtofu", "media/textures/Item_HCSmokedtofu.png", nil, nil, nil}
		NecroList.Items.HC3828 = {"Mods", nil, nil, "HC - Smoked Turkey (Fresh)", "Hydrocraft.HCSmokedturkey", "media/textures/Item_HCSmokedturkey.png", nil, nil, nil}
		NecroList.Items.HC3829 = {"Mods", nil, nil, "HC - Smoked Venison (Fresh)", "Hydrocraft.HCSmokedvenison", "media/textures/Item_HCSmokedvenison.png", nil, nil, nil}
		NecroList.Items.HC3830 = {"Mods", nil, nil, "HC - Smoker", "Hydrocraft.HCSmoker", "media/textures/Item_HCSmoker.png", nil, nil, nil}
		NecroList.Items.HC3831 = {"Mods", nil, nil, "HC - Smoker with Fuel", "Hydrocraft.HCSmokerfull", "media/textures/Item_HCSmokerfull.png", nil, nil, nil}
		NecroList.Items.HC3832 = {"Mods", nil, nil, "HC - Smoker with Fuel", "Hydrocraft.HCSmokerfull2", "media/textures/Item_HCSmokerfull.png", nil, nil, nil}
		NecroList.Items.HC3833 = {"Mods", nil, nil, "HC - Snail", "Hydrocraft.HCSnail", "media/textures/Item_HCSnail.png", nil, nil, nil}
		NecroList.Items.HC3834 = {"Mods", nil, nil, "HC - Stuffed Snail (Fresh Uncooked)", "Hydrocraft.HCSnailcooked", "media/textures/Item_HCSnailcooked.png", nil, nil, nil}
		NecroList.Items.HC3835 = {"Mods", nil, nil, "HC - Snapping Turtle", "Hydrocraft.HCSnappingturtle", "media/textures/Item_HCSnappingturtle.png", nil, nil, nil}
		NecroList.Items.HC3836 = {"Mods", nil, nil, "HC - Snow Crab (Fresh Uncooked)", "Hydrocraft.HCSnowcrab", "media/textures/Item_HCSnowcrab.png", nil, nil, nil}
		NecroList.Items.HC3837 = {"Mods", nil, nil, "HC - Snow Globe", "Hydrocraft.HCSnowglobe", "media/textures/Item_HCSnowglobe.png", nil, nil, nil}
		NecroList.Items.HC3838 = {"Mods", nil, nil, "HC - Dead Snow Goose (Fresh)", "Hydrocraft.HCSnowgoosedead", "media/textures/Item_HCSnowgoosedead.png", nil, nil, nil}
		NecroList.Items.HC3839 = {"Mods", nil, nil, "HC - Snow Goose (Female)", "Hydrocraft.HCSnowgoosefemale", "media/textures/Item_HCSnowgoosefemale.png", nil, nil, nil}
		NecroList.Items.HC3840 = {"Mods", nil, nil, "HC - Snow Goose (Male)", "Hydrocraft.HCSnowgoosemale", "media/textures/Item_HCSnowgoosemale.png", nil, nil, nil}
		NecroList.Items.HC3841 = {"Mods", nil, nil, "HC - Homemade Soap", "Hydrocraft.HCSoap", "media/textures/Item_HCSoap.png", nil, nil, nil}
		NecroList.Items.HC3842 = {"Mods", nil, nil, "HC - Soap Shards", "Hydrocraft.HCSoapshards", "media/textures/Item_HCSoapshards.png", nil, nil, nil}
		NecroList.Items.HC3843 = {"Mods", nil, nil, "HC - Cherry Soda", "Hydrocraft.HCSodacherry", "media/textures/Item_HCSodacherry.png", nil, nil, nil}
		NecroList.Items.HC3844 = {"Mods", nil, nil, "HC - Cola Soda", "Hydrocraft.HCSodacola", "media/textures/Item_HCSodacola.png", nil, nil, nil}
		NecroList.Items.HC3845 = {"Mods", nil, nil, "HC - Cream Soda", "Hydrocraft.HCSodacream", "media/textures/Item_HCSodacream.png", nil, nil, nil}
		NecroList.Items.HC3846 = {"Mods", nil, nil, "HC - Dr. Pickins Soda", "Hydrocraft.HCSodadrpepper", "media/textures/Item_HCSodadrpepper.png", nil, nil, nil}
		NecroList.Items.HC3847 = {"Mods", nil, nil, "HC - Ginger Ale Soda", "Hydrocraft.HCSodagingerale", "media/textures/Item_HCSodagingerale.png", nil, nil, nil}
		NecroList.Items.HC3848 = {"Mods", nil, nil, "HC - Grape Soda", "Hydrocraft.HCSodagrape", "media/textures/Item_HCSodagrape.png", nil, nil, nil}
		NecroList.Items.HC3849 = {"Mods", nil, nil, "HC - Grapefruit Soda", "Hydrocraft.HCSodagrapefruit", "media/textures/Item_HCSodagrapefruit.png", nil, nil, nil}
		NecroList.Items.HC3850 = {"Mods", nil, nil, "HC - Lemon Lime Soda", "Hydrocraft.HCSodalemonlime", "media/textures/Item_HCSodalemonlime.png", nil, nil, nil}
		NecroList.Items.HC3851 = {"Mods", nil, nil, "HC - Pineapple Soda", "Hydrocraft.HCSodapineapple", "media/textures/Item_HCSodapineapple.png", nil, nil, nil}
		NecroList.Items.HC3852 = {"Mods", nil, nil, "HC - Root Beer Soda", "Hydrocraft.HCSodarootbeer", "media/textures/Item_HCSodarootbeer.png", nil, nil, nil}
		NecroList.Items.HC3853 = {"Mods", nil, nil, "HC - Sodium Carbonate Powder", "Hydrocraft.HCSodiumcarbonatpowder", "media/textures/Item_HCSodiumcarbonatpowder.png", nil, nil, nil}
		NecroList.Items.HC3854 = {"Mods", nil, nil, "HC - Sodium Hydroxide Powder", "Hydrocraft.HCSodiumhydroxidepowder", "media/textures/Item_HCSodiumhydroxidepowder.png", nil, nil, nil}
		NecroList.Items.HC3855 = {"Mods", nil, nil, "HC - Sodium Sulfate Powder", "Hydrocraft.HCSodiumsulfatpowder", "media/textures/Item_HCSodiumsulfatpowder.png", nil, nil, nil}
		NecroList.Items.HC3856 = {"Mods", nil, nil, "HC - Softball", "Hydrocraft.HCSoftball", "media/textures/Item_HCSoftball.png", nil, nil, nil}
		NecroList.Items.HC3857 = {"Mods", nil, nil, "HC - Fertile Soil", "Hydrocraft.HCSoil", "media/textures/Item_HCSoil.png", nil, nil, nil}
		NecroList.Items.HC3858 = {"Mods", nil, nil, "HC - Solar Cell", "Hydrocraft.HCSolarcell", "media/textures/Item_HCSolarcell.png", nil, nil, nil}
		NecroList.Items.HC3859 = {"Mods", nil, nil, "HC - Solar Generator", "Hydrocraft.HCSolargen", "media/textures/Item_HCSolargen.png", nil, nil, nil}
		NecroList.Items.HC3860 = {"Mods", nil, nil, "HC - Solar Generator (Plugged In)", "Hydrocraft.HCSolargen2", "media/textures/Item_HCSolargen2.png", nil, nil, nil}
		NecroList.Items.HC3861 = {"Mods", nil, nil, "HC - Solar Panel", "Hydrocraft.HCSolarpanel", "media/textures/Item_HCSolarpanel.png", nil, nil, nil}
		NecroList.Items.HC3862 = {"Mods", nil, nil, "HC - Solar Park", "Hydrocraft.HCSolarpark", "media/textures/Item_HCSolarpark.png", nil, nil, nil}
		NecroList.Items.HC3863 = {"Mods", nil, nil, "HC - Charged Solar Park", "Hydrocraft.HCSolarparkcharged", "media/textures/Item_HCSolarparkcharged.png", nil, nil, nil}
		NecroList.Items.HC3864 = {"Mods", nil, nil, "HC - Solder", "Hydrocraft.HCSolder", "media/textures/Item_HCSolder.png", nil, nil, nil}
		NecroList.Items.HC3865 = {"Mods", nil, nil, "HC - Solder Gun", "Hydrocraft.HCSoldergun", "media/textures/Item_HCSoldergun.png", nil, nil, nil}
		NecroList.Items.HC3866 = {"Mods", nil, nil, "HC - Solder Gun with Dead Battery", "Hydrocraft.HCSoldergundead", "media/textures/Item_HCSoldergun.png", nil, nil, nil}
		NecroList.Items.HC3867 = {"Mods", nil, nil, "HC - Solder Gun with Power", "Hydrocraft.HCSoldergunpowered", "media/textures/Item_HCSoldergunpowered.png", nil, nil, nil}
		NecroList.Items.HC3868 = {"Mods", nil, nil, "HC - Box of Solid Fuel Cubes", "Hydrocraft.HCSolidfuelbox", "media/textures/Item_HCSolidfuelbox.png", nil, nil, nil}
		NecroList.Items.HC3869 = {"Mods", nil, nil, "HC - Solid Fuel Cube", "Hydrocraft.HCSolidfuelcube", "media/textures/Item_HCSolidfuelcube.png", nil, nil, nil}
		NecroList.Items.HC3870 = {"Mods", nil, nil, "HC - Solid Fuel Cubes", "Hydrocraft.HCSolidfuelcubes", "media/textures/Item_HCSolidfuelcubes.png", nil, nil, nil}
		NecroList.Items.HC3871 = {"Mods", nil, nil, "HC - Sombrero", "Hydrocraft.HCSombrero", "media/textures/Item_HCSombrero.png", nil, nil, nil}
		NecroList.Items.HC3872 = {"Mods", nil, nil, "HC - Soup Bouillon", "Hydrocraft.HCSoupbouillon", "media/textures/Item_HCSoupbuillon.png", nil, nil, nil}
		NecroList.Items.HC3873 = {"Mods", nil, nil, "HC - Sour Cream (Fresh)", "Hydrocraft.HCSourcream", "media/textures/Item_HCSourcream.png", nil, nil, nil}
		NecroList.Items.HC3874 = {"Mods", nil, nil, "HC - Sourdough Starter", "Hydrocraft.HCSourdoughstarter", "media/textures/Item_HCSourdoughstarter.png", nil, nil, nil}
		NecroList.Items.HC3875 = {"Mods", nil, nil, "HC - Depleted Sourdough Starter", "Hydrocraft.HCSourdoughstarterdepleted", "media/textures/Item_HCSourdoughstarterdepleted.png", nil, nil, nil}
		NecroList.Items.HC3876 = {"Mods", nil, nil, "HC - Package of Soy Milk (Fresh)", "Hydrocraft.HCSoymilk", "media/textures/Item_HCSoymilk.png", nil, nil, nil}
		NecroList.Items.HC3877 = {"Mods", nil, nil, "HC - Soy Sauce", "Hydrocraft.HCSoysauce", "media/textures/Item_HCSoysaucefull.png", nil, nil, nil}
		NecroList.Items.HC3878 = {"Mods", nil, nil, "HC - Space Blanket", "Hydrocraft.HCSpaceblanket", "media/textures/Item_HCSpaceblanket.png", nil, nil, nil}
		NecroList.Items.HC3879 = {"Mods", nil, nil, "HC - Spark Plug", "Hydrocraft.HCSparkplug", "media/textures/Item_HCSparkplug.png", nil, nil, nil}
		NecroList.Items.HC3880 = {"Mods", nil, nil, "HC - Dead Sparrow (Fresh)", "Hydrocraft.HCSparrowdead", "media/textures/Item_HCSparrowdead.png", nil, nil, nil}
		NecroList.Items.HC3881 = {"Mods", nil, nil, "HC - Sparrow Eggs (Fresh Uncooked)", "Hydrocraft.HCSparrowegg", "media/textures/Item_HCSparrowegg.png", nil, nil, nil}
		NecroList.Items.HC3882 = {"Mods", nil, nil, "HC - Spatula", "Hydrocraft.HCSpatula", "media/textures/Item_HCSpatula.png", nil, nil, nil}
		NecroList.Items.HC3883 = {"Mods", nil, nil, "HC - Bronze Spear", "Hydrocraft.HCSpearbronze", "media/textures/Item_HCSpearbronze.png", nil, nil, nil}
		NecroList.Items.HC3884 = {"Mods", nil, nil, "HC - Copper Spear", "Hydrocraft.HCSpearcopper", "media/textures/Item_HCSpearcopper.png", nil, nil, nil}
		NecroList.Items.HC3885 = {"Mods", nil, nil, "HC - Iron Spear", "Hydrocraft.HCSpeariron", "media/textures/Item_HCSpeariron.png", nil, nil, nil}
		NecroList.Items.HC3886 = {"Mods", nil, nil, "HC - Spearmint", "Hydrocraft.HCSpearmint", "media/textures/Item_HCSpearmint.png", nil, nil, nil}
		NecroList.Items.HC3887 = {"Mods", nil, nil, "HC - Obsidian Spear", "Hydrocraft.HCSpearobsidian", "media/textures/Item_HCSpearobsidian.png", nil, nil, nil}
		NecroList.Items.HC3888 = {"Mods", nil, nil, "HC - Steel Spear", "Hydrocraft.HCSpearsteel", "media/textures/Item_HCSpearsteel.png", nil, nil, nil}
		NecroList.Items.HC3889 = {"Mods", nil, nil, "HC - Stone Spear", "Hydrocraft.HCSpearstone", "media/textures/Item_HCSpearstone.png", nil, nil, nil}
		NecroList.Items.HC3890 = {"Mods", nil, nil, "HC - Speedwell", "Hydrocraft.HCSpeedwell", "media/textures/Item_HCSpeedwell.png", nil, nil, nil}
		NecroList.Items.HC3891 = {"Mods", nil, nil, "HC - Sphygmomanometer", "Hydrocraft.HCSphygmomanometer", "media/textures/Item_HCSphygmomanometer.png", nil, nil, nil}
		NecroList.Items.HC3892 = {"Mods", nil, nil, "HC - Empty Spice Jar", "Hydrocraft.HCSpicejar", "media/textures/Item_HCSpicejar.png", nil, nil, nil}
		NecroList.Items.HC3893 = {"Mods", nil, nil, "HC - Bowl of Spicy Paste (Fresh)", "Hydrocraft.HCSpicypaste", "media/textures/Item_HCTomatosaucebowl.png", nil, nil, nil}
		NecroList.Items.HC3894 = {"Mods", nil, nil, "HC - Bronze Spiked Flail", "Hydrocraft.HCSpikedflailbronze", "media/textures/Item_HCSpikedflailbronze.png", nil, nil, nil}
		NecroList.Items.HC3895 = {"Mods", nil, nil, "HC - Copper Spiked Flail", "Hydrocraft.HCSpikedflailcopper", "media/textures/Item_HCSpikedflailcopper.png", nil, nil, nil}
		NecroList.Items.HC3896 = {"Mods", nil, nil, "HC - Iron Spiked Flail", "Hydrocraft.HCSpikedflailiron", "media/textures/Item_HCSpikedflailiron.png", nil, nil, nil}
		NecroList.Items.HC3897 = {"Mods", nil, nil, "HC - Steel Spiked Flail", "Hydrocraft.HCSpikedflailsteel", "media/textures/Item_HCSpikedflailsteel.png", nil, nil, nil}
		NecroList.Items.HC3898 = {"Mods", nil, nil, "HC - Bronze Spiked Mace", "Hydrocraft.HCSpikedmacebronze", "media/textures/Item_HCSpikedmacebronze.png", nil, nil, nil}
		NecroList.Items.HC3899 = {"Mods", nil, nil, "HC - Copper Spiked Mace", "Hydrocraft.HCSpikedmacecopper", "media/textures/Item_HCSpikedmacecopper.png", nil, nil, nil}
		NecroList.Items.HC3900 = {"Mods", nil, nil, "HC - Iron Spiked Mace", "Hydrocraft.HCSpikedmaceiron", "media/textures/Item_HCSpikedmaceiron.png", nil, nil, nil}
		NecroList.Items.HC3901 = {"Mods", nil, nil, "HC - Steel Spiked Mace", "Hydrocraft.HCSpikedmacesteel", "media/textures/Item_HCSpikedmacesteel.png", nil, nil, nil}
		NecroList.Items.HC3902 = {"Mods", nil, nil, "HC - Spinach (Fresh)", "Hydrocraft.HCSpinach", "media/textures/Item_HCSpinach.png", nil, nil, nil}
		NecroList.Items.HC3903 = {"Mods", nil, nil, "HC - Spinach Seeds", "Hydrocraft.HCSpinachseeds", "media/textures/Item_HCSpinachseeds.png", nil, nil, nil}
		NecroList.Items.HC3904 = {"Mods", nil, nil, "HC - Spinach Packet", "Hydrocraft.HCSpinachseedspacket", "media/textures/Item_HCSpinachseedspacket.png", nil, nil, nil}
		NecroList.Items.HC3905 = {"Mods", nil, nil, "HC - Spinning Wheel", "Hydrocraft.HCSpinningwheel", "media/textures/Item_HCSpinningwheel.png", nil, nil, nil}
		NecroList.Items.HC3906 = {"Mods", nil, nil, "HC - Spirulina (Fresh Uncooked)", "Hydrocraft.HCSpirulinafresh", "media/textures/Item_HCSpirulinafresh.png", nil, nil, nil}
		NecroList.Items.HC3907 = {"Mods", nil, nil, "HC - Spirulina Powder", "Hydrocraft.HCSpirulinapowder", "media/textures/Item_HCSpirulinapowder.png", nil, nil, nil}
		NecroList.Items.HC3908 = {"Mods", nil, nil, "HC - Spirulina Seeds", "Hydrocraft.HCSpirulinaseeds", "media/textures/Item_HCSpirulinaseeds.png", nil, nil, nil}
		NecroList.Items.HC3909 = {"Mods", nil, nil, "HC - Spirulina Packet", "Hydrocraft.HCSpirulinaseedspacket", "media/textures/Item_HCSpirulinaseedspacket.png", nil, nil, nil}
		NecroList.Items.HC3910 = {"Mods", nil, nil, "HC - Fish Tank with Spirulina", "Hydrocraft.HCSpirulinatank", "media/textures/Item_HCSpirulinatank.png", nil, nil, nil}
		NecroList.Items.HC3911 = {"Mods", nil, nil, "HC - Bath Sponge", "Hydrocraft.HCSponge", "media/textures/Item_HCSponge.png", nil, nil, nil}
		NecroList.Items.HC3912 = {"Mods", nil, nil, "HC - Spork", "Hydrocraft.HCSpork", "media/textures/Item_HCSpork.png", nil, nil, nil}
		NecroList.Items.HC3913 = {"Mods", nil, nil, "HC - Spruce Bough", "Hydrocraft.HCSprucebough", "media/textures/Item_HCSprucebough.png", nil, nil, nil}
		NecroList.Items.HC3914 = {"Mods", nil, nil, "HC - Summer Squash (Fresh)", "Hydrocraft.HCSquashsummer", "media/textures/Item_HCSquashsummer.png", nil, nil, nil}
		NecroList.Items.HC3915 = {"Mods", nil, nil, "HC - Squid (Fresh Uncooked)", "Hydrocraft.HCSquid", "media/textures/Item_HCSquid.png", nil, nil, nil}
		NecroList.Items.HC3916 = {"Mods", nil, nil, "HC - Sriracha", "Hydrocraft.HCSriracha", "media/textures/Item_HCSriracha.png", nil, nil, nil}
		NecroList.Items.HC3917 = {"Mods", nil, nil, "HC - Wooden Stake", "Hydrocraft.HCStake", "media/textures/Item_HCStake.png", nil, nil, nil}
		NecroList.Items.HC3918 = {"Mods", nil, nil, "HC - Crude Wooden Stake", "Hydrocraft.HCStakecrude", "media/textures/Item_HCStakecrude.png", nil, nil, nil}
		NecroList.Items.HC3919 = {"Mods", nil, nil, "HC - Hardened Wooden Stake", "Hydrocraft.HCStakehard", "media/textures/Item_HCStakehard.png", nil, nil, nil}
		NecroList.Items.HC3920 = {"Mods", nil, nil, "HC - Stamp Mill", "Hydrocraft.HCStampmill", "media/textures/Item_HCStampmill.png", nil, nil, nil}
		NecroList.Items.HC3921 = {"Mods", nil, nil, "HC - Stamp Mill with Crank", "Hydrocraft.HCStampmillcrank", "media/textures/Item_HCStampmillcrank.png", nil, nil, nil}
		NecroList.Items.HC3922 = {"Mods", nil, nil, "HC - Stamp Mill with Generator", "Hydrocraft.HCStampmillgen", "media/textures/Item_HCStampmillgen.png", nil, nil, nil}
		NecroList.Items.HC3923 = {"Mods", nil, nil, "HC - Stamp Mill with Steam Machine", "Hydrocraft.HCStampmillsteam", "media/textures/Item_HCStampmillsteam.png", nil, nil, nil}
		NecroList.Items.HC3924 = {"Mods", nil, nil, "HC - Stamp Mill Wheel", "Hydrocraft.HCStampmillwheel", "media/textures/Item_HCStampmillwheel.png", nil, nil, nil}
		NecroList.Items.HC3925 = {"Mods", nil, nil, "HC - Empty Staple Gun", "Hydrocraft.HCStaplegun", "media/textures/Item_HCStaplegun.png", nil, nil, nil}
		NecroList.Items.HC3926 = {"Mods", nil, nil, "HC - Staple Gun", "Hydrocraft.HCStaplegunfull", "media/textures/Item_HCStaplegun.png", nil, nil, nil}
		NecroList.Items.HC3927 = {"Mods", nil, nil, "HC - Empty Stapler", "Hydrocraft.HCStapler", "media/textures/Item_HCStapler.png", nil, nil, nil}
		NecroList.Items.HC3928 = {"Mods", nil, nil, "HC - Staple Remover", "Hydrocraft.HCStapleremover", "media/textures/Item_HCStapleremover.png", nil, nil, nil}
		NecroList.Items.HC3929 = {"Mods", nil, nil, "HC - Stapler", "Hydrocraft.HCStaplerfull", "media/textures/Item_HCStapler.png", nil, nil, nil}
		NecroList.Items.HC3930 = {"Mods", nil, nil, "HC - Staples", "Hydrocraft.HCStaples", "media/textures/Item_HCStaples.png", nil, nil, nil}
		NecroList.Items.HC3931 = {"Mods", nil, nil, "HC - Box of Staples", "Hydrocraft.HCStaplesbox", "media/textures/Item_HCStaplesbox.png", nil, nil, nil}
		NecroList.Items.HC3932 = {"Mods", nil, nil, "HC - Star Anise", "Hydrocraft.HCStaranise", "media/textures/Item_HCStaranise.png", nil, nil, nil}
		NecroList.Items.HC3933 = {"Mods", nil, nil, "HC - Star Chart", "Hydrocraft.HCStarchart", "media/textures/Item_HCStarchart.png", nil, nil, nil}
		NecroList.Items.HC3934 = {"Mods", nil, nil, "HC - Star Chart Board", "Hydrocraft.HCStarchartboard", "media/textures/Item_HCStarchartboard.png", nil, nil, nil}
		NecroList.Items.HC3935 = {"Mods", nil, nil, "HC - Gold Star", "Hydrocraft.HCStargold", "media/textures/Item_HCStargold.png", nil, nil, nil}
		NecroList.Items.HC3936 = {"Mods", nil, nil, "HC - Starter Fluid", "Hydrocraft.HCStarterfluid", "media/textures/Item_HCStarterfluid.png", nil, nil, nil}
		NecroList.Items.HC3937 = {"Mods", nil, nil, "HC - Empty Starter Fluid", "Hydrocraft.HCStarterfluidempty", "media/textures/Item_HCStarterfluid.png", nil, nil, nil}
		NecroList.Items.HC3938 = {"Mods", nil, nil, "HC - Mannequin", "Hydrocraft.HCStatuemarble1", "location_shop_mall_01_65_Icon", nil, nil, nil}
		NecroList.Items.HC3939 = {"Mods", nil, nil, "HC - Mannequin", "Hydrocraft.HCStatuemarble2", "location_shop_mall_01_66_Icon", nil, nil, nil}
		NecroList.Items.HC3940 = {"Mods", nil, nil, "HC - Mannequin", "Hydrocraft.HCStatuemarble3", "location_shop_mall_01_67_Icon", nil, nil, nil}
		NecroList.Items.HC3941 = {"Mods", nil, nil, "HC - Mannequin", "Hydrocraft.HCStatuemarble4", "location_shop_mall_01_68_Icon", nil, nil, nil}
		NecroList.Items.HC3942 = {"Mods", nil, nil, "HC - Mannequin", "Hydrocraft.HCStatuemarble5", "location_shop_mall_01_69_Icon", nil, nil, nil}
		NecroList.Items.HC3943 = {"Mods", nil, nil, "HC - Mannequin", "Hydrocraft.HCStatuemarble6", "location_shop_mall_01_70_Icon", nil, nil, nil}
		NecroList.Items.HC3944 = {"Mods", nil, nil, "HC - Steak Knife", "Hydrocraft.HCSteakknife", "media/textures/Item_HCSteakknife.png", nil, nil, nil}
		NecroList.Items.HC3945 = {"Mods", nil, nil, "HC - Steak Seasoning", "Hydrocraft.HCSteakseasoning", "media/textures/Item_HCSteakseasoning.png", nil, nil, nil}
		NecroList.Items.HC3946 = {"Mods", nil, nil, "HC - Steam Boiler", "Hydrocraft.HCSteamboiler", "media/textures/Item_HCSteamboiler.png", nil, nil, nil}
		NecroList.Items.HC3947 = {"Mods", nil, nil, "HC - Steam Engine", "Hydrocraft.HCSteamengine", "media/textures/Item_HCSteamengine.png", nil, nil, nil}
		NecroList.Items.HC3948 = {"Mods", nil, nil, "HC - Steam Hammer", "Hydrocraft.HCSteamhammer", "media/textures/Item_HCSteamhammer.png", nil, nil, nil}
		NecroList.Items.HC3949 = {"Mods", nil, nil, "HC - Steam Machine", "Hydrocraft.HCSteammachine", "media/textures/Item_HCSteammachine.png", nil, nil, nil}
		NecroList.Items.HC3950 = {"Mods", nil, nil, "HC - Steam Pressure Pot", "Hydrocraft.HCSteampot", "media/textures/Item_HCSteampot.png", nil, nil, nil}
		NecroList.Items.HC3951 = {"Mods", nil, nil, "HC - Steel Beam", "Hydrocraft.HCSteelbeam", "media/textures/Item_HCSteelbeam.png", nil, nil, nil}
		NecroList.Items.HC3952 = {"Mods", nil, nil, "HC - Small Steel Sheet", "Hydrocraft.HCSteelboard", "media/textures/Item_HCSteelboard.png", nil, nil, nil}
		NecroList.Items.HC3953 = {"Mods", nil, nil, "HC - Steel Ingot", "Hydrocraft.HCSteelingot", "media/textures/Item_HCSteelingot.png", nil, nil, nil}
		NecroList.Items.HC3954 = {"Mods", nil, nil, "HC - Steel Pipe", "Hydrocraft.HCSteelpipe", "media/textures/Item_HCSteelpipe.png", nil, nil, nil}
		NecroList.Items.HC3955 = {"Mods", nil, nil, "HC - Pallet of Steel Pipes", "Hydrocraft.HCSteelpipebox", "media/textures/Item_HCSteelpipebox.png", nil, nil, nil}
		NecroList.Items.HC3956 = {"Mods", nil, nil, "HC - Steel Pole", "Hydrocraft.HCSteelpole", "media/textures/Item_HCSteelpole.png", nil, nil, nil}
		NecroList.Items.HC3957 = {"Mods", nil, nil, "HC - Steel Rod", "Hydrocraft.HCSteelrod", "media/textures/Item_HCSteelrod.png", nil, nil, nil}
		NecroList.Items.HC3958 = {"Mods", nil, nil, "HC - Steel Sheet", "Hydrocraft.HCSteelsheet", "media/textures/Item_HCSteelsheet.png", nil, nil, nil}
		NecroList.Items.HC3959 = {"Mods", nil, nil, "HC - Large Steel Sheet", "Hydrocraft.HCSteelsheetlarge", "media/textures/Item_HCSteelsheetlarge.png", nil, nil, nil}
		NecroList.Items.HC3960 = {"Mods", nil, nil, "HC - Steel Spring", "Hydrocraft.HCSteelspring", "media/textures/Item_HCSteelspring.png", nil, nil, nil}
		NecroList.Items.HC3961 = {"Mods", nil, nil, "HC - Step Ladder", "Hydrocraft.HCStepladder", "media/textures/Item_HCStepladder.png", nil, nil, nil}
		NecroList.Items.HC3962 = {"Mods", nil, nil, "HC - Sterling Silver Fork", "Hydrocraft.HCSterlingsilverfork", "media/textures/Item_HCSterlingsilverfork.png", nil, nil, nil}
		NecroList.Items.HC3963 = {"Mods", nil, nil, "HC - Sterling Silver Ingot", "Hydrocraft.HCSterlingsilveringot", "media/textures/Item_HCSterlingsilveringot.png", nil, nil, nil}
		NecroList.Items.HC3964 = {"Mods", nil, nil, "HC - Sterling Silver Knife", "Hydrocraft.HCSterlingsilverknife", "media/textures/Item_HCSterlingsilverknife.png", nil, nil, nil}
		NecroList.Items.HC3965 = {"Mods", nil, nil, "HC - Sterling Silver Spoon", "Hydrocraft.HCSterlingsilverspoon", "media/textures/Item_HCSterlingsilverspoon.png", nil, nil, nil}
		NecroList.Items.HC3966 = {"Mods", nil, nil, "HC - Stethoscope", "Hydrocraft.HCStethoscope", "media/textures/Item_HCStethoscope.png", nil, nil, nil}
		NecroList.Items.HC3967 = {"Mods", nil, nil, "HC - Christmas Stocking", "Hydrocraft.HCStocking", "media/textures/Item_HCStocking.png", nil, nil, nil}
		NecroList.Items.HC3968 = {"Mods", nil, nil, "HC - Stone Arrowhead", "Hydrocraft.HCStonearrowhead", "media/textures/Item_HCStonearrowhead.png", nil, nil, nil}
		NecroList.Items.HC3969 = {"Mods", nil, nil, "HC - Pallet of Stones", "Hydrocraft.HCStonepilebox", "media/textures/Item_HCStonepilebox.png", nil, nil, nil}
		NecroList.Items.HC3970 = {"Mods", nil, nil, "HC - Stone Pillar", "Hydrocraft.HCStonepillar", "media/textures/Item_HCStonepillar.png", nil, nil, nil}
		NecroList.Items.HC3971 = {"Mods", nil, nil, "HC - Stone Wheel", "Hydrocraft.HCStonewheel", "media/textures/Item_HCStonewheel.png", nil, nil, nil}
		NecroList.Items.HC3972 = {"Mods", nil, nil, "HC - Straight Razor", "Hydrocraft.HCStraightrazor", "media/textures/Item_HCStraightrazor.png", nil, nil, nil}
		NecroList.Items.HC3973 = {"Mods", nil, nil, "HC - Strapped Canteens", "Hydrocraft.HCStrappedcanteen", "media/textures/Item_HCStrappedcanteen.png", nil, nil, nil}
		NecroList.Items.HC3974 = {"Mods", nil, nil, "HC - Strapped Canteens with Water", "Hydrocraft.HCStrappedcanteenfull", "media/textures/Item_HCStrappedcanteen.png", nil, nil, nil}
		NecroList.Items.HC3975 = {"Mods", nil, nil, "HC - Straw", "Hydrocraft.HCStraw", "media/textures/Item_HCStraw.png", nil, nil, nil}
		NecroList.Items.HC3976 = {"Mods", nil, nil, "HC - Bale of Straw", "Hydrocraft.HCStrawbale", "media/textures/Item_HCStrawbale.png", nil, nil, nil}
		NecroList.Items.HC3977 = {"Mods", nil, nil, "HC - Straw Basket", "Hydrocraft.HCStrawbasket", "media/textures/Item_HCStrawbasket.png", nil, nil, nil}
		NecroList.Items.HC3978 = {"Mods", nil, nil, "HC - Straw Hat", "Hydrocraft.HCStrawhat", "media/textures/Item_HCStrawhat.png", nil, nil, nil}
		NecroList.Items.HC3979 = {"Mods", nil, nil, "HC - Strelitzia", "Hydrocraft.HCStrelitzia", "media/textures/Item_HCStrelitzia.png", nil, nil, nil}
		NecroList.Items.HC3980 = {"Mods", nil, nil, "HC - Striped Feather", "Hydrocraft.HCStripedfeather", "media/textures/Item_HCStripedfeather.png", nil, nil, nil}
		NecroList.Items.HC3981 = {"Mods", nil, nil, "HC - Uncooked Stuffed Green Bell Pepper (Fresh Uncooked)", "Hydrocraft.HCStuffedbellpeppergreen", "media/textures/Item_HCStuffedbellpeppergreen.png", nil, nil, nil}
		NecroList.Items.HC3982 = {"Mods", nil, nil, "HC - Cooked Stuffed Green Bell Pepper (Fresh)", "Hydrocraft.HCStuffedbellpeppergreencooked", "media/textures/Item_HCStuffedbellpeppergreencooked.png", nil, nil, nil}
		NecroList.Items.HC3983 = {"Mods", nil, nil, "HC - Uncooked Stuffed Red Bell Pepper (Fresh Uncooked)", "Hydrocraft.HCStuffedbellpepperred", "media/textures/Item_HCStuffedbellpepperred.png", nil, nil, nil}
		NecroList.Items.HC3984 = {"Mods", nil, nil, "HC - Cooked Stuffed Red Bell Pepper (Fresh)", "Hydrocraft.HCStuffedbellpepperredcooked", "media/textures/Item_HCStuffedbellpepperredcooked.png", nil, nil, nil}
		NecroList.Items.HC3985 = {"Mods", nil, nil, "HC - Uncooked Stuffed Yellow Bell Pepper (Fresh Uncooked)", "Hydrocraft.HCStuffedbellpepperyellow", "media/textures/Item_HCStuffedbellpepperyellow.png", nil, nil, nil}
		NecroList.Items.HC3986 = {"Mods", nil, nil, "HC - Cooked Stuffed Yellow Bell Pepper (Fresh)", "Hydrocraft.HCStuffedbellpepperyellowcooked", "media/textures/Item_HCStuffedbellpepperyellowcooked.png", nil, nil, nil}
		NecroList.Items.HC3987 = {"Mods", nil, nil, "HC - Uncooked Stuffed Eggplant (Fresh Uncooked)", "Hydrocraft.HCStuffedeggplant", "media/textures/Item_HCStuffedbellpepperyellow.png", nil, nil, nil}
		NecroList.Items.HC3988 = {"Mods", nil, nil, "HC - Cooked Stuffed Eggplant (Fresh)", "Hydrocraft.HCStuffedeggplantcooked", "media/textures/Item_HCStuffedeggplantcooked.png", nil, nil, nil}
		NecroList.Items.HC3989 = {"Mods", nil, nil, "HC - Uncooked Stuffed Squash (Fresh Uncooked)", "Hydrocraft.HCStuffedsquash", "media/textures/Item_HCStuffedbellpepperyellow.png", nil, nil, nil}
		NecroList.Items.HC3990 = {"Mods", nil, nil, "HC - Cooked Stuffed Squash (Fresh)", "Hydrocraft.HCStuffedsquashcooked", "media/textures/Item_HCStuffedsquashcooked.png", nil, nil, nil}
		NecroList.Items.HC3991 = {"Mods", nil, nil, "HC - Styling Foam", "Hydrocraft.HCStylingfoam", "media/textures/Item_HCStylingfoam.png", nil, nil, nil}
		NecroList.Items.HC3992 = {"Mods", nil, nil, "HC - Styrofoam Ball", "Hydrocraft.HCStyrofoamball", "media/textures/Item_HCStyrofoamball.png", nil, nil, nil}
		NecroList.Items.HC3993 = {"Mods", nil, nil, "HC - Styrofoam Block", "Hydrocraft.HCStyrofoamblock", "media/textures/Item_HCStyrofoamblock.png", nil, nil, nil}
		NecroList.Items.HC3994 = {"Mods", nil, nil, "HC - Styrofoam Cup", "Hydrocraft.HCStyrofoamcup", "media/textures/Item_HCStyrofoamcup.png", nil, nil, nil}
		NecroList.Items.HC3995 = {"Mods", nil, nil, "HC - Styrofoam Cup with Water", "Hydrocraft.HCStyrofoamcupfull", "media/textures/Item_HCStyrofoamcup.png", nil, nil, nil}
		NecroList.Items.HC3996 = {"Mods", nil, nil, "HC - Stack of Styrofoam Cups", "Hydrocraft.HCStyrofoamcupstack", "media/textures/Item_HCStyrofoamcupstack.png", nil, nil, nil}
		NecroList.Items.HC3997 = {"Mods", nil, nil, "HC - Sugar Cubes", "Hydrocraft.HCSugarcubes", "media/textures/Item_HCSugarcubes.png", nil, nil, nil}
		NecroList.Items.HC3998 = {"Mods", nil, nil, "HC - Empty Sugar Pack", "Hydrocraft.HCSugarempty", "media/textures/Item_HCSugarempty.png", nil, nil, nil}
		NecroList.Items.HC3999 = {"Mods", nil, nil, "HC - Suicide Note", "Hydrocraft.HCSuicidenote", "media/textures/Item_HCSuicidenote.png", nil, nil, nil}
		NecroList.Items.HC4000 = {"Mods", nil, nil, "HC - Suitcase", "Hydrocraft.HCSuitcase", "media/textures/Item_HCSuitcase.png", nil, nil, nil}
		NecroList.Items.HC4001 = {"Mods", nil, nil, "HC - Blue Empty Sulfuric Acid Barrel", "Hydrocraft.HCSulfuricacidbarrelblueempty", "media/textures/Item_HCSulfuricacidbarrelblue.png", nil, nil, nil}
		NecroList.Items.HC4002 = {"Mods", nil, nil, "HC - Blue Barrel with Sulfuric Acid", "Hydrocraft.HCSulfuricacidbarrelbluefull", "media/textures/Item_HCSulfuricacidbarrelblue.png", nil, nil, nil}
		NecroList.Items.HC4003 = {"Mods", nil, nil, "HC - Empty Phenylacetic Acid Barrel", "Hydrocraft.HCSulfuricacidbarrelempty", "media/textures/Item_HCSulfuricacidbarrelmetal.png", nil, nil, nil}
		NecroList.Items.HC4004 = {"Mods", nil, nil, "HC - Metal Barrel with Sulfuric Acid", "Hydrocraft.HCSulfuricacidbarrelfull", "media/textures/Item_HCSulfuricacidbarrelmetal.png", nil, nil, nil}
		NecroList.Items.HC4005 = {"Mods", nil, nil, "HC - Sulfuric Acid", "Hydrocraft.HCSulfuricacidcan", "media/textures/Item_HCSulfuricacidcan.png", nil, nil, nil}
		NecroList.Items.HC4006 = {"Mods", nil, nil, "HC - Empty Sulfuric Acid Can", "Hydrocraft.HCSulfuricacidcanempty", "media/textures/Item_HCSulfuricacidcanempty.png", nil, nil, nil}
		NecroList.Items.HC4007 = {"Mods", nil, nil, "HC - Sulphur", "Hydrocraft.HCSulphur", "media/textures/Item_HCSulphur.png", nil, nil, nil}
		NecroList.Items.HC4008 = {"Mods", nil, nil, "HC - Sulphur Powder", "Hydrocraft.HCSulphurpowder", "media/textures/Item_HCSulphurpowder.png", nil, nil, nil}
		NecroList.Items.HC4009 = {"Mods", nil, nil, "HC - Sumac", "Hydrocraft.HCSumac", "media/textures/Item_HCSumac.png", nil, nil, nil}
		NecroList.Items.HC4010 = {"Mods", nil, nil, "HC - Sumac Berry (Fresh)", "Hydrocraft.HCSumacberry", "media/textures/Item_HCSumacberry.png", nil, nil, nil}
		NecroList.Items.HC4011 = {"Mods", nil, nil, "HC - Sunflower", "Hydrocraft.HCSunflower", "media/textures/Item_HCSunflower.png", nil, nil, nil}
		NecroList.Items.HC4012 = {"Mods", nil, nil, "HC - Bag of Sunflower Seeds", "Hydrocraft.HCSunflowerseedsnack", "media/textures/Item_HCSunflowerseedsnack.png", nil, nil, nil}
		NecroList.Items.HC4013 = {"Mods", nil, nil, "HC - Super Glue", "Hydrocraft.HCSuperglue", "media/textures/Item_HCSuperglue.png", nil, nil, nil}
		NecroList.Items.HC4014 = {"Mods", nil, nil, "HC - Survival Axe", "Hydrocraft.HCSurvivalaxe", "media/textures/Item_HCSurvivalaxe.png", nil, nil, nil}
		NecroList.Items.HC4015 = {"Mods", nil, nil, "HC - Sweet Potato (Fresh)", "Hydrocraft.HCSweetpotato", "media/textures/Item_HCSweetpotato.png", nil, nil, nil}
		NecroList.Items.HC4016 = {"Mods", nil, nil, "HC - Switch", "Hydrocraft.HCSwitch", "media/textures/Item_HCSwitch.png", nil, nil, nil}
		NecroList.Items.HC4017 = {"Mods", nil, nil, "HC - Syringe with Adrenalin", "Hydrocraft.HCSyringeadrenalin", "media/textures/Item_HCSyringeadrenalin.png", nil, nil, nil}
		NecroList.Items.HC4018 = {"Mods", nil, nil, "HC - Syringe with Human Blood", "Hydrocraft.HCSyringeblood", "media/textures/Item_HCSyringeblood.png", nil, nil, nil}
		NecroList.Items.HC4019 = {"Mods", nil, nil, "HC - Syringe", "Hydrocraft.HCSyringeempty", "media/textures/Item_HCSyringeempty.png", nil, nil, nil}
		NecroList.Items.HC4020 = {"Mods", nil, nil, "HC - Syringe with Heroin", "Hydrocraft.HCSyringeheroin", "media/textures/Item_HCSyringeheroin.png", nil, nil, nil}
		NecroList.Items.HC4021 = {"Mods", nil, nil, "HC - Syringe with Rabbit Blood", "Hydrocraft.HCSyringerabbit", "media/textures/Item_HCSyringeblood.png", nil, nil, nil}
		NecroList.Items.HC4022 = {"Mods", nil, nil, "HC - Syringe with Morphine", "Hydrocraft.HCSyringeuin", "media/textures/Item_HCSyringemorphin.png", nil, nil, nil}
		NecroList.Items.HC4023 = {"Mods", nil, nil, "HC - Syringe with Zombie Blood", "Hydrocraft.HCSyringezombie", "media/textures/Item_HCSyringeblood.png", nil, nil, nil}
		NecroList.Items.HC4024 = {"Mods", nil, nil, "HC - Log Table", "Hydrocraft.HCTablelog", "media/textures/Item_HCTablelog.png", nil, nil, nil}
		NecroList.Items.HC4025 = {"Mods", nil, nil, "HC - Table Spoon", "Hydrocraft.HCTablespoon", "media/textures/Item_HCTablespoon.png", nil, nil, nil}
		NecroList.Items.HC4026 = {"Mods", nil, nil, "HC - Bunch of Berries Tablet", "Hydrocraft.HCTabletberries", "media/textures/Item_HCClaytabletwritten.png", nil, nil, nil}
		NecroList.Items.HC4027 = {"Mods", nil, nil, "HC - Birch Bark Basket Tablet", "Hydrocraft.HCTabletbirchbarkbasket", "media/textures/Item_HCClaytabletwritten.png", nil, nil, nil}
		NecroList.Items.HC4028 = {"Mods", nil, nil, "HC - Bunch of Mushrooms Tablet", "Hydrocraft.HCTabletshrooms", "media/textures/Item_HCClaytabletwritten.png", nil, nil, nil}
		NecroList.Items.HC4029 = {"Mods", nil, nil, "HC - Skin Animal Tablet", "Hydrocraft.HCTabletskinanimal", "media/textures/Item_HCClaytabletwritten.png", nil, nil, nil}
		NecroList.Items.HC4030 = {"Mods", nil, nil, "HC - Stick Trap Tablet", "Hydrocraft.HCTabletsticktrap", "media/textures/Item_HCClaytabletwritten.png", nil, nil, nil}
		NecroList.Items.HC4031 = {"Mods", nil, nil, "HC - Straw Basket Tablet", "Hydrocraft.HCTabletstrawbasket", "media/textures/Item_HCClaytabletwritten.png", nil, nil, nil}
		NecroList.Items.HC4032 = {"Mods", nil, nil, "HC - Wicker Basket Tablet", "Hydrocraft.HCTabletwickerbasket", "media/textures/Item_HCClaytabletwritten.png", nil, nil, nil}
		NecroList.Items.HC4033 = {"Mods", nil, nil, "HC - Wood Table", "Hydrocraft.HCTablewood", "media/textures/Item_HCTablewood.png", nil, nil, nil}
		NecroList.Items.HC4034 = {"Mods", nil, nil, "HC - Taco (Fresh)", "Hydrocraft.HCTacocorn", "media/textures/Item_HCTacocorn.png", nil, nil, nil}
		NecroList.Items.HC4035 = {"Mods", nil, nil, "HC - Corned Beef Taco (Fresh)", "Hydrocraft.HCTacocornedbeef", "media/textures/Item_HCTacocorn.png", nil, nil, nil}
		NecroList.Items.HC4036 = {"Mods", nil, nil, "HC - Uncooked Corned Beef Taco (Fresh Uncooked)", "Hydrocraft.HCTacocornedbeefuncooked", "media/textures/Item_HCTacocorn.png", nil, nil, nil}
		NecroList.Items.HC4037 = {"Mods", nil, nil, "HC - Uncooked Taco Grande (Fresh Uncooked)", "Hydrocraft.HCTacocorngradeuncooked", "media/textures/Item_HCTacocorn.png", nil, nil, nil}
		NecroList.Items.HC4038 = {"Mods", nil, nil, "HC - Taco Grande (Fresh)", "Hydrocraft.HCTacocorngrande", "media/textures/Item_HCTacocorn.png", nil, nil, nil}
		NecroList.Items.HC4039 = {"Mods", nil, nil, "HC - Uncooked Taco (Fresh Uncooked)", "Hydrocraft.HCTacocornuncooked", "media/textures/Item_HCTacocorn.png", nil, nil, nil}
		NecroList.Items.HC4040 = {"Mods", nil, nil, "HC - Fish Taco (Fresh)", "Hydrocraft.HCTacofish", "media/textures/Item_HCTacofish.png", nil, nil, nil}
		NecroList.Items.HC4041 = {"Mods", nil, nil, "HC - Uncooked Fish Taco (Fresh Uncooked)", "Hydrocraft.HCTacofishuncooked", "media/textures/Item_HCTacofish.png", nil, nil, nil}
		NecroList.Items.HC4042 = {"Mods", nil, nil, "HC - Soft Taco (Fresh)", "Hydrocraft.HCTacoflour", "media/textures/Item_HCTacoflour.png", nil, nil, nil}
		NecroList.Items.HC4043 = {"Mods", nil, nil, "HC - Soft Taco Grande (Fresh)", "Hydrocraft.HCTacoflourgrande", "media/textures/Item_HCTacoflour.png", nil, nil, nil}
		NecroList.Items.HC4044 = {"Mods", nil, nil, "HC - Uncooked Soft Taco Grande (Fresh Uncooked)", "Hydrocraft.HCTacoflourgrandeuncooked", "media/textures/Item_HCTacoflour.png", nil, nil, nil}
		NecroList.Items.HC4045 = {"Mods", nil, nil, "HC - Uncooked Soft Taco (Fresh Uncooked)", "Hydrocraft.HCTacoflouruncooked", "media/textures/Item_HCTacoflour.png", nil, nil, nil}
		NecroList.Items.HC4046 = {"Mods", nil, nil, "HC - Bottle of Taco Sauce", "Hydrocraft.HCTacosaucebottle", "media/textures/Item_HCTacosaucebottle.png", nil, nil, nil}
		NecroList.Items.HC4047 = {"Mods", nil, nil, "HC - Bowl of Taco Sauce (Fresh)", "Hydrocraft.HCTacosaucebowl", "media/textures/Item_HCTacosaucebowl.png", nil, nil, nil}
		NecroList.Items.HC4048 = {"Mods", nil, nil, "HC - Tadpole (Fresh Uncooked)", "Hydrocraft.HCTadpole", "media/textures/Item_HCTadpole.png", nil, nil, nil}
		NecroList.Items.HC4049 = {"Mods", nil, nil, "HC - Taffy", "Hydrocraft.HCTaffy", "media/textures/Item_HCTaffy.png", nil, nil, nil}
		NecroList.Items.HC4050 = {"Mods", nil, nil, "HC - Empty Candy Wrapper", "Hydrocraft.HCTaffytrash", "media/textures/Item_HCTaffytrash.png", nil, nil, nil}
		NecroList.Items.HC4051 = {"Mods", nil, nil, "HC - Tallow", "Hydrocraft.HCTallow", "media/textures/Item_HCTallow.png", nil, nil, nil}
		NecroList.Items.HC4052 = {"Mods", nil, nil, "HC - Tampon", "Hydrocraft.HCTampon", "media/textures/Item_HCTampon.png", nil, nil, nil}
		NecroList.Items.HC4053 = {"Mods", nil, nil, "HC - Box of Tampons", "Hydrocraft.HCTamponbox", "media/textures/Item_HCTamponbox.png", nil, nil, nil}
		NecroList.Items.HC4054 = {"Mods", nil, nil, "HC - Taquito (Fresh)", "Hydrocraft.HCTaquito", "media/textures/Item_HCTaquito.png", nil, nil, nil}
		NecroList.Items.HC4055 = {"Mods", nil, nil, "HC - Uncooked Taquito (Fresh Uncooked)", "Hydrocraft.HCTaquitouncooked", "media/textures/Item_HCTaquitouncooked.png", nil, nil, nil}
		NecroList.Items.HC4056 = {"Mods", nil, nil, "HC - Tar", "Hydrocraft.HCTar", "media/textures/Item_HCTar.png", nil, nil, nil}
		NecroList.Items.HC4057 = {"Mods", nil, nil, "HC - Bucket of Tar", "Hydrocraft.HCTarbucket", "media/textures/Item_HCTarbucket.png", nil, nil, nil}
		NecroList.Items.HC4058 = {"Mods", nil, nil, "HC - Tar Kiln", "Hydrocraft.HCTarkiln", "media/textures/Item_HCTarkiln.png", nil, nil, nil}
		NecroList.Items.HC4059 = {"Mods", nil, nil, "HC - Tar Kiln", "Hydrocraft.HCTarkiln2", "media/textures/Item_HCTarkiln.png", nil, nil, nil}
		NecroList.Items.HC4060 = {"Mods", nil, nil, "HC - Mug of Tar", "Hydrocraft.HCTarmug", "media/textures/Item_HCTarmug.png", nil, nil, nil}
		NecroList.Items.HC4061 = {"Mods", nil, nil, "HC - Tarragon", "Hydrocraft.HCTarragon", "media/textures/Item_HCTarragon.png", nil, nil, nil}
		NecroList.Items.HC4062 = {"Mods", nil, nil, "HC - Tar Sticks", "Hydrocraft.HCTarsticks", "media/textures/Item_HCTarsticks.png", nil, nil, nil}
		NecroList.Items.HC4063 = {"Mods", nil, nil, "HC - Tasty Homemade Jerky (Uncooked)", "Hydrocraft.HCTastyjerky", "Item_BeefJerky", nil, nil, nil}
		NecroList.Items.HC4064 = {"Mods", nil, nil, "HC - Tasty Marinade", "Hydrocraft.HCTastymarinade", "media/textures/Item_HCMarinadfull.png", nil, nil, nil}
		NecroList.Items.HC4065 = {"Mods", nil, nil, "HC - Tasty Pizza (Fresh Uncooked)", "Hydrocraft.HCTastypizza", "media/textures/Item_HCPizzaC.png", nil, nil, nil}
		NecroList.Items.HC4066 = {"Mods", nil, nil, "HC - Baked Tasty Pizza (Fresh)", "Hydrocraft.HCTastypizzabaked", "media/textures/Item_HCPizzaC.png", nil, nil, nil}
		NecroList.Items.HC4067 = {"Mods", nil, nil, "HC - Slice of Tasty Pizza (Fresh)", "Hydrocraft.HCTastypizzaslice", "media/textures/Item_HCPizzasliceC.png", nil, nil, nil}
		NecroList.Items.HC4068 = {"Mods", nil, nil, "HC - Taxidermy Jackalope", "Hydrocraft.HCTaxidermyjackalope", "media/textures/Item_HCTaxidermyjackalope.png", nil, nil, nil}
		NecroList.Items.HC4069 = {"Mods", nil, nil, "HC - Taxidermy Mouse", "Hydrocraft.HCTaxidermymouse", "media/textures/Item_HCTaxidermymouse.png", nil, nil, nil}
		NecroList.Items.HC4070 = {"Mods", nil, nil, "HC - Taxidermy Rabbit", "Hydrocraft.HCTaxidermyrabbit", "media/textures/Item_HCTaxidermyrabbit.png", nil, nil, nil}
		NecroList.Items.HC4071 = {"Mods", nil, nil, "HC - Taxidermy Workbench", "Hydrocraft.HCTaxidermyworkbench", "media/textures/Item_HCTaxidermyworkbench.png", nil, nil, nil}
		NecroList.Items.HC4072 = {"Mods", nil, nil, "HC - Black Tea Leaves", "Hydrocraft.HCTeablack", "media/textures/Item_HCTeablack.png", nil, nil, nil}
		NecroList.Items.HC4073 = {"Mods", nil, nil, "HC - Fresh Tea Leaves", "Hydrocraft.HCTeafresh", "media/textures/Item_HCTeafresh.png", nil, nil, nil}
		NecroList.Items.HC4074 = {"Mods", nil, nil, "HC - Green Tea Leaves", "Hydrocraft.HCTeagreen", "media/textures/Item_HCTeagreen.png", nil, nil, nil}
		NecroList.Items.HC4075 = {"Mods", nil, nil, "HC - Tea Seeds", "Hydrocraft.HCTeaseeds", "media/textures/Item_HCTeaseeds.png", nil, nil, nil}
		NecroList.Items.HC4076 = {"Mods", nil, nil, "HC - Tea Seeds Packet", "Hydrocraft.HCTeaseedspacket", "media/textures/Item_HCTeaseedspacket.png", nil, nil, nil}
		NecroList.Items.HC4077 = {"Mods", nil, nil, "HC - Teaspoon", "Hydrocraft.HCTeaspoon", "media/textures/Item_HCTeaspoon.png", nil, nil, nil}
		NecroList.Items.HC4078 = {"Mods", nil, nil, "HC - Telescope", "Hydrocraft.HCTelescope", "media/textures/Item_HCTelescope.png", nil, nil, nil}
		NecroList.Items.HC4079 = {"Mods", nil, nil, "HC - Telescope in Box", "Hydrocraft.HCTelescopebox", "media/textures/Item_HCTelescopebox.png", nil, nil, nil}
		NecroList.Items.HC4080 = {"Mods", nil, nil, "HC - Telescope Scope", "Hydrocraft.HCTelescopescope", "media/textures/Item_HCTelescopescope.png", nil, nil, nil}
		NecroList.Items.HC4081 = {"Mods", nil, nil, "HC - Telescope Tripod", "Hydrocraft.HCTelescopetripod", "media/textures/Item_HCTelescopetripod.png", nil, nil, nil}
		NecroList.Items.HC4082 = {"Mods", nil, nil, "HC - ValuTech Television", "Hydrocraft.HCTelevision", "appliances_television_01_5_Icon", nil, nil, nil}
		NecroList.Items.HC4083 = {"Mods", nil, nil, "HC - Tench (Fresh Uncooked)", "Hydrocraft.HCTench", "media/textures/Item_HCTench.png", nil, nil, nil}
		NecroList.Items.HC4084 = {"Mods", nil, nil, "HC - Empty Tennis Ball Container", "Hydrocraft.HCTennisballcontainer", "media/textures/Item_HCTennisballcontainer.png", nil, nil, nil}
		NecroList.Items.HC4085 = {"Mods", nil, nil, "HC - Full Tennis Ball Container", "Hydrocraft.HCTennisballcontainerfull", "media/textures/Item_HCTennisballcontainerfull.png", nil, nil, nil}
		NecroList.Items.HC4086 = {"Mods", nil, nil, "HC - Tennis Racket", "Hydrocraft.HCTennisracket", "media/textures/Item_HCTennisracket.png", nil, nil, nil}
		NecroList.Items.HC4087 = {"Mods", nil, nil, "HC - Dome Tent", "Hydrocraft.HCTent2sleepin", "media/textures/Item_HCTent2.png", nil, nil, nil}
		NecroList.Items.HC4088 = {"Mods", nil, nil, "HC - Dome Tent", "Hydrocraft.HCTent3sleepin", "media/textures/Item_HCTent3.png", nil, nil, nil}
		NecroList.Items.HC4089 = {"Mods", nil, nil, "HC - Dome Tent", "Hydrocraft.HCTent4sleepin", "media/textures/Item_HCTent4.png", nil, nil, nil}
		NecroList.Items.HC4090 = {"Mods", nil, nil, "HC - Dome Tent Kit", "Hydrocraft.HCTentkit", "media/textures/Item_HCTentkit.png", nil, nil, nil}
		NecroList.Items.HC4091 = {"Mods", nil, nil, "HC - Dome Tent Kit", "Hydrocraft.HCTentkit2", "media/textures/Item_HCTentkit2.png", nil, nil, nil}
		NecroList.Items.HC4092 = {"Mods", nil, nil, "HC - Dome Tent Kit", "Hydrocraft.HCTentkit3", "media/textures/Item_HCTentkit3.png", nil, nil, nil}
		NecroList.Items.HC4093 = {"Mods", nil, nil, "HC - Dome Tent Kit", "Hydrocraft.HCTentkit4", "media/textures/Item_HCTentkit4.png", nil, nil, nil}
		NecroList.Items.HC4094 = {"Mods", nil, nil, "HC - Dome Tent", "Hydrocraft.HCTentsleepin", "media/textures/Item_HCTent.png", nil, nil, nil}
		NecroList.Items.HC4095 = {"Mods", nil, nil, "HC - Tequila", "Hydrocraft.HCTequila", "media/textures/Item_HCTequila.png", nil, nil, nil}
		NecroList.Items.HC4096 = {"Mods", nil, nil, "HC - Terminal Strip", "Hydrocraft.HCTerminalstrip", "media/textures/Item_HCTerminalstrip.png", nil, nil, nil}
		NecroList.Items.HC4097 = {"Mods", nil, nil, "HC - Termite", "Hydrocraft.HCTermite", "media/textures/Item_HCTermite.png", nil, nil, nil}
		NecroList.Items.HC4098 = {"Mods", nil, nil, "HC - Van de Graaff Generator", "Hydrocraft.HCTeslamachine", "media/textures/Item_HCTeslamachine.png", nil, nil, nil}
		NecroList.Items.HC4099 = {"Mods", nil, nil, "HC - Box of Glass Test Tubes", "Hydrocraft.HCTesttubebox", "media/textures/Item_HCTesttubebox.png", nil, nil, nil}
		NecroList.Items.HC4100 = {"Mods", nil, nil, "HC - Test Tube Brush", "Hydrocraft.HCTesttubebrush", "media/textures/Item_HCTesttubebrush.png", nil, nil, nil}
		NecroList.Items.HC4101 = {"Mods", nil, nil, "HC - Box of Test Tube Brushes", "Hydrocraft.HCTesttubebrushbox", "media/textures/Item_HCTesttubebrushbox.png", nil, nil, nil}
		NecroList.Items.HC4102 = {"Mods", nil, nil, "HC - Testtube Holder", "Hydrocraft.HCTesttubeholder", "media/textures/Item_HCTesttubeholder.png", nil, nil, nil}
		NecroList.Items.HC4103 = {"Mods", nil, nil, "HC - Testtube with Morphine", "Hydrocraft.HCTesttubemorphincork", "media/textures/Item_HCTesttubemorphincork.png", nil, nil, nil}
		NecroList.Items.HC4104 = {"Mods", nil, nil, "HC - Testtube with Morphine", "Hydrocraft.HCTesttubemorphinrubber", "media/textures/Item_HCTesttubemorphinrubber.png", nil, nil, nil}
		NecroList.Items.HC4105 = {"Mods", nil, nil, "HC - Test Tube with Mild Poison", "Hydrocraft.HCTesttubepoisonmild", "media/textures/Item_HCTesttubepoisonmild.png", nil, nil, nil}
		NecroList.Items.HC4106 = {"Mods", nil, nil, "HC - Test Tube with Strong Poison", "Hydrocraft.HCTesttubepoisonstrong", "media/textures/Item_HCTesttubepoisonstrong.png", nil, nil, nil}
		NecroList.Items.HC4107 = {"Mods", nil, nil, "HC - Test Tube Rack", "Hydrocraft.HCTesttuberack", "media/textures/Item_HCTesttuberack.png", nil, nil, nil}
		NecroList.Items.HC4108 = {"Mods", nil, nil, "HC - Test Tube Rack with Glass Test Tubes with Rubber Bungs", "Hydrocraft.HCTesttuberackbungs", "media/textures/Item_HCTesttuberackbungs.png", nil, nil, nil}
		NecroList.Items.HC4109 = {"Mods", nil, nil, "HC - Test Tube Rack with Glass Test Tubes with Corks", "Hydrocraft.HCTesttuberackcorks", "media/textures/Item_HCTesttuberackcorks.png", nil, nil, nil}
		NecroList.Items.HC4110 = {"Mods", nil, nil, "HC - Tetterwort", "Hydrocraft.HCTetterwort", "media/textures/Item_HCTetterwort.png", nil, nil, nil}
		NecroList.Items.HC4111 = {"Mods", nil, nil, "HC - Thermite", "Hydrocraft.HCThermite", "media/textures/Item_HCThermite.png", nil, nil, nil}
		NecroList.Items.HC4112 = {"Mods", nil, nil, "HC - Thermite Bomb MK2 Off", "Hydrocraft.HCThermitebombmk2off", "media/textures/Item_HCThermitebombmk2off.png", nil, nil, nil}
		NecroList.Items.HC4113 = {"Mods", nil, nil, "HC - Thermite Bomb MK3 Off", "Hydrocraft.HCThermitebombmk3off", "media/textures/Item_HCThermitebombmk3off.png", nil, nil, nil}
		NecroList.Items.HC4114 = {"Mods", nil, nil, "HC - Thermocouple", "Hydrocraft.HCThermocouple", "media/textures/Item_HCThermocouple.png", nil, nil, nil}
		NecroList.Items.HC4115 = {"Mods", nil, nil, "HC - Thermometer", "Hydrocraft.HCThermometer", "media/textures/Item_HCThermometer.png", nil, nil, nil}
		NecroList.Items.HC4116 = {"Mods", nil, nil, "HC - Thermos", "Hydrocraft.HCThermos", "media/textures/Item_HCThermos.png", nil, nil, nil}
		NecroList.Items.HC4117 = {"Mods", nil, nil, "HC - Thermos with Water", "Hydrocraft.HCThermosfull", "media/textures/Item_HCThermos.png", nil, nil, nil}
		NecroList.Items.HC4118 = {"Mods", nil, nil, "HC - Thimble", "Hydrocraft.HCThimble", "media/textures/Item_HCThimble.png", nil, nil, nil}
		NecroList.Items.HC4119 = {"Mods", nil, nil, "HC - Thistle", "Hydrocraft.HCThistle", "media/textures/Item_HCThistle.png", nil, nil, nil}
		NecroList.Items.HC4120 = {"Mods", nil, nil, "HC - Dried Thistle", "Hydrocraft.HCThistledry", "media/textures/Item_HCThistledry.png", nil, nil, nil}
		NecroList.Items.HC4121 = {"Mods", nil, nil, "HC - Thistle Tea", "Hydrocraft.HCThistleteaclaymug", "media/textures/Item_HCHotcuppa.png", nil, nil, nil}
		NecroList.Items.HC4122 = {"Mods", nil, nil, "HC - Thistle Tea", "Hydrocraft.HCThistleteamug", "Item_MugFulll", nil, nil, nil}
		NecroList.Items.HC4123 = {"Mods", nil, nil, "HC - Thorium Ore", "Hydrocraft.HCThoriumore", "media/textures/Item_HCThoriumore.png", nil, nil, nil}
		NecroList.Items.HC4124 = {"Mods", nil, nil, "HC - Throwing Rock", "Hydrocraft.HCThrowingrock", "media/textures/Item_HCThrowingrock.png", nil, nil, nil}
		NecroList.Items.HC4125 = {"Mods", nil, nil, "HC - Thumbtack", "Hydrocraft.HCThumbtack", "media/textures/Item_HCThumbtack.png", nil, nil, nil}
		NecroList.Items.HC4126 = {"Mods", nil, nil, "HC - Thyme", "Hydrocraft.HCThyme", "media/textures/Item_HCThyme.png", nil, nil, nil}
		NecroList.Items.HC4127 = {"Mods", nil, nil, "HC - Ticket to Bedford Falls", "Hydrocraft.HCTicketBF", "media/textures/Item_HCCinematicket.png", nil, nil, nil}
		NecroList.Items.HC4128 = {"Mods", nil, nil, "HC - Ticket to Crossroads", "Hydrocraft.HCTicketCR", "media/textures/Item_HCCinematicket.png", nil, nil, nil}
		NecroList.Items.HC4129 = {"Mods", nil, nil, "HC - Ticket to New Denver", "Hydrocraft.HCTicketND", "media/textures/Item_HCCinematicket.png", nil, nil, nil}
		NecroList.Items.HC4130 = {"Mods", nil, nil, "HC - Ticket to Valley Station", "Hydrocraft.HCTicketVS", "media/textures/Item_HCCinematicket.png", nil, nil, nil}
		NecroList.Items.HC4131 = {"Mods", nil, nil, "HC - Tie-Dye Shirt", "Hydrocraft.HCTiedyeshirt", "media/textures/Item_HCTiedyeshirt.png", nil, nil, nil}
		NecroList.Items.HC4132 = {"Mods", nil, nil, "HC - Small Tin Sheet", "Hydrocraft.HCTinboard", "media/textures/Item_HCTinboard.png", nil, nil, nil}
		NecroList.Items.HC4133 = {"Mods", nil, nil, "HC - Tincan", "Hydrocraft.HCTincan", "media/textures/Item_HCTincan.png", nil, nil, nil}
		NecroList.Items.HC4134 = {"Mods", nil, nil, "HC - Tin Can Noise Maker", "Hydrocraft.HCTincanthrowing", "media/textures/Item_HCTincanthrowing.png", nil, nil, nil}
		NecroList.Items.HC4135 = {"Mods", nil, nil, "HC - Tin Can with Water", "Hydrocraft.HCTincanwater", "media/textures/Item_HCTincanwater.png", nil, nil, nil}
		NecroList.Items.HC4136 = {"Mods", nil, nil, "HC - Tin Ingot", "Hydrocraft.HCTiningot", "media/textures/Item_HCTiningot.png", nil, nil, nil}
		NecroList.Items.HC4137 = {"Mods", nil, nil, "HC - Tin Can", "Hydrocraft.HCTinnedsoupempty", "media/textures/Item_HCSoupempty.png", nil, nil, nil}
		NecroList.Items.HC4138 = {"Mods", nil, nil, "HC - Tin Can with Water", "Hydrocraft.HCTinnedSoupWater", "media/textures/Item_HCSoupwater.png", nil, nil, nil}
		NecroList.Items.HC4139 = {"Mods", nil, nil, "HC - Tin Ore", "Hydrocraft.HCTinore", "media/textures/Item_HCTinore.png", nil, nil, nil}
		NecroList.Items.HC4140 = {"Mods", nil, nil, "HC - Tin Powder", "Hydrocraft.HCTinpowder", "media/textures/Item_HCTinpowder.png", nil, nil, nil}
		NecroList.Items.HC4141 = {"Mods", nil, nil, "HC - Tin Rod", "Hydrocraft.HCTinrod", "media/textures/Item_HCTinrod.png", nil, nil, nil}
		NecroList.Items.HC4142 = {"Mods", nil, nil, "HC - Tin Sheet", "Hydrocraft.HCTinsheet", "media/textures/Item_HCTinsheet.png", nil, nil, nil}
		NecroList.Items.HC4143 = {"Mods", nil, nil, "HC - Large Tin Sheet", "Hydrocraft.HCTinsheetlarge", "media/textures/Item_HCTinsheetlarge.png", nil, nil, nil}
		NecroList.Items.HC4144 = {"Mods", nil, nil, "HC - Tire", "Hydrocraft.HCTire", "media/textures/Item_HCTire.png", nil, nil, nil}
		NecroList.Items.HC4145 = {"Mods", nil, nil, "HC - Tire Iron", "Hydrocraft.HCTireiron", "media/textures/Item_HCTireiron.png", nil, nil, nil}
		NecroList.Items.HC4146 = {"Mods", nil, nil, "HC - Box of Tissues", "Hydrocraft.HCTissuebox", "media/textures/Item_HCTissuebox.png", nil, nil, nil}
		NecroList.Items.HC4147 = {"Mods", nil, nil, "HC - Small Titanium Sheet", "Hydrocraft.HCTitaniumboard", "media/textures/Item_HCTitaniumboard.png", nil, nil, nil}
		NecroList.Items.HC4148 = {"Mods", nil, nil, "HC - Titanium Ingot", "Hydrocraft.HCTitaniumingot", "media/textures/Item_HCTitaniumingot.png", nil, nil, nil}
		NecroList.Items.HC4149 = {"Mods", nil, nil, "HC - Titanium Ore", "Hydrocraft.HCTitaniumore", "media/textures/Item_HCTitaniumore.png", nil, nil, nil}
		NecroList.Items.HC4150 = {"Mods", nil, nil, "HC - Titanium Powder", "Hydrocraft.HCTitaniumpowder", "media/textures/Item_HCTitaniumpowder.png", nil, nil, nil}
		NecroList.Items.HC4151 = {"Mods", nil, nil, "HC - Titanium Rod", "Hydrocraft.HCTitaniumrod", "media/textures/Item_HCTitaniumrod.png", nil, nil, nil}
		NecroList.Items.HC4152 = {"Mods", nil, nil, "HC - Titanium Sheet", "Hydrocraft.HCTitaniumsheet", "media/textures/Item_HCTitaniumsheet.png", nil, nil, nil}
		NecroList.Items.HC4153 = {"Mods", nil, nil, "HC - Large Titanium Sheet", "Hydrocraft.HCTitaniumsheetlarge", "media/textures/Item_HCTitaniumsheetlarge.png", nil, nil, nil}
		NecroList.Items.HC4154 = {"Mods", nil, nil, "HC - Toad", "Hydrocraft.HCToad", "media/textures/Item_HCToad.png", nil, nil, nil}
		NecroList.Items.HC4155 = {"Mods", nil, nil, "HC - Toaster", "Hydrocraft.HCToaster", "media/textures/Item_HCToaster.png", nil, nil, nil}
		NecroList.Items.HC4156 = {"Mods", nil, nil, "HC - Tobacco", "Hydrocraft.HCTobacco", "media/textures/Item_HCTobacco.png", nil, nil, nil}
		NecroList.Items.HC4157 = {"Mods", nil, nil, "HC - Dried Tobacco Leaves", "Hydrocraft.HCTobaccoleafdry", "media/textures/Item_HCTobaccoleafdry.png", nil, nil, nil}
		NecroList.Items.HC4158 = {"Mods", nil, nil, "HC - Fresh Tobacco Leaves", "Hydrocraft.HCTobaccoleaffresh", "media/textures/Item_HCTobaccoleaffresh.png", nil, nil, nil}
		NecroList.Items.HC4159 = {"Mods", nil, nil, "HC - Tobacco Seeds", "Hydrocraft.HCTobaccoseeds", "media/textures/Item_HCTobaccoseeds.png", nil, nil, nil}
		NecroList.Items.HC4160 = {"Mods", nil, nil, "HC - Tobacco Seeds Packet", "Hydrocraft.HCTobaccoseedspacket", "media/textures/Item_HCTobaccoseedspacket.png", nil, nil, nil}
		NecroList.Items.HC4161 = {"Mods", nil, nil, "HC - Toilet Brush", "Hydrocraft.HCToiletbrush", "media/textures/Item_HCToiletbrush.png", nil, nil, nil}
		NecroList.Items.HC4162 = {"Mods", nil, nil, "HC - Toilet Cleaner", "Hydrocraft.HCToiletcleaner", "media/textures/Item_HCToiletcleaner.png", nil, nil, nil}
		NecroList.Items.HC4163 = {"Mods", nil, nil, "HC - Toiletpaper Pack", "Hydrocraft.HCToiletpaperpack", "media/textures/Item_HCToiletpaperpack.png", nil, nil, nil}
		NecroList.Items.HC4164 = {"Mods", nil, nil, "HC - Tomatillo (Fresh)", "Hydrocraft.HCTomatillo", "media/textures/Item_HCTomatillo.png", nil, nil, nil}
		NecroList.Items.HC4165 = {"Mods", nil, nil, "HC - Tomatillo Seeds", "Hydrocraft.HCTomatilloseeds", "media/textures/Item_HCTomatilloseeds.png", nil, nil, nil}
		NecroList.Items.HC4166 = {"Mods", nil, nil, "HC - Tomatillo Packet", "Hydrocraft.HCTomatilloseedspacket", "media/textures/Item_HCTomatilloseedspacket.png", nil, nil, nil}
		NecroList.Items.HC4167 = {"Mods", nil, nil, "HC - Cherry Tomato (Fresh)", "Hydrocraft.HCTomatocherry", "media/textures/Item_HCTomatocherry.png", nil, nil, nil}
		NecroList.Items.HC4168 = {"Mods", nil, nil, "HC - Bowl of Tomato Sauce (Fresh Uncooked)", "Hydrocraft.HCTomatosaucebowl", "media/textures/Item_HCTomatosaucebowl.png", nil, nil, nil}
		NecroList.Items.HC4169 = {"Mods", nil, nil, "HC - Pot of Tomato Sauce (Fresh Uncooked)", "Hydrocraft.HCTomatosaucepot", "Item_PotFull", nil, nil, nil}
		NecroList.Items.HC4170 = {"Mods", nil, nil, "HC - Tombstone", "Hydrocraft.HCTombstone", "media/textures/Item_HCTombstone.png", nil, nil, nil}
		NecroList.Items.HC4171 = {"Mods", nil, nil, "HC - Tongue Depressor", "Hydrocraft.HCTonguedepressor", "media/textures/Item_HCTonguedepressor.png", nil, nil, nil}
		NecroList.Items.HC4172 = {"Mods", nil, nil, "HC - Metal Tool Box", "Hydrocraft.HCToolbox", "media/textures/Item_HCToolbox.png", nil, nil, nil}
		NecroList.Items.HC4173 = {"Mods", nil, nil, "HC - Toothbrush Shiv", "Hydrocraft.HCToothbrushshiv", "media/textures/Item_HCToothbrushshiv.png", nil, nil, nil}
		NecroList.Items.HC4174 = {"Mods", nil, nil, "HC - Tooth Cleaner", "Hydrocraft.HCToothcleaner", "media/textures/Item_HCToothcleaner.png", nil, nil, nil}
		NecroList.Items.HC4175 = {"Mods", nil, nil, "HC - Topaz", "Hydrocraft.HCTopaz", "media/textures/Item_HCTopaz.png", nil, nil, nil}
		NecroList.Items.HC4176 = {"Mods", nil, nil, "HC - Cut Topaz", "Hydrocraft.HCTopazcut", "media/textures/Item_HCTopazcut.png", nil, nil, nil}
		NecroList.Items.HC4177 = {"Mods", nil, nil, "HC - Top Hat", "Hydrocraft.HCTophat", "media/textures/Item_HCTophat.png", nil, nil, nil}
		NecroList.Items.HC4178 = {"Mods", nil, nil, "HC - Torch", "Hydrocraft.HCTorch", "media/textures/Item_HCTorch.png", nil, nil, nil}
		NecroList.Items.HC4179 = {"Mods", nil, nil, "HC - Torch", "Hydrocraft.HCTorchlit", "media/textures/Item_HCTorchlit.png", nil, nil, nil}
		NecroList.Items.HC4180 = {"Mods", nil, nil, "HC - Bag of Tortilla Chips", "Hydrocraft.HCTortillachipsbag", "media/textures/Item_HCTortillachipsbag.png", nil, nil, nil}
		NecroList.Items.HC4181 = {"Mods", nil, nil, "HC - Corn Tortilla (Fresh)", "Hydrocraft.HCTortillacorn", "media/textures/Item_HCTortillacorn.png", nil, nil, nil}
		NecroList.Items.HC4182 = {"Mods", nil, nil, "HC - Bag of Corn Tortillas", "Hydrocraft.HCTortillacornbag", "media/textures/Item_HCTortillacornbag.png", nil, nil, nil}
		NecroList.Items.HC4183 = {"Mods", nil, nil, "HC - Uncooked Corn Tortilla (Fresh Uncooked)", "Hydrocraft.HCTortillacornuncooked", "media/textures/Item_HCTortillacorn.png", nil, nil, nil}
		NecroList.Items.HC4184 = {"Mods", nil, nil, "HC - Flour Tortilla (Fresh)", "Hydrocraft.HCTortillaflour", "media/textures/Item_HCTortillaflour.png", nil, nil, nil}
		NecroList.Items.HC4185 = {"Mods", nil, nil, "HC - Bag of Flour Tortillas", "Hydrocraft.HCTortillaflourbag", "media/textures/Item_HCTortillaflourbag.png", nil, nil, nil}
		NecroList.Items.HC4186 = {"Mods", nil, nil, "HC - Uncooked Flour Tortilla (Fresh Uncooked)", "Hydrocraft.HCTortillaflouruncooked", "media/textures/Item_HCTortillaflour.png", nil, nil, nil}
		NecroList.Items.HC4187 = {"Mods", nil, nil, "HC - Action Figure", "Hydrocraft.HCToyactionfigure1", "media/textures/Item_HCToyactionfigure1.png", nil, nil, nil}
		NecroList.Items.HC4188 = {"Mods", nil, nil, "HC - Action Figure", "Hydrocraft.HCToyactionfigure2", "media/textures/Item_HCToyactionfigure2.png", nil, nil, nil}
		NecroList.Items.HC4189 = {"Mods", nil, nil, "HC - Action Figure", "Hydrocraft.HCToyactionfigure3", "media/textures/Item_HCToyactionfigure3.png", nil, nil, nil}
		NecroList.Items.HC4190 = {"Mods", nil, nil, "HC - Action Figure", "Hydrocraft.HCToyactionfigure4", "media/textures/Item_HCToyactionfigure4.png", nil, nil, nil}
		NecroList.Items.HC4191 = {"Mods", nil, nil, "HC - Toy Airplane", "Hydrocraft.HCToyairplane", "media/textures/Item_HCToyairplane.png", nil, nil, nil}
		NecroList.Items.HC4192 = {"Mods", nil, nil, "HC - Toy Army Man", "Hydrocraft.HCToyarmyman", "media/textures/Item_HCToyarmyman.png", nil, nil, nil}
		NecroList.Items.HC4193 = {"Mods", nil, nil, "HC - Toy Block", "Hydrocraft.HCToyblock", "media/textures/Item_HCToyblock.png", nil, nil, nil}
		NecroList.Items.HC4194 = {"Mods", nil, nil, "HC - Toy Brontosaurus", "Hydrocraft.HCToybrontosaurus", "media/textures/Item_HCToybrontosaurus.png", nil, nil, nil}
		NecroList.Items.HC4195 = {"Mods", nil, nil, "HC - Toy Car", "Hydrocraft.HCToycar", "media/textures/Item_HCToycar.png", nil, nil, nil}
		NecroList.Items.HC4196 = {"Mods", nil, nil, "HC - Toy Cat", "Hydrocraft.HCToycat", "media/textures/Item_HCToycat.png", nil, nil, nil}
		NecroList.Items.HC4197 = {"Mods", nil, nil, "HC - Toy Caterpillar", "Hydrocraft.HCToycaterpillar", "media/textures/Item_HCToycaterpillar.png", nil, nil, nil}
		NecroList.Items.HC4198 = {"Mods", nil, nil, "HC - Toy Chest", "Hydrocraft.HCToychest", "media/textures/Item_HCToychest.png", nil, nil, nil}
		NecroList.Items.HC4199 = {"Mods", nil, nil, "HC - Toy Dog", "Hydrocraft.HCToydog", "media/textures/Item_HCToydog.png", nil, nil, nil}
		NecroList.Items.HC4200 = {"Mods", nil, nil, "HC - Doll", "Hydrocraft.HCToydoll", "media/textures/Item_HCToydoll.png", nil, nil, nil}
		NecroList.Items.HC4201 = {"Mods", nil, nil, "HC - Toy Donkey", "Hydrocraft.HCToydonkey", "media/textures/Item_HCToydonkey.png", nil, nil, nil}
		NecroList.Items.HC4202 = {"Mods", nil, nil, "HC - Toy Dragon", "Hydrocraft.HCToydragon", "media/textures/Item_HCToydragon.png", nil, nil, nil}
		NecroList.Items.HC4203 = {"Mods", nil, nil, "HC - Mechanical Drawing Toy", "Hydrocraft.HCToydrawing", "media/textures/Item_HCToydrawing.png", nil, nil, nil}
		NecroList.Items.HC4204 = {"Mods", nil, nil, "HC - Toy Funny Glasses", "Hydrocraft.HCToyglasses", "media/textures/Item_HCToyglasses.png", nil, nil, nil}
		NecroList.Items.HC4205 = {"Mods", nil, nil, "HC - Toy Helicopter", "Hydrocraft.HCToyhelicopter", "media/textures/Item_HCToyhelicopter.png", nil, nil, nil}
		NecroList.Items.HC4206 = {"Mods", nil, nil, "HC - Toy Hippo", "Hydrocraft.HCToyhippo", "media/textures/Item_HCToyhippo.png", nil, nil, nil}
		NecroList.Items.HC4207 = {"Mods", nil, nil, "HC - Toy Horse", "Hydrocraft.HCToyhorse", "media/textures/Item_HCToyhorse.png", nil, nil, nil}
		NecroList.Items.HC4208 = {"Mods", nil, nil, "HC - Toy Jack", "Hydrocraft.HCToyjack", "media/textures/Item_HCToyjack.png", nil, nil, nil}
		NecroList.Items.HC4209 = {"Mods", nil, nil, "HC - Toy Monkey", "Hydrocraft.HCToymonkey", "media/textures/Item_HCToymonkey.png", nil, nil, nil}
		NecroList.Items.HC4210 = {"Mods", nil, nil, "HC - Toy Octopus", "Hydrocraft.HCToyoctopus", "media/textures/Item_HCToyoctopus.png", nil, nil, nil}
		NecroList.Items.HC4211 = {"Mods", nil, nil, "HC - Toy Panda", "Hydrocraft.HCToypanda", "media/textures/Item_HCToypanda.png", nil, nil, nil}
		NecroList.Items.HC4212 = {"Mods", nil, nil, "HC - Toy Pterodactyl", "Hydrocraft.HCToypterodactyl", "media/textures/Item_HCToypterodactyl.png", nil, nil, nil}
		NecroList.Items.HC4213 = {"Mods", nil, nil, "HC - Toy Rabbit", "Hydrocraft.HCToyrabbit", "media/textures/Item_HCToyrabbit.png", nil, nil, nil}
		NecroList.Items.HC4214 = {"Mods", nil, nil, "HC - Toy Rings", "Hydrocraft.HCToyrings", "media/textures/Item_HCToyrings.png", nil, nil, nil}
		NecroList.Items.HC4215 = {"Mods", nil, nil, "HC - Toy Robot", "Hydrocraft.HCToyrobot", "media/textures/Item_HCToyrobot.png", nil, nil, nil}
		NecroList.Items.HC4216 = {"Mods", nil, nil, "HC - Toy Rocketship", "Hydrocraft.HCToyrocketship", "media/textures/Item_HCToyrocketship.png", nil, nil, nil}
		NecroList.Items.HC4217 = {"Mods", nil, nil, "HC - Toy Saber", "Hydrocraft.HCToysaber", "media/textures/Item_HCToysaber.png", nil, nil, nil}
		NecroList.Items.HC4218 = {"Mods", nil, nil, "HC - Toy Shark", "Hydrocraft.HCToyshark", "media/textures/Item_HCToyshark.png", nil, nil, nil}
		NecroList.Items.HC4219 = {"Mods", nil, nil, "HC - Toy Ship", "Hydrocraft.HCToyship", "media/textures/Item_HCToyship.png", nil, nil, nil}
		NecroList.Items.HC4220 = {"Mods", nil, nil, "HC - Toy Stegosaurus", "Hydrocraft.HCToystegosaurus", "media/textures/Item_HCToystegosaurus.png", nil, nil, nil}
		NecroList.Items.HC4221 = {"Mods", nil, nil, "HC - Toy Sterioscope", "Hydrocraft.HCToysterioscope", "media/textures/Item_HCToysterioscope.png", nil, nil, nil}
		NecroList.Items.HC4222 = {"Mods", nil, nil, "HC - Sterioscope Reel", "Hydrocraft.HCToysterioscopereel", "media/textures/Item_HCToysterioscopereel.png", nil, nil, nil}
		NecroList.Items.HC4223 = {"Mods", nil, nil, "HC - Toy Top", "Hydrocraft.HCToytop", "media/textures/Item_HCToytop.png", nil, nil, nil}
		NecroList.Items.HC4224 = {"Mods", nil, nil, "HC - Toy Train", "Hydrocraft.HCToytrain", "media/textures/Item_HCToytrain.png", nil, nil, nil}
		NecroList.Items.HC4225 = {"Mods", nil, nil, "HC - Toy T-Rex", "Hydrocraft.HCToytrex", "media/textures/Item_HCToytrex.png", nil, nil, nil}
		NecroList.Items.HC4226 = {"Mods", nil, nil, "HC - Toy Triceratops", "Hydrocraft.HCToytriceratops", "media/textures/Item_HCToytriceratops.png", nil, nil, nil}
		NecroList.Items.HC4227 = {"Mods", nil, nil, "HC - Toy Unicorn", "Hydrocraft.HCToyunicorn", "media/textures/Item_HCToyunicorn.png", nil, nil, nil}
		NecroList.Items.HC4228 = {"Mods", nil, nil, "HC - Toy Wagon", "Hydrocraft.HCToywagon", "media/textures/Item_HCToywagon.png", nil, nil, nil}
		NecroList.Items.HC4229 = {"Mods", nil, nil, "HC - Tractor", "Hydrocraft.HCTractorL", "media/textures/Item_HCTractorL.png", nil, nil, nil}
		NecroList.Items.HC4230 = {"Mods", nil, nil, "HC - Tractor", "Hydrocraft.HCTractorR", "media/textures/Item_HCTractorR.png", nil, nil, nil}
		NecroList.Items.HC4231 = {"Mods", nil, nil, "HC - Trading Post Cone", "Hydrocraft.HCTradingcone", "media/textures/Item_HCPropcone.png", nil, nil, nil}
		NecroList.Items.HC4232 = {"Mods", nil, nil, "HC - Trading Post", "Hydrocraft.HCTradingpost", "media/textures/Item_HCTradingpost.png", nil, nil, nil}
		NecroList.Items.HC4233 = {"Mods", nil, nil, "HC - Trail Mix", "Hydrocraft.HCTrailmix", "media/textures/Item_HCTrailmix.png", nil, nil, nil}
		NecroList.Items.HC4234 = {"Mods", nil, nil, "HC - Empty Candy Wrapper", "Hydrocraft.HCTrailmixtrash", "media/textures/Item_HCTrailmixtrash.png", nil, nil, nil}
		NecroList.Items.HC4235 = {"Mods", nil, nil, "HC - Transistor", "Hydrocraft.HCTransistor", "media/textures/Item_HCTransistor.png", nil, nil, nil}
		NecroList.Items.HC4236 = {"Mods", nil, nil, "HC - Empty Plastic Bottle", "Hydrocraft.HCTrashbottle", "media/textures/Item_HCTrashbottle.png", nil, nil, nil}
		NecroList.Items.HC4237 = {"Mods", nil, nil, "HC - Large Box With Trash", "Hydrocraft.HCTrashlarge", "media/textures/Item_HCTrashlarge.png", nil, nil, nil}
		NecroList.Items.HC4238 = {"Mods", nil, nil, "HC - Medium Box With Trash", "Hydrocraft.HCTrashmedium", "media/textures/Item_HCTrashmedium.png", nil, nil, nil}
		NecroList.Items.HC4239 = {"Mods", nil, nil, "HC - Small Bag with Trash", "Hydrocraft.HCTrashsmall", "media/textures/Item_HCTrashsmall.png", nil, nil, nil}
		NecroList.Items.HC4240 = {"Mods", nil, nil, "HC - Plastic Tray", "Hydrocraft.HCTray", "media/textures/Item_HCTray.png", nil, nil, nil}
		NecroList.Items.HC4241 = {"Mods", nil, nil, "HC - Metal Tray", "Hydrocraft.HCTray2", "media/textures/Item_HCTray2.png", nil, nil, nil}
		NecroList.Items.HC4242 = {"Mods", nil, nil, "HC - Treadmill", "Hydrocraft.HCTredmill", "media/textures/Item_HCTredmill.png", nil, nil, nil}
		NecroList.Items.HC4243 = {"Mods", nil, nil, "HC - Treadmill with Generator", "Hydrocraft.HCTredmillgenerator", "media/textures/Item_HCTredmillgenerator.png", nil, nil, nil}
		NecroList.Items.HC4244 = {"Mods", nil, nil, "HC - Triangle", "Hydrocraft.HCTriangle", "media/textures/Item_HCTriangle.png", nil, nil, nil}
		NecroList.Items.HC4245 = {"Mods", nil, nil, "HC - Bronze Trident", "Hydrocraft.HCTridentbronze", "media/textures/Item_HCTridentbronze.png", nil, nil, nil}
		NecroList.Items.HC4246 = {"Mods", nil, nil, "HC - Copper Trident", "Hydrocraft.HCTridentcopper", "media/textures/Item_HCTridentcopper.png", nil, nil, nil}
		NecroList.Items.HC4247 = {"Mods", nil, nil, "HC - Iron Trident", "Hydrocraft.HCTridentiron", "media/textures/Item_HCTridentiron.png", nil, nil, nil}
		NecroList.Items.HC4248 = {"Mods", nil, nil, "HC - Steel Trident", "Hydrocraft.HCTridentsteel", "media/textures/Item_HCTridentsteel.png", nil, nil, nil}
		NecroList.Items.HC4249 = {"Mods", nil, nil, "HC - Trip Hammer", "Hydrocraft.HCTriphammer", "media/textures/Item_HCTriphammer.png", nil, nil, nil}
		NecroList.Items.HC4250 = {"Mods", nil, nil, "HC - Bottle of Triple Sec", "Hydrocraft.HCTriplesec", "media/textures/Item_HCTriplesec.png", nil, nil, nil}
		NecroList.Items.HC4251 = {"Mods", nil, nil, "HC - Trombone", "Hydrocraft.HCTrombone", "media/textures/Item_HCTrombone.png", nil, nil, nil}
		NecroList.Items.HC4252 = {"Mods", nil, nil, "HC - Trona", "Hydrocraft.HCTrona", "media/textures/Item_HCTrona.png", nil, nil, nil}
		NecroList.Items.HC4253 = {"Mods", nil, nil, "HC - Trona Powder", "Hydrocraft.HCTronapowder", "media/textures/Item_HCTronapowder.png", nil, nil, nil}
		NecroList.Items.HC4254 = {"Mods", nil, nil, "HC - Wooden Trough", "Hydrocraft.HCTrough", "media/textures/Item_HCTrough.png", nil, nil, nil}
		NecroList.Items.HC4255 = {"Mods", nil, nil, "HC - Wooden Trough with Water", "Hydrocraft.HCTroughfull", "media/textures/Item_HCTroughfull.png", nil, nil, nil}
		NecroList.Items.HC4256 = {"Mods", nil, nil, "HC - Wooden Trough with Vegetable Oil", "Hydrocraft.HCTroughvegoil", "media/textures/Item_HCTroughvegoil.png", nil, nil, nil}
		NecroList.Items.HC4257 = {"Mods", nil, nil, "HC - Trumpet", "Hydrocraft.HCTrumpet", "media/textures/Item_HCTrumpet.png", nil, nil, nil}
		NecroList.Items.HC4258 = {"Mods", nil, nil, "HC - Trunk", "Hydrocraft.HCTrunk", "media/textures/Item_HCTrunk.png", nil, nil, nil}
		NecroList.Items.HC4259 = {"Mods", nil, nil, "HC - T-Shirt", "Hydrocraft.HCTshirt", "media/textures/Item_HCTshirt.png", nil, nil, nil}
		NecroList.Items.HC4260 = {"Mods", nil, nil, "HC - Tulip", "Hydrocraft.HCTulip", "media/textures/Item_HCTulip.png", nil, nil, nil}
		NecroList.Items.HC4261 = {"Mods", nil, nil, "HC - Tuna (Fresh Uncooked)", "Hydrocraft.HCTuna", "media/textures/Item_HCTuna.png", nil, nil, nil}
		NecroList.Items.HC4262 = {"Mods", nil, nil, "HC - Tin Can", "Hydrocraft.HCTunatinempty", "media/textures/Item_HCTunaempty.png", nil, nil, nil}
		NecroList.Items.HC4263 = {"Mods", nil, nil, "HC - Tin Can with Water", "Hydrocraft.HCTunatinwater", "media/textures/Item_HCTunawater.png", nil, nil, nil}
		NecroList.Items.HC4264 = {"Mods", nil, nil, "HC - Tungsten Ingot", "Hydrocraft.HCTungsteningot", "media/textures/Item_HCTungsteningot.png", nil, nil, nil}
		NecroList.Items.HC4265 = {"Mods", nil, nil, "HC - Tungsten Ore", "Hydrocraft.HCTungstenore", "media/textures/Item_HCTungstenore.png", nil, nil, nil}
		NecroList.Items.HC4266 = {"Mods", nil, nil, "HC - Tungsten Powder", "Hydrocraft.HCTungstenpowder", "media/textures/Item_HCTungstenpowder.png", nil, nil, nil}
		NecroList.Items.HC4267 = {"Mods", nil, nil, "HC - Turduckhen (Fresh Uncooked)", "Hydrocraft.HCTurduckhen", "media/textures/Item_HCTurduckhen.png", nil, nil, nil}
		NecroList.Items.HC4268 = {"Mods", nil, nil, "HC - Dead Turkey (Fresh)", "Hydrocraft.HCTurkeydead", "media/textures/Item_HCTurkeydead.png", nil, nil, nil}
		NecroList.Items.HC4269 = {"Mods", nil, nil, "HC - Turkey Egg", "Hydrocraft.HCTurkeyegg", "media/textures/Item_HCTurkeyegg.png", nil, nil, nil}
		NecroList.Items.HC4270 = {"Mods", nil, nil, "HC - Turkey (Female)", "Hydrocraft.HCTurkeyfemale", "media/textures/Item_HCTurkeyfemale.png", nil, nil, nil}
		NecroList.Items.HC4271 = {"Mods", nil, nil, "HC - Turkey (Male)", "Hydrocraft.HCTurkeymale", "media/textures/Item_HCTurkeymale.png", nil, nil, nil}
		NecroList.Items.HC4272 = {"Mods", nil, nil, "HC - Turkey Meat (Fresh Uncooked)", "Hydrocraft.HCTurkeymeat", "media/textures/Item_HCTurkeymeat.png", nil, nil, nil}
		NecroList.Items.HC4273 = {"Mods", nil, nil, "HC - Turmeric", "Hydrocraft.HCTurmeric", "media/textures/Item_HCTurmeric.png", nil, nil, nil}
		NecroList.Items.HC4274 = {"Mods", nil, nil, "HC - Turpentine", "Hydrocraft.HCTurpentine", "media/textures/Item_HCTurpentine.png", nil, nil, nil}
		NecroList.Items.HC4275 = {"Mods", nil, nil, "HC - Turquoise", "Hydrocraft.HCTurquoise", "media/textures/Item_HCTurquoise.png", nil, nil, nil}
		NecroList.Items.HC4276 = {"Mods", nil, nil, "HC - Cut Turquoise", "Hydrocraft.HCTurquoisecut", "media/textures/Item_HCTurquoisecut.png", nil, nil, nil}
		NecroList.Items.HC4277 = {"Mods", nil, nil, "HC - TV Dinner Package", "Hydrocraft.HCTVDinnerpackage", "media/textures/Item_HCTVDinnerpackage.png", nil, nil, nil}
		NecroList.Items.HC4278 = {"Mods", nil, nil, "HC - Bundle of Twigs", "Hydrocraft.HCTwigbundle", "media/textures/Item_HCTwigbundle.png", nil, nil, nil}
		NecroList.Items.HC4279 = {"Mods", nil, nil, "HC - Typewriter", "Hydrocraft.HCTypewriter", "media/textures/Item_HCTypewriter.png", nil, nil, nil}
		NecroList.Items.HC4280 = {"Mods", nil, nil, "HC - Package of UHT Milk (Fresh)", "Hydrocraft.HCUHTmilk", "media/textures/Item_HCUHTmilk.png", nil, nil, nil}
		NecroList.Items.HC4281 = {"Mods", nil, nil, "HC - Empty UHT Milkpackage", "Hydrocraft.HCUHTmilkempty", "media/textures/Item_HCUHTmilkempty.png", nil, nil, nil}
		NecroList.Items.HC4282 = {"Mods", nil, nil, "HC - Ukulele", "Hydrocraft.HCUkulele", "media/textures/Item_HCUkulele.png", nil, nil, nil}
		NecroList.Items.HC4283 = {"Mods", nil, nil, "HC - Ushanka", "Hydrocraft.HCUshanka", "media/textures/Item_HCUshanka.png", nil, nil, nil}
		NecroList.Items.HC4284 = {"Mods", nil, nil, "HC - Utility Clamp", "Hydrocraft.HCUtilityclamp", "media/textures/Item_HCUtilityclamp.png", nil, nil, nil}
		NecroList.Items.HC4285 = {"Mods", nil, nil, "HC - Vacuum Cleaner", "Hydrocraft.HCVac", "media/textures/Item_HCVac.png", nil, nil, nil}
		NecroList.Items.HC4286 = {"Mods", nil, nil, "HC - Vacuum Cleaner", "Hydrocraft.HCVacuum", "media/textures/Item_HCVacuum.png", nil, nil, nil}
		NecroList.Items.HC4287 = {"Mods", nil, nil, "HC - Vacuum Tube", "Hydrocraft.HCVacuumtube", "media/textures/Item_HCVacuumtube.png", nil, nil, nil}
		NecroList.Items.HC4288 = {"Mods", nil, nil, "HC - Valerian", "Hydrocraft.HCValerian", "media/textures/Item_HCValerian.png", nil, nil, nil}
		NecroList.Items.HC4289 = {"Mods", nil, nil, "HC - Tray With Dry Valerian", "Hydrocraft.HCValeriandry", "media/textures/Item_HCValeriantray.png", nil, nil, nil}
		NecroList.Items.HC4290 = {"Mods", nil, nil, "HC - Tray With Valerian", "Hydrocraft.HCValeriantray", "media/textures/Item_HCValeriantray.png", nil, nil, nil}
		NecroList.Items.HC4291 = {"Mods", nil, nil, "HC - Valve", "Hydrocraft.HCValve", "media/textures/Item_HCValve.png", nil, nil, nil}
		NecroList.Items.HC4292 = {"Mods", nil, nil, "HC - Wooden Vat", "Hydrocraft.HCVat", "media/textures/Item_HCVat.png", nil, nil, nil}
		NecroList.Items.HC4293 = {"Mods", nil, nil, "HC - Cheese Vat", "Hydrocraft.HCVatcheese", "media/textures/Item_HCVatcheese.png", nil, nil, nil}
		NecroList.Items.HC4294 = {"Mods", nil, nil, "HC - Wooden Vat with Water", "Hydrocraft.HCVatwater", "media/textures/Item_HCVatwater.png", nil, nil, nil}
		NecroList.Items.HC4295 = {"Mods", nil, nil, "HC - Bauxite Vein", "Hydrocraft.HCVeinbauxite", "media/textures/Item_HCVein.png", nil, nil, nil}
		NecroList.Items.HC4296 = {"Mods", nil, nil, "HC - Chromite Vein", "Hydrocraft.HCVeinchromite", "media/textures/Item_HCVein.png", nil, nil, nil}
		NecroList.Items.HC4297 = {"Mods", nil, nil, "HC - Copper Vein", "Hydrocraft.HCVeincopper", "media/textures/Item_HCVein.png", nil, nil, nil}
		NecroList.Items.HC4298 = {"Mods", nil, nil, "HC - Gold Vein", "Hydrocraft.HCVeingold", "media/textures/Item_HCVein.png", nil, nil, nil}
		NecroList.Items.HC4299 = {"Mods", nil, nil, "HC - Iron Vein", "Hydrocraft.HCVeiniron", "media/textures/Item_HCVein.png", nil, nil, nil}
		NecroList.Items.HC4300 = {"Mods", nil, nil, "HC - Lead Vein", "Hydrocraft.HCVeinlead", "media/textures/Item_HCVein.png", nil, nil, nil}
		NecroList.Items.HC4301 = {"Mods", nil, nil, "HC - Magnetite Vein", "Hydrocraft.HCVeinmagnetite", "media/textures/Item_HCVein.png", nil, nil, nil}
		NecroList.Items.HC4302 = {"Mods", nil, nil, "HC - Pentlandite Vein", "Hydrocraft.HCVeinnickel", "media/textures/Item_HCVein.png", nil, nil, nil}
		NecroList.Items.HC4303 = {"Mods", nil, nil, "HC - Platinum Vein", "Hydrocraft.HCVeinplatinum", "media/textures/Item_HCVein.png", nil, nil, nil}
		NecroList.Items.HC4304 = {"Mods", nil, nil, "HC - Silver Vein", "Hydrocraft.HCVeinsilver", "media/textures/Item_HCVein.png", nil, nil, nil}
		NecroList.Items.HC4305 = {"Mods", nil, nil, "HC - Thorium Vein", "Hydrocraft.HCVeinthorium", "media/textures/Item_HCVein.png", nil, nil, nil}
		NecroList.Items.HC4306 = {"Mods", nil, nil, "HC - Tin Vein", "Hydrocraft.HCVeintin", "media/textures/Item_HCVein.png", nil, nil, nil}
		NecroList.Items.HC4307 = {"Mods", nil, nil, "HC - Titanium Vein", "Hydrocraft.HCVeintitanium", "media/textures/Item_HCVein.png", nil, nil, nil}
		NecroList.Items.HC4308 = {"Mods", nil, nil, "HC - Uranium Vein", "Hydrocraft.HCVeinuranium", "media/textures/Item_HCVein.png", nil, nil, nil}
		NecroList.Items.HC4309 = {"Mods", nil, nil, "HC - Sphalerite Vein", "Hydrocraft.HCVeinzinc", "media/textures/Item_HCVein.png", nil, nil, nil}
		NecroList.Items.HC4310 = {"Mods", nil, nil, "HC - Vending Stand", "Hydrocraft.HCVendingstand", "media/textures/Item_HCVendingstand.png", nil, nil, nil}
		NecroList.Items.HC4311 = {"Mods", nil, nil, "HC - Vending Stand", "Hydrocraft.HCVendingstand2", "media/textures/Item_HCVendingstand2.png", nil, nil, nil}
		NecroList.Items.HC4312 = {"Mods", nil, nil, "HC - Venison (Fresh Uncooked)", "Hydrocraft.HCVenison", "media/textures/Item_HCVenison.png", nil, nil, nil}
		NecroList.Items.HC4313 = {"Mods", nil, nil, "HC - Venus Flytrap", "Hydrocraft.HCVenusflytrap", "media/textures/Item_HCVenusflytrap.png", nil, nil, nil}
		NecroList.Items.HC4314 = {"Mods", nil, nil, "HC - Bottle of Vermouth", "Hydrocraft.HCVermouth", "media/textures/Item_HCVermouth.png", nil, nil, nil}
		NecroList.Items.HC4315 = {"Mods", nil, nil, "HC - VHS Tape", "Hydrocraft.HCVHStape1", "media/textures/Item_HCVHStape1.png", nil, nil, nil}
		NecroList.Items.HC4316 = {"Mods", nil, nil, "HC - VHS Tape", "Hydrocraft.HCVHStape2", "media/textures/Item_HCVHStape2.png", nil, nil, nil}
		NecroList.Items.HC4317 = {"Mods", nil, nil, "HC - VHS Tape", "Hydrocraft.HCVHStape3", "media/textures/Item_HCVHStape3.png", nil, nil, nil}
		NecroList.Items.HC4318 = {"Mods", nil, nil, "HC - VHS Tape", "Hydrocraft.HCVHStape4", "media/textures/Item_HCVHStape4.png", nil, nil, nil}
		NecroList.Items.HC4319 = {"Mods", nil, nil, "HC - VHS Tape", "Hydrocraft.HCVHStape5", "media/textures/Item_HCVHStape5.png", nil, nil, nil}
		NecroList.Items.HC4320 = {"Mods", nil, nil, "HC - Empty Vinegar Bottle", "Hydrocraft.HCVinegarempty", "media/textures/Item_HCVinegarempty.png", nil, nil, nil}
		NecroList.Items.HC4321 = {"Mods", nil, nil, "HC - Vinyl Record", "Hydrocraft.HCVinylrecord1", "media/textures/Item_HCVinylrecord1.png", nil, nil, nil}
		NecroList.Items.HC4322 = {"Mods", nil, nil, "HC - Vinyl Record", "Hydrocraft.HCVinylrecord2", "media/textures/Item_HCVinylrecord2.png", nil, nil, nil}
		NecroList.Items.HC4323 = {"Mods", nil, nil, "HC - Vinyl Record", "Hydrocraft.HCVinylrecord3", "media/textures/Item_HCVinylrecord3.png", nil, nil, nil}
		NecroList.Items.HC4324 = {"Mods", nil, nil, "HC - Vinyl Record", "Hydrocraft.HCVinylrecord4", "media/textures/Item_HCVinylrecord4.png", nil, nil, nil}
		NecroList.Items.HC4325 = {"Mods", nil, nil, "HC - Vinyl Record", "Hydrocraft.HCVinylrecord5", "media/textures/Item_HCVinylrecord5.png", nil, nil, nil}
		NecroList.Items.HC4326 = {"Mods", nil, nil, "HC - Violin", "Hydrocraft.HCViolin", "media/textures/Item_HCViolin.png", nil, nil, nil}
		NecroList.Items.HC4327 = {"Mods", nil, nil, "HC - Vodka", "Hydrocraft.HCVodka", "Item_Whiskey_Water_Full", nil, nil, nil}
		NecroList.Items.HC4328 = {"Mods", nil, nil, "HC - Vodka", "Hydrocraft.HCVodka1", "media/textures/Item_HCVodka1.png", nil, nil, nil}
		NecroList.Items.HC4329 = {"Mods", nil, nil, "HC - Vodka", "Hydrocraft.HCVodka2", "media/textures/Item_HCVodka2.png", nil, nil, nil}
		NecroList.Items.HC4330 = {"Mods", nil, nil, "HC - Volleyball", "Hydrocraft.HCVolleyball", "media/textures/Item_HCVolleyball.png", nil, nil, nil}
		NecroList.Items.HC4331 = {"Mods", nil, nil, "HC - Wagon", "Hydrocraft.HCWagon", "media/textures/Item_HCWagon.png", nil, nil, nil}
		NecroList.Items.HC4332 = {"Mods", nil, nil, "HC - Covered Wagon", "Hydrocraft.HCWagoncovered", "media/textures/Item_HCWagoncovered.png", nil, nil, nil}
		NecroList.Items.HC4333 = {"Mods", nil, nil, "HC - Covered Wagon with Horses", "Hydrocraft.HCWagoncoveredhorsefemale", "media/textures/Item_HCWagoncoveredhorsefemale.png", nil, nil, nil}
		NecroList.Items.HC4334 = {"Mods", nil, nil, "HC - Covered Wagon with Horses", "Hydrocraft.HCWagoncoveredhorsemale", "media/textures/Item_HCWagoncoveredhorsemale.png", nil, nil, nil}
		NecroList.Items.HC4335 = {"Mods", nil, nil, "HC - Covered Wagon with Oxen", "Hydrocraft.HCWagoncoveredoxen", "media/textures/Item_HCWagoncoveredoxen.png", nil, nil, nil}
		NecroList.Items.HC4336 = {"Mods", nil, nil, "HC - Wagon with Horses", "Hydrocraft.HCWagonhorsefemale", "media/textures/Item_HCWagonhorsefemale.png", nil, nil, nil}
		NecroList.Items.HC4337 = {"Mods", nil, nil, "HC - Wagon with Horses", "Hydrocraft.HCWagonhorsemale", "media/textures/Item_HCWagonhorsemale.png", nil, nil, nil}
		NecroList.Items.HC4338 = {"Mods", nil, nil, "HC - Wagon with Oxen", "Hydrocraft.HCWagonoxen", "media/textures/Item_HCWagonoxen.png", nil, nil, nil}
		NecroList.Items.HC4339 = {"Mods", nil, nil, "HC - Wagon Wheel", "Hydrocraft.HCWagonwheel", "media/textures/Item_HCWagonwheel.png", nil, nil, nil}
		NecroList.Items.HC4340 = {"Mods", nil, nil, "HC - Wallet", "Hydrocraft.HCWallet", "Item_Wallet_01", nil, nil, nil}
		NecroList.Items.HC4341 = {"Mods", nil, nil, "HC - Wallet", "Hydrocraft.HCWallet2", "Item_Wallet_02", nil, nil, nil}
		NecroList.Items.HC4342 = {"Mods", nil, nil, "HC - Wallet", "Hydrocraft.HCWallet3", "Item_Wallet_03", nil, nil, nil}
		NecroList.Items.HC4343 = {"Mods", nil, nil, "HC - Wallet", "Hydrocraft.HCWallet4", "Item_Wallet_04", nil, nil, nil}
		NecroList.Items.HC4344 = {"Mods", nil, nil, "HC - War Dog Armor", "Hydrocraft.HCWardogarmor", "media/textures/Item_HCWardogarmor.png", nil, nil, nil}
		NecroList.Items.HC4345 = {"Mods", nil, nil, "HC - Wardrobe", "Hydrocraft.HCWardrobe", "media/textures/Item_HCWardrobe.png", nil, nil, nil}
		NecroList.Items.HC4346 = {"Mods", nil, nil, "HC - Bronze War Hammer", "Hydrocraft.HCWarhammerbronze", "media/textures/Item_HCWarhammerbronze.png", nil, nil, nil}
		NecroList.Items.HC4347 = {"Mods", nil, nil, "HC - Copper War Hammer", "Hydrocraft.HCWarhammercopper", "media/textures/Item_HCWarhammercopper.png", nil, nil, nil}
		NecroList.Items.HC4348 = {"Mods", nil, nil, "HC - Iron War Hammer", "Hydrocraft.HCWarhammeriron", "media/textures/Item_HCWarhammeriron.png", nil, nil, nil}
		NecroList.Items.HC4349 = {"Mods", nil, nil, "HC - Steel War Hammer", "Hydrocraft.HCWarhammersteel", "media/textures/Item_HCWarhammersteel.png", nil, nil, nil}
		NecroList.Items.HC4350 = {"Mods", nil, nil, "HC - Wasabi", "Hydrocraft.HCWasabi", "media/textures/Item_HCWasabi.png", nil, nil, nil}
		NecroList.Items.HC4351 = {"Mods", nil, nil, "HC - Washboard", "Hydrocraft.HCWashboard", "media/textures/Item_HCWashboard.png", nil, nil, nil}
		NecroList.Items.HC4352 = {"Mods", nil, nil, "HC - Wash Bottle", "Hydrocraft.HCWashbottle", "media/textures/Item_HCWashbottle.png", nil, nil, nil}
		NecroList.Items.HC4353 = {"Mods", nil, nil, "HC - Wash Bottle with Water", "Hydrocraft.HCWashbottlefull", "media/textures/Item_HCWashbottlefull.png", nil, nil, nil}
		NecroList.Items.HC4354 = {"Mods", nil, nil, "HC - Washcloth", "Hydrocraft.HCWashcloth", "media/textures/Item_HCWashcloth.png", nil, nil, nil}
		NecroList.Items.HC4355 = {"Mods", nil, nil, "HC - Wet Washcloth", "Hydrocraft.HCWashclothwet", "media/textures/Item_HCWashclothwet.png", nil, nil, nil}
		NecroList.Items.HC4356 = {"Mods", nil, nil, "HC - Modern Washing Machine", "Hydrocraft.HCWashingmachine", "appliances_laundry_01_5_Icon", nil, nil, nil}
		NecroList.Items.HC4357 = {"Mods", nil, nil, "HC - Washingmachine Pump", "Hydrocraft.HCWashingmachinepump", "media/textures/Item_HCWashingmachinepump.png", nil, nil, nil}
		NecroList.Items.HC4358 = {"Mods", nil, nil, "HC - Wooden Washtub", "Hydrocraft.HCWashtub", "media/textures/Item_HCWashtub.png", nil, nil, nil}
		NecroList.Items.HC4359 = {"Mods", nil, nil, "HC - Wooden Washtub with Water", "Hydrocraft.HCWashtubfull", "media/textures/Item_HCWashtubfull.png", nil, nil, nil}
		NecroList.Items.HC4360 = {"Mods", nil, nil, "HC - Wooden Washtub with Methoxide", "Hydrocraft.HCWashtubmethoxide", "media/textures/Item_HCWashtubmethoxide.png", nil, nil, nil}
		NecroList.Items.HC4361 = {"Mods", nil, nil, "HC - Wooden Washtub with Raw Biodiesel", "Hydrocraft.HCWashtubrawbiodiesel", "media/textures/Item_HCWashtubrawbiodiesel.png", nil, nil, nil}
		NecroList.Items.HC4362 = {"Mods", nil, nil, "HC - Wooden Washtub with Unwashed Biodiesel", "Hydrocraft.HCWashtubunwashedbiodiesel", "media/textures/Item_HCWashtubunwashedbiodiesel.png", nil, nil, nil}
		NecroList.Items.HC4363 = {"Mods", nil, nil, "HC - Wooden Washtub with Washed Biodiesel", "Hydrocraft.HCWashtubwashedbiodiesel", "media/textures/Item_HCWashtubwashedbiodiesel.png", nil, nil, nil}
		NecroList.Items.HC4364 = {"Mods", nil, nil, "HC - Water Balloon", "Hydrocraft.HCWaterballoon", "media/textures/Item_HCWaterballoon.png", nil, nil, nil}
		NecroList.Items.HC4365 = {"Mods", nil, nil, "HC - Apple Juice", "Hydrocraft.HCWaterbottleapplejuice", "media/textures/Item_HCWaterbottleapplejuice.png", nil, nil, nil}
		NecroList.Items.HC4366 = {"Mods", nil, nil, "HC - Blackberry Juice", "Hydrocraft.HCWaterbottleblackberryjuice", "media/textures/Item_HCWaterbottleblackberryjuice.png", nil, nil, nil}
		NecroList.Items.HC4367 = {"Mods", nil, nil, "HC - Blueberry Juice", "Hydrocraft.HCWaterbottleblueberryjuice", "media/textures/Item_HCWaterbottleblueberryjuice.png", nil, nil, nil}
		NecroList.Items.HC4368 = {"Mods", nil, nil, "HC - Carrot Juice", "Hydrocraft.HCWaterbottlecarrotjuice", "media/textures/Item_HCWaterbottlecarrotjuice.png", nil, nil, nil}
		NecroList.Items.HC4369 = {"Mods", nil, nil, "HC - Cherry Juice", "Hydrocraft.HCWaterbottlecherryjuice", "media/textures/Item_HCWaterbottlecherryjuice.png", nil, nil, nil}
		NecroList.Items.HC4370 = {"Mods", nil, nil, "HC - Clean Plastic Bottle", "Hydrocraft.HCWaterbottleclean", "media/textures/Item_HCWaterbottleclean.png", nil, nil, nil}
		NecroList.Items.HC4371 = {"Mods", nil, nil, "HC - Cut Off Plastic Bottle", "Hydrocraft.HCWaterbottlecutoff", "media/textures/Item_HCWaterbottlecutoff.png", nil, nil, nil}
		NecroList.Items.HC4372 = {"Mods", nil, nil, "HC - Grape Juice", "Hydrocraft.HCWaterbottlegrapejuice", "media/textures/Item_HCWaterbottlegrapejuice.png", nil, nil, nil}
		NecroList.Items.HC4373 = {"Mods", nil, nil, "HC - Lemon Juice", "Hydrocraft.HCWaterbottlelemonjuice", "media/textures/Item_HCWaterbottlelemonjuice.png", nil, nil, nil}
		NecroList.Items.HC4374 = {"Mods", nil, nil, "HC - Lime Juice", "Hydrocraft.HCWaterbottlelimejuice", "media/textures/Item_HCWaterbottlelimejuice.png", nil, nil, nil}
		NecroList.Items.HC4375 = {"Mods", nil, nil, "HC - Bottle of Napalm", "Hydrocraft.HCWaterbottlenapalm", "media/textures/Item_HCWaterbottlenapalm.png", nil, nil, nil}
		NecroList.Items.HC4376 = {"Mods", nil, nil, "HC - Orange Juice", "Hydrocraft.HCWaterbottleorangejuice", "media/textures/Item_HCWaterbottleorangejuice.png", nil, nil, nil}
		NecroList.Items.HC4377 = {"Mods", nil, nil, "HC - Pineapple Juice", "Hydrocraft.HCWaterbottlepineapplejuice", "media/textures/Item_HCWaterbottlepineapplejuice.png", nil, nil, nil}
		NecroList.Items.HC4378 = {"Mods", nil, nil, "HC - Conical Flask With Starter Fluid and Water", "Hydrocraft.HCWaterbottlestarterfluid", "media/textures/Item_HCWaterbottlestarterfluid.png", nil, nil, nil}
		NecroList.Items.HC4379 = {"Mods", nil, nil, "HC - Waterflask With Starter Fluid", "Hydrocraft.HCWaterbottlestarterfluidmixed", "media/textures/Item_HCWaterbottlestarterfluid.png", nil, nil, nil}
		NecroList.Items.HC4380 = {"Mods", nil, nil, "HC - Strawberry Juice", "Hydrocraft.HCWaterbottlestrawberryjuice", "media/textures/Item_HCWaterbottlestrawberryjuice.png", nil, nil, nil}
		NecroList.Items.HC4381 = {"Mods", nil, nil, "HC - Tomato Juice", "Hydrocraft.HCWaterbottletomatojuice", "media/textures/Item_HCWaterbottletomatojuice.png", nil, nil, nil}
		NecroList.Items.HC4382 = {"Mods", nil, nil, "HC - Watermelon Juice", "Hydrocraft.HCWaterbottlewatermelonjuice", "media/textures/Item_HCWaterbottlewatermelonjuice.png", nil, nil, nil}
		NecroList.Items.HC4383 = {"Mods", nil, nil, "HC - Wild Berry Juice", "Hydrocraft.HCWaterbottlewildberryjuice", "media/textures/Item_HCWaterbottlewildberryjuice.png", nil, nil, nil}
		NecroList.Items.HC4384 = {"Mods", nil, nil, "HC - Waterflask", "Hydrocraft.HCWaterflask", "media/textures/Item_HCWaterflask.png", nil, nil, nil}
		NecroList.Items.HC4385 = {"Mods", nil, nil, "HC - Full Waterflask", "Hydrocraft.HCWaterflaskfull", "media/textures/Item_HCWaterflask.png", nil, nil, nil}
		NecroList.Items.HC4386 = {"Mods", nil, nil, "HC - Water Heater", "Hydrocraft.HCWaterheater", "media/textures/Item_HCWaterheater.png", nil, nil, nil}
		NecroList.Items.HC4387 = {"Mods", nil, nil, "HC - Water Lily Flower", "Hydrocraft.HCWaterlilyflower", "media/textures/Item_HCWaterlilyflower.png", nil, nil, nil}
		NecroList.Items.HC4388 = {"Mods", nil, nil, "HC - Water Lily Leaf", "Hydrocraft.HCWaterlilyleaf", "media/textures/Item_HCWaterlilyleaf.png", nil, nil, nil}
		NecroList.Items.HC4389 = {"Mods", nil, nil, "HC - Watermelon Seeds", "Hydrocraft.HCWatermelonseeds", "media/textures/Item_HCWatermelonseeds.png", nil, nil, nil}
		NecroList.Items.HC4390 = {"Mods", nil, nil, "HC - Watermelon Seeds Packet", "Hydrocraft.HCWatermelonseedspacket", "media/textures/Item_HCWatermelonseedspacket.png", nil, nil, nil}
		NecroList.Items.HC4391 = {"Mods", nil, nil, "HC - Water Pump", "Hydrocraft.HCWaterpump", "media/textures/Item_HCWaterpump.png", nil, nil, nil}
		NecroList.Items.HC4392 = {"Mods", nil, nil, "HC - Water Pump", "Hydrocraft.HCWaterpump2", "media/textures/Item_HCWaterpump.png", nil, nil, nil}
		NecroList.Items.HC4393 = {"Mods", nil, nil, "HC - Water Tower", "Hydrocraft.HCWatertower", "media/textures/Item_HCWatertower.png", nil, nil, nil}
		NecroList.Items.HC4394 = {"Mods", nil, nil, "HC - Double Water Tower", "Hydrocraft.HCWatertower2", "media/textures/Item_HCWatertower2.png", nil, nil, nil}
		NecroList.Items.HC4395 = {"Mods", nil, nil, "HC - Water Tower with Water", "Hydrocraft.HCWatertowerfull", "media/textures/Item_HCWatertower.png", nil, nil, nil}
		NecroList.Items.HC4396 = {"Mods", nil, nil, "HC - Double Water Tower with Water", "Hydrocraft.HCWatertowerfull2", "media/textures/Item_HCWatertower2.png", nil, nil, nil}
		NecroList.Items.HC4397 = {"Mods", nil, nil, "HC - Wax Paper", "Hydrocraft.HCWaxpaper", "media/textures/Item_HCWaxpaper.png", nil, nil, nil}
		NecroList.Items.HC4398 = {"Mods", nil, nil, "HC - Recyled Wax", "Hydrocraft.HCWaxrecycled", "media/textures/Item_HCWaxrecycled.png", nil, nil, nil}
		NecroList.Items.HC4399 = {"Mods", nil, nil, "HC - Weed Wacker", "Hydrocraft.HCWeedwacker", "media/textures/Item_HCWeedwacker.png", nil, nil, nil}
		NecroList.Items.HC4400 = {"Mods", nil, nil, "HC - Weight Bench", "Hydrocraft.HCWeights", "media/textures/Item_HCWeights.png", nil, nil, nil}
		NecroList.Items.HC4401 = {"Mods", nil, nil, "HC - Welding Hose", "Hydrocraft.HCWeldinghose", "media/textures/Item_HCWeldinghose.png", nil, nil, nil}
		NecroList.Items.HC4402 = {"Mods", nil, nil, "HC - Welding Torch and Gas Tank", "Hydrocraft.HCWeldingset", "media/textures/Item_HCWeldingset.png", nil, nil, nil}
		NecroList.Items.HC4403 = {"Mods", nil, nil, "HC - Welding Torch and Empty Gas Tank", "Hydrocraft.HCWeldingsetempty", "media/textures/Item_HCWeldingsetempty.png", nil, nil, nil}
		NecroList.Items.HC4404 = {"Mods", nil, nil, "HC - Welding Gas Tank", "Hydrocraft.HCWeldingtank", "media/textures/Item_HCWeldingtank.png", nil, nil, nil}
		NecroList.Items.HC4405 = {"Mods", nil, nil, "HC - Empty Welding Gas Tank", "Hydrocraft.HCWeldingtankempty", "media/textures/Item_HCWeldingtank.png", nil, nil, nil}
		NecroList.Items.HC4406 = {"Mods", nil, nil, "HC - Empty Well", "Hydrocraft.HCWell", "media/textures/Item_HCWell.png", nil, nil, nil}
		NecroList.Items.HC4407 = {"Mods", nil, nil, "HC - Well", "Hydrocraft.HCWellfull", "media/textures/Item_HCWell.png", nil, nil, nil}
		NecroList.Items.HC4408 = {"Mods", nil, nil, "HC - Wheelbarrow", "Hydrocraft.HCWheelbarrow", "media/textures/Item_HCWheelbarrow.png", nil, nil, nil}
		NecroList.Items.HC4409 = {"Mods", nil, nil, "HC - Wheelchair", "Hydrocraft.HCWheelchair", "media/textures/Item_HCWheelchair.png", nil, nil, nil}
		NecroList.Items.HC4410 = {"Mods", nil, nil, "HC - Whisk", "Hydrocraft.HCWhisk", "media/textures/Item_HCWhisk.png", nil, nil, nil}
		NecroList.Items.HC4411 = {"Mods", nil, nil, "HC - Whiskey", "Hydrocraft.HCWhiskey1", "media/textures/Item_HCWhiskey1.png", nil, nil, nil}
		NecroList.Items.HC4412 = {"Mods", nil, nil, "HC - Whiskey", "Hydrocraft.HCWhiskey2", "media/textures/Item_HCWhiskey1.png", nil, nil, nil}
		NecroList.Items.HC4413 = {"Mods", nil, nil, "HC - Whiskey", "Hydrocraft.HCWhiskey3", "media/textures/Item_HCWhiskey3.png", nil, nil, nil}
		NecroList.Items.HC4414 = {"Mods", nil, nil, "HC - Whiskey", "Hydrocraft.HCWhiskey4", "media/textures/Item_HCWhiskey4.png", nil, nil, nil}
		NecroList.Items.HC4415 = {"Mods", nil, nil, "HC - Apple Juice", "Hydrocraft.HCWhiskeyapplejuice", "media/textures/Item_HCWhiskeyapplejuice.png", nil, nil, nil}
		NecroList.Items.HC4416 = {"Mods", nil, nil, "HC - Blackberry Juice", "Hydrocraft.HCWhiskeyblackberryjuice", "media/textures/Item_HCWhiskeyblackberryjuice.png", nil, nil, nil}
		NecroList.Items.HC4417 = {"Mods", nil, nil, "HC - Blueberry Juice", "Hydrocraft.HCWhiskeyblueberryjuice", "media/textures/Item_HCWhiskeyblueberryjuice.png", nil, nil, nil}
		NecroList.Items.HC4418 = {"Mods", nil, nil, "HC - Carrot Juice", "Hydrocraft.HCWhiskeycarrotjuice", "media/textures/Item_HCWhiskeycarrotjuice.png", nil, nil, nil}
		NecroList.Items.HC4419 = {"Mods", nil, nil, "HC - Cherry Juice", "Hydrocraft.HCWhiskeycherryjuice", "media/textures/Item_HCWhiskeycherryjuice.png", nil, nil, nil}
		NecroList.Items.HC4420 = {"Mods", nil, nil, "HC - Grape Juice", "Hydrocraft.HCWhiskeygrapejuice", "media/textures/Item_HCWhiskeygrapejuice.png", nil, nil, nil}
		NecroList.Items.HC4421 = {"Mods", nil, nil, "HC - Lemon Juice", "Hydrocraft.HCWhiskeylemonjuice", "media/textures/Item_HCWhiskeylemonjuice.png", nil, nil, nil}
		NecroList.Items.HC4422 = {"Mods", nil, nil, "HC - Lime Juice", "Hydrocraft.HCWhiskeylimejuice", "media/textures/Item_HCWhiskeylimejuice.png", nil, nil, nil}
		NecroList.Items.HC4423 = {"Mods", nil, nil, "HC - Orange Juice", "Hydrocraft.HCWhiskeyorangejuice", "media/textures/Item_HCWhiskeyorangejuice.png", nil, nil, nil}
		NecroList.Items.HC4424 = {"Mods", nil, nil, "HC - Pineapple Juice", "Hydrocraft.HCWhiskeypineapplejuice", "media/textures/Item_HCWhiskeypineapplejuice.png", nil, nil, nil}
		NecroList.Items.HC4425 = {"Mods", nil, nil, "HC - Strawberry Juice", "Hydrocraft.HCWhiskeystrawberryjuice", "media/textures/Item_HCWhiskeystrawberryjuice.png", nil, nil, nil}
		NecroList.Items.HC4426 = {"Mods", nil, nil, "HC - Tomato Juice", "Hydrocraft.HCWhiskeytomatojuice", "media/textures/Item_HCWhiskeytomatojuice.png", nil, nil, nil}
		NecroList.Items.HC4427 = {"Mods", nil, nil, "HC - Watermelon Juice", "Hydrocraft.HCWhiskeywatermelonjuice", "media/textures/Item_HCWhiskeywatermelonjuice.png", nil, nil, nil}
		NecroList.Items.HC4428 = {"Mods", nil, nil, "HC - Wild Berry Juice", "Hydrocraft.HCWhiskeywildberryjuice", "media/textures/Item_HCWhiskeywildberryjuice.png", nil, nil, nil}
		NecroList.Items.HC4429 = {"Mods", nil, nil, "HC - White Feather", "Hydrocraft.HCWhitefeathers", "media/textures/Item_HCWhitefeathers.png", nil, nil, nil}
		NecroList.Items.HC4430 = {"Mods", nil, nil, "HC - White Gold Ingot", "Hydrocraft.HCWhitegoldingot", "media/textures/Item_HCWhitegoldingot.png", nil, nil, nil}
		NecroList.Items.HC4431 = {"Mods", nil, nil, "HC - Whiteout", "Hydrocraft.HCWhiteout", "media/textures/Item_HCWhiteout.png", nil, nil, nil}
		NecroList.Items.HC4432 = {"Mods", nil, nil, "HC - Ground White Pepper", "Hydrocraft.HCWhitepepper", "media/textures/Item_HCWhitepepper.png", nil, nil, nil}
		NecroList.Items.HC4433 = {"Mods", nil, nil, "HC - White Pigment", "Hydrocraft.HCWhitepigment", "media/textures/Item_HCWhitepigment.png", nil, nil, nil}
		NecroList.Items.HC4434 = {"Mods", nil, nil, "HC - Whoopie Cushion", "Hydrocraft.HCWhoopiecushion", "media/textures/Item_HCWhoopiecushion.png", nil, nil, nil}
		NecroList.Items.HC4435 = {"Mods", nil, nil, "HC - Wicker Basket", "Hydrocraft.HCWickerbasket", "media/textures/Item_HCWickerbasket.png", nil, nil, nil}
		NecroList.Items.HC4436 = {"Mods", nil, nil, "HC - Wiffle Ball", "Hydrocraft.HCWiffleball", "media/textures/Item_HCWiffleball.png", nil, nil, nil}
		NecroList.Items.HC4437 = {"Mods", nil, nil, "HC - Wiffle Bat", "Hydrocraft.HCWifflebat", "media/textures/Item_HCWifflebat.png", nil, nil, nil}
		NecroList.Items.HC4438 = {"Mods", nil, nil, "HC - Willow Bark", "Hydrocraft.HCWillowbark", "media/textures/Item_HCWillowbark.png", nil, nil, nil}
		NecroList.Items.HC4439 = {"Mods", nil, nil, "HC - Willow Bark Tea", "Hydrocraft.HCWillowbarktea", "media/textures/Item_HCWillowbarktea.png", nil, nil, nil}
		NecroList.Items.HC4440 = {"Mods", nil, nil, "HC - Willow Branch", "Hydrocraft.HCWillowbranch", "media/textures/Item_HCWillowbranch.png", nil, nil, nil}
		NecroList.Items.HC4441 = {"Mods", nil, nil, "HC - Wind Chimes", "Hydrocraft.HCWindchimes", "media/textures/Item_HCWindchimes.png", nil, nil, nil}
		NecroList.Items.HC4442 = {"Mods", nil, nil, "HC - Wooden Windmill", "Hydrocraft.HCWindmill", "media/textures/Item_HCWindmill.png", nil, nil, nil}
		NecroList.Items.HC4443 = {"Mods", nil, nil, "HC - Windmill Blade", "Hydrocraft.HCWindmillblade", "media/textures/Item_HCWindmillblade.png", nil, nil, nil}
		NecroList.Items.HC4444 = {"Mods", nil, nil, "HC - Window Cleaner", "Hydrocraft.HCWindowcleaner", "media/textures/Item_HCWindowcleaner.png", nil, nil, nil}
		NecroList.Items.HC4445 = {"Mods", nil, nil, "HC - Wooden Window", "Hydrocraft.HCWindowswood", "fixtures_windows_01_1_Icon", nil, nil, nil}
		NecroList.Items.HC4446 = {"Mods", nil, nil, "HC - Wine Glass", "Hydrocraft.HCWineglass", "media/textures/Item_HCWineglass.png", nil, nil, nil}
		NecroList.Items.HC4447 = {"Mods", nil, nil, "HC - Glass of Chardonnay", "Hydrocraft.HCWineglassfull", "media/textures/Item_HCWineglassfull.png", nil, nil, nil}
		NecroList.Items.HC4448 = {"Mods", nil, nil, "HC - Glass of Red Wine", "Hydrocraft.HCWineglassfull2", "media/textures/Item_HCWineglassfull2.png", nil, nil, nil}
		NecroList.Items.HC4449 = {"Mods", nil, nil, "HC - Wiper", "Hydrocraft.HCWiper", "media/textures/Item_HCWiper.png", nil, nil, nil}
		NecroList.Items.HC4450 = {"Mods", nil, nil, "HC - Aluminum Wire", "Hydrocraft.HCWirealuminum", "media/textures/Item_HCWirealuminum.png", nil, nil, nil}
		NecroList.Items.HC4451 = {"Mods", nil, nil, "HC - Razor Wire", "Hydrocraft.HCWireconcertina", "media/textures/Item_HCWireconcertina.png", nil, nil, nil}
		NecroList.Items.HC4452 = {"Mods", nil, nil, "HC - Copper Wire", "Hydrocraft.HCWirecopper", "media/textures/Item_HCWirecopper.png", nil, nil, nil}
		NecroList.Items.HC4453 = {"Mods", nil, nil, "HC - Wire Gauze", "Hydrocraft.HCWiregauze", "media/textures/Item_HCWiregauze.png", nil, nil, nil}
		NecroList.Items.HC4454 = {"Mods", nil, nil, "HC - Wire Hanger", "Hydrocraft.HCWirehanger", "media/textures/Item_HCWirehanger.png", nil, nil, nil}
		NecroList.Items.HC4455 = {"Mods", nil, nil, "HC - Lead Wire", "Hydrocraft.HCWirelead", "media/textures/Item_HCWirelead.png", nil, nil, nil}
		NecroList.Items.HC4456 = {"Mods", nil, nil, "HC - Steel Wire", "Hydrocraft.HCWiresteel", "media/textures/Item_HCWiresteel.png", nil, nil, nil}
		NecroList.Items.HC4457 = {"Mods", nil, nil, "HC - Thermocouple Wire", "Hydrocraft.HCWirethermocouple", "media/textures/Item_HCWirethermocouple.png", nil, nil, nil}
		NecroList.Items.HC4458 = {"Mods", nil, nil, "HC - Zinc Wire", "Hydrocraft.HCWirezinc", "media/textures/Item_HCWirezinc.png", nil, nil, nil}
		NecroList.Items.HC4459 = {"Mods", nil, nil, "HC - Witch Hat", "Hydrocraft.HCWitchhat", "media/textures/Item_HCWitchhat.png", nil, nil, nil}
		NecroList.Items.HC4460 = {"Mods", nil, nil, "HC - Witch's Hat Mushroom (Fresh Uncooked)", "Hydrocraft.HCWitchshatshroom", "media/textures/Item_HCWitchshatmushroom.png", nil, nil, nil}
		NecroList.Items.HC4461 = {"Mods", nil, nil, "HC - Wok", "Hydrocraft.HCWok", "media/textures/Item_HCWok.png", nil, nil, nil}
		NecroList.Items.HC4462 = {"Mods", nil, nil, "HC - Wood Beam", "Hydrocraft.HCWoodbeam", "media/textures/Item_HCWoodbeam.png", nil, nil, nil}
		NecroList.Items.HC4463 = {"Mods", nil, nil, "HC - Wood Block", "Hydrocraft.HCWoodblock", "media/textures/Item_HCWoodblock.png", nil, nil, nil}
		NecroList.Items.HC4464 = {"Mods", nil, nil, "HC - Dead Wood Duck (Fresh)", "Hydrocraft.HCWoodduckdead", "media/textures/Item_HCWoodduckdead.png", nil, nil, nil}
		NecroList.Items.HC4465 = {"Mods", nil, nil, "HC - Dead Wood Duck (Fresh)", "Hydrocraft.HCWoodduckdead2", "media/textures/Item_HCWoodduckdead2.png", nil, nil, nil}
		NecroList.Items.HC4466 = {"Mods", nil, nil, "HC - Wood Duck (Female)", "Hydrocraft.HCWoodduckfemale", "media/textures/Item_HCWoodduckfemale.png", nil, nil, nil}
		NecroList.Items.HC4467 = {"Mods", nil, nil, "HC - Wood Duck (Male)", "Hydrocraft.HCWoodduckmale", "media/textures/Item_HCWoodduckmale.png", nil, nil, nil}
		NecroList.Items.HC4468 = {"Mods", nil, nil, "HC - Wooden Barrel", "Hydrocraft.HCWoodenbarrel", "media/textures/Item_HCWinebarrel.png", nil, nil, nil}
		NecroList.Items.HC4469 = {"Mods", nil, nil, "HC - Wooden Bucket", "Hydrocraft.HCWoodenbucket", "media/textures/Item_HCWoodenbucket.png", nil, nil, nil}
		NecroList.Items.HC4470 = {"Mods", nil, nil, "HC - Wooden Bucket with Concrete", "Hydrocraft.HCWoodenbucketconcrete", "media/textures/Item_HCWoodenbucketconcrete.png", nil, nil, nil}
		NecroList.Items.HC4471 = {"Mods", nil, nil, "HC - Wooden Bucket with Creosote Oil", "Hydrocraft.HCWoodenbucketcreosote", "media/textures/Item_HCWoodenbucketcreosote.png", nil, nil, nil}
		NecroList.Items.HC4472 = {"Mods", nil, nil, "HC - Wooden Bucket with Fermented Milk", "Hydrocraft.HCWoodenbucketfermentedmilk", "media/textures/Item_HCWoodenbucketfermentedmilk.png", nil, nil, nil}
		NecroList.Items.HC4473 = {"Mods", nil, nil, "HC - Wooden Bucket with Grape Juice", "Hydrocraft.HCWoodenbucketgrape", "media/textures/Item_HCWoodenbucketgrape.png", nil, nil, nil}
		NecroList.Items.HC4474 = {"Mods", nil, nil, "HC - Wooden Bucket with White Grape Juice", "Hydrocraft.HCWoodenbucketgrapegreen", "media/textures/Item_HCWoodenbucketgrapegreen.png", nil, nil, nil}
		NecroList.Items.HC4475 = {"Mods", nil, nil, "HC - Wooden Bucket with Gravel", "Hydrocraft.HCWoodenbucketgravel", "media/textures/Item_HCWoodenbucketgravel.png", nil, nil, nil}
		NecroList.Items.HC4476 = {"Mods", nil, nil, "HC - Wooden Bucket with Heated Milk", "Hydrocraft.HCWoodenbucketheatedmilk", "media/textures/Item_HCWoodenbucketheatedmilk.png", nil, nil, nil}
		NecroList.Items.HC4477 = {"Mods", nil, nil, "HC - Wooden Bucket with Honey", "Hydrocraft.HCWoodenbuckethoney", "media/textures/Item_HCWoodenbuckethoney.png", nil, nil, nil}
		NecroList.Items.HC4478 = {"Mods", nil, nil, "HC - Wooden Bucket with Milk of Lime", "Hydrocraft.HCWoodenbucketlime", "media/textures/Item_HCWoodenbucketlime.png", nil, nil, nil}
		NecroList.Items.HC4479 = {"Mods", nil, nil, "HC - Wooden Bucket with Lye", "Hydrocraft.HCWoodenbucketlye", "media/textures/Item_HCWoodenbucketlye.png", nil, nil, nil}
		NecroList.Items.HC4480 = {"Mods", nil, nil, "HC - Wooden Bucket with Milk", "Hydrocraft.HCWoodenbucketmilk", "media/textures/Item_HCWoodenbucketmilk.png", nil, nil, nil}
		NecroList.Items.HC4481 = {"Mods", nil, nil, "HC - Wooden Bucket with Rose Tanning Oil", "Hydrocraft.HCWoodenbucketrose", "media/textures/Item_HCWoodenbucketrose.png", nil, nil, nil}
		NecroList.Items.HC4482 = {"Mods", nil, nil, "HC - Wooden Bucket with Rubber", "Hydrocraft.HCWoodenbucketrubber", "media/textures/Item_HCWoodenbucketrubber.png", nil, nil, nil}
		NecroList.Items.HC4483 = {"Mods", nil, nil, "HC - Wooden Bucket with Sand", "Hydrocraft.HCWoodenbucketsand", "media/textures/Item_HCWoodenbucketsand.png", nil, nil, nil}
		NecroList.Items.HC4484 = {"Mods", nil, nil, "HC - Wooden Bucket with Tannin", "Hydrocraft.HCWoodenbuckettan", "media/textures/Item_HCWoodenbuckettan.png", nil, nil, nil}
		NecroList.Items.HC4485 = {"Mods", nil, nil, "HC - Wooden Bucket with Tar", "Hydrocraft.HCWoodenbuckettar", "media/textures/Item_HCWoodenbuckettar.png", nil, nil, nil}
		NecroList.Items.HC4486 = {"Mods", nil, nil, "HC - Wooden Bucket with Vegetable Oil", "Hydrocraft.HCWoodenbucketvegoil", "media/textures/Item_HCWoodenbucketvegoil.png", nil, nil, nil}
		NecroList.Items.HC4487 = {"Mods", nil, nil, "HC - Wooden Bucket with Water", "Hydrocraft.HCWoodenbucketwater", "media/textures/Item_HCWoodenbucketwater.png", nil, nil, nil}
		NecroList.Items.HC4488 = {"Mods", nil, nil, "HC - Wooden Crate", "Hydrocraft.HCWoodencrate", "media/textures/Item_HCWoodencrate.png", nil, nil, nil}
		NecroList.Items.HC4489 = {"Mods", nil, nil, "HC - Wooden Fork", "Hydrocraft.HCWoodenfork", "media/textures/Item_HCWoodenfork.png", nil, nil, nil}
		NecroList.Items.HC4490 = {"Mods", nil, nil, "HC - Wooden Ladder", "Hydrocraft.HCWoodenladder", "media/textures/Item_HCWoodenladder.png", nil, nil, nil}
		NecroList.Items.HC4491 = {"Mods", nil, nil, "HC - Wooden Pallet", "Hydrocraft.HCWoodenpallet", "media/textures/Item_HCWoodenpallet.png", nil, nil, nil}
		NecroList.Items.HC4492 = {"Mods", nil, nil, "HC - Wooden Ring", "Hydrocraft.HCWoodenring", "media/textures/Item_HCWoodenring.png", nil, nil, nil}
		NecroList.Items.HC4493 = {"Mods", nil, nil, "HC - Wooden Spatula", "Hydrocraft.HCWoodenspatula", "media/textures/Item_HCWoodenspatula.png", nil, nil, nil}
		NecroList.Items.HC4494 = {"Mods", nil, nil, "HC - Wooden Spoon", "Hydrocraft.HCWoodenspoon", "media/textures/Item_HCWoodenspoon.png", nil, nil, nil}
		NecroList.Items.HC4495 = {"Mods", nil, nil, "HC - Wooden Tool Box", "Hydrocraft.HCWoodentoolbox", "media/textures/Item_HCWoodentoolbox.png", nil, nil, nil}
		NecroList.Items.HC4496 = {"Mods", nil, nil, "HC - Wooden Wheelbarrow", "Hydrocraft.HCWoodenwheelbarrow", "media/textures/Item_HCWoodenwheelbarrow.png", nil, nil, nil}
		NecroList.Items.HC4497 = {"Mods", nil, nil, "HC - Empty Glue Bottle", "Hydrocraft.HCWoodglueempty", "media/textures/Item_HCWoodglueempty.png", nil, nil, nil}
		NecroList.Items.HC4498 = {"Mods", nil, nil, "HC - Wood Hanger", "Hydrocraft.HCWoodhanger", "media/textures/Item_HCWoodhanger.png", nil, nil, nil}
		NecroList.Items.HC4499 = {"Mods", nil, nil, "HC - Wood Sheet", "Hydrocraft.HCWoodsheet", "media/textures/Item_HCWoodsheet.png", nil, nil, nil}
		NecroList.Items.HC4500 = {"Mods", nil, nil, "HC - Wood Shingles", "Hydrocraft.HCWoodshingles", "media/textures/Item_HCWoodshingles.png", nil, nil, nil}
		NecroList.Items.HC4501 = {"Mods", nil, nil, "HC - Wooden Wheel", "Hydrocraft.HCWoodwheel", "media/textures/Item_HCWoodwheel.png", nil, nil, nil}
		NecroList.Items.HC4502 = {"Mods", nil, nil, "HC - Wool", "Hydrocraft.HCWool", "media/textures/Item_HCWool.png", nil, nil, nil}
		NecroList.Items.HC4503 = {"Mods", nil, nil, "HC - Wool Cloth", "Hydrocraft.HCWoolcloth", "media/textures/Item_HCWoolcloth.png", nil, nil, nil}
		NecroList.Items.HC4504 = {"Mods", nil, nil, "HC - Wool Pants", "Hydrocraft.HCWoolpants", "media/textures/Item_HCWoolpants.png", nil, nil, nil}
		NecroList.Items.HC4505 = {"Mods", nil, nil, "HC - Wool Shirt", "Hydrocraft.HCWoolshirt", "media/textures/Item_HCSilkshirt.png", nil, nil, nil}
		NecroList.Items.HC4506 = {"Mods", nil, nil, "HC - Workbench", "Hydrocraft.HCWorkbench", "media/textures/Item_HCWorkbench.png", nil, nil, nil}
		NecroList.Items.HC4507 = {"Mods", nil, nil, "HC - Work Gloves", "Hydrocraft.HCWorkgloves", "media/textures/Item_HCWorkgloves.png", nil, nil, nil}
		NecroList.Items.HC4508 = {"Mods", nil, nil, "HC - Wrasse (Fresh Uncooked)", "Hydrocraft.HCWrasse", "media/textures/Item_HCWrasse.png", nil, nil, nil}
		NecroList.Items.HC4509 = {"Mods", nil, nil, "HC - Christmas Wreath", "Hydrocraft.HCwreath", "media/textures/Item_HCwreath.png", nil, nil, nil}
		NecroList.Items.HC4510 = {"Mods", nil, nil, "HC - Wrench", "Hydrocraft.HCWrench", "media/textures/Item_HCWrench.png", nil, nil, nil}
		NecroList.Items.HC4511 = {"Mods", nil, nil, "HC - Crossbow Bolts", "Hydrocraft.HCXbowbolt", "media/textures/Item_HCXbowbolt.png", nil, nil, nil}
		NecroList.Items.HC4512 = {"Mods", nil, nil, "HC - Gift", "Hydrocraft.HCXmasgift", "media/textures/Item_HCXmasgift.png", nil, nil, nil}
		NecroList.Items.HC4513 = {"Mods", nil, nil, "HC - Christmas Lights", "Hydrocraft.HCXmaslights", "media/textures/Item_HCXmaslights.png", nil, nil, nil}
		NecroList.Items.HC4514 = {"Mods", nil, nil, "HC - Christmas Tree", "Hydrocraft.HCXmastree", "media/textures/Item_HCXmastree.png", nil, nil, nil}
		NecroList.Items.HC4515 = {"Mods", nil, nil, "HC - Christmas Tree", "Hydrocraft.HCXmastree2", "media/textures/Item_HCXmastree2.png", nil, nil, nil}
		NecroList.Items.HC4516 = {"Mods", nil, nil, "HC - Christmas Tree", "Hydrocraft.HCXmastree3", "media/textures/Item_HCXmastree3.png", nil, nil, nil}
		NecroList.Items.HC4517 = {"Mods", nil, nil, "HC - Christmas Tree", "Hydrocraft.HCXmastree4", "media/textures/Item_HCXmastree4.png", nil, nil, nil}
		NecroList.Items.HC4518 = {"Mods", nil, nil, "HC - Yarn", "Hydrocraft.HCYarn", "media/textures/Item_HCYarn.png", nil, nil, nil}
		NecroList.Items.HC4519 = {"Mods", nil, nil, "HC - Yellow Jacket", "Hydrocraft.HCYellowjacket", "media/textures/Item_HCYellowjacket.png", nil, nil, nil}
		NecroList.Items.HC4520 = {"Mods", nil, nil, "HC - Yellow Morel Mushroom (Fresh Uncooked)", "Hydrocraft.HCYellowmorelshroom", "media/textures/Item_HCYellowmorelmushroom.png", nil, nil, nil}
		NecroList.Items.HC4521 = {"Mods", nil, nil, "HC - Yellow Pigment", "Hydrocraft.HCYellowpigment", "media/textures/Item_HCYellowpigment.png", nil, nil, nil}
		NecroList.Items.HC4522 = {"Mods", nil, nil, "HC - Yew Bough", "Hydrocraft.HCYewbough", "media/textures/Item_HCYewbough.png", nil, nil, nil}
		NecroList.Items.HC4523 = {"Mods", nil, nil, "HC - Empty Yoghurt", "Hydrocraft.HCYoghurtempty", "media/textures/Item_HCYoghurtempty.png", nil, nil, nil}
		NecroList.Items.HC4524 = {"Mods", nil, nil, "HC - Yoke", "Hydrocraft.HCYoke", "media/textures/Item_HCYoke.png", nil, nil, nil}
		NecroList.Items.HC4525 = {"Mods", nil, nil, "HC - Zander (Fresh Uncooked)", "Hydrocraft.HCZander", "media/textures/Item_HCZander.png", nil, nil, nil}
		NecroList.Items.HC4526 = {"Mods", nil, nil, "HC - Skeleton", "Hydrocraft.HCZedbones", "media/textures/Item_HCZedbones.png", nil, nil, nil}
		NecroList.Items.HC4527 = {"Mods", nil, nil, "HC - Headless Skeleton", "Hydrocraft.HCZedbonesheadless", "media/textures/Item_HCZedbonesheadless.png", nil, nil, nil}
		NecroList.Items.HC4528 = {"Mods", nil, nil, "HC - Zombie Brain", "Hydrocraft.HCZedbrain", "media/textures/Item_HCZedbrain.png", nil, nil, nil}
		NecroList.Items.HC4529 = {"Mods", nil, nil, "HC - Head", "Hydrocraft.HCZedhead", "media/textures/Item_HCZedhead.png", nil, nil, nil}
		NecroList.Items.HC4530 = {"Mods", nil, nil, "HC - Zombie Heart", "Hydrocraft.HCZedheart", "media/textures/Item_HCZedheart.png", nil, nil, nil}
		NecroList.Items.HC4531 = {"Mods", nil, nil, "HC - Zombie Intestines", "Hydrocraft.HCZedintestines", "media/textures/Item_HCZedintestines.png", nil, nil, nil}
		NecroList.Items.HC4532 = {"Mods", nil, nil, "HC - Zombie Kidney", "Hydrocraft.HCZedkidney", "media/textures/Item_HCZedkidney.png", nil, nil, nil}
		NecroList.Items.HC4533 = {"Mods", nil, nil, "HC - Zombie Liver", "Hydrocraft.HCZedliver", "media/textures/Item_HCZedliver.png", nil, nil, nil}
		NecroList.Items.HC4534 = {"Mods", nil, nil, "HC - Zombie Lung", "Hydrocraft.HCZedlung", "media/textures/Item_HCZedlung.png", nil, nil, nil}
		NecroList.Items.HC4535 = {"Mods", nil, nil, "HC - Skinned Carcass (Fresh Uncooked)", "Hydrocraft.HCZedmeat", "media/textures/Item_HCZedmeat.png", nil, nil, nil}
		NecroList.Items.HC4536 = {"Mods", nil, nil, "HC - Headless Skinned Carcass (Fresh Uncooked)", "Hydrocraft.HCZedmeatheadless", "media/textures/Item_HCZedmeatheadless.png", nil, nil, nil}
		NecroList.Items.HC4537 = {"Mods", nil, nil, "HC - Zombie Pancreas", "Hydrocraft.HCZedpancreas", "media/textures/Item_HCZedpancreas.png", nil, nil, nil}
		NecroList.Items.HC4538 = {"Mods", nil, nil, "HC - Raw Skin", "Hydrocraft.HCZedskin", "media/textures/Item_HCZedskin.png", nil, nil, nil}
		NecroList.Items.HC4539 = {"Mods", nil, nil, "HC - Dried Skin", "Hydrocraft.HCZedskindried", "media/textures/Item_HCZedskindried.png", nil, nil, nil}
		NecroList.Items.HC4540 = {"Mods", nil, nil, "HC - Skull", "Hydrocraft.HCZedskull", "media/textures/Item_HCZedskull.png", nil, nil, nil}
		NecroList.Items.HC4541 = {"Mods", nil, nil, "HC - Odd Meat (Fresh Uncooked)", "Hydrocraft.HCZedsteak", "media/textures/Item_HCZedsteak.png", nil, nil, nil}
		NecroList.Items.HC4542 = {"Mods", nil, nil, "HC - Fish Tank with Head", "Hydrocraft.HCZedtank", "media/textures/Item_HCZedtank.png", nil, nil, nil}
		NecroList.Items.HC4543 = {"Mods", nil, nil, "HC - Zinc Ingot", "Hydrocraft.HCZincingot", "media/textures/Item_HCZincingot.png", nil, nil, nil}
		NecroList.Items.HC4544 = {"Mods", nil, nil, "HC - Zinc Powder", "Hydrocraft.HCZincpowder", "media/textures/Item_HCZincpowder.png", nil, nil, nil}
		NecroList.Items.HC4545 = {"Mods", nil, nil, "HC - Zipper", "Hydrocraft.HCZipper", "media/textures/Item_HCZipper.png", nil, nil, nil}
		NecroList.Items.HC4546 = {"Mods", nil, nil, "HC - Zipper Bag", "Hydrocraft.HCZipperbag", "media/textures/Item_HCZipperbag.png", nil, nil, nil}
		NecroList.Items.HC4547 = {"Mods", nil, nil, "HC - Box of Zipper Bags", "Hydrocraft.HCZipperbagbox", "media/textures/Item_HCZipperbagbox.png", nil, nil, nil}
		NecroList.Items.HC4548 = {"Mods", nil, nil, "HC - Full Zipper Bag", "Hydrocraft.HCZipperbagfull", "media/textures/Item_HCZipperbagfull.png", nil, nil, nil}
		NecroList.Items.HC4549 = {"Mods", nil, nil, "HC - Zombie Bones", "Hydrocraft.HCZombiebones", "media/textures/Item_HCZombiebones.png", nil, nil, nil}
		NecroList.Items.HC4550 = {"Mods", nil, nil, "HC - Zucchini Seeds", "Hydrocraft.HCZucchiniseeds", "media/textures/Item_HCZucchiniseeds.png", nil, nil, nil}
		NecroList.Items.HC4551 = {"Mods", nil, nil, "HC - Zucchini Seeds Packet", "Hydrocraft.HCZucchiniseedspacket", "media/textures/Item_HCZucchiniseedspacket.png", nil, nil, nil}
		NecroList.Items.HC4552 = {"Mods", nil, nil, "HC - Metal Safe", "Hydrocraft.MetalSafe", "media/textures/Item_SafeOpen.png", nil, nil, nil}
		NecroList.Items.HC4553 = {"Mods", nil, nil, "HC - Locked Metal Safe", "Hydrocraft.MetalSafeClosed", "media/textures/Item_SafeClosed.png", nil, nil, nil}
		NecroList.Items.HC4554 = {"Mods", nil, nil, "HC - KEY LOCKED", "Hydrocraft.MetalSafeClosedInner", "media/textures/Item_SafeClosed.png", nil, nil, nil}
		NecroList.Items.HC4555 = {"Mods", nil, nil, "HC - Metal Combination Safe", "Hydrocraft.MetalSafeCombo", "media/textures/Item_SafeOpen.png", nil, nil, nil}
		NecroList.Items.HC4556 = {"Mods", nil, nil, "HC - Locked Metal Combination Safe", "Hydrocraft.MetalSafeComboClosed", "media/textures/Item_SafeClosed.png", nil, nil, nil}
		NecroList.Items.HC4557 = {"Mods", nil, nil, "HC - COMBINATION LOCKED", "Hydrocraft.MetalSafeComboClosedInner", "media/textures/Item_SafeClosed.png", nil, nil, nil}
		NecroList.Items.HC4558 = {"Mods", nil, nil, "HC - No Result", "Hydrocraft.Nothing", "media/textures/Item_Nothing.png", nil, nil, nil}
		NecroList.Items.HC4559 = {"Mods", nil, nil, "HC - Set Propane Trap", "Hydrocraft.PropaneTrap", "media/textures/Item_Propanetrap.png", nil, nil, nil}
		NecroList.Items.HC4560 = {"Mods", nil, nil, "HC - Exloded Propane Trap", "Hydrocraft.PropaneTrapCloses", "media/textures/Item_Propanetrap.png", nil, nil, nil}
		NecroList.Items.HC4561 = {"Mods", nil, nil, "HC - Safe Key", "Hydrocraft.SafeKey", "Item_Key2", nil, nil, nil}
		NecroList.Items.HC4562 = {"Mods", nil, nil, "HC - Set Nail Trap", "Hydrocraft.SpikeTrap", "media/textures/Item_Spiketrap.png", nil, nil, nil}
		NecroList.Items.HC4563 = {"Mods", nil, nil, "HC - Broken Nail Trap", "Hydrocraft.SpikeTrapClosed", "media/textures/Item_Spiketrapclosed.png", nil, nil, nil}
		NecroList.Items.HC4564 = {"Mods", nil, nil, "HC - Trellis Kit", "Hydrocraft.TrellisKit", "media/textures/Item_HCTrelliskit.png", nil, nil, nil}
		NecroList.Items.HC4565 = {"Mods", nil, nil, "HC - Closed Umbrella", "Hydrocraft.UmbrellaClosed", "media/textures/Item_SB_UmbrellaClosed.png", nil, nil, nil}
		NecroList.Items.HC4566 = {"Mods", nil, nil, "HC - Open Umbrella", "Hydrocraft.UmbrellaOpen", "media/textures/Item_SB_UmbrellaOpen.png", nil, nil, nil}
		end
	end
end)